
REM CCSOWNER61 EBCINTERACTION

  CREATE TABLE "CCSOWNER61"."EBCINTERACTION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"INTERACTIONSEQ" NUMBER(10,0) NOT NULL ENABLE, 
	"INTRCTNTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"EICASEID" VARCHAR2(47) NOT NULL ENABLE, 
	"INTERACTIONDESC" VARCHAR2(128), 
	"INTRCTNSTATECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"STATEDATE" DATE NOT NULL ENABLE, 
	"CREATEDATE" DATE NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(255) NOT NULL ENABLE, 
	"SUPERVISRLOGINNAME" VARCHAR2(255), 
	"LANGUAGEISOCODE" VARCHAR2(3), 
	"PARTYROLEID" VARCHAR2(47), 
	"OFFERINGNAME" VARCHAR2(80), 
	"EXTERNALREFTEXT" VARCHAR2(255), 
	"EXTERNALSYSTEMTEXT" VARCHAR2(48), 
	"ACCOUNTID" VARCHAR2(47), 
	"EIUSRDEF0TEXT" VARCHAR2(40), 
	"EIUSRDEF1TEXT" VARCHAR2(40), 
	"EIUSRDEF2TEXT" VARCHAR2(40), 
	"EIUSRDEF3TEXT" VARCHAR2(40), 
	"EIUSRDEF4TEXT" VARCHAR2(40), 
	"EIUSRDEF5TEXT" VARCHAR2(40), 
	"EIUSRDEF6TEXT" VARCHAR2(40), 
	"EIUSRDEF7TEXT" VARCHAR2(40), 
	"EIUSRDEF8TEXT" VARCHAR2(40), 
	"EIUSRDEF9TEXT" VARCHAR2(40)
   ) ;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "XPKEBCINTERACTION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNROLE" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "CCSOWNER61"."PARTYROLE" ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNACCT" FOREIGN KEY ("ACCOUNTID")
	  REFERENCES "CCSOWNER61"."ACCOUNT" ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNSTATE" FOREIGN KEY ("INTRCTNSTATECODE")
	  REFERENCES "CCSOWNER61"."INTRCTNSTATE" ("CODE") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNTYPE" FOREIGN KEY ("INTRCTNTYPECODE")
	  REFERENCES "CCSOWNER61"."INTRCTNTYPE" ("CODE") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNCASE" FOREIGN KEY ("EICASEID")
	  REFERENCES "CCSOWNER61"."EICASE" ("ID") ENABLE;
 
REM CCSOWNER61 I_EBCINTRCTNCASE

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNCASE" ON "CCSOWNER61"."EBCINTERACTION" ("EICASEID") 
  ;
 
REM CCSOWNER61 I_EBCINTRCTNACCT

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNACCT" ON "CCSOWNER61"."EBCINTERACTION" ("ACCOUNTID") 
  ;
 
REM CCSOWNER61 I_EBCINTRCTNTYPE

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNTYPE" ON "CCSOWNER61"."EBCINTERACTION" ("INTRCTNTYPECODE") 
  ;
 
REM CCSOWNER61 I_EBCINTRCTNSTATE

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNSTATE" ON "CCSOWNER61"."EBCINTERACTION" ("INTRCTNSTATECODE") 
  ;
 
REM CCSOWNER61 I_EBCINTRCTNROLE

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNROLE" ON "CCSOWNER61"."EBCINTERACTION" ("PARTYROLEID") 
  ;
 
REM CCSOWNER61 XPKEBCINTERACTION

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEBCINTERACTION" ON "CCSOWNER61"."EBCINTERACTION" ("ID") 
  ;
 
REM CCSOWNER61 EBCINTERACTIONCOM

  CREATE TABLE "CCSOWNER61"."EBCINTERACTIONCOM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"EICOMMUNICATIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTIONCOM" ADD CONSTRAINT "XPKEBCINTRCTNCOM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTIONCOM" ADD CONSTRAINT "FK_EBCINTRCTNCOM1" FOREIGN KEY ("EBCINTERACTIONID")
	  REFERENCES "CCSOWNER61"."EBCINTERACTION" ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EBCINTERACTIONCOM" ADD CONSTRAINT "FK_EBCINTRCTNCOM2" FOREIGN KEY ("EICOMMUNICATIONID")
	  REFERENCES "CCSOWNER61"."EICOMMUNICATION" ("ID") ENABLE;
 
REM CCSOWNER61 I_EBCINTRCTNCOM2

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNCOM2" ON "CCSOWNER61"."EBCINTERACTIONCOM" ("EICOMMUNICATIONID") 
  ;
 
REM CCSOWNER61 I_EBCINTRCTNCOM1

  CREATE INDEX "CCSOWNER61"."I_EBCINTRCTNCOM1" ON "CCSOWNER61"."EBCINTERACTIONCOM" ("EBCINTERACTIONID") 
  ;
 
REM CCSOWNER61 XPKEBCINTRCTNCOM

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEBCINTRCTNCOM" ON "CCSOWNER61"."EBCINTERACTIONCOM" ("ID") 
  ;
 
REM CCSOWNER61 EICASE

  CREATE TABLE "CCSOWNER61"."EICASE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CASENUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"CASEDESC" VARCHAR2(120), 
	"MERGEDTOCASEID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"EXTERNALREFTEXT" VARCHAR2(255), 
	"EXTERNALSYSTEMTEXT" VARCHAR2(48), 
	"EICASEUSRDEF0TEXT" VARCHAR2(40), 
	"EICASEUSRDEF1TEXT" VARCHAR2(40), 
	"EICASEUSRDEF2TEXT" VARCHAR2(40), 
	"EICASEUSRDEF3TEXT" VARCHAR2(40), 
	"EICASEUSRDEF4TEXT" VARCHAR2(40), 
	"EICASEUSRDEF5TEXT" VARCHAR2(40), 
	"EICASEUSRDEF6TEXT" VARCHAR2(40), 
	"EICASEUSRDEF7TEXT" VARCHAR2(40), 
	"EICASEUSRDEF8TEXT" VARCHAR2(40), 
	"EICASEUSRDEF9TEXT" VARCHAR2(40)
   ) ;
  ALTER TABLE "CCSOWNER61"."EICASE" ADD CONSTRAINT "XPKEICASE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICASE" ADD CONSTRAINT "XAKEICASE1" UNIQUE ("CASENUMBER") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICASE" ADD CONSTRAINT "FK_EICASEMERGED" FOREIGN KEY ("MERGEDTOCASEID")
	  REFERENCES "CCSOWNER61"."EICASE" ("ID") ENABLE;
 
REM CCSOWNER61 XPKEICASE

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICASE" ON "CCSOWNER61"."EICASE" ("ID") 
  ;
 
REM CCSOWNER61 XAKEICASE1

  CREATE UNIQUE INDEX "CCSOWNER61"."XAKEICASE1" ON "CCSOWNER61"."EICASE" ("CASENUMBER") 
  ;
 
REM CCSOWNER61 EICOMDATA

  CREATE TABLE "CCSOWNER61"."EICOMDATA" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PAGEPARTNUM" NUMBER(2,0) NOT NULL ENABLE, 
	"DATAFORMATTYPETEXT" VARCHAR2(10) NOT NULL ENABLE, 
	"PARTNAME" VARCHAR2(80), 
	"DATAURLTEXT" VARCHAR2(255), 
	"EICOMMUNICATIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "CCSOWNER61"."EICOMDATA" ADD CONSTRAINT "XPKEICOMDATA" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMDATA" ADD CONSTRAINT "FK_EICOMDATAEICOM" FOREIGN KEY ("EICOMMUNICATIONID")
	  REFERENCES "CCSOWNER61"."EICOMMUNICATION" ("ID") ENABLE;
 
REM CCSOWNER61 I_EICOMDATAEICOM

  CREATE INDEX "CCSOWNER61"."I_EICOMDATAEICOM" ON "CCSOWNER61"."EICOMDATA" ("EICOMMUNICATIONID") 
  ;
 
REM CCSOWNER61 XPKEICOMDATA

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICOMDATA" ON "CCSOWNER61"."EICOMDATA" ("ID") 
  ;
 
REM CCSOWNER61 EICOMEVENT

  CREATE TABLE "CCSOWNER61"."EICOMEVENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMEVENTTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMEVENTSTARTDATE" DATE NOT NULL ENABLE, 
	"EICOMMUNICATIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"EIEVENTUSRDEF0TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF1TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF2TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF3TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF4TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF5TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF6TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF7TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF8TEXT" VARCHAR2(40), 
	"EIEVENTUSRDEF9TEXT" VARCHAR2(40)
   ) ;
  ALTER TABLE "CCSOWNER61"."EICOMEVENT" ADD CONSTRAINT "XPKEICOMEVENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMEVENT" ADD CONSTRAINT "FK_COMEVNTEVNTTYPE" FOREIGN KEY ("COMEVENTTYPECODE")
	  REFERENCES "CCSOWNER61"."COMEVENTTYPE" ("CODE") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMEVENT" ADD CONSTRAINT "FK_EICOMEVENTEICOM" FOREIGN KEY ("EICOMMUNICATIONID")
	  REFERENCES "CCSOWNER61"."EICOMMUNICATION" ("ID") ENABLE;
 
REM CCSOWNER61 I_EICOMEVENTEICOM

  CREATE INDEX "CCSOWNER61"."I_EICOMEVENTEICOM" ON "CCSOWNER61"."EICOMEVENT" ("EICOMMUNICATIONID") 
  ;
 
REM CCSOWNER61 I_COMEVNTEVNTTYPE

  CREATE INDEX "CCSOWNER61"."I_COMEVNTEVNTTYPE" ON "CCSOWNER61"."EICOMEVENT" ("COMEVENTTYPECODE") 
  ;
 
REM CCSOWNER61 XPKEICOMEVENT

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICOMEVENT" ON "CCSOWNER61"."EICOMEVENT" ("ID") 
  ;
 
REM CCSOWNER61 EICOMMENT

  CREATE TABLE "CCSOWNER61"."EICOMMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMENTDATE" DATE NOT NULL ENABLE, 
	"COMMENTTEXT" VARCHAR2(255) NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(255) NOT NULL ENABLE, 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "CCSOWNER61"."EICOMMENT" ADD CONSTRAINT "XPKEICOMMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMMENT" ADD CONSTRAINT "FK_EICOMMENTEBCI" FOREIGN KEY ("EBCINTERACTIONID")
	  REFERENCES "CCSOWNER61"."EBCINTERACTION" ("ID") ENABLE;
 
REM CCSOWNER61 XPKEICOMMENT

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICOMMENT" ON "CCSOWNER61"."EICOMMENT" ("ID") 
  ;
 
REM CCSOWNER61 I_EICOMMENTEBCI

  CREATE INDEX "CCSOWNER61"."I_EICOMMENTEBCI" ON "CCSOWNER61"."EICOMMENT" ("EBCINTERACTIONID") 
  ;
 
REM CCSOWNER61 EICOMMUNICATION

  CREATE TABLE "CCSOWNER61"."EICOMMUNICATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMIOFLAG" CHAR(1), 
	"COMTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMADDRESSTEXT" VARCHAR2(255), 
	"COLLECTCALLFLAG" CHAR(1), 
	"COMSTARTDATE" DATE NOT NULL ENABLE, 
	"EICOMUSRDEF0TEXT" VARCHAR2(40), 
	"EICOMUSRDEF1TEXT" VARCHAR2(40), 
	"EICOMUSRDEF2TEXT" VARCHAR2(40), 
	"EICOMUSRDEF3TEXT" VARCHAR2(40), 
	"EICOMUSRDEF4TEXT" VARCHAR2(40), 
	"EICOMUSRDEF5TEXT" VARCHAR2(40), 
	"EICOMUSRDEF6TEXT" VARCHAR2(40), 
	"EICOMUSRDEF7TEXT" VARCHAR2(40), 
	"EICOMUSRDEF8TEXT" VARCHAR2(40), 
	"EICOMUSRDEF9TEXT" VARCHAR2(40)
   ) ;
  ALTER TABLE "CCSOWNER61"."EICOMMUNICATION" ADD CONSTRAINT "XPKEICOMMUNICATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMMUNICATION" ADD CONSTRAINT "FK_EICOMCOMTYPE" FOREIGN KEY ("COMTYPECODE")
	  REFERENCES "CCSOWNER61"."COMTYPE" ("CODE") ENABLE;
 
REM CCSOWNER61 XPKEICOMMUNICATION

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICOMMUNICATION" ON "CCSOWNER61"."EICOMMUNICATION" ("ID") 
  ;
 
REM CCSOWNER61 I_EICOMCOMTYPE

  CREATE INDEX "CCSOWNER61"."I_EICOMCOMTYPE" ON "CCSOWNER61"."EICOMMUNICATION" ("COMTYPECODE") 
  ;
 
REM CCSOWNER61 EICOMPARTICIPANT

  CREATE TABLE "CCSOWNER61"."EICOMPARTICIPANT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRTCPNTADDRTEXT" VARCHAR2(255), 
	"CTIIICODETEXT" VARCHAR2(8), 
	"PRTCPNTREFTEXT" VARCHAR2(40), 
	"COMPRTCPNTTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"INITIATORFLAG" CHAR(1) NOT NULL ENABLE, 
	"EICOMEVENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"LANGUAGEISOCODE" VARCHAR2(3), 
	"EIPRTCPUSRDEF0TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF1TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF2TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF3TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF4TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF5TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF6TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF7TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF8TEXT" VARCHAR2(40), 
	"EIPRTCPUSRDEF9TEXT" VARCHAR2(40)
   ) ;
  ALTER TABLE "CCSOWNER61"."EICOMPARTICIPANT" ADD CONSTRAINT "XPKEICOMPRTCPNT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMPARTICIPANT" ADD CONSTRAINT "FK_COMPRTCPNTTYPE" FOREIGN KEY ("COMPRTCPNTTYPECODE")
	  REFERENCES "CCSOWNER61"."COMPRTCPNTTYPE" ("CODE") ENABLE;
  ALTER TABLE "CCSOWNER61"."EICOMPARTICIPANT" ADD CONSTRAINT "FK_COMPRTCPNTEVNT" FOREIGN KEY ("EICOMEVENTID")
	  REFERENCES "CCSOWNER61"."EICOMEVENT" ("ID") ENABLE;
 
REM CCSOWNER61 I_COMPRTCPNTTYPE

  CREATE INDEX "CCSOWNER61"."I_COMPRTCPNTTYPE" ON "CCSOWNER61"."EICOMPARTICIPANT" ("COMPRTCPNTTYPECODE") 
  ;
 
REM CCSOWNER61 XPKEICOMPRTCPNT

  CREATE UNIQUE INDEX "CCSOWNER61"."XPKEICOMPRTCPNT" ON "CCSOWNER61"."EICOMPARTICIPANT" ("ID") 
  ;
 
REM CCSOWNER61 I_COMPRTCPNTEVNT

  CREATE INDEX "CCSOWNER61"."I_COMPRTCPNTEVNT" ON "CCSOWNER61"."EICOMPARTICIPANT" ("EICOMEVENTID") 
  ;
 