
REM SKYOWNER EBCINTERACTION

  CREATE TABLE "SKYOWNER"."EBCINTERACTION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"INTERACTIONSEQ" NUMBER(10,0), 
	"INTRCTNTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"EICASEID" VARCHAR2(47), 
	"INTERACTIONDESC" VARCHAR2(128), 
	"INTRCTNSTATECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATEDATE" DATE NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"OFFERINGNAME" VARCHAR2(80), 
	"CONTACTORID" VARCHAR2(47), 
	"TASKDESCRIPTION" VARCHAR2(30), 
	"JOBID" VARCHAR2(47), 
	"DOCUMENTNUMBER" VARCHAR2(80), 
	"PORTFOLIOID" VARCHAR2(47), 
	"PORTFOLIOOWNERPARTYID" VARCHAR2(47), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"BILLINGACCOUNTNUMBER" VARCHAR2(12), 
	"CONTACTORTYPECODE" VARCHAR2(10), 
	"ACTIVITYREQUESTNAME" VARCHAR2(80), 
	"ACTIVITYSTARTDATE" DATE, 
	"ACTIVITYENDDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "XPKEBCINTERACTION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNPARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNSTATE" FOREIGN KEY ("INTRCTNSTATECODE")
	  REFERENCES "SKYOWNER"."INTRCTNSTATE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNTYPE" FOREIGN KEY ("INTRCTNTYPECODE")
	  REFERENCES "SKYOWNER"."INTRCTNTYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNCASE" FOREIGN KEY ("EICASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTERACTION_JOB" FOREIGN KEY ("JOBID")
	  REFERENCES "SKYOWNER"."BSBJOB" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_SERVICEINST_EBCINTERACTION" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_BSBPORTFOLIO_EBCINTERACTION" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_PARTY_EBCINTERACTION2" FOREIGN KEY ("PORTFOLIOOWNERPARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER IDX_EBCINT_CREATEDT

  CREATE INDEX "SKYOWNER"."IDX_EBCINT_CREATEDT" ON "SKYOWNER"."EBCINTERACTION" ("CREATEDATE") 
  ;
 
REM SKYOWNER FK_PARTY_EBCINTERACTION2

  CREATE INDEX "SKYOWNER"."FK_PARTY_EBCINTERACTION2" ON "SKYOWNER"."EBCINTERACTION" ("PORTFOLIOOWNERPARTYID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIO_EBCINTERACTION

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIO_EBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_SERVICEINST_EBCINTERACTION

  CREATE INDEX "SKYOWNER"."FK_SERVICEINST_EBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER XPKEBCINTERACTION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("ID") 
  ;
 
REM SKYOWNER I_EBCINTRCTNCASE

  CREATE INDEX "SKYOWNER"."I_EBCINTRCTNCASE" ON "SKYOWNER"."EBCINTERACTION" ("EICASEID") 
  ;
 
REM SKYOWNER IDX_EBC_INSSTATECD

  CREATE INDEX "SKYOWNER"."IDX_EBC_INSSTATECD" ON "SKYOWNER"."EBCINTERACTION" ("INTRCTNSTATECODE") 
  ;
 
REM SKYOWNER IDX_EBC_INSTYECD

  CREATE INDEX "SKYOWNER"."IDX_EBC_INSTYECD" ON "SKYOWNER"."EBCINTERACTION" ("INTRCTNTYPECODE") 
  ;
 
REM SKYOWNER FK_EBCINTERACTION_JOB

  CREATE INDEX "SKYOWNER"."FK_EBCINTERACTION_JOB" ON "SKYOWNER"."EBCINTERACTION" ("JOBID") 
  ;
 
REM SKYOWNER FK_EBCINTRCTNPARTY_CREATED

  CREATE INDEX "SKYOWNER"."FK_EBCINTRCTNPARTY_CREATED" ON "SKYOWNER"."EBCINTERACTION" ("PARTYID", "CREATEDATE") 
  ;
 
REM SKYOWNER EICASE

  CREATE TABLE "SKYOWNER"."EICASE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CASENUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"CASEDESC" VARCHAR2(120), 
	"MERGEDTOCASEID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTACTORID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "XPKEICASE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "XAKEICASE1" UNIQUE ("CASENUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "FK_EICASEMERGED" FOREIGN KEY ("MERGEDTOCASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
 
REM SKYOWNER XPKEICASE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICASE" ON "SKYOWNER"."EICASE" ("ID") 
  ;
 
REM SKYOWNER FK_EICASEMERGED

  CREATE INDEX "SKYOWNER"."FK_EICASEMERGED" ON "SKYOWNER"."EICASE" ("MERGEDTOCASEID") 
  ;
 
REM SKYOWNER XAKEICASE1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKEICASE1" ON "SKYOWNER"."EICASE" ("CASENUMBER") 
  ;
 
REM SKYOWNER EICOMEVENT

  CREATE TABLE "SKYOWNER"."EICOMEVENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMEVENTTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMEVENTSTARTDATE" DATE NOT NULL ENABLE, 
	"EICOMMUNICATIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "XPKEICOMEVENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "FK_COMEVNTEVNTTYPE" FOREIGN KEY ("COMEVENTTYPECODE")
	  REFERENCES "SKYOWNER"."COMEVENTTYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "FK_EICOMEVENTEICOM" FOREIGN KEY ("EICOMMUNICATIONID")
	  REFERENCES "SKYOWNER"."EICOMMUNICATION" ("ID") ENABLE;
 
REM SKYOWNER I_EICOMEVENTEICOM

  CREATE INDEX "SKYOWNER"."I_EICOMEVENTEICOM" ON "SKYOWNER"."EICOMEVENT" ("EICOMMUNICATIONID") 
  ;
 
REM SKYOWNER IDX_EICOMEVNT_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_EICOMEVNT_TYPECODE" ON "SKYOWNER"."EICOMEVENT" ("COMEVENTTYPECODE") 
  ;
 
REM SKYOWNER XPKEICOMEVENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMEVENT" ON "SKYOWNER"."EICOMEVENT" ("ID") 
  ;
 
REM SKYOWNER EICOMMENT

  CREATE TABLE "SKYOWNER"."EICOMMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMENTDATE" DATE NOT NULL ENABLE, 
	"COMMENTTEXT" VARCHAR2(4000) NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"NOTECATEGORYID" VARCHAR2(47), 
	"NOTETITLEID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMMENT" ADD CONSTRAINT "XPKEICOMMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMMENT" ADD CONSTRAINT "FK_EICOMMENTEBCI" FOREIGN KEY ("EBCINTERACTIONID")
	  REFERENCES "SKYOWNER"."EBCINTERACTION" ("ID") ENABLE;
 
REM SKYOWNER XPKEICOMMENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMMENT" ON "SKYOWNER"."EICOMMENT" ("ID") 
  ;
 
REM SKYOWNER I_EICOMMENTEBCI

  CREATE INDEX "SKYOWNER"."I_EICOMMENTEBCI" ON "SKYOWNER"."EICOMMENT" ("EBCINTERACTIONID") 
  ;
 
REM SKYOWNER FK_BSBHISTNOTECAT_EICOMMENT

  CREATE INDEX "SKYOWNER"."FK_BSBHISTNOTECAT_EICOMMENT" ON "SKYOWNER"."EICOMMENT" ("NOTECATEGORYID") 
  ;
 
REM SKYOWNER FK_BSBHISTNOTETITLE_EICOMMENT

  CREATE INDEX "SKYOWNER"."FK_BSBHISTNOTETITLE_EICOMMENT" ON "SKYOWNER"."EICOMMENT" ("NOTETITLEID") 
  ;
 
REM SKYOWNER EICOMMUNICATION

  CREATE TABLE "SKYOWNER"."EICOMMUNICATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMIOFLAG" CHAR(1), 
	"COMTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMADDRESSTEXT" VARCHAR2(255), 
	"COMSTARTDATE" DATE NOT NULL ENABLE, 
	"EICASEID" VARCHAR2(47), 
	"DIALLEDNUMBER" VARCHAR2(6)
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMMUNICATION" ADD CONSTRAINT "XPKEICOMMUNICATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMMUNICATION" ADD CONSTRAINT "FK_EICASE_EICOMMUNICATION" FOREIGN KEY ("EICASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
 
REM SKYOWNER XPKEICOMMUNICATION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMMUNICATION" ON "SKYOWNER"."EICOMMUNICATION" ("ID") 
  ;
 
REM SKYOWNER IDX_EICOM_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_EICOM_TYPECODE" ON "SKYOWNER"."EICOMMUNICATION" ("COMTYPECODE") 
  ;
 
REM SKYOWNER FK_EICASE_EICOMMUNICATION

  CREATE INDEX "SKYOWNER"."FK_EICASE_EICOMMUNICATION" ON "SKYOWNER"."EICOMMUNICATION" ("EICASEID") 
  ;
 
REM SKYOWNER IDX_EICOM_COMSTARTDT

  CREATE INDEX "SKYOWNER"."IDX_EICOM_COMSTARTDT" ON "SKYOWNER"."EICOMMUNICATION" ("COMSTARTDATE") 
  ;
 