
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
REM TOOLS REMOVE_CONSTANTS

  CREATE OR REPLACE FUNCTION "TOOLS"."REMOVE_CONSTANTS" (p_query IN VARCHAR2) RETURN VARCHAR2 AS
   l_query     LONG;
   l_char      VARCHAR2(1);
   l_in_quotes BOOLEAN DEFAULT FALSE;
BEGIN
   FOR i IN 1 .. length(p_query)
   LOOP
      l_char := substr(p_query, i, 1);
      IF (l_char = '''' AND l_in_quotes) THEN
         l_in_quotes := FALSE;
      ELSIF (l_char = '''' AND NOT l_in_quotes) THEN
         l_in_quotes := TRUE;
         l_query     := l_query || '''#';
      END IF;
      IF (NOT l_in_quotes) THEN
         l_query := l_query || l_char;
      END IF;
   END LOOP;
   l_query := translate(l_query, '0123456789', '@@@@@@@@@@');
   FOR i IN 0 .. 8
   LOOP
      l_query := REPLACE(l_query, lpad('@', 10 - i, '@'), '@');
      l_query := REPLACE(l_query, lpad(' ', 10 - i, ' '), ' ');
   END LOOP;
   RETURN upper(l_query);
END;


/
 
REM TOOLS BSB_STRAGG

  CREATE OR REPLACE FUNCTION "TOOLS"."BSB_STRAGG" (input VARCHAR2) RETURN VARCHAR2
   PARALLEL_ENABLE
   AGGREGATE USING tools.bsb_stragg_type;


/
 
REM TOOLS ISXML

  CREATE OR REPLACE FUNCTION "TOOLS"."ISXML" (p_string VARCHAR) RETURN NUMBER IS
   x xmltype;
BEGIN

   x := xmltype(p_string);

   RETURN 1;

EXCEPTION
   WHEN OTHERS THEN

      RETURN 0;

END;


/
 
REM TOOLS COMMENTS_TO_XML

  CREATE OR REPLACE FUNCTION "TOOLS"."COMMENTS_TO_XML" (p_string       IN VARCHAR
                                          ,p_comment_type IN VARCHAR) RETURN XMLTYPE IS
   xml_comments xmltype;
   xml_string varchar2(4000);

   xml_tab_mask VARCHAR2(4000) := '<BSBTable><BSBFuncAreas><BSBFuncArea>None</BSBFuncArea></BSBFuncAreas><BSBTabDesc>$$TabDesc$$</BSBTabDesc></BSBTable>';
   xml_col_mask VARCHAR2(4000) := '<BSBColumn><BSBColDesc>$$ColDesc$$</BSBColDesc><BSBColValRules></BSBColValRules><BSBColInterVal></BSBColInterVal><BSBColComments></BSBColComments></BSBColumn>';

BEGIN
   IF p_string IS NULL
      AND p_comment_type = 'T' THEN
      xml_comments := xmltype(REPLACE(xml_tab_mask, '$$TabDesc$$', ''));
   ELSIF p_string IS NULL
         AND p_comment_type = 'C' THEN
      xml_comments := xmltype(REPLACE(xml_col_mask, '$$ColDesc$$', ''));
   ELSIF isxml(p_string) = 0 THEN
      xml_string := REPLACE(p_string, '&', '&amp;');
      IF p_comment_type = 'T' THEN
         xml_comments := xmltype(REPLACE(xml_tab_mask, '$$TabDesc$$', xml_string));
      ELSE
         xml_comments := xmltype(REPLACE(xml_col_mask, '$$ColDesc$$', xml_string));
      END IF;
   ELSE
      xml_comments := xmltype(p_string);
   END IF;

   RETURN(xml_comments);
END comments_to_xml;


/
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
REM TOOLS BSB_LOG

  CREATE OR REPLACE PACKAGE "TOOLS"."BSB_LOG" IS
   g_clob CLOB;
   g_sess v$session%ROWTYPE;

   PROCEDURE entry(p_t IN VARCHAR2);
   PROCEDURE var(var_name IN VARCHAR2
                ,var      IN VARCHAR2);
   PROCEDURE write_log;
   PROCEDURE error;
   PROCEDURE module(p_module IN VARCHAR2);
   PROCEDURE action(p_action IN VARCHAR2);

END bsb_log;
/
CREATE OR REPLACE PACKAGE BODY "TOOLS"."BSB_LOG" IS

   invalid_lob EXCEPTION;
   PRAGMA EXCEPTION_INIT(invalid_lob, -22275);

   PROCEDURE init IS
   BEGIN
      dbms_lob.createTemporary(g_clob, TRUE);
      dbms_lob.OPEN(g_clob, dbms_lob.lob_readwrite);
   END init;

   PROCEDURE entry(p_t IN VARCHAR2) IS
      t VARCHAR2(32000);
   BEGIN
      t := TO_CHAR(SYSDATE, 'DD-MON-YYYY HH24:MI:SS') || ' : ' || p_t;
      dbms_lob.writeappend(g_clob, length(t) + 1, t || chr(10));
   EXCEPTION
      WHEN invalid_lob THEN
         init;
         dbms_lob.writeappend(g_clob, length(t) + 1, t || chr(10));
   END entry;

   PROCEDURE free IS
   BEGIN
      dbms_lob.CLOSE(g_clob);
      dbms_lob.freeTemporary(g_clob);
   END free;

   PROCEDURE write_log IS
      PRAGMA AUTONOMOUS_TRANSACTION;
      l_err NUMBER(5) := SQLCODE;
   BEGIN
      SELECT *
      INTO   g_sess
      FROM   v$session
      WHERE  audsid = userenv('SESSIONID');
   
      INSERT INTO error_log
         (error_id
         ,session_id
         ,sid
         ,username
         ,osuser
         ,machine
         ,terminal
         ,program
         ,module
         ,action
         ,error_date
         ,ERROR_CODE
         ,trace)
      VALUES
         (error_id_seq.NEXTVAL
         , --error_id, 
          g_sess.audsid
         , --session_id, 
          g_sess.sid
         ,g_sess.username
         ,g_sess.osuser
         ,g_sess.machine
         ,g_sess.terminal
         ,g_sess.program
         ,g_sess.module
         ,g_sess.action
         ,SYSDATE
         , --error_date, 
          l_err
         , --error_code, 
          g_clob);
      COMMIT;
      free;
   END write_log;

   PROCEDURE error IS
   BEGIN
      entry('ERROR: ' || SQLERRM);
      write_log;
   END error;

   PROCEDURE module(p_module IN VARCHAR2) IS
   BEGIN
      dbms_application_info.set_module(module_name => p_module, action_name => NULL);
      entry('ENTERED ' || p_module);
   END;

   PROCEDURE action(p_action IN VARCHAR2) IS
   BEGIN
      dbms_application_info.set_action(action_name => p_action);
      entry('PERFORMING ' || p_action);
   END;

   PROCEDURE var(var_name IN VARCHAR2
                ,var      IN VARCHAR2) IS
   BEGIN
      entry('  ' || var_name || ' = |' || var || '|');
   END;

BEGIN
   init;
END bsb_log;
/
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
REM TOOLS EXPORT_TO_SQLLDR

  CREATE OR REPLACE PROCEDURE "TOOLS"."EXPORT_TO_SQLLDR" (p_dir          IN VARCHAR2
                                                  ,p_sql          IN VARCHAR2
                                                  ,p_owner        IN VARCHAR2
                                                  ,p_tablename    IN VARCHAR2
                                                  ,p_filenum      IN VARCHAR2
                                                  ,o_rowsexported OUT PLS_INTEGER) AUTHID CURRENT_USER IS
   sep  VARCHAR2(10);
   sep2 VARCHAR2(10);

   v_cur       INTEGER;
   v_desc_tab  dbms_sql.desc_tab;
   v_col_count INTEGER;
   qry_txt     VARCHAR2(4000) := 'select * from ' || p_owner || '.' || p_tablename;
   cols        VARCHAR2(4000);
   cols2       VARCHAR2(4000);
   f           utl_file.file_type;
   v_c         SYS_REFCURSOR;
   TYPE t IS TABLE OF VARCHAR2(4000);
   v_arr      t;
   v_rowcount PLS_INTEGER := 0;
   l_filename VARCHAR2(400);

BEGIN
   l_filename := p_filenum || '_' || TO_CHAR(SYSDATE, 'YYYYMMDD') || '_' || upper(p_tablename) || '.ctl';
   f          := utl_file.fopen(p_dir, l_filename, 'W');

   v_cur := dbms_sql.open_cursor;

   dbms_sql.parse(v_cur, qry_txt, dbms_sql.native);
   dbms_sql.describe_columns(v_cur, v_col_count, v_desc_tab);
   dbms_sql.close_cursor(v_cur);

   FOR i IN 1 .. v_col_count
   LOOP
      cols := cols || sep || v_desc_tab(i).col_name;
   
      IF v_desc_tab(i).col_type = 12 THEN
         cols2 := cols2 || sep2 || 'to_char(' || v_desc_tab(i)
                 .col_name || ',''YYYYMMDDHH24MISS'')';
         cols  := cols || ' DATE "YYYYMMDDHH24MISS"';
      ELSIF v_desc_tab(i).col_type = 1 THEN
         cols2 := cols2 || sep2 || v_desc_tab(i).col_name;
      ELSE
         cols2 := cols2 || sep2 || 'to_char(' || v_desc_tab(i).col_name || ')';
      END IF;
      sep  := chr(10) || ',';
      sep2 := '||''|''||';
   END LOOP;
   utl_file.put_line(f,
                     'LOAD DATA
INFILE *
APPEND
INTO TABLE ' || upper(p_owner) || '.' || upper(p_tablename) || '
FIELDS TERMINATED BY "|"
TRAILING NULLCOLS
(' || cols || '
)
BEGINDATA');

   OPEN v_c FOR 'select ' || cols2 || ' from (' || NVL(p_sql, qry_txt) || ')';
   LOOP
      FETCH v_c BULK COLLECT
         INTO v_arr LIMIT 100000;
      EXIT WHEN v_c%NOTFOUND;
      FOR i IN 1 .. v_arr.COUNT
      LOOP
         utl_file.put_line(f, v_arr(i));
         --dbms_lob.writeappend(f, length(v_arr(i)) + 1, v_arr(i) || chr(10));
         v_rowcount := v_rowcount + 1;
      END LOOP;
   END LOOP;
   FOR i IN 1 .. v_arr.COUNT
   LOOP
      utl_file.put_line(f, v_arr(i));
      --dbms_lob.writeappend(f, length(v_arr(i)) + 1, v_arr(i) || chr(10));
      v_rowcount := v_rowcount + 1;
   END LOOP;
   --:loader_file   := f;
   o_rowsexported := v_rowcount;
   utl_file.fclose(f);
END export_to_sqlldr;
/
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
REM TOOLS ERROR_ID_SEQ

   CREATE SEQUENCE  "TOOLS"."ERROR_ID_SEQ"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 381 NOCACHE  NOORDER  NOCYCLE ;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
REM TOOLS BSB_STRAGG_TYPE

  CREATE OR REPLACE TYPE "TOOLS"."BSB_STRAGG_TYPE" AS OBJECT
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.0  $
  $Date:   Mar 03 2006 15:41:58  $

  Usage:
  This is an Aggregate type used in the BSB_STRAGG aggregate function.

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  03/03/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/TOOLS/Types/bsb_stragg_type.tps-arc  $

   Rev 1.0   Mar 03 2006 15:41:58   dwi52
Initial revision.

******************************************************************************************/
(
   total VARCHAR2(4000),

   STATIC FUNCTION ODCIAggregateInitialize(sctx IN OUT tools.bsb_stragg_type) RETURN NUMBER,

   MEMBER FUNCTION ODCIAggregateIterate(SELF  IN OUT tools.bsb_stragg_type
                                       ,VALUE IN VARCHAR2) RETURN NUMBER,

   MEMBER FUNCTION ODCIAggregateTerminate(SELF        IN tools.bsb_stragg_type
                                         ,returnValue OUT VARCHAR2
                                         ,flags       IN NUMBER) RETURN NUMBER,

   MEMBER FUNCTION ODCIAggregateMerge(SELF IN OUT tools.bsb_stragg_type
                                     ,ctx2 IN tools.bsb_stragg_type) RETURN NUMBER
);


/
CREATE OR REPLACE TYPE BODY "TOOLS"."BSB_STRAGG_TYPE" IS
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.0  $
  $Date:   Mar 03 2006 15:41:58  $

  Usage:
  This is an Aggregate type used in the BSB_STRAGG aggregate function.

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  03/03/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/TOOLS/Types/bsb_stragg_type.tpb-arc  $

   Rev 1.0   Mar 03 2006 15:41:58   dwi52
Initial revision.

******************************************************************************************/
   STATIC FUNCTION ODCIAggregateInitialize(sctx IN OUT tools.bsb_stragg_type) RETURN NUMBER
   IS
   BEGIN
      sctx := tools.bsb_stragg_type(NULL);
      RETURN ODCIConst.Success;
   END;

   MEMBER FUNCTION ODCIAggregateIterate(SELF IN OUT tools.bsb_stragg_type, VALUE IN VARCHAR2) RETURN NUMBER
   IS
   BEGIN
      SELF.total := SELF.total || ',' || VALUE;
      RETURN ODCIConst.Success;
   END;

   MEMBER FUNCTION ODCIAggregateTerminate(SELF IN tools.bsb_stragg_type, returnValue OUT VARCHAR2, flags IN NUMBER) RETURN NUMBER
   IS
   BEGIN
      returnValue := ltrim(SELF.total, ',');
      RETURN ODCIConst.Success;
   END;

   MEMBER FUNCTION ODCIAggregateMerge(SELF IN OUT tools.bsb_stragg_type, ctx2 IN tools.bsb_stragg_type) RETURN NUMBER
   IS
   BEGIN
      SELF.total := SELF.total || ctx2.total;
      RETURN ODCIConst.Success;
   END;

END;


/
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG_TYPE" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."EXPORT_TO_SQLLDR" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."REMOVE_CONSTANTS" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_STRAGG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."ISXML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."COMMENTS_TO_XML" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 
  GRANT EXECUTE ON "TOOLS"."BSB_LOG" TO PUBLIC;
 