
REM SKYOWNER ATTRJOININFO

  CREATE TABLE "SKYOWNER"."ATTRJOININFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"JOINORDER" NUMBER(2,0) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80), 
	"STATICATTRDEFID" NUMBER(10,0) NOT NULL ENABLE, 
	"FRSTATICATTRDEFID" NUMBER(10,0) NOT NULL ENABLE, 
	"TOSTATICATTRDEFID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."ATTRJOININFO" ADD CONSTRAINT "XPKATTRJOININFO" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."ATTRJOININFO" ADD CONSTRAINT "FK_FRSTATTRDEFID" FOREIGN KEY ("FRSTATICATTRDEFID")
	  REFERENCES "SKYOWNER"."STATICATTRDEF" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "SKYOWNER"."ATTRJOININFO" ADD CONSTRAINT "FK_ATTRDEFJOIN" FOREIGN KEY ("STATICATTRDEFID")
	  REFERENCES "SKYOWNER"."STATICATTRDEF" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "SKYOWNER"."ATTRJOININFO" ADD CONSTRAINT "FK_TOSTATTRDEFID" FOREIGN KEY ("TOSTATICATTRDEFID")
	  REFERENCES "SKYOWNER"."STATICATTRDEF" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER BIZSVCCLASSINFO

  CREATE TABLE "SKYOWNER"."BIZSVCCLASSINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"BIZSVCID" NUMBER(10,0) NOT NULL ENABLE, 
	"CLASSINFOID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BIZSVCCLASSINFO" ADD CONSTRAINT "XPKBIZSVCCLSINFO" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BIZSVCCLASSINFO" ADD CONSTRAINT "FK_BIZCLSINFOBIZ" FOREIGN KEY ("BIZSVCID")
	  REFERENCES "SKYOWNER"."DEFDATABIZSVC" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BIZSVCCLASSINFO" ADD CONSTRAINT "FK_BIZCLSINFOCLS" FOREIGN KEY ("CLASSINFOID")
	  REFERENCES "SKYOWNER"."DEFDATACLASSINFO" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER BSBADDRESS

  CREATE TABLE "SKYOWNER"."BSBADDRESS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"HOUSENUMBER" VARCHAR2(30), 
	"HOUSENAME" VARCHAR2(50), 
	"STREET" VARCHAR2(50), 
	"TOWN" VARCHAR2(35) NOT NULL ENABLE, 
	"LOCALITY" VARCHAR2(80), 
	"COUNTY" VARCHAR2(35), 
	"POSTCODE" VARCHAR2(7), 
	"COUNTRYCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"BLACKLISTEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"ADDRESSLINE1" VARCHAR2(50), 
	"ADDRESSLINE2" VARCHAR2(50), 
	"ADDRESSLINE3" VARCHAR2(50), 
	"ADDRESSLINE4" VARCHAR2(50), 
	"QASVALIDATED" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"DPSUFFIX" VARCHAR2(2)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBADDRESS" ADD PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBADDRESSUSAGEROLE

  CREATE TABLE "SKYOWNER"."BSBADDRESSUSAGEROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE, 
	"EFFECTIVETO" DATE, 
	"ADDRESSID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"FMSCUSTOMERID" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBADDRESSUSAGEROLE" ADD CONSTRAINT "PK_BSBADDRESSUSAGEROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBADDRESSUSAGEROLE" ADD CONSTRAINT "FK_BSBADDRESS_ADDRUSAGEROLE" FOREIGN KEY ("ADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBADDRESSUSAGEROLE" ADD CONSTRAINT "FK_SERVICEINSTANCE_ADDRUSAGERO" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBADMINMESSAGES

  CREATE TABLE "SKYOWNER"."BSBADMINMESSAGES" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EVENT_ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVE_DATE" DATE NOT NULL ENABLE, 
	"EVENT" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBADMINMESSAGES" ADD CONSTRAINT "PK_BSBADMINMESSAGES" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBAGREEMENTITEM

  CREATE TABLE "SKYOWNER"."BSBAGREEMENTITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTITEMTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"AGREEDFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"STATUSCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"DESCRIPTION" VARCHAR2(255), 
	"ORDERID" VARCHAR2(47), 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTITEM" ADD CONSTRAINT "PK_BSBAGREEMENTITEM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTITEM" ADD CONSTRAINT "FK_BSBORDER_AGRMENTITEM" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBAGREEMENTRANGE

  CREATE TABLE "SKYOWNER"."BSBAGREEMENTRANGE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"RETAILBUSINESSID" VARCHAR2(47), 
	"RANGESTART" VARCHAR2(12) NOT NULL ENABLE, 
	"RANGEEND" VARCHAR2(12) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVETODATE" DATE, 
	"GRACEPERIODENDDATE" DATE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"SUBSCRIPTIONAGREEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTRANGE" ADD CONSTRAINT "PK_BSBAGREEMENTRANGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTRANGE" ADD CONSTRAINT "FK_RETAILBUS_AGGRRANGE" FOREIGN KEY ("RETAILBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBAGREEMENTTOENT

  CREATE TABLE "SKYOWNER"."BSBAGREEMENTTOENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"ENTITLEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTOENT" ADD CONSTRAINT "PK_BSBAGREEMENTENTBRIDGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTOENT" ADD CONSTRAINT "FK_BSBAGTOENT_CONTRACT" FOREIGN KEY ("AGREEMENTNUMBER")
	  REFERENCES "SKYOWNER"."BSBPAPERAGREEMENT" ("AGREEMENTNUMBER") ENABLE;
 
REM SKYOWNER BSBAGREEMENTTRANSFER

  CREATE TABLE "SKYOWNER"."BSBAGREEMENTTRANSFER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"SOURCERETAILERID" VARCHAR2(47) NOT NULL ENABLE, 
	"DESTINATIONRETAILERID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTRANSFER" ADD CONSTRAINT "PK_BSBAGREEMENTTRANSFER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTRANSFER" ADD CONSTRAINT "FK_RETAILBUS_AGRTRANS_DESTID" FOREIGN KEY ("DESTINATIONRETAILERID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTRANSFER" ADD CONSTRAINT "FK_RETAILBUS_ARGTRANS_SRCID" FOREIGN KEY ("SOURCERETAILERID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAGREEMENTTRANSFER" ADD CONSTRAINT "FK_CUSTAGR_AGREEMENTTRANS" FOREIGN KEY ("AGREEMENTID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("AGREEMENTITEMID") ENABLE;
 
REM SKYOWNER BSBAPPLICATIONSTATE

  CREATE TABLE "SKYOWNER"."BSBAPPLICATIONSTATE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATE" VARCHAR2(100) NOT NULL ENABLE, 
	"DEFAULTFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAPPLICATIONSTATE" ADD CONSTRAINT "PK_BSBAPPLICATIONSTATE" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBAUTHORIZEDCONTACTROLE

  CREATE TABLE "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" 
   (	"PARTYROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"RELATIONSHIPTOCUSTOMER" VARCHAR2(20), 
	"OTHERRELATIONSHIPDESCRIPTION" VARCHAR2(255), 
	"PORTFOLIOID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" ADD CONSTRAINT "PK_BSBAUTHORIZEDCONTACTROLE" PRIMARY KEY ("PARTYROLEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" ADD CONSTRAINT "FK_AUTHCONTACT_PARTYROLE" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "SKYOWNER"."BSBPARTYROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" ADD CONSTRAINT "FK_AUTHCONTACTROLE_PORTFOLIO" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
 
REM SKYOWNER BSBBATCHNUMBER

  CREATE TABLE "SKYOWNER"."BSBBATCHNUMBER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BATCHNUMBER" NUMBER(5,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBATCHNUMBER" ADD CONSTRAINT "PK_BSBBATCHNUMBER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBATCHNUMBER" ADD CONSTRAINT "FK_BSBBATCHNUMBER_BATCHNUMBER" UNIQUE ("BATCHNUMBER") ENABLE;
 
REM SKYOWNER BSBBATCHRUN

  CREATE TABLE "SKYOWNER"."BSBBATCHRUN" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BATCHNUMBER" NUMBER(5,0) NOT NULL ENABLE, 
	"BATCHDATE" DATE NOT NULL ENABLE, 
	"BATCHTYPE" VARCHAR2(1) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBATCHRUN" ADD CONSTRAINT "PK_BSBBATCHRUN" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBATCHRUN" ADD CONSTRAINT "FK_BSBBATCHRUN_BATCHNUMBER" FOREIGN KEY ("BATCHNUMBER")
	  REFERENCES "SKYOWNER"."BSBBATCHNUMBER" ("BATCHNUMBER") ENABLE;
 
REM SKYOWNER BSBBILLINGACCOUNT

  CREATE TABLE "SKYOWNER"."BSBBILLINGACCOUNT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PORTFOLIOID" VARCHAR2(47) NOT NULL ENABLE, 
	"CURRENCYCODE" VARCHAR2(10), 
	"ACCOUNTALIAS" VARCHAR2(120) NOT NULL ENABLE, 
	"ACCOUNTNUMBER" VARCHAR2(12), 
	"SKELETALACCOUNTFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"PAYMENTDUEDAY" NUMBER(2,0) NOT NULL ENABLE, 
	"SENDPAPERBILL" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"AGENCYCODE" VARCHAR2(10), 
	"ACCOUNTACTIVATIONDATE" DATE, 
	"ACCOUNTSTATUSCODE" VARCHAR2(10), 
	"CUSTOMERTYPECODE" VARCHAR2(10) DEFAULT 'STD' NOT NULL ENABLE, 
	"CUSTOMERSUBTYPECODE" VARCHAR2(10), 
	"DISABILITYLETTERTYPECODE" VARCHAR2(10) DEFAULT '06' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"WELCOMELETTERSENT" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"DUEDAYCHANGEDDATE" DATE, 
	"PREVIOUSPAYMENTDUEDAY" NUMBER(2,0)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBILLINGACCOUNT" ADD CONSTRAINT "PK_BSBBILLINGACCOUNT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGACCOUNT" ADD CHECK (welcomelettersent in ( 0,1 )) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGACCOUNT" ADD CONSTRAINT "FK_PORTFOLIO_BILLACC" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGACCOUNT" ADD CONSTRAINT "FK_SERVICEINSTANCE_BILLACCOUNT" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBBILLINGADDRESSROLE

  CREATE TABLE "SKYOWNER"."BSBBILLINGADDRESSROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"ADDRESSID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE NOT NULL ENABLE, 
	"EFFECTIVETO" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBILLINGADDRESSROLE" ADD CONSTRAINT "PK_BSBBILLINGADDRESSROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGADDRESSROLE" ADD CONSTRAINT "FK_BILLACC_BILLADDRROLE" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGADDRESSROLE" ADD CONSTRAINT "FK_BSBADDRESS_BILLADDRROLE" FOREIGN KEY ("ADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
 
REM SKYOWNER BSBBILLINGITEM

  CREATE TABLE "SKYOWNER"."BSBBILLINGITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGITEMSTATUSCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PRICEABLEUNITID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGACTIONTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"TRANSACTIONDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE NOT NULL ENABLE, 
	"SALESTYPE" VARCHAR2(10), 
	"ISDELETED" NUMBER(1,0)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBILLINGITEM" ADD CONSTRAINT "PK_BSBBILLINGITEM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGITEM" ADD CONSTRAINT "FK_BILLACCOUNT_BILLINGITEM" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBILLINGITEM" ADD CONSTRAINT "FK_PRICEABLEUNIT_BILLINGITEM" FOREIGN KEY ("PRICEABLEUNITID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
 
REM SKYOWNER BSBBROADBANDCUSTPRODELEMENT

  CREATE TABLE "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" 
   (	"LINEPRODUCTELEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"TELEPHONEUSAGEROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICENUMBER" VARCHAR2(47), 
	"OPERATINGSPEED" VARCHAR2(10), 
	"THRESHOLDSPEED" VARCHAR2(10), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" ADD CONSTRAINT "PK_BSBBROADBANDCUSTPRODELEMENT" PRIMARY KEY ("LINEPRODUCTELEMENTID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" ADD CONSTRAINT "FK_BSBCUSTOMERPRODUCTELEMENT" FOREIGN KEY ("LINEPRODUCTELEMENTID")
	  REFERENCES "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" ADD CONSTRAINT "FK_BSBTELEPHONEUSAGEROLE" FOREIGN KEY ("TELEPHONEUSAGEROLEID")
	  REFERENCES "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBBROADBANDEMAILSETTINGS

  CREATE TABLE "SKYOWNER"."BSBBROADBANDEMAILSETTINGS" 
   (	"EMAILID" VARCHAR2(47) NOT NULL ENABLE, 
	"SPAMFILTERON" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDEMAILSETTINGS" ADD CONSTRAINT "CHK_SPAMFILTERON" CHECK (SpamFilterOn IN (0,1)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDEMAILSETTINGS" ADD CONSTRAINT "PK_BSBBROADBANDEMAILSETTINGS" PRIMARY KEY ("EMAILID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDEMAILSETTINGS" ADD CONSTRAINT "FK_BSBEMAIL_BBEMAILSETTINGS" FOREIGN KEY ("EMAILID")
	  REFERENCES "SKYOWNER"."BSBEMAIL" ("ID") ENABLE;
 
REM SKYOWNER BSBBROADBANDREQUIREMENT

  CREATE TABLE "SKYOWNER"."BSBBROADBANDREQUIREMENT" 
   (	"BROADBANDFULFILMENTITEMID" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTACTTELNO" VARCHAR2(18), 
	"MACREQUIRED" NUMBER(1,0), 
	"MAC" VARCHAR2(30), 
	"ORDERNO" VARCHAR2(47), 
	"EXPECTEDDELIVERYDATE" DATE, 
	"EXTERNALMESSAGECODE" VARCHAR2(30), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"TITLE" VARCHAR2(10), 
	"FIRSTNAME" VARCHAR2(40), 
	"SURNAME" VARCHAR2(40)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDREQUIREMENT" ADD CONSTRAINT "CHK_MACREQUIRED" CHECK (MACRequired IN (0,1)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDREQUIREMENT" ADD CONSTRAINT "PK_BSBBROADBANDREQUIREMENT" PRIMARY KEY ("BROADBANDFULFILMENTITEMID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDREQUIREMENT" ADD CONSTRAINT "FK_BSBFULFILMENTITEM" FOREIGN KEY ("BROADBANDFULFILMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBFULFILMENTITEM" ("ID") ENABLE;
 
REM SKYOWNER BSBBROADBANDROUTER

  CREATE TABLE "SKYOWNER"."BSBBROADBANDROUTER" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"SERIALNUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"MACADDRESS" VARCHAR2(30) NOT NULL ENABLE, 
	"INSTALLED" DATE, 
	"AUTHENTICATED" DATE, 
	"ALLOCATED" NUMBER(1,0) NOT NULL ENABLE, 
	"FIRMWAREVER" VARCHAR2(20), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47), 
	"ENDOFUSEDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDROUTER" ADD CONSTRAINT "PK_BROAD_BAND_ROUTER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDROUTER" ADD CONSTRAINT "UK_BBROUTER_SN" UNIQUE ("SERIALNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDROUTER" ADD CONSTRAINT "UK_BBROUTER_MAC" UNIQUE ("MACADDRESS") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBROADBANDROUTER" ADD CONSTRAINT "CK_BBROUTER_ALLOCATED" CHECK ( allocated IN (0,1) ) ENABLE;
 
REM SKYOWNER BSBBUSINESS

  CREATE TABLE "SKYOWNER"."BSBBUSINESS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"TRADINGNAME" VARCHAR2(30), 
	"LEGALNAME" VARCHAR2(30), 
	"LEGALENTITYCODE" VARCHAR2(8), 
	"WEBSITE" VARCHAR2(255), 
	"VATNUMBER" VARCHAR2(12), 
	"VATRATECODE" VARCHAR2(8), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"IDENTIFYINGNAME" VARCHAR2(95), 
	"VATREGIONCODE" VARCHAR2(8), 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBUSINESS" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBUSINESS" ADD CONSTRAINT "FK_BUSINESS_PARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBBUSINESSCONTACTOR

  CREATE TABLE "SKYOWNER"."BSBBUSINESSCONTACTOR" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"POSITION" VARCHAR2(30), 
	"PRIMARYCONTACTFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"BUSINESSPARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTACTORPARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBBUSINESSCONTACTOR" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBUSINESSCONTACTOR" ADD CONSTRAINT "FK_PARTY_BUSCONACTOR_CON" FOREIGN KEY ("CONTACTORPARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBBUSINESSCONTACTOR" ADD CONSTRAINT "FK_PARTY_BUSCONTACTOR_BUSID" FOREIGN KEY ("BUSINESSPARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBCALLBACKINFORMATION

  CREATE TABLE "SKYOWNER"."BSBCALLBACKINFORMATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CALLBACKDATE" DATE NOT NULL ENABLE, 
	"CALLBACKNUMBER" VARCHAR2(16), 
	"FIRSTCALLBACK" NUMBER(1,0) NOT NULL ENABLE, 
	"SETTOPBOXNDSNUMBER" VARCHAR2(50) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ORDERID" VARCHAR2(47), 
	"CARDSUBSCRIBERID" VARCHAR2(50) NOT NULL ENABLE, 
	"ISSUENUMBER" NUMBER(5,0) NOT NULL ENABLE, 
	"CARDNUMBER" NUMBER(12,0) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCALLBACKINFORMATION" ADD CONSTRAINT "PK_BSBCALLBACKINFORMATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCALLBACKINFORMATION" ADD CONSTRAINT "FK_BSBSERVICEINSTANCE_CALLBACK" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCALLBACKINFORMATION" ADD CONSTRAINT "FK_BSBORDER_CALLBACKINFO" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBCAMPAIGNOUTCOME

  CREATE TABLE "SKYOWNER"."BSBCAMPAIGNOUTCOME" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CAMPAIGNSOURCEID" NUMBER(10,0), 
	"INTERESTSOURCEID" NUMBER(10,0), 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"CAMPAIGNRESOLUTIONID" NUMBER(10,0), 
	"PRODUCTGROUPCODE" VARCHAR2(8), 
	"DIALLERDISPOSITIONCODE" VARCHAR2(10), 
	"FULFILLEDCAMPAIGNOFFERID" NUMBER(10,0), 
	"TARGETCAMPAIGNOFFERID" NUMBER(10,0), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCAMPAIGNOUTCOME" ADD CONSTRAINT "PK_BSBCAMPAIGNOUTCOME" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCAMPAIGNOUTCOME" ADD CONSTRAINT "FK_EBCINTRACTN_CAMPAIGNOUTCOME" FOREIGN KEY ("EBCINTERACTIONID")
	  REFERENCES "SKYOWNER"."EBCINTERACTION" ("ID") ENABLE;
 
REM SKYOWNER BSBCANCELLATIONATTEMPT

  CREATE TABLE "SKYOWNER"."BSBCANCELLATIONATTEMPT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ATTEMPTDATE" DATE NOT NULL ENABLE, 
	"PORTFOLIOPRODUCTID" VARCHAR2(47), 
	"CANCELLATIONREASONID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"OUTCOME" VARCHAR2(47), 
	"ORDERID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"PORTFOLIOOFFERID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCANCELLATIONATTEMPT" ADD CONSTRAINT "PK_BSBCANCELLATIONATTEMPT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCANCELLATIONATTEMPT" ADD CONSTRAINT "FK_ORDER_CANCELATTEMPT" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCANCELLATIONATTEMPT" ADD CONSTRAINT "FK_BSBPORTFOLIOPRODUCT_CANCELA" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
 
REM SKYOWNER BSBCICINFORMATION

  CREATE TABLE "SKYOWNER"."BSBCICINFORMATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRIMARYSERVICEINSTANCEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CICPIN" VARCHAR2(4), 
	"CICPINCOUNT" VARCHAR2(1), 
	"CICPINSTATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"BILLINGACCOUNTPINCOUNT" VARCHAR2(1), 
	"BILLINGACCOUNTPINSTATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCICINFORMATION" ADD CONSTRAINT "PK_BSBCICINFORMATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCICINFORMATION" ADD CONSTRAINT "FK_SERVICEINS_CICPININFO" FOREIGN KEY ("PRIMARYSERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBCLAWBACKACCOUNTLOOKUP

  CREATE TABLE "SKYOWNER"."BSBCLAWBACKACCOUNTLOOKUP" 
   (	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CLAWBACKAMOUNT" NUMBER(9,2) NOT NULL ENABLE, 
	 CONSTRAINT "PK_CLAWBACKACCOUNTLOOKUP" PRIMARY KEY ("BILLINGACCOUNTID") ENABLE
   ) ORGANIZATION INDEX NOCOMPRESS ;
 
REM SKYOWNER BSBCLIVIOLATION

  CREATE TABLE "SKYOWNER"."BSBCLIVIOLATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMPLIANCEDATE" DATE, 
	"SERVICEINSTANCEID" VARCHAR2(47) NOT NULL ENABLE, 
	"VIOLATIONDATE" DATE, 
	"VIOLATIONTYPECODE" VARCHAR2(10), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUSCODE" VARCHAR2(10), 
	"STATUSCHANGEDATE" DATE, 
	"PREVIOUSSTATUSCODE" VARCHAR2(10), 
	"PREVIOUSSTATUSCHANGEDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCLIVIOLATION" ADD CONSTRAINT "PK_BSBCLIVIOLATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCLIVIOLATION" ADD CONSTRAINT "FK_SERVICEINSTANCE_CLIVIOLATIO" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBCOMMERCIALAGREEMENTITEM

  CREATE TABLE "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" 
   (	"AGREEMENTITEMID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMERCIALAGREEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"PORTFOLIOPRODUCTID" VARCHAR2(47), 
	"PORTFOLIOOFFERID" VARCHAR2(47), 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ADD CONSTRAINT "PK_BSBCOMMERCIALAGREEMENTITEM" PRIMARY KEY ("AGREEMENTITEMID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ADD CONSTRAINT "FK_PORTFOLIOOFFER_COMMAGRITEM" FOREIGN KEY ("PORTFOLIOOFFERID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOOFFER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ADD CONSTRAINT "FK_PORTFOLIOPROD_COMMAGRITEM" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ADD CONSTRAINT "FK_AGRITEM_COMMAGRITEM" FOREIGN KEY ("AGREEMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBAGREEMENTITEM" ("ID") ENABLE;
 
REM SKYOWNER BSBCONTACTADDRESS

  CREATE TABLE "SKYOWNER"."BSBCONTACTADDRESS" 
   (	"ADDRESSID" VARCHAR2(47) NOT NULL ENABLE, 
	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BUSINESSID" VARCHAR2(47), 
	"CONTACTORID" VARCHAR2(47), 
	"TYPECODE" VARCHAR2(8) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVETODATE" DATE, 
	"PRIMARYFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCONTACTADDRESS" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTADDRESS" ADD FOREIGN KEY ("ADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTADDRESS" ADD FOREIGN KEY ("BUSINESSID")
	  REFERENCES "SKYOWNER"."BSBBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTADDRESS" ADD FOREIGN KEY ("CONTACTORID")
	  REFERENCES "SKYOWNER"."BSBCONTACTOR" ("ID") ENABLE;
 
REM SKYOWNER BSBCONTACTEMAIL

  CREATE TABLE "SKYOWNER"."BSBCONTACTEMAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BUSINESSID" VARCHAR2(47), 
	"CONTACTORID" VARCHAR2(47), 
	"EMAILID" VARCHAR2(47) NOT NULL ENABLE, 
	"TYPECODE" VARCHAR2(8) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE, 
	"EFFECTIVETODATE" DATE, 
	"PRIMARYFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCONTACTEMAIL" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTEMAIL" ADD FOREIGN KEY ("BUSINESSID")
	  REFERENCES "SKYOWNER"."BSBBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTEMAIL" ADD FOREIGN KEY ("CONTACTORID")
	  REFERENCES "SKYOWNER"."BSBCONTACTOR" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTEMAIL" ADD FOREIGN KEY ("EMAILID")
	  REFERENCES "SKYOWNER"."BSBEMAIL" ("ID") ENABLE;
 
REM SKYOWNER BSBCONTACTOR

  CREATE TABLE "SKYOWNER"."BSBCONTACTOR" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ISDELETABLE" NUMBER(1,0) DEFAULT 1 NOT NULL ENABLE, 
	"ISDELETED" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"MORTALITYSTATUS" VARCHAR2(20), 
	"WEBUSERNAME" VARCHAR2(128), 
	"WEBPASSWORD" VARCHAR2(20), 
	"MOTHERMAIDENNAME" VARCHAR2(40), 
	"DPAAGREEDSWITCH" NUMBER(1,0), 
	"DISABILITYID" VARCHAR2(47), 
	"SHAREINFORMATIONFLAG" NUMBER(1,0), 
	"PERSONTYPE" VARCHAR2(20), 
	"PERSONSUBTYPE" VARCHAR2(20), 
	"SUBTYPEREASON" VARCHAR2(255), 
	"NUMBERNOTSUPPLIEDREASONCODE" VARCHAR2(10), 
	"PASSWORD" VARCHAR2(20), 
	"DECEASEDNOTIFICATIONDATE" DATE, 
	"EPSINDICATORSWITCH" NUMBER(1,0), 
	"EPSINDICATORREASON" VARCHAR2(255), 
	"MPSINDICATORSWITCH" NUMBER(1,0), 
	"MPSINDICATORREASON" VARCHAR2(255), 
	"TPSINDICATORSWITCH" NUMBER(1,0), 
	"TPSINDICATORREASON" VARCHAR2(255), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"DISABLEDCONSENTPROVIDEDSWITCH" NUMBER(1,0), 
	"HOMEVISITPASSWORD" VARCHAR2(20), 
	"CHANNEL" VARCHAR2(10) DEFAULT 'UNKNOWN'
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCONTACTOR" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTOR" ADD CONSTRAINT "CHK_DECNOTIFICDATE_NULLABLE" CHECK ((DECEASEDNOTIFICATIONDATE IS NOT NULL AND MORTALITYSTATUS IN ('02','03')) OR 
                                                 (DECEASEDNOTIFICATIONDATE IS NULL AND MORTALITYSTATUS NOT IN ('02','03'))) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTOR" ADD CONSTRAINT "FK_CONTACTOR_PARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTOR" ADD CONSTRAINT "FK_CONTACTOR_DISABILITY" FOREIGN KEY ("DISABILITYID")
	  REFERENCES "SKYOWNER"."BSBDISABILITYDETAIL" ("ID") ENABLE;
 
REM SKYOWNER BSBCONTACTORAUDIT

  CREATE TABLE "SKYOWNER"."BSBCONTACTORAUDIT" 
   (	"BSBCONTACTORID" VARCHAR2(47), 
	"ACTION" VARCHAR2(3), 
	"CREATED" DATE, 
	"CREATEDBY" VARCHAR2(30), 
	"O_STATUSCODE" VARCHAR2(8), 
	"O_CREATED" DATE, 
	"O_CREATEDBY" VARCHAR2(32), 
	"O_LASTUPDATE" DATE, 
	"O_UPDATEDBY" VARCHAR2(32), 
	"O_ISDELETABLE" NUMBER(1,0), 
	"O_ISDELETED" NUMBER(1,0), 
	"O_PARTYID" VARCHAR2(47), 
	"O_MORTALITYSTATUS" VARCHAR2(20), 
	"O_WEBUSERNAME" VARCHAR2(128), 
	"O_WEBPASSWORD" VARCHAR2(20), 
	"O_MOTHERMAIDENNAME" VARCHAR2(40), 
	"O_DPAAGREEDSWITCH" NUMBER(1,0), 
	"O_DISABILITYID" VARCHAR2(47), 
	"O_SHAREINFORMATIONFLAG" NUMBER(1,0), 
	"O_PERSONTYPE" VARCHAR2(20), 
	"O_PERSONSUBTYPE" VARCHAR2(20), 
	"O_SUBTYPEREASON" VARCHAR2(255), 
	"O_NUMBERNOTSUPPLIEDREASONCODE" VARCHAR2(10), 
	"O_PASSWORD" VARCHAR2(20), 
	"O_DECEASEDNOTIFICATIONDATE" DATE, 
	"O_EPSINDICATORSWITCH" NUMBER(1,0), 
	"O_EPSINDICATORREASON" VARCHAR2(255), 
	"O_MPSINDICATORSWITCH" NUMBER(1,0), 
	"O_MPSINDICATORREASON" VARCHAR2(255), 
	"O_TPSINDICATORSWITCH" NUMBER(1,0), 
	"O_TPSINDICATORREASON" VARCHAR2(255), 
	"O_LOCKTOKENTEXT" VARCHAR2(47), 
	"O_DISABLEDCONSENTPROVIDEDSWTCH" NUMBER(1,0), 
	"O_HOMEVISITPASSWORD" VARCHAR2(20), 
	"O_CHANNEL" VARCHAR2(10), 
	"N_STATUSCODE" VARCHAR2(8), 
	"N_CREATED" DATE, 
	"N_CREATEDBY" VARCHAR2(32), 
	"N_LASTUPDATE" DATE, 
	"N_UPDATEDBY" VARCHAR2(32), 
	"N_ISDELETABLE" NUMBER(1,0), 
	"N_ISDELETED" NUMBER(1,0), 
	"N_PARTYID" VARCHAR2(47), 
	"N_MORTALITYSTATUS" VARCHAR2(20), 
	"N_WEBUSERNAME" VARCHAR2(128), 
	"N_WEBPASSWORD" VARCHAR2(20), 
	"N_MOTHERMAIDENNAME" VARCHAR2(40), 
	"N_DPAAGREEDSWITCH" NUMBER(1,0), 
	"N_DISABILITYID" VARCHAR2(47), 
	"N_SHAREINFORMATIONFLAG" NUMBER(1,0), 
	"N_PERSONTYPE" VARCHAR2(20), 
	"N_PERSONSUBTYPE" VARCHAR2(20), 
	"N_SUBTYPEREASON" VARCHAR2(255), 
	"N_NUMBERNOTSUPPLIEDREASONCODE" VARCHAR2(10), 
	"N_PASSWORD" VARCHAR2(20), 
	"N_DECEASEDNOTIFICATIONDATE" DATE, 
	"N_EPSINDICATORSWITCH" NUMBER(1,0), 
	"N_EPSINDICATORREASON" VARCHAR2(255), 
	"N_MPSINDICATORSWITCH" NUMBER(1,0), 
	"N_MPSINDICATORREASON" VARCHAR2(255), 
	"N_TPSINDICATORSWITCH" NUMBER(1,0), 
	"N_TPSINDICATORREASON" VARCHAR2(255), 
	"N_LOCKTOKENTEXT" VARCHAR2(47), 
	"N_DISABLEDCONSENTPROVIDEDSWTCH" NUMBER(1,0), 
	"N_HOMEVISITPASSWORD" VARCHAR2(20), 
	"N_CHANNEL" VARCHAR2(10)
   ) ;
 
REM SKYOWNER BSBCONTACTTELEPHONE

  CREATE TABLE "SKYOWNER"."BSBCONTACTTELEPHONE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BUSINESSID" VARCHAR2(47), 
	"CONTACTORID" VARCHAR2(47), 
	"TELEPHONEID" VARCHAR2(47) NOT NULL ENABLE, 
	"TYPECODE" VARCHAR2(8) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE, 
	"EFFECTIVETODATE" DATE, 
	"PRIMARYFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"AVAILABILITYCODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCONTACTTELEPHONE" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTTELEPHONE" ADD FOREIGN KEY ("BUSINESSID")
	  REFERENCES "SKYOWNER"."BSBBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTTELEPHONE" ADD FOREIGN KEY ("CONTACTORID")
	  REFERENCES "SKYOWNER"."BSBCONTACTOR" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCONTACTTELEPHONE" ADD FOREIGN KEY ("TELEPHONEID")
	  REFERENCES "SKYOWNER"."BSBTELEPHONE" ("ID") ENABLE;
 
REM SKYOWNER BSBCREDITLIMIT

  CREATE TABLE "SKYOWNER"."BSBCREDITLIMIT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"RESETFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CURRENTCREDITLIMIT" NUMBER(8,2), 
	"CURRENCYCODE" VARCHAR2(10), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVETODATE" DATE, 
	"SERVICEINSTANCEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREDITLIMITPPVMETHOD" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"ZEROFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCREDITLIMIT" ADD CONSTRAINT "PK_BSBCREDITLIMIT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCREDITLIMIT" ADD CONSTRAINT "FK_SERVICEINST_CREDITLIMIT" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBCROSSUPSELLATTEMPT

  CREATE TABLE "SKYOWNER"."BSBCROSSUPSELLATTEMPT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ORDERID" VARCHAR2(47) NOT NULL ENABLE, 
	"CROSSUPSELLRELID" VARCHAR2(47) NOT NULL ENABLE, 
	"DESCRIPTION" VARCHAR2(255), 
	"ISACCEPTED" NUMBER(1,0) NOT NULL ENABLE, 
	"ISATTEMPTED" NUMBER(1,0) NOT NULL ENABLE, 
	"NOTATTEMPTEDREASONCODE" VARCHAR2(10), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCROSSUPSELLATTEMPT" ADD CONSTRAINT "PK_BSBCROSSUPSELLATTEMPT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCROSSUPSELLATTEMPT" ADD CONSTRAINT "FK_ORDER_BSBCROSSUPSELLATTEMPT" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBCUSTOMERPRODUCTELEMENT

  CREATE TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COOLOFFENDDATE" DATE, 
	"NAME" VARCHAR2(80), 
	"DESCRIPTION" VARCHAR2(255), 
	"ISNONSKYPRODUCT" NUMBER(1,0), 
	"STATUS" VARCHAR2(10), 
	"JOBTYPE" VARCHAR2(10), 
	"JOBDESCRIPTION" VARCHAR2(255), 
	"SERIALNUMBER" VARCHAR2(255), 
	"INSTALLATIONDATE" DATE, 
	"ISKITONSITE" NUMBER(1,0), 
	"ACTUALDELIVERYDATE" DATE, 
	"DELIVERYDUEDATE" DATE, 
	"NOTES" VARCHAR2(255), 
	"CUSTOMERPRODUCTELEMENTTYPE" VARCHAR2(10) NOT NULL ENABLE, 
	"PORTFOLIOPRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"SETTOPBOXNDSNUMBER" VARCHAR2(80), 
	"EXPECTATIONOFRETURNFLAG" NUMBER(1,0), 
	"EXPECTEDRETURNDATE" DATE, 
	"MAKE" VARCHAR2(80), 
	"MODEL" VARCHAR2(80), 
	"PARTNUMBER" VARCHAR2(80), 
	"PRODUCTCODE" VARCHAR2(80), 
	"RETURNINSTALLERID" VARCHAR2(47), 
	"ADDRESSID" VARCHAR2(47), 
	"RETURNTRACKINGNUMBER" VARCHAR2(80), 
	"STBREPAIRCOUNTER" NUMBER(5,0), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PRODUCTELEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE, 
	"EFFECTIVETODATE" DATE, 
	"STARTDATE" DATE, 
	"DURATION" NUMBER(10,0), 
	"SCHEDULECODE" VARCHAR2(255), 
	"PPVTYPE" VARCHAR2(12), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"CARDISSUEDATE" DATE, 
	"CARDNUMBER" NUMBER(12,0), 
	"ISSUENUMBER" NUMBER(2,0), 
	"BATCHNUMBER" VARCHAR2(12), 
	"REPLACEMENTREASON" VARCHAR2(255), 
	"REPLACEMENTMETHOD" VARCHAR2(10), 
	"UNDELIVEREDCARD" NUMBER(1,0), 
	"SPECIALDELIVERY" NUMBER(1,0), 
	"SPECIALDELIVERYINSTRUCTIONS" VARCHAR2(255), 
	"CARDHOLDERTYPE" VARCHAR2(12), 
	"CARDTYPE" VARCHAR2(12), 
	"SUSPENDRATING" NUMBER(1,0), 
	"SUSPENDRATINGDATE" DATE, 
	"RATINGRESTRICTIONSACTIVE" NUMBER(1,0), 
	"RETURNREASON" VARCHAR2(40), 
	"RETURNTYPE" VARCHAR2(10), 
	"SNDVALIDATIONOVERRIDE" NUMBER(1,0), 
	"REENABLECOUNT" NUMBER(2,0), 
	"ISFAULTY" NUMBER(1,0), 
	"COMMENTS" VARCHAR2(60), 
	"SLOTTAGEEQUIVALENCE" NUMBER(9,2), 
	"NOTICEPERIODEXPIRYDATE" DATE, 
	"TERMINATIONPERIODEXPIRYDATE" DATE, 
	"STATUSREASONCODE" VARCHAR2(12), 
	"STATUSCHANGEDDATE" DATE, 
	"SNDUPDATEREASON" VARCHAR2(10), 
	"SKYPLUSCAPABLE" NUMBER(1,0), 
	"PLANTYPE" VARCHAR2(1), 
	"PURCHASEDATE" DATE, 
	"DANDGSCHEME" VARCHAR2(3), 
	"SCHEMECODE" VARCHAR2(3), 
	"EXTENDEDWARRANTYPOLICYNUMBER" VARCHAR2(7), 
	"CONTRACTNUMBER" VARCHAR2(20), 
	"PREVIOUSSTATUS" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"WARRANTYSTARTDATE" DATE, 
	"SAMREGISTRYID" VARCHAR2(47), 
	"ROUTERID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "PK_BSBCUSTOMERPRODUCTELEMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "UK_CARDNUMBER" UNIQUE ("CARDNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "CHK_ISP_SAMREGISTRYID_NOTNULL" CHECK (DECODE(customerproductelementtype,'IS',samregistryid,nvl2(samregistryid,NULL,0)) IS NOT NULL) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_BSBPFLPRD_BSBCSTPRODELE" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_BSBINSTROLE_BSBCSTPRODELE" FOREIGN KEY ("RETURNINSTALLERID")
	  REFERENCES "SKYOWNER"."BSBINSTALLERROLE" ("IDNO") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_BSBADDRESS_BSBCSTPRODELE" FOREIGN KEY ("ADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_SRVCINST_CUSTPRODELE_SRVCIN" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_SAMREGISTRY_BSBCSTPRODELE" FOREIGN KEY ("SAMREGISTRYID")
	  REFERENCES "SKYOWNER"."BSBSAMREGISTRY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ADD CONSTRAINT "FK_BBROUTER_BSBCSTPRODELE" FOREIGN KEY ("ROUTERID")
	  REFERENCES "SKYOWNER"."BSBBROADBANDROUTER" ("ID") ENABLE;
 
REM SKYOWNER BSBCUSTOMERROLE

  CREATE TABLE "SKYOWNER"."BSBCUSTOMERROLE" 
   (	"PARTYROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"SPONSORCODE" VARCHAR2(20), 
	"CUSTOMERVALUE" VARCHAR2(20), 
	"DEBTINDICATOR" NUMBER(1,0), 
	"FIRSTCONTACTMODESWITCH" NUMBER(1,0), 
	"INTERDISCOUNTCONTRACTSWITCH" NUMBER(1,0), 
	"LASTUSEDASPROSPECTDATE" DATE, 
	"MAXUSEDASLEADCOUNT" NUMBER(10,0), 
	"PROFILEUPDATEALLOWEDSWITCH" NUMBER(1,0), 
	"PROSPECTSOURCELISTNAME" VARCHAR2(255), 
	"PROSPECTEXPIRATIONDATE" DATE, 
	"PROSPECTUSAGECOUNT" NUMBER(10,0), 
	"TVGUIDESWITCH" NUMBER(1,0), 
	"UNABLETOPURCHASEPRODUCTSSWITCH" NUMBER(1,0), 
	"CUSTOMERSTATUSCODE" VARCHAR2(20), 
	"PORTFOLIOID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERROLE" ADD CONSTRAINT "PK_BSBCUSTOMERROLE" PRIMARY KEY ("PARTYROLEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERROLE" ADD CONSTRAINT "FK_CUSTOMER_PARTYROLE" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "SKYOWNER"."BSBPARTYROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBCUSTOMERROLE" ADD CONSTRAINT "FK_CUSTOMER_PORTFOLIO" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
 
REM SKYOWNER BSBDISABILITYDETAIL

  CREATE TABLE "SKYOWNER"."BSBDISABILITYDETAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DISABILITYLETTERTYPECODE" VARCHAR2(20), 
	"CREATED" DATE NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"SUMMARYCOMMUNICATIONONLYFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBDISABILITYDETAIL" ADD CONSTRAINT "PK_BSBDISABILITYDETAIL" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBDISABILITYSERVICE

  CREATE TABLE "SKYOWNER"."BSBDISABILITYSERVICE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BSBDISABILITYDETAILID" VARCHAR2(47) NOT NULL ENABLE, 
	"BSBDISABILITYSERVICETYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBDISABILITYSERVICE" ADD CONSTRAINT "PK_BSBDISABILITYSERVICE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDISABILITYSERVICE" ADD CONSTRAINT "FK_DISDETAIL_DISABILITYSERVICE" FOREIGN KEY ("BSBDISABILITYDETAILID")
	  REFERENCES "SKYOWNER"."BSBDISABILITYDETAIL" ("ID") ENABLE;
 
REM SKYOWNER BSBDOWNGRADEATTEMPT

  CREATE TABLE "SKYOWNER"."BSBDOWNGRADEATTEMPT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ATTEMPTDATE" DATE NOT NULL ENABLE, 
	"OUTCOME" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ORDERID" VARCHAR2(47) NOT NULL ENABLE, 
	"SUBSCRIPTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"DOWNGRADEREASONID" VARCHAR2(47) NOT NULL ENABLE, 
	"CATALOGUEPRODUCTID" VARCHAR2(47), 
	"BASEPACKCATALOGUEPRODUCTID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBDOWNGRADEATTEMPT" ADD CONSTRAINT "PK_BSBDOWNGRADEATTEMPT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDOWNGRADEATTEMPT" ADD CONSTRAINT "FK_BSBSUBSCRIPTION_BSBDOWNGRAD" FOREIGN KEY ("SUBSCRIPTIONID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTION" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDOWNGRADEATTEMPT" ADD CONSTRAINT "FK_BSBORDER_BSBDOWNGRADEATTEMP" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBDSLQUERYRESPONSE

  CREATE TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"DSLQUERYDATE" DATE NOT NULL ENABLE, 
	"RESPONSETYPE" NUMBER(1,0) NOT NULL ENABLE, 
	"DSLTYPE" VARCHAR2(20), 
	"MAXSPEED" NUMBER(6,0), 
	"POSTCODE" VARCHAR2(10), 
	"TELEPHONE" VARCHAR2(18) NOT NULL ENABLE, 
	"EXCHANGECODE" VARCHAR2(10), 
	"EXCHANGENAME" VARCHAR2(50), 
	"MESSAGECODE" VARCHAR2(50), 
	"BROADBANDELIGIBLE" NUMBER(1,0) NOT NULL ENABLE, 
	"MACREQUIRED" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "CHK_RESPONSETYPE" CHECK ( ResponseType IN (0,1,2) /* 0=Failed ; 1=Successful ; 2=Partially Successful */ ) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "CHK_BROADBANDELIGIBLE" CHECK ( BroadbandEligible IN (0,1) ) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "CHK_DSLQUERYMACREQUIRED" CHECK ( MACRequired IN (0,1) ) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "PK_BSBDSLQUERYRESPONSE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "CHK_DSLTYPE" CHECK (DSLType IN ('Option 2','Option 4')) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBDSLQUERYRESPONSE" ADD CONSTRAINT "FK_PARTY_BSBDSLQUERYRESPONSE" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBEMAIL

  CREATE TABLE "SKYOWNER"."BSBEMAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EMAILADDRESS" VARCHAR2(128) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"SAMREGISTRYID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBEMAIL" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBEMAIL" ADD CONSTRAINT "UK_SAMREGISTRY_BSBEMAIL" UNIQUE ("SAMREGISTRYID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBEMAIL" ADD CONSTRAINT "FK_SAMREGISTRY_BSBEMAIL" FOREIGN KEY ("SAMREGISTRYID")
	  REFERENCES "SKYOWNER"."BSBSAMREGISTRY" ("ID") ENABLE;
 
REM SKYOWNER BSBFEEDBACK

  CREATE TABLE "SKYOWNER"."BSBFEEDBACK" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"REASONID" VARCHAR2(47) NOT NULL ENABLE, 
	"GENERALENQUIRYID" VARCHAR2(47), 
	"REPORTEDBYID" VARCHAR2(47), 
	"CATEGORYID" VARCHAR2(47) NOT NULL ENABLE, 
	"POSITIVEFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"FEEDBACKLEVEL" NUMBER(1,0) NOT NULL ENABLE, 
	"ADDITIONALINFORMATION" VARCHAR2(200), 
	"ISDELETED" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ASSOCIATEDPRODUCTID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBFEEDBACK" ADD CONSTRAINT "PK_BSBFEEDBACK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBFEEDBACK" ADD CONSTRAINT "FK_FEEDBACK_PERSON" FOREIGN KEY ("REPORTEDBYID")
	  REFERENCES "SKYOWNER"."PERSON" ("PARTYID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBFEEDBACK" ADD CONSTRAINT "FK_FEEDBACK_GENERALENQ" FOREIGN KEY ("GENERALENQUIRYID")
	  REFERENCES "SKYOWNER"."BSBGENERALENQUIRY" ("ID") ENABLE;
 
REM SKYOWNER BSBFULFILMENTITEM

  CREATE TABLE "SKYOWNER"."BSBFULFILMENTITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"FULFILMENTTYPE" VARCHAR2(10), 
	"FULFILMENTMETHOD" VARCHAR2(10) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"BIBSFLAG" NUMBER(1,0), 
	"CATALOGUEPRODUCTID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"EFFECTIVEDATE" DATE, 
	"DELIVERYADDRESSID" VARCHAR2(47), 
	"ORDERDATE" DATE, 
	"INSTALLATIONADDRESSROLEID" VARCHAR2(47), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"IMMEDIATEFLAG" NUMBER(1,0), 
	"STATUSREASONCODE" VARCHAR2(12), 
	"STATUSCHANGEDDATE" DATE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBFULFILMENTITEM" ADD CONSTRAINT "PK_BSBFULFILMENTITEM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBFULFILMENTITEM" ADD CONSTRAINT "FK_ADDRUSAGEROLE_FULFILMNTITEM" FOREIGN KEY ("INSTALLATIONADDRESSROLEID")
	  REFERENCES "SKYOWNER"."BSBADDRESSUSAGEROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBFULFILMENTITEM" ADD CONSTRAINT "FK_SRVCEINSTNCE_FULFILMENTITEM" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBFULFILMENTITEM" ADD CONSTRAINT "FK_BSBADDRESS_FULFILMENTITEM" FOREIGN KEY ("DELIVERYADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
 
REM SKYOWNER BSBGENERALENQUIRY

  CREATE TABLE "SKYOWNER"."BSBGENERALENQUIRY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"FEEDBACKID" VARCHAR2(47) NOT NULL ENABLE, 
	"JOBID" VARCHAR2(47) NOT NULL ENABLE, 
	"REFERENCENUMBER" VARCHAR2(10) NOT NULL ENABLE, 
	"STATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBGENERALENQUIRY" ADD CONSTRAINT "PK_BSBGENERALENQUIRY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBGENERALENQUIRY" ADD CONSTRAINT "FK_GENERALENQ_JOB" FOREIGN KEY ("JOBID")
	  REFERENCES "SKYOWNER"."BSBJOB" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBGENERALENQUIRY" ADD CONSTRAINT "FK_GENERALENQ_FEEDBACK" FOREIGN KEY ("FEEDBACKID")
	  REFERENCES "SKYOWNER"."BSBFEEDBACK" ("ID") ENABLE;
 
REM SKYOWNER BSBHISTORYENTITIES

  CREATE TABLE "SKYOWNER"."BSBHISTORYENTITIES" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ENTITYNAME" VARCHAR2(255) NOT NULL ENABLE, 
	"ENTITYID" VARCHAR2(47) NOT NULL ENABLE, 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
 
REM SKYOWNER BSBINSTALLERROLE

  CREATE TABLE "SKYOWNER"."BSBINSTALLERROLE" 
   (	"PARTYROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"IDNO" VARCHAR2(70) NOT NULL ENABLE, 
	"REGIONCODE" VARCHAR2(10), 
	"TEAMID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PAYROLLNUMBER" VARCHAR2(40), 
	"STATUS" VARCHAR2(10), 
	"COMPANYNAME" VARCHAR2(40), 
	"RESOURCETYPECODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CLASSIFICATIONCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"HASHISTORY" VARCHAR2(1) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERROLE" ADD CONSTRAINT "PK_BSBINSTALLERROLE" PRIMARY KEY ("PARTYROLEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERROLE" ADD CONSTRAINT "IDX_BSBINSTALLERROLE_IDNO" UNIQUE ("IDNO") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERROLE" ADD CONSTRAINT "INSTALLERROLE_UNQ" UNIQUE ("PAYROLLNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERROLE" ADD CONSTRAINT "FK_PARTYROLE_INSTALLERROLE" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "SKYOWNER"."BSBPARTYROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERROLE" ADD CONSTRAINT "FK_BSBITEAM_BSBINSTALLERROLE" FOREIGN KEY ("TEAMID")
	  REFERENCES "SKYOWNER"."BSBINSTALLERTEAM" ("ID") ENABLE;
 
REM SKYOWNER BSBINSTALLERTEAM

  CREATE TABLE "SKYOWNER"."BSBINSTALLERTEAM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"NAME" VARCHAR2(50), 
	"MANAGERID" VARCHAR2(50), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERTEAM" ADD CONSTRAINT "PK_BSBINSTALLERTEAM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERTEAM" ADD CONSTRAINT "UNQ_BSBINSTALLERTEAM_NAME" UNIQUE ("NAME") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBINSTALLERTEAM" ADD CONSTRAINT "FK_BSBINSTROLE_INSTTEAM" FOREIGN KEY ("MANAGERID")
	  REFERENCES "SKYOWNER"."BSBINSTALLERROLE" ("IDNO") ENABLE;
 
REM SKYOWNER BSBJOB

  CREATE TABLE "SKYOWNER"."BSBJOB" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"CLASSNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"KEY" VARCHAR2(47) NOT NULL ENABLE, 
	"JOBLISTID" VARCHAR2(47), 
	"URGENCYFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"PROGRESSBYDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"IMPLEMENTEDCLASSDESCRIPTION" VARCHAR2(180), 
	"INUSEBY" VARCHAR2(32), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"ADDEDTOJOBLIST" DATE, 
	"OFFERINGNAME" VARCHAR2(80)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBJOB" ADD CONSTRAINT "PK_BSBJOB" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBJOB" ADD CONSTRAINT "FK_BSBJOB_BSBJOBLIST" FOREIGN KEY ("JOBLISTID")
	  REFERENCES "SKYOWNER"."BSBJOBLIST" ("ID") ENABLE;
 
REM SKYOWNER BSBJOBLIST

  CREATE TABLE "SKYOWNER"."BSBJOBLIST" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CLASSNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"ROLEID" VARCHAR2(47), 
	"OFFERINGNAME" VARCHAR2(80), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBJOBLIST" ADD CONSTRAINT "PK_BSBJOBLIST" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBJOBLIST" ADD CONSTRAINT "UK_BSBJOBLIST" UNIQUE ("CLASSNAME", "ROLEID") ENABLE;
 
REM SKYOWNER BSBKANAENTITLEMENT

  CREATE TABLE "SKYOWNER"."BSBKANAENTITLEMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ENTITLEMENT" VARCHAR2(80) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBKANAENTITLEMENT" ADD CONSTRAINT "PK_BSBKANAENTITLEMENT" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBLITERATUREITEM

  CREATE TABLE "SKYOWNER"."BSBLITERATUREITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"MAXIMUMQUANTITY" NUMBER(6,0), 
	"BUSINESSPRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"BATCHQUANTITY" NUMBER(6,0), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREITEM" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREITEM" ADD FOREIGN KEY ("BUSINESSPRODUCTID")
	  REFERENCES "SKYOWNER"."PRODUCT" ("ID") ENABLE;
 
REM SKYOWNER BSBLITERATUREORDER

  CREATE TABLE "SKYOWNER"."BSBLITERATUREORDER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DELIVERYADDRERSSID" VARCHAR2(47) NOT NULL ENABLE, 
	"RETAILERBUSINESSID" VARCHAR2(47), 
	"STATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"FULFILMENTDATE" DATE NOT NULL ENABLE, 
	"ORDERDATE" DATE NOT NULL ENABLE, 
	"ORDERNUMBER" NUMBER(10,0) NOT NULL ENABLE, 
	"SERVICELEVELCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"CONTACTDETAILS" VARCHAR2(255), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDER" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDER" ADD FOREIGN KEY ("RETAILERBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDER" ADD FOREIGN KEY ("DELIVERYADDRERSSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
 
REM SKYOWNER BSBLITERATUREORDERLINE

  CREATE TABLE "SKYOWNER"."BSBLITERATUREORDERLINE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"LITERATUREORDERID" VARCHAR2(47) NOT NULL ENABLE, 
	"LITERATUREITEMID" VARCHAR2(47), 
	"QUANTITY" NUMBER(6,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDERLINE" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDERLINE" ADD FOREIGN KEY ("LITERATUREITEMID")
	  REFERENCES "SKYOWNER"."BSBLITERATUREITEM" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBLITERATUREORDERLINE" ADD FOREIGN KEY ("LITERATUREORDERID")
	  REFERENCES "SKYOWNER"."BSBLITERATUREORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBMAILSHOT

  CREATE TABLE "SKYOWNER"."BSBMAILSHOT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"MAILSHOTDESCRIPTION" VARCHAR2(255) NOT NULL ENABLE, 
	"NAME" VARCHAR2(25) NOT NULL ENABLE, 
	"ENDDATE" DATE, 
	"INTERESTSOURCEID" NUMBER(10,0), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBMAILSHOT" ADD CONSTRAINT "PK_BSBMAILSHOT" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBMISCELLANOUSCONTACTROLE

  CREATE TABLE "SKYOWNER"."BSBMISCELLANOUSCONTACTROLE" 
   (	"PARTYROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMPANYNAME" VARCHAR2(255), 
	"MISCELLANOUSCONTACTTYPE" VARCHAR2(20), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBMISCELLANOUSCONTACTROLE" ADD CONSTRAINT "PK_BSBMISCELLANOUSCONTACTROLE" PRIMARY KEY ("PARTYROLEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBMISCELLANOUSCONTACTROLE" ADD CONSTRAINT "FK_MISCCONTACT_PARTYROLE" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "SKYOWNER"."BSBPARTYROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBMPPAPPLICATION

  CREATE TABLE "SKYOWNER"."BSBMPPAPPLICATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AMOUNT" NUMBER(8,2) NOT NULL ENABLE, 
	"APPLICATIONNUMBER" VARCHAR2(12), 
	"AGREEMENTREFERENCE" VARCHAR2(12), 
	"AUTHORITYGRANTEDDATE" DATE, 
	"USEDASPAYMENTDATE" DATE, 
	"STATUSCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"APPLICATIONCOMMENT" VARCHAR2(255), 
	"INSTALLATIONADDRESSID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBMPPAPPLICATION" ADD CONSTRAINT "PK_BSBMPPAPPLICATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBMPPAPPLICATION" ADD CONSTRAINT "FK_PERSON_MPPAPPLICATION" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PERSON" ("PARTYID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBMPPAPPLICATION" ADD CONSTRAINT "FK_BSBADDRESS_MPPAPPLICATION" FOREIGN KEY ("INSTALLATIONADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
 
REM SKYOWNER BSBOFFERINGROLEBRIDGE

  CREATE TABLE "SKYOWNER"."BSBOFFERINGROLEBRIDGE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"OFFERINGID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ADD CONSTRAINT "PK_BSBOFFERINGROLEBRIDGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ADD CONSTRAINT "FK_OFFERINGROLEBRIDGE_OFFERING" FOREIGN KEY ("OFFERINGID")
	  REFERENCES "SKYOWNER"."OFFERING" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ADD CONSTRAINT "FK_OFFERINGROLEBRIDGE_ROLE" FOREIGN KEY ("ROLEID")
	  REFERENCES "SKYOWNER"."BSBROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBOFFERINGSTATEBRIDGE

  CREATE TABLE "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATEID" VARCHAR2(47) NOT NULL ENABLE, 
	"OFFERINGID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ADD CONSTRAINT "PK_BSBOFFERINGSTATEBRIDGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ADD CONSTRAINT "FK_OFFSTATEBRIDGE_OFFERING" FOREIGN KEY ("OFFERINGID")
	  REFERENCES "SKYOWNER"."OFFERING" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ADD CONSTRAINT "FK_OFFSTATEBRIDGE_APPSTATE" FOREIGN KEY ("STATEID")
	  REFERENCES "SKYOWNER"."BSBAPPLICATIONSTATE" ("ID") ENABLE;
 
REM SKYOWNER BSBORDER

  CREATE TABLE "SKYOWNER"."BSBORDER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"FAILUREREASON" VARCHAR2(255), 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"INTERESTSOURCEID" NUMBER(10,0) NOT NULL ENABLE, 
	"PARTYROLEID" VARCHAR2(47), 
	"PORTFOLIOID" VARCHAR2(47) NOT NULL ENABLE, 
	"ORDERNUMBER" VARCHAR2(12), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"REFERRINGCUSTOMERID" VARCHAR2(47), 
	"CURRENCY" VARCHAR2(5), 
	"PAYMENTMETHODCONFIRMED" NUMBER(1,0), 
	"STATUSREASONCODE" VARCHAR2(12), 
	"STATUSCHANGEDDATE" DATE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"COMTYPECODE" VARCHAR2(10) DEFAULT 'UNKNOWN' NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBORDER" ADD CONSTRAINT "PK_BSBORDER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDER" ADD CONSTRAINT "FK_BSBPORTFOLIO_ORDER" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDER" ADD CONSTRAINT "FK_BSBPARTYROLE_ORDER" FOREIGN KEY ("PARTYROLEID")
	  REFERENCES "SKYOWNER"."BSBPARTYROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDER" ADD CONSTRAINT "FK_BSBCON_BSBORDER" FOREIGN KEY ("REFERRINGCUSTOMERID")
	  REFERENCES "SKYOWNER"."BSBCONTACTOR" ("ID") ENABLE;
 
REM SKYOWNER BSBORDERLINE

  CREATE TABLE "SKYOWNER"."BSBORDERLINE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CATALOGUEPRODUCTID" VARCHAR2(47), 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"REMOVALREASON" VARCHAR2(255), 
	"SALETYPE" VARCHAR2(10), 
	"EFFECTIVEDATE" DATE, 
	"CANCELLATIONPERIODOVERRIDE" NUMBER(1,0), 
	"ISBONUSPRODUCT" NUMBER(1,0), 
	"ISAUTOMATICOFFER" NUMBER(1,0), 
	"COSTVALUE" NUMBER(5,0), 
	"COSTCURRENCYCODE" VARCHAR2(5), 
	"PORTFOLIOPRODUCTID" VARCHAR2(47), 
	"PORTFOLIOOFFERID" VARCHAR2(47), 
	"RETAILPROOFOFPURCHASEID" VARCHAR2(47), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"ORDERID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PRICEABLEUNITID" VARCHAR2(47), 
	"RELATEDPORTFOLIOPRODUCTID" VARCHAR2(47), 
	"BUNDLEID" VARCHAR2(47), 
	"SOURCEDESCRIPTION" VARCHAR2(255), 
	"INTERESTSOURCEID" NUMBER(10,0), 
	"ACTION" VARCHAR2(10), 
	"OFFERDISCOUNTID" VARCHAR2(47), 
	"POSTPACKREQUIRED" NUMBER(1,0) DEFAULT NULL, 
	"FULFILMENTADDRESSID" VARCHAR2(47), 
	"PARENTORDERLINEID" VARCHAR2(47), 
	"PRICE" NUMBER(18,2), 
	"PPVTYPE" VARCHAR2(10), 
	"ORDERLINETYPE" VARCHAR2(20) DEFAULT 'ERROR' NOT NULL ENABLE, 
	"TELEPHONENUMBER" VARCHAR2(18), 
	"FULFILMENTITEMID" VARCHAR2(47), 
	"STATUSREASONCODE" VARCHAR2(12), 
	"STATUSCHANGEDDATE" DATE, 
	"CANCELLATIONREASIONID" VARCHAR2(47), 
	"COMMERCIALOFFERID" VARCHAR2(47), 
	"REPLACEMENTREASONCODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "PK_BSBORDERLINE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_BSBORDER_ORDERLINE" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_BSBSERVICEINSTANCE_ORDERLIN" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_RETAILPROOFOFPUR_ORDERLINE" FOREIGN KEY ("RETAILPROOFOFPURCHASEID")
	  REFERENCES "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_BSBPORTFOLIOOFFER_ORDERLINE" FOREIGN KEY ("PORTFOLIOOFFERID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOOFFER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_BSBPORTFOLIOPRODUCT_ORDERLI" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_PRICEABLEUNIT_ORDERLINE" FOREIGN KEY ("PRICEABLEUNITID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_PORTPROD_ORDERRELATEDLINE" FOREIGN KEY ("RELATEDPORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_ADDRESS_ORDERLINE" FOREIGN KEY ("FULFILMENTADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_ORDERLINE_SELF_PARENTORDID" FOREIGN KEY ("PARENTORDERLINEID")
	  REFERENCES "SKYOWNER"."BSBORDERLINE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBORDERLINE" ADD CONSTRAINT "FK_FULFILMENT_ORDERLINE" FOREIGN KEY ("FULFILMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBFULFILMENTITEM" ("ID") ENABLE;
 
REM SKYOWNER BSBPAPERAGREEMENT

  CREATE TABLE "SKYOWNER"."BSBPAPERAGREEMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BATCHID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"RETAILERNUMBER" VARCHAR2(9) NOT NULL ENABLE, 
	"TITLE" VARCHAR2(5) NOT NULL ENABLE, 
	"INITIALS" VARCHAR2(3) NOT NULL ENABLE, 
	"SURNAME" VARCHAR2(35) NOT NULL ENABLE, 
	"HOUSENUMBER" VARCHAR2(30), 
	"HOUSENAME" VARCHAR2(50), 
	"STREET" VARCHAR2(50), 
	"TOWN" VARCHAR2(35) NOT NULL ENABLE, 
	"LOCALITY" VARCHAR2(80), 
	"COUNTY" VARCHAR2(35), 
	"POSTCODE" VARCHAR2(7), 
	"COUNTRYCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"HOMETELEPHONE" VARCHAR2(15), 
	"WORKTELEPHONE" VARCHAR2(15), 
	"DATAPROTECTION" NUMBER(1,0) NOT NULL ENABLE, 
	"CAMPAIGNCODE" VARCHAR2(4), 
	"SOURCECODE" VARCHAR2(4), 
	"PAYMENTFREQUENCY" VARCHAR2(2), 
	"PAYMENTAMOUNT" NUMBER(6,2), 
	"PAIDBYSELF" NUMBER(1,0), 
	"REASONCODE" VARCHAR2(4), 
	"COMMISSIONPAYABLE" NUMBER(1,0) NOT NULL ENABLE, 
	"CARDHOLDERTYPECODE" VARCHAR2(3), 
	"BIBFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGREEMENT" ADD CONSTRAINT "PK_BSBPAPERAGREEMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGREEMENT" ADD CONSTRAINT "FK_AGREEMENT_CONTRACTNUMBER" UNIQUE ("AGREEMENTNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGREEMENT" ADD CONSTRAINT "FK_BSBPAGR_BATCH" FOREIGN KEY ("BATCHID")
	  REFERENCES "SKYOWNER"."BSBBATCHRUN" ("ID") ENABLE;
 
REM SKYOWNER BSBPAPERAGRENTERRORS

  CREATE TABLE "SKYOWNER"."BSBPAPERAGRENTERRORS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"ENTITLEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRENTERRORS" ADD CONSTRAINT "PK_BSBPAPERAGRENTERRORS" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRENTERRORS" ADD CONSTRAINT "FK_BSBAGRERR_CONTRACTNUM" FOREIGN KEY ("AGREEMENTNUMBER")
	  REFERENCES "SKYOWNER"."BSBPAPERAGRERRORS" ("AGREEMENTNUMBER") ENABLE;
 
REM SKYOWNER BSBPAPERAGRERRORLIST

  CREATE TABLE "SKYOWNER"."BSBPAPERAGRERRORLIST" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"ERRORCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"ERRORMESSAGE" VARCHAR2(100) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRERRORLIST" ADD CONSTRAINT "PK_BSBPAPERAGRERRORLIST" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRERRORLIST" ADD CONSTRAINT "FK_BSBAGRERRL_CONTRACTNUM" FOREIGN KEY ("AGREEMENTNUMBER")
	  REFERENCES "SKYOWNER"."BSBPAPERAGRERRORS" ("AGREEMENTNUMBER") ENABLE;
 
REM SKYOWNER BSBPAPERAGRERRORS

  CREATE TABLE "SKYOWNER"."BSBPAPERAGRERRORS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BATCHNUMBER" NUMBER(5,0) NOT NULL ENABLE, 
	"BATCHDATE" DATE NOT NULL ENABLE, 
	"BATCHTYPE" VARCHAR2(1) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"RETAILERNUMBER" VARCHAR2(9), 
	"TITLE" VARCHAR2(5), 
	"INITIALS" VARCHAR2(3), 
	"SURNAME" VARCHAR2(35), 
	"HOUSENUMBER" VARCHAR2(30), 
	"HOUSENAME" VARCHAR2(50), 
	"STREET" VARCHAR2(50), 
	"TOWN" VARCHAR2(35), 
	"LOCALITY" VARCHAR2(80), 
	"COUNTY" VARCHAR2(35), 
	"POSTCODE" VARCHAR2(7), 
	"COUNTRYCODE" VARCHAR2(8), 
	"HOMETELEPHONE" VARCHAR2(15), 
	"WORKTELEPHONE" VARCHAR2(15), 
	"DATAPROTECTION" NUMBER(1,0), 
	"CAMPAIGNCODE" VARCHAR2(4), 
	"SOURCECODE" VARCHAR2(4), 
	"PAYMENTFREQUENCY" VARCHAR2(2), 
	"PAYMENTAMOUNT" NUMBER(6,2), 
	"PAIDBYSELF" NUMBER(1,0), 
	"REASONCODE" VARCHAR2(4), 
	"COMMISSIONPAYABLE" NUMBER(1,0), 
	"CARDHOLDERTYPECODE" VARCHAR2(3), 
	"BIBFLAG" NUMBER(1,0), 
	"MANDATETYPE" VARCHAR2(2), 
	"BANKACCOUNTNAME" VARCHAR2(35), 
	"BANKACCOUNTNUMBER" VARCHAR2(10), 
	"BANKSORTCODE" VARCHAR2(6), 
	"BANKCOUNTRYCODE" VARCHAR2(3), 
	"DBCRCARDHOLDERNAME" VARCHAR2(35), 
	"DBCRCARDNUMBER" VARCHAR2(19), 
	"DBCRCARDTYPE" VARCHAR2(2), 
	"CRCARDEXPIRYDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRERRORS" ADD CONSTRAINT "PK_BSBPAPERAGRERRORS" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERAGRERRORS" ADD CONSTRAINT "FK_AGRERR_CONTRACTNUMBER" UNIQUE ("AGREEMENTNUMBER") ENABLE;
 
REM SKYOWNER BSBPAPERITEM

  CREATE TABLE "SKYOWNER"."BSBPAPERITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"TYPECODE" VARCHAR2(5) NOT NULL ENABLE, 
	"ISSUEDATE" DATE, 
	"RETURNDUEDATE" DATE, 
	"RETURNDATE" DATE, 
	"SIGNATURELESS" VARCHAR2(1) DEFAULT '0' NOT NULL ENABLE, 
	"EXTENSIONSGRANTEDFLAG" VARCHAR2(1) DEFAULT '0' NOT NULL ENABLE, 
	"NUMBEREXTENSIONSGRANTED" NUMBER(2,0), 
	"LASTEXTENSIONREASONCODE" VARCHAR2(5), 
	"REISSUEGRANTEDFLAG" NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
	"CONVERTEDTOPAPERLESS" VARCHAR2(1), 
	"EXTENSIONUNTILDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"PDTV_ID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERITEM" ADD CONSTRAINT "PK_PAPERITEM_ID" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERITEM" ADD CONSTRAINT "CHK_PAPERITEMTYPE" CHECK (TypeCode IN ('M','C')) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBPAPERITEM" ADD CONSTRAINT "UK_PAP_PDTV" UNIQUE ("PDTV_ID") ENABLE;
 
REM SKYOWNER BSBPAPERMANDATE

  CREATE TABLE "SKYOWNER"."BSBPAPERMANDATE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(14) NOT NULL ENABLE, 
	"MANDATETYPE" VARCHAR2(2) NOT NULL ENABLE, 
	"BANKACCOUNTNAME" VARCHAR2(35), 
	"BANKACCOUNTNUMBER" VARCHAR2(10), 
	"BANKSORTCODE" VARCHAR2(6), 
	"BANKCOUNTRYCODE" VARCHAR2(3), 
	"DBCRCARDHOLDERNAME" VARCHAR2(35), 
	"DBCRCARDNUMBER" VARCHAR2(19), 
	"DBCRCARDTYPE" VARCHAR2(2), 
	"CRCARDEXPIRYDATE" DATE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAPERMANDATE" ADD CONSTRAINT "PK_BSBPAPERMANDATE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAPERMANDATE" ADD CONSTRAINT "FK_MANDATE_CONTRACTNUMBER" UNIQUE ("AGREEMENTNUMBER") ENABLE;
 
REM SKYOWNER BSBPARTYROLE

  CREATE TABLE "SKYOWNER"."BSBPARTYROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE, 
	"EFFECTIVETO" DATE, 
	"PARTYROLETYPECODE" VARCHAR2(20) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPARTYROLE" ADD CONSTRAINT "PK_BSBPARTYROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPARTYROLE" ADD CONSTRAINT "FK_PARTYROLE_PARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBPAYMENT

  CREATE TABLE "SKYOWNER"."BSBPAYMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"TRANSACTIONVALUE" NUMBER(9,2) NOT NULL ENABLE, 
	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"SETTLEMENTMETHODID" VARCHAR2(47), 
	"SERVICETYPECODE" VARCHAR2(10), 
	"PAYMENTSTATUSCODE" VARCHAR2(10), 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"SOURCECODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAYMENT" ADD CONSTRAINT "PK_BSBPAYMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENT" ADD CONSTRAINT "FK_SETTLEMETHOD_PAYMENT" FOREIGN KEY ("SETTLEMENTMETHODID")
	  REFERENCES "SKYOWNER"."BSBSETTLEMENTMETHOD" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENT" ADD CONSTRAINT "FK_BILLACCOUNT_PAYMENT" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
 
REM SKYOWNER BSBPAYMENTMETHOD

  CREATE TABLE "SKYOWNER"."BSBPAYMENTMETHOD" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PAYMENTMETHODCLASSTYPE" VARCHAR2(80) NOT NULL ENABLE, 
	"PAYMENTMETHODTYPE" VARCHAR2(10) NOT NULL ENABLE, 
	"PAPERLESSFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"BLANKMANDATEFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CONTACTORACCOUNTHOLDERFLAG" NUMBER(1,0), 
	"SINGLESIGNATORYALLOWEDFLAG" NUMBER(1,0), 
	"ACCOUNTHOLDERNAME" VARCHAR2(80), 
	"ACCOUNTNUMBER" VARCHAR2(10), 
	"SORTCODE" VARCHAR2(6), 
	"CARDHOLDERNAME" VARCHAR2(80), 
	"CARDNUMBER" VARCHAR2(19), 
	"CARDTYPE" VARCHAR2(10), 
	"ISSUENUMBER" VARCHAR2(80), 
	"CARDSTARTDATE" DATE, 
	"CARDEXPIRYDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CARDID" NUMBER(10,0), 
	"CARDIDSERVER" NUMBER(3,0), 
	"CHANGESOURCECODE" VARCHAR2(10) DEFAULT 'C' NOT NULL ENABLE, 
	"CHANGEREASONCODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"CHANGESOURCESYSTEM" VARCHAR2(2)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHOD" ADD CONSTRAINT "PK_BSBPAYMENTMETHOD" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBPAYMENTMETHODCHANGEHEADER

  CREATE TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEHEADER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"BATCHNUMBER" NUMBER(5,0) NOT NULL ENABLE, 
	"MANDATETYPE" VARCHAR2(10) NOT NULL ENABLE, 
	"NUMBEROFITEMS" NUMBER(6,0) NOT NULL ENABLE, 
	"BATCHDATE" DATE NOT NULL ENABLE, 
	"COUNTRYCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"RECEIVEDFROM" VARCHAR2(10) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEHEADER" ADD CONSTRAINT "PK_BSBPAYMENTMETHODCHANGEHEADE" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBPAYMENTMETHODCHANGEREQUEST

  CREATE TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(12) NOT NULL ENABLE, 
	"REASONCODE" VARCHAR2(10), 
	"NEWPAYMENTMETHODID" VARCHAR2(47), 
	"OLDPAYMENTMETHODID" VARCHAR2(47), 
	"BATCHHEADERID" VARCHAR2(47) NOT NULL ENABLE, 
	"MANDATECATEGORY" VARCHAR2(10) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ADD CONSTRAINT "PK_BSBPAYMENTMETHODCHANGEREQUE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ADD CONSTRAINT "FK_PAYMETCHGHDR_PAYMETCHGREQ" FOREIGN KEY ("BATCHHEADERID")
	  REFERENCES "SKYOWNER"."BSBPAYMENTMETHODCHANGEHEADER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ADD CONSTRAINT "FK_PAYMETHOD_PAYCHANGE_OLDPAYI" FOREIGN KEY ("OLDPAYMENTMETHODID")
	  REFERENCES "SKYOWNER"."BSBPAYMENTMETHOD" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ADD CONSTRAINT "FK_PAYMETHOD_PAYCHANGE_NEWPAYI" FOREIGN KEY ("NEWPAYMENTMETHODID")
	  REFERENCES "SKYOWNER"."BSBPAYMENTMETHOD" ("ID") ENABLE;
 
REM SKYOWNER BSBPAYMENTMETHODROLE

  CREATE TABLE "SKYOWNER"."BSBPAYMENTMETHODROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PAYMENTMETHODID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE NOT NULL ENABLE, 
	"EFFECTIVETO" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"DELETEDFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODROLE" ADD CONSTRAINT "PK_BSBPAYMENTMETHODROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODROLE" ADD CONSTRAINT "FK_PAYMENTMETHOD_PAYMETHODROLE" FOREIGN KEY ("PAYMENTMETHODID")
	  REFERENCES "SKYOWNER"."BSBPAYMENTMETHOD" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPAYMENTMETHODROLE" ADD CONSTRAINT "FK_BILLACC_PAYMETHODROLE" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
 
REM SKYOWNER BSBPORTFOLIO

  CREATE TABLE "SKYOWNER"."BSBPORTFOLIO" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIO" ADD CONSTRAINT "PK_BSBPORTFOLIO" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBPORTFOLIOOFFER

  CREATE TABLE "SKYOWNER"."BSBPORTFOLIOOFFER" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"APPLICATIONSTARTDATE" DATE, 
	"APPLICATIONENDDATE" DATE, 
	"OFFERID" NUMBER(10,0) NOT NULL ENABLE, 
	"PORTFOLIOID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"STATUSCHANGEDDATE" DATE, 
	"STATUSREASONCODE" VARCHAR2(12), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFER" ADD CONSTRAINT "PK_BSBPORTFOLIOOFFER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFER" ADD CONSTRAINT "FK_PORTFOLIO_PORTFOLIOOFFER" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFER" ADD CONSTRAINT "FK_SERVICEINSTANCE_PORTOFFER" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBPORTFOLIOOFFERDEPENDENCY

  CREATE TABLE "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DISCOUNT" NUMBER(1,0), 
	"EXPIRYDATE" DATE, 
	"PORTFOLIOPRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"PORTFOLIOOFFERID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"DEPENDENCYDURATION" NUMBER(10,0), 
	"DEPENDENCYDURATIONTYPE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ADD CONSTRAINT "PK_BSBPORTFOLIOOFFERDEPENDENCY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ADD CONSTRAINT "FK_BSBPORTFOLIOOFFER_OFFERDEPE" FOREIGN KEY ("PORTFOLIOOFFERID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOOFFER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ADD CONSTRAINT "FK_BSBPORTFOLIOPRODUCT_OFFERDE" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
 
REM SKYOWNER BSBPORTFOLIOPRODUCT

  CREATE TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"CATALOGUEPRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CLAWBACKEXEMPT" NUMBER(1,0) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"PORTFOLIOID" VARCHAR2(47) NOT NULL ENABLE, 
	"SUBSCRIPTIONID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"SOURCEDESCRIPTION" VARCHAR2(255), 
	"RETAILERID" VARCHAR2(47), 
	"STATUSCHANGEDDATE" DATE, 
	"STATUSREASONCODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" ADD CONSTRAINT "PK_BSBPORTFOLIOPRODUCT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" ADD CONSTRAINT "FK_BSBSUBSCRIPTION_PORTPROD" FOREIGN KEY ("SUBSCRIPTIONID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTION" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" ADD CONSTRAINT "FK_BSBPORTFOLIO_PORTPROD" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" ADD CONSTRAINT "FK_BSBSERVICEINSTANCE_PORTPROD" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPORTFOLIOPRODUCT" ADD CONSTRAINT "FK_RETAILBUS_PORTFOLIOPROD" FOREIGN KEY ("RETAILERID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBPRICEABLEUNIT

  CREATE TABLE "SKYOWNER"."BSBPRICEABLEUNIT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGSOURCECODE" VARCHAR2(10), 
	"EFFECTIVEDATE" DATE, 
	"BILLINGACCOUNTID" VARCHAR2(47), 
	"QUOTEDPRICE" NUMBER(9,2), 
	"ENDDATE" DATE, 
	"NUMBEROFINSTALLMENTS" NUMBER(4,0), 
	"PRICEABLEUNITTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PRICEABLEUNITREFERENCEID" VARCHAR2(47), 
	"DESCRIPTION" VARCHAR2(255), 
	"PROPOSEDPAYMENTMETHODCODE" VARCHAR2(10), 
	"SERVICETYPECODE" VARCHAR2(10), 
	"ADJUSTMENTREASONCODE" VARCHAR2(10), 
	"ASSOCIATEDTRANSACTIONID" VARCHAR2(315), 
	"ADJUSTMENTAMOUNT" NUMBER(9,2), 
	"ADJUSTMENTDESTINATIONCODE" VARCHAR2(10), 
	"CHANGEPAYMENTMETHODALLOWEDFLAG" NUMBER(1,0), 
	"DISCOUNTEDPRICEABLEUNITID" VARCHAR2(47), 
	"ASSOCIATEDCHORDIANTTXID" VARCHAR2(47), 
	"PAYMENTID" VARCHAR2(47), 
	"GENRECODE" VARCHAR2(10), 
	"PORTFOLIOOFFERID" VARCHAR2(47), 
	"CLAWBACKSTATUS" VARCHAR2(10), 
	"CLAWBACKSTATUSPRIORTOEXEMPTION" VARCHAR2(10), 
	"CLAWBACKSTATUSCHANGEDDATE" DATE, 
	"CLAWBACKEXEMPTIONREASON" VARCHAR2(10), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"CHARGEBEINGCLAWEDBACKID" VARCHAR2(47), 
	"VIEWEDDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "PK_BSBPRICEABLEUNIT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "CHK_VIEWEDDATE_NOTNULL" CHECK ((priceableunittypecode IN ('IP','OP') AND ViewedDate IS NOT NULL)
      OR (priceableunittypecode NOT IN ('IP','OP') AND ViewedDate IS NULL)
      /* ViewedDate should only be (and must be) populated when TypeCode is 'IP,'OP' */ ) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_BSBPRICEABLEUNIT_ID" FOREIGN KEY ("DISCOUNTEDPRICEABLEUNITID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_BILLINGACCOUNT_PRICEABLEUNI" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_PAYMENT_PRICEABLEUNIT" FOREIGN KEY ("PAYMENTID")
	  REFERENCES "SKYOWNER"."BSBPAYMENT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_PORTFOLIOOFFR_PRICEABLEUNIT" FOREIGN KEY ("PORTFOLIOOFFERID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOOFFER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_SERVICEINST_PRICEABLEUNIT" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNIT" ADD CONSTRAINT "FK_BSBPRIUNIT_BSBPRIUNIT" FOREIGN KEY ("CHARGEBEINGCLAWEDBACKID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
 
REM SKYOWNER BSBPRICEABLEUNITPORTFOLIOPROD

  CREATE TABLE "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"PRICEABLEUNITID" VARCHAR2(47), 
	"PORTFOLIOPRODUCTID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ADD CONSTRAINT "PK_BSBPRICEABLEUNITPORTFOLIOPR" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ADD CONSTRAINT "FK_PORTPROD_PRIABLEUNITPORTPRD" FOREIGN KEY ("PORTFOLIOPRODUCTID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ADD CONSTRAINT "FK_PRICBLUNT_PRICBLUNTPOTPROD" FOREIGN KEY ("PRICEABLEUNITID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
 
REM SKYOWNER BSBPROPERTYDETAIL

  CREATE TABLE "SKYOWNER"."BSBPROPERTYDETAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"TELEPHONEAVAILABLE" NUMBER(1,0), 
	"SITFLAG" NUMBER(1,0), 
	"PROPERTYQUESTION1" NUMBER(1,0), 
	"PROPERTYQUESTION2" NUMBER(1,0), 
	"PROPERTYQUESTION3" NUMBER(1,0), 
	"INSTALLATIONADDRESSROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBPROPERTYDETAIL" ADD CONSTRAINT "PK_BSBPROPERTYDETAIL" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBPROPERTYDETAIL" ADD CONSTRAINT "FK_BSBINSTADDROLE_BSBPRPRTYDTL" FOREIGN KEY ("INSTALLATIONADDRESSROLEID")
	  REFERENCES "SKYOWNER"."BSBADDRESSUSAGEROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBREFUND

  CREATE TABLE "SKYOWNER"."BSBREFUND" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ADJUSTMENTID" VARCHAR2(47), 
	"SETTLEMENMETHODID" VARCHAR2(47) NOT NULL ENABLE, 
	"BILLINGACCOUNTID" VARCHAR2(47) NOT NULL ENABLE, 
	"TRANSACTIONVALUE" NUMBER(9,2) NOT NULL ENABLE, 
	"REFUNDREASON" VARCHAR2(10) NOT NULL ENABLE, 
	"ASSOCIATEDTRANSACTIONID" VARCHAR2(315), 
	"REFUNDAUTHORISATIONSTATUSCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"REFUNDREJECTIONREASON" VARCHAR2(10), 
	"ELIGIBLEFORREVIEWDATE" DATE, 
	"TRANSACTIONAUTHORISED" DATE, 
	"AUTHORISEDBY" VARCHAR2(32), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBREFUND" ADD CONSTRAINT "PK_BSBREFUND" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBREFUND" ADD CONSTRAINT "FK_PRICEABLEUNIT_REFUND" FOREIGN KEY ("ADJUSTMENTID")
	  REFERENCES "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBREFUND" ADD CONSTRAINT "FK_SETTLEMENTMETHOD_REFUND" FOREIGN KEY ("SETTLEMENMETHODID")
	  REFERENCES "SKYOWNER"."BSBSETTLEMENTMETHOD" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBREFUND" ADD CONSTRAINT "FK_BILLACC_REFUND" FOREIGN KEY ("BILLINGACCOUNTID")
	  REFERENCES "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILAFFILIATION

  CREATE TABLE "SKYOWNER"."BSBRETAILAFFILIATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"RETAILERBUSINESSID" VARCHAR2(47), 
	"GROUPCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILAFFILIATION" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILAFFILIATION" ADD FOREIGN KEY ("RETAILERBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILBUSINESS

  CREATE TABLE "SKYOWNER"."BSBRETAILBUSINESS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"HEADOFFICERETAILBUSINESSID" VARCHAR2(47), 
	"RETAILERSTATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"ASAGROUPNUMBER" VARCHAR2(5) NOT NULL ENABLE, 
	"ASABRANCHNUMBER" VARCHAR2(4) NOT NULL ENABLE, 
	"ASMREGIONCODE" VARCHAR2(80), 
	"BSTREGIONCODE" VARCHAR2(8), 
	"FIELDTRAINERREGIONCODE" VARCHAR2(8), 
	"MULTIPLESTATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"HEADOFFICEFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"CURRENTBANDINGCODE" VARCHAR2(8), 
	"BANDINGCHANGEDATE" DATE, 
	"PREVIOUSBANDINGCODE" VARCHAR2(8), 
	"DEPENDANTBRANCHFLAG" NUMBER(1,0) DEFAULT 0, 
	"STATUSCHANGEDDATE" DATE NOT NULL ENABLE, 
	"AUTHORISATIONDATE" DATE, 
	"OPERATINGCOUNTRYCODE" VARCHAR2(8), 
	"CURRENCYCODE" VARCHAR2(8), 
	"PAYMENTMETHODCODE" VARCHAR2(8), 
	"ESCWITHHELDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"ESCWITHHELDDATE" DATE, 
	"ESCWITHHELDREASON" VARCHAR2(255), 
	"SSCWITHHELDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"SSCWITHHELDDATE" DATE, 
	"SSCWITHHELDREASON" VARCHAR2(255), 
	"LIVEFEEDFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"ESCPREFIX" VARCHAR2(10), 
	"SSCPREFIX" VARCHAR2(10), 
	"BONUSPREFIX" VARCHAR2(10), 
	"LIVEFEEDREASONCODE" VARCHAR2(8), 
	"VENUESALESFLAG" NUMBER(1,0), 
	"SPECIALMESSAGE" VARCHAR2(255), 
	"DEFAULTINVOICEADDRESSID" VARCHAR2(47), 
	"DISTRIBUTORFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"RETAILERAREAID" VARCHAR2(47), 
	"RETAILERREGIONID" VARCHAR2(47), 
	"RETAILERSTATUSROLLBACKCODE" VARCHAR2(8), 
	"RETAILERDEAUTHREASONCODE" VARCHAR2(8), 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"ESTATEMENTFLAG" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"BANDINGCHANGEREASON" VARCHAR2(255), 
	"RETAILERSTATUSCHANGEREASON" VARCHAR2(255), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILBUSINESS" ADD PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILBUSINESS" ADD FOREIGN KEY ("HEADOFFICERETAILBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILBUSINESS" ADD FOREIGN KEY ("DEFAULTINVOICEADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILBUSINESS" ADD CONSTRAINT "FK_PARTY_RETAILBUSINESS" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILCOMMISSIONACCOUNT

  CREATE TABLE "SKYOWNER"."BSBRETAILCOMMISSIONACCOUNT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"RETAILBUSINESSID" VARCHAR2(47) NOT NULL ENABLE, 
	"ACCOUNTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"ACCOUNTNUMBER" VARCHAR2(10) NOT NULL ENABLE, 
	"SORTCODE" VARCHAR2(6) NOT NULL ENABLE, 
	"EFFECTIVEFROM" DATE NOT NULL ENABLE, 
	"EFFECTIVETO" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILCOMMISSIONACCOUNT" ADD CONSTRAINT "PK_BSBRETAILCOMMISSIONACCOUNT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILCOMMISSIONACCOUNT" ADD CONSTRAINT "FK_RETAILBUSINESS_COMMISSIONAC" FOREIGN KEY ("RETAILBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILERAUDITRECORD

  CREATE TABLE "SKYOWNER"."BSBRETAILERAUDITRECORD" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DATAITEM" VARCHAR2(255), 
	"VALUE" VARCHAR2(255), 
	"UPDATEREASONCODE" VARCHAR2(255), 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"RETAILERID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILERAUDITRECORD" ADD CONSTRAINT "PK_BSBRETAILERAUDITRECORD" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILERAUDITRECORD" ADD CONSTRAINT "FK_RETAILBUS_RETAILERAUDITREC" FOREIGN KEY ("RETAILERID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILPROOFOFPURCHASE

  CREATE TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"RETAILERID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(12), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ISCONTRACTNUMBERVALID" NUMBER(1,0) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ADD CONSTRAINT "PK_BSBRETAILPROOFOFPURCHASE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ADD CONSTRAINT "FK_RETAILBUSINESS_PROOFOFPUR" FOREIGN KEY ("RETAILERID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
 
REM SKYOWNER BSBRETAILPROOFOFPURCHASEDETAIL

  CREATE TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"MASKID" VARCHAR2(47) NOT NULL ENABLE, 
	"VALUE" VARCHAR2(10), 
	"RETAILPROOFOFPURCHASEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" ADD CONSTRAINT "PK_BSBRETAILPROOFOFPURCHASEDET" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" ADD CONSTRAINT "FK_PROOFOFPUR_PROOFOFPURDTL" FOREIGN KEY ("RETAILPROOFOFPURCHASEID")
	  REFERENCES "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ("ID") ENABLE;
 
REM SKYOWNER BSBROLE

  CREATE TABLE "SKYOWNER"."BSBROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ROLE" VARCHAR2(80) NOT NULL ENABLE, 
	"CAPACITYOVERRIDE" VARCHAR2(10), 
	"VISITLEADTIMEDAYS" NUMBER(3,0), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBROLE" ADD CONSTRAINT "PK_BSBROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLE" ADD CONSTRAINT "UK_BSBROLENAME" UNIQUE ("ROLE") ENABLE;
 
REM SKYOWNER BSBROLECREDITLIMIT

  CREATE TABLE "SKYOWNER"."BSBROLECREDITLIMIT" 
   (	"ROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CURRENCYCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"DTVOVERRIDEVALUE" NUMBER(8,2), 
	"MAXALLOWABLE" NUMBER(1,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBROLECREDITLIMIT" ADD CONSTRAINT "BSBROLEC_MAXALLOWABLE" CHECK (MaxAllowable IN (0, 1)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLECREDITLIMIT" ADD CONSTRAINT "CHK_BSBROLECRED_MAXORVAL" CHECK (nvl2(DTVOverrideValue,'1','0')||trim(to_char(MaxAllowable)) IN ('01','10')) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLECREDITLIMIT" ADD CONSTRAINT "PK_BSBROLECREDITLIMITS" PRIMARY KEY ("ROLEID", "CURRENCYCODE") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLECREDITLIMIT" ADD CONSTRAINT "FK_ROLEID_BSBROLECRED" FOREIGN KEY ("ROLEID")
	  REFERENCES "SKYOWNER"."BSBROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBROLETOKANAENTITLEMENT

  CREATE TABLE "SKYOWNER"."BSBROLETOKANAENTITLEMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"KANAENTITLEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ADD CONSTRAINT "PK_BSBROLETOKANAENTITLEMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ADD CONSTRAINT "FK_KANAENTITLEMENT_ROLETOKANAE" FOREIGN KEY ("KANAENTITLEMENTID")
	  REFERENCES "SKYOWNER"."BSBKANAENTITLEMENT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ADD CONSTRAINT "FK_BSBROLE_ROLETOKANAENT" FOREIGN KEY ("ROLEID")
	  REFERENCES "SKYOWNER"."BSBROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBSALESLEAD

  CREATE TABLE "SKYOWNER"."BSBSALESLEAD" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PREFERREDCONTACTCHANNEL" VARCHAR2(25) NOT NULL ENABLE, 
	"RECONTACTTIMEFRAME" VARCHAR2(25) NOT NULL ENABLE, 
	"CATALOGUEPRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTACTORID" VARCHAR2(47) NOT NULL ENABLE, 
	"CAMPAIGNINTERESTSOURCEID" NUMBER(10,0), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSALESLEAD" ADD CONSTRAINT "PK_BSBSALESLEAD" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSALESLEAD" ADD CONSTRAINT "FK_BSBCONTACTOR_SALESLEAD" FOREIGN KEY ("CONTACTORID")
	  REFERENCES "SKYOWNER"."BSBCONTACTOR" ("ID") ENABLE;
 
REM SKYOWNER BSBSAMREGISTRY

  CREATE TABLE "SKYOWNER"."BSBSAMREGISTRY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"USERNAME" VARCHAR2(40) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"RESERVEDONLY" NUMBER(1,0) DEFAULT 0 NOT NULL ENABLE, 
	"PROFILETYPE" VARCHAR2(1) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(1)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "PK_SAMREGISTRY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "UK_USERNAME" UNIQUE ("USERNAME") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_RESERVEDONLY" CHECK (ReservedOnly IN (0,1)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_PROFILETYPE" CHECK (ProfileType IN ('P','S','G','B','R')) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_PROFTYPE_PARTYID_NULLABLE" CHECK ((profiletype IN ('P','S') AND partyid IS NOT NULL) OR (profiletype IN ('G','B','R') AND partyid IS NULL)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_SAMREG_STATUS" CHECK (status IN ('R','C','S') /* R = Reserved ; C = Confirmed ; S = Sent to SAM */) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_USERNAME_VALIDATION" CHECK (
       LENGTH(username) > 2           /* 1) No usernames less than 3 characters long */
   AND SUBSTR(username, 1, 1) != '.'  /* 2) No usernames starting with a . */
   AND SUBSTR(username, -1) != '.'    /* 2) No usernames ending with a . */
   AND INSTR(username, '..') = 0      /* 2) No usernames with two together (..) */
   AND REPLACE(TRANSLATE(UPPER(username),'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-._', '*'), '*') IS NULL /* 3) Usernames may only contain the following characters: [A-Z] [0-9] [_] [.] [-] */
   ) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "CHK_USERNAME_UPPERCASE" CHECK (username=UPPER(username)) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBSAMREGISTRY" ADD CONSTRAINT "FK_PARTY_BSBSAMREGISTRY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBSERVICEINSTANCE

  CREATE TABLE "SKYOWNER"."BSBSERVICEINSTANCE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STARTDATE" DATE NOT NULL ENABLE, 
	"TELEPHONENUMBER" VARCHAR2(15), 
	"CONTINUOUSSERVICE" NUMBER(1,0), 
	"FIRSTCALLBACKDATE" DATE, 
	"INTERACTIVESTATUS" VARCHAR2(10), 
	"PACKREQUESTNUMBER" VARCHAR2(25), 
	"PARENT" NUMBER(1,0), 
	"PPVMETHOD" VARCHAR2(25), 
	"SKYSOLEOWNER" NUMBER(1,0), 
	"INDIVIDUALSPENDLIMITVALUE" NUMBER(8,2), 
	"INDIVIDUALSPENDLIMITCURRCODE" VARCHAR2(5), 
	"CURRENTBALANCEVALUE" NUMBER(8,2), 
	"CURRENTBALANCECURRENCYCODE" VARCHAR2(5), 
	"GLOBALSPENDLIMITVALUE" NUMBER(8,2), 
	"GLOBALSPENDLIMITCURRENCYCODE" VARCHAR2(5), 
	"PARENTSERVICEINSTANCEID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"CARDSUBSCRIBERID" VARCHAR2(47), 
	"INSTALLATIONPRODUCTELEMENTID" VARCHAR2(47), 
	"IPPVCREDITLIMITVALUE" NUMBER(8,2), 
	"IPPVCREDITLIMITCURRENCYCODE" VARCHAR2(5), 
	"PORTFOLIOID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICEINSTANCETYPE" NUMBER(5,0), 
	"LASTCALLBACKDATE" DATE, 
	"CALLBACKAVAILABILITYTIME" VARCHAR2(10), 
	"CALLBACKDAY" NUMBER(2,0), 
	"EVENTTHRESHOLD" VARCHAR2(5), 
	"REPAIRCOUNT" NUMBER(5,0), 
	"OPPVPURCHASEBALANCECURRCODE" VARCHAR2(12), 
	"OPPVPURCHASEBALANCEVALUE" NUMBER(8,2), 
	"EXCLUDEVIOLATIONFLAG" NUMBER(1,0), 
	"EXCLUDEVIOLATIONREASONCODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"PAPERITEMID" VARCHAR2(47), 
	"PDTV_ID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "PK_BSBSERVICEINSTANCE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "CHK_TOPLEVEL_SI" CHECK (NVL2(ParentServiceInstanceID,DECODE(ServiceInstanceType,300,-1,ServiceInstanceType),300)=ServiceInstanceType) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "UK_PDTV" UNIQUE ("PDTV_ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "CHK_SERVICEINSTANCETYPE" CHECK (ServiceInstanceType IN (100,210,220,300,400)) ENABLE NOVALIDATE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "FK_SERVICEINSTANCE_ID_SELF" FOREIGN KEY ("PARENTSERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "FK_BSBCSTPRODELEM_BSBSERVINST" FOREIGN KEY ("INSTALLATIONPRODUCTELEMENTID")
	  REFERENCES "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "FK_PORTFOLIO_SERVICEINSTANCE" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSERVICEINSTANCE" ADD CONSTRAINT "FK_PAPERITEM" FOREIGN KEY ("PAPERITEMID")
	  REFERENCES "SKYOWNER"."BSBPAPERITEM" ("ID") ENABLE;
 
REM SKYOWNER BSBSETTLEMENTMETHOD

  CREATE TABLE "SKYOWNER"."BSBSETTLEMENTMETHOD" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"SETTLEMENTMETHODCLASSTYPECODE" VARCHAR2(80) NOT NULL ENABLE, 
	"SETTLEMENTMETHODTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"ACCOUNTHOLDERNAME" VARCHAR2(80), 
	"ACCOUNTNUMBER" VARCHAR2(10), 
	"SORTCODE" VARCHAR2(6), 
	"CREDITCARDAUTHORISATIONNUMBER" VARCHAR2(80), 
	"CARDHOLDERNAME" VARCHAR2(80), 
	"CARDNUMBER" VARCHAR2(19), 
	"CARDTYPE" VARCHAR2(10), 
	"ISSUENUMBER" VARCHAR2(80), 
	"CARDSTARTDATE" DATE, 
	"CARDEXPIRYDATE" DATE, 
	"SECURITYCODE" VARCHAR2(3), 
	"CARDID" NUMBER(10,0), 
	"CARDIDSERVER" NUMBER(3,0), 
	"CHEQUENUMBER" VARCHAR2(80), 
	"NAMEONCHEQUE" VARCHAR2(80), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"CHEQUEADDRESSID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSETTLEMENTMETHOD" ADD CONSTRAINT "XPKBSBSETTLEMENTMETHOD" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSETTLEMENTMETHOD" ADD CONSTRAINT "FK_ADDRESS_SETTLEMNTMTD" FOREIGN KEY ("CHEQUEADDRESSID")
	  REFERENCES "SKYOWNER"."BSBADDRESS" ("ID") ENABLE;
 
REM SKYOWNER BSBSUBSCRIPTION

  CREATE TABLE "SKYOWNER"."BSBSUBSCRIPTION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47) NOT NULL ENABLE, 
	"SUBSCRIPTIONTYPEID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"NAME" VARCHAR2(255), 
	"STATUSCHANGEDDATE" DATE, 
	"STATUSREASONCODE" VARCHAR2(10), 
	"INITIALENABLEMENTDATE" DATE, 
	"INITIALACTIVATIONDATE" DATE, 
	"SUBSCRIPTIONSTARTDATE" DATE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTION" ADD CONSTRAINT "PK_BSBSUBSCRIPTION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTION" ADD CONSTRAINT "FK_BSBSERVICEIINSTANCE_SUBSRIP" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBSUBSCRIPTIONAGREEMENTITEM

  CREATE TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" 
   (	"AGREEMENTITEMID" VARCHAR2(47) NOT NULL ENABLE, 
	"SUBSCRIPTIONAGREEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"AGREEMENTNUMBER" VARCHAR2(16) NOT NULL ENABLE, 
	"STARTDATE" DATE, 
	"ENDDATE" DATE, 
	"REGISTEREDDATE" DATE, 
	"XXPRIMARYSERVICEINSTANCEID" VARCHAR2(47), 
	"RETAILBUSINESSID" VARCHAR2(47), 
	"MANDATESIGNATURELESSFLAG" NUMBER(1,0), 
	"MANDATEISSUEDATE" DATE, 
	"MANDATERETURNDUEDATE" DATE, 
	"MANDATERETURNEDDATE" DATE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"EXTENSIONGRANTEDFLAG" NUMBER(1,0), 
	"NUMBEREXTENSIONSGRANTED" NUMBER(3,0), 
	"LASTEXTENSIONREASONCODE" VARCHAR2(10), 
	"REISSUEGRANTEDFLAG" NUMBER(1,0), 
	"CONVERTEDTOPAPERLESSFLAG" NUMBER(1,0), 
	"EXTENSIONUNTILDATE" DATE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"PAPERCONTRACTID" VARCHAR2(47), 
	"SUBSCRIPTIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "PK_BSBSUBSCRIPTIONAGREEMENTITE" PRIMARY KEY ("AGREEMENTITEMID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "UNQ_SUBSCR_AGREEMENTNUMBER" UNIQUE ("AGREEMENTNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "UNQ_BSBSUBSAGREITEM_PSERID" UNIQUE ("XXPRIMARYSERVICEINSTANCEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "FK_RETAILBUS_SUBSCRIPAGRITEM" FOREIGN KEY ("RETAILBUSINESSID")
	  REFERENCES "SKYOWNER"."BSBRETAILBUSINESS" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "FK_AGRITEM_SUBSCRIPAGRITEM" FOREIGN KEY ("AGREEMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBAGREEMENTITEM" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "FK_PAPERCONTRACT" FOREIGN KEY ("PAPERCONTRACTID")
	  REFERENCES "SKYOWNER"."BSBPAPERITEM" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "FK_SUBSCRIPTION" FOREIGN KEY ("SUBSCRIPTIONID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTION" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ADD CONSTRAINT "FK_SERVICEINST_SUBSRIPAGRITEM" FOREIGN KEY ("XXPRIMARYSERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBSUBSCRIPTIONENTITLEMENT

  CREATE TABLE "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"EFFECTIVEFROMDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVETODATE" DATE, 
	"SUBSCRIPTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"ENTITLEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ADD CONSTRAINT "PK_BSBSUBSCRIPTIONENTITLEMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ADD CONSTRAINT "FK_SUBSCR_SUBSCRENTITLEMENT" FOREIGN KEY ("SUBSCRIPTIONID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTION" ("ID") ENABLE;
 
REM SKYOWNER BSBSUBSCRIPTIONHISTORYSTATUS

  CREATE TABLE "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUS" VARCHAR2(10) NOT NULL ENABLE, 
	"STATUSSTARTDATE" DATE NOT NULL ENABLE, 
	"STATUSENDDATE" DATE, 
	"SUBSCRIPTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"STATUSREASONCODE" VARCHAR2(15), 
	"ORDERID" VARCHAR2(47), 
	"ENTITLEMENTID" VARCHAR2(47), 
	"SERVICEINSTANCEID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ADD CONSTRAINT "PK_BSBSUBSCRIPTIONHISTORYSTATU" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ADD CONSTRAINT "FK_SUBSCRIP_SUBSCRIPHISTORYST" FOREIGN KEY ("SUBSCRIPTIONID")
	  REFERENCES "SKYOWNER"."BSBSUBSCRIPTION" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ADD CONSTRAINT "FK_ORDER_SUBSCRIPHISTORYSTATUS" FOREIGN KEY ("ORDERID")
	  REFERENCES "SKYOWNER"."BSBORDER" ("ID") ENABLE;
 
REM SKYOWNER BSBTARGETEDMAILSHOT

  CREATE TABLE "SKYOWNER"."BSBTARGETEDMAILSHOT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"MAILSHOTID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTARGETEDMAILSHOT" ADD CONSTRAINT "PK_BSBTARGETEDMAILSHOT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTARGETEDMAILSHOT" ADD CONSTRAINT "FK_PARTY_TARGTMAILSHOT" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER BSBTECHENQUIRYVISITRESOLUTION

  CREATE TABLE "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ACTUALACTIONCODE" VARCHAR2(10), 
	"ACTUALCAUSECODE" VARCHAR2(10), 
	"ACTUALSYMPTOMCODE" VARCHAR2(10), 
	"RESOLUTIONDATE" DATE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"TECHNICALENQUIRYID" VARCHAR2(47), 
	"VISITREQUIREMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"ACTUALCONDITIONCODE" VARCHAR2(10), 
	"STBUNPLUGGED" NUMBER(1,0), 
	"PHONELINEDISCONNECT" NUMBER(1,0), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" ADD CONSTRAINT "PK_BSBTECHENQUIRYVISITRESOLUTI" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" ADD CONSTRAINT "FK_VISITREQ_TECHENQIRYVISITRES" FOREIGN KEY ("VISITREQUIREMENTID")
	  REFERENCES "SKYOWNER"."BSBVISITREQUIREMENT" ("ID") ENABLE;
 
REM SKYOWNER BSBTECHNICALENQUIRY

  CREATE TABLE "SKYOWNER"."BSBTECHNICALENQUIRY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"JOBID" VARCHAR2(47), 
	"SYMPTOMCODE" VARCHAR2(8), 
	"CAUSECODE" VARCHAR2(8), 
	"ACTIONCODE" VARCHAR2(8), 
	"RESPONSIBLEPARTYCODE" VARCHAR2(8), 
	"THIRDPARTYCODE" VARCHAR2(8), 
	"CUSTOMERPRODUCTELEMENTID" VARCHAR2(47), 
	"RESOLUTIONCODE" VARCHAR2(8), 
	"RESOLUTIONDATE" DATE, 
	"REFERENCENUMBER" VARCHAR2(10) NOT NULL ENABLE, 
	"STATUSCODE" VARCHAR2(8) NOT NULL ENABLE, 
	"OWNERID" VARCHAR2(47), 
	"REPORTEDBYID" VARCHAR2(47), 
	"AFFECTEDPRODUCTID" VARCHAR2(47), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"BROADBANDTICKETID" VARCHAR2(10)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTECHNICALENQUIRY" ADD CONSTRAINT "PK_BSBTECHNICALENQUIRY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTECHNICALENQUIRY" ADD CONSTRAINT "FK_CUSTOMERROLE_TECHENQ" FOREIGN KEY ("OWNERID")
	  REFERENCES "SKYOWNER"."BSBCUSTOMERROLE" ("PARTYROLEID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTECHNICALENQUIRY" ADD CONSTRAINT "FK_PERSON_BSBTECHENQUIRY_REPOR" FOREIGN KEY ("REPORTEDBYID")
	  REFERENCES "SKYOWNER"."PERSON" ("PARTYID") ENABLE;
 
REM SKYOWNER BSBTELEPHONE

  CREATE TABLE "SKYOWNER"."BSBTELEPHONE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"INTERNATIONALDIALINGCODE" VARCHAR2(6), 
	"AREACODE" VARCHAR2(6) NOT NULL ENABLE, 
	"TELEPHONENUMBER" VARCHAR2(12) NOT NULL ENABLE, 
	"EXTENSIONNUMBER" VARCHAR2(6), 
	"TELEPHONENUMBERUSECODE" VARCHAR2(8) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"COMBINEDTELEPHONENUMBER" VARCHAR2(18) NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LINETYPECODE" VARCHAR2(10), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONE" ADD PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER BSBTELEPHONEUSAGEROLE

  CREATE TABLE "SKYOWNER"."BSBTELEPHONEUSAGEROLE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"TELEPHONEID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"EFFECTIVEFROMDATE" DATE NOT NULL ENABLE, 
	"EFFECTIVETODATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ROLETYPE" VARCHAR2(12), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ADD CONSTRAINT "PK_BSBTELEPHONEUSAGEROLE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ADD CONSTRAINT "CHK_SERVICEINSTANCEID_NOTNULL" CHECK (DECODE(roletype,'CLI',serviceinstanceid,1) IS NOT NULL) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ADD CONSTRAINT "FK_BSBTEL_TELUSAGEROLE" FOREIGN KEY ("TELEPHONEID")
	  REFERENCES "SKYOWNER"."BSBTELEPHONE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ADD CONSTRAINT "FK_SERVICEINST_TELUSAGEROLE" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
 
REM SKYOWNER BSBTELEPHONYCUSTPRODELEMENT

  CREATE TABLE "SKYOWNER"."BSBTELEPHONYCUSTPRODELEMENT" 
   (	"TELEPHONYPRODUCTELEMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"SERVICEID" VARCHAR2(20), 
	"ACTUALACTIVATIONDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONYCUSTPRODELEMENT" ADD CONSTRAINT "PK_BSBTELEPHONYCUSTPRODELEMENT" PRIMARY KEY ("TELEPHONYPRODUCTELEMENTID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONYCUSTPRODELEMENT" ADD CONSTRAINT "FK_BSBTELCUSTPRODELEMENT" FOREIGN KEY ("TELEPHONYPRODUCTELEMENTID")
	  REFERENCES "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ID") ENABLE;
 
REM SKYOWNER BSBTELEPHONYREQUIREMENT

  CREATE TABLE "SKYOWNER"."BSBTELEPHONYREQUIREMENT" 
   (	"TELEPHONYFULFILMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"BTACCOUNTNUMBER" VARCHAR2(20), 
	"POSTCODE" VARCHAR2(7), 
	"ONLYCPS" NUMBER(1,0) NOT NULL ENABLE, 
	"ORDERID" VARCHAR2(20), 
	"PROPOSEDACTIVATIONDATE" DATE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONYREQUIREMENT" ADD CONSTRAINT "CHK_ONLYCPS" CHECK (OnlyCPS IN (0, 1)) ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONYREQUIREMENT" ADD CONSTRAINT "PK_BSBTELEPHONYREQUIREMENT" PRIMARY KEY ("TELEPHONYFULFILMENTID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBTELEPHONYREQUIREMENT" ADD CONSTRAINT "FK_BSBTELFULFILMENTITEM" FOREIGN KEY ("TELEPHONYFULFILMENTID")
	  REFERENCES "SKYOWNER"."BSBFULFILMENTITEM" ("ID") ENABLE;
 
REM SKYOWNER BSBUSERROLEBRIDGE

  CREATE TABLE "SKYOWNER"."BSBUSERROLEBRIDGE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"ROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"USERID" NUMBER(10,0) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBUSERROLEBRIDGE" ADD CONSTRAINT "PK_BSBUSERROLEBRIDGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBUSERROLEBRIDGE" ADD CONSTRAINT "FK_BSBUSERROLEBRIDGE_CCSUSER" FOREIGN KEY ("USERID")
	  REFERENCES "SKYOWNER"."CCSUSER" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBUSERROLEBRIDGE" ADD CONSTRAINT "FK_BSBUSERROLEBRIDGE_BSBROLE" FOREIGN KEY ("ROLEID")
	  REFERENCES "SKYOWNER"."BSBROLE" ("ID") ENABLE;
 
REM SKYOWNER BSBVISITREQUIREMENT

  CREATE TABLE "SKYOWNER"."BSBVISITREQUIREMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"FMSJOBREFERENCE" VARCHAR2(20), 
	"JOBTYPE" VARCHAR2(10), 
	"JOBDESCRIPTION" VARCHAR2(255), 
	"SPECIALNEEDSPASSWORD" VARCHAR2(10), 
	"CUSTOMERAWAREOFVISIT" NUMBER(1,0), 
	"STATUSCODE" VARCHAR2(10) NOT NULL ENABLE, 
	"STATUSREASONCODE1" VARCHAR2(10), 
	"STATUSREASONCODE2" VARCHAR2(10), 
	"STATUSREASONCODE3" VARCHAR2(10), 
	"VALIDCUSTOMERSTARTDATE" DATE, 
	"VISITDATE" DATE, 
	"NOTES" VARCHAR2(50), 
	"FULFILMENTITEMID" VARCHAR2(47) NOT NULL ENABLE, 
	"VISITID" VARCHAR2(50) NOT NULL ENABLE, 
	"INSTALLERID" VARCHAR2(47), 
	"FAULTCODE" VARCHAR2(10), 
	"SYMPTOMCODE" VARCHAR2(10), 
	"TECHNICALENQUIRYID" VARCHAR2(47), 
	"RESCHEDULECOUNTER" NUMBER(5,0), 
	"INSTALLATIONADDRESSROLEID" VARCHAR2(47) NOT NULL ENABLE, 
	"INSTALLATIONJOBREFERENCE" VARCHAR2(20), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"TELEPHONEID" VARCHAR2(47), 
	"UPDATEREASON" VARCHAR2(10), 
	"ETAUPDATEREASON" VARCHAR2(10), 
	"CALLBACKCOUNTER" NUMBER DEFAULT 0 NOT NULL ENABLE, 
	"INSTALLERTYPE" VARCHAR2(20), 
	"MANUALINITIALISATIONCOUNTER" NUMBER(5,0) DEFAULT 0 NOT NULL ENABLE, 
	"VISITTIMEFROM" VARCHAR2(80), 
	"VISITTIMETO" VARCHAR2(80), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"REPAIRCOUNTER" NUMBER(5,0) DEFAULT 0, 
	"VISITTIMEBAND" VARCHAR2(10), 
	"VISITGRADING" NUMBER(3,0), 
	"VISITGRADINGBAND" VARCHAR2(1)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "PK_BSBVISITREQUIREMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "FK_BSBFLFLMNTITM_BSBVSTRQMT" FOREIGN KEY ("FULFILMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBFULFILMENTITEM" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "FK_BSBINSTALLERROLE_BSBVSTRQMT" FOREIGN KEY ("INSTALLERID")
	  REFERENCES "SKYOWNER"."BSBINSTALLERROLE" ("IDNO") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "FK_BSBTCHNCLENQRY_BSBVSTRQMT" FOREIGN KEY ("TECHNICALENQUIRYID")
	  REFERENCES "SKYOWNER"."BSBTECHNICALENQUIRY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "FK_BSBADDUSGRLE_BSBVSTRQMT" FOREIGN KEY ("INSTALLATIONADDRESSROLEID")
	  REFERENCES "SKYOWNER"."BSBADDRESSUSAGEROLE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENT" ADD CONSTRAINT "FK_BSBTEL_VISITREQ" FOREIGN KEY ("TELEPHONEID")
	  REFERENCES "SKYOWNER"."BSBTELEPHONE" ("ID") ENABLE;
 
REM SKYOWNER BSBVISITREQUIREMENTHISTORY

  CREATE TABLE "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"VISITREQUIREMENTID" VARCHAR2(47) NOT NULL ENABLE, 
	"HISTORYDATE" DATE NOT NULL ENABLE, 
	"CHANGETYPE" VARCHAR2(20), 
	"ORIGINALSTATUS" VARCHAR2(10), 
	"ORIGINALFMSJOBREF" VARCHAR2(20), 
	"ORIGINALVISITDATE" DATE, 
	"NEWSTATUS" VARCHAR2(10), 
	"NEWFMSJOBREF" VARCHAR2(20), 
	"NEWVISITDATE" DATE, 
	"STATUSREASONCODE1" VARCHAR2(10), 
	"STATUSREASONCODE2" VARCHAR2(10), 
	"STATUSREASONCODE3" VARCHAR2(10), 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"UPDATEREASON" VARCHAR2(10) DEFAULT 'MU' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"VISITTIMEBAND" VARCHAR2(10), 
	"VISITGRADING" NUMBER(3,0), 
	"VISITGRADINGBAND" VARCHAR2(1)
   ) ;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" ADD CONSTRAINT "PK_VISITREQUIREMENTHISTORY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" ADD CONSTRAINT "FK_BSBVSTRQMT_BSBVSTRQMTHSTRY" FOREIGN KEY ("VISITREQUIREMENTID")
	  REFERENCES "SKYOWNER"."BSBVISITREQUIREMENT" ("ID") ENABLE;
 
REM SKYOWNER BSBWARRANTY

  CREATE TABLE "SKYOWNER"."BSBWARRANTY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"WARRANTYCOMPANYID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"ADDORDERLINEID" VARCHAR2(47) DEFAULT 1 NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBWARRANTY" ADD CONSTRAINT "PK_BSBWARRANTY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBWARRANTY" ADD CONSTRAINT "FK_BSBORDERLINE_WARRANTY" FOREIGN KEY ("ADDORDERLINEID")
	  REFERENCES "SKYOWNER"."BSBORDERLINE" ("ID") ENABLE;
 
REM SKYOWNER BSBWARRANTYDETAIL

  CREATE TABLE "SKYOWNER"."BSBWARRANTYDETAIL" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"WARRANTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"VALUE" VARCHAR2(10), 
	"MASKID" VARCHAR2(47) NOT NULL ENABLE, 
	"CREATED" DATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LASTUPDATE" DATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."BSBWARRANTYDETAIL" ADD CONSTRAINT "PK_BSBWARRANTYDETAIL" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."BSBWARRANTYDETAIL" ADD CONSTRAINT "FK_WARRANTY_WARRANTYDTL" FOREIGN KEY ("WARRANTYID")
	  REFERENCES "SKYOWNER"."BSBWARRANTY" ("ID") ENABLE;
 
REM SKYOWNER CCSUSER

  CREATE TABLE "SKYOWNER"."CCSUSER" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"FUNCTIONALTITLE" VARCHAR2(80), 
	"HONORIFICTITLE" VARCHAR2(80), 
	"FIRSTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"MIDDLENAME" VARCHAR2(80), 
	"LASTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"ACDGROUP" VARCHAR2(32), 
	"BUSINESSENTITYID" VARCHAR2(47), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE, 
	"ACDID" NUMBER(10,0), 
	"LOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"CTIMIDDLEWARELOGIN" VARCHAR2(30), 
	"CTIMIDDLEWAREPSWD" VARCHAR2(30), 
	"ACDPASSWORD" VARCHAR2(30)
   ) ;
  ALTER TABLE "SKYOWNER"."CCSUSER" ADD CONSTRAINT "XPKCCSUSER" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."CCSUSER" ADD CONSTRAINT "XAKCCSUSER1" UNIQUE ("LOGINNAME") ENABLE;
  ALTER TABLE "SKYOWNER"."CCSUSER" ADD CONSTRAINT "FK_CCSUSERPARTY" FOREIGN KEY ("BUSINESSENTITYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE NOVALIDATE;
 
REM SKYOWNER CCSUSER_NEW

  CREATE TABLE "SKYOWNER"."CCSUSER_NEW" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"FUNCTIONALTITLE" VARCHAR2(80), 
	"HONORIFICTITLE" VARCHAR2(80), 
	"FIRSTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"MIDDLENAME" VARCHAR2(80), 
	"LASTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"ACDGROUP" VARCHAR2(32), 
	"BUSINESSENTITYID" VARCHAR2(47), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE, 
	"ACDID" NUMBER(10,0), 
	"LOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"CTIMIDDLEWARELOGIN" VARCHAR2(30), 
	"CTIMIDDLEWAREPSWD" VARCHAR2(30), 
	"ACDPASSWORD" VARCHAR2(30)
   ) ;
  ALTER TABLE "SKYOWNER"."CCSUSER_NEW" ADD CONSTRAINT "PK_CCSUSER_NEW" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."CCSUSER_NEW" ADD CONSTRAINT "XAKCCSUSER_NEW" UNIQUE ("LOGINNAME") ENABLE;
 
REM SKYOWNER COMEVENTTYPE

  CREATE TABLE "SKYOWNER"."COMEVENTTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMEVENTTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."COMEVENTTYPE" ADD CONSTRAINT "XPKCOMEVENTTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER COMMONCURRENCY

  CREATE TABLE "SKYOWNER"."COMMONCURRENCY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CURRENCYISONAME" VARCHAR2(40) NOT NULL ENABLE, 
	"ISOMNEMONICCODE" VARCHAR2(3), 
	"ISONUMERICCODE" NUMBER(3,0)
   ) ;
  ALTER TABLE "SKYOWNER"."COMMONCURRENCY" ADD CONSTRAINT "XPKCOMMONCURRENCY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."COMMONCURRENCY" ADD CONSTRAINT "XAKCOMMONCURRENCY1" UNIQUE ("CURRENCYISONAME") ENABLE;
 
REM SKYOWNER COMPRTCPNTTYPE

  CREATE TABLE "SKYOWNER"."COMPRTCPNTTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMPRTCPNTTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."COMPRTCPNTTYPE" ADD CONSTRAINT "XPKCOMPRTCPNTTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER DEADLINETIMER

  CREATE TABLE "SKYOWNER"."DEADLINETIMER" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"DEADLINETIME" DATE NOT NULL ENABLE, 
	"TIMERSTATUSCODE" VARCHAR2(15) NOT NULL ENABLE, 
	"TIMERTYPECODE" VARCHAR2(15) NOT NULL ENABLE, 
	"CALLBACKCA" VARCHAR2(255) NOT NULL ENABLE, 
	"APPDATA" VARCHAR2(255), 
	"SYSINSTANCENAME" VARCHAR2(20) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."DEADLINETIMER" ADD CONSTRAINT "XPKDEADLINETIMER" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER DEFDATABIZSVC

  CREATE TABLE "SKYOWNER"."DEFDATABIZSVC" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(255) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80)
   ) ;
  ALTER TABLE "SKYOWNER"."DEFDATABIZSVC" ADD CONSTRAINT "XPKDEFDATABIZSVC" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER DEFDATACATEGORY

  CREATE TABLE "SKYOWNER"."DEFDATACATEGORY" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(30) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80), 
	"PARENTCATEGORYID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."DEFDATACATEGORY" ADD CONSTRAINT "XPKDEFDATACATEGORY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."DEFDATACATEGORY" ADD CONSTRAINT "FK_PARENTCATEGORY" FOREIGN KEY ("PARENTCATEGORYID")
	  REFERENCES "SKYOWNER"."DEFDATACATEGORY" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER DEFDATACLASSINFO

  CREATE TABLE "SKYOWNER"."DEFDATACLASSINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"VERSION" NUMBER(2,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(255) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80), 
	"PARENTCLASSINFOID" NUMBER(10,0) NOT NULL ENABLE, 
	"SCOPEID" NUMBER(10,0) NOT NULL ENABLE, 
	"CATEGORYID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."DEFDATACLASSINFO" ADD CONSTRAINT "XPKDEFDATACLSINFO" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."DEFDATACLASSINFO" ADD CONSTRAINT "FK_SCOPECLASS" FOREIGN KEY ("SCOPEID")
	  REFERENCES "SKYOWNER"."DEFINEDDATASCOPE" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "SKYOWNER"."DEFDATACLASSINFO" ADD CONSTRAINT "FK_CATEGORY" FOREIGN KEY ("CATEGORYID")
	  REFERENCES "SKYOWNER"."DEFDATACATEGORY" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "SKYOWNER"."DEFDATACLASSINFO" ADD CONSTRAINT "FK_PARENTCLSINFO" FOREIGN KEY ("PARENTCLASSINFOID")
	  REFERENCES "SKYOWNER"."DEFDATACLASSINFO" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER DEFDATAPACKAGE

  CREATE TABLE "SKYOWNER"."DEFDATAPACKAGE" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(255) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80)
   ) ;
  ALTER TABLE "SKYOWNER"."DEFDATAPACKAGE" ADD CONSTRAINT "XPKDEFDATAPACKAGE" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER DEFINEDDATASCOPE

  CREATE TABLE "SKYOWNER"."DEFINEDDATASCOPE" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"SCOPENAME" VARCHAR2(30) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80)
   ) ;
  ALTER TABLE "SKYOWNER"."DEFINEDDATASCOPE" ADD CONSTRAINT "XPKDEFINEDDATASCOP" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER DEVICE

  CREATE TABLE "SKYOWNER"."DEVICE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DEVICETYPE" VARCHAR2(8) NOT NULL ENABLE, 
	"DESCRIPTION" VARCHAR2(255), 
	"DEVICENAME" VARCHAR2(80) NOT NULL ENABLE, 
	"DEVICEIDENTTEXT" VARCHAR2(80), 
	"MANUFACTURER" VARCHAR2(80), 
	"MODEL" VARCHAR2(80), 
	"OUTBNDDIALINGCD" VARCHAR2(80), 
	"OPERATINGSYSTEM" VARCHAR2(80), 
	"OPERATINGSYSVER" VARCHAR2(80), 
	"REVISION" VARCHAR2(80), 
	"MIDDLEWARETYPE" VARCHAR2(8), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE, 
	"STATIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"AUTOANSWER" CHAR(1)
   ) ;
  ALTER TABLE "SKYOWNER"."DEVICE" ADD CONSTRAINT "XPKDEVICE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."DEVICE" ADD CONSTRAINT "FK_DEVICESTATION" FOREIGN KEY ("STATIONID")
	  REFERENCES "SKYOWNER"."STATION" ("ID") ENABLE;
 
REM SKYOWNER EBCINTERACTION

  CREATE TABLE "SKYOWNER"."EBCINTERACTION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"INTERACTIONSEQ" NUMBER(10,0), 
	"INTRCTNTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"EICASEID" VARCHAR2(47), 
	"INTERACTIONDESC" VARCHAR2(128), 
	"INTRCTNSTATECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"CREATEDATE" DATE NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"PARTYID" VARCHAR2(47), 
	"OFFERINGNAME" VARCHAR2(80), 
	"CONTACTORID" VARCHAR2(47), 
	"TASKDESCRIPTION" VARCHAR2(30), 
	"JOBID" VARCHAR2(47), 
	"DOCUMENTNUMBER" VARCHAR2(80), 
	"PORTFOLIOID" VARCHAR2(47), 
	"PORTFOLIOOWNERPARTYID" VARCHAR2(47), 
	"SERVICEINSTANCEID" VARCHAR2(47), 
	"BILLINGACCOUNTNUMBER" VARCHAR2(12), 
	"CONTACTORTYPECODE" VARCHAR2(10), 
	"ACTIVITYREQUESTNAME" VARCHAR2(80), 
	"ACTIVITYSTARTDATE" DATE, 
	"ACTIVITYENDDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "XPKEBCINTERACTION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNPARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNSTATE" FOREIGN KEY ("INTRCTNSTATECODE")
	  REFERENCES "SKYOWNER"."INTRCTNSTATE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNTYPE" FOREIGN KEY ("INTRCTNTYPECODE")
	  REFERENCES "SKYOWNER"."INTRCTNTYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTRCTNCASE" FOREIGN KEY ("EICASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_EBCINTERACTION_JOB" FOREIGN KEY ("JOBID")
	  REFERENCES "SKYOWNER"."BSBJOB" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_SERVICEINST_EBCINTERACTION" FOREIGN KEY ("SERVICEINSTANCEID")
	  REFERENCES "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_BSBPORTFOLIO_EBCINTERACTION" FOREIGN KEY ("PORTFOLIOID")
	  REFERENCES "SKYOWNER"."BSBPORTFOLIO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EBCINTERACTION" ADD CONSTRAINT "FK_PARTY_EBCINTERACTION2" FOREIGN KEY ("PORTFOLIOOWNERPARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER EICASE

  CREATE TABLE "SKYOWNER"."EICASE" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CASENUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"CASEDESC" VARCHAR2(120), 
	"MERGEDTOCASEID" VARCHAR2(47), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTACTORID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "XPKEICASE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "XAKEICASE1" UNIQUE ("CASENUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."EICASE" ADD CONSTRAINT "FK_EICASEMERGED" FOREIGN KEY ("MERGEDTOCASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
 
REM SKYOWNER EICOMEVENT

  CREATE TABLE "SKYOWNER"."EICOMEVENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMEVENTTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMEVENTSTARTDATE" DATE NOT NULL ENABLE, 
	"EICOMMUNICATIONID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "XPKEICOMEVENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "FK_COMEVNTEVNTTYPE" FOREIGN KEY ("COMEVENTTYPECODE")
	  REFERENCES "SKYOWNER"."COMEVENTTYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMEVENT" ADD CONSTRAINT "FK_EICOMEVENTEICOM" FOREIGN KEY ("EICOMMUNICATIONID")
	  REFERENCES "SKYOWNER"."EICOMMUNICATION" ("ID") ENABLE;
 
REM SKYOWNER EICOMMENT

  CREATE TABLE "SKYOWNER"."EICOMMENT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMENTDATE" DATE NOT NULL ENABLE, 
	"COMMENTTEXT" VARCHAR2(4000) NOT NULL ENABLE, 
	"USERLOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"EBCINTERACTIONID" VARCHAR2(47) NOT NULL ENABLE, 
	"NOTECATEGORYID" VARCHAR2(47), 
	"NOTETITLEID" VARCHAR2(47)
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMMENT" ADD CONSTRAINT "XPKEICOMMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMMENT" ADD CONSTRAINT "FK_EICOMMENTEBCI" FOREIGN KEY ("EBCINTERACTIONID")
	  REFERENCES "SKYOWNER"."EBCINTERACTION" ("ID") ENABLE;
 
REM SKYOWNER EICOMMUNICATION

  CREATE TABLE "SKYOWNER"."EICOMMUNICATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMIOFLAG" CHAR(1), 
	"COMTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"COMADDRESSTEXT" VARCHAR2(255), 
	"COMSTARTDATE" DATE NOT NULL ENABLE, 
	"EICASEID" VARCHAR2(47), 
	"DIALLEDNUMBER" VARCHAR2(6)
   ) ;
  ALTER TABLE "SKYOWNER"."EICOMMUNICATION" ADD CONSTRAINT "XPKEICOMMUNICATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."EICOMMUNICATION" ADD CONSTRAINT "FK_EICASE_EICOMMUNICATION" FOREIGN KEY ("EICASEID")
	  REFERENCES "SKYOWNER"."EICASE" ("ID") ENABLE;
 
REM SKYOWNER GEOBNDRYCURRENCY

  CREATE TABLE "SKYOWNER"."GEOBNDRYCURRENCY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"GEOBOUNDARYID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMONCURRENCYID" VARCHAR2(47) NOT NULL ENABLE, 
	"DFLTCURRENCYFLAG" CHAR(1)
   ) ;
  ALTER TABLE "SKYOWNER"."GEOBNDRYCURRENCY" ADD CONSTRAINT "XPKGEOBNDRYCURR" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."GEOBNDRYCURRENCY" ADD CONSTRAINT "FK_GEOBNDRYCURRGEO" FOREIGN KEY ("GEOBOUNDARYID")
	  REFERENCES "SKYOWNER"."GEOBOUNDARY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."GEOBNDRYCURRENCY" ADD CONSTRAINT "FK_GEOBNDRYCURRCUR" FOREIGN KEY ("COMMONCURRENCYID")
	  REFERENCES "SKYOWNER"."COMMONCURRENCY" ("ID") ENABLE;
 
REM SKYOWNER GEOBNDRYTYPE

  CREATE TABLE "SKYOWNER"."GEOBNDRYTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"GEOBNDRYTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."GEOBNDRYTYPE" ADD CONSTRAINT "XPKGEOBNDRYTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER GEOBOUNDARY

  CREATE TABLE "SKYOWNER"."GEOBOUNDARY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"GEOBOUNDARYNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"GEOBNDRYTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"GEOBNDRYCODETEXT" VARCHAR2(20)
   ) ;
  ALTER TABLE "SKYOWNER"."GEOBOUNDARY" ADD CONSTRAINT "XPKGEOBOUNDARY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."GEOBOUNDARY" ADD CONSTRAINT "FK_GEOBNDRYGEOTYPE" FOREIGN KEY ("GEOBNDRYTYPECODE")
	  REFERENCES "SKYOWNER"."GEOBNDRYTYPE" ("CODE") ENABLE;
 
REM SKYOWNER GEOBOUNDARYASSOC

  CREATE TABLE "SKYOWNER"."GEOBOUNDARYASSOC" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"GEOBOUNDARYID" VARCHAR2(47) NOT NULL ENABLE, 
	"ASSOCGEOBOUNDARYID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."GEOBOUNDARYASSOC" ADD CONSTRAINT "XPKGEOBNDRYASSOC" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."GEOBOUNDARYASSOC" ADD CONSTRAINT "FK_GEOBNDRYASSOC2" FOREIGN KEY ("ASSOCGEOBOUNDARYID")
	  REFERENCES "SKYOWNER"."GEOBOUNDARY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."GEOBOUNDARYASSOC" ADD CONSTRAINT "FK_GEOBNDRYASSOC1" FOREIGN KEY ("GEOBOUNDARYID")
	  REFERENCES "SKYOWNER"."GEOBOUNDARY" ("ID") ENABLE;
 
REM SKYOWNER IDENTITYTABLE

  CREATE TABLE "SKYOWNER"."IDENTITYTABLE" 
   (	"PDMID" NUMBER(10,0) NOT NULL ENABLE, 
	"TABLENAME" VARCHAR2(80) NOT NULL ENABLE, 
	"COUNTERVALUE" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."IDENTITYTABLE" ADD CONSTRAINT "XAKIDENTITYTABLE1" UNIQUE ("PDMID", "TABLENAME") ENABLE;
 
REM SKYOWNER INTRCTNSTATE

  CREATE TABLE "SKYOWNER"."INTRCTNSTATE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"INTRCTNSTATEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."INTRCTNSTATE" ADD CONSTRAINT "XPKINTRCTNSTATE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER INTRCTNTYPE

  CREATE TABLE "SKYOWNER"."INTRCTNTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"INTRCTNTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."INTRCTNTYPE" ADD CONSTRAINT "XPKINTRCTNTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER LANGUAGES

  CREATE TABLE "SKYOWNER"."LANGUAGES" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"LANGUAGENAME" VARCHAR2(80) NOT NULL ENABLE, 
	"LANGUAGENATIVENAME" VARCHAR2(80), 
	"LANGUAGEISOCODE" VARCHAR2(3) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."LANGUAGES" ADD CONSTRAINT "XPKLANGUAGE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."LANGUAGES" ADD CONSTRAINT "XAKLANGUAGE1" UNIQUE ("LANGUAGENAME") ENABLE;
  ALTER TABLE "SKYOWNER"."LANGUAGES" ADD CONSTRAINT "XAKLANGUAGE2" UNIQUE ("LANGUAGEISOCODE") ENABLE;
 
REM SKYOWNER MEDIATYPE

  CREATE TABLE "SKYOWNER"."MEDIATYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"MEDIATYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."MEDIATYPE" ADD CONSTRAINT "XPKMEDIATYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER NEWSFEED

  CREATE TABLE "SKYOWNER"."NEWSFEED" 
   (	"ID" VARCHAR2(47), 
	"MESSAGE" VARCHAR2(100), 
	"PRIORITY" NUMBER(2,0), 
	"STARTDATE" DATE, 
	"ENDDATE" DATE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
 
REM SKYOWNER OBJECTMAP

  CREATE TABLE "SKYOWNER"."OBJECTMAP" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMENTS" VARCHAR2(255), 
	"SOURCEIDENTTEXT" VARCHAR2(47), 
	"SOURCETYPE" VARCHAR2(8), 
	"SOURCEVALUE" VARCHAR2(80), 
	"SOURCEVALUETYPE" VARCHAR2(8), 
	"TARGETIDENTTEXT" VARCHAR2(47), 
	"TARGETTYPE" VARCHAR2(8), 
	"TARGETVALUE" VARCHAR2(80), 
	"TARGETVALUETYPE" VARCHAR2(8), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."OBJECTMAP" ADD CONSTRAINT "XPKOBJECTMAP" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER OFFERING

  CREATE TABLE "SKYOWNER"."OFFERING" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"OFFERINGNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"PRODUCTCATEGORYID" VARCHAR2(47), 
	"WFPLANINFOID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."OFFERING" ADD CONSTRAINT "XPKOFFERING" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERING" ADD CONSTRAINT "FK_OFFERINGPLNINFO" FOREIGN KEY ("WFPLANINFOID")
	  REFERENCES "SKYOWNER"."WFPLANINFO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERING" ADD CONSTRAINT "FK_OFRNGPRODCATGRY" FOREIGN KEY ("PRODUCTCATEGORYID")
	  REFERENCES "SKYOWNER"."PRODUCTCATEGORY" ("ID") ENABLE;
 
REM SKYOWNER OFFERINGCATEGORY

  CREATE TABLE "SKYOWNER"."OFFERINGCATEGORY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CATEGORYNAME" VARCHAR2(80) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."OFFERINGCATEGORY" ADD CONSTRAINT "XPKOFFERINGCATGRY" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER OFFERINGHIERARCHY

  CREATE TABLE "SKYOWNER"."OFFERINGHIERARCHY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"HIERARCHYSEQ" NUMBER(4,0) NOT NULL ENABLE, 
	"ACTIVEFLAG" CHAR(1), 
	"OFFERINGVIEWID" VARCHAR2(47) NOT NULL ENABLE, 
	"OFFERINGCATEGORYID" VARCHAR2(47), 
	"OFFERINGID" VARCHAR2(47), 
	"PARENTHIERARCHYID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."OFFERINGHIERARCHY" ADD CONSTRAINT "XPKOFFERINGHRCHY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERINGHIERARCHY" ADD CONSTRAINT "FK_OFRNGHRCHVIEW" FOREIGN KEY ("OFFERINGVIEWID")
	  REFERENCES "SKYOWNER"."OFFERINGVIEW" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERINGHIERARCHY" ADD CONSTRAINT "FK_OFRNGHRCHCATGRY" FOREIGN KEY ("OFFERINGCATEGORYID")
	  REFERENCES "SKYOWNER"."OFFERINGCATEGORY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERINGHIERARCHY" ADD CONSTRAINT "FK_OFRNGHRCHYPRNT" FOREIGN KEY ("PARENTHIERARCHYID")
	  REFERENCES "SKYOWNER"."OFFERINGHIERARCHY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."OFFERINGHIERARCHY" ADD CONSTRAINT "FK_OFRNGHRCHOFRNG" FOREIGN KEY ("OFFERINGID")
	  REFERENCES "SKYOWNER"."OFFERING" ("ID") ENABLE;
 
REM SKYOWNER OFFERINGVIEW

  CREATE TABLE "SKYOWNER"."OFFERINGVIEW" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"VIEWNAME" VARCHAR2(20) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."OFFERINGVIEW" ADD CONSTRAINT "XPKOFFERINGVIEW" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER ORGANIZATION

  CREATE TABLE "SKYOWNER"."ORGANIZATION" 
   (	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"ORGFULLNAME" VARCHAR2(80), 
	"ORGABBRVNAME" VARCHAR2(20), 
	"MERCHANTIDNUMBER" VARCHAR2(20)
   ) ;
  ALTER TABLE "SKYOWNER"."ORGANIZATION" ADD CONSTRAINT "XPKORGANIZATION" PRIMARY KEY ("PARTYID") ENABLE;
  ALTER TABLE "SKYOWNER"."ORGANIZATION" ADD CONSTRAINT "FK_ORGPARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER PACKAGECLASSINFO

  CREATE TABLE "SKYOWNER"."PACKAGECLASSINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"PACKAGEID" NUMBER(10,0) NOT NULL ENABLE, 
	"CLASSINFOID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PACKAGECLASSINFO" ADD CONSTRAINT "XPKPACKAGECLSINFO" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PACKAGECLASSINFO" ADD CONSTRAINT "FK_PKGCLSINFOPKG" FOREIGN KEY ("PACKAGEID")
	  REFERENCES "SKYOWNER"."DEFDATAPACKAGE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PACKAGECLASSINFO" ADD CONSTRAINT "FK_PKGCLSINFOCLS" FOREIGN KEY ("CLASSINFOID")
	  REFERENCES "SKYOWNER"."DEFDATACLASSINFO" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER PARTY

  CREATE TABLE "SKYOWNER"."PARTY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"GOVERNMENTIDNUMBER" VARCHAR2(20), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PARTY" ADD CONSTRAINT "XPKPARTY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTY" ADD CONSTRAINT "XAKPARTY1" UNIQUE ("GOVERNMENTIDNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTY" ADD CONSTRAINT "FK_PARTYPARTYTYPE" FOREIGN KEY ("PARTYTYPECODE")
	  REFERENCES "SKYOWNER"."PARTYTYPE" ("CODE") ENABLE;
 
REM SKYOWNER PARTYRELATIONROLE

  CREATE TABLE "SKYOWNER"."PARTYRELATIONROLE" 
   (	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"RELATEDPARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"PARTYROLETYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"STARTDATE" DATE, 
	"ENDDATE" DATE, 
	"PRIORITYCODE" VARCHAR2(10), 
	"STATUSCODE" VARCHAR2(10), 
	"PARTYNUMBER" VARCHAR2(20), 
	"CHALLENGEDATATEXT" VARCHAR2(30), 
	"ENCRYPTEDPASSTEXT" VARCHAR2(20)
   ) ;
  ALTER TABLE "SKYOWNER"."PARTYRELATIONROLE" ADD CONSTRAINT "XPKPARTYRELATNROLE" PRIMARY KEY ("PARTYID", "RELATEDPARTYID", "PARTYROLETYPECODE") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTYRELATIONROLE" ADD CONSTRAINT "XAKPRTYRELATNROLE1" UNIQUE ("PARTYNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTYRELATIONROLE" ADD CONSTRAINT "FK_PRTYRELATNPRTY2" FOREIGN KEY ("RELATEDPARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTYRELATIONROLE" ADD CONSTRAINT "FK_PRTYRELATNPRTY1" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PARTYRELATIONROLE" ADD CONSTRAINT "FK_PRTYRELATNTYPE" FOREIGN KEY ("PARTYROLETYPECODE")
	  REFERENCES "SKYOWNER"."PARTYROLETYPE" ("CODE") ENABLE;
 
REM SKYOWNER PARTYROLETYPE

  CREATE TABLE "SKYOWNER"."PARTYROLETYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"PARTYROLETYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PARTYROLETYPE" ADD CONSTRAINT "XPKPARTYROLETYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER PARTYTYPE

  CREATE TABLE "SKYOWNER"."PARTYTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"PARTYTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PARTYTYPE" ADD CONSTRAINT "XPKPARTYTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER PERSON

  CREATE TABLE "SKYOWNER"."PERSON" 
   (	"PARTYID" VARCHAR2(47) NOT NULL ENABLE, 
	"FIRSTNAME" VARCHAR2(40), 
	"MIDDLENAME" VARCHAR2(40), 
	"FAMILYNAME" VARCHAR2(40), 
	"HONORIFICTITLECODE" VARCHAR2(10), 
	"BIRTHDATE" DATE, 
	"BIRTHPLACENAME" VARCHAR2(40), 
	"GENDERCODE" VARCHAR2(10), 
	"MARITALSTATUSCODE" VARCHAR2(10), 
	"EMPLOYERNAME" VARCHAR2(40), 
	"OCCUPATIONNAME" VARCHAR2(40), 
	"EMAILALLOWEDSWITCH" NUMBER(1,0), 
	"POSTALMAILALLOWEDSWITCH" NUMBER(1,0), 
	"TELEPHONECONTACTALLOWEDSWITCH" NUMBER(1,0), 
	"BLOCKPURCHASESWITCH" NUMBER(1,0)
   ) ;
  ALTER TABLE "SKYOWNER"."PERSON" ADD CONSTRAINT "XPKPERSON" PRIMARY KEY ("PARTYID") ENABLE;
  ALTER TABLE "SKYOWNER"."PERSON" ADD CONSTRAINT "FK_PERSONPARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
 
REM SKYOWNER PERSONALITY

  CREATE TABLE "SKYOWNER"."PERSONALITY" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(80) NOT NULL ENABLE, 
	"PRNTPERSONALITYID" NUMBER(10,0), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."PERSONALITY" ADD CONSTRAINT "XPKPERSONALITY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PERSONALITY" ADD CONSTRAINT "FK_PERSONALITYPRNT" FOREIGN KEY ("PRNTPERSONALITYID")
	  REFERENCES "SKYOWNER"."PERSONALITY" ("ID") ENABLE;
 
REM SKYOWNER PREFPROFICIENCY

  CREATE TABLE "SKYOWNER"."PREFPROFICIENCY" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"ROUTINGATTRIBUTEID" NUMBER(10,0), 
	"PERSONALITYID" NUMBER(10,0), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."PREFPROFICIENCY" ADD CONSTRAINT "XPKPREFPROFICIENCY" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PREFPROFICIENCY" ADD CONSTRAINT "FK_PREFPROFRTGATTR" FOREIGN KEY ("ROUTINGATTRIBUTEID")
	  REFERENCES "SKYOWNER"."ROUTINGATTRIBUTE" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PREFPROFICIENCY" ADD CONSTRAINT "FK_PREFPROFPRSNLTY" FOREIGN KEY ("PERSONALITYID")
	  REFERENCES "SKYOWNER"."PERSONALITY" ("ID") ENABLE;
 
REM SKYOWNER PRODCATALOGITEM

  CREATE TABLE "SKYOWNER"."PRODCATALOGITEM" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRODUCTCATALOGID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODCATALOGITEM" ADD CONSTRAINT "XPKPRODCATALOGITEM" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODCATALOGITEM" ADD CONSTRAINT "FK_ITEMCATALOG" FOREIGN KEY ("PRODUCTCATALOGID")
	  REFERENCES "SKYOWNER"."PRODUCTCATALOG" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODCATALOGITEM" ADD CONSTRAINT "FK_ITEMCATLGPROD" FOREIGN KEY ("PRODUCTID")
	  REFERENCES "SKYOWNER"."PRODUCT" ("ID") ENABLE;
 
REM SKYOWNER PRODMMEDIADESC

  CREATE TABLE "SKYOWNER"."PRODMMEDIADESC" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"DESCRIPTIONNAME" VARCHAR2(30) NOT NULL ENABLE, 
	"DESCRIPTIONTEXT" VARCHAR2(255) NOT NULL ENABLE, 
	"MEDIATYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"MEDIAURLTEXT" VARCHAR2(255), 
	"PRODUCTID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODMMEDIADESC" ADD CONSTRAINT "XPKPRODMMEDIADESC" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODMMEDIADESC" ADD CONSTRAINT "FK_PRODMMDESCTYPE" FOREIGN KEY ("MEDIATYPECODE")
	  REFERENCES "SKYOWNER"."MEDIATYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODMMEDIADESC" ADD CONSTRAINT "FK_PRODMMDESCPROD" FOREIGN KEY ("PRODUCTID")
	  REFERENCES "SKYOWNER"."PRODUCT" ("ID") ENABLE;
 
REM SKYOWNER PRODUCT

  CREATE TABLE "SKYOWNER"."PRODUCT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRODUCTNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"PRODUCTNUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"PRODUCTTYPECODE" VARCHAR2(10) NOT NULL ENABLE, 
	"UPCNUMBER" VARCHAR2(20), 
	"OEMVALUEAMT" NUMBER(9,2) NOT NULL ENABLE, 
	"RETAILVALUEAMT" NUMBER(9,2) NOT NULL ENABLE, 
	"EXPIRYDATE" DATE, 
	"EFFECTIVEDATE" DATE, 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODUCT" ADD CONSTRAINT "XPKPRODUCT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODUCT" ADD CONSTRAINT "XAKPRODUCT1" UNIQUE ("PRODUCTNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODUCT" ADD CONSTRAINT "FK_PRODPRODTYPE" FOREIGN KEY ("PRODUCTTYPECODE")
	  REFERENCES "SKYOWNER"."PRODUCTTYPE" ("CODE") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODUCT" ADD CONSTRAINT "FK_PRODUCTPARTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE NOVALIDATE;
 
REM SKYOWNER PRODUCTCATALOG

  CREATE TABLE "SKYOWNER"."PRODUCTCATALOG" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"CATALOGNUMBER" VARCHAR2(20) NOT NULL ENABLE, 
	"CATALOGNAME" VARCHAR2(255), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE, 
	"PARTYID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODUCTCATALOG" ADD CONSTRAINT "XPKPRODUCTCATALOG" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODUCTCATALOG" ADD CONSTRAINT "XAKPRODUCTCATALOG1" UNIQUE ("CATALOGNUMBER") ENABLE;
  ALTER TABLE "SKYOWNER"."PRODUCTCATALOG" ADD CONSTRAINT "FK_PRODCATALOGPRTY" FOREIGN KEY ("PARTYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE NOVALIDATE;
 
REM SKYOWNER PRODUCTCATEGORY

  CREATE TABLE "SKYOWNER"."PRODUCTCATEGORY" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"PRODCATEGORYNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"PRODCATEGORYDESC" VARCHAR2(255), 
	"PURPOSETEXT" VARCHAR2(255), 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODUCTCATEGORY" ADD CONSTRAINT "XPKPRODUCTCATEGORY" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER PRODUCTTYPE

  CREATE TABLE "SKYOWNER"."PRODUCTTYPE" 
   (	"CODE" VARCHAR2(10) NOT NULL ENABLE, 
	"PRODUCTTYPEDESC" VARCHAR2(255) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."PRODUCTTYPE" ADD CONSTRAINT "XPKPRODUCTTYPE" PRIMARY KEY ("CODE") ENABLE;
 
REM SKYOWNER ROUTINGATTRIBUTE

  CREATE TABLE "SKYOWNER"."ROUTINGATTRIBUTE" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(80), 
	"RTGATTRIBUTETYP" VARCHAR2(8), 
	"OBJECTNAME" VARCHAR2(80), 
	"OBJECTID" NUMBER(10,0), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."ROUTINGATTRIBUTE" ADD CONSTRAINT "XPKROUTINGATTRBUTE" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER ROUTINGPROFICIENCY

  CREATE TABLE "SKYOWNER"."ROUTINGPROFICIENCY" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"OBJECTNAME" VARCHAR2(80), 
	"OBJECTID" NUMBER(10,0), 
	"ROUTINGATTRIBUTEID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."ROUTINGPROFICIENCY" ADD CONSTRAINT "XPKROUTINGPROF" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."ROUTINGPROFICIENCY" ADD CONSTRAINT "FK_RTGPROFRTGATTR" FOREIGN KEY ("ROUTINGATTRIBUTEID")
	  REFERENCES "SKYOWNER"."ROUTINGATTRIBUTE" ("ID") ENABLE;
 
REM SKYOWNER RUNPLANIDCOUNTER

  CREATE TABLE "SKYOWNER"."RUNPLANIDCOUNTER" 
   (	"COUNTER" NUMBER(10,0)
   ) ;
 
REM SKYOWNER SCHEMA_UPDATES

  CREATE TABLE "SKYOWNER"."SCHEMA_UPDATES" 
   (	"SCHEMA_VERSION" VARCHAR2(20), 
	"SCHEMA_SCRIPT_APPLIED" VARCHAR2(100), 
	"UPDATE_DATE" DATE
   ) ;
 
REM SKYOWNER SESSIONCONTEXT

  CREATE TABLE "SKYOWNER"."SESSIONCONTEXT" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"LOGINTIME" DATE NOT NULL ENABLE, 
	"NODENAME" VARCHAR2(80) NOT NULL ENABLE, 
	"LOGINNAME" VARCHAR2(32) NOT NULL ENABLE, 
	"AUTHETICATIONTOKEN" VARCHAR2(80) NOT NULL ENABLE, 
	"SERIALIZEDSCAINFO" VARCHAR2(255), 
	"SESSIONIDVALUE" VARCHAR2(80) NOT NULL ENABLE, 
	"SYSINSTANCENAME" VARCHAR2(20), 
	"EVENTTIME" DATE NOT NULL ENABLE, 
	"EVENT" VARCHAR2(20) NOT NULL ENABLE, 
	"APPLICATION" VARCHAR2(40) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."SESSIONCONTEXT" ADD CONSTRAINT "XPKSESSIONCONTEXT" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER SQLPERSISTENTINFO

  CREATE TABLE "SKYOWNER"."SQLPERSISTENTINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"UPDATEORDER" NUMBER(2,0) NOT NULL ENABLE, 
	"DELETEORDER" NUMBER(2,0) NOT NULL ENABLE, 
	"RETRIEVEORDER" NUMBER(2,0) NOT NULL ENABLE, 
	"ADDORDER" NUMBER(2,0) NOT NULL ENABLE, 
	"INDEXFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"COLUMNNAME" VARCHAR2(255) NOT NULL ENABLE, 
	"COLUMNTYPE" VARCHAR2(30) NOT NULL ENABLE, 
	"SEARCHFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"TABLENAME" VARCHAR2(255) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80), 
	"STATICATTRDEFID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."SQLPERSISTENTINFO" ADD CONSTRAINT "XPKSQLPERSISTENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."SQLPERSISTENTINFO" ADD CONSTRAINT "FK_ATTRDEFSQL" FOREIGN KEY ("STATICATTRDEFID")
	  REFERENCES "SKYOWNER"."STATICATTRDEF" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER STATICATTRDEF

  CREATE TABLE "SKYOWNER"."STATICATTRDEF" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"NAME" VARCHAR2(255) NOT NULL ENABLE, 
	"OBJECTIDFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"TYPE" VARCHAR2(30) NOT NULL ENABLE, 
	"ARRAYFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"RELATIONSHIPTYPE" VARCHAR2(30) NOT NULL ENABLE, 
	"ATTRJOINFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"PRSTINFOCLASSNAME" VARCHAR2(30) NOT NULL ENABLE, 
	"PERSISTENTFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"PERSISTENTROUTE" NUMBER(3,0) NOT NULL ENABLE, 
	"NULLABLEFLAG" NUMBER(1,0) NOT NULL ENABLE, 
	"USERDATA" VARCHAR2(80), 
	"CLASSINFOID" NUMBER(10,0) NOT NULL ENABLE, 
	"TYPEATTRID" NUMBER(10,0) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."STATICATTRDEF" ADD CONSTRAINT "XPKSTATICATTRDEF" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."STATICATTRDEF" ADD CONSTRAINT "FK_CLSATTRDEF" FOREIGN KEY ("CLASSINFOID")
	  REFERENCES "SKYOWNER"."DEFDATACLASSINFO" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "SKYOWNER"."STATICATTRDEF" ADD CONSTRAINT "FK_TYPEATTR" FOREIGN KEY ("TYPEATTRID")
	  REFERENCES "SKYOWNER"."DEFDATACLASSINFO" ("ID") ON DELETE CASCADE ENABLE;
 
REM SKYOWNER STATION

  CREATE TABLE "SKYOWNER"."STATION" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"STATIONNAME" VARCHAR2(80) NOT NULL ENABLE, 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE
   ) ;
  ALTER TABLE "SKYOWNER"."STATION" ADD CONSTRAINT "XPKSTATION" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."STATION" ADD CONSTRAINT "I_STATION1" UNIQUE ("STATIONNAME") ENABLE;
 
REM SKYOWNER TELEPHONEINFO

  CREATE TABLE "SKYOWNER"."TELEPHONEINFO" 
   (	"ID" VARCHAR2(47) NOT NULL ENABLE, 
	"COMMNUMBER" VARCHAR2(25) NOT NULL ENABLE, 
	"COMMTYPE" VARCHAR2(8), 
	"INTLCTRYDIALCD" VARCHAR2(8), 
	"TELNUMBERTYP" VARCHAR2(8) NOT NULL ENABLE, 
	"COMMCARRIERNAME" VARCHAR2(80), 
	"INTERNALRTGPHONE" VARCHAR2(25), 
	"DNISPHONE" VARCHAR2(25) NOT NULL ENABLE, 
	"DISASTERBKUPPHONE" VARCHAR2(25), 
	"BKUPINTLCTRYDIALCD" VARCHAR2(8), 
	"BACKUPCOMMTYPE" VARCHAR2(8), 
	"STATUSDESCRIPTION" VARCHAR2(120), 
	"GREETING" VARCHAR2(120), 
	"TOLLFREEIND" CHAR(1), 
	"ACPTCLCTCALLIND" CHAR(1), 
	"COMMPRIMARYLANGID" VARCHAR2(47), 
	"EFFECTIVEDATE" DATE, 
	"EXPIRYDATE" DATE, 
	"BUSINESSENTITYID" VARCHAR2(47), 
	"DESCRIPTION" VARCHAR2(120), 
	"VRUSCRIPTNAME" VARCHAR2(255), 
	"OFFERINGID" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."TELEPHONEINFO" ADD CONSTRAINT "XPKTELEPHONEINFO" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."TELEPHONEINFO" ADD CONSTRAINT "FK_TELINFOOFFERING" FOREIGN KEY ("OFFERINGID")
	  REFERENCES "SKYOWNER"."OFFERING" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."TELEPHONEINFO" ADD CONSTRAINT "FK_TELINFOPARTY" FOREIGN KEY ("BUSINESSENTITYID")
	  REFERENCES "SKYOWNER"."PARTY" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."TELEPHONEINFO" ADD CONSTRAINT "FK_TELINFOLANG" FOREIGN KEY ("COMMPRIMARYLANGID")
	  REFERENCES "SKYOWNER"."LANGUAGES" ("ID") ENABLE;
 
REM SKYOWNER WFASSIGNMENT

  CREATE TABLE "SKYOWNER"."WFASSIGNMENT" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"ACTIVEFLAG" NUMBER(3,0), 
	"CCSUSERID" NUMBER(10,0), 
	"CREATEDATE" DATE, 
	"INFOCLASSNAME" VARCHAR2(255), 
	"LASTMODIFIEDDATE" DATE, 
	"PARENTVERSION" NUMBER(10,0), 
	"VERSION" NUMBER(10,0), 
	"VERSIONINFO" VARCHAR2(255), 
	"INFOID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFASSIGNMENT" ADD CONSTRAINT "XPKWFASSIGNMENT" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."WFASSIGNMENT" ADD CONSTRAINT "FK_WFASSIGNMENT" FOREIGN KEY ("INFOID")
	  REFERENCES "SKYOWNER"."WFASSIGNMENTINFO" ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."WFASSIGNMENT" ADD CONSTRAINT "FK_WFASSGNUSER" FOREIGN KEY ("CCSUSERID")
	  REFERENCES "SKYOWNER"."CCSUSER" ("ID") ENABLE;
 
REM SKYOWNER WFASSIGNMENTINFO

  CREATE TABLE "SKYOWNER"."WFASSIGNMENTINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"CURRENTVERSIONID" NUMBER(10,0), 
	"DESCRIPTION" VARCHAR2(255), 
	"NAME" VARCHAR2(255), 
	"VERSIONCLASSNAME" VARCHAR2(255)
   ) ;
  ALTER TABLE "SKYOWNER"."WFASSIGNMENTINFO" ADD CONSTRAINT "XPKWFASSIGNMNTINFO" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER WFIONAME

  CREATE TABLE "SKYOWNER"."WFIONAME" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"IOCLASSNAME" VARCHAR2(255), 
	"PARENTCLASSNAME" VARCHAR2(255), 
	"TYPE" NUMBER(10,0), 
	"PARENTID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFIONAME" ADD CONSTRAINT "XPKWFIONAME" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER WFNODERELATIONSHIP

  CREATE TABLE "SKYOWNER"."WFNODERELATIONSHIP" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"FROMPLANNODEID" NUMBER(10,0), 
	"TOPLANNODEID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFNODERELATIONSHIP" ADD CONSTRAINT "XPKWFNODERELATION" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER WFPLAN

  CREATE TABLE "SKYOWNER"."WFPLAN" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"ACTIVEFLAG" NUMBER(3,0), 
	"CCSUSERID" NUMBER(10,0), 
	"CREATEDATE" DATE, 
	"INFOCLASSNAME" VARCHAR2(255), 
	"INFOID" NUMBER(10,0), 
	"LASTMODIFIEDDATE" DATE, 
	"PARENTVERSION" NUMBER(10,0), 
	"VERSION" NUMBER(10,0), 
	"VERSIONINFO" VARCHAR2(255), 
	"HEADNODEID" NUMBER(10,0), 
	"TAILNODEID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFPLAN" ADD CONSTRAINT "XPKWFPLAN" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."WFPLAN" ADD CONSTRAINT "FK_WFPLAN" FOREIGN KEY ("INFOID")
	  REFERENCES "SKYOWNER"."WFPLANINFO" ("ID") ENABLE;
 
REM SKYOWNER WFPLANINFO

  CREATE TABLE "SKYOWNER"."WFPLANINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"CURRENTVERSIONID" NUMBER(10,0), 
	"DESCRIPTION" VARCHAR2(255), 
	"NAME" VARCHAR2(255), 
	"VERSIONCLASSNAME" VARCHAR2(255), 
	"STATE" VARCHAR2(8), 
	"ADHOCPLANINDICATOR" NUMBER(10,0), 
	"RECOVERFLAG" NUMBER(3,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFPLANINFO" ADD CONSTRAINT "XPKWFPLANINFO" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER WFPLANNODE

  CREATE TABLE "SKYOWNER"."WFPLANNODE" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"INFOCLASSNAME" VARCHAR2(255), 
	"NODENUMBER" NUMBER(10,0), 
	"JOINTYPE" NUMBER(10,0), 
	"VERSIONOVERRIDE" NUMBER(10,0), 
	"XCOORDINATE" NUMBER(10,0), 
	"YCOORDINATE" NUMBER(10,0), 
	"INFOID" NUMBER(10,0), 
	"PLANID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFPLANNODE" ADD CONSTRAINT "XPKWFPLANNODE" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."WFPLANNODE" ADD CONSTRAINT "FK_WFPLNNDWFPLN" FOREIGN KEY ("PLANID")
	  REFERENCES "SKYOWNER"."WFPLAN" ("ID") ENABLE;
 
REM SKYOWNER WFTASK

  CREATE TABLE "SKYOWNER"."WFTASK" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"ACTIVEFLAG" NUMBER(3,0), 
	"CCSUSERID" NUMBER(10,0), 
	"CREATEDATE" DATE, 
	"INFOCLASSNAME" VARCHAR2(255), 
	"LASTMODIFIEDDATE" DATE, 
	"PARENTVERSION" NUMBER(10,0), 
	"VERSION" NUMBER(10,0), 
	"VERSIONINFO" VARCHAR2(255), 
	"INSTCLASSNAME" VARCHAR2(255), 
	"INFOID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFTASK" ADD CONSTRAINT "XPKWFTASK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "SKYOWNER"."WFTASK" ADD CONSTRAINT "FK_WFTASK" FOREIGN KEY ("INFOID")
	  REFERENCES "SKYOWNER"."WFTASKINFO" ("ID") ENABLE;
 
REM SKYOWNER WFTASKINFO

  CREATE TABLE "SKYOWNER"."WFTASKINFO" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"CURRENTVERSIONID" NUMBER(10,0), 
	"DESCRIPTION" VARCHAR2(255), 
	"NAME" VARCHAR2(255), 
	"VERSIONCLASSNAME" VARCHAR2(255), 
	"WFTASKINFOTYPE" VARCHAR2(8)
   ) ;
  ALTER TABLE "SKYOWNER"."WFTASKINFO" ADD CONSTRAINT "XPKWFTASKINFO" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER WFTOKEN

  CREATE TABLE "SKYOWNER"."WFTOKEN" 
   (	"ID" NUMBER(10,0) NOT NULL ENABLE, 
	"PARENTCLASSNAME" VARCHAR2(255), 
	"SEQUENCE" NUMBER(10,0), 
	"TOKEN" VARCHAR2(255), 
	"PARENTID" NUMBER(10,0)
   ) ;
  ALTER TABLE "SKYOWNER"."WFTOKEN" ADD CONSTRAINT "XPKWFTOKEN" PRIMARY KEY ("ID") ENABLE;
 
REM SKYOWNER XXBSBPAPERSUBAGREEMENTITEM

  CREATE TABLE "SKYOWNER"."XXBSBPAPERSUBAGREEMENTITEM" 
   (	"AGREEMENTITEMID" VARCHAR2(47) NOT NULL ENABLE, 
	"CONTRACTISSUEDATE" DATE, 
	"CONTRACTRETURNDUEDATE" DATE, 
	"CONTRACTRETURNDATE" DATE, 
	"CREATED" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"CREATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LASTUPDATE" DATE DEFAULT SYSDATE NOT NULL ENABLE, 
	"UPDATEDBY" VARCHAR2(32) DEFAULT 'SYSTEM' NOT NULL ENABLE, 
	"LOCKTOKENTEXT" VARCHAR2(47) NOT NULL ENABLE
   ) ;
  ALTER TABLE "SKYOWNER"."XXBSBPAPERSUBAGREEMENTITEM" ADD CONSTRAINT "PK_BSBPAPERSUBAGREEMENTITEM" PRIMARY KEY ("AGREEMENTITEMID") ENABLE;
  ALTER TABLE "SKYOWNER"."XXBSBPAPERSUBAGREEMENTITEM" ADD CONSTRAINT "FK_AGRITEM_PAPERSUBAGRITEM" FOREIGN KEY ("AGREEMENTITEMID")
	  REFERENCES "SKYOWNER"."BSBAGREEMENTITEM" ("ID") ENABLE;
 
REM SKYOWNER PERSON_UPD_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."PERSON_UPD_TRIG" 
before update on person
for each row







declare

P_contactor_id varchar2(47);
P_businessparty_id varchar2(47);
p_bus_id varchar2(47);
p_dummy_flag varchar2(1);

P_multiplestatuscode varchar2(8);
p_givenname varchar2(40);
p_title varchar2(10);
p_familyname varchar2(40);

p_partyid varchar2(47);
p_identifyingname varchar2(95);

p_primarycontactflag number;

p_buscontactor_id varchar2(47);

p_headofficeflag number;

begin

select id into P_contactor_id
from bsbcontactor
where partyid = :new.partyid;

select id into p_buscontactor_id
from bsbbusinesscontactor
where contactorpartyid = :new.partyid;

select businesspartyid into p_businessparty_id
from bsbbusinesscontactor
where contactorpartyid = :new.partyid;

select primarycontactflag into p_primarycontactflag
from bsbbusinesscontactor
where id = p_buscontactor_id;

If p_primarycontactflag = 1
then

select id into P_bus_id
from bsbbusiness
where partyid = p_businessparty_id;

select multiplestatuscode into P_multiplestatuscode
from bsbretailbusiness
where partyid = p_businessparty_id;

select headofficeflag into P_headofficeflag
from bsbretailbusiness
where partyid = p_businessparty_id;


if (p_multiplestatuscode = 'D' and p_headofficeflag = 0
and :new.firstname != :old.firstname)
Or
(p_multiplestatuscode = 'D' and p_headofficeflag = 0
and :new.familyname != :old.familyname)
or
(p_multiplestatuscode = 'D' and p_headofficeflag = 0
or :new.honorifictitlecode != :old.honorifictitlecode)

then
p_identifyingname := :new.honorifictitlecode||' '||:new.firstname||' '||:new.familyname;

update bsbbusiness set identifyingname = p_identifyingname
where partyid = p_businessparty_id;

END IF;

end if;

exception

when no_data_found then
p_dummy_flag := 0;

end;

/
ALTER TRIGGER "SKYOWNER"."PERSON_UPD_TRIG" ENABLE;
 
REM SKYOWNER BSBTELEPHONE_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBTELEPHONE_TRIG" 
before update or insert on bsbtelephone
for each row









declare

 P_combinednumber varchar2(18);

begin

 if updating then

  p_combinednumber := :new.areacode||:new.telephonenumber;

  :new.combinedtelephonenumber := p_combinednumber;


 elsif inserting then

  p_combinednumber := :new.areacode||:new.telephonenumber;

  :new.combinedtelephonenumber := p_combinednumber;

 end if;

end;

/
ALTER TRIGGER "SKYOWNER"."BSBTELEPHONE_TRIG" ENABLE;
 
REM SKYOWNER BSBBUSINESSCONTACTOR_INS_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBBUSINESSCONTACTOR_INS_TRIG" 
before insert on bsbbusinesscontactor
for each row







declare

 P_bus_id varchar2(47);
 P_multiplestatuscode varchar2(8);
 p_givenname varchar2(40);
 p_title varchar2(10);
 p_familyname varchar2(40);
 p_headofficeflag number;

 p_partyid varchar2(47);
 p_identifyingname varchar2(95);

 p_primarycontactflag number;

begin

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  -- Change for defect 929

  select headofficeflag into P_headofficeflag
  from bsbretailbusiness
  where partyid = :new.businesspartyid;


If p_multiplestatuscode = 'D' and p_headofficeflag = 0
then

If :new.primarycontactflag = 1
then

  p_bus_id := 0;
  p_multiplestatuscode := ' ';

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;


  select partyid into p_partyid
  from bsbcontactor
  where partyid = :new.contactorpartyid;

  select firstname into p_givenname
  from person
  where partyid = p_partyid;

  select honorifictitlecode into p_title
  from person
  where partyid = p_partyid;

  select familyname into p_familyname
  from person
  where partyid = p_partyid;

if p_multiplestatuscode = 'D' and p_headofficeflag = 0
  then
      p_identifyingname := p_title||' '||p_givenname||' '||p_familyname;

      update bsbbusiness set identifyingname = p_identifyingname
      where partyid = :new.businesspartyid;

  END IF;

end if;

end if;

end;

/
ALTER TRIGGER "SKYOWNER"."BSBBUSINESSCONTACTOR_INS_TRIG" ENABLE;
 
REM SKYOWNER BSBBBCUSTPRODELE_BI_ROW

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBBBCUSTPRODELE_BI_ROW" 
BEFORE INSERT ON bsbbroadbandcustprodelement
FOR EACH ROW
BEGIN
   :NEW.created    := NVL(:NEW.created, SYSDATE);
   :NEW.createdby  := NVL(:NEW.createdby, 'SYSTEM');
   :NEW.lastupdate := NVL(:NEW.lastupdate, SYSDATE);
   :NEW.updatedby  := NVL(:NEW.updatedby, 'SYSTEM');
END bsbbbcustprodele_BI_ROW;

/
ALTER TRIGGER "SKYOWNER"."BSBBBCUSTPRODELE_BI_ROW" ENABLE;
 
REM SKYOWNER BSBBBCUSTPRODELE_BU_ROW

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBBBCUSTPRODELE_BU_ROW" 
BEFORE UPDATE ON bsbbroadbandcustprodelement
FOR EACH ROW
BEGIN
   IF NOT updating('lastupdate') THEN
      :NEW.lastupdate := SYSDATE;
   END IF;
   IF NOT updating('updatedby') THEN
      :NEW.updatedby := 'SYSTEM';
   END IF;
END bsbbbcustprodele_Bu_ROW;

/
ALTER TRIGGER "SKYOWNER"."BSBBBCUSTPRODELE_BU_ROW" ENABLE;
 
REM SKYOWNER BSBRETAILBUSINESS_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBRETAILBUSINESS_TRIG" 
before insert on bsbretailbusiness
for each row







declare

 P_multiplestatuscode varchar2(8);
 p_tradingname        varchar2(30);

begin

dbms_output.put_line ('code = '|| :new.multiplestatuscode);

if :new.multiplestatuscode != 'D' or :new.headofficeflag = 1
  then
       select tradingname into p_tradingname
       from bsbbusiness
       where partyid = :new.partyid;

       update bsbbusiness
       set identifyingname = p_tradingname
       where partyid = :new.partyid;

end if;

end;

/
ALTER TRIGGER "SKYOWNER"."BSBRETAILBUSINESS_TRIG" ENABLE;
 
REM SKYOWNER BSBBUSINESSCONTACTOR_UPD_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBBUSINESSCONTACTOR_UPD_TRIG" 
before update on bsbbusinesscontactor
for each row







declare

 P_bus_id varchar2(47);
 P_multiplestatuscode varchar2(8);
 p_givenname varchar2(40);
 p_title varchar2(10);
 p_familyname varchar2(40);
 p_headofficeflag number;

 p_partyid varchar2(47);
 p_identifyingname varchar2(95);

 p_primarycontactflag number;

begin


/* This statement has been removed to fix defect 514 */

-- update bsbbusiness set identifyingname = null
-- where id = :new.businessid;


If :new.primarycontactflag = 1
then

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  select headofficeflag into p_headofficeflag
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  select partyid into p_partyid
  from bsbcontactor
  where partyid = :new.contactorpartyid;

  select firstname into p_givenname
  from person
  where partyid = p_partyid;

  select honorifictitlecode into p_title
  from person
  where partyid = p_partyid;

  select familyname into p_familyname
  from person
  where partyid = p_partyid;

if p_multiplestatuscode = 'D' and p_headofficeflag = 0
     and :new.primarycontactflag != :old.primarycontactflag
  then
      p_identifyingname := p_title||' '||p_givenname||' '||p_familyname;

      update bsbbusiness set identifyingname = p_identifyingname
      where partyid = :new.businesspartyid;

  END IF;

end if;

end;

/
ALTER TRIGGER "SKYOWNER"."BSBBUSINESSCONTACTOR_UPD_TRIG" ENABLE;
 
REM SKYOWNER BSBBUSINESS_UPD_TRIG

  CREATE OR REPLACE TRIGGER "SKYOWNER"."BSBBUSINESS_UPD_TRIG" 
before update on bsbbusiness
for each row







declare

 P_multiplestatuscode varchar2(8);
 p_dummy_flag varchar2(1);
 p_headofficeflag number;

begin

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.partyid;

  select headofficeflag into P_headofficeflag
  from bsbretailbusiness
  where partyid = :new.partyid;

  if p_multiplestatuscode != 'D' or p_headofficeflag = 1
     and :new.tradingname != :old.tradingname
  then
      :new.identifyingname := :new.tradingname;
  END IF;

exception

when no_data_found then
  p_dummy_flag := 0;

end;

/
ALTER TRIGGER "SKYOWNER"."BSBBUSINESS_UPD_TRIG" ENABLE;
 
REM SKYOWNER XPKATTRJOININFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKATTRJOININFO" ON "SKYOWNER"."ATTRJOININFO" ("ID") 
  ;
 
REM SKYOWNER FK_TOSTATTRDEFID

  CREATE INDEX "SKYOWNER"."FK_TOSTATTRDEFID" ON "SKYOWNER"."ATTRJOININFO" ("TOSTATICATTRDEFID") 
  ;
 
REM SKYOWNER FK_FRSTATTRDEFID

  CREATE INDEX "SKYOWNER"."FK_FRSTATTRDEFID" ON "SKYOWNER"."ATTRJOININFO" ("FRSTATICATTRDEFID") 
  ;
 
REM SKYOWNER FK_ATTRDEFJOIN

  CREATE INDEX "SKYOWNER"."FK_ATTRDEFJOIN" ON "SKYOWNER"."ATTRJOININFO" ("STATICATTRDEFID") 
  ;
 
REM SKYOWNER XPKBIZSVCCLSINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKBIZSVCCLSINFO" ON "SKYOWNER"."BIZSVCCLASSINFO" ("ID") 
  ;
 
REM SKYOWNER FK_BIZCLSINFOBIZ

  CREATE INDEX "SKYOWNER"."FK_BIZCLSINFOBIZ" ON "SKYOWNER"."BIZSVCCLASSINFO" ("BIZSVCID") 
  ;
 
REM SKYOWNER FK_BIZCLSINFOCLS

  CREATE INDEX "SKYOWNER"."FK_BIZCLSINFOCLS" ON "SKYOWNER"."BIZSVCCLASSINFO" ("CLASSINFOID") 
  ;
 
REM SKYOWNER IDX_ADDRESS_PCODEHOUSENUM

  CREATE INDEX "SKYOWNER"."IDX_ADDRESS_PCODEHOUSENUM" ON "SKYOWNER"."BSBADDRESS" ("POSTCODE", "HOUSENUMBER") 
  ;
 
REM SKYOWNER SYS_C007853

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C007853" ON "SKYOWNER"."BSBADDRESS" ("ID") 
  ;
 
REM SKYOWNER FK_SERVICEINSTANCE_ADDRUSAGERO

  CREATE INDEX "SKYOWNER"."FK_SERVICEINSTANCE_ADDRUSAGERO" ON "SKYOWNER"."BSBADDRESSUSAGEROLE" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_ADDRUSAGEROLE

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_ADDRUSAGEROLE" ON "SKYOWNER"."BSBADDRESSUSAGEROLE" ("ADDRESSID") 
  ;
 
REM SKYOWNER PK_BSBADDRESSUSAGEROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBADDRESSUSAGEROLE" ON "SKYOWNER"."BSBADDRESSUSAGEROLE" ("ID") 
  ;
 
REM SKYOWNER PK_BSBADMINMESSAGES

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBADMINMESSAGES" ON "SKYOWNER"."BSBADMINMESSAGES" ("ID") 
  ;
 
REM SKYOWNER IDX_BAM_EFFECTIVE_DATE

  CREATE INDEX "SKYOWNER"."IDX_BAM_EFFECTIVE_DATE" ON "SKYOWNER"."BSBADMINMESSAGES" ("EFFECTIVE_DATE", "EVENT") 
  ;
 
REM SKYOWNER PK_BSBAGREEMENTITEM

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAGREEMENTITEM" ON "SKYOWNER"."BSBAGREEMENTITEM" ("ID") 
  ;
 
REM SKYOWNER FK_BSBORDER_AGRMENTITEM

  CREATE INDEX "SKYOWNER"."FK_BSBORDER_AGRMENTITEM" ON "SKYOWNER"."BSBAGREEMENTITEM" ("ORDERID") 
  ;
 
REM SKYOWNER IDX_AGREEMENTRANGE_RANGESTART

  CREATE INDEX "SKYOWNER"."IDX_AGREEMENTRANGE_RANGESTART" ON "SKYOWNER"."BSBAGREEMENTRANGE" ("RANGESTART") 
  ;
 
REM SKYOWNER IDX_AGREEMENTRANGE_RANGEEND

  CREATE INDEX "SKYOWNER"."IDX_AGREEMENTRANGE_RANGEEND" ON "SKYOWNER"."BSBAGREEMENTRANGE" ("RANGEEND") 
  ;
 
REM SKYOWNER FK_SUBSCRIPAGR_AGRRANGE

  CREATE INDEX "SKYOWNER"."FK_SUBSCRIPAGR_AGRRANGE" ON "SKYOWNER"."BSBAGREEMENTRANGE" ("SUBSCRIPTIONAGREEMENTID") 
  ;
 
REM SKYOWNER PK_BSBAGREEMENTRANGE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAGREEMENTRANGE" ON "SKYOWNER"."BSBAGREEMENTRANGE" ("ID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_AGGRRANGE

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_AGGRRANGE" ON "SKYOWNER"."BSBAGREEMENTRANGE" ("RETAILBUSINESSID") 
  ;
 
REM SKYOWNER FK_BSBAGTOENT_CONTRACT

  CREATE INDEX "SKYOWNER"."FK_BSBAGTOENT_CONTRACT" ON "SKYOWNER"."BSBAGREEMENTTOENT" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER FK_BSBAGTOENT_ENTITLEMENT

  CREATE INDEX "SKYOWNER"."FK_BSBAGTOENT_ENTITLEMENT" ON "SKYOWNER"."BSBAGREEMENTTOENT" ("ENTITLEMENTID") 
  ;
 
REM SKYOWNER PK_BSBAGREEMENTENTBRIDGE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAGREEMENTENTBRIDGE" ON "SKYOWNER"."BSBAGREEMENTTOENT" ("ID") 
  ;
 
REM SKYOWNER PK_BSBAGREEMENTTRANSFER

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAGREEMENTTRANSFER" ON "SKYOWNER"."BSBAGREEMENTTRANSFER" ("ID") 
  ;
 
REM SKYOWNER FK_CUSTAGR_AGREEMENTTRANS

  CREATE INDEX "SKYOWNER"."FK_CUSTAGR_AGREEMENTTRANS" ON "SKYOWNER"."BSBAGREEMENTTRANSFER" ("AGREEMENTID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_ARGTRANS_SRCID

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_ARGTRANS_SRCID" ON "SKYOWNER"."BSBAGREEMENTTRANSFER" ("SOURCERETAILERID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_AGRTRANS_DESTID

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_AGRTRANS_DESTID" ON "SKYOWNER"."BSBAGREEMENTTRANSFER" ("DESTINATIONRETAILERID") 
  ;
 
REM SKYOWNER PK_BSBAPPLICATIONSTATE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAPPLICATIONSTATE" ON "SKYOWNER"."BSBAPPLICATIONSTATE" ("ID") 
  ;
 
REM SKYOWNER FK_AUTHCONTACTROLE_PORTFOLIO

  CREATE INDEX "SKYOWNER"."FK_AUTHCONTACTROLE_PORTFOLIO" ON "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER PK_BSBAUTHORIZEDCONTACTROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBAUTHORIZEDCONTACTROLE" ON "SKYOWNER"."BSBAUTHORIZEDCONTACTROLE" ("PARTYROLEID") 
  ;
 
REM SKYOWNER PK_BSBBATCHNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBATCHNUMBER" ON "SKYOWNER"."BSBBATCHNUMBER" ("ID") 
  ;
 
REM SKYOWNER FK_BSBBATCHNUMBER_BATCHNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."FK_BSBBATCHNUMBER_BATCHNUMBER" ON "SKYOWNER"."BSBBATCHNUMBER" ("BATCHNUMBER") 
  ;
 
REM SKYOWNER PK_BSBBATCHRUN

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBATCHRUN" ON "SKYOWNER"."BSBBATCHRUN" ("ID") 
  ;
 
REM SKYOWNER FK_BSBBATCHRUN_NUMBER_DATE

  CREATE UNIQUE INDEX "SKYOWNER"."FK_BSBBATCHRUN_NUMBER_DATE" ON "SKYOWNER"."BSBBATCHRUN" ("BATCHNUMBER", "BATCHDATE") 
  ;
 
REM SKYOWNER FK_BSBBATCHRUN_BATCHNUMBER

  CREATE INDEX "SKYOWNER"."FK_BSBBATCHRUN_BATCHNUMBER" ON "SKYOWNER"."BSBBATCHRUN" ("BATCHNUMBER") 
  ;
 
REM SKYOWNER IDX_ACCOUNTNUMBER

  CREATE INDEX "SKYOWNER"."IDX_ACCOUNTNUMBER" ON "SKYOWNER"."BSBBILLINGACCOUNT" ("ACCOUNTNUMBER") 
  ;
 
REM SKYOWNER FK_PORTFOLIO_BILLACC

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIO_BILLACC" ON "SKYOWNER"."BSBBILLINGACCOUNT" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_SERVICEINSTANCE_BILLACCOUNT

  CREATE INDEX "SKYOWNER"."FK_SERVICEINSTANCE_BILLACCOUNT" ON "SKYOWNER"."BSBBILLINGACCOUNT" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER PK_BSBBILLINGACCOUNT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBILLINGACCOUNT" ON "SKYOWNER"."BSBBILLINGACCOUNT" ("ID") 
  ;
 
REM SKYOWNER PK_BSBBILLINGADDRESSROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBILLINGADDRESSROLE" ON "SKYOWNER"."BSBBILLINGADDRESSROLE" ("ID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_BILLADDRROLE

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_BILLADDRROLE" ON "SKYOWNER"."BSBBILLINGADDRESSROLE" ("ADDRESSID") 
  ;
 
REM SKYOWNER FK_BILLACC_BILLADDRROLE

  CREATE INDEX "SKYOWNER"."FK_BILLACC_BILLADDRROLE" ON "SKYOWNER"."BSBBILLINGADDRESSROLE" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER PK_BSBBILLINGITEM

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBILLINGITEM" ON "SKYOWNER"."BSBBILLINGITEM" ("ID") 
  ;
 
REM SKYOWNER FK_BILLACCOUNT_BILLINGITEM

  CREATE INDEX "SKYOWNER"."FK_BILLACCOUNT_BILLINGITEM" ON "SKYOWNER"."BSBBILLINGITEM" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER FK_PRICEABLEUNIT_BILLINGITEM

  CREATE INDEX "SKYOWNER"."FK_PRICEABLEUNIT_BILLINGITEM" ON "SKYOWNER"."BSBBILLINGITEM" ("PRICEABLEUNITID") 
  ;
 
REM SKYOWNER PK_BSBBROADBANDCUSTPRODELEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBROADBANDCUSTPRODELEMENT" ON "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" ("LINEPRODUCTELEMENTID") 
  ;
 
REM SKYOWNER FK_BSBTELEPHONEUSAGEROLE

  CREATE INDEX "SKYOWNER"."FK_BSBTELEPHONEUSAGEROLE" ON "SKYOWNER"."BSBBROADBANDCUSTPRODELEMENT" ("TELEPHONEUSAGEROLEID") 
  ;
 
REM SKYOWNER PK_BSBBROADBANDEMAILSETTINGS

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBROADBANDEMAILSETTINGS" ON "SKYOWNER"."BSBBROADBANDEMAILSETTINGS" ("EMAILID") 
  ;
 
REM SKYOWNER PK_BSBBROADBANDREQUIREMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBBROADBANDREQUIREMENT" ON "SKYOWNER"."BSBBROADBANDREQUIREMENT" ("BROADBANDFULFILMENTITEMID") 
  ;
 
REM SKYOWNER PK_BROAD_BAND_ROUTER

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BROAD_BAND_ROUTER" ON "SKYOWNER"."BSBBROADBANDROUTER" ("ID") 
  ;
 
REM SKYOWNER UK_BBROUTER_SN

  CREATE UNIQUE INDEX "SKYOWNER"."UK_BBROUTER_SN" ON "SKYOWNER"."BSBBROADBANDROUTER" ("SERIALNUMBER") 
  ;
 
REM SKYOWNER UK_BBROUTER_MAC

  CREATE UNIQUE INDEX "SKYOWNER"."UK_BBROUTER_MAC" ON "SKYOWNER"."BSBBROADBANDROUTER" ("MACADDRESS") 
  ;
 
REM SKYOWNER FK_BUSINESS_PARTY

  CREATE UNIQUE INDEX "SKYOWNER"."FK_BUSINESS_PARTY" ON "SKYOWNER"."BSBBUSINESS" ("PARTYID") 
  ;
 
REM SKYOWNER SYS_C008045

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008045" ON "SKYOWNER"."BSBBUSINESS" ("ID") 
  ;
 
REM SKYOWNER FK_PARTY_BUSCONTACTOR_BUSID

  CREATE INDEX "SKYOWNER"."FK_PARTY_BUSCONTACTOR_BUSID" ON "SKYOWNER"."BSBBUSINESSCONTACTOR" ("BUSINESSPARTYID") 
  ;
 
REM SKYOWNER FK_PARTY_BUSCONACTOR_CON

  CREATE INDEX "SKYOWNER"."FK_PARTY_BUSCONACTOR_CON" ON "SKYOWNER"."BSBBUSINESSCONTACTOR" ("CONTACTORPARTYID") 
  ;
 
REM SKYOWNER SYS_C008056

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008056" ON "SKYOWNER"."BSBBUSINESSCONTACTOR" ("ID") 
  ;
 
REM SKYOWNER FK_BSBSERVICEINSTANCE_CALLBACK

  CREATE INDEX "SKYOWNER"."FK_BSBSERVICEINSTANCE_CALLBACK" ON "SKYOWNER"."BSBCALLBACKINFORMATION" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBORDER_CALLBACKINFO

  CREATE INDEX "SKYOWNER"."FK_BSBORDER_CALLBACKINFO" ON "SKYOWNER"."BSBCALLBACKINFORMATION" ("ORDERID") 
  ;
 
REM SKYOWNER PK_BSBCALLBACKINFORMATION

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCALLBACKINFORMATION" ON "SKYOWNER"."BSBCALLBACKINFORMATION" ("ID") 
  ;
 
REM SKYOWNER PK_BSBCAMPAIGNOUTCOME

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCAMPAIGNOUTCOME" ON "SKYOWNER"."BSBCAMPAIGNOUTCOME" ("ID") 
  ;
 
REM SKYOWNER FK_EBCINTRACTN_CAMPAIGNOUTCOME

  CREATE INDEX "SKYOWNER"."FK_EBCINTRACTN_CAMPAIGNOUTCOME" ON "SKYOWNER"."BSBCAMPAIGNOUTCOME" ("EBCINTERACTIONID") 
  ;
 
REM SKYOWNER FK_ORDER_CANCELATTEMPT

  CREATE INDEX "SKYOWNER"."FK_ORDER_CANCELATTEMPT" ON "SKYOWNER"."BSBCANCELLATIONATTEMPT" ("ORDERID") 
  ;
 
REM SKYOWNER FK_OUTCOME_CANCELATTEMPT

  CREATE INDEX "SKYOWNER"."FK_OUTCOME_CANCELATTEMPT" ON "SKYOWNER"."BSBCANCELLATIONATTEMPT" ("OUTCOME") 
  ;
 
REM SKYOWNER PK_BSBCANCELLATIONATTEMPT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCANCELLATIONATTEMPT" ON "SKYOWNER"."BSBCANCELLATIONATTEMPT" ("ID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIOPRODUCT_CANCELA

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIOPRODUCT_CANCELA" ON "SKYOWNER"."BSBCANCELLATIONATTEMPT" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER FK_CANCELREASON_CANCELATTEMPT

  CREATE INDEX "SKYOWNER"."FK_CANCELREASON_CANCELATTEMPT" ON "SKYOWNER"."BSBCANCELLATIONATTEMPT" ("CANCELLATIONREASONID") 
  ;
 
REM SKYOWNER PK_BSBCICINFORMATION

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCICINFORMATION" ON "SKYOWNER"."BSBCICINFORMATION" ("ID") 
  ;
 
REM SKYOWNER FK_SERVICEINS_CICPININFO

  CREATE INDEX "SKYOWNER"."FK_SERVICEINS_CICPININFO" ON "SKYOWNER"."BSBCICINFORMATION" ("PRIMARYSERVICEINSTANCEID") 
  ;
 
REM SKYOWNER PK_CLAWBACKACCOUNTLOOKUP

  CREATE UNIQUE INDEX "SKYOWNER"."PK_CLAWBACKACCOUNTLOOKUP" ON "SKYOWNER"."BSBCLAWBACKACCOUNTLOOKUP" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER FK_SERVICEINSTANCE_CLIVIOLATIO

  CREATE INDEX "SKYOWNER"."FK_SERVICEINSTANCE_CLIVIOLATIO" ON "SKYOWNER"."BSBCLIVIOLATION" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER PK_BSBCLIVIOLATION

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCLIVIOLATION" ON "SKYOWNER"."BSBCLIVIOLATION" ("ID") 
  ;
 
REM SKYOWNER PK_BSBCOMMERCIALAGREEMENTITEM

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCOMMERCIALAGREEMENTITEM" ON "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ("AGREEMENTITEMID") 
  ;
 
REM SKYOWNER FK_COMMAGREEMENT_COMMAGRITEM

  CREATE INDEX "SKYOWNER"."FK_COMMAGREEMENT_COMMAGRITEM" ON "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ("COMMERCIALAGREEMENTID") 
  ;
 
REM SKYOWNER FK_PORTFOLIOPROD_COMMAGRITEM

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIOPROD_COMMAGRITEM" ON "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER FK_PORTFOLIOOFFER_COMMAGRITEM

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIOOFFER_COMMAGRITEM" ON "SKYOWNER"."BSBCOMMERCIALAGREEMENTITEM" ("PORTFOLIOOFFERID") 
  ;
 
REM SKYOWNER FK_BSBADDR_BSBCONADDR

  CREATE INDEX "SKYOWNER"."FK_BSBADDR_BSBCONADDR" ON "SKYOWNER"."BSBCONTACTADDRESS" ("ADDRESSID") 
  ;
 
REM SKYOWNER FK_BSBBUSINESS_BSBCONADDR

  CREATE INDEX "SKYOWNER"."FK_BSBBUSINESS_BSBCONADDR" ON "SKYOWNER"."BSBCONTACTADDRESS" ("BUSINESSID") 
  ;
 
REM SKYOWNER FK_BSBCONTACTOR_BSBCONADDR

  CREATE INDEX "SKYOWNER"."FK_BSBCONTACTOR_BSBCONADDR" ON "SKYOWNER"."BSBCONTACTADDRESS" ("CONTACTORID") 
  ;
 
REM SKYOWNER SYS_C008128

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008128" ON "SKYOWNER"."BSBCONTACTADDRESS" ("ID") 
  ;
 
REM SKYOWNER FK_BSBBUSINESS_BSBCONEMAIL

  CREATE INDEX "SKYOWNER"."FK_BSBBUSINESS_BSBCONEMAIL" ON "SKYOWNER"."BSBCONTACTEMAIL" ("BUSINESSID") 
  ;
 
REM SKYOWNER FK_BSBCONTACTOR_BSBCONEMAIL

  CREATE INDEX "SKYOWNER"."FK_BSBCONTACTOR_BSBCONEMAIL" ON "SKYOWNER"."BSBCONTACTEMAIL" ("CONTACTORID") 
  ;
 
REM SKYOWNER FK_BSBEMAIL_BSBCONEMAIL

  CREATE INDEX "SKYOWNER"."FK_BSBEMAIL_BSBCONEMAIL" ON "SKYOWNER"."BSBCONTACTEMAIL" ("EMAILID") 
  ;
 
REM SKYOWNER SYS_C008140

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008140" ON "SKYOWNER"."BSBCONTACTEMAIL" ("ID") 
  ;
 
REM SKYOWNER IDX_CONTACTOR_DECNOTDATE

  CREATE INDEX "SKYOWNER"."IDX_CONTACTOR_DECNOTDATE" ON "SKYOWNER"."BSBCONTACTOR" ("DECEASEDNOTIFICATIONDATE") 
  ;
 
REM SKYOWNER FK_CONTACTOR_PARTY

  CREATE UNIQUE INDEX "SKYOWNER"."FK_CONTACTOR_PARTY" ON "SKYOWNER"."BSBCONTACTOR" ("PARTYID") 
  ;
 
REM SKYOWNER FK_CONTACTOR_DISABILITY

  CREATE INDEX "SKYOWNER"."FK_CONTACTOR_DISABILITY" ON "SKYOWNER"."BSBCONTACTOR" ("DISABILITYID") 
  ;
 
REM SKYOWNER IDX_BSBCONTACTOR_CREATED

  CREATE INDEX "SKYOWNER"."IDX_BSBCONTACTOR_CREATED" ON "SKYOWNER"."BSBCONTACTOR" ("CREATED") 
  ;
 
REM SKYOWNER SYS_C008152

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008152" ON "SKYOWNER"."BSBCONTACTOR" ("ID") 
  ;
 
REM SKYOWNER FK_BSBBUSINESS_BSBCONTEL

  CREATE INDEX "SKYOWNER"."FK_BSBBUSINESS_BSBCONTEL" ON "SKYOWNER"."BSBCONTACTTELEPHONE" ("BUSINESSID") 
  ;
 
REM SKYOWNER FK_BSBCONTACTOR_BSBCONTEL

  CREATE INDEX "SKYOWNER"."FK_BSBCONTACTOR_BSBCONTEL" ON "SKYOWNER"."BSBCONTACTTELEPHONE" ("CONTACTORID") 
  ;
 
REM SKYOWNER FK_BSBTELEPHONE_BSBCONTEL

  CREATE INDEX "SKYOWNER"."FK_BSBTELEPHONE_BSBCONTEL" ON "SKYOWNER"."BSBCONTACTTELEPHONE" ("TELEPHONEID") 
  ;
 
REM SKYOWNER SYS_C008165

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008165" ON "SKYOWNER"."BSBCONTACTTELEPHONE" ("ID") 
  ;
 
REM SKYOWNER PK_BSBCREDITLIMIT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCREDITLIMIT" ON "SKYOWNER"."BSBCREDITLIMIT" ("ID") 
  ;
 
REM SKYOWNER FK_SERVICEINST_CREDITLIMIT

  CREATE INDEX "SKYOWNER"."FK_SERVICEINST_CREDITLIMIT" ON "SKYOWNER"."BSBCREDITLIMIT" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER PK_BSBCROSSUPSELLATTEMPT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCROSSUPSELLATTEMPT" ON "SKYOWNER"."BSBCROSSUPSELLATTEMPT" ("ID") 
  ;
 
REM SKYOWNER FK_ORDER_BSBCROSSUPSELLATTEMPT

  CREATE INDEX "SKYOWNER"."FK_ORDER_BSBCROSSUPSELLATTEMPT" ON "SKYOWNER"."BSBCROSSUPSELLATTEMPT" ("ORDERID") 
  ;
 
REM SKYOWNER FK_CROSSUPREL_CROSSUPATTMP

  CREATE INDEX "SKYOWNER"."FK_CROSSUPREL_CROSSUPATTMP" ON "SKYOWNER"."BSBCROSSUPSELLATTEMPT" ("CROSSUPSELLRELID") 
  ;
 
REM SKYOWNER IDX_CUSTPRODELE_SERIALN

  CREATE INDEX "SKYOWNER"."IDX_CUSTPRODELE_SERIALN" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("SERIALNUMBER") 
  ;
 
REM SKYOWNER IDX_CUSTPRODELE_SETTOPBOXNDSN

  CREATE INDEX "SKYOWNER"."IDX_CUSTPRODELE_SETTOPBOXNDSN" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("SETTOPBOXNDSNUMBER") 
  ;
 
REM SKYOWNER IDX_CUSTPRODELE_LASTUPDATE

  CREATE INDEX "SKYOWNER"."IDX_CUSTPRODELE_LASTUPDATE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("LASTUPDATE") 
  ;
 
REM SKYOWNER IDX_PRODELEMENTTYPE

  CREATE INDEX "SKYOWNER"."IDX_PRODELEMENTTYPE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("CUSTOMERPRODUCTELEMENTTYPE") 
  ;
 
REM SKYOWNER IDX_CUSTPRODELE_CARD

  CREATE INDEX "SKYOWNER"."IDX_CUSTPRODELE_CARD" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("CARDNUMBER") 
  ;
 
REM SKYOWNER FK_SRVCINST_CUSTPRODELE_SRVCIN

  CREATE INDEX "SKYOWNER"."FK_SRVCINST_CUSTPRODELE_SRVCIN" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_BSBCSTPRODELE

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_BSBCSTPRODELE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ADDRESSID") 
  ;
 
REM SKYOWNER FK_BSBINSTROLE_BSBCSTPRODELE

  CREATE INDEX "SKYOWNER"."FK_BSBINSTROLE_BSBCSTPRODELE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("RETURNINSTALLERID") 
  ;
 
REM SKYOWNER FK_BSBPFLPRD_BSBCSTPRODELE

  CREATE INDEX "SKYOWNER"."FK_BSBPFLPRD_BSBCSTPRODELE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER FK_BSBPRDELEM_BSBCUSTPRDELEM

  CREATE INDEX "SKYOWNER"."FK_BSBPRDELEM_BSBCUSTPRDELEM" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("PRODUCTELEMENTID") 
  ;
 
REM SKYOWNER PK_BSBCUSTOMERPRODUCTELEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCUSTOMERPRODUCTELEMENT" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ID") 
  ;
 
REM SKYOWNER IDX_CUSTPRODELE_EXTENDWARRANTY

  CREATE INDEX "SKYOWNER"."IDX_CUSTPRODELE_EXTENDWARRANTY" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("EXTENDEDWARRANTYPOLICYNUMBER") 
  ;
 
REM SKYOWNER FK_BBROUTER_BSBCSTPRODELE

  CREATE INDEX "SKYOWNER"."FK_BBROUTER_BSBCSTPRODELE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("ROUTERID") 
  ;
 
REM SKYOWNER FK_SAMREGISTRY_BSBCSTPRODELE

  CREATE INDEX "SKYOWNER"."FK_SAMREGISTRY_BSBCSTPRODELE" ON "SKYOWNER"."BSBCUSTOMERPRODUCTELEMENT" ("SAMREGISTRYID") 
  ;
 
REM SKYOWNER FK_CUSTOMER_PORTFOLIO

  CREATE INDEX "SKYOWNER"."FK_CUSTOMER_PORTFOLIO" ON "SKYOWNER"."BSBCUSTOMERROLE" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER PK_BSBCUSTOMERROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBCUSTOMERROLE" ON "SKYOWNER"."BSBCUSTOMERROLE" ("PARTYROLEID") 
  ;
 
REM SKYOWNER PK_BSBDISABILITYDETAIL

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBDISABILITYDETAIL" ON "SKYOWNER"."BSBDISABILITYDETAIL" ("ID") 
  ;
 
REM SKYOWNER PK_BSBDISABILITYSERVICE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBDISABILITYSERVICE" ON "SKYOWNER"."BSBDISABILITYSERVICE" ("ID") 
  ;
 
REM SKYOWNER FK_BSBDISABILITYSERVICE

  CREATE INDEX "SKYOWNER"."FK_BSBDISABILITYSERVICE" ON "SKYOWNER"."BSBDISABILITYSERVICE" ("BSBDISABILITYDETAILID") 
  ;
 
REM SKYOWNER PK_BSBDOWNGRADEATTEMPT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBDOWNGRADEATTEMPT" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("ID") 
  ;
 
REM SKYOWNER FK_OUTCOME_DWNGRADEATTEMPT

  CREATE INDEX "SKYOWNER"."FK_OUTCOME_DWNGRADEATTEMPT" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("OUTCOME") 
  ;
 
REM SKYOWNER FK_BSBORDER_BSBDOWNGRADEATTEMP

  CREATE INDEX "SKYOWNER"."FK_BSBORDER_BSBDOWNGRADEATTEMP" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("ORDERID") 
  ;
 
REM SKYOWNER FK_BSBSUBSCRIPTION_BSBDOWNGRAD

  CREATE INDEX "SKYOWNER"."FK_BSBSUBSCRIPTION_BSBDOWNGRAD" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("SUBSCRIPTIONID") 
  ;
 
REM SKYOWNER FK_BSBDOWNGRADEREASON_BSBDOWNG

  CREATE INDEX "SKYOWNER"."FK_BSBDOWNGRADEREASON_BSBDOWNG" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("DOWNGRADEREASONID") 
  ;
 
REM SKYOWNER FK_BSBCATALOGUEPRODUCT_BSBDOWN

  CREATE INDEX "SKYOWNER"."FK_BSBCATALOGUEPRODUCT_BSBDOWN" ON "SKYOWNER"."BSBDOWNGRADEATTEMPT" ("CATALOGUEPRODUCTID") 
  ;
 
REM SKYOWNER PK_BSBDSLQUERYRESPONSE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBDSLQUERYRESPONSE" ON "SKYOWNER"."BSBDSLQUERYRESPONSE" ("ID") 
  ;
 
REM SKYOWNER FK_PARTY_BSBDSLQUERYRESPONSE

  CREATE INDEX "SKYOWNER"."FK_PARTY_BSBDSLQUERYRESPONSE" ON "SKYOWNER"."BSBDSLQUERYRESPONSE" ("PARTYID") 
  ;
 
REM SKYOWNER UK_SAMREGISTRY_BSBEMAIL

  CREATE UNIQUE INDEX "SKYOWNER"."UK_SAMREGISTRY_BSBEMAIL" ON "SKYOWNER"."BSBEMAIL" ("SAMREGISTRYID") 
  ;
 
REM SKYOWNER SYS_C008264

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008264" ON "SKYOWNER"."BSBEMAIL" ("ID") 
  ;
 
REM SKYOWNER FK_CATPROD_FEEDBACK

  CREATE INDEX "SKYOWNER"."FK_CATPROD_FEEDBACK" ON "SKYOWNER"."BSBFEEDBACK" ("ASSOCIATEDPRODUCTID") 
  ;
 
REM SKYOWNER PK_BSBFEEDBACK

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBFEEDBACK" ON "SKYOWNER"."BSBFEEDBACK" ("ID") 
  ;
 
REM SKYOWNER FK_FEEDBACK_FEEDBACKCAT

  CREATE INDEX "SKYOWNER"."FK_FEEDBACK_FEEDBACKCAT" ON "SKYOWNER"."BSBFEEDBACK" ("CATEGORYID") 
  ;
 
REM SKYOWNER FK_FEEDBACK_GENERALENQ

  CREATE INDEX "SKYOWNER"."FK_FEEDBACK_GENERALENQ" ON "SKYOWNER"."BSBFEEDBACK" ("GENERALENQUIRYID") 
  ;
 
REM SKYOWNER FK_FEEDBACK_FEEDBACKREASON

  CREATE INDEX "SKYOWNER"."FK_FEEDBACK_FEEDBACKREASON" ON "SKYOWNER"."BSBFEEDBACK" ("REASONID") 
  ;
 
REM SKYOWNER FK_FEEDBACK_PERSON

  CREATE INDEX "SKYOWNER"."FK_FEEDBACK_PERSON" ON "SKYOWNER"."BSBFEEDBACK" ("REPORTEDBYID") 
  ;
 
REM SKYOWNER IDX_FULFIL_METHODSTATUS

  CREATE INDEX "SKYOWNER"."IDX_FULFIL_METHODSTATUS" ON "SKYOWNER"."BSBFULFILMENTITEM" ("FULFILMENTMETHOD", "STATUS") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_FULFILMENTITEM

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_FULFILMENTITEM" ON "SKYOWNER"."BSBFULFILMENTITEM" ("DELIVERYADDRESSID") 
  ;
 
REM SKYOWNER PK_BSBFULFILMENTITEM

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBFULFILMENTITEM" ON "SKYOWNER"."BSBFULFILMENTITEM" ("ID") 
  ;
 
REM SKYOWNER FK_SRVCEINSTNCE_FULFILMENTITEM

  CREATE INDEX "SKYOWNER"."FK_SRVCEINSTNCE_FULFILMENTITEM" ON "SKYOWNER"."BSBFULFILMENTITEM" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_ADDRUSAGEROLE_FULFILMNTITEM

  CREATE INDEX "SKYOWNER"."FK_ADDRUSAGEROLE_FULFILMNTITEM" ON "SKYOWNER"."BSBFULFILMENTITEM" ("INSTALLATIONADDRESSROLEID") 
  ;
 
REM SKYOWNER FK_BSBCTLGPRDCT_BSBFLFILMNTITM

  CREATE INDEX "SKYOWNER"."FK_BSBCTLGPRDCT_BSBFLFILMNTITM" ON "SKYOWNER"."BSBFULFILMENTITEM" ("CATALOGUEPRODUCTID") 
  ;
 
REM SKYOWNER IDX_BFI_CREATED

  CREATE INDEX "SKYOWNER"."IDX_BFI_CREATED" ON "SKYOWNER"."BSBFULFILMENTITEM" ("CREATED") 
  ;
 
REM SKYOWNER IDX_BFI_LASTUPDATE

  CREATE INDEX "SKYOWNER"."IDX_BFI_LASTUPDATE" ON "SKYOWNER"."BSBFULFILMENTITEM" ("LASTUPDATE", "UPDATEDBY") 
  ;
 
REM SKYOWNER PK_BSBGENERALENQUIRY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBGENERALENQUIRY" ON "SKYOWNER"."BSBGENERALENQUIRY" ("ID") 
  ;
 
REM SKYOWNER FK_GENERALENQ_FEEDBACK

  CREATE INDEX "SKYOWNER"."FK_GENERALENQ_FEEDBACK" ON "SKYOWNER"."BSBGENERALENQUIRY" ("FEEDBACKID") 
  ;
 
REM SKYOWNER FK_GENERALENQ_JOB

  CREATE INDEX "SKYOWNER"."FK_GENERALENQ_JOB" ON "SKYOWNER"."BSBGENERALENQUIRY" ("JOBID") 
  ;
 
REM SKYOWNER PK_BSBHISTORYENTITIES

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBHISTORYENTITIES" ON "SKYOWNER"."BSBHISTORYENTITIES" ("ID") 
  ;
 
REM SKYOWNER INSTALLERROLE_UNQ

  CREATE UNIQUE INDEX "SKYOWNER"."INSTALLERROLE_UNQ" ON "SKYOWNER"."BSBINSTALLERROLE" ("PAYROLLNUMBER") 
  ;
 
REM SKYOWNER PK_BSBINSTALLERROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBINSTALLERROLE" ON "SKYOWNER"."BSBINSTALLERROLE" ("PARTYROLEID") 
  ;
 
REM SKYOWNER IDX_BSBINSTALLERROLE_IDNO

  CREATE UNIQUE INDEX "SKYOWNER"."IDX_BSBINSTALLERROLE_IDNO" ON "SKYOWNER"."BSBINSTALLERROLE" ("IDNO") 
  ;
 
REM SKYOWNER FK_BSBTEAM_BSBINSTALLERROLE

  CREATE INDEX "SKYOWNER"."FK_BSBTEAM_BSBINSTALLERROLE" ON "SKYOWNER"."BSBINSTALLERROLE" ("TEAMID") 
  ;
 
REM SKYOWNER PK_BSBINSTALLERTEAM

  CREATE INDEX "SKYOWNER"."PK_BSBINSTALLERTEAM" ON "SKYOWNER"."BSBINSTALLERTEAM" ("ID") 
  ;
 
REM SKYOWNER UNQ_BSBINSTALLERTEAM_NAME

  CREATE UNIQUE INDEX "SKYOWNER"."UNQ_BSBINSTALLERTEAM_NAME" ON "SKYOWNER"."BSBINSTALLERTEAM" ("NAME") 
  ;
 
REM SKYOWNER FK_BSBJOB_BSBJOBLIST

  CREATE INDEX "SKYOWNER"."FK_BSBJOB_BSBJOBLIST" ON "SKYOWNER"."BSBJOB" ("JOBLISTID") 
  ;
 
REM SKYOWNER PK_BSBJOB

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBJOB" ON "SKYOWNER"."BSBJOB" ("ID") 
  ;
 
REM SKYOWNER PK_BSBJOBLIST

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBJOBLIST" ON "SKYOWNER"."BSBJOBLIST" ("ID") 
  ;
 
REM SKYOWNER UK_BSBJOBLIST

  CREATE UNIQUE INDEX "SKYOWNER"."UK_BSBJOBLIST" ON "SKYOWNER"."BSBJOBLIST" ("CLASSNAME", "ROLEID") 
  ;
 
REM SKYOWNER PK_BSBKANAENTITLEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBKANAENTITLEMENT" ON "SKYOWNER"."BSBKANAENTITLEMENT" ("ID") 
  ;
 
REM SKYOWNER FK_PRODUCT_BSBLITITEM

  CREATE INDEX "SKYOWNER"."FK_PRODUCT_BSBLITITEM" ON "SKYOWNER"."BSBLITERATUREITEM" ("BUSINESSPRODUCTID") 
  ;
 
REM SKYOWNER SYS_C008368

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008368" ON "SKYOWNER"."BSBLITERATUREITEM" ("ID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_BSBLITERATUREORD

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_BSBLITERATUREORD" ON "SKYOWNER"."BSBLITERATUREORDER" ("DELIVERYADDRERSSID") 
  ;
 
REM SKYOWNER FK_BSBRETAILBUS_BSBLITERATUREO

  CREATE INDEX "SKYOWNER"."FK_BSBRETAILBUS_BSBLITERATUREO" ON "SKYOWNER"."BSBLITERATUREORDER" ("RETAILERBUSINESSID") 
  ;
 
REM SKYOWNER SYS_C008382

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008382" ON "SKYOWNER"."BSBLITERATUREORDER" ("ID") 
  ;
 
REM SKYOWNER FK_BSBLITORDITEM_BSBLITORDLINE

  CREATE INDEX "SKYOWNER"."FK_BSBLITORDITEM_BSBLITORDLINE" ON "SKYOWNER"."BSBLITERATUREORDERLINE" ("LITERATUREITEMID") 
  ;
 
REM SKYOWNER FK_BSBLITERATUREORD_BSBLITORDL

  CREATE INDEX "SKYOWNER"."FK_BSBLITERATUREORD_BSBLITORDL" ON "SKYOWNER"."BSBLITERATUREORDERLINE" ("LITERATUREORDERID") 
  ;
 
REM SKYOWNER SYS_C008393

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008393" ON "SKYOWNER"."BSBLITERATUREORDERLINE" ("ID") 
  ;
 
REM SKYOWNER PK_BSBMAILSHOT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBMAILSHOT" ON "SKYOWNER"."BSBMAILSHOT" ("ID") 
  ;
 
REM SKYOWNER FK_BSBINTSRC_MAILSHOT

  CREATE INDEX "SKYOWNER"."FK_BSBINTSRC_MAILSHOT" ON "SKYOWNER"."BSBMAILSHOT" ("INTERESTSOURCEID") 
  ;
 
REM SKYOWNER PK_BSBMISCELLANOUSCONTACTROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBMISCELLANOUSCONTACTROLE" ON "SKYOWNER"."BSBMISCELLANOUSCONTACTROLE" ("PARTYROLEID") 
  ;
 
REM SKYOWNER PK_BSBMPPAPPLICATION

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBMPPAPPLICATION" ON "SKYOWNER"."BSBMPPAPPLICATION" ("ID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_MPPAPPLICATION

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_MPPAPPLICATION" ON "SKYOWNER"."BSBMPPAPPLICATION" ("INSTALLATIONADDRESSID") 
  ;
 
REM SKYOWNER FK_PERSON_MPPAPPLICATION

  CREATE INDEX "SKYOWNER"."FK_PERSON_MPPAPPLICATION" ON "SKYOWNER"."BSBMPPAPPLICATION" ("PARTYID") 
  ;
 
REM SKYOWNER FK_OFFERINGROLEBRIDGE_OFFERING

  CREATE INDEX "SKYOWNER"."FK_OFFERINGROLEBRIDGE_OFFERING" ON "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ("OFFERINGID") 
  ;
 
REM SKYOWNER FK_OFFERINGROLEBRIDGE_ROLE

  CREATE INDEX "SKYOWNER"."FK_OFFERINGROLEBRIDGE_ROLE" ON "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ("ROLEID") 
  ;
 
REM SKYOWNER PK_BSBOFFERINGROLEBRIDGE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBOFFERINGROLEBRIDGE" ON "SKYOWNER"."BSBOFFERINGROLEBRIDGE" ("ID") 
  ;
 
REM SKYOWNER FK_OFFSTATEBRIDGE_OFFERING

  CREATE INDEX "SKYOWNER"."FK_OFFSTATEBRIDGE_OFFERING" ON "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ("OFFERINGID") 
  ;
 
REM SKYOWNER FK_OFFSTATEBRIDGE_APPSTATE

  CREATE INDEX "SKYOWNER"."FK_OFFSTATEBRIDGE_APPSTATE" ON "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ("STATEID") 
  ;
 
REM SKYOWNER PK_BSBOFFERINGSTATEBRIDGE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBOFFERINGSTATEBRIDGE" ON "SKYOWNER"."BSBOFFERINGSTATEBRIDGE" ("ID") 
  ;
 
REM SKYOWNER IDX_BSBORDER_CREATED

  CREATE INDEX "SKYOWNER"."IDX_BSBORDER_CREATED" ON "SKYOWNER"."BSBORDER" ("CREATED", "ID") 
  ;
 
REM SKYOWNER FK_BSBINTERESTSOURCE_ORDER

  CREATE INDEX "SKYOWNER"."FK_BSBINTERESTSOURCE_ORDER" ON "SKYOWNER"."BSBORDER" ("INTERESTSOURCEID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIO_ORDER

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIO_ORDER" ON "SKYOWNER"."BSBORDER" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_BSBCON_BSBORDER

  CREATE INDEX "SKYOWNER"."FK_BSBCON_BSBORDER" ON "SKYOWNER"."BSBORDER" ("REFERRINGCUSTOMERID") 
  ;
 
REM SKYOWNER PK_BSBORDER

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBORDER" ON "SKYOWNER"."BSBORDER" ("ID") 
  ;
 
REM SKYOWNER FK_BSBPARTYROLE_ORDER

  CREATE INDEX "SKYOWNER"."FK_BSBPARTYROLE_ORDER" ON "SKYOWNER"."BSBORDER" ("PARTYROLEID") 
  ;
 
REM SKYOWNER FK_BSBORDER_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_BSBORDER_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("ORDERID") 
  ;
 
REM SKYOWNER FK_OFFERDISCOUNT_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_OFFERDISCOUNT_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("OFFERDISCOUNTID") 
  ;
 
REM SKYOWNER FK_ADDRESS_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_ADDRESS_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("FULFILMENTADDRESSID") 
  ;
 
REM SKYOWNER FK_CANCELLREASON_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_CANCELLREASON_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("CANCELLATIONREASIONID") 
  ;
 
REM SKYOWNER FK_COMOFFER_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_COMOFFER_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("COMMERCIALOFFERID") 
  ;
 
REM SKYOWNER FK_ORDERLINE_SELF_PARENTORDID

  CREATE INDEX "SKYOWNER"."FK_ORDERLINE_SELF_PARENTORDID" ON "SKYOWNER"."BSBORDERLINE" ("PARENTORDERLINEID") 
  ;
 
REM SKYOWNER FK_BSBINTERESTSOURCE_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_BSBINTERESTSOURCE_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("INTERESTSOURCEID") 
  ;
 
REM SKYOWNER FK_RETAILPROOFOFPUR_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_RETAILPROOFOFPUR_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("RETAILPROOFOFPURCHASEID") 
  ;
 
REM SKYOWNER FK_FULFILMENT_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_FULFILMENT_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("FULFILMENTITEMID") 
  ;
 
REM SKYOWNER FK_PORTPROD_ORDERRELATEDLINE

  CREATE INDEX "SKYOWNER"."FK_PORTPROD_ORDERRELATEDLINE" ON "SKYOWNER"."BSBORDERLINE" ("RELATEDPORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER FK_CATPROD_ORDERBUNDLEID

  CREATE INDEX "SKYOWNER"."FK_CATPROD_ORDERBUNDLEID" ON "SKYOWNER"."BSBORDERLINE" ("BUNDLEID") 
  ;
 
REM SKYOWNER FK_PRICEABLEUNIT_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_PRICEABLEUNIT_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("PRICEABLEUNITID") 
  ;
 
REM SKYOWNER PK_BSBORDERLINE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("ID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIOPRODUCT_ORDERLI

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIOPRODUCT_ORDERLI" ON "SKYOWNER"."BSBORDERLINE" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIOOFFER_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIOOFFER_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("PORTFOLIOOFFERID") 
  ;
 
REM SKYOWNER FK_BSBSERVICEINSTANCE_ORDERLIN

  CREATE INDEX "SKYOWNER"."FK_BSBSERVICEINSTANCE_ORDERLIN" ON "SKYOWNER"."BSBORDERLINE" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_CATALOGPRODUCT_ORDERLINE

  CREATE INDEX "SKYOWNER"."FK_CATALOGPRODUCT_ORDERLINE" ON "SKYOWNER"."BSBORDERLINE" ("CATALOGUEPRODUCTID") 
  ;
 
REM SKYOWNER PK_BSBPAPERAGREEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERAGREEMENT" ON "SKYOWNER"."BSBPAPERAGREEMENT" ("ID") 
  ;
 
REM SKYOWNER FK_AGREEMENT_CONTRACTNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."FK_AGREEMENT_CONTRACTNUMBER" ON "SKYOWNER"."BSBPAPERAGREEMENT" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER FK_BSBPAGR_BATCH

  CREATE INDEX "SKYOWNER"."FK_BSBPAGR_BATCH" ON "SKYOWNER"."BSBPAPERAGREEMENT" ("BATCHID") 
  ;
 
REM SKYOWNER FK_BSBAGRERR_CONTRACTNUM

  CREATE INDEX "SKYOWNER"."FK_BSBAGRERR_CONTRACTNUM" ON "SKYOWNER"."BSBPAPERAGRENTERRORS" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER PK_BSBPAPERAGRENTERRORS

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERAGRENTERRORS" ON "SKYOWNER"."BSBPAPERAGRENTERRORS" ("ID") 
  ;
 
REM SKYOWNER FK_BSBAGRERRLIST_CONTRACTNUM

  CREATE INDEX "SKYOWNER"."FK_BSBAGRERRLIST_CONTRACTNUM" ON "SKYOWNER"."BSBPAPERAGRERRORLIST" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER PK_BSBPAPERAGRERRORLIST

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERAGRERRORLIST" ON "SKYOWNER"."BSBPAPERAGRERRORLIST" ("ID") 
  ;
 
REM SKYOWNER PK_BSBPAPERAGRERRORS

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERAGRERRORS" ON "SKYOWNER"."BSBPAPERAGRERRORS" ("ID") 
  ;
 
REM SKYOWNER FK_AGRERR_CONTRACTNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."FK_AGRERR_CONTRACTNUMBER" ON "SKYOWNER"."BSBPAPERAGRERRORS" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER PK_PAPERITEM_ID

  CREATE UNIQUE INDEX "SKYOWNER"."PK_PAPERITEM_ID" ON "SKYOWNER"."BSBPAPERITEM" ("ID") 
  ;
 
REM SKYOWNER UK_PAP_PDTV

  CREATE UNIQUE INDEX "SKYOWNER"."UK_PAP_PDTV" ON "SKYOWNER"."BSBPAPERITEM" ("PDTV_ID") 
  ;
 
REM SKYOWNER FK_BSBUSERROLEBRIDGE_CCSUSER

  CREATE INDEX "SKYOWNER"."FK_BSBUSERROLEBRIDGE_CCSUSER" ON "SKYOWNER"."BSBUSERROLEBRIDGE" ("USERID") 
  ;
 
REM SKYOWNER IDX_PAPERITEM_RETURNDUEDATE

  CREATE INDEX "SKYOWNER"."IDX_PAPERITEM_RETURNDUEDATE" ON "SKYOWNER"."BSBPAPERITEM" ("RETURNDUEDATE") 
  ;
 
REM SKYOWNER IDX_PAPERITEM_RETURNDATE

  CREATE INDEX "SKYOWNER"."IDX_PAPERITEM_RETURNDATE" ON "SKYOWNER"."BSBPAPERITEM" ("RETURNDATE", "ID") 
  ;
 
REM SKYOWNER PK_BSBPAPERMANDATE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERMANDATE" ON "SKYOWNER"."BSBPAPERMANDATE" ("ID") 
  ;
 
REM SKYOWNER FK_MANDATE_CONTRACTNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."FK_MANDATE_CONTRACTNUMBER" ON "SKYOWNER"."BSBPAPERMANDATE" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER IDX_PARTYROLE_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_PARTYROLE_TYPECODE" ON "SKYOWNER"."BSBPARTYROLE" ("PARTYROLETYPECODE") 
  ;
 
REM SKYOWNER FK_PARTYROLE_PARTY

  CREATE INDEX "SKYOWNER"."FK_PARTYROLE_PARTY" ON "SKYOWNER"."BSBPARTYROLE" ("PARTYID") 
  ;
 
REM SKYOWNER PK_BSBPARTYROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPARTYROLE" ON "SKYOWNER"."BSBPARTYROLE" ("ID") 
  ;
 
REM SKYOWNER PK_BSBPAYMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAYMENT" ON "SKYOWNER"."BSBPAYMENT" ("ID") 
  ;
 
REM SKYOWNER FK_BILLACCOUNT_PAYMENT

  CREATE INDEX "SKYOWNER"."FK_BILLACCOUNT_PAYMENT" ON "SKYOWNER"."BSBPAYMENT" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER FK_SETTLEMETHOD_PAYMENT

  CREATE INDEX "SKYOWNER"."FK_SETTLEMETHOD_PAYMENT" ON "SKYOWNER"."BSBPAYMENT" ("SETTLEMENTMETHODID") 
  ;
 
REM SKYOWNER IDX_PAYMENTMETHOD_SORTCODE

  CREATE INDEX "SKYOWNER"."IDX_PAYMENTMETHOD_SORTCODE" ON "SKYOWNER"."BSBPAYMENTMETHOD" ("SORTCODE") 
  ;
 
REM SKYOWNER IDX_PAYMENTMETHOD_ACNUMBER

  CREATE INDEX "SKYOWNER"."IDX_PAYMENTMETHOD_ACNUMBER" ON "SKYOWNER"."BSBPAYMENTMETHOD" ("ACCOUNTNUMBER") 
  ;
 
REM SKYOWNER IDX_BSBPAYMENTMETHOD_CARD

  CREATE INDEX "SKYOWNER"."IDX_BSBPAYMENTMETHOD_CARD" ON "SKYOWNER"."BSBPAYMENTMETHOD" ("CARDNUMBER") 
  ;
 
REM SKYOWNER PK_BSBPAYMENTMETHOD

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAYMENTMETHOD" ON "SKYOWNER"."BSBPAYMENTMETHOD" ("ID") 
  ;
 
REM SKYOWNER PK_BSBPAYMENTMETHODCHANGEHEADE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAYMENTMETHODCHANGEHEADE" ON "SKYOWNER"."BSBPAYMENTMETHODCHANGEHEADER" ("ID") 
  ;
 
REM SKYOWNER FK_PAYMETCHGHDR_PAYMETCHGREQ

  CREATE INDEX "SKYOWNER"."FK_PAYMETCHGHDR_PAYMETCHGREQ" ON "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ("BATCHHEADERID") 
  ;
 
REM SKYOWNER PK_BSBPAYMENTMETHODCHANGEREQUE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAYMENTMETHODCHANGEREQUE" ON "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ("ID") 
  ;
 
REM SKYOWNER FK_PAYMETHOD_PAYCHANGE_NEWPAYI

  CREATE INDEX "SKYOWNER"."FK_PAYMETHOD_PAYCHANGE_NEWPAYI" ON "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ("NEWPAYMENTMETHODID") 
  ;
 
REM SKYOWNER FK_PAYMETHOD_PAYCHANGE_OLDPAYI

  CREATE INDEX "SKYOWNER"."FK_PAYMETHOD_PAYCHANGE_OLDPAYI" ON "SKYOWNER"."BSBPAYMENTMETHODCHANGEREQUEST" ("OLDPAYMENTMETHODID") 
  ;
 
REM SKYOWNER FK_PAYMENTMETHOD_PAYMETHODROLE

  CREATE INDEX "SKYOWNER"."FK_PAYMENTMETHOD_PAYMETHODROLE" ON "SKYOWNER"."BSBPAYMENTMETHODROLE" ("PAYMENTMETHODID") 
  ;
 
REM SKYOWNER PK_BSBPAYMENTMETHODROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAYMENTMETHODROLE" ON "SKYOWNER"."BSBPAYMENTMETHODROLE" ("ID") 
  ;
 
REM SKYOWNER FK_BILLACC_PAYMETHODROLE

  CREATE INDEX "SKYOWNER"."FK_BILLACC_PAYMETHODROLE" ON "SKYOWNER"."BSBPAYMENTMETHODROLE" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER PK_BSBPORTFOLIO

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPORTFOLIO" ON "SKYOWNER"."BSBPORTFOLIO" ("ID") 
  ;
 
REM SKYOWNER FK_PORTFOLIO_PORTFOLIOOFFER

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIO_PORTFOLIOOFFER" ON "SKYOWNER"."BSBPORTFOLIOOFFER" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_SERVICEINSTANCE_PORTOFFER

  CREATE INDEX "SKYOWNER"."FK_SERVICEINSTANCE_PORTOFFER" ON "SKYOWNER"."BSBPORTFOLIOOFFER" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER PK_BSBPORTFOLIOOFFER

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPORTFOLIOOFFER" ON "SKYOWNER"."BSBPORTFOLIOOFFER" ("ID") 
  ;
 
REM SKYOWNER FK_BSBOFFER_PORTFOLIOOFFER

  CREATE INDEX "SKYOWNER"."FK_BSBOFFER_PORTFOLIOOFFER" ON "SKYOWNER"."BSBPORTFOLIOOFFER" ("OFFERID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIOOFFER_OFFERDEPE

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIOOFFER_OFFERDEPE" ON "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ("PORTFOLIOOFFERID") 
  ;
 
REM SKYOWNER PK_BSBPORTFOLIOOFFERDEPENDENCY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPORTFOLIOOFFERDEPENDENCY" ON "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ("ID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIOPRODUCT_OFFERDE

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIOPRODUCT_OFFERDE" ON "SKYOWNER"."BSBPORTFOLIOOFFERDEPENDENCY" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER PK_BSBPORTFOLIOPRODUCT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPORTFOLIOPRODUCT" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("ID") 
  ;
 
REM SKYOWNER FK_BSBSERVICEINSTANCE_PORTPROD

  CREATE INDEX "SKYOWNER"."FK_BSBSERVICEINSTANCE_PORTPROD" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIO_PORTPROD

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIO_PORTPROD" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_BSBSUBSCRIPTION_PORTPROD

  CREATE INDEX "SKYOWNER"."FK_BSBSUBSCRIPTION_PORTPROD" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("SUBSCRIPTIONID") 
  ;
 
REM SKYOWNER FK_CATALOGPRODUCT_PORTPR

  CREATE INDEX "SKYOWNER"."FK_CATALOGPRODUCT_PORTPR" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("CATALOGUEPRODUCTID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_PORTFOLIOPROD

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_PORTFOLIOPROD" ON "SKYOWNER"."BSBPORTFOLIOPRODUCT" ("RETAILERID") 
  ;
 
REM SKYOWNER IDX_CLAWBACKSTATUS

  CREATE INDEX "SKYOWNER"."IDX_CLAWBACKSTATUS" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("CLAWBACKSTATUS") 
  ;
 
REM SKYOWNER IDX_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_TYPECODE" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("PRICEABLEUNITTYPECODE") 
  ;
 
REM SKYOWNER FK_PAYMENT_PRICEABLEUNIT

  CREATE INDEX "SKYOWNER"."FK_PAYMENT_PRICEABLEUNIT" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("PAYMENTID") 
  ;
 
REM SKYOWNER FK_BSBPRICEABLEUNIT_ID

  CREATE INDEX "SKYOWNER"."FK_BSBPRICEABLEUNIT_ID" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("DISCOUNTEDPRICEABLEUNITID") 
  ;
 
REM SKYOWNER FK_PRICEABLEUNIT_SELF

  CREATE INDEX "SKYOWNER"."FK_PRICEABLEUNIT_SELF" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("PRICEABLEUNITREFERENCEID") 
  ;
 
REM SKYOWNER PK_BSBPRICEABLEUNIT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPRICEABLEUNIT" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("ID") 
  ;
 
REM SKYOWNER FK_SERVICEINST_PRICEABLEUNIT

  CREATE INDEX "SKYOWNER"."FK_SERVICEINST_PRICEABLEUNIT" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_PORTFOLIOOFFR_PRICEABLEUNIT

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIOOFFR_PRICEABLEUNIT" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("PORTFOLIOOFFERID") 
  ;
 
REM SKYOWNER FK_BILLINGACCOUNT_PRICEABLEUNI

  CREATE INDEX "SKYOWNER"."FK_BILLINGACCOUNT_PRICEABLEUNI" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER IDX_BSBPU_CREATED

  CREATE INDEX "SKYOWNER"."IDX_BSBPU_CREATED" ON "SKYOWNER"."BSBPRICEABLEUNIT" ("CREATED") 
  ;
 
REM SKYOWNER FK_PRICBLUNT_PRICBLUNTPOTPROD

  CREATE INDEX "SKYOWNER"."FK_PRICBLUNT_PRICBLUNTPOTPROD" ON "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ("PRICEABLEUNITID") 
  ;
 
REM SKYOWNER FK_PORTPROD_PRIABLEUNITPORTPRD

  CREATE INDEX "SKYOWNER"."FK_PORTPROD_PRIABLEUNITPORTPRD" ON "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ("PORTFOLIOPRODUCTID") 
  ;
 
REM SKYOWNER PK_BSBPRICEABLEUNITPORTFOLIOPR

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPRICEABLEUNITPORTFOLIOPR" ON "SKYOWNER"."BSBPRICEABLEUNITPORTFOLIOPROD" ("ID") 
  ;
 
REM SKYOWNER PK_BSBPROPERTYDETAIL

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPROPERTYDETAIL" ON "SKYOWNER"."BSBPROPERTYDETAIL" ("ID") 
  ;
 
REM SKYOWNER FK_BSBINSTADDROLE_BSBPRPRTYDTL

  CREATE INDEX "SKYOWNER"."FK_BSBINSTADDROLE_BSBPRPRTYDTL" ON "SKYOWNER"."BSBPROPERTYDETAIL" ("INSTALLATIONADDRESSROLEID") 
  ;
 
REM SKYOWNER IND_REFUND_AUTHSTATUSCODE

  CREATE INDEX "SKYOWNER"."IND_REFUND_AUTHSTATUSCODE" ON "SKYOWNER"."BSBREFUND" ("REFUNDAUTHORISATIONSTATUSCODE") 
  ;
 
REM SKYOWNER PK_BSBREFUND

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBREFUND" ON "SKYOWNER"."BSBREFUND" ("ID") 
  ;
 
REM SKYOWNER FK_BILLACC_REFUND

  CREATE INDEX "SKYOWNER"."FK_BILLACC_REFUND" ON "SKYOWNER"."BSBREFUND" ("BILLINGACCOUNTID") 
  ;
 
REM SKYOWNER FK_SETTLEMENTMETHOD_REFUND

  CREATE INDEX "SKYOWNER"."FK_SETTLEMENTMETHOD_REFUND" ON "SKYOWNER"."BSBREFUND" ("SETTLEMENMETHODID") 
  ;
 
REM SKYOWNER FK_PRICEABLEUNIT_REFUND

  CREATE INDEX "SKYOWNER"."FK_PRICEABLEUNIT_REFUND" ON "SKYOWNER"."BSBREFUND" ("ADJUSTMENTID") 
  ;
 
REM SKYOWNER FK_BSBRETAILBUS_BSBRETAILAFF

  CREATE INDEX "SKYOWNER"."FK_BSBRETAILBUS_BSBRETAILAFF" ON "SKYOWNER"."BSBRETAILAFFILIATION" ("RETAILERBUSINESSID") 
  ;
 
REM SKYOWNER SYS_C008694

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008694" ON "SKYOWNER"."BSBRETAILAFFILIATION" ("ID") 
  ;
 
REM SKYOWNER FK_PARTY_RETAILBUSINESS

  CREATE UNIQUE INDEX "SKYOWNER"."FK_PARTY_RETAILBUSINESS" ON "SKYOWNER"."BSBRETAILBUSINESS" ("PARTYID") 
  ;
 
REM SKYOWNER FK_BSBADDRESS_BSBRETAILBUS

  CREATE INDEX "SKYOWNER"."FK_BSBADDRESS_BSBRETAILBUS" ON "SKYOWNER"."BSBRETAILBUSINESS" ("DEFAULTINVOICEADDRESSID") 
  ;
 
REM SKYOWNER FK_BSBRETAILBUS_BSBRETAILBUS

  CREATE INDEX "SKYOWNER"."FK_BSBRETAILBUS_BSBRETAILBUS" ON "SKYOWNER"."BSBRETAILBUSINESS" ("HEADOFFICERETAILBUSINESSID") 
  ;
 
REM SKYOWNER FK_RETAILAREA_RETAILBUSS

  CREATE INDEX "SKYOWNER"."FK_RETAILAREA_RETAILBUSS" ON "SKYOWNER"."BSBRETAILBUSINESS" ("RETAILERAREAID") 
  ;
 
REM SKYOWNER FK_RETAILREGION_RETAILBUSS

  CREATE INDEX "SKYOWNER"."FK_RETAILREGION_RETAILBUSS" ON "SKYOWNER"."BSBRETAILBUSINESS" ("RETAILERREGIONID") 
  ;
 
REM SKYOWNER IDX_ASA_BRANCH_GROUP

  CREATE INDEX "SKYOWNER"."IDX_ASA_BRANCH_GROUP" ON "SKYOWNER"."BSBRETAILBUSINESS" ("ASABRANCHNUMBER", "ASAGROUPNUMBER") 
  ;
 
REM SKYOWNER SYS_C008714

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008714" ON "SKYOWNER"."BSBRETAILBUSINESS" ("ID") 
  ;
 
REM SKYOWNER PK_BSBRETAILCOMMISSIONACCOUNT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBRETAILCOMMISSIONACCOUNT" ON "SKYOWNER"."BSBRETAILCOMMISSIONACCOUNT" ("ID") 
  ;
 
REM SKYOWNER FK_BSBRETAILBUS_BSBRETCOMMAC

  CREATE INDEX "SKYOWNER"."FK_BSBRETAILBUS_BSBRETCOMMAC" ON "SKYOWNER"."BSBRETAILCOMMISSIONACCOUNT" ("RETAILBUSINESSID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_RETAILERAUDITREC

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_RETAILERAUDITREC" ON "SKYOWNER"."BSBRETAILERAUDITRECORD" ("RETAILERID") 
  ;
 
REM SKYOWNER PK_BSBRETAILERAUDITRECORD

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBRETAILERAUDITRECORD" ON "SKYOWNER"."BSBRETAILERAUDITRECORD" ("ID") 
  ;
 
REM SKYOWNER IDX_AGREEMENT_NUMBER

  CREATE INDEX "SKYOWNER"."IDX_AGREEMENT_NUMBER" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER PK_BSBRETAILPROOFOFPURCHASE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBRETAILPROOFOFPURCHASE" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ("ID") 
  ;
 
REM SKYOWNER FK_RETAILBUSINESS_PROOFOFPUR

  CREATE INDEX "SKYOWNER"."FK_RETAILBUSINESS_PROOFOFPUR" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASE" ("RETAILERID") 
  ;
 
REM SKYOWNER FK_BSBRETAILERMASK_PROOFOFPURD

  CREATE INDEX "SKYOWNER"."FK_BSBRETAILERMASK_PROOFOFPURD" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" ("MASKID") 
  ;
 
REM SKYOWNER FK_PROOFOFPUR_PROOFOFPURDTL

  CREATE INDEX "SKYOWNER"."FK_PROOFOFPUR_PROOFOFPURDTL" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" ("RETAILPROOFOFPURCHASEID") 
  ;
 
REM SKYOWNER PK_BSBRETAILPROOFOFPURCHASEDET

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBRETAILPROOFOFPURCHASEDET" ON "SKYOWNER"."BSBRETAILPROOFOFPURCHASEDETAIL" ("ID") 
  ;
 
REM SKYOWNER PK_BSBROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBROLE" ON "SKYOWNER"."BSBROLE" ("ID") 
  ;
 
REM SKYOWNER UK_BSBROLENAME

  CREATE UNIQUE INDEX "SKYOWNER"."UK_BSBROLENAME" ON "SKYOWNER"."BSBROLE" ("ROLE") 
  ;
 
REM SKYOWNER PK_BSBROLETOKANAENTITLEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBROLETOKANAENTITLEMENT" ON "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ("ID") 
  ;
 
REM SKYOWNER FK_BSBROLE_ROLETOKANAENT

  CREATE INDEX "SKYOWNER"."FK_BSBROLE_ROLETOKANAENT" ON "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ("ROLEID") 
  ;
 
REM SKYOWNER FK_KANAENTITLEMENT_ROLETOKANAE

  CREATE INDEX "SKYOWNER"."FK_KANAENTITLEMENT_ROLETOKANAE" ON "SKYOWNER"."BSBROLETOKANAENTITLEMENT" ("KANAENTITLEMENTID") 
  ;
 
REM SKYOWNER PK_BSBSALESLEAD

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSALESLEAD" ON "SKYOWNER"."BSBSALESLEAD" ("ID") 
  ;
 
REM SKYOWNER FK_BSBINTERESTSOURCE_SALESLEAD

  CREATE INDEX "SKYOWNER"."FK_BSBINTERESTSOURCE_SALESLEAD" ON "SKYOWNER"."BSBSALESLEAD" ("CAMPAIGNINTERESTSOURCEID") 
  ;
 
REM SKYOWNER FK_BSBCATALOGUEPRODUCT_SALESLE

  CREATE INDEX "SKYOWNER"."FK_BSBCATALOGUEPRODUCT_SALESLE" ON "SKYOWNER"."BSBSALESLEAD" ("CATALOGUEPRODUCTID") 
  ;
 
REM SKYOWNER FK_BSBCONTACTOR_SALESLEAD

  CREATE INDEX "SKYOWNER"."FK_BSBCONTACTOR_SALESLEAD" ON "SKYOWNER"."BSBSALESLEAD" ("CONTACTORID") 
  ;
 
REM SKYOWNER PK_SAMREGISTRY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_SAMREGISTRY" ON "SKYOWNER"."BSBSAMREGISTRY" ("ID") 
  ;
 
REM SKYOWNER UK_USERNAME

  CREATE UNIQUE INDEX "SKYOWNER"."UK_USERNAME" ON "SKYOWNER"."BSBSAMREGISTRY" ("USERNAME") 
  ;
 
REM SKYOWNER IDX_SAMREGISTRY_PARTYID

  CREATE INDEX "SKYOWNER"."IDX_SAMREGISTRY_PARTYID" ON "SKYOWNER"."BSBSAMREGISTRY" ("PARTYID") 
  ;
 
REM SKYOWNER IDX_BSBSERVINST_PACKREQNUMBER

  CREATE INDEX "SKYOWNER"."IDX_BSBSERVINST_PACKREQNUMBER" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("PACKREQUESTNUMBER") 
  ;
 
REM SKYOWNER FK_PORTFOLIO_SERVICEINSTANCE

  CREATE INDEX "SKYOWNER"."FK_PORTFOLIO_SERVICEINSTANCE" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER PK_BSBSERVICEINSTANCE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSERVICEINSTANCE" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("ID") 
  ;
 
REM SKYOWNER FK_BSBCSTPRODELEM_BSBSERVINST

  CREATE INDEX "SKYOWNER"."FK_BSBCSTPRODELEM_BSBSERVINST" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("INSTALLATIONPRODUCTELEMENTID") 
  ;
 
REM SKYOWNER FK_SERVICEINSTANCE_ID_SELF

  CREATE INDEX "SKYOWNER"."FK_SERVICEINSTANCE_ID_SELF" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("PARENTSERVICEINSTANCEID") 
  ;
 
REM SKYOWNER IDX_BSI_LASTCALLBACKDATE

  CREATE INDEX "SKYOWNER"."IDX_BSI_LASTCALLBACKDATE" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("LASTCALLBACKDATE") 
  ;
 
REM SKYOWNER FK_PAPERITEM

  CREATE INDEX "SKYOWNER"."FK_PAPERITEM" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("PAPERITEMID") 
  ;
 
REM SKYOWNER UK_PDTV

  CREATE UNIQUE INDEX "SKYOWNER"."UK_PDTV" ON "SKYOWNER"."BSBSERVICEINSTANCE" ("PDTV_ID") 
  ;
 
REM SKYOWNER FK_ADDRESS_SETTLEMNTMTD

  CREATE INDEX "SKYOWNER"."FK_ADDRESS_SETTLEMNTMTD" ON "SKYOWNER"."BSBSETTLEMENTMETHOD" ("CHEQUEADDRESSID") 
  ;
 
REM SKYOWNER XPKBSBSETTLEMENTMETHOD

  CREATE UNIQUE INDEX "SKYOWNER"."XPKBSBSETTLEMENTMETHOD" ON "SKYOWNER"."BSBSETTLEMENTMETHOD" ("ID") 
  ;
 
REM SKYOWNER IDX_STATUS

  CREATE INDEX "SKYOWNER"."IDX_STATUS" ON "SKYOWNER"."BSBSUBSCRIPTION" ("STATUS") 
  ;
 
REM SKYOWNER PK_BSBSUBSCRIPTION

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSUBSCRIPTION" ON "SKYOWNER"."BSBSUBSCRIPTION" ("ID") 
  ;
 
REM SKYOWNER FK_BSBSERVICEIINSTANCE_SUBSRIP

  CREATE INDEX "SKYOWNER"."FK_BSBSERVICEIINSTANCE_SUBSRIP" ON "SKYOWNER"."BSBSUBSCRIPTION" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBSUBSCRIPTIONTYPE_SUBSCRI

  CREATE INDEX "SKYOWNER"."FK_BSBSUBSCRIPTIONTYPE_SUBSCRI" ON "SKYOWNER"."BSBSUBSCRIPTION" ("SUBSCRIPTIONTYPEID") 
  ;
 
REM SKYOWNER IDX_SUB_INITIALENABLEMENTDATE

  CREATE INDEX "SKYOWNER"."IDX_SUB_INITIALENABLEMENTDATE" ON "SKYOWNER"."BSBSUBSCRIPTION" ("INITIALENABLEMENTDATE") 
  ;
 
REM SKYOWNER UNQ_SUBSCR_AGREEMENTNUMBER

  CREATE UNIQUE INDEX "SKYOWNER"."UNQ_SUBSCR_AGREEMENTNUMBER" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("AGREEMENTNUMBER") 
  ;
 
REM SKYOWNER PK_BSBSUBSCRIPTIONAGREEMENTITE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSUBSCRIPTIONAGREEMENTITE" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("AGREEMENTITEMID") 
  ;
 
REM SKYOWNER FK_AGRITEM_SUBSCRIPAGRITEM

  CREATE INDEX "SKYOWNER"."FK_AGRITEM_SUBSCRIPAGRITEM" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("SUBSCRIPTIONAGREEMENTID") 
  ;
 
REM SKYOWNER FK_RETAILBUS_SUBSCRIPAGRITEM

  CREATE INDEX "SKYOWNER"."FK_RETAILBUS_SUBSCRIPAGRITEM" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("RETAILBUSINESSID") 
  ;
 
REM SKYOWNER FK_PAPERCONTRACT

  CREATE INDEX "SKYOWNER"."FK_PAPERCONTRACT" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("PAPERCONTRACTID") 
  ;
 
REM SKYOWNER FK_SUBSCRIPTION

  CREATE INDEX "SKYOWNER"."FK_SUBSCRIPTION" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("SUBSCRIPTIONID") 
  ;
 
REM SKYOWNER UNQ_BSBSUBSAGREITEM_PSERID

  CREATE UNIQUE INDEX "SKYOWNER"."UNQ_BSBSUBSAGREITEM_PSERID" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("XXPRIMARYSERVICEINSTANCEID") 
  ;
 
REM SKYOWNER IDX_SAI_ENDDATE

  CREATE INDEX "SKYOWNER"."IDX_SAI_ENDDATE" ON "SKYOWNER"."BSBSUBSCRIPTIONAGREEMENTITEM" ("ENDDATE") 
  ;
 
REM SKYOWNER IDX_BSUBENT_EFFFRDT

  CREATE INDEX "SKYOWNER"."IDX_BSUBENT_EFFFRDT" ON "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ("EFFECTIVEFROMDATE") 
  ;
 
REM SKYOWNER FK_SUBSCR_SUBSCRENTITLEMENT

  CREATE INDEX "SKYOWNER"."FK_SUBSCR_SUBSCRENTITLEMENT" ON "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ("SUBSCRIPTIONID") 
  ;
 
REM SKYOWNER FK_ENTITLEMENT_SUBSCRENTITLEME

  CREATE INDEX "SKYOWNER"."FK_ENTITLEMENT_SUBSCRENTITLEME" ON "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ("ENTITLEMENTID") 
  ;
 
REM SKYOWNER PK_BSBSUBSCRIPTIONENTITLEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSUBSCRIPTIONENTITLEMENT" ON "SKYOWNER"."BSBSUBSCRIPTIONENTITLEMENT" ("ID") 
  ;
 
REM SKYOWNER IDX_BSUBHIST_STSTDT

  CREATE INDEX "SKYOWNER"."IDX_BSUBHIST_STSTDT" ON "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ("STATUSSTARTDATE") 
  ;
 
REM SKYOWNER PK_BSBSUBSCRIPTIONHISTORYSTATU

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBSUBSCRIPTIONHISTORYSTATU" ON "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ("ID") 
  ;
 
REM SKYOWNER FK_SUBSCRIP_SUBSCRIPHISTORYST

  CREATE INDEX "SKYOWNER"."FK_SUBSCRIP_SUBSCRIPHISTORYST" ON "SKYOWNER"."BSBSUBSCRIPTIONHISTORYSTATUS" ("SUBSCRIPTIONID") 
  ;
 
REM SKYOWNER FK_BSBMAILSHOT_TRGTMAILSHOT

  CREATE INDEX "SKYOWNER"."FK_BSBMAILSHOT_TRGTMAILSHOT" ON "SKYOWNER"."BSBTARGETEDMAILSHOT" ("MAILSHOTID") 
  ;
 
REM SKYOWNER FK_PARTY_TARGTMAILSHOT

  CREATE INDEX "SKYOWNER"."FK_PARTY_TARGTMAILSHOT" ON "SKYOWNER"."BSBTARGETEDMAILSHOT" ("PARTYID") 
  ;
 
REM SKYOWNER PK_BSBTARGETEDMAILSHOT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTARGETEDMAILSHOT" ON "SKYOWNER"."BSBTARGETEDMAILSHOT" ("ID") 
  ;
 
REM SKYOWNER PK_BSBTECHENQUIRYVISITRESOLUTI

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTECHENQUIRYVISITRESOLUTI" ON "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" ("ID") 
  ;
 
REM SKYOWNER FK_TECHENQUIRY_TECHENQVISITRES

  CREATE INDEX "SKYOWNER"."FK_TECHENQUIRY_TECHENQVISITRES" ON "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" ("TECHNICALENQUIRYID") 
  ;
 
REM SKYOWNER FK_VISITREQ_TECHENQIRYVISITRES

  CREATE INDEX "SKYOWNER"."FK_VISITREQ_TECHENQIRYVISITRES" ON "SKYOWNER"."BSBTECHENQUIRYVISITRESOLUTION" ("VISITREQUIREMENTID") 
  ;
 
REM SKYOWNER PK_BSBTECHNICALENQUIRY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTECHNICALENQUIRY" ON "SKYOWNER"."BSBTECHNICALENQUIRY" ("ID") 
  ;
 
REM SKYOWNER FK_BSBJOB_BSBTECHENQUIRY

  CREATE INDEX "SKYOWNER"."FK_BSBJOB_BSBTECHENQUIRY" ON "SKYOWNER"."BSBTECHNICALENQUIRY" ("JOBID") 
  ;
 
REM SKYOWNER FK_CUSTOMERROLE_TECHENQ

  CREATE INDEX "SKYOWNER"."FK_CUSTOMERROLE_TECHENQ" ON "SKYOWNER"."BSBTECHNICALENQUIRY" ("OWNERID") 
  ;
 
REM SKYOWNER FK_PERSON_BSBTECHENQUIRY_REPOR

  CREATE INDEX "SKYOWNER"."FK_PERSON_BSBTECHENQUIRY_REPOR" ON "SKYOWNER"."BSBTECHNICALENQUIRY" ("REPORTEDBYID") 
  ;
 
REM SKYOWNER IDX_BTE_CREATED

  CREATE INDEX "SKYOWNER"."IDX_BTE_CREATED" ON "SKYOWNER"."BSBTECHNICALENQUIRY" ("CREATED") 
  ;
 
REM SKYOWNER IDX_TELEPHONE_COMTELNUMBER

  CREATE INDEX "SKYOWNER"."IDX_TELEPHONE_COMTELNUMBER" ON "SKYOWNER"."BSBTELEPHONE" ("COMBINEDTELEPHONENUMBER") 
  ;
 
REM SKYOWNER SYS_C008912

  CREATE UNIQUE INDEX "SKYOWNER"."SYS_C008912" ON "SKYOWNER"."BSBTELEPHONE" ("ID") 
  ;
 
REM SKYOWNER PK_BSBTELEPHONEUSAGEROLE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTELEPHONEUSAGEROLE" ON "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ("ID") 
  ;
 
REM SKYOWNER FK_SERVICEINST_TELUSAGEROLE

  CREATE INDEX "SKYOWNER"."FK_SERVICEINST_TELUSAGEROLE" ON "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER FK_BSBTEL_TELUSAGEROLE

  CREATE INDEX "SKYOWNER"."FK_BSBTEL_TELUSAGEROLE" ON "SKYOWNER"."BSBTELEPHONEUSAGEROLE" ("TELEPHONEID") 
  ;
 
REM SKYOWNER PK_BSBTELEPHONYCUSTPRODELEMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTELEPHONYCUSTPRODELEMENT" ON "SKYOWNER"."BSBTELEPHONYCUSTPRODELEMENT" ("TELEPHONYPRODUCTELEMENTID") 
  ;
 
REM SKYOWNER PK_BSBTELEPHONYREQUIREMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBTELEPHONYREQUIREMENT" ON "SKYOWNER"."BSBTELEPHONYREQUIREMENT" ("TELEPHONYFULFILMENTID") 
  ;
 
REM SKYOWNER FK_BSBUSERROLEBRIDGE_BSBROLE

  CREATE INDEX "SKYOWNER"."FK_BSBUSERROLEBRIDGE_BSBROLE" ON "SKYOWNER"."BSBUSERROLEBRIDGE" ("ROLEID") 
  ;
 
REM SKYOWNER PK_BSBUSERROLEBRIDGE

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBUSERROLEBRIDGE" ON "SKYOWNER"."BSBUSERROLEBRIDGE" ("ID") 
  ;
 
REM SKYOWNER IDX_BSBVISITREQ_STATUSCODE

  CREATE INDEX "SKYOWNER"."IDX_BSBVISITREQ_STATUSCODE" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("STATUSCODE") 
  ;
 
REM SKYOWNER FK_BSBINSTALLERROLE_BSBVSTRQMT

  CREATE INDEX "SKYOWNER"."FK_BSBINSTALLERROLE_BSBVSTRQMT" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("INSTALLERID") 
  ;
 
REM SKYOWNER FK_BSBTCHNCLENQRY_BSBVSTRQMT

  CREATE INDEX "SKYOWNER"."FK_BSBTCHNCLENQRY_BSBVSTRQMT" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("TECHNICALENQUIRYID") 
  ;
 
REM SKYOWNER FK_BSBTEL_VISITREQ

  CREATE INDEX "SKYOWNER"."FK_BSBTEL_VISITREQ" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("TELEPHONEID") 
  ;
 
REM SKYOWNER IDX_BSBVISITRQMNT_VISITID

  CREATE UNIQUE INDEX "SKYOWNER"."IDX_BSBVISITRQMNT_VISITID" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("VISITID") 
  ;
 
REM SKYOWNER FK_BSBADDUSGRLE_BSBVSTRQMT

  CREATE INDEX "SKYOWNER"."FK_BSBADDUSGRLE_BSBVSTRQMT" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("INSTALLATIONADDRESSROLEID") 
  ;
 
REM SKYOWNER IDX_VISITREQ_FMSJOBREF

  CREATE INDEX "SKYOWNER"."IDX_VISITREQ_FMSJOBREF" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("FMSJOBREFERENCE") 
  ;
 
REM SKYOWNER FK_BSBFLFLMNTITM_BSBVSTRQMT

  CREATE INDEX "SKYOWNER"."FK_BSBFLFLMNTITM_BSBVSTRQMT" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("FULFILMENTITEMID") 
  ;
 
REM SKYOWNER PK_BSBVISITREQUIREMENT

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBVISITREQUIREMENT" ON "SKYOWNER"."BSBVISITREQUIREMENT" ("ID") 
  ;
 
REM SKYOWNER IDX_VSTRQMTHRY_ORGNALFMSJOBREF

  CREATE INDEX "SKYOWNER"."IDX_VSTRQMTHRY_ORGNALFMSJOBREF" ON "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" ("ORIGINALFMSJOBREF") 
  ;
 
REM SKYOWNER PK_VISITREQUIREMENTHISTORY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_VISITREQUIREMENTHISTORY" ON "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" ("ID") 
  ;
 
REM SKYOWNER FK_BSBVSTRQMT_BSBVSTRQMTHSTRY

  CREATE INDEX "SKYOWNER"."FK_BSBVSTRQMT_BSBVSTRQMTHSTRY" ON "SKYOWNER"."BSBVISITREQUIREMENTHISTORY" ("VISITREQUIREMENTID") 
  ;
 
REM SKYOWNER FK_WARRANTYCMPNY_WARRANTY

  CREATE INDEX "SKYOWNER"."FK_WARRANTYCMPNY_WARRANTY" ON "SKYOWNER"."BSBWARRANTY" ("WARRANTYCOMPANYID") 
  ;
 
REM SKYOWNER PK_BSBWARRANTY

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBWARRANTY" ON "SKYOWNER"."BSBWARRANTY" ("ID") 
  ;
 
REM SKYOWNER FK_BSBORDERLINE_WARRANTY

  CREATE INDEX "SKYOWNER"."FK_BSBORDERLINE_WARRANTY" ON "SKYOWNER"."BSBWARRANTY" ("ADDORDERLINEID") 
  ;
 
REM SKYOWNER FK_WARRANTY_WARRANTYDTL

  CREATE INDEX "SKYOWNER"."FK_WARRANTY_WARRANTYDTL" ON "SKYOWNER"."BSBWARRANTYDETAIL" ("WARRANTYID") 
  ;
 
REM SKYOWNER PK_BSBWARRANTYDETAIL

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBWARRANTYDETAIL" ON "SKYOWNER"."BSBWARRANTYDETAIL" ("ID") 
  ;
 
REM SKYOWNER FK_WARRANTYMASK_WARRANTYDTL

  CREATE INDEX "SKYOWNER"."FK_WARRANTYMASK_WARRANTYDTL" ON "SKYOWNER"."BSBWARRANTYDETAIL" ("MASKID") 
  ;
 
REM SKYOWNER XPKCCSUSER

  CREATE UNIQUE INDEX "SKYOWNER"."XPKCCSUSER" ON "SKYOWNER"."CCSUSER" ("ID") 
  ;
 
REM SKYOWNER XAKCCSUSER1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKCCSUSER1" ON "SKYOWNER"."CCSUSER" ("LOGINNAME") 
  ;
 
REM SKYOWNER FK_CCSUSERPARTY

  CREATE INDEX "SKYOWNER"."FK_CCSUSERPARTY" ON "SKYOWNER"."CCSUSER" ("BUSINESSENTITYID") 
  ;
 
REM SKYOWNER PK_CCSUSER_NEW

  CREATE UNIQUE INDEX "SKYOWNER"."PK_CCSUSER_NEW" ON "SKYOWNER"."CCSUSER_NEW" ("ID") 
  ;
 
REM SKYOWNER XAKCCSUSER_NEW

  CREATE UNIQUE INDEX "SKYOWNER"."XAKCCSUSER_NEW" ON "SKYOWNER"."CCSUSER_NEW" ("LOGINNAME") 
  ;
 
REM SKYOWNER XPKCOMEVENTTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKCOMEVENTTYPE" ON "SKYOWNER"."COMEVENTTYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKCOMMONCURRENCY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKCOMMONCURRENCY" ON "SKYOWNER"."COMMONCURRENCY" ("ID") 
  ;
 
REM SKYOWNER XAKCOMMONCURRENCY1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKCOMMONCURRENCY1" ON "SKYOWNER"."COMMONCURRENCY" ("CURRENCYISONAME") 
  ;
 
REM SKYOWNER XPKCOMPRTCPNTTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKCOMPRTCPNTTYPE" ON "SKYOWNER"."COMPRTCPNTTYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKDEADLINETIMER

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEADLINETIMER" ON "SKYOWNER"."DEADLINETIMER" ("ID") 
  ;
 
REM SKYOWNER I_DEADLINETIMER1

  CREATE INDEX "SKYOWNER"."I_DEADLINETIMER1" ON "SKYOWNER"."DEADLINETIMER" ("SYSINSTANCENAME") 
  ;
 
REM SKYOWNER XPKDEFDATABIZSVC

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEFDATABIZSVC" ON "SKYOWNER"."DEFDATABIZSVC" ("ID") 
  ;
 
REM SKYOWNER XPKDEFDATACATEGORY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEFDATACATEGORY" ON "SKYOWNER"."DEFDATACATEGORY" ("ID") 
  ;
 
REM SKYOWNER FK_PARENTCATEGORY

  CREATE INDEX "SKYOWNER"."FK_PARENTCATEGORY" ON "SKYOWNER"."DEFDATACATEGORY" ("PARENTCATEGORYID") 
  ;
 
REM SKYOWNER XPKDEFDATACLSINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEFDATACLSINFO" ON "SKYOWNER"."DEFDATACLASSINFO" ("ID") 
  ;
 
REM SKYOWNER FK_CATEGORY

  CREATE INDEX "SKYOWNER"."FK_CATEGORY" ON "SKYOWNER"."DEFDATACLASSINFO" ("CATEGORYID") 
  ;
 
REM SKYOWNER FK_PARENTCLSINFO

  CREATE INDEX "SKYOWNER"."FK_PARENTCLSINFO" ON "SKYOWNER"."DEFDATACLASSINFO" ("PARENTCLASSINFOID") 
  ;
 
REM SKYOWNER FK_SCOPECLASS

  CREATE INDEX "SKYOWNER"."FK_SCOPECLASS" ON "SKYOWNER"."DEFDATACLASSINFO" ("SCOPEID") 
  ;
 
REM SKYOWNER XPKDEFDATAPACKAGE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEFDATAPACKAGE" ON "SKYOWNER"."DEFDATAPACKAGE" ("ID") 
  ;
 
REM SKYOWNER XPKDEFINEDDATASCOP

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEFINEDDATASCOP" ON "SKYOWNER"."DEFINEDDATASCOPE" ("ID") 
  ;
 
REM SKYOWNER FK_DEVICESTATION

  CREATE INDEX "SKYOWNER"."FK_DEVICESTATION" ON "SKYOWNER"."DEVICE" ("STATIONID") 
  ;
 
REM SKYOWNER XPKDEVICE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKDEVICE" ON "SKYOWNER"."DEVICE" ("ID") 
  ;
 
REM SKYOWNER I_DEVICE1

  CREATE INDEX "SKYOWNER"."I_DEVICE1" ON "SKYOWNER"."DEVICE" ("DEVICENAME") 
  ;
 
REM SKYOWNER IDX_EBCINT_CREATEDT

  CREATE INDEX "SKYOWNER"."IDX_EBCINT_CREATEDT" ON "SKYOWNER"."EBCINTERACTION" ("CREATEDATE") 
  ;
 
REM SKYOWNER FK_PARTY_EBCINTERACTION2

  CREATE INDEX "SKYOWNER"."FK_PARTY_EBCINTERACTION2" ON "SKYOWNER"."EBCINTERACTION" ("PORTFOLIOOWNERPARTYID") 
  ;
 
REM SKYOWNER FK_BSBPORTFOLIO_EBCINTERACTION

  CREATE INDEX "SKYOWNER"."FK_BSBPORTFOLIO_EBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("PORTFOLIOID") 
  ;
 
REM SKYOWNER FK_SERVICEINST_EBCINTERACTION

  CREATE INDEX "SKYOWNER"."FK_SERVICEINST_EBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("SERVICEINSTANCEID") 
  ;
 
REM SKYOWNER XPKEBCINTERACTION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEBCINTERACTION" ON "SKYOWNER"."EBCINTERACTION" ("ID") 
  ;
 
REM SKYOWNER I_EBCINTRCTNCASE

  CREATE INDEX "SKYOWNER"."I_EBCINTRCTNCASE" ON "SKYOWNER"."EBCINTERACTION" ("EICASEID") 
  ;
 
REM SKYOWNER IDX_EBC_INSSTATECD

  CREATE INDEX "SKYOWNER"."IDX_EBC_INSSTATECD" ON "SKYOWNER"."EBCINTERACTION" ("INTRCTNSTATECODE") 
  ;
 
REM SKYOWNER IDX_EBC_INSTYECD

  CREATE INDEX "SKYOWNER"."IDX_EBC_INSTYECD" ON "SKYOWNER"."EBCINTERACTION" ("INTRCTNTYPECODE") 
  ;
 
REM SKYOWNER FK_EBCINTERACTION_JOB

  CREATE INDEX "SKYOWNER"."FK_EBCINTERACTION_JOB" ON "SKYOWNER"."EBCINTERACTION" ("JOBID") 
  ;
 
REM SKYOWNER FK_EBCINTRCTNPARTY_CREATED

  CREATE INDEX "SKYOWNER"."FK_EBCINTRCTNPARTY_CREATED" ON "SKYOWNER"."EBCINTERACTION" ("PARTYID", "CREATEDATE") 
  ;
 
REM SKYOWNER XPKEICASE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICASE" ON "SKYOWNER"."EICASE" ("ID") 
  ;
 
REM SKYOWNER FK_EICASEMERGED

  CREATE INDEX "SKYOWNER"."FK_EICASEMERGED" ON "SKYOWNER"."EICASE" ("MERGEDTOCASEID") 
  ;
 
REM SKYOWNER XAKEICASE1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKEICASE1" ON "SKYOWNER"."EICASE" ("CASENUMBER") 
  ;
 
REM SKYOWNER I_EICOMEVENTEICOM

  CREATE INDEX "SKYOWNER"."I_EICOMEVENTEICOM" ON "SKYOWNER"."EICOMEVENT" ("EICOMMUNICATIONID") 
  ;
 
REM SKYOWNER IDX_EICOMEVNT_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_EICOMEVNT_TYPECODE" ON "SKYOWNER"."EICOMEVENT" ("COMEVENTTYPECODE") 
  ;
 
REM SKYOWNER XPKEICOMEVENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMEVENT" ON "SKYOWNER"."EICOMEVENT" ("ID") 
  ;
 
REM SKYOWNER XPKEICOMMENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMMENT" ON "SKYOWNER"."EICOMMENT" ("ID") 
  ;
 
REM SKYOWNER I_EICOMMENTEBCI

  CREATE INDEX "SKYOWNER"."I_EICOMMENTEBCI" ON "SKYOWNER"."EICOMMENT" ("EBCINTERACTIONID") 
  ;
 
REM SKYOWNER FK_BSBHISTNOTECAT_EICOMMENT

  CREATE INDEX "SKYOWNER"."FK_BSBHISTNOTECAT_EICOMMENT" ON "SKYOWNER"."EICOMMENT" ("NOTECATEGORYID") 
  ;
 
REM SKYOWNER FK_BSBHISTNOTETITLE_EICOMMENT

  CREATE INDEX "SKYOWNER"."FK_BSBHISTNOTETITLE_EICOMMENT" ON "SKYOWNER"."EICOMMENT" ("NOTETITLEID") 
  ;
 
REM SKYOWNER XPKEICOMMUNICATION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKEICOMMUNICATION" ON "SKYOWNER"."EICOMMUNICATION" ("ID") 
  ;
 
REM SKYOWNER IDX_EICOM_TYPECODE

  CREATE INDEX "SKYOWNER"."IDX_EICOM_TYPECODE" ON "SKYOWNER"."EICOMMUNICATION" ("COMTYPECODE") 
  ;
 
REM SKYOWNER FK_EICASE_EICOMMUNICATION

  CREATE INDEX "SKYOWNER"."FK_EICASE_EICOMMUNICATION" ON "SKYOWNER"."EICOMMUNICATION" ("EICASEID") 
  ;
 
REM SKYOWNER IDX_EICOM_COMSTARTDT

  CREATE INDEX "SKYOWNER"."IDX_EICOM_COMSTARTDT" ON "SKYOWNER"."EICOMMUNICATION" ("COMSTARTDATE") 
  ;
 
REM SKYOWNER XPKGEOBNDRYCURR

  CREATE UNIQUE INDEX "SKYOWNER"."XPKGEOBNDRYCURR" ON "SKYOWNER"."GEOBNDRYCURRENCY" ("ID") 
  ;
 
REM SKYOWNER FK_GEOBNDRYCURRCUR

  CREATE INDEX "SKYOWNER"."FK_GEOBNDRYCURRCUR" ON "SKYOWNER"."GEOBNDRYCURRENCY" ("COMMONCURRENCYID") 
  ;
 
REM SKYOWNER FK_GEOBNDRYCURRGEO

  CREATE INDEX "SKYOWNER"."FK_GEOBNDRYCURRGEO" ON "SKYOWNER"."GEOBNDRYCURRENCY" ("GEOBOUNDARYID") 
  ;
 
REM SKYOWNER XPKGEOBNDRYTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKGEOBNDRYTYPE" ON "SKYOWNER"."GEOBNDRYTYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKGEOBOUNDARY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKGEOBOUNDARY" ON "SKYOWNER"."GEOBOUNDARY" ("ID") 
  ;
 
REM SKYOWNER FK_GEOBNDRYGEOTYPE

  CREATE INDEX "SKYOWNER"."FK_GEOBNDRYGEOTYPE" ON "SKYOWNER"."GEOBOUNDARY" ("GEOBNDRYTYPECODE") 
  ;
 
REM SKYOWNER XPKGEOBNDRYASSOC

  CREATE UNIQUE INDEX "SKYOWNER"."XPKGEOBNDRYASSOC" ON "SKYOWNER"."GEOBOUNDARYASSOC" ("ID") 
  ;
 
REM SKYOWNER FK_GEOBNDRYASSOC2

  CREATE INDEX "SKYOWNER"."FK_GEOBNDRYASSOC2" ON "SKYOWNER"."GEOBOUNDARYASSOC" ("ASSOCGEOBOUNDARYID") 
  ;
 
REM SKYOWNER FK_GEOBNDRYASSOC1

  CREATE INDEX "SKYOWNER"."FK_GEOBNDRYASSOC1" ON "SKYOWNER"."GEOBOUNDARYASSOC" ("GEOBOUNDARYID") 
  ;
 
REM SKYOWNER XAKIDENTITYTABLE1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKIDENTITYTABLE1" ON "SKYOWNER"."IDENTITYTABLE" ("PDMID", "TABLENAME") 
  ;
 
REM SKYOWNER XPKINTRCTNSTATE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKINTRCTNSTATE" ON "SKYOWNER"."INTRCTNSTATE" ("CODE") 
  ;
 
REM SKYOWNER XPKINTRCTNTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKINTRCTNTYPE" ON "SKYOWNER"."INTRCTNTYPE" ("CODE") 
  ;
 
REM SKYOWNER XAKLANGUAGE1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKLANGUAGE1" ON "SKYOWNER"."LANGUAGES" ("LANGUAGENAME") 
  ;
 
REM SKYOWNER I_LANGUAGE1

  CREATE INDEX "SKYOWNER"."I_LANGUAGE1" ON "SKYOWNER"."LANGUAGES" ("LANGUAGENATIVENAME") 
  ;
 
REM SKYOWNER XPKLANGUAGE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKLANGUAGE" ON "SKYOWNER"."LANGUAGES" ("ID") 
  ;
 
REM SKYOWNER XAKLANGUAGE2

  CREATE UNIQUE INDEX "SKYOWNER"."XAKLANGUAGE2" ON "SKYOWNER"."LANGUAGES" ("LANGUAGEISOCODE") 
  ;
 
REM SKYOWNER XPKMEDIATYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKMEDIATYPE" ON "SKYOWNER"."MEDIATYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKOBJECTMAP

  CREATE UNIQUE INDEX "SKYOWNER"."XPKOBJECTMAP" ON "SKYOWNER"."OBJECTMAP" ("ID") 
  ;
 
REM SKYOWNER XPKOFFERING

  CREATE UNIQUE INDEX "SKYOWNER"."XPKOFFERING" ON "SKYOWNER"."OFFERING" ("ID") 
  ;
 
REM SKYOWNER I_OFFERING1

  CREATE INDEX "SKYOWNER"."I_OFFERING1" ON "SKYOWNER"."OFFERING" ("OFFERINGNAME") 
  ;
 
REM SKYOWNER FK_OFRNGPRODCATGRY

  CREATE INDEX "SKYOWNER"."FK_OFRNGPRODCATGRY" ON "SKYOWNER"."OFFERING" ("PRODUCTCATEGORYID") 
  ;
 
REM SKYOWNER FK_OFFERINGPLNINFO

  CREATE INDEX "SKYOWNER"."FK_OFFERINGPLNINFO" ON "SKYOWNER"."OFFERING" ("WFPLANINFOID") 
  ;
 
REM SKYOWNER XPKOFFERINGCATGRY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKOFFERINGCATGRY" ON "SKYOWNER"."OFFERINGCATEGORY" ("ID") 
  ;
 
REM SKYOWNER XPKOFFERINGHRCHY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKOFFERINGHRCHY" ON "SKYOWNER"."OFFERINGHIERARCHY" ("ID") 
  ;
 
REM SKYOWNER I_OFRNGHRCHVIEW

  CREATE INDEX "SKYOWNER"."I_OFRNGHRCHVIEW" ON "SKYOWNER"."OFFERINGHIERARCHY" ("OFFERINGVIEWID") 
  ;
 
REM SKYOWNER FK_OFRNGHRCHCATGRY

  CREATE INDEX "SKYOWNER"."FK_OFRNGHRCHCATGRY" ON "SKYOWNER"."OFFERINGHIERARCHY" ("OFFERINGCATEGORYID") 
  ;
 
REM SKYOWNER FK_OFRNGHRCHOFRNG

  CREATE INDEX "SKYOWNER"."FK_OFRNGHRCHOFRNG" ON "SKYOWNER"."OFFERINGHIERARCHY" ("OFFERINGID") 
  ;
 
REM SKYOWNER FK_OFRNGHRCHYPRNT

  CREATE INDEX "SKYOWNER"."FK_OFRNGHRCHYPRNT" ON "SKYOWNER"."OFFERINGHIERARCHY" ("PARENTHIERARCHYID") 
  ;
 
REM SKYOWNER XPKOFFERINGVIEW

  CREATE UNIQUE INDEX "SKYOWNER"."XPKOFFERINGVIEW" ON "SKYOWNER"."OFFERINGVIEW" ("ID") 
  ;
 
REM SKYOWNER I_OFFERINGVIEW1

  CREATE INDEX "SKYOWNER"."I_OFFERINGVIEW1" ON "SKYOWNER"."OFFERINGVIEW" ("VIEWNAME") 
  ;
 
REM SKYOWNER XPKORGANIZATION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKORGANIZATION" ON "SKYOWNER"."ORGANIZATION" ("PARTYID") 
  ;
 
REM SKYOWNER XPKPACKAGECLSINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPACKAGECLSINFO" ON "SKYOWNER"."PACKAGECLASSINFO" ("ID") 
  ;
 
REM SKYOWNER FK_PKGCLSINFOCLS

  CREATE INDEX "SKYOWNER"."FK_PKGCLSINFOCLS" ON "SKYOWNER"."PACKAGECLASSINFO" ("CLASSINFOID") 
  ;
 
REM SKYOWNER FK_PKGCLSINFOPKG

  CREATE INDEX "SKYOWNER"."FK_PKGCLSINFOPKG" ON "SKYOWNER"."PACKAGECLASSINFO" ("PACKAGEID") 
  ;
 
REM SKYOWNER XPKPARTY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPARTY" ON "SKYOWNER"."PARTY" ("ID") 
  ;
 
REM SKYOWNER XAKPARTY1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKPARTY1" ON "SKYOWNER"."PARTY" ("GOVERNMENTIDNUMBER") 
  ;
 
REM SKYOWNER FK_PARTYPARTYTYPE

  CREATE INDEX "SKYOWNER"."FK_PARTYPARTYTYPE" ON "SKYOWNER"."PARTY" ("PARTYTYPECODE") 
  ;
 
REM SKYOWNER XPKPARTYRELATNROLE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPARTYRELATNROLE" ON "SKYOWNER"."PARTYRELATIONROLE" ("PARTYID", "RELATEDPARTYID", "PARTYROLETYPECODE") 
  ;
 
REM SKYOWNER XAKPRTYRELATNROLE1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKPRTYRELATNROLE1" ON "SKYOWNER"."PARTYRELATIONROLE" ("PARTYNUMBER") 
  ;
 
REM SKYOWNER I_PRTYRELATNROLE1

  CREATE INDEX "SKYOWNER"."I_PRTYRELATNROLE1" ON "SKYOWNER"."PARTYRELATIONROLE" ("RELATEDPARTYID", "PARTYROLETYPECODE") 
  ;
 
REM SKYOWNER XPKPARTYROLETYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPARTYROLETYPE" ON "SKYOWNER"."PARTYROLETYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKPARTYTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPARTYTYPE" ON "SKYOWNER"."PARTYTYPE" ("CODE") 
  ;
 
REM SKYOWNER FK_PERSONTITLE

  CREATE INDEX "SKYOWNER"."FK_PERSONTITLE" ON "SKYOWNER"."PERSON" ("HONORIFICTITLECODE") 
  ;
 
REM SKYOWNER XPKPERSON

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPERSON" ON "SKYOWNER"."PERSON" ("PARTYID") 
  ;
 
REM SKYOWNER FK_PERSONGENDER

  CREATE INDEX "SKYOWNER"."FK_PERSONGENDER" ON "SKYOWNER"."PERSON" ("GENDERCODE") 
  ;
 
REM SKYOWNER I_PERSON1

  CREATE INDEX "SKYOWNER"."I_PERSON1" ON "SKYOWNER"."PERSON" ("FAMILYNAME") 
  ;
 
REM SKYOWNER FK_PERSONMARITAL

  CREATE INDEX "SKYOWNER"."FK_PERSONMARITAL" ON "SKYOWNER"."PERSON" ("MARITALSTATUSCODE") 
  ;
 
REM SKYOWNER XPKPERSONALITY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPERSONALITY" ON "SKYOWNER"."PERSONALITY" ("ID") 
  ;
 
REM SKYOWNER I_PERSONALITYPRNT

  CREATE INDEX "SKYOWNER"."I_PERSONALITYPRNT" ON "SKYOWNER"."PERSONALITY" ("PRNTPERSONALITYID") 
  ;
 
REM SKYOWNER I_PERSONALITY1

  CREATE INDEX "SKYOWNER"."I_PERSONALITY1" ON "SKYOWNER"."PERSONALITY" ("NAME") 
  ;
 
REM SKYOWNER XPKPREFPROFICIENCY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPREFPROFICIENCY" ON "SKYOWNER"."PREFPROFICIENCY" ("ID") 
  ;
 
REM SKYOWNER I_PREFPROFICIENCY1

  CREATE INDEX "SKYOWNER"."I_PREFPROFICIENCY1" ON "SKYOWNER"."PREFPROFICIENCY" ("PERSONALITYID", "ROUTINGATTRIBUTEID") 
  ;
 
REM SKYOWNER XPKPRODCATALOGITEM

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODCATALOGITEM" ON "SKYOWNER"."PRODCATALOGITEM" ("ID") 
  ;
 
REM SKYOWNER I_ITEMCATLGPROD

  CREATE INDEX "SKYOWNER"."I_ITEMCATLGPROD" ON "SKYOWNER"."PRODCATALOGITEM" ("PRODUCTID") 
  ;
 
REM SKYOWNER FK_ITEMCATALOG

  CREATE INDEX "SKYOWNER"."FK_ITEMCATALOG" ON "SKYOWNER"."PRODCATALOGITEM" ("PRODUCTCATALOGID") 
  ;
 
REM SKYOWNER FK_PRODMMDESCTYPE

  CREATE INDEX "SKYOWNER"."FK_PRODMMDESCTYPE" ON "SKYOWNER"."PRODMMEDIADESC" ("MEDIATYPECODE") 
  ;
 
REM SKYOWNER FK_PRODMMDESCPROD

  CREATE INDEX "SKYOWNER"."FK_PRODMMDESCPROD" ON "SKYOWNER"."PRODMMEDIADESC" ("PRODUCTID") 
  ;
 
REM SKYOWNER XPKPRODMMEDIADESC

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODMMEDIADESC" ON "SKYOWNER"."PRODMMEDIADESC" ("ID") 
  ;
 
REM SKYOWNER XPKPRODUCT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODUCT" ON "SKYOWNER"."PRODUCT" ("ID") 
  ;
 
REM SKYOWNER XAKPRODUCT1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKPRODUCT1" ON "SKYOWNER"."PRODUCT" ("PRODUCTNUMBER") 
  ;
 
REM SKYOWNER FK_PRODUCTPARTY

  CREATE INDEX "SKYOWNER"."FK_PRODUCTPARTY" ON "SKYOWNER"."PRODUCT" ("PARTYID") 
  ;
 
REM SKYOWNER FK_PRODPRODTYPE

  CREATE INDEX "SKYOWNER"."FK_PRODPRODTYPE" ON "SKYOWNER"."PRODUCT" ("PRODUCTTYPECODE") 
  ;
 
REM SKYOWNER XPKPRODUCTCATALOG

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODUCTCATALOG" ON "SKYOWNER"."PRODUCTCATALOG" ("ID") 
  ;
 
REM SKYOWNER XAKPRODUCTCATALOG1

  CREATE UNIQUE INDEX "SKYOWNER"."XAKPRODUCTCATALOG1" ON "SKYOWNER"."PRODUCTCATALOG" ("CATALOGNUMBER") 
  ;
 
REM SKYOWNER I_PRODCATALOGPRTY

  CREATE INDEX "SKYOWNER"."I_PRODCATALOGPRTY" ON "SKYOWNER"."PRODUCTCATALOG" ("PARTYID") 
  ;
 
REM SKYOWNER XPKPRODUCTCATEGORY

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODUCTCATEGORY" ON "SKYOWNER"."PRODUCTCATEGORY" ("ID") 
  ;
 
REM SKYOWNER I_PRODUCTCATEGORY1

  CREATE INDEX "SKYOWNER"."I_PRODUCTCATEGORY1" ON "SKYOWNER"."PRODUCTCATEGORY" ("PRODCATEGORYNAME") 
  ;
 
REM SKYOWNER XPKPRODUCTTYPE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKPRODUCTTYPE" ON "SKYOWNER"."PRODUCTTYPE" ("CODE") 
  ;
 
REM SKYOWNER XPKROUTINGATTRBUTE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKROUTINGATTRBUTE" ON "SKYOWNER"."ROUTINGATTRIBUTE" ("ID") 
  ;
 
REM SKYOWNER I_ROUTINGATTR1

  CREATE INDEX "SKYOWNER"."I_ROUTINGATTR1" ON "SKYOWNER"."ROUTINGATTRIBUTE" ("NAME") 
  ;
 
REM SKYOWNER XPKROUTINGPROF

  CREATE UNIQUE INDEX "SKYOWNER"."XPKROUTINGPROF" ON "SKYOWNER"."ROUTINGPROFICIENCY" ("ID") 
  ;
 
REM SKYOWNER I_RTGPROFRTGATTR

  CREATE INDEX "SKYOWNER"."I_RTGPROFRTGATTR" ON "SKYOWNER"."ROUTINGPROFICIENCY" ("ROUTINGATTRIBUTEID") 
  ;
 
REM SKYOWNER XPKSESSIONCONTEXT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKSESSIONCONTEXT" ON "SKYOWNER"."SESSIONCONTEXT" ("ID") 
  ;
 
REM SKYOWNER I_SESSIONCONTEXT1

  CREATE INDEX "SKYOWNER"."I_SESSIONCONTEXT1" ON "SKYOWNER"."SESSIONCONTEXT" ("SYSINSTANCENAME") 
  ;
 
REM SKYOWNER XPKSQLPERSISTENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKSQLPERSISTENT" ON "SKYOWNER"."SQLPERSISTENTINFO" ("ID") 
  ;
 
REM SKYOWNER FK_ATTRDEFSQL

  CREATE INDEX "SKYOWNER"."FK_ATTRDEFSQL" ON "SKYOWNER"."SQLPERSISTENTINFO" ("STATICATTRDEFID") 
  ;
 
REM SKYOWNER XPKSTATICATTRDEF

  CREATE UNIQUE INDEX "SKYOWNER"."XPKSTATICATTRDEF" ON "SKYOWNER"."STATICATTRDEF" ("ID") 
  ;
 
REM SKYOWNER FK_CLSATTRDEF

  CREATE INDEX "SKYOWNER"."FK_CLSATTRDEF" ON "SKYOWNER"."STATICATTRDEF" ("CLASSINFOID") 
  ;
 
REM SKYOWNER FK_TYPEATTR

  CREATE INDEX "SKYOWNER"."FK_TYPEATTR" ON "SKYOWNER"."STATICATTRDEF" ("TYPEATTRID") 
  ;
 
REM SKYOWNER XPKSTATION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKSTATION" ON "SKYOWNER"."STATION" ("ID") 
  ;
 
REM SKYOWNER I_STATION1

  CREATE UNIQUE INDEX "SKYOWNER"."I_STATION1" ON "SKYOWNER"."STATION" ("STATIONNAME") 
  ;
 
REM SKYOWNER XPKTELEPHONEINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKTELEPHONEINFO" ON "SKYOWNER"."TELEPHONEINFO" ("ID") 
  ;
 
REM SKYOWNER FK_TELINFOPARTY

  CREATE INDEX "SKYOWNER"."FK_TELINFOPARTY" ON "SKYOWNER"."TELEPHONEINFO" ("BUSINESSENTITYID") 
  ;
 
REM SKYOWNER FK_TELINFOLANG

  CREATE INDEX "SKYOWNER"."FK_TELINFOLANG" ON "SKYOWNER"."TELEPHONEINFO" ("COMMPRIMARYLANGID") 
  ;
 
REM SKYOWNER FK_TELINFOOFFERING

  CREATE INDEX "SKYOWNER"."FK_TELINFOOFFERING" ON "SKYOWNER"."TELEPHONEINFO" ("OFFERINGID") 
  ;
 
REM SKYOWNER FK_WFASSIGNMENT

  CREATE INDEX "SKYOWNER"."FK_WFASSIGNMENT" ON "SKYOWNER"."WFASSIGNMENT" ("INFOID") 
  ;
 
REM SKYOWNER FK_WFASSGNUSER

  CREATE INDEX "SKYOWNER"."FK_WFASSGNUSER" ON "SKYOWNER"."WFASSIGNMENT" ("CCSUSERID") 
  ;
 
REM SKYOWNER XPKWFASSIGNMENT

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFASSIGNMENT" ON "SKYOWNER"."WFASSIGNMENT" ("ID") 
  ;
 
REM SKYOWNER XPKWFASSIGNMNTINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFASSIGNMNTINFO" ON "SKYOWNER"."WFASSIGNMENTINFO" ("ID") 
  ;
 
REM SKYOWNER XPKWFIONAME

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFIONAME" ON "SKYOWNER"."WFIONAME" ("ID") 
  ;
 
REM SKYOWNER XPKWFNODERELATION

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFNODERELATION" ON "SKYOWNER"."WFNODERELATIONSHIP" ("ID") 
  ;
 
REM SKYOWNER XPKWFPLAN

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFPLAN" ON "SKYOWNER"."WFPLAN" ("ID") 
  ;
 
REM SKYOWNER FK_WFPLAN

  CREATE INDEX "SKYOWNER"."FK_WFPLAN" ON "SKYOWNER"."WFPLAN" ("INFOID") 
  ;
 
REM SKYOWNER XPKWFPLANINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFPLANINFO" ON "SKYOWNER"."WFPLANINFO" ("ID") 
  ;
 
REM SKYOWNER XPKWFPLANNODE

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFPLANNODE" ON "SKYOWNER"."WFPLANNODE" ("ID") 
  ;
 
REM SKYOWNER FK_WFPLNNDWFPLN

  CREATE INDEX "SKYOWNER"."FK_WFPLNNDWFPLN" ON "SKYOWNER"."WFPLANNODE" ("PLANID") 
  ;
 
REM SKYOWNER XPKWFTASK

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFTASK" ON "SKYOWNER"."WFTASK" ("ID") 
  ;
 
REM SKYOWNER FK_WFTASK

  CREATE INDEX "SKYOWNER"."FK_WFTASK" ON "SKYOWNER"."WFTASK" ("INFOID") 
  ;
 
REM SKYOWNER XPKWFTASKINFO

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFTASKINFO" ON "SKYOWNER"."WFTASKINFO" ("ID") 
  ;
 
REM SKYOWNER XPKWFTOKEN

  CREATE UNIQUE INDEX "SKYOWNER"."XPKWFTOKEN" ON "SKYOWNER"."WFTOKEN" ("ID") 
  ;
 
REM SKYOWNER PK_BSBPAPERSUBAGREEMENTITEM

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBPAPERSUBAGREEMENTITEM" ON "SKYOWNER"."XXBSBPAPERSUBAGREEMENTITEM" ("AGREEMENTITEMID") 
  ;
 
REM SKYOWNER IDX_ADDRESS_HOUSENAME

  CREATE INDEX "SKYOWNER"."IDX_ADDRESS_HOUSENAME" ON "SKYOWNER"."BSBADDRESS" (UPPER("HOUSENAME")) 
  ;
 
REM SKYOWNER PK_BSBROLECREDITLIMITS

  CREATE UNIQUE INDEX "SKYOWNER"."PK_BSBROLECREDITLIMITS" ON "SKYOWNER"."BSBROLECREDITLIMIT" ("ROLEID", "CURRENCYCODE") 
  ;
 