--
-- Create Schema Script 
--   Database Version   : 10.2.0.1.0 
--   TOAD Version       : 9.0.1.8 
--   DB Connect String  : JXBUS 
--   Schema             : CCSOWNER 
--   Script Created by  : SYS 
--   Script Created at  : 22/03/2007 15:01:09 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Roles: 1           Roles: 2            Obj Privs: 0 
--   Users: 1           Roles: 1            Tablespace Quotas: 2 
-- 
--   Directories: 3 
--   Functions: 1       Lines of Code: 14 
--   Indexes: 336       Columns: 402        
--   Object Privileges: 243 
--   Sequences: 25 
--   Tables: 189        Columns: 1402       Constraints: 396    
--   Triggers: 3 
--   Views: 28          


CREATE PROFILE DEFAULT LIMIT
  SESSIONS_PER_USER UNLIMITED
  CPU_PER_SESSION UNLIMITED
  CPU_PER_CALL UNLIMITED
  CONNECT_TIME UNLIMITED
  IDLE_TIME UNLIMITED
  LOGICAL_READS_PER_SESSION UNLIMITED
  LOGICAL_READS_PER_CALL UNLIMITED
  COMPOSITE_LIMIT UNLIMITED
  PRIVATE_SGA UNLIMITED
  FAILED_LOGIN_ATTEMPTS 10
  PASSWORD_LIFE_TIME UNLIMITED
  PASSWORD_REUSE_TIME UNLIMITED
  PASSWORD_REUSE_MAX UNLIMITED
  PASSWORD_LOCK_TIME UNLIMITED
  PASSWORD_GRACE_TIME UNLIMITED
  PASSWORD_VERIFY_FUNCTION NULL;


CREATE ROLE R_CCSOWN NOT IDENTIFIED;

GRANT CREATE VIEW TO R_CCSOWN;
GRANT RESOURCE TO R_CCSOWN;
GRANT CONNECT TO R_CCSOWN;


CREATE USER CCSOWNER
  IDENTIFIED BY VALUES '0AE2DF4476DB812C'
  DEFAULT TABLESPACE DEV
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 1 Role for CCSOWNER 
  GRANT R_CCSOWN TO CCSOWNER;
  ALTER USER CCSOWNER DEFAULT ROLE ALL;
  -- 2 Tablespace Quotas for CCSOWNER 
  ALTER USER CCSOWNER QUOTA UNLIMITED ON DEV;
  ALTER USER CCSOWNER QUOTA UNLIMITED ON IDX;
  -- 1 Object Privilege for CCSOWNER 
    GRANT EXECUTE ON  SYS.DBMS_SYSTEM TO CCSOWNER;


CREATE OR REPLACE DIRECTORY 
ADMIN_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/md/admin';


CREATE OR REPLACE DIRECTORY 
DATA_PUMP_DIR AS 
'D:\oracle10.2.0\admin\jxbus\dpdump\';


CREATE OR REPLACE DIRECTORY 
WORK_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/work';


CREATE SEQUENCE ADDRESS_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE CONTACTINFO_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE GROUPINFO_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE GROUPMETADATA_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE JXWWFLOWPID_SEQ
  START WITH 1000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE JXWWFLWAUDITID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE MID_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE METACATEGORY_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE MKID_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE METARULE_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE PASSWORDHISTORY_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE QUEUEINFO_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE QUEUEMETADATA_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE RESOURCEINFO_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE RESRCMETADATA_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE ROLEINFO2_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE ROLEMETADATA_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE SEEDNUMSEQ
  START WITH 1
  MAXVALUE 99999
  MINVALUE 1
  CYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE USER_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE USERMETADATA_SEQ
  START WITH 10000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE ACCOUNTNUMBERSEQ
  START WITH 10000
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE CUSTOMERNUMBERSEQ
  START WITH 10000
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE CASENUMBERSEQ
  START WITH 10000
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE ORDERNUMBERSEQ
  START WITH 10000
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE SEQUENCE RMANUMBERSEQ
  START WITH 10000
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10
  NOORDER;


CREATE TABLE ACDPROPERTY
(
  ID          VARCHAR2(47 BYTE)                 NOT NULL,
  ACDQUEUEID  VARCHAR2(47 BYTE)                 NOT NULL,
  NAME        VARCHAR2(80 BYTE)                 NOT NULL,
  VALUE       VARCHAR2(120 BYTE)                NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACDQUEUE
(
  ID            VARCHAR2(47 BYTE)               NOT NULL,
  ACDQUEUENAME  VARCHAR2(80 BYTE)               NOT NULL,
  ACDEXTENSION  VARCHAR2(15 BYTE)               NOT NULL,
  ACDQUEUEDESC  VARCHAR2(255 BYTE),
  LANGUAGEID    VARCHAR2(47 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACE2
(
  OBJECTID       INTEGER                        NOT NULL,
  OBJECTTYPE     INTEGER                        NOT NULL,
  PRINCIPALID    INTEGER                        NOT NULL,
  PRINCIPALTYPE  INTEGER                        NOT NULL,
  ACETYPE        INTEGER                        NOT NULL,
  SECURITYMASK   INTEGER                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTACT
(
  CONTACT_ID      NUMBER(10)                    NOT NULL,
  CONTACT_TITLE   VARCHAR2(5 BYTE),
  JOB_TITLE       VARCHAR2(50 BYTE),
  FIRST_NAME      VARCHAR2(35 BYTE),
  LAST_NAME       VARCHAR2(35 BYTE),
  MIDDLE_INITIAL  CHAR(1 BYTE),
  SUFFIX          VARCHAR2(6 BYTE),
  GENDER          CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTACTADDRESS
(
  ADDRESS_ID    NUMBER(10)                      NOT NULL,
  CONTACT_ID    NUMBER(10)                      NOT NULL,
  IS_PRIMARY    CHAR(1 BYTE)                    NOT NULL,
  ADDRESS_TYPE  VARCHAR2(20 BYTE)               DEFAULT 'BUSINESS'            NOT NULL,
  ADDRESS1      VARCHAR2(100 BYTE)              NOT NULL,
  ADDRESS2      VARCHAR2(100 BYTE),
  CITY          VARCHAR2(30 BYTE)               NOT NULL,
  STATE         VARCHAR2(25 BYTE),
  COUNTRY_CODE  CHAR(2 BYTE)                    DEFAULT 'US',
  ZIP           VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTACTINFO2
(
  CONTACTINFO_ID       NUMBER(10)               NOT NULL,
  CONTACT_ID           NUMBER(10)               NOT NULL,
  CONTACTINFO_TYPE     VARCHAR2(20 BYTE)        NOT NULL,
  CONTACTINFO_SUBTYPE  VARCHAR2(20 BYTE),
  CONTACTINFO          VARCHAR2(100 BYTE)       NOT NULL,
  CONTACTINFO_STATUS   CHAR(1 BYTE),
  IS_PRIMARY           CHAR(1 BYTE)             NOT NULL,
  DESCRIPTION          VARCHAR2(255 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COUNTRY
(
  COUNTRY_CODE  CHAR(2 BYTE)                    NOT NULL,
  COUNTRY_NAME  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CSZ
(
  CITY   VARCHAR2(35 BYTE)                      NOT NULL,
  STATE  VARCHAR2(2 BYTE)                       NOT NULL,
  ZIP    VARCHAR2(5 BYTE)                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CTIUSERACD
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CTIUSERINFOID  VARCHAR2(47 BYTE)              NOT NULL,
  ACDQUEUEID     VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CTIUSERINFO
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  USERINFOID          INTEGER                   NOT NULL,
  ACDLOGINIDTEXT      VARCHAR2(10 BYTE)         NOT NULL,
  ACDLOGINPWDTEXT     VARCHAR2(30 BYTE),
  MDLWRLOGINIDTEXT    VARCHAR2(30 BYTE),
  MDLWRLOGINPWDTEXT   VARCHAR2(30 BYTE),
  GEOTELPERIPHERALID  VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFAULTS
(
  KEY    VARCHAR2(128 BYTE)                     NOT NULL,
  VALUE  VARCHAR2(2000 BYTE)                    NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEVICE
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  DEVICETYPE          VARCHAR2(8 BYTE)          NOT NULL,
  DESCRIPTION         VARCHAR2(255 BYTE),
  DEVICENAME          VARCHAR2(80 BYTE)         NOT NULL,
  DEVICEIDENTTEXT     VARCHAR2(80 BYTE),
  MANUFACTURER        VARCHAR2(80 BYTE),
  MODEL               VARCHAR2(80 BYTE),
  OUTBNDDIALINGCD     VARCHAR2(80 BYTE),
  OPERATINGSYSTEM     VARCHAR2(80 BYTE),
  OPERATINGSYSVER     VARCHAR2(80 BYTE),
  REVISION            VARCHAR2(80 BYTE),
  MIDDLEWARETYPE      VARCHAR2(8 BYTE),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE,
  STATIONID           VARCHAR2(47 BYTE)         NOT NULL,
  AUTOANSWER          CHAR(1 BYTE),
  PRIMARYMDLWRHOST    VARCHAR2(80 BYTE),
  PRIMARYMDLWRPORT    VARCHAR2(10 BYTE),
  SECONDARYMDLWRHOST  VARCHAR2(80 BYTE),
  SECONDARYMDLWRPORT  VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DMINFO
(
  INSTALLVERSIONID  VARCHAR2(20 BYTE),
  INSTALLDATE       DATE,
  CURRENTVERSIONID  VARCHAR2(20 BYTE)           NOT NULL,
  UPGRADEDATE       DATE                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GROUPCONTACT
(
  GROUPID     INTEGER                           NOT NULL,
  CONTACT_ID  NUMBER(10)                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GROUPINFO
(
  GROUPID      INTEGER                          NOT NULL,
  NAME         VARCHAR2(255 BYTE)               NOT NULL,
  CREDITLIMIT  INTEGER,
  AUTHID       INTEGER,
  MANAGER      INTEGER,
  PGRPID       INTEGER                          NOT NULL,
  ACTIVATED    INTEGER                          NOT NULL,
  PRID         INTEGER,
  GROUPTYPEID  INTEGER                          NOT NULL,
  CREATEDATE   DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GROUPMETADATA
(
  GROUPMETADATAID  INTEGER                      NOT NULL,
  GROUPID          INTEGER                      NOT NULL,
  MKID             INTEGER                      NOT NULL,
  MID              INTEGER,
  INTVALUE         INTEGER,
  STRVALUE         VARCHAR2(80 BYTE),
  DATEVALUE        DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GROUPTYPE
(
  GROUPTYPEID  INTEGER                          NOT NULL,
  NAME         VARCHAR2(30 BYTE)                NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXPTEST
(
  ID            VARCHAR2(47 BYTE)               NOT NULL,
  NAME          VARCHAR2(80 BYTE)               NOT NULL,
  THINGSIZE     INTEGER,
  COST          NUMBER(8,2),
  TYPE          VARCHAR2(80 BYTE)               NOT NULL,
  LASTUPDATE    DATE,
  LOCKTOKEN     VARCHAR2(47 BYTE),
  ID2           VARCHAR2(47 BYTE),
  CLOBFIELD     CLOB,
  DOUBLEFIELD   NUMBER,
  BOOLEANFIELD  CHAR(1 BYTE),
  LONGFIELD     INTEGER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWFINISHEDTASK
(
  PID_            INTEGER                       NOT NULL,
  TID_            INTEGER                       NOT NULL,
  UID_            VARCHAR2(127 BYTE),
  STATUS_         VARCHAR2(16 BYTE)             NOT NULL,
  PREV_STATUS_    VARCHAR2(16 BYTE)             NOT NULL,
  TYPE_           VARCHAR2(16 BYTE)             NOT NULL,
  LABEL_          VARCHAR2(127 BYTE)            NOT NULL,
  CATEGORY_       VARCHAR2(127 BYTE),
  SUBCATEGORY_    VARCHAR2(127 BYTE),
  DESCRIPTION_    VARCHAR2(2048 BYTE),
  REFERENCE_      VARCHAR2(2048 BYTE),
  READY_TIME_     DATE,
  ACQUIRE_TIME_   DATE,
  COMPLETE_TIME_  DATE,
  TASKDATA_       BLOB                          NOT NULL,
  LINK_TYPE_      VARCHAR2(16 BYTE),
  LINK_WID_URL_   VARCHAR2(512 BYTE),
  LINK_LOC_       VARCHAR2(10 BYTE),
  LINK_PC_FLAG_   CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWFINISHEDWFLOW
(
  PID_            INTEGER                       NOT NULL,
  DOMAIN_         VARCHAR2(127 BYTE)            NOT NULL,
  WID_            VARCHAR2(127 BYTE)            NOT NULL,
  UID_            VARCHAR2(127 BYTE)            NOT NULL,
  STATUS_         VARCHAR2(16 BYTE)             NOT NULL,
  PARENT_PID_     INTEGER,
  LABEL_          VARCHAR2(127 BYTE)            NOT NULL,
  CATEGORY_       VARCHAR2(127 BYTE),
  SUBCATEGORY_    VARCHAR2(127 BYTE),
  DESCRIPTION_    VARCHAR2(2048 BYTE),
  JEOPARDY_       INTEGER,
  START_TIME_     DATE,
  FINISH_TIME_    DATE,
  WFLOWDATA_      BLOB                          NOT NULL,
  PARENT_TID_     INTEGER,
  RECORD_FORMAT_  NUMBER(1)                     DEFAULT 1                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWTASK
(
  PID_            INTEGER                       NOT NULL,
  TID_            INTEGER                       NOT NULL,
  UID_            VARCHAR2(127 BYTE),
  STATUS_         VARCHAR2(16 BYTE)             NOT NULL,
  PREV_STATUS_    VARCHAR2(16 BYTE)             NOT NULL,
  TYPE_           VARCHAR2(16 BYTE)             NOT NULL,
  LABEL_          VARCHAR2(127 BYTE)            NOT NULL,
  CATEGORY_       VARCHAR2(127 BYTE),
  SUBCATEGORY_    VARCHAR2(127 BYTE),
  DESCRIPTION_    VARCHAR2(2048 BYTE),
  REFERENCE_      VARCHAR2(2048 BYTE),
  READY_TIME_     DATE,
  ACQUIRE_TIME_   DATE,
  COMPLETE_TIME_  DATE,
  TASKDATA_       BLOB                          NOT NULL,
  LINK_TYPE_      VARCHAR2(16 BYTE),
  LINK_WID_URL_   VARCHAR2(512 BYTE),
  LINK_LOC_       VARCHAR2(10 BYTE),
  LINK_PC_FLAG_   CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWTASKPROPERTY
(
  PID_    INTEGER                               NOT NULL,
  TID_    INTEGER                               NOT NULL,
  NAME_   VARCHAR2(32 BYTE)                     NOT NULL,
  VALUE_  VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWWFLOW
(
  PID_            INTEGER                       NOT NULL,
  DOMAIN_         VARCHAR2(127 BYTE)            NOT NULL,
  WID_            VARCHAR2(127 BYTE)            NOT NULL,
  UID_            VARCHAR2(127 BYTE),
  STATUS_         VARCHAR2(16 BYTE)             NOT NULL,
  PREV_STATUS_    VARCHAR2(16 BYTE),
  PARENT_PID_     INTEGER,
  LABEL_          VARCHAR2(127 BYTE)            NOT NULL,
  CATEGORY_       VARCHAR2(127 BYTE),
  SUBCATEGORY_    VARCHAR2(127 BYTE),
  DESCRIPTION_    VARCHAR2(2048 BYTE),
  START_TIME_     DATE,
  WFLOWDATA_      BLOB                          NOT NULL,
  PARENT_TID_     INTEGER,
  FINISH_TIME_    DATE,
  RECORD_FORMAT_  NUMBER(1)                     DEFAULT 1                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE JXWWFLOWAUDIT
(
  EVENTID_           INTEGER                    NOT NULL,
  PID_               INTEGER                    NOT NULL,
  EVENTTIME_         DATE                       NOT NULL,
  USERNAME_          VARCHAR2(255 BYTE)         NOT NULL,
  ACTION_            VARCHAR2(255 BYTE)         NOT NULL,
  TID_               INTEGER,
  CONTEXTNAME_       VARCHAR2(255 BYTE),
  CONTEXTSCOPE_      VARCHAR2(255 BYTE),
  CONTEXTPREVVALUE_  VARCHAR2(255 BYTE),
  CONTEXTVALUE_      VARCHAR2(255 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LANGUAGES
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  LANGUAGENAME        VARCHAR2(80 BYTE)         NOT NULL,
  LANGUAGENATIVENAME  VARCHAR2(80 BYTE),
  LANGUAGEISOCODE     VARCHAR2(3 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LOCKMGR
(
  GUID               VARCHAR2(47 BYTE)          NOT NULL,
  BUSINESSCLASSNAME  VARCHAR2(80 BYTE)          NOT NULL,
  TIMS               NUMBER(20)                 NOT NULL,
  SERVICENAME        VARCHAR2(80 BYTE),
  USERNAME           VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE METAASSOC
(
  MID        INTEGER                            NOT NULL,
  MKID       INTEGER                            NOT NULL,
  METAVALUE  VARCHAR2(200 BYTE)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE METACATEGORY
(
  ID    INTEGER                                 NOT NULL,
  NAME  VARCHAR2(80 BYTE)                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE METAKEY
(
  MKID            INTEGER                       NOT NULL,
  METAKEY         VARCHAR2(255 BYTE)            NOT NULL,
  VALUETYPE       INTEGER                       NOT NULL,
  METACATEGORYID  INTEGER                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE METARULE
(
  MRID   INTEGER                                NOT NULL,
  NAME   VARCHAR2(30 BYTE)                      NOT NULL,
  MID1   INTEGER                                NOT NULL,
  MID2   INTEGER                                NOT NULL,
  MRULE  INTEGER                                NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MIDDLEWARESERVER
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  MDLWRSRVRHOST       VARCHAR2(80 BYTE)         NOT NULL,
  MDLWRSRVRPORT       VARCHAR2(10 BYTE)         NOT NULL,
  MDLWRSRVRDESC       VARCHAR2(255 BYTE),
  MDLWRSRVRPRMRYFLAG  CHAR(1 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PASSWORDHISTORY
(
  ID                  INTEGER                   NOT NULL,
  USERID              INTEGER,
  PASSWORDMODIFYDATE  DATE,
  PASSWORD            VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PERSISTENTCACHEDATA
(
  OBJECT_KEY     VARCHAR2(47 BYTE)              NOT NULL,
  OBJECT_DATA    CLOB                           NOT NULL,
  OBJECT_STATE   INTEGER                        NOT NULL,
  OBJECT_EXPIRY  INTEGER                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEINFO
(
  ID                  INTEGER                   NOT NULL,
  QUEUENAME           VARCHAR2(255 BYTE)        NOT NULL,
  OWNERUSERINFOID     INTEGER                   NOT NULL,
  QUEUESTATECODE      VARCHAR2(10 BYTE)         NOT NULL,
  QUEUETYPEFLAG       CHAR(1 BYTE)              NOT NULL,
  REPLICATEBASENAME   VARCHAR2(40 BYTE)         NOT NULL,
  REPLICATEQTY        NUMBER(5)                 NOT NULL,
  QUEUEPRIORITYNUM    NUMBER(5),
  QUEUEDESC           VARCHAR2(255 BYTE),
  HIGHWATERTARGETQTY  NUMBER(5),
  CONNECTIONFACTORY   VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEITEM
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  CREATETIMSNUM       INTEGER                   NOT NULL,
  LASTMODTIMSNUM      INTEGER                   NOT NULL,
  EXTSUBSYSTEMCODE    VARCHAR2(10 BYTE)         NOT NULL,
  EXTERNALREFID       VARCHAR2(255 BYTE)        NOT NULL,
  EXTREFERENCEDESC    VARCHAR2(255 BYTE),
  EXTCONTEXTTEXT      VARCHAR2(255 BYTE),
  TIMERREFID          VARCHAR2(47 BYTE),
  USERREFTEXT         VARCHAR2(255 BYTE)        NOT NULL,
  QUEUENAME           VARCHAR2(255 BYTE),
  MNDTRYUSERREFTEXT   VARCHAR2(255 BYTE),
  PREFERUSERREFTEXT   VARCHAR2(255 BYTE),
  PRIORITYNUM         NUMBER(4),
  PHYSICALQUEUENAME   VARCHAR2(255 BYTE)        NOT NULL,
  QUEUETYPECODE       VARCHAR2(10 BYTE)         NOT NULL,
  JMSMESSAGEREFID     VARCHAR2(255 BYTE)        NOT NULL,
  CUSTOMERINFOTEXT    VARCHAR2(255 BYTE),
  INFORMATIONTEXT     VARCHAR2(255 BYTE),
  DEHOSTNAME          VARCHAR2(80 BYTE),
  ABSOLUTEDATE        DATE,
  ELAPSEDTIMETEXT     VARCHAR2(30 BYTE),
  SERIALPROPERTYTEXT  VARCHAR2(2000 BYTE),
  STATUSTEXT          VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEITEMACTIVE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CREATETIMSNUM  INTEGER                        NOT NULL,
  USERREFTEXT    VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEITEMAUDIT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  QUEUENAME           VARCHAR2(255 BYTE),
  QUEUEITEMREFID      VARCHAR2(47 BYTE)         NOT NULL,
  CREATETIMSNUM       INTEGER                   NOT NULL,
  STATECODE           VARCHAR2(10 BYTE)         NOT NULL,
  STATETIMSNUM        INTEGER                   NOT NULL,
  EXTERNALREFID       VARCHAR2(128 BYTE)        NOT NULL,
  EXTSUBSYSTEMCODE    VARCHAR2(10 BYTE)         NOT NULL,
  EXTCONTEXTTEXT      VARCHAR2(255 BYTE),
  EXTREFERENCEDESC    VARCHAR2(255 BYTE),
  USERREFTEXT         VARCHAR2(255 BYTE)        NOT NULL,
  MNDTRYUSERREFTEXT   VARCHAR2(255 BYTE),
  PREFERUSERREFTEXT   VARCHAR2(255 BYTE),
  TIMERREFID          VARCHAR2(47 BYTE),
  PRIORITYNUM         NUMBER(4),
  CUSTOMERINFOTEXT    VARCHAR2(255 BYTE),
  INFORMATIONTEXT     VARCHAR2(255 BYTE),
  DEHOSTNAME          VARCHAR2(80 BYTE),
  ABSOLUTEDATE        DATE,
  ELAPSEDTIMETEXT     VARCHAR2(30 BYTE),
  SERIALPROPERTYTEXT  VARCHAR2(2000 BYTE),
  STATUSTEXT          VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEITEMAUDITPROP
(
  QUEUEITEMAUDITID   VARCHAR2(47 BYTE)          NOT NULL,
  PROPERTYNAME       VARCHAR2(255 BYTE)         NOT NULL,
  PROPERTYVALUETEXT  VARCHAR2(255 BYTE)         NOT NULL,
  PROPERTYTYPECODE   VARCHAR2(10 BYTE)          NOT NULL,
  PROPERTYIDENTTEXT  VARCHAR2(255 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEMETADATA
(
  ID           INTEGER                          NOT NULL,
  QUEUEINFOID  INTEGER                          NOT NULL,
  METAKEYID    INTEGER                          NOT NULL,
  METAASSOCID  INTEGER,
  VALUENUM     INTEGER,
  VALUETEXT    VARCHAR2(80 BYTE),
  VALUEDATE    DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE QUEUEPRINCIPAL
(
  QUEUEINFOID        INTEGER                    NOT NULL,
  PRINCIPALREFID     INTEGER                    NOT NULL,
  PRINCIPALTYPECODE  VARCHAR2(10 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE RESOURCEINFO
(
  ID                  INTEGER                   NOT NULL,
  PRNTRESOURCEINFOID  INTEGER                   NOT NULL,
  RESOURCENAME        VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE RESRCMETADATA
(
  ID              INTEGER                       NOT NULL,
  RESOURCEINFOID  INTEGER                       NOT NULL,
  METAKEYID       INTEGER                       NOT NULL,
  METAASSOCID     INTEGER,
  VALUENUM        INTEGER,
  VALUETEXT       VARCHAR2(80 BYTE),
  VALUEDATE       DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ROLEINFO2
(
  ROLEID       INTEGER                          NOT NULL,
  NAME         VARCHAR2(255 BYTE)               NOT NULL,
  FLAG         INTEGER                          NOT NULL,
  DESCRIPTION  VARCHAR2(4000 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ROLEMETADATA
(
  ROLEMETADATAID  INTEGER                       NOT NULL,
  ROLEID          INTEGER                       NOT NULL,
  MKID            INTEGER                       NOT NULL,
  MID             INTEGER,
  INTVALUE        INTEGER,
  STRVALUE        VARCHAR2(80 BYTE),
  DATEVALUE       DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ROLEREPLACEMENT2
(
  ROLEID       INTEGER                          NOT NULL,
  NAME         VARCHAR2(255 BYTE)               NOT NULL,
  REPLACEMENT  LONG                             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE SEEDINFORMATION
(
  SEEDNUM          NUMBER(20)                   NOT NULL,
  PROCESSIDTEXT    VARCHAR2(255 BYTE)           NOT NULL,
  IPADDRESSTEXT    VARCHAR2(15 BYTE)            NOT NULL,
  TIMESTAMPNUM     NUMBER(20)                   NOT NULL,
  SERVICENAME      VARCHAR2(255 BYTE)           NOT NULL,
  ENVIRONMENTNAME  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE STATE
(
  COUNTRY_CODE  CHAR(2 BYTE)                    NOT NULL,
  STATE_CODE    CHAR(2 BYTE)                    NOT NULL,
  STATE_NAME    VARCHAR2(40 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE STATION
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  STATIONNAME    VARCHAR2(80 BYTE)              NOT NULL,
  EFFECTIVEDATE  DATE,
  EXPIRYDATE     DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYPE
(
  ID           NUMBER(10)                       NOT NULL,
  NAME         VARCHAR2(80 BYTE)                NOT NULL,
  DESCRIPTION  VARCHAR2(120 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TYPEVALUE
(
  ID           NUMBER(10)                       NOT NULL,
  CODE         VARCHAR2(8 BYTE)                 NOT NULL,
  DESCRIPTION  VARCHAR2(120 BYTE)               NOT NULL,
  TYPEID       NUMBER(10)                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE USERINFO
(
  USERID       INTEGER                          NOT NULL,
  ACTIVATED    INTEGER                          NOT NULL,
  NAME         VARCHAR2(255 BYTE)               NOT NULL,
  PASSWORD     VARCHAR2(255 BYTE)               NOT NULL,
  FNAME        VARCHAR2(255 BYTE)               NOT NULL,
  LNAME        VARCHAR2(255 BYTE)               NOT NULL,
  OBJECTID     INTEGER,
  AUTHID       INTEGER,
  COOKIE       VARCHAR2(255 BYTE),
  CREDITS      INTEGER,
  CRLIMIT      INTEGER,
  GROUPID      INTEGER                          NOT NULL,
  PREFERENCES  INTEGER,
  LASTLOGIN    DATE,
  OGRPID       INTEGER,
  SELFREG      INTEGER,
  REGDATE      DATE                             NOT NULL,
  LOCATION     VARCHAR2(255 BYTE),
  PHONE        VARCHAR2(40 BYTE),
  LOCALE       VARCHAR2(5 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE USERMETADATA
(
  USERMETADATAID  INTEGER                       NOT NULL,
  USERID          INTEGER                       NOT NULL,
  MKID            INTEGER                       NOT NULL,
  MID             INTEGER,
  INTVALUE        INTEGER,
  STRVALUE        VARCHAR2(80 BYTE),
  DATEVALUE       DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE USERROLES
(
  USERID  INTEGER                               NOT NULL,
  ROLEID  INTEGER                               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE XMLSTORAGE
(
  ID        VARCHAR2(47 BYTE)                   NOT NULL,
  OWNER     VARCHAR2(80 BYTE),
  CATAGORY  VARCHAR2(80 BYTE),
  XMLNAME   VARCHAR2(80 BYTE),
  XMLDATA   CLOB
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_DMINFO
(
  INSTALLVERSIONID  VARCHAR2(20 BYTE),
  INSTALLDATE       DATE,
  CURRENTVERSIONID  VARCHAR2(20 BYTE)           NOT NULL,
  UPGRADEDATE       DATE                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_ACTION
(
  PK                 VARCHAR2(128 BYTE)         NOT NULL,
  CLASS              VARCHAR2(128 BYTE)         NOT NULL,
  FLOW_CHART         VARCHAR2(128 BYTE)         NOT NULL,
  NAME               VARCHAR2(128 BYTE)         NOT NULL,
  TXN_TYPE           VARCHAR2(128 BYTE)         NOT NULL,
  STARTING_POINT     NUMBER                     NOT NULL,
  JOIN_POINT         NUMBER                     NOT NULL,
  TRANSACTION_BREAK  NUMBER                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_FLOW
(
  PK           VARCHAR2(128 BYTE)               NOT NULL,
  DEST_ACTION  VARCHAR2(128 BYTE)               NOT NULL,
  SRC_ACTION   VARCHAR2(128 BYTE)               NOT NULL,
  CONDITION    VARCHAR2(128 BYTE),
  MESSAGE_DEF  VARCHAR2(128 BYTE),
  PUBLISHER    VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_FLOW_CHART
(
  PK            VARCHAR2(128 BYTE)              NOT NULL,
  NAME          VARCHAR2(128 BYTE)              NOT NULL,
  SEAL          VARCHAR2(128 BYTE)              NOT NULL,
  START_ACTION  VARCHAR2(128 BYTE)              NOT NULL,
  TYPE          VARCHAR2(128 BYTE),
  ERROR_ACTION  VARCHAR2(128 BYTE),
  PUBLISHER     VARCHAR2(128 BYTE),
  MESSAGE_DEF   VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_FLOW_CONTEXT
(
  PK  VARCHAR2(128 BYTE)                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_META_VAR
(
  PK     VARCHAR2(128 BYTE)                     NOT NULL,
  CLASS  VARCHAR2(128 BYTE)                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_NEST_META_VAR
(
  PK             VARCHAR2(128 BYTE)             NOT NULL,
  META_VARIABLE  VARCHAR2(128 BYTE)             NOT NULL,
  USER_VARIABLE  VARCHAR2(128 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_PK
(
  PK       VARCHAR2(128 BYTE)                   NOT NULL,
  NEXT_PK  VARCHAR2(128 BYTE)                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_READY
(
  PK               VARCHAR2(128 BYTE)           NOT NULL,
  ACTION           VARCHAR2(128 BYTE)           NOT NULL,
  EXPEDITED        NUMBER                       NOT NULL,
  FLOW_CONTEXT     VARCHAR2(128 BYTE)           NOT NULL,
  HEARTBEAT        NUMBER                       NOT NULL,
  INSTANCE         VARCHAR2(128 BYTE),
  INTERRUPTED      NUMBER,
  SEAL             VARCHAR2(128 BYTE)           NOT NULL,
  SUPER_STATE      VARCHAR2(128 BYTE)           NOT NULL,
  STATE            VARCHAR2(128 BYTE)           NOT NULL,
  RESUME_ACTION    VARCHAR2(128 BYTE),
  RESUME_FLOW_CTX  VARCHAR2(128 BYTE),
  FAILED_ERROR     VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR
(
  PK             VARCHAR2(128 BYTE)             NOT NULL,
  ACTION         VARCHAR2(128 BYTE),
  FLOW_CHART     VARCHAR2(128 BYTE),
  FLOW_CONTEXT   VARCHAR2(128 BYTE),
  META_VARIABLE  VARCHAR2(128 BYTE)             NOT NULL,
  NAME           VARCHAR2(128 BYTE)             NOT NULL,
  USER_VARIABLE  VARCHAR2(128 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_JAVA_ACTN
(
  PK        VARCHAR2(128 BYTE)                  NOT NULL,
  LISTENER  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_LIST_ITEM
(
  PK                VARCHAR2(128 BYTE)          NOT NULL,
  ELEMENT_POSITION  NUMBER,
  LIST_ID           VARCHAR2(128 BYTE),
  NESTED_META_VAR   VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_META_COLL
(
  PK                VARCHAR2(128 BYTE)          NOT NULL,
  COMPARATOR_CLASS  VARCHAR2(128 BYTE),
  COLLECTION_CLASS  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_RELTV_EXPR
(
  PK                 VARCHAR2(128 BYTE)         NOT NULL,
  TIME_EXPRESSION    VARCHAR2(128 BYTE),
  TIME_ZONE          VARCHAR2(128 BYTE),
  BUSINESS_INTERVAL  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_TIMERINFO
(
  PK                 VARCHAR2(128 BYTE)         NOT NULL,
  CALLBACKSVCNAME    VARCHAR2(128 BYTE),
  CALLBACKPARAMETER  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_TIMER_RES
(
  PK      VARCHAR2(200 BYTE)                    NOT NULL,
  RESULT  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_TIMER_TRIG
(
  PK                  VARCHAR2(128 BYTE)        NOT NULL,
  SCHED_TRIG_DATE     NUMBER,
  MAKEUP_FIRING       NUMBER,
  RUNNING_COUNT       NUMBER,
  LATE_TIME_WINDOW    VARCHAR2(128 BYTE),
  ACTUAL_TRIG_DATE    NUMBER,
  END_DATE            NUMBER,
  TOTAL_COUNT         NUMBER,
  END_TIME_EXPR       VARCHAR2(128 BYTE),
  AB_TIME_EXPRESSION  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_POST_OFFICE
(
  PK               VARCHAR2(128 BYTE)           NOT NULL,
  MESSAGE          NUMBER                       NOT NULL,
  MESSAGE_TRIGGER  VARCHAR2(128 BYTE),
  PUBLISHER        VARCHAR2(128 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_PUBLISHER
(
  PK                 VARCHAR2(128 BYTE)         NOT NULL,
  NAME               VARCHAR2(128 BYTE)         NOT NULL,
  STYLE              VARCHAR2(128 BYTE)         NOT NULL,
  PAUSED             NUMBER                     NOT NULL,
  MAX_MESSAGES       NUMBER                     NOT NULL,
  EXPIRATION_TIMEXP  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_RT_DATAMAP
(
  PK           VARCHAR2(128 BYTE)               NOT NULL,
  ACTION       VARCHAR2(128 BYTE),
  FLOW         VARCHAR2(128 BYTE),
  SOURCE_NAME  VARCHAR2(128 BYTE)               NOT NULL,
  SOURCE_TYPE  NUMBER                           NOT NULL,
  TARGET_NAME  VARCHAR2(128 BYTE)               NOT NULL,
  TARGET_TYPE  NUMBER                           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_ERROR_RES
(
  PK           VARCHAR2(128 BYTE)               NOT NULL,
  MESSAGE      VARCHAR2(128 BYTE),
  CLAZZ        VARCHAR2(128 BYTE)               NOT NULL,
  STACK_TRACE  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_DELAY_RES
(
  PK      VARCHAR2(128 BYTE)                    NOT NULL,
  RESULT  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_VAR_DELAY_TRIG
(
  PK               VARCHAR2(128 BYTE)           NOT NULL,
  DELAY_TIMEXP     VARCHAR2(128 BYTE),
  TOTAL_COUNT      NUMBER,
  REMAINING_COUNT  NUMBER,
  EXPIRE_TIMEXP    VARCHAR2(128 BYTE),
  EXPIRATION_DATE  NUMBER
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE FLX_MESSAGE_TRIG
(
  PK         VARCHAR2(128 BYTE)                 NOT NULL,
  PUBLISHER  VARCHAR2(128 BYTE)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACCOUNT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  ACCOUNTNUMBER      VARCHAR2(20 BYTE)          NOT NULL,
  BALANCEAMT         NUMBER(12,2)               NOT NULL,
  CREATEDATE         DATE                       NOT NULL,
  TERMINATEDATE      DATE,
  PERIODICRATEPCT    NUMBER(12,8),
  RATEPERIODMSR      NUMBER(10),
  ACCOUNTTYPECODE    VARCHAR2(10 BYTE)          NOT NULL,
  ENCRYPTEDPASSTEXT  VARCHAR2(20 BYTE)          NOT NULL,
  CHALLENGEDATATEXT  VARCHAR2(30 BYTE),
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL,
  ACCTUSRDEF0TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF1TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF2TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF3TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF4TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF5TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF6TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF7TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF8TEXT    VARCHAR2(40 BYTE),
  ACCTUSRDEF9TEXT    VARCHAR2(40 BYTE),
  ACCOUNTSTATUS      VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACCOUNTENTRY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ENTRYSEQ            NUMBER(10)                NOT NULL,
  ENTRYAMT            NUMBER(9,2)               NOT NULL,
  ENTRYCREATEDATE     DATE                      NOT NULL,
  ENTRYPOSTINGDATE    DATE,
  ENTRYDESC           VARCHAR2(255 BYTE),
  USERLOGINNAME       VARCHAR2(255 BYTE)        NOT NULL,
  SUPERVISRLOGINNAME  VARCHAR2(255 BYTE),
  ACCOUNTID           VARCHAR2(47 BYTE)         NOT NULL,
  REVERSEDENTRYID     VARCHAR2(47 BYTE),
  MEMOTEXT            VARCHAR2(255 BYTE),
  AENTRYUSRDEF0TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF1TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF2TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF3TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF4TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF5TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF6TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF7TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF8TEXT   VARCHAR2(40 BYTE),
  AENTRYUSRDEF9TEXT   VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACCOUNTSTATEMENT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  PERIODSTARTDATE    DATE                       NOT NULL,
  PERIODENDDATE      DATE                       NOT NULL,
  BALANCESTARTAMT    NUMBER(12,2)               NOT NULL,
  BALANCEENDAMT      NUMBER(12,2)               NOT NULL,
  ACCOUNTID          VARCHAR2(47 BYTE)          NOT NULL,
  ASTMNTUSRDEF0TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF1TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF2TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF3TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF4TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF5TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF6TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF7TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF8TEXT  VARCHAR2(40 BYTE),
  ASTMNTUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACCOUNTTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  ACCOUNTTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ACCTROLETYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  ACCTROLETYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSDMINFO
(
  INSTALLVERSIONID  VARCHAR2(20 BYTE),
  INSTALLDATE       DATE,
  CURRENTVERSIONID  VARCHAR2(20 BYTE)           NOT NULL,
  UPGRADEDATE       DATE                        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMEVENTTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  COMEVENTTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMMONCURRENCY
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  CURRENCYISONAME  VARCHAR2(40 BYTE)            NOT NULL,
  ISOMNEMONICCODE  VARCHAR2(3 BYTE),
  ISONUMERICCODE   NUMBER(3)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMPRTCPNTTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  COMPRTCPNTTYPEDESC  VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMTYPE
(
  CODE         VARCHAR2(10 BYTE)                NOT NULL,
  COMTYPEDESC  VARCHAR2(255 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTACTINFO
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  CONTMTHDTYPECODE  VARCHAR2(10 BYTE)           NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTACTTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  CODEGROUP        VARCHAR2(20 BYTE)            NOT NULL,
  CONTACTTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CONTMTHDTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  CONTMTHDTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CRDTCARDACCTENTRY
(
  ACCOUNTENTRYID       VARCHAR2(47 BYTE)        NOT NULL,
  CASENUMBER           VARCHAR2(20 BYTE),
  STATEMENTDATE        DATE,
  ORIGINALACCTNUMBER   VARCHAR2(20 BYTE),
  REFERENCENUMBER      VARCHAR2(23 BYTE),
  TRNACCTFUNCTION      VARCHAR2(3 BYTE),
  TRNAUTHORIZATION     VARCHAR2(5 BYTE),
  DISPUTEFLAG          VARCHAR2(5 BYTE),
  FRAUDFLAG            VARCHAR2(5 BYTE),
  TRANSFERFLAG         VARCHAR2(5 BYTE),
  TRANSLATEFLAG        VARCHAR2(5 BYTE),
  REVERSALINDICATOR    CHAR(1 BYTE),
  MRCHTDNGBUSASNAME    VARCHAR2(25 BYTE),
  MRCHTDNGBUSASCITY    VARCHAR2(13 BYTE),
  MRCHTDNGBUSASSTATE   VARCHAR2(3 BYTE),
  MRCHTDNGBUSASCNTRY   VARCHAR2(3 BYTE),
  MERCHANTNUMBER       VARCHAR2(16 BYTE),
  AUTHORIZATIONCODE    NUMBER(6),
  CLASSCODE            VARCHAR2(2 BYTE),
  MERCHANTZIPCODE      VARCHAR2(9 BYTE),
  MRCHTCTGRYCODE       VARCHAR2(4 BYTE),
  MRCHTCTGRYCDEDESC    VARCHAR2(64 BYTE),
  TRANSACTIONCODE      NUMBER(4),
  TRNCATEGORYCODE      VARCHAR2(4 BYTE),
  ACQUIRINGICA         NUMBER(4),
  USRDSTNTNCRNCYCODE   NUMBER(3),
  TERMSBALANCECODE     NUMBER(4),
  DBTCRDTINDICATOR     CHAR(1 BYTE),
  DESTINATIONTRNAMT    NUMBER(14,2),
  TRANSACTIONDATE      DATE,
  CENTRALPRCESNGDATE   DATE,
  CHARGEBACKFLAG       VARCHAR2(5 BYTE),
  ADJUSTMENTFLAG       VARCHAR2(5 BYTE),
  REQUESTFLAG          VARCHAR2(5 BYTE),
  TLPTRNTYPECODE       CHAR(1 BYTE),
  TRNDETAILINDCODE     CHAR(1 BYTE),
  MAILPHONEORDERCODE   CHAR(1 BYTE),
  SPECIALCNDTNCODE1    CHAR(1 BYTE),
  SPECIALCNDTNCODE2    CHAR(1 BYTE),
  CARDACCEPTORID       NUMBER(15),
  REIMBRSMNTATTRCODE   CHAR(1 BYTE),
  ATMACCOUNTSELECT     CHAR(1 BYTE),
  PREPDCARDINDICATOR   CHAR(1 BYTE),
  PS2KTRANSACTIONID    VARCHAR2(15 BYTE),
  CRDACTIVATEDTERMID   CHAR(1 BYTE),
  RQSTDPAYMNTSERVICE   CHAR(1 BYTE),
  ADJSTMNTPROCSNGIND   CHAR(1 BYTE),
  MLTPLCLEARNGSEQNUM   VARCHAR2(2 BYTE),
  MEMBERID             VARCHAR2(47 BYTE),
  PRMTNLSOLCTIONCODE   VARCHAR2(6 BYTE),
  ZERODATEINDICATOR    CHAR(1 BYTE),
  CONVERSIONRATE       NUMBER(14,4),
  SOURCE               NUMBER(1),
  INTRCHNGQALIFCTION   VARCHAR2(2 BYTE),
  INTRCHNGPERITMRATE   NUMBER(6,4),
  INTRCHNGPRCENTRATE   NUMBER(6,4),
  CMBNDWRNGBULTNCODE   CHAR(1 BYTE),
  FLOORLIMITCODE       CHAR(1 BYTE),
  PSTVCRDHLDAUTHSRVC   VARCHAR2(5 BYTE),
  PAYMENTSERVICEID     CHAR(1 BYTE),
  ISOADDRVERFICTNRES   CHAR(1 BYTE),
  CHRGBACKRIGHTSCODE   NUMBER(2),
  MERCHANTTERMINALID   VARCHAR2(8 BYTE),
  POSTRMNLCPBLTYCODE   CHAR(1 BYTE),
  AUTHRZATNSRCCODE     CHAR(1 BYTE),
  POSTERMINALENTRY     VARCHAR2(2 BYTE),
  CARDHOLDERIDMETHOD   CHAR(1 BYTE),
  PS2KAUTHRZATNAMT     NUMBER(13),
  INTLFEEINDICATOR     CHAR(1 BYTE),
  SETTLEMENTDATE       DATE,
  TRNAUTHRZATNDATE     DATE,
  BANKNETREFNUMBER     VARCHAR2(9 BYTE),
  CHARGBACKREFNUMBER   VARCHAR2(10 BYTE),
  AUDITCONTROLNUMBER   VARCHAR2(15 BYTE),
  AUTHCHARCTRSTICIND   CHAR(1 BYTE),
  SOURCETRNAMOUNT      NUMBER(14,2),
  SOURCECURRENCYCODE   NUMBER(3),
  ADJSTMNTACNTNGFUNC   VARCHAR2(3 BYTE),
  ADJSTMNTTRNCODE      NUMBER(4),
  ADJGENLEDGERNUMBER   VARCHAR2(4 BYTE),
  ADJSTMNTTRNMESSAGE   VARCHAR2(41 BYTE),
  FOREIGNTRNINDICATOR  CHAR(1 BYTE),
  FRGNEXCHNGFEESIGN    CHAR(1 BYTE),
  FOREIGNEXCHANGEFEE   NUMBER(10,2),
  EXTRATYPE            NUMBER(2),
  SETTLEMENTCODE       CHAR(1 BYTE),
  DEFERREDBLLNGIND     CHAR(1 BYTE),
  ZDEFAULTTRNCODE      VARCHAR2(4 BYTE),
  ZDEFAULTACCTNGFUNC   VARCHAR2(3 BYTE),
  NONPRINTABLEFLAG     VARCHAR2(5 BYTE),
  TRNCODEQUALIFIER     CHAR(1 BYTE),
  AMOUNTINDISPUTE      NUMBER(14,2)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CUSTHANDLING
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  CUSTHANDLINGDESC  VARCHAR2(128 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CUSTOMER
(
  PARTYROLEID         VARCHAR2(47 BYTE)         NOT NULL,
  CUSTOMERNUMBER      VARCHAR2(20 BYTE)         NOT NULL,
  CHALLENGEDATATEXT   VARCHAR2(30 BYTE),
  ENCRYPTPASSCDETEXT  VARCHAR2(20 BYTE),
  LASTCONTACTDATE     DATE,
  CUSTOMERREVIEWDATE  DATE,
  CUSTSTATUSCODE      VARCHAR2(10 BYTE),
  STATUSREASONTEXT    VARCHAR2(20 BYTE),
  CUSTHANDLINGCODE    VARCHAR2(10 BYTE),
  CUSTVALUECODE       VARCHAR2(10 BYTE),
  LIFETIMEVALUETEXT   VARCHAR2(20 BYTE),
  PREFERCONTMTHDTEXT  VARCHAR2(20 BYTE),
  PREFERCONTTIMETEXT  VARCHAR2(20 BYTE),
  NOCALLFLAG          CHAR(1 BYTE),
  NOEMAILFLAG         CHAR(1 BYTE),
  NOMAILFLAG          CHAR(1 BYTE),
  NOFAXFLAG           CHAR(1 BYTE),
  SECURITYQUESTNTEXT  VARCHAR2(80 BYTE),
  SECURITYANSWERTEXT  VARCHAR2(80 BYTE),
  ACCOUNTMANAGERNAME  VARCHAR2(80 BYTE),
  ACCTMANAGERIDTEXT   VARCHAR2(47 BYTE),
  LOCTIMEZONETEXT     VARCHAR2(10 BYTE),
  CUSTUSRDEF0TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF1TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF2TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF3TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF4TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF5TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF6TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF7TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF8TEXT     VARCHAR2(40 BYTE),
  CUSTUSRDEF9TEXT     VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CUSTOMERRELATNSHIP
(
  PARTYRELATNSHIPID  VARCHAR2(47 BYTE)          NOT NULL,
  CUSTRSUSRDEF0TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF1TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF2TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF3TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF4TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF5TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF6TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF7TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF8TEXT  VARCHAR2(40 BYTE),
  CUSTRSUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CUSTSTATUS
(
  CODE            VARCHAR2(10 BYTE)             NOT NULL,
  CUSTSTATUSDESC  VARCHAR2(128 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CUSTVALUE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  CUSTVALUEDESC  VARCHAR2(128 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DATEDIDENT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  ISSUEDNUMBER       VARCHAR2(20 BYTE)          NOT NULL,
  ISSUEDATE          DATE,
  EXPIRYDATE         DATE,
  ISSUERNAME         VARCHAR2(80 BYTE)          NOT NULL,
  IDENTTYPECODE      VARCHAR2(10 BYTE)          NOT NULL,
  ENCRYPTEDPASSTEXT  VARCHAR2(20 BYTE),
  PARTYID            VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DATEDIDENTTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  CODEGROUP           VARCHAR2(20 BYTE)         NOT NULL,
  DATEDIDENTTYPEDESC  VARCHAR2(128 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DELEGATEACCESSTYPE
(
  CODE         VARCHAR2(40 BYTE)                NOT NULL,
  DESCRIPTION  VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DELEGATERELATNSHIP
(
  PARTYRELATIONSHIPID  VARCHAR2(47 BYTE)        NOT NULL,
  ROLETYPE             VARCHAR2(40 BYTE),
  ACCESSTYPECODE       VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DELEGATETABLE
(
  PARTYROLEID        VARCHAR2(47 BYTE)          NOT NULL,
  DELRSUSERDEFINED0  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED1  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED2  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED3  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED4  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED5  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED6  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED7  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED8  VARCHAR2(40 BYTE),
  DELRSUSERDEFINED9  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EADDRESS
(
  CONTACTINFOID     VARCHAR2(47 BYTE)           NOT NULL,
  EADDRESSTEXT      VARCHAR2(255 BYTE)          NOT NULL,
  EADDRESSTYPECODE  VARCHAR2(10 BYTE)           NOT NULL,
  EADDRUSRDEF0TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF1TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF2TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF3TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF4TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF5TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF6TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF7TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF8TEXT  VARCHAR2(40 BYTE),
  EADDRUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EADDRESSTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  EADDRESSTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EBCINTERACTION
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  INTERACTIONSEQ      NUMBER(10)                NOT NULL,
  INTRCTNTYPECODE     VARCHAR2(10 BYTE)         NOT NULL,
  EICASEID            VARCHAR2(47 BYTE)         NOT NULL,
  INTERACTIONDESC     VARCHAR2(128 BYTE),
  INTRCTNSTATECODE    VARCHAR2(10 BYTE)         NOT NULL,
  STATEDATE           DATE                      NOT NULL,
  CREATEDATE          DATE                      NOT NULL,
  USERLOGINNAME       VARCHAR2(255 BYTE)        NOT NULL,
  SUPERVISRLOGINNAME  VARCHAR2(255 BYTE),
  LANGUAGEISOCODE     VARCHAR2(3 BYTE),
  PARTYROLEID         VARCHAR2(47 BYTE),
  OFFERINGNAME        VARCHAR2(80 BYTE),
  EXTERNALREFTEXT     VARCHAR2(255 BYTE),
  EXTERNALSYSTEMTEXT  VARCHAR2(48 BYTE),
  ACCOUNTID           VARCHAR2(47 BYTE),
  EIUSRDEF0TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF1TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF2TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF3TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF4TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF5TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF6TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF7TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF8TEXT       VARCHAR2(40 BYTE),
  EIUSRDEF9TEXT       VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EBCINTERACTIONCOM
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  EBCINTERACTIONID   VARCHAR2(47 BYTE)          NOT NULL,
  EICOMMUNICATIONID  VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICASE
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  CASENUMBER          VARCHAR2(20 BYTE)         NOT NULL,
  CASEDESC            VARCHAR2(120 BYTE),
  MERGEDTOCASEID      VARCHAR2(47 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL,
  EXTERNALREFTEXT     VARCHAR2(255 BYTE),
  EXTERNALSYSTEMTEXT  VARCHAR2(48 BYTE),
  EICASEUSRDEF0TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF1TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF2TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF3TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF4TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF5TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF6TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF7TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF8TEXT   VARCHAR2(40 BYTE),
  EICASEUSRDEF9TEXT   VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMDATA
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PAGEPARTNUM         NUMBER(2)                 NOT NULL,
  DATAFORMATTYPETEXT  VARCHAR2(10 BYTE)         NOT NULL,
  PARTNAME            VARCHAR2(80 BYTE),
  DATAURLTEXT         VARCHAR2(255 BYTE),
  EICOMMUNICATIONID   VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMEVENT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  COMEVENTTYPECODE    VARCHAR2(10 BYTE)         NOT NULL,
  COMEVENTSTARTDATE   DATE                      NOT NULL,
  EICOMMUNICATIONID   VARCHAR2(47 BYTE)         NOT NULL,
  EIEVENTUSRDEF0TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF1TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF2TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF3TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF4TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF5TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF6TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF7TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF8TEXT  VARCHAR2(40 BYTE),
  EIEVENTUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMMENT
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  COMMENTDATE       DATE                        NOT NULL,
  COMMENTTEXT       VARCHAR2(255 BYTE)          NOT NULL,
  USERLOGINNAME     VARCHAR2(255 BYTE)          NOT NULL,
  EBCINTERACTIONID  VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMMUNICATION
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  COMIOFLAG         CHAR(1 BYTE),
  COMTYPECODE       VARCHAR2(10 BYTE)           NOT NULL,
  COMADDRESSTEXT    VARCHAR2(255 BYTE),
  COLLECTCALLFLAG   CHAR(1 BYTE),
  COMSTARTDATE      DATE                        NOT NULL,
  EICOMUSRDEF0TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF1TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF2TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF3TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF4TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF5TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF6TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF7TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF8TEXT  VARCHAR2(40 BYTE),
  EICOMUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMPARTICIPANT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PRTCPNTADDRTEXT     VARCHAR2(255 BYTE),
  CTIIICODETEXT       VARCHAR2(8 BYTE),
  PRTCPNTREFTEXT      VARCHAR2(40 BYTE),
  COMPRTCPNTTYPECODE  VARCHAR2(10 BYTE)         NOT NULL,
  INITIATORFLAG       CHAR(1 BYTE)              NOT NULL,
  EICOMEVENTID        VARCHAR2(47 BYTE)         NOT NULL,
  LANGUAGEISOCODE     VARCHAR2(3 BYTE),
  EIPRTCPUSRDEF0TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF1TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF2TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF3TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF4TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF5TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF6TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF7TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF8TEXT  VARCHAR2(40 BYTE),
  EIPRTCPUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GENDER
(
  CODE        VARCHAR2(10 BYTE)                 NOT NULL,
  GENDERDESC  VARCHAR2(128 BYTE)                NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBNDRYCURRENCY
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  GEOBOUNDARYID     VARCHAR2(47 BYTE)           NOT NULL,
  COMMONCURRENCYID  VARCHAR2(47 BYTE)           NOT NULL,
  DFLTCURRENCYFLAG  CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBNDRYTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  GEOBNDRYTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBOUNDARY
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  GEOBOUNDARYNAME   VARCHAR2(80 BYTE)           NOT NULL,
  GEOBNDRYTYPECODE  VARCHAR2(10 BYTE)           NOT NULL,
  GEOBNDRYCODETEXT  VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBOUNDARYASSOC
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  GEOBOUNDARYID       VARCHAR2(47 BYTE)         NOT NULL,
  ASSOCGEOBOUNDARYID  VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GUIDE
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  GUIDEKEYNAME     VARCHAR2(80 BYTE)            NOT NULL,
  LANGUAGEISOCODE  VARCHAR2(3 BYTE)             NOT NULL,
  GUIDETYPECODE    VARCHAR2(10 BYTE)            NOT NULL,
  GUIDEDESC        VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GUIDETYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  GUIDETYPEDESC  VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE HONORIFICTITLE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  HONORIFICTITLEDESC  VARCHAR2(128 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INSTRUCTIONSTEP
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  GUIDEID        VARCHAR2(47 BYTE)              NOT NULL,
  INSTRSTEPSEQ   NUMBER(4)                      NOT NULL,
  INSTRSTEPTEXT  VARCHAR2(255 BYTE)             NOT NULL,
  ACTIVEFLAG     CHAR(1 BYTE),
  OPTIONALFLAG   CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INTRCTNSTATE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  INTRCTNSTATEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INTRCTNTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  INTRCTNTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LINEITEMSTATUS
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  LINEITEMSTATUSDESC  VARCHAR2(128 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MARITALSTATUS
(
  CODE               VARCHAR2(10 BYTE)          NOT NULL,
  MARITALSTATUSDESC  VARCHAR2(128 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEDIATYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  MEDIATYPEDESC  VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MONETARYUOM
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  MONETARYUOMDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE NAMESUFFIX
(
  CODE            VARCHAR2(10 BYTE)             NOT NULL,
  NAMESUFFIXDESC  VARCHAR2(128 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE NOTETYPE
(
  CODE          VARCHAR2(10 BYTE)               NOT NULL,
  NOTETYPEDESC  VARCHAR2(255 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERING
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  OFFERINGNAME       VARCHAR2(80 BYTE)          NOT NULL,
  PRODUCTCATEGORYID  VARCHAR2(47 BYTE),
  ACTIONKEYNAME      VARCHAR2(80 BYTE),
  ACTIONTYPECODE     VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGCATEGORY
(
  ID            VARCHAR2(47 BYTE)               NOT NULL,
  CATEGORYNAME  VARCHAR2(80 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGHIERARCHY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  HIERARCHYSEQ        NUMBER(4)                 NOT NULL,
  ACTIVEFLAG          CHAR(1 BYTE),
  OFFERINGVIEWID      VARCHAR2(47 BYTE)         NOT NULL,
  OFFERINGCATEGORYID  VARCHAR2(47 BYTE),
  OFFERINGID          VARCHAR2(47 BYTE),
  PARENTHIERARCHYID   VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGVIEW
(
  ID        VARCHAR2(47 BYTE)                   NOT NULL,
  VIEWNAME  VARCHAR2(20 BYTE)                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERBILLING
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ACCOUNTNUMBER       VARCHAR2(20 BYTE),
  PONUMBER            VARCHAR2(20 BYTE),
  AUTHORIZATIONTEXT   VARCHAR2(28 BYTE),
  CREDITCARDNUMBER    VARCHAR2(20 BYTE),
  CRCARDEXPIRYDATE    DATE,
  ORDERHEADERID       VARCHAR2(47 BYTE)         NOT NULL,
  CRCARDISSUERNAME    VARCHAR2(80 BYTE),
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  ORDBLNGUSRDEF0TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF1TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF2TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF3TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF4TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF5TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF6TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF7TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF8TEXT  VARCHAR2(40 BYTE),
  ORDBLNGUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERCONTACTINFO
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  ORDERHEADERID    VARCHAR2(47 BYTE)            NOT NULL,
  CONTACTTYPECODE  VARCHAR2(10 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERDELIVERY
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  SHIPDATE           DATE                       NOT NULL,
  SHIPPERNAME        VARCHAR2(20 BYTE),
  TRACKINGNUMBER     VARCHAR2(255 BYTE),
  ORDERHEADERID      VARCHAR2(47 BYTE)          NOT NULL,
  PARTYID            VARCHAR2(47 BYTE)          NOT NULL,
  ODLVRYUSRDEF0TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF1TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF2TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF3TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF4TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF5TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF6TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF7TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF8TEXT  VARCHAR2(40 BYTE),
  ODLVRYUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERDELIVERYSIG
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  ORDERHEADERID     VARCHAR2(47 BYTE)           NOT NULL,
  ENCODINGTYPECODE  VARCHAR2(10 BYTE)           NOT NULL,
  RECEIVERSIGNTEXT  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDEREADDRESS
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ORDERCONTACTINFOID  VARCHAR2(47 BYTE)         NOT NULL,
  EADDRESSTEXT        VARCHAR2(255 BYTE)        NOT NULL,
  EADDRESSTYPECODE    VARCHAR2(10 BYTE)         NOT NULL,
  OEADDRUSRDEF0TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF1TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF2TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF3TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF4TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF5TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF6TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF7TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF8TEXT   VARCHAR2(40 BYTE),
  OEADDRUSRDEF9TEXT   VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERHEADER
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ORDERNUMBER         VARCHAR2(20 BYTE)         NOT NULL,
  CREATEDATE          DATE                      NOT NULL,
  FORECASTDATE        DATE,
  PICKUPDATE          DATE,
  REQUESTARRIVALDATE  DATE,
  ORDERTYPECODE       VARCHAR2(10 BYTE)         NOT NULL,
  ORDERSTATUSCODE     VARCHAR2(10 BYTE)         NOT NULL,
  UPDATEDATE          DATE                      NOT NULL,
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL,
  TOTALCOSTAMT        NUMBER(12,2),
  ORDHDRUSRDEF0TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF1TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF2TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF3TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF4TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF5TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF6TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF7TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF8TEXT   VARCHAR2(40 BYTE),
  ORDHDRUSRDEF9TEXT   VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERLINEITEM
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  LINEITEMSEQ         NUMBER(10)                NOT NULL,
  LINEITEMDESC        VARCHAR2(255 BYTE),
  ITEMREQUESTQTY      NUMBER(10)                NOT NULL,
  PRODCATALOGCOSTAMT  NUMBER(9,2),
  DISCOUNTDESC        VARCHAR2(120 BYTE),
  DISCOUNTPCT         NUMBER(5,2),
  DISCOUNTREASONCODE  VARCHAR2(10 BYTE),
  UNITCOSTAMT         NUMBER(9,2)               NOT NULL,
  ITEMALLOCATEDQTY    NUMBER(10),
  ORDERHEADERID       VARCHAR2(47 BYTE)         NOT NULL,
  LINEITEMSTATUSCODE  VARCHAR2(10 BYTE)         NOT NULL,
  PRODUCTID           VARCHAR2(47 BYTE)         NOT NULL,
  ORDITEMUSRDEF0TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF1TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF2TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF3TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF4TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF5TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF6TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF7TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF8TEXT  VARCHAR2(40 BYTE),
  ORDITEMUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERLINEITEMDTL
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  DTLATTRIBUTENAME  VARCHAR2(80 BYTE)           NOT NULL,
  DTLATTRTYPECODE   VARCHAR2(10 BYTE)           NOT NULL,
  DTLATTRVALUETEXT  VARCHAR2(255 BYTE)          NOT NULL,
  ORDERLINEITEMID   VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERLINEITEMRMA
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  ORDERLINEITEMID  VARCHAR2(47 BYTE)            NOT NULL,
  ORDERRMAID       VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERPOSTALADDRESS
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ORDERCONTACTINFOID  VARCHAR2(47 BYTE)         NOT NULL,
  UNITNUM             VARCHAR2(10 BYTE),
  ADDRESS1TEXT        VARCHAR2(80 BYTE),
  ADDRESS2TEXT        VARCHAR2(80 BYTE),
  POBOXNUM            VARCHAR2(20 BYTE),
  CITYNAME            VARCHAR2(80 BYTE)         NOT NULL,
  LOCALITYNAME        VARCHAR2(40 BYTE),
  STATEPROVINCENAME   VARCHAR2(40 BYTE),
  COUNTRYISOCODE      VARCHAR2(3 BYTE)          NOT NULL,
  POSTALCODETEXT      VARCHAR2(20 BYTE),
  OADDRUSRDEF0TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF1TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF2TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF3TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF4TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF5TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF6TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF7TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF8TEXT    VARCHAR2(40 BYTE),
  OADDRUSRDEF9TEXT    VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERRMA
(
  ID           VARCHAR2(47 BYTE)                NOT NULL,
  RMANUMBER    VARCHAR2(20 BYTE)                NOT NULL,
  RMADESC      VARCHAR2(120 BYTE),
  RMATYPECODE  VARCHAR2(10 BYTE)                NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERSTATUS
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  ORDERSTATUSDESC  VARCHAR2(128 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERTELECOMNUM
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  ORDERCONTACTINFOID  VARCHAR2(47 BYTE)         NOT NULL,
  TELECOMNUMBER       VARCHAR2(8 BYTE)          NOT NULL,
  EXTENSIONNUMBER     VARCHAR2(8 BYTE),
  AREADIALNUMCODE     VARCHAR2(10 BYTE),
  COUNTRYDIALNUMCODE  VARCHAR2(10 BYTE),
  TELECOMNUMTYPECODE  VARCHAR2(10 BYTE)         NOT NULL,
  OTELEUSRDEF0TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF1TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF2TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF3TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF4TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF5TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF6TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF7TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF8TEXT    VARCHAR2(40 BYTE),
  OTELEUSRDEF9TEXT    VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORDERTYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  ORDERTYPEDESC  VARCHAR2(128 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORGANIZATION
(
  PARTYID           VARCHAR2(47 BYTE)           NOT NULL,
  ORGFULLNAME       VARCHAR2(80 BYTE),
  ORGABBRVNAME      VARCHAR2(20 BYTE),
  MERCHANTIDNUMBER  VARCHAR2(20 BYTE),
  REGISTEREDNUMBER  VARCHAR2(20 BYTE),
  ORGESTABLISHDATE  DATE,
  ORGMEMBERQTY      NUMBER(10),
  ORGUSRDEF0TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF1TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF2TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF3TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF4TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF5TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF6TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF7TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF8TEXT    VARCHAR2(40 BYTE),
  ORGUSRDEF9TEXT    VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORGUNIT
(
  PARTYROLEID         VARCHAR2(47 BYTE)         NOT NULL,
  ORGUNITTYPECODE     VARCHAR2(10 BYTE)         NOT NULL,
  ORGUNITNUMBER       VARCHAR2(20 BYTE),
  INTERNALORGFLAG     CHAR(1 BYTE),
  ORGUNITUSRDEF0TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF1TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF2TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF3TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF4TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF5TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF6TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF7TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF8TEXT  VARCHAR2(40 BYTE),
  ORGUNITUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORGUNITTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  ORGUNITTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PART
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  PARTNUMBER       VARCHAR2(20 BYTE)            NOT NULL,
  PARTUSRDEF0TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF1TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF2TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF3TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF4TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF5TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF6TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF7TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF8TEXT  VARCHAR2(40 BYTE),
  PARTUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  OBJECTTYPECODE      VARCHAR2(10 BYTE)         NOT NULL,
  GOVERNMENTIDNUMBER  VARCHAR2(20 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL,
  EFFECTIVESTARTDATE  DATE,
  EFFECTIVEENDDATE    DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYACCOUNTROLE
(
  PARTYID           VARCHAR2(47 BYTE)           NOT NULL,
  ACCOUNTID         VARCHAR2(47 BYTE)           NOT NULL,
  ACCTROLETYPECODE  VARCHAR2(10 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYCONTACTINFO
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  CONTACTINFOID       VARCHAR2(47 BYTE)         NOT NULL,
  CONTACTTYPECODE     VARCHAR2(10 BYTE)         NOT NULL,
  EFFECTIVESTARTDATE  DATE                      NOT NULL,
  EFFECTIVEENDDATE    DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYRELATNSHIP
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  OBJECTTYPECODE      VARCHAR2(10 BYTE)         NOT NULL,
  EFFECTIVESTARTDATE  DATE                      NOT NULL,
  EFFECTIVEENDDATE    DATE,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYRELATNSHIPROL
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PARTYRELATNSHIPID   VARCHAR2(47 BYTE)         NOT NULL,
  PRIMEPARTYROLEID    VARCHAR2(47 BYTE)         NOT NULL,
  RELATEDPARTYROLEID  VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYROLE
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  OBJECTTYPECODE      VARCHAR2(10 BYTE)         NOT NULL,
  EFFECTIVESTARTDATE  DATE,
  EFFECTIVEENDDATE    DATE,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYROLENOTE
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PARTYROLEID         VARCHAR2(47 BYTE)         NOT NULL,
  NOTETYPECODE        VARCHAR2(10 BYTE)         NOT NULL,
  SUBJECTTEXT         VARCHAR2(255 BYTE)        NOT NULL,
  NOTETEXT            VARCHAR2(1024 BYTE)       NOT NULL,
  EFFECTIVESTARTDATE  DATE                      NOT NULL,
  EFFECTIVEENDDATE    DATE,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYROLETYPE
(
  CODE               VARCHAR2(10 BYTE)          NOT NULL,
  PARTYROLETYPEDESC  VARCHAR2(255 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYTYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  PARTYTYPEDESC  VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PAYMENTMETHOD
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PAYMENTMETHODNAME   VARCHAR2(80 BYTE)         NOT NULL,
  MONETARYUOMCODE     VARCHAR2(10 BYTE),
  MONETARYLIMITAMT    NUMBER(9,2),
  PAYMENTTEXTUALDESC  VARCHAR2(255 BYTE),
  PAYMENTTYPECODE     VARCHAR2(10 BYTE)         NOT NULL,
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PAYMENTTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  PAYMENTTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PERSON
(
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  FIRSTNAME           VARCHAR2(40 BYTE),
  MIDDLENAME          VARCHAR2(40 BYTE),
  FAMILYNAME          VARCHAR2(40 BYTE),
  HONORIFICTITLECODE  VARCHAR2(10 BYTE),
  BIRTHDATE           DATE,
  BIRTHPLACENAME      VARCHAR2(40 BYTE),
  GENDERCODE          VARCHAR2(10 BYTE),
  MARITALSTATUSCODE   VARCHAR2(10 BYTE),
  EMPLOYERNAME        VARCHAR2(40 BYTE),
  OCCUPATIONNAME      VARCHAR2(40 BYTE),
  DEATHDATE           DATE,
  NAMESUFFIXCODE      VARCHAR2(10 BYTE),
  PREFERREDNAME       VARCHAR2(20 BYTE),
  MAIDENNAME          VARCHAR2(40 BYTE),
  PREFERLANGISOCODE   VARCHAR2(3 BYTE),
  HOBBIESTEXT         VARCHAR2(80 BYTE),
  CITIZENSHIPISOCODE  VARCHAR2(10 BYTE),
  RACEDESC            VARCHAR2(20 BYTE),
  NETWORTHAMT         NUMBER(15,5),
  NETWRTHCURRISOCODE  CHAR(3 BYTE),
  INCOMEANNUALAMT     NUMBER(15,5),
  INCOMECURRISOCODE   CHAR(3 BYTE),
  PERSONUSRDEF0TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF1TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF2TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF3TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF4TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF5TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF6TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF7TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF8TEXT   VARCHAR2(40 BYTE),
  PERSONUSRDEF9TEXT   VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PICKLIST
(
  CODE       VARCHAR2(10 BYTE)                  NOT NULL,
  CODEGROUP  VARCHAR2(20 BYTE)                  NOT NULL,
  CODEDESC   VARCHAR2(255 BYTE)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE POSTALADDRESS
(
  CONTACTINFOID      VARCHAR2(47 BYTE)          NOT NULL,
  UNITNUM            VARCHAR2(10 BYTE),
  ADDRESS1TEXT       VARCHAR2(80 BYTE),
  ADDRESS2TEXT       VARCHAR2(80 BYTE),
  POBOXNUM           VARCHAR2(20 BYTE),
  CITYNAME           VARCHAR2(80 BYTE)          NOT NULL,
  LOCALITYNAME       VARCHAR2(40 BYTE),
  STATEPROVINCENAME  VARCHAR2(40 BYTE),
  COUNTRYISOCODE     VARCHAR2(3 BYTE)           NOT NULL,
  POSTALCODETEXT     VARCHAR2(20 BYTE),
  ADDRUSRDEF0TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF1TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF2TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF3TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF4TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF5TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF6TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF7TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF8TEXT    VARCHAR2(40 BYTE),
  ADDRUSRDEF9TEXT    VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODCATALOGITEM
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PRODUCTID         VARCHAR2(47 BYTE)           NOT NULL,
  PRODUCTCATALOGID  VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODCATEGORYITEM
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  PRODUCTID          VARCHAR2(47 BYTE)          NOT NULL,
  PRODUCTCATEGORYID  VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODDETAILTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  PRODDETAILTYPEDESC  VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODDETAILVALUE
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PRODDTLVALUETEXT  VARCHAR2(80 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODDTLHIERARCHY
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  PRODUCTID          VARCHAR2(47 BYTE)          NOT NULL,
  PRODUCTDETAILID    VARCHAR2(47 BYTE),
  PRODDETAILVALUEID  VARCHAR2(47 BYTE),
  PARENTHIERARCHYID  VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODMMEDIADESC
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  DESCRIPTIONNAME     VARCHAR2(30 BYTE)         NOT NULL,
  DESCRIPTIONTEXT     VARCHAR2(255 BYTE)        NOT NULL,
  MEDIATYPECODE       VARCHAR2(10 BYTE)         NOT NULL,
  MEDIAURLTEXT        VARCHAR2(255 BYTE),
  PRODUCTID           VARCHAR2(47 BYTE)         NOT NULL,
  PMMEDIAUSRDEF0TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF1TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF2TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF3TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF4TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF5TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF6TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF7TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF8TEXT  VARCHAR2(40 BYTE),
  PMMEDIAUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PRODUCTNAME         VARCHAR2(80 BYTE)         NOT NULL,
  PRODUCTNUMBER       VARCHAR2(20 BYTE)         NOT NULL,
  PRODUCTTYPECODE     VARCHAR2(10 BYTE)         NOT NULL,
  UPCNUMBER           VARCHAR2(20 BYTE),
  OEMVALUEAMT         NUMBER(9,2)               NOT NULL,
  RETAILVALUEAMT      NUMBER(9,2)               NOT NULL,
  EXPIRYDATE          DATE,
  EFFECTIVEDATE       DATE,
  PARTYID             VARCHAR2(47 BYTE)         NOT NULL,
  PRODUCTUSRDEF0TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF1TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF2TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF3TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF4TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF5TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF6TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF7TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF8TEXT  VARCHAR2(40 BYTE),
  PRODUCTUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTCATALOG
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  CATALOGNUMBER      VARCHAR2(20 BYTE)          NOT NULL,
  CATALOGNAME        VARCHAR2(255 BYTE),
  EFFECTIVEDATE      DATE,
  EXPIRYDATE         DATE,
  PARTYID            VARCHAR2(47 BYTE)          NOT NULL,
  PCATLGUSRDEF0TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF1TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF2TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF3TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF4TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF5TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF6TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF7TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF8TEXT  VARCHAR2(40 BYTE),
  PCATLGUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTCATEGORY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PRODCATEGORYNAME    VARCHAR2(80 BYTE)         NOT NULL,
  PRODCATEGORYDESC    VARCHAR2(255 BYTE),
  PURPOSETEXT         VARCHAR2(255 BYTE),
  PCATGRYUSRDEF0TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF1TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF2TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF3TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF4TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF5TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF6TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF7TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF8TEXT  VARCHAR2(40 BYTE),
  PCATGRYUSRDEF9TEXT  VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTCROSSSELL
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PRODUCTID           VARCHAR2(47 BYTE)         NOT NULL,
  CROSSSELLPRODUCTID  VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTDETAIL
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PRODDETAILNAME      VARCHAR2(80 BYTE)         NOT NULL,
  PRODDETAILDESC      VARCHAR2(255 BYTE),
  PRODDETAILTYPECODE  VARCHAR2(10 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTPACKAGE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  PRODUCTID      VARCHAR2(47 BYTE)              NOT NULL,
  SUBPRODUCTID   VARCHAR2(47 BYTE)              NOT NULL,
  SUBPRODUCTQTY  NUMBER(5)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTPART
(
  ID         VARCHAR2(47 BYTE)                  NOT NULL,
  PRODUCTID  VARCHAR2(47 BYTE)                  NOT NULL,
  PARTID     VARCHAR2(47 BYTE)                  NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTPREFERENCE
(
  ID              VARCHAR2(47 BYTE)             NOT NULL,
  PARTYID         VARCHAR2(47 BYTE)             NOT NULL,
  PRODUCTID       VARCHAR2(47 BYTE)             NOT NULL,
  PREFERENCEDESC  VARCHAR2(30 BYTE)             NOT NULL,
  PRIORITYSEQ     NUMBER(2)                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTSUBSTITUTE
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PRODUCTID         VARCHAR2(47 BYTE)           NOT NULL,
  SUBSTITUTEPRODID  VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  PRODUCTTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PROMPT
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  GUIDEID        VARCHAR2(47 BYTE)              NOT NULL,
  PROMPTKEYNAME  VARCHAR2(80 BYTE)              NOT NULL,
  PROMPTTEXT     VARCHAR2(255 BYTE)             NOT NULL,
  ACTIVEFLAG     CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRTYRELATNTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  PRTYRELATNTYPEDESC  VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRTYRELATNTYPEROLE
(
  PRTYRELATNTYPECODE  VARCHAR2(10 BYTE)         NOT NULL,
  PARTYROLETYPECODE   VARCHAR2(10 BYTE)         NOT NULL,
  PRIMARYROLEFLAG     CHAR(1 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE RMATYPE
(
  CODE         VARCHAR2(10 BYTE)                NOT NULL,
  RMATYPEDESC  VARCHAR2(128 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE SCRIPT
(
  GUIDEID     VARCHAR2(47 BYTE)                 NOT NULL,
  SCRIPTTEXT  VARCHAR2(255 BYTE)                NOT NULL,
  ACTIVEFLAG  CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TELECOMNUMBER
(
  CONTACTINFOID       VARCHAR2(47 BYTE)         NOT NULL,
  TELECOMNUMBER       VARCHAR2(8 BYTE)          NOT NULL,
  EXTENSIONNUMBER     VARCHAR2(8 BYTE),
  AREADIALNUMCODE     VARCHAR2(10 BYTE),
  COUNTRYDIALNUMCODE  VARCHAR2(10 BYTE),
  TELECOMNUMTYPECODE  VARCHAR2(10 BYTE)         NOT NULL,
  TELEUSRDEF0TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF1TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF2TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF3TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF4TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF5TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF6TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF7TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF8TEXT     VARCHAR2(40 BYTE),
  TELEUSRDEF9TEXT     VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TELECOMNUMTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  TELECOMNUMTYPEDESC  VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TELEPHONEINFO
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  COMMNUMBER          VARCHAR2(25 BYTE)         NOT NULL,
  COMMTYPE            VARCHAR2(8 BYTE),
  INTLCTRYDIALCD      VARCHAR2(8 BYTE),
  TELNUMBERTYP        VARCHAR2(8 BYTE)          NOT NULL,
  COMMCARRIERNAME     VARCHAR2(80 BYTE),
  INTERNALRTGPHONE    VARCHAR2(25 BYTE),
  DNISPHONE           VARCHAR2(25 BYTE)         NOT NULL,
  DISASTERBKUPPHONE   VARCHAR2(25 BYTE),
  BKUPINTLCTRYDIALCD  VARCHAR2(8 BYTE),
  BACKUPCOMMTYPE      VARCHAR2(8 BYTE),
  STATUSDESCRIPTION   VARCHAR2(120 BYTE),
  GREETING            VARCHAR2(120 BYTE),
  TOLLFREEIND         CHAR(1 BYTE),
  ACPTCLCTCALLIND     CHAR(1 BYTE),
  COMMPRIMARYLANGID   VARCHAR2(47 BYTE),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE,
  BUSINESSENTITYID    VARCHAR2(47 BYTE),
  DESCRIPTION         VARCHAR2(120 BYTE),
  VRUSCRIPTNAME       VARCHAR2(255 BYTE),
  OFFERINGID          VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX I_TELECOMNUMTYPE ON TELECOMNUMBER
(TELECOMNUMTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PROMPT1 ON PROMPT
(PROMPTKEYNAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODSUBSTITUTE1 ON PRODUCTSUBSTITUTE
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODPREFPRTY ON PRODUCTPREFERENCE
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODPREFPROD ON PRODUCTPREFERENCE
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODPACKAGE1 ON PRODUCTPACKAGE
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODCROSSSELL1 ON PRODUCTCROSSSELL
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODUCTCATEGORY1 ON PRODUCTCATEGORY
(PRODCATEGORYNAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODCATALOGPRTY ON PRODUCTCATALOG
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODDTLHRCHYDTL ON PRODDTLHIERARCHY
(PRODUCTDETAILID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODDTLHRCHY1 ON PRODDTLHIERARCHY
(PRODUCTID, PARENTHIERARCHYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODCATGRYITEM2 ON PRODCATEGORYITEM
(PRODUCTCATEGORYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ITEMCATLGPROD ON PRODCATALOGITEM
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PERSON1 ON PERSON
(FAMILYNAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRTYROLNOTEROLE ON PARTYROLENOTE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PARTYROLEPARTY ON PARTYROLE
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PARTYROLE1 ON PARTYROLE
(OBJECTTYPECODE, PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRTYRELATNRROL2 ON PARTYRELATNSHIPROL
(RELATEDPARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRTYRELATNRREL ON PARTYRELATNSHIPROL
(PARTYRELATNSHIPID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PARTYRELATNTYPE ON PARTYRELATNSHIP
(OBJECTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRTYCONTACTINFO1 ON PARTYCONTACTINFO
(PARTYID, CONTACTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PARTYACCTROLE1 ON PARTYACCOUNTROLE
(ACCOUNTID, ACCTROLETYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFFERINGVIEW1 ON OFFERINGVIEW
(VIEWNAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFRNGHRCHVIEW ON OFFERINGHIERARCHY
(OFFERINGVIEWID)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFFERING1 ON OFFERING
(OFFERINGNAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_INSTRSTEPGUIDE ON INSTRUCTIONSTEP
(GUIDEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_COMPRTCPNTTYPE ON EICOMPARTICIPANT
(COMPRTCPNTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_COMPRTCPNTEVNT ON EICOMPARTICIPANT
(EICOMEVENTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMCOMTYPE ON EICOMMUNICATION
(COMTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMMENTEBCI ON EICOMMENT
(EBCINTERACTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX I_COMEVNTEVNTTYPE ON EICOMEVENT
(COMEVENTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMEVENTEICOM ON EICOMEVENT
(EICOMMUNICATIONID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMDATAEICOM ON EICOMDATA
(EICOMMUNICATIONID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNCOM1 ON EBCINTERACTIONCOM
(EBCINTERACTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNCOM2 ON EBCINTERACTIONCOM
(EICOMMUNICATIONID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNROLE ON EBCINTERACTION
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNSTATE ON EBCINTERACTION
(INTRCTNSTATECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNTYPE ON EBCINTERACTION
(INTRCTNTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNACCT ON EBCINTERACTION
(ACCOUNTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNCASE ON EBCINTERACTION
(EICASEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EADDRESSTYPE ON EADDRESS
(EADDRESSTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_DATEDIDENTTYPE1 ON DATEDIDENTTYPE
(CODEGROUP)
LOGGING
NOPARALLEL;


CREATE INDEX I_DATEDIDENT1 ON DATEDIDENT
(PARTYID, IDENTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACTTYPE1 ON CONTACTTYPE
(CODEGROUP)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACTINFOTYPE ON CONTACTINFO
(CONTMTHDTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_ACCTENTRYACCT ON ACCOUNTENTRY
(ACCOUNTID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ACCOUNTENTRY1 ON ACCOUNTENTRY
(ENTRYPOSTINGDATE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTELEPHONEINFO ON TELEPHONEINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTELECOMNUMTYPE ON TELECOMNUMTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTELECOMNUMBER ON TELECOMNUMBER
(CONTACTINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSCRIPT ON SCRIPT
(GUIDEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKRMATYPE ON RMATYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRTYRELTNTYPROL ON PRTYRELATNTYPEROLE
(PRTYRELATNTYPECODE, PARTYROLETYPECODE, PRIMARYROLEFLAG)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYRELATNTYPE ON PRTYRELATNTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPROMPT1 ON PROMPT
(GUIDEID, PROMPTKEYNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPROMPT ON PROMPT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTTYPE ON PRODUCTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODSUBSTITUTE ON PRODUCTSUBSTITUTE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODPREFERENCE ON PRODUCTPREFERENCE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTPART ON PRODUCTPART
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTPACKAGE ON PRODUCTPACKAGE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTDETAIL ON PRODUCTDETAIL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODCROSSSELL ON PRODUCTCROSSSELL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTCATEGORY ON PRODUCTCATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPRODUCTCATALOG1 ON PRODUCTCATALOG
(CATALOGNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTCATALOG ON PRODUCTCATALOG
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPRODUCT1 ON PRODUCT
(PRODUCTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCT ON PRODUCT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODMMEDIADESC ON PRODMMEDIADESC
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODDTLHRCHY ON PRODDTLHIERARCHY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODDETAILVALUE ON PRODDETAILVALUE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODDETAILTYPE ON PRODDETAILTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODCATEGORYITM ON PRODCATEGORYITEM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODCATALOGITEM ON PRODCATALOGITEM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPOSTALADDRESS ON POSTALADDRESS
(CONTACTINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPICKLIST ON PICKLIST
(CODE, CODEGROUP)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPERSON ON PERSON
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPAYMENTTYPE ON PAYMENTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPAYMENTMETHOD ON PAYMENTMETHOD
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYTYPE ON PARTYTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYROLETYPE ON PARTYROLETYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYROLENOTE ON PARTYROLENOTE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYROLE ON PARTYROLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPARTYRELATNROL1 ON PARTYRELATNSHIPROL
(PRIMEPARTYROLEID, RELATEDPARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYRELATNROLE ON PARTYRELATNSHIPROL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYRELATNSHIP ON PARTYRELATNSHIP
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRTYCONTACTINFO ON PARTYCONTACTINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYACCTROLE ON PARTYACCOUNTROLE
(PARTYID, ACCOUNTID, ACCTROLETYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPARTY1 ON PARTY
(GOVERNMENTIDNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTY ON PARTY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPART ON PART
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORGUNITTYPE ON ORGUNITTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORGUNIT ON ORGUNIT
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORGANIZATION ON ORGANIZATION
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERTYPE ON ORDERTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKORDTELECOMNUM1 ON ORDERTELECOMNUM
(ORDERCONTACTINFOID, TELECOMNUMTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERTELECOMNUM ON ORDERTELECOMNUM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERSTATUS ON ORDERSTATUS
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKORDERRMA1 ON ORDERRMA
(RMANUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERRMA ON ORDERRMA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKORDPOSTALADDR1 ON ORDERPOSTALADDRESS
(ORDERCONTACTINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERPOSTALADDR ON ORDERPOSTALADDRESS
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDLINEITEMRMA ON ORDERLINEITEMRMA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERLINEITMDTL ON ORDERLINEITEMDTL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERLINEITEM ON ORDERLINEITEM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKORDERHEADER1 ON ORDERHEADER
(ORDERNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERHEADER ON ORDERHEADER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKORDEREADDRESS1 ON ORDEREADDRESS
(ORDERCONTACTINFOID, EADDRESSTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDEREADDRESS ON ORDEREADDRESS
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERDELVRYSIG ON ORDERDELIVERYSIG
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERDELIVERY ON ORDERDELIVERY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDCONTACTINFO ON ORDERCONTACTINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORDERBILLING ON ORDERBILLING
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGVIEW ON OFFERINGVIEW
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGHRCHY ON OFFERINGHIERARCHY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGCATGRY ON OFFERINGCATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERING ON OFFERING
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKNOTETYPE ON NOTETYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKNAMESUFFIX ON NAMESUFFIX
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMONETARYUOM ON MONETARYUOM
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMEDIATYPE ON MEDIATYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMARITALSTATUS ON MARITALSTATUS
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKLINEITEMSTATUS ON LINEITEMSTATUS
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKINTRCTNTYPE ON INTRCTNTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKINTRCTNSTATE ON INTRCTNSTATE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKINSTRUCTIONSTEP ON INSTRUCTIONSTEP
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKHONORIFICTITLE ON HONORIFICTITLE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGUIDETYPE ON GUIDETYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKGUIDE1 ON GUIDE
(GUIDETYPECODE, LANGUAGEISOCODE, GUIDEKEYNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGUIDE ON GUIDE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYASSOC ON GEOBOUNDARYASSOC
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBOUNDARY ON GEOBOUNDARY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYTYPE ON GEOBNDRYTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYCURR ON GEOBNDRYCURRENCY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGENDER ON GENDER
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMPRTCPNT ON EICOMPARTICIPANT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMMUNICATION ON EICOMMUNICATION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMMENT ON EICOMMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMEVENT ON EICOMEVENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMDATA ON EICOMDATA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKEICASE1 ON EICASE
(CASENUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICASE ON EICASE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEBCINTRCTNCOM ON EBCINTERACTIONCOM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEBCINTERACTION ON EBCINTERACTION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEADDRESSTYPE ON EADDRESSTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEADDRESS ON EADDRESS
(CONTACTINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDELEGATETABLE ON DELEGATETABLE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDELGTRELATNSHIP ON DELEGATERELATNSHIP
(PARTYRELATIONSHIPID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDELGTACCESSTYPE ON DELEGATEACCESSTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDATEDIDENTTYPE ON DATEDIDENTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDATEDIDENT ON DATEDIDENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCUSTVALUE ON CUSTVALUE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCUSTSTATUS ON CUSTSTATUS
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCUSTRELATNSHIP ON CUSTOMERRELATNSHIP
(PARTYRELATNSHIPID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCUSTOMER1 ON CUSTOMER
(CUSTOMERNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCUSTOMER ON CUSTOMER
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCUSTHANDLING ON CUSTHANDLING
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCRDTCRDACTENTRY ON CRDTCARDACCTENTRY
(ACCOUNTENTRYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTMTHDTYPE ON CONTMTHDTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTACTTYPE ON CONTACTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTACTINFO ON CONTACTINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMTYPE ON COMTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMPRTCPNTTYPE ON COMPRTCPNTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCOMMONCURRENCY1 ON COMMONCURRENCY
(CURRENCYISONAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMMONCURRENCY ON COMMONCURRENCY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMEVENTTYPE ON COMEVENTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACCTROLETYPE ON ACCTROLETYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACCOUNTTYPE ON ACCOUNTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACCOUNTSTMNT ON ACCOUNTSTATEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACCOUNTENTRY ON ACCOUNTENTRY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKACCOUNT1 ON ACCOUNT
(ACCOUNTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACCOUNT ON ACCOUNT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXRTDATAMAP2 ON FLX_RT_DATAMAP
(FLOW)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXRTDATAMAP1 ON FLX_RT_DATAMAP
(ACTION)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXMESSAGETRIG1 ON FLX_MESSAGE_TRIG
(PUBLISHER)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXPUBLISHER2 ON FLX_PUBLISHER
(STYLE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXPUBLISHER1 ON FLX_PUBLISHER
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXPOSTOFFICE3 ON FLX_POST_OFFICE
(MESSAGE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXPOSTOFFICE2 ON FLX_POST_OFFICE
(PUBLISHER)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXPOSTOFFICE1 ON FLX_POST_OFFICE
(MESSAGE_TRIGGER, PUBLISHER)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXVARLISTITEM1 ON FLX_VAR_LIST_ITEM
(LIST_ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXVAR3 ON FLX_VAR
(FLOW_CONTEXT, NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXVAR2 ON FLX_VAR
(FLOW_CHART, NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXVAR1 ON FLX_VAR
(ACTION, NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXREADY4 ON FLX_READY
(STATE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXREADY3 ON FLX_READY
(HEARTBEAT)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXREADY2 ON FLX_READY
(SEAL, STATE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXREADY1 ON FLX_READY
(ACTION, SEAL, STATE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXFLOWCHART2 ON FLX_FLOW_CHART
(TYPE)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXFLOWCHART1 ON FLX_FLOW_CHART
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXFLOW1 ON FLX_FLOW
(SRC_ACTION)
LOGGING
NOPARALLEL;


CREATE INDEX I_FLXACTION1 ON FLX_ACTION
(FLOW_CHART)
LOGGING
NOPARALLEL;


CREATE INDEX I_USERROLEROLINFO ON USERROLES
(ROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_USERMETAMASSOC ON USERMETADATA
(MID)
LOGGING
NOPARALLEL;


CREATE INDEX I_USERMETAMKEY ON USERMETADATA
(MKID)
LOGGING
NOPARALLEL;


CREATE INDEX I_USERMETAUSRINFO ON USERMETADATA
(USERID)
LOGGING
NOPARALLEL;


CREATE INDEX I_USERINFOGRPINFO ON USERINFO
(GROUPID)
LOGGING
NOPARALLEL;


CREATE INDEX I_TYPEVALUE1 ON TYPEVALUE
(TYPEID, CODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_ROLEMETAMASSOC ON ROLEMETADATA
(MID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ROLEMETAMKEY ON ROLEMETADATA
(MKID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ROLEMETAROLEINFO ON ROLEMETADATA
(ROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_RESRCMETAMASSOC ON RESRCMETADATA
(METAASSOCID)
LOGGING
NOPARALLEL;


CREATE INDEX I_RESRCMETAMKEY ON RESRCMETADATA
(METAKEYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_RESRCMETARESRC ON RESRCMETADATA
(RESOURCEINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEMETAMASSOC ON QUEUEMETADATA
(METAASSOCID)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEMETAMKEY ON QUEUEMETADATA
(METAKEYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEMETAQUEUE ON QUEUEMETADATA
(QUEUEINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEITEMAUDIT1 ON QUEUEITEMAUDIT
(QUEUEITEMREFID, STATETIMSNUM, USERREFTEXT)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEITEM2 ON QUEUEITEM
(QUEUENAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEUEITEM1 ON QUEUEITEM
(STATUSTEXT)
LOGGING
NOPARALLEL;


CREATE INDEX I_QUEINFOUSRINFO ON QUEUEINFO
(OWNERUSERINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PWDHISTUSRINFO ON PASSWORDHISTORY
(USERID)
LOGGING
NOPARALLEL;


CREATE INDEX I_METARULEMASSOC2 ON METARULE
(MID2)
LOGGING
NOPARALLEL;


CREATE INDEX I_METAKEYMCATGRY ON METAKEY
(METACATEGORYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_LANGUAGE1 ON LANGUAGES
(LANGUAGENATIVENAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWWFLWADTEVTIME ON JXWWFLOWAUDIT
(EVENTTIME_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWWFLWADTPIDTID ON JXWWFLOWAUDIT
(PID_, TID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWWFLWADTPID ON JXWWFLOWAUDIT
(PID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWWFLOWFTIME ON JXWWFLOW
(FINISH_TIME_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWWFLOW1 ON JXWWFLOW
(STATUS_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWTASKPROPERTY2 ON JXWTASKPROPERTY
(VALUE_, NAME_, TID_, PID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWTASKPROPERTY1 ON JXWTASKPROPERTY
(NAME_, VALUE_, PID_, TID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWTASK3 ON JXWTASK
(PID_, STATUS_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWTASK2 ON JXWTASK
(TID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_JXWTASK1 ON JXWTASK
(STATUS_, TID_, PID_)
LOGGING
NOPARALLEL;


CREATE INDEX I_GRPMETAMASSOC ON GROUPMETADATA
(MID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GRPMETAMKEY ON GROUPMETADATA
(MKID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GRPMETAGRPINFO ON GROUPMETADATA
(GROUPID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GROUPINFOPARENT ON GROUPINFO
(PGRPID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GRPINFOGRPTYPE ON GROUPINFO
(GROUPTYPEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GROUPINFO1 ON GROUPINFO
(PRID)
LOGGING
NOPARALLEL;


CREATE INDEX I_GRPCONTCONTACT ON GROUPCONTACT
(CONTACT_ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_DEVICE2 ON DEVICE
(DEVICEIDENTTEXT)
LOGGING
NOPARALLEL;


CREATE INDEX I_DEVICE1 ON DEVICE
(DEVICENAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_CTIUSERACD ON CTIUSERACD
(CTIUSERINFOID, ACDQUEUEID)
LOGGING
NOPARALLEL;


CREATE INDEX I_CSZ1 ON CSZ
(STATE, ZIP)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACTINFO22 ON CONTACTINFO2
(CONTACTINFO_TYPE, CONTACTINFO)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACTINFO21 ON CONTACTINFO2
(CONTACT_ID, CONTACTINFO_TYPE, CONTACTINFO_SUBTYPE)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTADDRCOUNTRY ON CONTACTADDRESS
(COUNTRY_CODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACTADDRESS1 ON CONTACTADDRESS
(CONTACT_ID, ADDRESS_TYPE)
LOGGING
NOPARALLEL;


CREATE INDEX I_CONTACT1 ON CONTACT
(LAST_NAME, FIRST_NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_ACDPROPERTY ON ACDPROPERTY
(ACDQUEUEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXMESSAGETRIG ON FLX_MESSAGE_TRIG
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARDELAYTRIG ON FLX_VAR_DELAY_TRIG
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARDELAYRES ON FLX_VAR_DELAY_RES
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARERRORRES ON FLX_VAR_ERROR_RES
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXRTDATAMAP ON FLX_RT_DATAMAP
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXPUBLISHER ON FLX_PUBLISHER
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXPOSTOFFICE ON FLX_POST_OFFICE
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARTIMERTRIG ON FLX_VAR_TIMER_TRIG
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARTIMERRES ON FLX_VAR_TIMER_RES
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARTIMERINFO ON FLX_VAR_TIMERINFO
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARRELTVEXPR ON FLX_VAR_RELTV_EXPR
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARMETACOLL ON FLX_VAR_META_COLL
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARLISTITEM ON FLX_VAR_LIST_ITEM
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVARJAVAACTN ON FLX_VAR_JAVA_ACTN
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXVAR ON FLX_VAR
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXREADY ON FLX_READY
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXPK ON FLX_PK
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXNESTMETAVAR ON FLX_NEST_META_VAR
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXMETAVAR ON FLX_META_VAR
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXFLOWCONTEXT ON FLX_FLOW_CONTEXT
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXFLOWCHART ON FLX_FLOW_CHART
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXFLOW ON FLX_FLOW
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKFLXACTION ON FLX_ACTION
(PK)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKXMLSTORAGE ON XMLSTORAGE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKUSERROLES ON USERROLES
(USERID, ROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKUSERMETADATA ON USERMETADATA
(USERMETADATAID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKUSERINFO1 ON USERINFO
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKUSERINFO ON USERINFO
(USERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTYPEVALUE ON TYPEVALUE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKTYPE ON TYPE
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTYPE ON TYPE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKSTATION1 ON STATION
(STATIONNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSTATION ON STATION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSTATE ON STATE
(COUNTRY_CODE, STATE_CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSEEDINFORMATION ON SEEDINFORMATION
(SEEDNUM)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKROLREPLACEMENT2 ON ROLEREPLACEMENT2
(ROLEID, NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKROLEMETADATA ON ROLEMETADATA
(ROLEMETADATAID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKROLEINFO21 ON ROLEINFO2
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKROLEINFO2 ON ROLEINFO2
(ROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKRESRCEMETADATA ON RESRCMETADATA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKRESOURCEINFO1 ON RESOURCEINFO
(PRNTRESOURCEINFOID, RESOURCENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKRESOURCEINFO ON RESOURCEINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEPRINCIPAL ON QUEUEPRINCIPAL
(QUEUEINFOID, PRINCIPALREFID, PRINCIPALTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEMETADATA ON QUEUEMETADATA
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEITMAUDITPROP ON QUEUEITEMAUDITPROP
(QUEUEITEMAUDITID, PROPERTYNAME, PROPERTYVALUETEXT)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEITEMAUDIT ON QUEUEITEMAUDIT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEITEMACTIVE ON QUEUEITEMACTIVE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEITEM ON QUEUEITEM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKQUEUEINFO2 ON QUEUEINFO
(REPLICATEBASENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKQUEUEINFO1 ON QUEUEINFO
(QUEUENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKQUEUEINFO ON QUEUEINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPERSISTENTCACHE ON PERSISTENTCACHEDATA
(OBJECT_KEY)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPASSWORDHISTORY ON PASSWORDHISTORY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMDLWRSERVER ON MIDDLEWARESERVER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKMETARULE2 ON METARULE
(MID1, MID2)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKMETARULE1 ON METARULE
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMETARULE ON METARULE
(MRID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKMETAKEY1 ON METAKEY
(METAKEY)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMETAKEY ON METAKEY
(MKID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKMETACATEGORY1 ON METACATEGORY
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMETACATEGORY ON METACATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKMETAASSOC1 ON METAASSOC
(MKID, METAVALUE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMETAASSOC ON METAASSOC
(MID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKLOCKMGR ON LOCKMGR
(GUID, BUSINESSCLASSNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKLANGUAGE2 ON LANGUAGES
(LANGUAGEISOCODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKLANGUAGE1 ON LANGUAGES
(LANGUAGENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKLANGUAGE ON LANGUAGES
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWWFLOWAUDIT ON JXWWFLOWAUDIT
(EVENTID_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWWFLOW ON JXWWFLOW
(PID_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWTASKPROPERTY ON JXWTASKPROPERTY
(PID_, TID_, NAME_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWTASK ON JXWTASK
(PID_, TID_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWFNSHDWFLOW ON JXWFINISHEDWFLOW
(PID_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXWFNSHDTASK ON JXWFINISHEDTASK
(PID_, TID_)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKJXPTEST ON JXPTEST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKGROUPTYPE1 ON GROUPTYPE
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGROUPTYPE ON GROUPTYPE
(GROUPTYPEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGROUPMETADATA ON GROUPMETADATA
(GROUPMETADATAID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKGROUPINFO1 ON GROUPINFO
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGROUPINFO ON GROUPINFO
(GROUPID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGROUPCONTACT ON GROUPCONTACT
(GROUPID, CONTACT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEVICE ON DEVICE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFAULTS ON DEFAULTS
(KEY)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCTIUSERINFO1 ON CTIUSERINFO
(USERINFOID, ACDLOGINIDTEXT)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKUSERCTIINFO ON CTIUSERINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCTIUSERACD ON CTIUSERACD
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCSZ ON CSZ
(CITY, STATE, ZIP)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOUNTRY ON COUNTRY
(COUNTRY_CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTACTINFO2 ON CONTACTINFO2
(CONTACTINFO_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTACTADDRESS ON CONTACTADDRESS
(ADDRESS_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCONTACT ON CONTACT
(CONTACT_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACE2 ON ACE2
(OBJECTID, OBJECTTYPE, PRINCIPALID, PRINCIPALTYPE, ACETYPE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKACDQUEUE1 ON ACDQUEUE
(ACDEXTENSION)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACDQUEUE ON ACDQUEUE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKACDPROPERTY ON ACDPROPERTY
(ID)
LOGGING
NOPARALLEL;


CREATE OR REPLACE FUNCTION getrootorg2 
( p_id IN NUMBER )
RETURN NUMBER
IS v_orgID groupinfo.groupid%TYPE;
BEGIN
   SELECT groupid INTO v_orgID 
   FROM groupinfo
   WHERE pgrpid IN (1,-1)
     AND rownum=1
   START WITH groupid = P_id
   CONNECT BY PRIOR pgrpid = groupid;

   RETURN v_orgID;
END;
/

SHOW ERRORS;


CREATE OR REPLACE VIEW V_JXWTASKPROPERTY
AS 
SELECT t1.pid_, t1.tid_, t1.name_, t1.value_, t2.status_
       FROM jxwtaskproperty t1, jxwtask t2
       WHERE t1.tid_ = t2.tid_
AND t1.pid_ = t2.pid_;


CREATE OR REPLACE VIEW V_QUEUERECOVERY
AS 
SELECT a.id, a.queuename, a.queueitemrefid, a.createtimsnum, a.statecode, a.statetimsnum, a.externalrefid, a.extsubsystemcode, a.extcontexttext, a.extreferencedesc, a.userreftext, a.mndtryuserreftext, a.preferuserreftext, a.timerrefid, a.prioritynum, a.customerinfotext, a.informationtext, a.dehostname
       FROM queueitemaudit a
       WHERE (a.queueitemrefid, a.statetimsnum) IN     
            (SELECT b.queueitemrefid, MAX(b.statetimsnum)
            FROM queueitemaudit b, queueitemactive c
            WHERE c.id = b.queueitemrefid 
            GROUP BY b.queueitemrefid);


CREATE OR REPLACE VIEW V_CTIUSERINFO
AS 
SELECT a.id, a.userinfoid, b.name, a.acdloginidtext, a.acdloginpwdtext, a.mdlwrloginidtext, a.mdlwrloginpwdtext, a.geotelperipheralid
       FROM ctiuserinfo a, userinfo b
       WHERE a.userinfoid = b.userid;


CREATE OR REPLACE VIEW V_ACDUSRRELATION
AS 
SELECT b.id, a.id, a.userinfoid, c.acdqueuename, c.acdextension, c.acdqueuedesc, c.languageid
       FROM ctiuserinfo a, ctiuseracd b, acdqueue c
       WHERE a.id = b.ctiuserinfoid and b.acdqueueid = c.id;


CREATE OR REPLACE VIEW V_PRTYRELATNTYPROL
AS 
SELECT a.prtyrelatntypecode, b.partyroletypecode, a.partyroletypecode
       FROM prtyrelatntyperole a, prtyrelatntyperole b
       WHERE a.prtyrelatntypecode = b.prtyrelatntypecode AND a.primaryroleflag != b.primaryroleflag AND a.primaryroleflag = 'Y';


CREATE OR REPLACE VIEW V_PARTYROLE
AS 
SELECT a.id, b.id, b.objecttypecode, a.objecttypecode, a.governmentidnumber, b.locktokentext, a.locktokentext, a.effectivestartdate, b.effectivestartdate, b.effectiveenddate, a.effectiveenddate, c.firstname, c.middlename, c.familyname, c.honorifictitlecode, c.birthdate, c.birthplacename, c.gendercode, c.maritalstatuscode, c.employername, c.occupationname, c.deathdate, c.namesuffixcode, c.preferredname, c.maidenname, c.preferlangisocode, c.hobbiestext, c.citizenshipisocode, c.racedesc, c.networthamt, c.netwrthcurrisocode, c.incomeannualamt, c.incomecurrisocode, c.personusrdef0text, c.personusrdef1text, c.personusrdef2text, c.personusrdef3text, c.personusrdef4text, c.personusrdef5text, c.personusrdef6text, c.personusrdef7text, c.personusrdef8text, c.personusrdef9text, d.orgfullname, d.orgabbrvname, d.merchantidnumber, d.registerednumber, d.orgestablishdate, d.orgmemberqty, d.orgusrdef0text, d.orgusrdef1text, d.orgusrdef2text, d.orgusrdef3text, d.orgusrdef4text, d.orgusrdef5text, d.orgusrdef6text, d.orgusrdef7text, d.orgusrdef8text, d.orgusrdef9text
       FROM partyrole b, party a, person c, organization d
       WHERE a.id = b.partyid
AND a.id = c.partyid (+)
AND a.id = d.partyid (+);


CREATE OR REPLACE VIEW V_PARTYRELATNSHIP
AS 
SELECT a.relatedpartyroleid, a.id, a.partyrelatnshipid, a.primepartyroleid, b.objecttypecode, b.effectivestartdate, b.effectiveenddate, b.locktokentext
       FROM partyrelatnshiprol a, partyrelatnship b
       WHERE a.partyrelatnshipid = b.id;


CREATE OR REPLACE VIEW V_PARTY
AS 
SELECT a.id, a.objecttypecode, a.governmentidnumber, a.locktokentext, a.effectivestartdate, a.effectiveenddate, b.firstname, b.middlename, b.familyname, b.honorifictitlecode, b.birthdate, b.birthplacename, b.gendercode, b.maritalstatuscode, b.employername, b.occupationname, b.deathdate, b.namesuffixcode, b.preferredname, b.maidenname, b.preferlangisocode, b.hobbiestext, b.citizenshipisocode, b.racedesc, b.networthamt, b.netwrthcurrisocode, b.incomeannualamt, b.incomecurrisocode, b.personusrdef0text, b.personusrdef1text, b.personusrdef2text, b.personusrdef3text, b.personusrdef4text, b.personusrdef5text, b.personusrdef6text, b.personusrdef7text, b.personusrdef8text, b.personusrdef9text, c.orgfullname, c.orgabbrvname, c.merchantidnumber, c.registerednumber, c.orgestablishdate, c.orgmemberqty, c.orgusrdef0text, c.orgusrdef1text, c.orgusrdef2text, c.orgusrdef3text, c.orgusrdef4text, c.orgusrdef5text, c.orgusrdef6text, c.orgusrdef7text, c.orgusrdef8text, c.orgusrdef9text
       FROM person b, party a, organization c
       WHERE a.id = b.partyid (+)
AND a.id = c.partyid (+);


CREATE OR REPLACE VIEW V_GUIDE
AS 
SELECT a.id, a.guidekeyname, a.languageisocode, a.guidetypecode, a.guidedesc, b.scripttext, b.activeflag
       FROM script b, guide a
       WHERE a.id = b.guideid (+);


CREATE OR REPLACE VIEW V_EICUSTOMERHIST
AS 
SELECT a.id, a.interactiondesc, a.intrctnstatecode, a.statedate, a.createdate, a.externalreftext, b.externalreftext, b.externalsystemtext, a.externalsystemtext, a.partyroleid, a.accountid, a.offeringname, b.casenumber, b.locktokentext, a.eiusrdef0text, a.eiusrdef1text, a.eiusrdef2text, a.eiusrdef3text, a.eiusrdef4text, a.eiusrdef5text, a.eiusrdef6text, a.eiusrdef7text, a.eiusrdef8text, a.eiusrdef9text
       FROM ebcinteraction a, eicase b
       WHERE a.eicaseid = b.id;


CREATE OR REPLACE VIEW V_EISEARCHRESULT
AS 
SELECT a.id, a.interactiondesc, a.createdate, a.intrctnstatecode, a.statedate, a.userloginname, a.interactionseq, b.externalreftext, a.externalreftext, b.externalsystemtext, a.externalsystemtext, b.casenumber, a.offeringname, a.partyroleid, b.locktokentext, a.eiusrdef0text, a.eiusrdef1text, a.eiusrdef2text, a.eiusrdef3text, a.eiusrdef4text, a.eiusrdef5text, a.eiusrdef6text, a.eiusrdef7text, a.eiusrdef8text, a.eiusrdef9text
       FROM ebcinteraction a, eicase b
       WHERE a.eicaseid = b.id;


CREATE OR REPLACE VIEW V_EISEARCHCOMMENT
AS 
SELECT a.id, a.partyroleid, a.createdate, a.intrctnstatecode, a.statedate, a.userloginname, a.interactionseq, b.casenumber, c.commentdate, a.offeringname, b.locktokentext, a.eiusrdef0text, a.eiusrdef1text, a.eiusrdef2text, a.eiusrdef3text, a.eiusrdef4text, a.eiusrdef5text, a.eiusrdef6text, a.eiusrdef7text, a.eiusrdef8text, a.eiusrdef9text
       FROM ebcinteraction a, eicase b, eicomment c
       WHERE a.eicaseid = b.id
AND a.id = c.ebcinteractionid;


CREATE OR REPLACE VIEW V_EICOMMUNICATION
AS 
SELECT a.ebcinteractionid, b.id, b.comioflag, b.comtypecode, b.comaddresstext, b.collectcallflag, b.comstartdate, b.eicomusrdef0text, b.eicomusrdef1text, b.eicomusrdef2text, b.eicomusrdef3text, b.eicomusrdef4text, b.eicomusrdef5text, b.eicomusrdef6text, b.eicomusrdef7text, b.eicomusrdef8text, b.eicomusrdef9text
       FROM ebcinteractioncom a, eicommunication b
       WHERE a.eicommunicationid = b.id;


CREATE OR REPLACE VIEW V_PRODUCTCATEGORY
AS 
SELECT a.id, b.id, a.oemvalueamt, a.productnumber, a.productname, a.producttypecode, a.retailvalueamt, a.upcnumber, a.expirydate, a.effectivedate, a.partyid, c.prodcategoryname, a.productusrdef0text, a.productusrdef1text, a.productusrdef2text, a.productusrdef3text, a.productusrdef4text, a.productusrdef5text, a.productusrdef6text, a.productusrdef7text, a.productusrdef8text, a.productusrdef9text
       FROM product a, prodcategoryitem b, productcategory c
       WHERE a.id = b.productid
AND b.productcategoryid = c.id;


CREATE OR REPLACE VIEW V_PRODCATALOGITEM
AS 
SELECT b.id, a.id, a.productid, b.catalognumber, b.catalogname, b.pcatlgusrdef0text, b.pcatlgusrdef1text, b.pcatlgusrdef2text, b.pcatlgusrdef3text, b.pcatlgusrdef4text, b.pcatlgusrdef5text, b.pcatlgusrdef6text, b.pcatlgusrdef7text, b.pcatlgusrdef8text, b.pcatlgusrdef9text
       FROM prodcatalogitem a, productcatalog b
       WHERE a.productcatalogid = b.id;


CREATE OR REPLACE VIEW V_PRODUCTCATALOG
AS 
SELECT b.id, b.productcatalogid, a.id, b.productid, a.productnumber, a.partyid, a.productname, a.producttypecode, a.upcnumber, a.oemvalueamt, a.retailvalueamt, a.expirydate, a.effectivedate, a.productusrdef0text, a.productusrdef1text, a.productusrdef2text, a.productusrdef3text, a.productusrdef4text, a.productusrdef5text, a.productusrdef6text, a.productusrdef7text, a.productusrdef8text, a.productusrdef9text, b.catalognumber, b.catalogname, b.pcatlgusrdef0text, b.pcatlgusrdef1text, b.pcatlgusrdef2text, b.pcatlgusrdef3text, b.pcatlgusrdef4text, b.pcatlgusrdef5text, b.pcatlgusrdef6text, b.pcatlgusrdef7text, b.pcatlgusrdef8text, b.pcatlgusrdef9text
       FROM product a, v_prodcatalogitem b
       WHERE a.id = b.productid;


CREATE OR REPLACE VIEW V_OFFERING
AS 
SELECT a.id, a.offeringname, b.prodcategoryname, a.actionkeyname, a.actiontypecode
       FROM offering a, productcategory b
       WHERE a.productcategoryid = b.id (+);


CREATE OR REPLACE VIEW V_OFFRNGHIERARCHY
AS 
SELECT a.id, a.parenthierarchyid, a.hierarchyseq, a.activeflag, a.offeringviewid, a.offeringcategoryid, b.categoryname, a.offeringid, c.offeringname, c.prodcategoryname, c.actionkeyname, c.actiontypecode
       FROM offeringhierarchy a, offeringcategory b, v_offering c
       WHERE a.offeringcategoryid = b.id (+)
AND a.offeringid = c.id (+);


CREATE OR REPLACE VIEW V_GEOBNDRYASSOC
AS 
SELECT b.id, b.geoboundaryid, c.geoboundaryname, a.geoboundaryname, a.geobndrytypecode, c.geobndrytypecode, c.geobndrycodetext, a.geobndrycodetext, b.assocgeoboundaryid
       FROM geoboundary a, geoboundaryassoc b, geoboundary c
       WHERE a.id = b.geoboundaryid
AND b.assocgeoboundaryid = c.id;


CREATE OR REPLACE VIEW V_GEOBNDRYCURRENCY
AS 
SELECT a.id, a.geoboundaryname, a.geobndrytypecode, a.geobndrycodetext, c.currencyisoname, c.isomnemoniccode, c.isonumericcode, b.dfltcurrencyflag
       FROM geoboundary a, geobndrycurrency b, commoncurrency c
       WHERE a.id = b.geoboundaryid
AND b.commoncurrencyid = c.id;


CREATE OR REPLACE VIEW V_ORDERPOSTAL
AS 
SELECT b.id, a.orderheaderid, a.contacttypecode, b.ordercontactinfoid, b.unitnum, b.address1text, b.address2text, b.poboxnum, b.cityname, b.localityname, b.stateprovincename, b.countryisocode, b.postalcodetext, b.oaddrusrdef0text, b.oaddrusrdef1text, b.oaddrusrdef2text, b.oaddrusrdef3text, b.oaddrusrdef4text, b.oaddrusrdef5text, b.oaddrusrdef6text, b.oaddrusrdef7text, b.oaddrusrdef8text, b.oaddrusrdef9text
       FROM ordercontactinfo a, orderpostaladdress b
       WHERE a.id = b.ordercontactinfoid;


CREATE OR REPLACE VIEW V_ORDERTELECOM
AS 
SELECT b.id, a.orderheaderid, a.contacttypecode, b.ordercontactinfoid, b.telecomnumber, b.extensionnumber, b.areadialnumcode, b.countrydialnumcode, b.telecomnumtypecode, b.oteleusrdef0text, b.oteleusrdef1text, b.oteleusrdef2text, b.oteleusrdef3text, b.oteleusrdef4text, b.oteleusrdef5text, b.oteleusrdef6text, b.oteleusrdef7text, b.oteleusrdef8text, b.oteleusrdef9text
       FROM ordercontactinfo a, ordertelecomnum b
       WHERE a.id = b.ordercontactinfoid;


CREATE OR REPLACE VIEW V_ORDEREADDRESS
AS 
SELECT b.id, a.orderheaderid, a.contacttypecode, b.ordercontactinfoid, b.eaddresstext, b.eaddresstypecode, b.oeaddrusrdef0text, b.oeaddrusrdef1text, b.oeaddrusrdef2text, b.oeaddrusrdef3text, b.oeaddrusrdef4text, b.oeaddrusrdef5text, b.oeaddrusrdef6text, b.oeaddrusrdef7text, b.oeaddrusrdef8text, b.oeaddrusrdef9text
       FROM ordercontactinfo a, ordereaddress b
       WHERE a.id = b.ordercontactinfoid;


CREATE OR REPLACE VIEW V_ACCTBYPARTY
AS 
SELECT a.partyid, a.acctroletypecode, b.id, b.accountnumber, b.balanceamt, b.createdate, b.terminatedate, b.periodicratepct, b.rateperiodmsr, b.accounttypecode, b.encryptedpasstext, b.challengedatatext, b.locktokentext, b.acctusrdef0text, b.acctusrdef1text, b.acctusrdef2text, b.acctusrdef3text, b.acctusrdef4text, b.acctusrdef5text, b.acctusrdef6text, b.acctusrdef7text, b.acctusrdef8text, b.acctusrdef9text, b.accountstatus
       FROM partyaccountrole a, account b
       WHERE a.accountid = b.id;


CREATE OR REPLACE VIEW V_ACCTENTRYBYACCT
AS 
SELECT b.id, a.id, a.accountnumber, a.locktokentext, b.entryseq, b.entryamt, b.entrycreatedate, b.entrypostingdate, b.entrydesc, b.userloginname, b.supervisrloginname, b.reversedentryid, b.memotext, b.aentryusrdef0text, b.aentryusrdef1text, b.aentryusrdef2text, b.aentryusrdef3text, b.aentryusrdef4text, b.aentryusrdef5text, b.aentryusrdef6text, b.aentryusrdef7text, b.aentryusrdef8text, b.aentryusrdef9text
       FROM account a, accountentry b
       WHERE a.id = b.accountid;


CREATE OR REPLACE VIEW V_PRODDTLHIERARCHY
AS 
SELECT a.id, a.parenthierarchyid, a.productid, b.proddetailname, b.proddetailtypecode, b.proddetaildesc, c.proddtlvaluetext
       FROM proddtlhierarchy a, productdetail b, proddetailvalue c
       WHERE a.productdetailid = b.id (+)
AND a.proddetailvalueid = c.id (+);


CREATE OR REPLACE VIEW V_PARTYROLERELATN
AS 
SELECT a.id, a.partyrelatnshipid, a.primepartyroleid, c.partyid, b.partyid, c.objecttypecode, b.objecttypecode, b.effectivestartdate, c.effectivestartdate, c.effectiveenddate, b.effectiveenddate, c.locktokentext, b.locktokentext, a.relatedpartyroleid
       FROM partyrelatnshiprol a, partyrole b, partyrole c
       WHERE a.primepartyroleid = b.id AND a.relatedpartyroleid = c.id;


CREATE OR REPLACE VIEW V_SMRACCTENTRYACCT
AS 
SELECT b.id, a.id, a.accountnumber, b.entryseq, b.entryamt, b.entrycreatedate, b.entrypostingdate, b.entrydesc, b.userloginname, b.supervisrloginname, b.reversedentryid, b.memotext, c.statementdate, c.casenumber, c.trncategorycode, c.mrchtctgrycode, c.merchantnumber, c.mrchtctgrycdedesc, c.acquiringica, c.accountentryid
       FROM account a, accountentry b, crdtcardacctentry c
       WHERE a.id = b.accountid and b.id = c.accountentryid(+);


CREATE OR REPLACE TRIGGER TI_GROUPINFO
AFTER INSERT
on GROUPINFO

for each row
DECLARE
v_contact contact.contact_id%type;
BEGIN
  SELECT user_seq.nextval INTO v_contact FROM dual;
  INSERT INTO contact (contact_id, first_name, last_name)
    VALUES (v_contact, 
            substr(:new.name,1,35), 
            'group');

  INSERT INTO groupcontact (groupid, contact_id)
    VALUES (:new.groupid, v_contact);
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TI_USERINFO
AFTER INSERT
on USERINFO

for each row
DECLARE
BEGIN
  INSERT INTO contact (contact_id, first_name, last_name)
    VALUES (:new.userid, :new.fname, :new.lname);

  INSERT INTO userroles (userid, roleid)
    SELECT :new.userid, roleid 
    FROM roleinfo2
    WHERE name='User';
END;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER TU_USERINFO
AFTER UPDATE
on USERINFO

for each row
DECLARE
BEGIN
   UPDATE contact SET first_name=:new.fname, last_name=:new.lname
   WHERE contact_id=:new.userid;

   IF (:new.activated=-1) THEN 
      DELETE FROM usermetadata WHERE userid=:old.userid;
      DELETE FROM userroles WHERE userid=:old.userid;
   END IF;
END;
/
SHOW ERRORS;



ALTER TABLE ACDPROPERTY ADD (
  CONSTRAINT XPKACDPROPERTY
 PRIMARY KEY
 (ID));

ALTER TABLE ACDQUEUE ADD (
  CONSTRAINT XPKACDQUEUE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKACDQUEUE1
 UNIQUE (ACDEXTENSION));

ALTER TABLE ACE2 ADD (
  CONSTRAINT CK_ACE2MASK
 CHECK (securitymask!=0),
  CONSTRAINT XPKACE2
 PRIMARY KEY
 (OBJECTID, OBJECTTYPE, PRINCIPALID, PRINCIPALTYPE, ACETYPE));

ALTER TABLE CONTACT ADD (
  CONSTRAINT CK_CONTACTGENDER
 CHECK (gender IS NULL OR (gender IN ('M','F'))),
  CONSTRAINT XPKCONTACT
 PRIMARY KEY
 (CONTACT_ID));

ALTER TABLE CONTACTADDRESS ADD (
  CONSTRAINT CK_CONTADDRPRIMARY
 CHECK (is_primary IN ('Y','N')),
  CONSTRAINT XPKCONTACTADDRESS
 PRIMARY KEY
 (ADDRESS_ID));

ALTER TABLE CONTACTINFO2 ADD (
  CONSTRAINT CK_CONTINFO2PRMRY
 CHECK (is_primary IN ('Y','N')),
  CONSTRAINT XPKCONTACTINFO2
 PRIMARY KEY
 (CONTACTINFO_ID));

ALTER TABLE COUNTRY ADD (
  CONSTRAINT XPKCOUNTRY
 PRIMARY KEY
 (COUNTRY_CODE));

ALTER TABLE CSZ ADD (
  CONSTRAINT XPKCSZ
 PRIMARY KEY
 (CITY, STATE, ZIP));

ALTER TABLE CTIUSERACD ADD (
  CONSTRAINT XPKCTIUSERACD
 PRIMARY KEY
 (ID));

ALTER TABLE CTIUSERINFO ADD (
  CONSTRAINT XPKUSERCTIINFO
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKCTIUSERINFO1
 UNIQUE (USERINFOID, ACDLOGINIDTEXT));

ALTER TABLE DEFAULTS ADD (
  CONSTRAINT XPKDEFAULTS
 PRIMARY KEY
 (KEY));

ALTER TABLE DEVICE ADD (
  CONSTRAINT XPKDEVICE
 PRIMARY KEY
 (ID));

ALTER TABLE GROUPCONTACT ADD (
  CONSTRAINT XPKGROUPCONTACT
 PRIMARY KEY
 (GROUPID, CONTACT_ID));

ALTER TABLE GROUPINFO ADD (
  CONSTRAINT XPKGROUPINFO
 PRIMARY KEY
 (GROUPID),
  CONSTRAINT XAKGROUPINFO1
 UNIQUE (NAME));

ALTER TABLE GROUPMETADATA ADD (
  CONSTRAINT XPKGROUPMETADATA
 PRIMARY KEY
 (GROUPMETADATAID));

ALTER TABLE GROUPTYPE ADD (
  CONSTRAINT XPKGROUPTYPE
 PRIMARY KEY
 (GROUPTYPEID),
  CONSTRAINT XAKGROUPTYPE1
 UNIQUE (NAME));

ALTER TABLE JXPTEST ADD (
  CONSTRAINT XPKJXPTEST
 PRIMARY KEY
 (ID));

ALTER TABLE JXWFINISHEDTASK ADD (
  CONSTRAINT XPKJXWFNSHDTASK
 PRIMARY KEY
 (PID_, TID_));

ALTER TABLE JXWFINISHEDWFLOW ADD (
  CONSTRAINT XPKJXWFNSHDWFLOW
 PRIMARY KEY
 (PID_));

ALTER TABLE JXWTASK ADD (
  CONSTRAINT XPKJXWTASK
 PRIMARY KEY
 (PID_, TID_));

ALTER TABLE JXWTASKPROPERTY ADD (
  CONSTRAINT XPKJXWTASKPROPERTY
 PRIMARY KEY
 (PID_, TID_, NAME_));

ALTER TABLE JXWWFLOW ADD (
  CONSTRAINT XPKJXWWFLOW
 PRIMARY KEY
 (PID_));

ALTER TABLE JXWWFLOWAUDIT ADD (
  CONSTRAINT XPKJXWWFLOWAUDIT
 PRIMARY KEY
 (EVENTID_));

ALTER TABLE LANGUAGES ADD (
  CONSTRAINT XPKLANGUAGE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKLANGUAGE1
 UNIQUE (LANGUAGENAME),
  CONSTRAINT XAKLANGUAGE2
 UNIQUE (LANGUAGEISOCODE));

ALTER TABLE LOCKMGR ADD (
  CONSTRAINT XPKLOCKMGR
 PRIMARY KEY
 (GUID, BUSINESSCLASSNAME));

ALTER TABLE METAASSOC ADD (
  CONSTRAINT XPKMETAASSOC
 PRIMARY KEY
 (MID),
  CONSTRAINT XAKMETAASSOC1
 UNIQUE (MKID, METAVALUE));

ALTER TABLE METACATEGORY ADD (
  CONSTRAINT XPKMETACATEGORY
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKMETACATEGORY1
 UNIQUE (NAME));

ALTER TABLE METAKEY ADD (
  CONSTRAINT XPKMETAKEY
 PRIMARY KEY
 (MKID),
  CONSTRAINT XAKMETAKEY1
 UNIQUE (METAKEY));

ALTER TABLE METARULE ADD (
  CONSTRAINT XPKMETARULE
 PRIMARY KEY
 (MRID),
  CONSTRAINT XAKMETARULE1
 UNIQUE (NAME),
  CONSTRAINT XAKMETARULE2
 UNIQUE (MID1, MID2));

ALTER TABLE MIDDLEWARESERVER ADD (
  CONSTRAINT CK_MDLWRSRVRPRIMRY
 CHECK (mdlwrsrvrprmryflag IN ( 'Y','N' ) ),
  CONSTRAINT XPKMDLWRSERVER
 PRIMARY KEY
 (ID));

ALTER TABLE PASSWORDHISTORY ADD (
  CONSTRAINT XPKPASSWORDHISTORY
 PRIMARY KEY
 (ID));

ALTER TABLE PERSISTENTCACHEDATA ADD (
  CONSTRAINT XPKPERSISTENTCACHE
 PRIMARY KEY
 (OBJECT_KEY));

ALTER TABLE QUEUEINFO ADD (
  CONSTRAINT XPKQUEUEINFO
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKQUEUEINFO1
 UNIQUE (QUEUENAME),
  CONSTRAINT XAKQUEUEINFO2
 UNIQUE (REPLICATEBASENAME));

ALTER TABLE QUEUEITEM ADD (
  CONSTRAINT XPKQUEUEITEM
 PRIMARY KEY
 (ID));

ALTER TABLE QUEUEITEMACTIVE ADD (
  CONSTRAINT XPKQUEUEITEMACTIVE
 PRIMARY KEY
 (ID));

ALTER TABLE QUEUEITEMAUDIT ADD (
  CONSTRAINT XPKQUEUEITEMAUDIT
 PRIMARY KEY
 (ID));

ALTER TABLE QUEUEITEMAUDITPROP ADD (
  CONSTRAINT XPKQUEITMAUDITPROP
 PRIMARY KEY
 (QUEUEITEMAUDITID, PROPERTYNAME, PROPERTYVALUETEXT));

ALTER TABLE QUEUEMETADATA ADD (
  CONSTRAINT XPKQUEUEMETADATA
 PRIMARY KEY
 (ID));

ALTER TABLE QUEUEPRINCIPAL ADD (
  CONSTRAINT XPKQUEUEPRINCIPAL
 PRIMARY KEY
 (QUEUEINFOID, PRINCIPALREFID, PRINCIPALTYPECODE));

ALTER TABLE RESOURCEINFO ADD (
  CONSTRAINT XPKRESOURCEINFO
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKRESOURCEINFO1
 UNIQUE (PRNTRESOURCEINFOID, RESOURCENAME));

ALTER TABLE RESRCMETADATA ADD (
  CONSTRAINT XPKRESRCEMETADATA
 PRIMARY KEY
 (ID));

ALTER TABLE ROLEINFO2 ADD (
  CONSTRAINT XPKROLEINFO2
 PRIMARY KEY
 (ROLEID),
  CONSTRAINT XAKROLEINFO21
 UNIQUE (NAME));

ALTER TABLE ROLEMETADATA ADD (
  CONSTRAINT XPKROLEMETADATA
 PRIMARY KEY
 (ROLEMETADATAID));

ALTER TABLE ROLEREPLACEMENT2 ADD (
  CONSTRAINT XPKROLREPLACEMENT2
 PRIMARY KEY
 (ROLEID, NAME));

ALTER TABLE SEEDINFORMATION ADD (
  CONSTRAINT XPKSEEDINFORMATION
 PRIMARY KEY
 (SEEDNUM));

ALTER TABLE STATE ADD (
  CONSTRAINT XPKSTATE
 PRIMARY KEY
 (COUNTRY_CODE, STATE_CODE));

ALTER TABLE STATION ADD (
  CONSTRAINT XPKSTATION
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKSTATION1
 UNIQUE (STATIONNAME));

ALTER TABLE TYPE ADD (
  CONSTRAINT XPKTYPE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKTYPE
 UNIQUE (NAME));

ALTER TABLE TYPEVALUE ADD (
  CONSTRAINT XPKTYPEVALUE
 PRIMARY KEY
 (ID));

ALTER TABLE USERINFO ADD (
  CONSTRAINT XPKUSERINFO
 PRIMARY KEY
 (USERID),
  CONSTRAINT XAKUSERINFO1
 UNIQUE (NAME));

ALTER TABLE USERMETADATA ADD (
  CONSTRAINT XPKUSERMETADATA
 PRIMARY KEY
 (USERMETADATAID));

ALTER TABLE USERROLES ADD (
  CONSTRAINT XPKUSERROLES
 PRIMARY KEY
 (USERID, ROLEID));

ALTER TABLE XMLSTORAGE ADD (
  CONSTRAINT XPKXMLSTORAGE
 PRIMARY KEY
 (ID));

ALTER TABLE FLX_ACTION ADD (
  CONSTRAINT XPKFLXACTION
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_FLOW ADD (
  CONSTRAINT XPKFLXFLOW
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_FLOW_CHART ADD (
  CONSTRAINT XPKFLXFLOWCHART
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_FLOW_CONTEXT ADD (
  CONSTRAINT XPKFLXFLOWCONTEXT
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_META_VAR ADD (
  CONSTRAINT XPKFLXMETAVAR
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_NEST_META_VAR ADD (
  CONSTRAINT XPKFLXNESTMETAVAR
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_PK ADD (
  CONSTRAINT XPKFLXPK
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_READY ADD (
  CONSTRAINT XPKFLXREADY
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR ADD (
  CONSTRAINT XPKFLXVAR
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_JAVA_ACTN ADD (
  CONSTRAINT XPKFLXVARJAVAACTN
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_LIST_ITEM ADD (
  CONSTRAINT XPKFLXVARLISTITEM
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_META_COLL ADD (
  CONSTRAINT XPKFLXVARMETACOLL
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_RELTV_EXPR ADD (
  CONSTRAINT XPKFLXVARRELTVEXPR
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_TIMERINFO ADD (
  CONSTRAINT XPKFLXVARTIMERINFO
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_TIMER_RES ADD (
  CONSTRAINT XPKFLXVARTIMERRES
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_TIMER_TRIG ADD (
  CONSTRAINT XPKFLXVARTIMERTRIG
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_POST_OFFICE ADD (
  CONSTRAINT XPKFLXPOSTOFFICE
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_PUBLISHER ADD (
  CONSTRAINT XPKFLXPUBLISHER
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_RT_DATAMAP ADD (
  CONSTRAINT XPKFLXRTDATAMAP
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_ERROR_RES ADD (
  CONSTRAINT XPKFLXVARERRORRES
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_DELAY_RES ADD (
  CONSTRAINT XPKFLXVARDELAYRES
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_VAR_DELAY_TRIG ADD (
  CONSTRAINT XPKFLXVARDELAYTRIG
 PRIMARY KEY
 (PK));

ALTER TABLE FLX_MESSAGE_TRIG ADD (
  CONSTRAINT XPKFLXMESSAGETRIG
 PRIMARY KEY
 (PK));

ALTER TABLE ACCOUNT ADD (
  CONSTRAINT XPKACCOUNT
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKACCOUNT1
 UNIQUE (ACCOUNTNUMBER));

ALTER TABLE ACCOUNTENTRY ADD (
  CONSTRAINT XPKACCOUNTENTRY
 PRIMARY KEY
 (ID));

ALTER TABLE ACCOUNTSTATEMENT ADD (
  CONSTRAINT XPKACCOUNTSTMNT
 PRIMARY KEY
 (ID));

ALTER TABLE ACCOUNTTYPE ADD (
  CONSTRAINT XPKACCOUNTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE ACCTROLETYPE ADD (
  CONSTRAINT XPKACCTROLETYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE COMEVENTTYPE ADD (
  CONSTRAINT XPKCOMEVENTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE COMMONCURRENCY ADD (
  CONSTRAINT XPKCOMMONCURRENCY
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKCOMMONCURRENCY1
 UNIQUE (CURRENCYISONAME));

ALTER TABLE COMPRTCPNTTYPE ADD (
  CONSTRAINT XPKCOMPRTCPNTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE COMTYPE ADD (
  CONSTRAINT XPKCOMTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE CONTACTINFO ADD (
  CONSTRAINT XPKCONTACTINFO
 PRIMARY KEY
 (ID));

ALTER TABLE CONTACTTYPE ADD (
  CONSTRAINT XPKCONTACTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE CONTMTHDTYPE ADD (
  CONSTRAINT XPKCONTMTHDTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE CRDTCARDACCTENTRY ADD (
  CONSTRAINT XPKCRDTCRDACTENTRY
 PRIMARY KEY
 (ACCOUNTENTRYID));

ALTER TABLE CUSTHANDLING ADD (
  CONSTRAINT XPKCUSTHANDLING
 PRIMARY KEY
 (CODE));

ALTER TABLE CUSTOMER ADD (
  CONSTRAINT XPKCUSTOMER
 PRIMARY KEY
 (PARTYROLEID),
  CONSTRAINT XAKCUSTOMER1
 UNIQUE (CUSTOMERNUMBER));

ALTER TABLE CUSTOMERRELATNSHIP ADD (
  CONSTRAINT XPKCUSTRELATNSHIP
 PRIMARY KEY
 (PARTYRELATNSHIPID));

ALTER TABLE CUSTSTATUS ADD (
  CONSTRAINT XPKCUSTSTATUS
 PRIMARY KEY
 (CODE));

ALTER TABLE CUSTVALUE ADD (
  CONSTRAINT XPKCUSTVALUE
 PRIMARY KEY
 (CODE));

ALTER TABLE DATEDIDENT ADD (
  CONSTRAINT XPKDATEDIDENT
 PRIMARY KEY
 (ID));

ALTER TABLE DATEDIDENTTYPE ADD (
  CONSTRAINT XPKDATEDIDENTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE DELEGATEACCESSTYPE ADD (
  CONSTRAINT XPKDELGTACCESSTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE DELEGATERELATNSHIP ADD (
  CONSTRAINT XPKDELGTRELATNSHIP
 PRIMARY KEY
 (PARTYRELATIONSHIPID));

ALTER TABLE DELEGATETABLE ADD (
  CONSTRAINT XPKDELEGATETABLE
 PRIMARY KEY
 (PARTYROLEID));

ALTER TABLE EADDRESS ADD (
  CONSTRAINT XPKEADDRESS
 PRIMARY KEY
 (CONTACTINFOID));

ALTER TABLE EADDRESSTYPE ADD (
  CONSTRAINT XPKEADDRESSTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE EBCINTERACTION ADD (
  CONSTRAINT XPKEBCINTERACTION
 PRIMARY KEY
 (ID));

ALTER TABLE EBCINTERACTIONCOM ADD (
  CONSTRAINT XPKEBCINTRCTNCOM
 PRIMARY KEY
 (ID));

ALTER TABLE EICASE ADD (
  CONSTRAINT XPKEICASE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKEICASE1
 UNIQUE (CASENUMBER));

ALTER TABLE EICOMDATA ADD (
  CONSTRAINT XPKEICOMDATA
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMEVENT ADD (
  CONSTRAINT XPKEICOMEVENT
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMMENT ADD (
  CONSTRAINT XPKEICOMMENT
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMMUNICATION ADD (
  CONSTRAINT XPKEICOMMUNICATION
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMPARTICIPANT ADD (
  CONSTRAINT XPKEICOMPRTCPNT
 PRIMARY KEY
 (ID));

ALTER TABLE GENDER ADD (
  CONSTRAINT XPKGENDER
 PRIMARY KEY
 (CODE));

ALTER TABLE GEOBNDRYCURRENCY ADD (
  CONSTRAINT XPKGEOBNDRYCURR
 PRIMARY KEY
 (ID));

ALTER TABLE GEOBNDRYTYPE ADD (
  CONSTRAINT XPKGEOBNDRYTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE GEOBOUNDARY ADD (
  CONSTRAINT XPKGEOBOUNDARY
 PRIMARY KEY
 (ID));

ALTER TABLE GEOBOUNDARYASSOC ADD (
  CONSTRAINT XPKGEOBNDRYASSOC
 PRIMARY KEY
 (ID));

ALTER TABLE GUIDE ADD (
  CONSTRAINT XPKGUIDE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKGUIDE1
 UNIQUE (GUIDETYPECODE, LANGUAGEISOCODE, GUIDEKEYNAME));

ALTER TABLE GUIDETYPE ADD (
  CONSTRAINT XPKGUIDETYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE HONORIFICTITLE ADD (
  CONSTRAINT XPKHONORIFICTITLE
 PRIMARY KEY
 (CODE));

ALTER TABLE INSTRUCTIONSTEP ADD (
  CONSTRAINT XPKINSTRUCTIONSTEP
 PRIMARY KEY
 (ID));

ALTER TABLE INTRCTNSTATE ADD (
  CONSTRAINT XPKINTRCTNSTATE
 PRIMARY KEY
 (CODE));

ALTER TABLE INTRCTNTYPE ADD (
  CONSTRAINT XPKINTRCTNTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE LINEITEMSTATUS ADD (
  CONSTRAINT XPKLINEITEMSTATUS
 PRIMARY KEY
 (CODE));

ALTER TABLE MARITALSTATUS ADD (
  CONSTRAINT XPKMARITALSTATUS
 PRIMARY KEY
 (CODE));

ALTER TABLE MEDIATYPE ADD (
  CONSTRAINT XPKMEDIATYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE MONETARYUOM ADD (
  CONSTRAINT XPKMONETARYUOM
 PRIMARY KEY
 (CODE));

ALTER TABLE NAMESUFFIX ADD (
  CONSTRAINT XPKNAMESUFFIX
 PRIMARY KEY
 (CODE));

ALTER TABLE NOTETYPE ADD (
  CONSTRAINT XPKNOTETYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE OFFERING ADD (
  CONSTRAINT XPKOFFERING
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGCATEGORY ADD (
  CONSTRAINT XPKOFFERINGCATGRY
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGHIERARCHY ADD (
  CONSTRAINT XPKOFFERINGHRCHY
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGVIEW ADD (
  CONSTRAINT XPKOFFERINGVIEW
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERBILLING ADD (
  CONSTRAINT XPKORDERBILLING
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERCONTACTINFO ADD (
  CONSTRAINT XPKORDCONTACTINFO
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERDELIVERY ADD (
  CONSTRAINT XPKORDERDELIVERY
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERDELIVERYSIG ADD (
  CONSTRAINT XPKORDERDELVRYSIG
 PRIMARY KEY
 (ID));

ALTER TABLE ORDEREADDRESS ADD (
  CONSTRAINT XPKORDEREADDRESS
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKORDEREADDRESS1
 UNIQUE (ORDERCONTACTINFOID, EADDRESSTYPECODE));

ALTER TABLE ORDERHEADER ADD (
  CONSTRAINT XPKORDERHEADER
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKORDERHEADER1
 UNIQUE (ORDERNUMBER));

ALTER TABLE ORDERLINEITEM ADD (
  CONSTRAINT XPKORDERLINEITEM
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERLINEITEMDTL ADD (
  CONSTRAINT XPKORDERLINEITMDTL
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERLINEITEMRMA ADD (
  CONSTRAINT XPKORDLINEITEMRMA
 PRIMARY KEY
 (ID));

ALTER TABLE ORDERPOSTALADDRESS ADD (
  CONSTRAINT XPKORDERPOSTALADDR
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKORDPOSTALADDR1
 UNIQUE (ORDERCONTACTINFOID));

ALTER TABLE ORDERRMA ADD (
  CONSTRAINT XPKORDERRMA
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKORDERRMA1
 UNIQUE (RMANUMBER));

ALTER TABLE ORDERSTATUS ADD (
  CONSTRAINT XPKORDERSTATUS
 PRIMARY KEY
 (CODE));

ALTER TABLE ORDERTELECOMNUM ADD (
  CONSTRAINT XPKORDERTELECOMNUM
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKORDTELECOMNUM1
 UNIQUE (ORDERCONTACTINFOID, TELECOMNUMTYPECODE));

ALTER TABLE ORDERTYPE ADD (
  CONSTRAINT XPKORDERTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE ORGANIZATION ADD (
  CONSTRAINT XPKORGANIZATION
 PRIMARY KEY
 (PARTYID));

ALTER TABLE ORGUNIT ADD (
  CONSTRAINT XPKORGUNIT
 PRIMARY KEY
 (PARTYROLEID));

ALTER TABLE ORGUNITTYPE ADD (
  CONSTRAINT XPKORGUNITTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PART ADD (
  CONSTRAINT XPKPART
 PRIMARY KEY
 (ID));

ALTER TABLE PARTY ADD (
  CONSTRAINT XPKPARTY
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPARTY1
 UNIQUE (GOVERNMENTIDNUMBER));

ALTER TABLE PARTYACCOUNTROLE ADD (
  CONSTRAINT XPKPARTYACCTROLE
 PRIMARY KEY
 (PARTYID, ACCOUNTID, ACCTROLETYPECODE));

ALTER TABLE PARTYCONTACTINFO ADD (
  CONSTRAINT XPKPRTYCONTACTINFO
 PRIMARY KEY
 (ID));

ALTER TABLE PARTYRELATNSHIP ADD (
  CONSTRAINT XPKPARTYRELATNSHIP
 PRIMARY KEY
 (ID));

ALTER TABLE PARTYRELATNSHIPROL ADD (
  CONSTRAINT XPKPARTYRELATNROLE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPARTYRELATNROL1
 UNIQUE (PRIMEPARTYROLEID, RELATEDPARTYROLEID));

ALTER TABLE PARTYROLE ADD (
  CONSTRAINT XPKPARTYROLE
 PRIMARY KEY
 (ID));

ALTER TABLE PARTYROLENOTE ADD (
  CONSTRAINT XPKPARTYROLENOTE
 PRIMARY KEY
 (ID));

ALTER TABLE PARTYROLETYPE ADD (
  CONSTRAINT XPKPARTYROLETYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PARTYTYPE ADD (
  CONSTRAINT XPKPARTYTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PAYMENTMETHOD ADD (
  CONSTRAINT XPKPAYMENTMETHOD
 PRIMARY KEY
 (ID));

ALTER TABLE PAYMENTTYPE ADD (
  CONSTRAINT XPKPAYMENTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PERSON ADD (
  CONSTRAINT XPKPERSON
 PRIMARY KEY
 (PARTYID));

ALTER TABLE PICKLIST ADD (
  CONSTRAINT XPKPICKLIST
 PRIMARY KEY
 (CODE, CODEGROUP));

ALTER TABLE POSTALADDRESS ADD (
  CONSTRAINT XPKPOSTALADDRESS
 PRIMARY KEY
 (CONTACTINFOID));

ALTER TABLE PRODCATALOGITEM ADD (
  CONSTRAINT XPKPRODCATALOGITEM
 PRIMARY KEY
 (ID));

ALTER TABLE PRODCATEGORYITEM ADD (
  CONSTRAINT XPKPRODCATEGORYITM
 PRIMARY KEY
 (ID));

ALTER TABLE PRODDETAILTYPE ADD (
  CONSTRAINT XPKPRODDETAILTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PRODDETAILVALUE ADD (
  CONSTRAINT XPKPRODDETAILVALUE
 PRIMARY KEY
 (ID));

ALTER TABLE PRODDTLHIERARCHY ADD (
  CONSTRAINT XPKPRODDTLHRCHY
 PRIMARY KEY
 (ID));

ALTER TABLE PRODMMEDIADESC ADD (
  CONSTRAINT XPKPRODMMEDIADESC
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCT ADD (
  CONSTRAINT XPKPRODUCT
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPRODUCT1
 UNIQUE (PRODUCTNUMBER));

ALTER TABLE PRODUCTCATALOG ADD (
  CONSTRAINT XPKPRODUCTCATALOG
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPRODUCTCATALOG1
 UNIQUE (CATALOGNUMBER));

ALTER TABLE PRODUCTCATEGORY ADD (
  CONSTRAINT XPKPRODUCTCATEGORY
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTCROSSSELL ADD (
  CONSTRAINT XPKPRODCROSSSELL
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTDETAIL ADD (
  CONSTRAINT XPKPRODUCTDETAIL
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTPACKAGE ADD (
  CONSTRAINT XPKPRODUCTPACKAGE
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTPART ADD (
  CONSTRAINT XPKPRODUCTPART
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTPREFERENCE ADD (
  CONSTRAINT XPKPRODPREFERENCE
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTSUBSTITUTE ADD (
  CONSTRAINT XPKPRODSUBSTITUTE
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTTYPE ADD (
  CONSTRAINT XPKPRODUCTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PROMPT ADD (
  CONSTRAINT XPKPROMPT
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPROMPT1
 UNIQUE (GUIDEID, PROMPTKEYNAME));

ALTER TABLE PRTYRELATNTYPE ADD (
  CONSTRAINT XPKPARTYRELATNTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PRTYRELATNTYPEROLE ADD (
  CONSTRAINT XPKPRTYRELTNTYPROL
 PRIMARY KEY
 (PRTYRELATNTYPECODE, PARTYROLETYPECODE, PRIMARYROLEFLAG));

ALTER TABLE RMATYPE ADD (
  CONSTRAINT XPKRMATYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE SCRIPT ADD (
  CONSTRAINT XPKSCRIPT
 PRIMARY KEY
 (GUIDEID));

ALTER TABLE TELECOMNUMBER ADD (
  CONSTRAINT XPKTELECOMNUMBER
 PRIMARY KEY
 (CONTACTINFOID));

ALTER TABLE TELECOMNUMTYPE ADD (
  CONSTRAINT XPKTELECOMNUMTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE TELEPHONEINFO ADD (
  CONSTRAINT XPKTELEPHONEINFO
 PRIMARY KEY
 (ID));

ALTER TABLE ACDPROPERTY ADD (
  CONSTRAINT FK_ACDPROPACDQUEUE 
 FOREIGN KEY (ACDQUEUEID) 
 REFERENCES ACDQUEUE (ID));

ALTER TABLE ACDQUEUE ADD (
  CONSTRAINT FK_ACDQUEUELANG 
 FOREIGN KEY (LANGUAGEID) 
 REFERENCES LANGUAGES (ID));

ALTER TABLE CONTACTADDRESS ADD (
  CONSTRAINT FK_CONTADDRCONTACT 
 FOREIGN KEY (CONTACT_ID) 
 REFERENCES CONTACT (CONTACT_ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_CONTADDRCOUNTRY 
 FOREIGN KEY (COUNTRY_CODE) 
 REFERENCES COUNTRY (COUNTRY_CODE));

ALTER TABLE CONTACTINFO2 ADD (
  CONSTRAINT FK_CONTINFO2CONT 
 FOREIGN KEY (CONTACT_ID) 
 REFERENCES CONTACT (CONTACT_ID)
    ON DELETE CASCADE);

ALTER TABLE CTIUSERACD ADD (
  CONSTRAINT FK_CTIUSERACD2 
 FOREIGN KEY (ACDQUEUEID) 
 REFERENCES ACDQUEUE (ID),
  CONSTRAINT FK_CTIUSERACD1 
 FOREIGN KEY (CTIUSERINFOID) 
 REFERENCES CTIUSERINFO (ID));

ALTER TABLE CTIUSERINFO ADD (
  CONSTRAINT FK_CTIUSERUSRINFO 
 FOREIGN KEY (USERINFOID) 
 REFERENCES USERINFO (USERID));

ALTER TABLE DEVICE ADD (
  CONSTRAINT FK_DEVICESTATION 
 FOREIGN KEY (STATIONID) 
 REFERENCES STATION (ID));

ALTER TABLE GROUPCONTACT ADD (
  CONSTRAINT FK_GRPCONTCONTACT 
 FOREIGN KEY (CONTACT_ID) 
 REFERENCES CONTACT (CONTACT_ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_GRPCONTGRPINFO 
 FOREIGN KEY (GROUPID) 
 REFERENCES GROUPINFO (GROUPID));

ALTER TABLE GROUPINFO ADD (
  CONSTRAINT FK_GRPINFOGRPTYPE 
 FOREIGN KEY (GROUPTYPEID) 
 REFERENCES GROUPTYPE (GROUPTYPEID));

ALTER TABLE GROUPMETADATA ADD (
  CONSTRAINT FK_GRPMETAGRPINFO 
 FOREIGN KEY (GROUPID) 
 REFERENCES GROUPINFO (GROUPID)
    ON DELETE CASCADE,
  CONSTRAINT FK_GRPMETAMKEY 
 FOREIGN KEY (MKID) 
 REFERENCES METAKEY (MKID),
  CONSTRAINT FK_GRPMETAMASSOC 
 FOREIGN KEY (MID) 
 REFERENCES METAASSOC (MID));

ALTER TABLE JXWFINISHEDTASK ADD (
  CONSTRAINT FK_FNSHDTASKWFLOW 
 FOREIGN KEY (PID_) 
 REFERENCES JXWFINISHEDWFLOW (PID_)
    ON DELETE CASCADE);

ALTER TABLE JXWTASK ADD (
  CONSTRAINT FK_JXWTASKWFLOW 
 FOREIGN KEY (PID_) 
 REFERENCES JXWWFLOW (PID_)
    ON DELETE CASCADE);

ALTER TABLE JXWTASKPROPERTY ADD (
  CONSTRAINT FK_JXWTASKPROPTASK 
 FOREIGN KEY (PID_, TID_) 
 REFERENCES JXWTASK (PID_,TID_)
    ON DELETE CASCADE);

ALTER TABLE METAASSOC ADD (
  CONSTRAINT FK_METAASSOCMKEY 
 FOREIGN KEY (MKID) 
 REFERENCES METAKEY (MKID)
    ON DELETE CASCADE);

ALTER TABLE METAKEY ADD (
  CONSTRAINT FK_METAKEYMCATGRY 
 FOREIGN KEY (METACATEGORYID) 
 REFERENCES METACATEGORY (ID));

ALTER TABLE METARULE ADD (
  CONSTRAINT FK_METARULEMASSOC1 
 FOREIGN KEY (MID1) 
 REFERENCES METAASSOC (MID)
    ON DELETE CASCADE,
  CONSTRAINT FK_METARULEMASSOC2 
 FOREIGN KEY (MID2) 
 REFERENCES METAASSOC (MID)
    ON DELETE CASCADE);

ALTER TABLE PASSWORDHISTORY ADD (
  CONSTRAINT FK_PWDHISTUSRINFO 
 FOREIGN KEY (USERID) 
 REFERENCES USERINFO (USERID));

ALTER TABLE QUEUEINFO ADD (
  CONSTRAINT FK_QUEINFOUSRINFO 
 FOREIGN KEY (OWNERUSERINFOID) 
 REFERENCES USERINFO (USERID));

ALTER TABLE QUEUEITEMAUDITPROP ADD (
  CONSTRAINT FK_QUEITMAUDITPROP 
 FOREIGN KEY (QUEUEITEMAUDITID) 
 REFERENCES QUEUEITEMAUDIT (ID)
    ON DELETE CASCADE);

ALTER TABLE QUEUEMETADATA ADD (
  CONSTRAINT FK_QUEUEMETAMASSOC 
 FOREIGN KEY (METAASSOCID) 
 REFERENCES METAASSOC (MID),
  CONSTRAINT FK_QUEUEMETAMKEY 
 FOREIGN KEY (METAKEYID) 
 REFERENCES METAKEY (MKID),
  CONSTRAINT FK_QUEUEMETAQUEUE 
 FOREIGN KEY (QUEUEINFOID) 
 REFERENCES QUEUEINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE QUEUEPRINCIPAL ADD (
  CONSTRAINT FK_QUEUEPRNCPLQUE 
 FOREIGN KEY (QUEUEINFOID) 
 REFERENCES QUEUEINFO (ID));

ALTER TABLE RESOURCEINFO ADD (
  CONSTRAINT FK_RESOURCEPARENT 
 FOREIGN KEY (PRNTRESOURCEINFOID) 
 REFERENCES RESOURCEINFO (ID));

ALTER TABLE RESRCMETADATA ADD (
  CONSTRAINT FK_RESRCMETAMASSOC 
 FOREIGN KEY (METAASSOCID) 
 REFERENCES METAASSOC (MID),
  CONSTRAINT FK_RESRCMETAMKEY 
 FOREIGN KEY (METAKEYID) 
 REFERENCES METAKEY (MKID),
  CONSTRAINT FK_RESRCMETARESRC 
 FOREIGN KEY (RESOURCEINFOID) 
 REFERENCES RESOURCEINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE ROLEMETADATA ADD (
  CONSTRAINT FK_ROLEMETAMKEY 
 FOREIGN KEY (MKID) 
 REFERENCES METAKEY (MKID),
  CONSTRAINT FK_ROLEMETAMASSOC 
 FOREIGN KEY (MID) 
 REFERENCES METAASSOC (MID),
  CONSTRAINT FK_ROLEMETAROLINFO 
 FOREIGN KEY (ROLEID) 
 REFERENCES ROLEINFO2 (ROLEID)
    ON DELETE CASCADE);

ALTER TABLE ROLEREPLACEMENT2 ADD (
  CONSTRAINT FK_ROLEREPLACE2ROL 
 FOREIGN KEY (ROLEID) 
 REFERENCES ROLEINFO2 (ROLEID)
    ON DELETE CASCADE);

ALTER TABLE STATE ADD (
  CONSTRAINT FK_STATECOUNTRY 
 FOREIGN KEY (COUNTRY_CODE) 
 REFERENCES COUNTRY (COUNTRY_CODE));

ALTER TABLE TYPEVALUE ADD (
  CONSTRAINT FK_TYPEVALUETYPE 
 FOREIGN KEY (TYPEID) 
 REFERENCES TYPE (ID));

ALTER TABLE USERINFO ADD (
  CONSTRAINT FK_USERINFOGRPINFO 
 FOREIGN KEY (GROUPID) 
 REFERENCES GROUPINFO (GROUPID));

ALTER TABLE USERMETADATA ADD (
  CONSTRAINT FK_USERMETAUSRINFO 
 FOREIGN KEY (USERID) 
 REFERENCES USERINFO (USERID)
    ON DELETE CASCADE,
  CONSTRAINT FK_USERMETAMKEY 
 FOREIGN KEY (MKID) 
 REFERENCES METAKEY (MKID),
  CONSTRAINT FK_USERMETAMASSOC 
 FOREIGN KEY (MID) 
 REFERENCES METAASSOC (MID));

ALTER TABLE USERROLES ADD (
  CONSTRAINT FK_USERROLEROLINFO 
 FOREIGN KEY (ROLEID) 
 REFERENCES ROLEINFO2 (ROLEID),
  CONSTRAINT FK_USERROLEUSRINFO 
 FOREIGN KEY (USERID) 
 REFERENCES USERINFO (USERID));

ALTER TABLE ACCOUNT ADD (
  CONSTRAINT FK_ACCTACCTTYPE 
 FOREIGN KEY (ACCOUNTTYPECODE) 
 REFERENCES ACCOUNTTYPE (CODE));

ALTER TABLE ACCOUNTENTRY ADD (
  CONSTRAINT FK_ACCTENTRYREVERS 
 FOREIGN KEY (REVERSEDENTRYID) 
 REFERENCES ACCOUNTENTRY (ID),
  CONSTRAINT FK_ACCTENTRYACCT 
 FOREIGN KEY (ACCOUNTID) 
 REFERENCES ACCOUNT (ID));

ALTER TABLE ACCOUNTSTATEMENT ADD (
  CONSTRAINT FK_ACCTSTMNTACCT 
 FOREIGN KEY (ACCOUNTID) 
 REFERENCES ACCOUNT (ID));

ALTER TABLE CONTACTINFO ADD (
  CONSTRAINT FK_CONTACTINFOTYPE 
 FOREIGN KEY (CONTMTHDTYPECODE) 
 REFERENCES CONTMTHDTYPE (CODE));

ALTER TABLE CRDTCARDACCTENTRY ADD (
  CONSTRAINT FK_CRDTCRDACTENTRY 
 FOREIGN KEY (ACCOUNTENTRYID) 
 REFERENCES ACCOUNTENTRY (ID));

ALTER TABLE CUSTOMER ADD (
  CONSTRAINT FK_CUSTOMERROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_CUSTCUSTVALUE 
 FOREIGN KEY (CUSTVALUECODE) 
 REFERENCES CUSTVALUE (CODE),
  CONSTRAINT FK_CUSTCUSTHNDLNG 
 FOREIGN KEY (CUSTHANDLINGCODE) 
 REFERENCES CUSTHANDLING (CODE),
  CONSTRAINT FK_CUSTCUSTSTATUS 
 FOREIGN KEY (CUSTSTATUSCODE) 
 REFERENCES CUSTSTATUS (CODE));

ALTER TABLE CUSTOMERRELATNSHIP ADD (
  CONSTRAINT FK_CUSTRELATNSHIP 
 FOREIGN KEY (PARTYRELATNSHIPID) 
 REFERENCES PARTYRELATNSHIP (ID));

ALTER TABLE DATEDIDENT ADD (
  CONSTRAINT FK_DATEDIDENTPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_DATEDIDENTTYPE 
 FOREIGN KEY (IDENTTYPECODE) 
 REFERENCES DATEDIDENTTYPE (CODE));

ALTER TABLE DELEGATERELATNSHIP ADD (
  CONSTRAINT FK_DELGTRELTNSHIP1 
 FOREIGN KEY (PARTYRELATIONSHIPID) 
 REFERENCES PARTYRELATNSHIP (ID),
  CONSTRAINT FK_DELGTRELTNSHIP2 
 FOREIGN KEY (ACCESSTYPECODE) 
 REFERENCES DELEGATEACCESSTYPE (CODE));

ALTER TABLE DELEGATETABLE ADD (
  CONSTRAINT FK_DELEGATETABLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES PARTYROLE (ID));

ALTER TABLE EADDRESS ADD (
  CONSTRAINT FK_EADDRCONTINFO 
 FOREIGN KEY (CONTACTINFOID) 
 REFERENCES CONTACTINFO (ID),
  CONSTRAINT FK_EADDRESSTYPE 
 FOREIGN KEY (EADDRESSTYPECODE) 
 REFERENCES EADDRESSTYPE (CODE));

ALTER TABLE EBCINTERACTION ADD (
  CONSTRAINT FK_EBCINTRCTNROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_EBCINTRCTNACCT 
 FOREIGN KEY (ACCOUNTID) 
 REFERENCES ACCOUNT (ID),
  CONSTRAINT FK_EBCINTRCTNSTATE 
 FOREIGN KEY (INTRCTNSTATECODE) 
 REFERENCES INTRCTNSTATE (CODE),
  CONSTRAINT FK_EBCINTRCTNTYPE 
 FOREIGN KEY (INTRCTNTYPECODE) 
 REFERENCES INTRCTNTYPE (CODE),
  CONSTRAINT FK_EBCINTRCTNCASE 
 FOREIGN KEY (EICASEID) 
 REFERENCES EICASE (ID));

ALTER TABLE EBCINTERACTIONCOM ADD (
  CONSTRAINT FK_EBCINTRCTNCOM1 
 FOREIGN KEY (EBCINTERACTIONID) 
 REFERENCES EBCINTERACTION (ID),
  CONSTRAINT FK_EBCINTRCTNCOM2 
 FOREIGN KEY (EICOMMUNICATIONID) 
 REFERENCES EICOMMUNICATION (ID));

ALTER TABLE EICASE ADD (
  CONSTRAINT FK_EICASEMERGED 
 FOREIGN KEY (MERGEDTOCASEID) 
 REFERENCES EICASE (ID));

ALTER TABLE EICOMDATA ADD (
  CONSTRAINT FK_EICOMDATAEICOM 
 FOREIGN KEY (EICOMMUNICATIONID) 
 REFERENCES EICOMMUNICATION (ID));

ALTER TABLE EICOMEVENT ADD (
  CONSTRAINT FK_COMEVNTEVNTTYPE 
 FOREIGN KEY (COMEVENTTYPECODE) 
 REFERENCES COMEVENTTYPE (CODE),
  CONSTRAINT FK_EICOMEVENTEICOM 
 FOREIGN KEY (EICOMMUNICATIONID) 
 REFERENCES EICOMMUNICATION (ID));

ALTER TABLE EICOMMENT ADD (
  CONSTRAINT FK_EICOMMENTEBCI 
 FOREIGN KEY (EBCINTERACTIONID) 
 REFERENCES EBCINTERACTION (ID));

ALTER TABLE EICOMMUNICATION ADD (
  CONSTRAINT FK_EICOMCOMTYPE 
 FOREIGN KEY (COMTYPECODE) 
 REFERENCES COMTYPE (CODE));

ALTER TABLE EICOMPARTICIPANT ADD (
  CONSTRAINT FK_COMPRTCPNTTYPE 
 FOREIGN KEY (COMPRTCPNTTYPECODE) 
 REFERENCES COMPRTCPNTTYPE (CODE),
  CONSTRAINT FK_COMPRTCPNTEVNT 
 FOREIGN KEY (EICOMEVENTID) 
 REFERENCES EICOMEVENT (ID));

ALTER TABLE GEOBNDRYCURRENCY ADD (
  CONSTRAINT FK_GEOBNDRYCURRGEO 
 FOREIGN KEY (GEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID),
  CONSTRAINT FK_GEOBNDRYCURRCUR 
 FOREIGN KEY (COMMONCURRENCYID) 
 REFERENCES COMMONCURRENCY (ID));

ALTER TABLE GEOBOUNDARY ADD (
  CONSTRAINT FK_GEOBNDRYGEOTYPE 
 FOREIGN KEY (GEOBNDRYTYPECODE) 
 REFERENCES GEOBNDRYTYPE (CODE));

ALTER TABLE GEOBOUNDARYASSOC ADD (
  CONSTRAINT FK_GEOBNDRYASSOC2 
 FOREIGN KEY (ASSOCGEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID),
  CONSTRAINT FK_GEOBNDRYASSOC1 
 FOREIGN KEY (GEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID));

ALTER TABLE GUIDE ADD (
  CONSTRAINT FK_GUIDEGUIDETYPE 
 FOREIGN KEY (GUIDETYPECODE) 
 REFERENCES GUIDETYPE (CODE));

ALTER TABLE INSTRUCTIONSTEP ADD (
  CONSTRAINT FK_INSTRSTEPGUIDE 
 FOREIGN KEY (GUIDEID) 
 REFERENCES GUIDE (ID));

ALTER TABLE OFFERING ADD (
  CONSTRAINT FK_OFRNGPRODCATGRY 
 FOREIGN KEY (PRODUCTCATEGORYID) 
 REFERENCES PRODUCTCATEGORY (ID));

ALTER TABLE OFFERINGHIERARCHY ADD (
  CONSTRAINT FK_OFRNGHRCHVIEW 
 FOREIGN KEY (OFFERINGVIEWID) 
 REFERENCES OFFERINGVIEW (ID),
  CONSTRAINT FK_OFRNGHRCHCATGRY 
 FOREIGN KEY (OFFERINGCATEGORYID) 
 REFERENCES OFFERINGCATEGORY (ID),
  CONSTRAINT FK_OFRNGHRCHYPRNT 
 FOREIGN KEY (PARENTHIERARCHYID) 
 REFERENCES OFFERINGHIERARCHY (ID),
  CONSTRAINT FK_OFRNGHRCHOFRNG 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID));

ALTER TABLE ORDERBILLING ADD (
  CONSTRAINT FK_ORDBLLNGPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_ORDBLLNGORDHDR 
 FOREIGN KEY (ORDERHEADERID) 
 REFERENCES ORDERHEADER (ID));

ALTER TABLE ORDERCONTACTINFO ADD (
  CONSTRAINT FK_ORDCONTACTTYPE 
 FOREIGN KEY (CONTACTTYPECODE) 
 REFERENCES CONTACTTYPE (CODE),
  CONSTRAINT FK_ORDCONTACTHDR 
 FOREIGN KEY (ORDERHEADERID) 
 REFERENCES ORDERHEADER (ID));

ALTER TABLE ORDERDELIVERY ADD (
  CONSTRAINT FK_ORDDLVRYPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_ORDDLVRYORDHDR 
 FOREIGN KEY (ORDERHEADERID) 
 REFERENCES ORDERHEADER (ID));

ALTER TABLE ORDERDELIVERYSIG ADD (
  CONSTRAINT FK_ORDDLVRYSIGHDR 
 FOREIGN KEY (ORDERHEADERID) 
 REFERENCES ORDERHEADER (ID));

ALTER TABLE ORDEREADDRESS ADD (
  CONSTRAINT FK_ORDEADDRESSTYPE 
 FOREIGN KEY (EADDRESSTYPECODE) 
 REFERENCES EADDRESSTYPE (CODE),
  CONSTRAINT FK_ORDEADDRCONTACT 
 FOREIGN KEY (ORDERCONTACTINFOID) 
 REFERENCES ORDERCONTACTINFO (ID));

ALTER TABLE ORDERHEADER ADD (
  CONSTRAINT FK_ORDHDRORDSTATUS 
 FOREIGN KEY (ORDERSTATUSCODE) 
 REFERENCES ORDERSTATUS (CODE),
  CONSTRAINT FK_ORDHDRORDTYPE 
 FOREIGN KEY (ORDERTYPECODE) 
 REFERENCES ORDERTYPE (CODE),
  CONSTRAINT FK_ORDHDRPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE ORDERLINEITEM ADD (
  CONSTRAINT FK_ORDLINITMSTATUS 
 FOREIGN KEY (LINEITEMSTATUSCODE) 
 REFERENCES LINEITEMSTATUS (CODE),
  CONSTRAINT FK_ORDLINITMPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_ORDLINITMORDHDR 
 FOREIGN KEY (ORDERHEADERID) 
 REFERENCES ORDERHEADER (ID));

ALTER TABLE ORDERLINEITEMDTL ADD (
  CONSTRAINT FK_ORDLINITMDTLITM 
 FOREIGN KEY (ORDERLINEITEMID) 
 REFERENCES ORDERLINEITEM (ID));

ALTER TABLE ORDERLINEITEMRMA ADD (
  CONSTRAINT FK_ORDLINITMRMARMA 
 FOREIGN KEY (ORDERRMAID) 
 REFERENCES ORDERRMA (ID),
  CONSTRAINT FK_ORDLINITMRMAITM 
 FOREIGN KEY (ORDERLINEITEMID) 
 REFERENCES ORDERLINEITEM (ID));

ALTER TABLE ORDERPOSTALADDRESS ADD (
  CONSTRAINT FK_ORDPSTLCONTACT 
 FOREIGN KEY (ORDERCONTACTINFOID) 
 REFERENCES ORDERCONTACTINFO (ID));

ALTER TABLE ORDERRMA ADD (
  CONSTRAINT FK_ORDERRMARMATYPE 
 FOREIGN KEY (RMATYPECODE) 
 REFERENCES RMATYPE (CODE));

ALTER TABLE ORDERTELECOMNUM ADD (
  CONSTRAINT FK_ORDTELECOMTYPE 
 FOREIGN KEY (TELECOMNUMTYPECODE) 
 REFERENCES TELECOMNUMTYPE (CODE),
  CONSTRAINT FK_ORDTELECONTACT 
 FOREIGN KEY (ORDERCONTACTINFOID) 
 REFERENCES ORDERCONTACTINFO (ID));

ALTER TABLE ORGANIZATION ADD (
  CONSTRAINT FK_ORGPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE ORGUNIT ADD (
  CONSTRAINT FK_ORGUNITROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_ORGUNITTYPE 
 FOREIGN KEY (ORGUNITTYPECODE) 
 REFERENCES ORGUNITTYPE (CODE));

ALTER TABLE PARTY ADD (
  CONSTRAINT FK_PARTYPARTYTYPE 
 FOREIGN KEY (OBJECTTYPECODE) 
 REFERENCES PARTYTYPE (CODE));

ALTER TABLE PARTYACCOUNTROLE ADD (
  CONSTRAINT FK_PRTYACCTROLETYP 
 FOREIGN KEY (ACCTROLETYPECODE) 
 REFERENCES ACCTROLETYPE (CODE),
  CONSTRAINT FK_PRTYACCTROLPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PRTYACCTROLACCT 
 FOREIGN KEY (ACCOUNTID) 
 REFERENCES ACCOUNT (ID));

ALTER TABLE PARTYCONTACTINFO ADD (
  CONSTRAINT FK_PARTYCONTINFO2 
 FOREIGN KEY (CONTACTINFOID) 
 REFERENCES CONTACTINFO (ID),
  CONSTRAINT FK_PRTYCONTINFOTYP 
 FOREIGN KEY (CONTACTTYPECODE) 
 REFERENCES CONTACTTYPE (CODE),
  CONSTRAINT FK_PARTYCONTINFO1 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PARTYRELATNSHIP ADD (
  CONSTRAINT FK_PARTYRELATNTYPE 
 FOREIGN KEY (OBJECTTYPECODE) 
 REFERENCES PRTYRELATNTYPE (CODE));

ALTER TABLE PARTYRELATNSHIPROL ADD (
  CONSTRAINT FK_PRTYRELATNRROL2 
 FOREIGN KEY (RELATEDPARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_PRTYRELATNRROL1 
 FOREIGN KEY (PRIMEPARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_PRTYRELATNRREL 
 FOREIGN KEY (PARTYRELATNSHIPID) 
 REFERENCES PARTYRELATNSHIP (ID));

ALTER TABLE PARTYROLE ADD (
  CONSTRAINT FK_PARTYROLEPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PARTYROLETYPE 
 FOREIGN KEY (OBJECTTYPECODE) 
 REFERENCES PARTYROLETYPE (CODE));

ALTER TABLE PARTYROLENOTE ADD (
  CONSTRAINT FK_PRTYROLNOTEROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES PARTYROLE (ID),
  CONSTRAINT FK_PRTYROLNOTETYPE 
 FOREIGN KEY (NOTETYPECODE) 
 REFERENCES NOTETYPE (CODE));

ALTER TABLE PAYMENTMETHOD ADD (
  CONSTRAINT FK_PAYMENTMTHDUOM 
 FOREIGN KEY (MONETARYUOMCODE) 
 REFERENCES MONETARYUOM (CODE),
  CONSTRAINT FK_PAYMENTMTHDTYPE 
 FOREIGN KEY (PAYMENTTYPECODE) 
 REFERENCES PAYMENTTYPE (CODE),
  CONSTRAINT FK_PAYMENTMTHDPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PERSON ADD (
  CONSTRAINT FK_PERSONPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PERSONSUFFIX 
 FOREIGN KEY (NAMESUFFIXCODE) 
 REFERENCES NAMESUFFIX (CODE),
  CONSTRAINT FK_PERSONGENDER 
 FOREIGN KEY (GENDERCODE) 
 REFERENCES GENDER (CODE),
  CONSTRAINT FK_PERSONTITLE 
 FOREIGN KEY (HONORIFICTITLECODE) 
 REFERENCES HONORIFICTITLE (CODE),
  CONSTRAINT FK_PERSONMARITAL 
 FOREIGN KEY (MARITALSTATUSCODE) 
 REFERENCES MARITALSTATUS (CODE));

ALTER TABLE POSTALADDRESS ADD (
  CONSTRAINT FK_POSTALCONTINFO 
 FOREIGN KEY (CONTACTINFOID) 
 REFERENCES CONTACTINFO (ID));

ALTER TABLE PRODCATALOGITEM ADD (
  CONSTRAINT FK_ITEMCATALOG 
 FOREIGN KEY (PRODUCTCATALOGID) 
 REFERENCES PRODUCTCATALOG (ID),
  CONSTRAINT FK_ITEMCATLGPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODCATEGORYITEM ADD (
  CONSTRAINT FK_PRODCATGRYITEM2 
 FOREIGN KEY (PRODUCTCATEGORYID) 
 REFERENCES PRODUCTCATEGORY (ID),
  CONSTRAINT FK_PRODCATGRYITEM1 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODDTLHIERARCHY ADD (
  CONSTRAINT FK_PRODDTLHRCHYVAL 
 FOREIGN KEY (PRODDETAILVALUEID) 
 REFERENCES PRODDETAILVALUE (ID),
  CONSTRAINT FK_PRODDTLHRCHYDTL 
 FOREIGN KEY (PRODUCTDETAILID) 
 REFERENCES PRODUCTDETAIL (ID),
  CONSTRAINT FK_PRODDTLHRCHPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_PRODDTLHRCHPRNT 
 FOREIGN KEY (PARENTHIERARCHYID) 
 REFERENCES PRODDTLHIERARCHY (ID));

ALTER TABLE PRODMMEDIADESC ADD (
  CONSTRAINT FK_PRODMMDESCTYPE 
 FOREIGN KEY (MEDIATYPECODE) 
 REFERENCES MEDIATYPE (CODE),
  CONSTRAINT FK_PRODMMDESCPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODUCT ADD (
  CONSTRAINT FK_PRODPRODTYPE 
 FOREIGN KEY (PRODUCTTYPECODE) 
 REFERENCES PRODUCTTYPE (CODE),
  CONSTRAINT FK_PRODUCTPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PRODUCTCATALOG ADD (
  CONSTRAINT FK_PRODCATALOGPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PRODUCTCROSSSELL ADD (
  CONSTRAINT FK_PRODCROSSSELL2 
 FOREIGN KEY (CROSSSELLPRODUCTID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_PRODCROSSSELL1 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODUCTDETAIL ADD (
  CONSTRAINT FK_PRODDETAILTYPE 
 FOREIGN KEY (PRODDETAILTYPECODE) 
 REFERENCES PRODDETAILTYPE (CODE));

ALTER TABLE PRODUCTPACKAGE ADD (
  CONSTRAINT FK_PRODPACKAGE1 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_PRODPACKAGE2 
 FOREIGN KEY (SUBPRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODUCTPART ADD (
  CONSTRAINT FK_PRODUCTPARTPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_PRODUCTPARTPART 
 FOREIGN KEY (PARTID) 
 REFERENCES PART (ID));

ALTER TABLE PRODUCTPREFERENCE ADD (
  CONSTRAINT FK_PRODPREFPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PRODPREFPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODUCTSUBSTITUTE ADD (
  CONSTRAINT FK_PRODSUBSTITUTE2 
 FOREIGN KEY (SUBSTITUTEPRODID) 
 REFERENCES PRODUCT (ID),
  CONSTRAINT FK_PRODSUBSTITUTE1 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PROMPT ADD (
  CONSTRAINT FK_PROMPTGUIDE 
 FOREIGN KEY (GUIDEID) 
 REFERENCES GUIDE (ID));

ALTER TABLE PRTYRELATNTYPEROLE ADD (
  CONSTRAINT FK_RELATNTYPEROLE2 
 FOREIGN KEY (PARTYROLETYPECODE) 
 REFERENCES PARTYROLETYPE (CODE),
  CONSTRAINT FK_RELATNTYPEROLE1 
 FOREIGN KEY (PRTYRELATNTYPECODE) 
 REFERENCES PRTYRELATNTYPE (CODE));

ALTER TABLE SCRIPT ADD (
  CONSTRAINT FK_SCRIPTGUIDE 
 FOREIGN KEY (GUIDEID) 
 REFERENCES GUIDE (ID));

ALTER TABLE TELECOMNUMBER ADD (
  CONSTRAINT FK_TELECOMCONTINFO 
 FOREIGN KEY (CONTACTINFOID) 
 REFERENCES CONTACTINFO (ID),
  CONSTRAINT FK_TELECOMNUMTYPE 
 FOREIGN KEY (TELECOMNUMTYPECODE) 
 REFERENCES TELECOMNUMTYPE (CODE));

ALTER TABLE TELEPHONEINFO ADD (
  CONSTRAINT FK_TELINFOLANG 
 FOREIGN KEY (COMMPRIMARYLANGID) 
 REFERENCES LANGUAGES (ID),
  CONSTRAINT FK_TELINFOOFFERING 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID),
  CONSTRAINT FK_TELINFOPARTY 
 FOREIGN KEY (BUSINESSENTITYID) 
 REFERENCES PARTY (ID));

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACCOUNT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACCOUNTENTRY TO PDUSER;

GRANT SELECT ON  ACCOUNTNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACCOUNTSTATEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACCOUNTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACCTROLETYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACDPROPERTY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACDQUEUE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ACE2 TO PDUSER;

GRANT SELECT ON  ADDRESS_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSDMINFO TO PDUSER;

GRANT SELECT ON  CASENUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  COMEVENTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  COMMONCURRENCY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  COMPRTCPNTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  COMTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTACT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTACTADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTACTINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTACTINFO2 TO PDUSER;

GRANT SELECT ON  CONTACTINFO_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTACTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CONTMTHDTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  COUNTRY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CRDTCARDACCTENTRY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CSZ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CTIUSERACD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CTIUSERINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CUSTHANDLING TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CUSTOMER TO PDUSER;

GRANT SELECT ON  CUSTOMERNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CUSTOMERRELATNSHIP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CUSTSTATUS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CUSTVALUE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DATEDIDENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DATEDIDENTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DEFAULTS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DELEGATEACCESSTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DELEGATERELATNSHIP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DELEGATETABLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DEVICE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DMINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EADDRESSTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EBCINTERACTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EBCINTERACTIONCOM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICASE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMDATA TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMEVENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMMUNICATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMPARTICIPANT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_ACTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_DMINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_FLOW TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_FLOW_CHART TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_FLOW_CONTEXT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_MESSAGE_TRIG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_META_VAR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_NEST_META_VAR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_PK TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_POST_OFFICE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_PUBLISHER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_READY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_RT_DATAMAP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_DELAY_RES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_DELAY_TRIG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_ERROR_RES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_JAVA_ACTN TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_LIST_ITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_META_COLL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_RELTV_EXPR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_TIMERINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_TIMER_RES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  FLX_VAR_TIMER_TRIG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GENDER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GEOBNDRYCURRENCY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GEOBNDRYTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GEOBOUNDARY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GEOBOUNDARYASSOC TO PDUSER;

GRANT EXECUTE ON  GETROOTORG2 TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GROUPCONTACT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GROUPINFO TO PDUSER;

GRANT SELECT ON  GROUPINFO_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GROUPMETADATA TO PDUSER;

GRANT SELECT ON  GROUPMETADATA_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GROUPTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GUIDE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  GUIDETYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  HONORIFICTITLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  INSTRUCTIONSTEP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  INTRCTNSTATE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  INTRCTNTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXPTEST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWFINISHEDTASK TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWFINISHEDWFLOW TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWTASK TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWTASKPROPERTY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWWFLOW TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  JXWWFLOWAUDIT TO PDUSER;

GRANT SELECT ON  JXWWFLOWPID_SEQ TO PDUSER;

GRANT SELECT ON  JXWWFLWAUDITID_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  LANGUAGES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  LINEITEMSTATUS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  LOCKMGR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  MARITALSTATUS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  MEDIATYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  METAASSOC TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  METACATEGORY TO PDUSER;

GRANT SELECT ON  METACATEGORY_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  METAKEY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  METARULE TO PDUSER;

GRANT SELECT ON  METARULE_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  MIDDLEWARESERVER TO PDUSER;

GRANT SELECT ON  MID_SEQ TO PDUSER;

GRANT SELECT ON  MKID_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  MONETARYUOM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  NAMESUFFIX TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  NOTETYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERING TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGCATEGORY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGHIERARCHY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGVIEW TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERBILLING TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERCONTACTINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERDELIVERY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERDELIVERYSIG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDEREADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERHEADER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERLINEITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERLINEITEMDTL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERLINEITEMRMA TO PDUSER;

GRANT SELECT ON  ORDERNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERPOSTALADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERRMA TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERSTATUS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERTELECOMNUM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORDERTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORGANIZATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORGUNIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORGUNITTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PART TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYACCOUNTROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYCONTACTINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYRELATNSHIP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYRELATNSHIPROL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYROLENOTE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYROLETYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PASSWORDHISTORY TO PDUSER;

GRANT SELECT ON  PASSWORDHISTORY_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PAYMENTMETHOD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PAYMENTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PERSISTENTCACHEDATA TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PERSON TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PICKLIST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  POSTALADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODCATALOGITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODCATEGORYITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODDETAILTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODDETAILVALUE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODDTLHIERARCHY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODMMEDIADESC TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCATALOG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCATEGORY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCROSSSELL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTDETAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTPACKAGE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTPART TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTPREFERENCE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTSUBSTITUTE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PROMPT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRTYRELATNTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRTYRELATNTYPEROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEINFO TO PDUSER;

GRANT SELECT ON  QUEUEINFO_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEITEMACTIVE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEITEMAUDIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEITEMAUDITPROP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEMETADATA TO PDUSER;

GRANT SELECT ON  QUEUEMETADATA_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  QUEUEPRINCIPAL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  RESOURCEINFO TO PDUSER;

GRANT SELECT ON  RESOURCEINFO_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  RESRCMETADATA TO PDUSER;

GRANT SELECT ON  RESRCMETADATA_SEQ TO PDUSER;

GRANT SELECT ON  RMANUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  RMATYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ROLEINFO2 TO PDUSER;

GRANT SELECT ON  ROLEINFO2_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ROLEMETADATA TO PDUSER;

GRANT SELECT ON  ROLEMETADATA_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ROLEREPLACEMENT2 TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  SCRIPT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  SEEDINFORMATION TO PDUSER;

GRANT SELECT ON  SEEDNUMSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  STATE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  STATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TELECOMNUMBER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TELECOMNUMTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TELEPHONEINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TYPEVALUE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  USERINFO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  USERMETADATA TO PDUSER;

GRANT SELECT ON  USERMETADATA_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  USERROLES TO PDUSER;

GRANT SELECT ON  USER_SEQ TO PDUSER;

GRANT SELECT ON  V_ACCTBYPARTY TO PDUSER;

GRANT SELECT ON  V_ACCTENTRYBYACCT TO PDUSER;

GRANT SELECT ON  V_ACDUSRRELATION TO PDUSER;

GRANT SELECT ON  V_CTIUSERINFO TO PDUSER;

GRANT SELECT ON  V_EICOMMUNICATION TO PDUSER;

GRANT SELECT ON  V_EICUSTOMERHIST TO PDUSER;

GRANT SELECT ON  V_EISEARCHCOMMENT TO PDUSER;

GRANT SELECT ON  V_EISEARCHRESULT TO PDUSER;

GRANT SELECT ON  V_GEOBNDRYASSOC TO PDUSER;

GRANT SELECT ON  V_GEOBNDRYCURRENCY TO PDUSER;

GRANT SELECT ON  V_GUIDE TO PDUSER;

GRANT SELECT ON  V_JXWTASKPROPERTY TO PDUSER;

GRANT SELECT ON  V_OFFERING TO PDUSER;

GRANT SELECT ON  V_OFFRNGHIERARCHY TO PDUSER;

GRANT SELECT ON  V_ORDEREADDRESS TO PDUSER;

GRANT SELECT ON  V_ORDERPOSTAL TO PDUSER;

GRANT SELECT ON  V_ORDERTELECOM TO PDUSER;

GRANT SELECT ON  V_PARTY TO PDUSER;

GRANT SELECT ON  V_PARTYRELATNSHIP TO PDUSER;

GRANT SELECT ON  V_PARTYROLE TO PDUSER;

GRANT SELECT ON  V_PARTYROLERELATN TO PDUSER;

GRANT SELECT ON  V_PRODCATALOGITEM TO PDUSER;

GRANT SELECT ON  V_PRODDTLHIERARCHY TO PDUSER;

GRANT SELECT ON  V_PRODUCTCATALOG TO PDUSER;

GRANT SELECT ON  V_PRODUCTCATEGORY TO PDUSER;

GRANT SELECT ON  V_PRTYRELATNTYPROL TO PDUSER;

GRANT SELECT ON  V_QUEUERECOVERY TO PDUSER;

GRANT SELECT ON  V_SMRACCTENTRYACCT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  XMLSTORAGE TO PDUSER;


--
-- Create Schema Script 
--   Database Version   : 10.2.0.1.0 
--   TOAD Version       : 9.0.1.8 
--   DB Connect String  : JXBUS 
--   Schema             : PDUSER 
--   Script Created by  : SYS 
--   Script Created at  : 22/03/2007 15:01:15 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Roles: 1           Roles: 0            Obj Privs: 0 
--   Users: 1           Roles: 1            Tablespace Quotas: 1 
-- 
--   Directories: 3 
--   Synonyms: 704 


CREATE PROFILE DEFAULT LIMIT
  SESSIONS_PER_USER UNLIMITED
  CPU_PER_SESSION UNLIMITED
  CPU_PER_CALL UNLIMITED
  CONNECT_TIME UNLIMITED
  IDLE_TIME UNLIMITED
  LOGICAL_READS_PER_SESSION UNLIMITED
  LOGICAL_READS_PER_CALL UNLIMITED
  COMPOSITE_LIMIT UNLIMITED
  PRIVATE_SGA UNLIMITED
  FAILED_LOGIN_ATTEMPTS 10
  PASSWORD_LIFE_TIME UNLIMITED
  PASSWORD_REUSE_TIME UNLIMITED
  PASSWORD_REUSE_MAX UNLIMITED
  PASSWORD_LOCK_TIME UNLIMITED
  PASSWORD_GRACE_TIME UNLIMITED
  PASSWORD_VERIFY_FUNCTION NULL;


CREATE ROLE R_CCSUSR NOT IDENTIFIED;

GRANT CREATE TABLE TO R_CCSUSR;
GRANT CREATE SESSION TO R_CCSUSR;
GRANT CREATE SYNONYM TO R_CCSUSR;


CREATE USER PDUSER
  IDENTIFIED BY VALUES 'E6A22567812B9820'
  DEFAULT TABLESPACE SBOX
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 1 Role for PDUSER 
  GRANT R_CCSUSR TO PDUSER;
  ALTER USER PDUSER DEFAULT ROLE ALL;
  -- 1 Tablespace Quota for PDUSER 
  ALTER USER PDUSER QUOTA UNLIMITED ON SBOX;
  -- 685 Object Privileges for PDUSER 
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACCOUNTENTRY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.ACCOUNTNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACCOUNTSTATEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACCOUNTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACCTROLETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACDPROPERTY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACDQUEUE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ACE2 TO PDUSER;
    GRANT SELECT ON  CCSOWNER.ADDRESS_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.BSDMINFO TO PDUSER;
    GRANT SELECT ON  CCSOWNER.CASENUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.COMEVENTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.COMMONCURRENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.COMPRTCPNTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.COMTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTACT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTACTADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTACTINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTACTINFO2 TO PDUSER;
    GRANT SELECT ON  CCSOWNER.CONTACTINFO_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTACTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CONTMTHDTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.COUNTRY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CRDTCARDACCTENTRY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CSZ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CTIUSERACD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CTIUSERINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CUSTHANDLING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CUSTOMER TO PDUSER;
    GRANT SELECT ON  CCSOWNER.CUSTOMERNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CUSTOMERRELATNSHIP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CUSTSTATUS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.CUSTVALUE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DATEDIDENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DATEDIDENTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DEFAULTS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DELEGATEACCESSTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DELEGATERELATNSHIP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DELEGATETABLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DEVICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.DMINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EADDRESSTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EBCINTERACTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EBCINTERACTIONCOM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICASE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICOMDATA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICOMEVENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICOMMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICOMMUNICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.EICOMPARTICIPANT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_ACTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_DMINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_FLOW TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_FLOW_CHART TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_FLOW_CONTEXT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_MESSAGE_TRIG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_META_VAR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_NEST_META_VAR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_PK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_POST_OFFICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_PUBLISHER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_READY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_RT_DATAMAP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_DELAY_RES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_DELAY_TRIG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_ERROR_RES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_JAVA_ACTN TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_LIST_ITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_META_COLL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_RELTV_EXPR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_TIMERINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_TIMER_RES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.FLX_VAR_TIMER_TRIG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GENDER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GEOBNDRYCURRENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GEOBNDRYTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GEOBOUNDARY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GEOBOUNDARYASSOC TO PDUSER;
    GRANT EXECUTE ON  CCSOWNER.GETROOTORG2 TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GROUPCONTACT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GROUPINFO TO PDUSER;
    GRANT SELECT ON  CCSOWNER.GROUPINFO_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GROUPMETADATA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.GROUPMETADATA_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GROUPTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GUIDE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.GUIDETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.HONORIFICTITLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.INSTRUCTIONSTEP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.INTRCTNSTATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.INTRCTNTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXPTEST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWFINISHEDTASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWFINISHEDWFLOW TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWTASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWTASKPROPERTY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWWFLOW TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.JXWWFLOWAUDIT TO PDUSER;
    GRANT SELECT ON  CCSOWNER.JXWWFLOWPID_SEQ TO PDUSER;
    GRANT SELECT ON  CCSOWNER.JXWWFLWAUDITID_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.LANGUAGES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.LINEITEMSTATUS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.LOCKMGR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.MARITALSTATUS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.MEDIATYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.METAASSOC TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.METACATEGORY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.METACATEGORY_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.METAKEY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.METARULE TO PDUSER;
    GRANT SELECT ON  CCSOWNER.METARULE_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.MIDDLEWARESERVER TO PDUSER;
    GRANT SELECT ON  CCSOWNER.MID_SEQ TO PDUSER;
    GRANT SELECT ON  CCSOWNER.MKID_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.MONETARYUOM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.NAMESUFFIX TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.NOTETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.OFFERING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.OFFERINGCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.OFFERINGHIERARCHY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.OFFERINGVIEW TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERBILLING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERCONTACTINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERDELIVERY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERDELIVERYSIG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDEREADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERHEADER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERLINEITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERLINEITEMDTL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERLINEITEMRMA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.ORDERNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERPOSTALADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERRMA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERSTATUS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERTELECOMNUM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORDERTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORGANIZATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORGUNIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ORGUNITTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PART TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYACCOUNTROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYCONTACTINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYRELATNSHIP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYRELATNSHIPROL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYROLENOTE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYROLETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PARTYTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PASSWORDHISTORY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.PASSWORDHISTORY_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PAYMENTMETHOD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PAYMENTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PERSISTENTCACHEDATA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PERSON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PICKLIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.POSTALADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODCATALOGITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODCATEGORYITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODDETAILTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODDETAILVALUE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODDTLHIERARCHY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODMMEDIADESC TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTCATALOG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTCROSSSELL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTDETAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTPACKAGE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTPART TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTPREFERENCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTSUBSTITUTE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRODUCTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PROMPT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRTYRELATNTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.PRTYRELATNTYPEROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEINFO TO PDUSER;
    GRANT SELECT ON  CCSOWNER.QUEUEINFO_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEITEMACTIVE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEITEMAUDIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEITEMAUDITPROP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEMETADATA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.QUEUEMETADATA_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.QUEUEPRINCIPAL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.RESOURCEINFO TO PDUSER;
    GRANT SELECT ON  CCSOWNER.RESOURCEINFO_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.RESRCMETADATA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.RESRCMETADATA_SEQ TO PDUSER;
    GRANT SELECT ON  CCSOWNER.RMANUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.RMATYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ROLEINFO2 TO PDUSER;
    GRANT SELECT ON  CCSOWNER.ROLEINFO2_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ROLEMETADATA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.ROLEMETADATA_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.ROLEREPLACEMENT2 TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.SCRIPT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.SEEDINFORMATION TO PDUSER;
    GRANT SELECT ON  SKYOWNER.SEEDNUMSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.STATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.STATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.TELECOMNUMBER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.TELECOMNUMTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.TELEPHONEINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.TYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.TYPEVALUE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.USERINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.USERMETADATA TO PDUSER;
    GRANT SELECT ON  CCSOWNER.USERMETADATA_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.USERROLES TO PDUSER;
    GRANT SELECT ON  CCSOWNER.USER_SEQ TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ACCTBYPARTY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ACCTENTRYBYACCT TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ACDUSRRELATION TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_CTIUSERINFO TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_EICOMMUNICATION TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_EICUSTOMERHIST TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_EISEARCHCOMMENT TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_EISEARCHRESULT TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_GEOBNDRYASSOC TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_GEOBNDRYCURRENCY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_GUIDE TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_JXWTASKPROPERTY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_OFFERING TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_OFFRNGHIERARCHY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ORDEREADDRESS TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ORDERPOSTAL TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_ORDERTELECOM TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PARTY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PARTYRELATNSHIP TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PARTYROLE TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PARTYROLERELATN TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PRODCATALOGITEM TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PRODDTLHIERARCHY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PRODUCTCATALOG TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PRODUCTCATEGORY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_PRTYRELATNTYPROL TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_QUEUERECOVERY TO PDUSER;
    GRANT SELECT ON  CCSOWNER.V_SMRACCTENTRYACCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSOWNER.XMLSTORAGE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBADJUSTMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBAGREEMENTFORM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBBANKACCOUNTSPECIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBBONUSPRODUCTDEPENDENCYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBBONUSPRODUCTRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBBOUQUETSERVICEOBJECT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCAMPAIGN TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCAMPAIGNOWNER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCAMPAIGNSOURCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCAMPAIGNSUBTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCAMPAIGNTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCANCELLATIONREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCATALOGUEPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCATALOGUEPRODUCTCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCATALOGUEPRODUCTPRICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCATALOGUEPRODUCTTOCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCATALOGUEPRODUCTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALAGREEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALEVENTATTRIBUTE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALEVENTINFORMATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALEVENTPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALPRODUCTBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMERCIALPRODUCTTOBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOMMPRODUCTTOPRODELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPONDENCECATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPONDENCECHANNEL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPONDENCEREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPONDENCESUBJECTAREA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPONDENCETEMPLATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPTEMPLATETOREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPTEMPLATETOROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCORRESPTEMPLATEVERSION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCOUNTRYCURRENCYMAPPING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCREDITLIMITREDUCTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCROSSUPSELLREL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBCSRROLEADJUSTMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBDEFAULTCREDITLIMIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBDOWNGRADEREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBDSLCAPABILITY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBDSLCAPTOPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBENTITLEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBFEEDBACKCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBFEEDBACKREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBFULFILMENTHOUSE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBGENRE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBHISTORYNOTECATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBHISTORYNOTETITLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBINSTALLBUNDLEPICKER_GTT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBINSTALLERCLASSIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBINSTALLERREGION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBINTERESTSOURCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBIVREVENTSMAPPING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBLINKRETAILERGROUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBMAXDEBTAMOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERCOUNTRYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERCSRROLERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERDISCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERPERCENTAGEDISCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERPRODUCTRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERRETAILERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERRULESET TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERSALESCHANNELRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERTOBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERTOOFFERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERTOOFFERTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERTORULESET TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOFFERVALUEDISCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBOUTCOME TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPAYMENTCARDSPECIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPPVBILLDESCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODCAPACITYCONSUMPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODELEMENTTOTVCHANNEL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTCOUNTRYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTCSRROLERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTCUSTOMERTYPERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTDEPENDENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTREPLACEMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTRETAILERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTSALESCHANNELRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTSUBSCRIPTYPERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBPRODUCTTOPRODUCTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBRETAILERAREA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBRETAILERGROUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBRETAILERMASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBRETAILERPRICING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBRETAILERREGION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSERVICETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSERVICETYPEADJUSTMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSORTCODESUBSTITUTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSPONSORS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSUBGENRE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSUBSAGREEMENTTOPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSUBSCRIPTIONAGREEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBSUBSCRIPTIONTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQACTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQCAUSE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQCAUSETOACTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQGROUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQGROUPTOSYMPTOM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQSYMPTOM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTECHENQSYMPTOMTOCAUSE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBTVCHANNEL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBVISITCANCELLATIONCODES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBVISITEFFICIENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBWARRANTYACTIONPRICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBWARRANTYCOMPANY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.BSBWARRANTYMASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.DW_ONS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.LINK_CAMPAIGNSOURCE_OFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.LISTDESCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.PICKLIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.PROFILECATEGORYDEFINITION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.PROFILEQUESTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.PROFILEQUESTIONRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.REFERENCEDATA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.RETAILLOGICSID TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.SCHEMA_UPDATES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.SORTCODE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBADJUSTMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBAGREEMENTFORM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBBANKACCOUNTSPECIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBBONUSPRODDEPENDENCYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBBONUSPRODUCTRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBBOUQUETSERVICEOBJECT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCAMPAIGN TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCAMPAIGNINTERESTSOURCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCAMPAIGNOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCAMPAIGNSOURCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCAMPAIGNSOURCECG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCANCELLATIONREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCATALOGUEPRODTOCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCATALOGUEPRODUCTCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCATALOGUEPRODUCTPRICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCATALOGUEPRODUCTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALAGREEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALEVENTATTRIBUTE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALEVENTINFO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALEVENTPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALPRODUCTBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMERCIALPRODUCTTOBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCOMMPRODUCTTOPRODELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPONDENCECATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPONDENCEREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPONDENCESUBJECTAREA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPONDENCETEMPLATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPTEMPLATETOREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPTEMPLATETOROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCORRESPTEMPLATEVERSION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCREDITLIMITREDUCTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCROSSUPSELLREL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBCSRROLEADJUSTMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBDEFAULTCREDITLIMIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBDOWNGRADEREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBDSLCAPABILITY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBDSLCAPTOPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBENTITLEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBFEEDBACKCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBFEEDBACKREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBFULFILMENTHOUSE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBGLOBALOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBHISTORYNOTECATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBHISTORYNOTETITLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBINSTALLBUNDLEPICKER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBINSTALLERCLASSIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBINSTALLERREGION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBINTERESTSOURCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBIVREVENTSMAPPING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBLINKRETAILERGROUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBMAXDEBTAMOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERCOUNTRYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERCSRROLERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERDISCOUNTS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERPRODUCTRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERRETAILERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERSALESCHANNELRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERTOBUNDLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERTOOFFERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERTOOFFERTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERTORULESET TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOFFERTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBOUTCOME TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPAYMENTCARDSPECIFICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPPVEVENTSEARCH TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPPVSEARCH TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPPVSERVICEBILLDESCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODCAPACITYCONSUMPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTCOUNTRYRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTCSRROLERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTCUSTOMERTYPERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTDEPENDENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTREPLACEMENTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTRETAILERRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTSALESCHANNELRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTSUBSCRIPTYPERULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTTOPRODUCTTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBPRODUCTTVCHANNELS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBRETAILERAREA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBRETAILERGROUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBRETAILERMASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBRETAILERPRICING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBRETAILERREGION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSERVICETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSERVICETYPEADJUSTREASON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSORTCODESUBSTITUTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSPONSORS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSUBSAGREEMENTTOPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSUBSCRIPTIONAGREEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBSUBSCRIPTIONTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBTECHENQACTIONPATH TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBVISITCANCELLATIONCODES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBVISITEFFICIENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBWARRANTYCOMPANY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBWARRANTYMASK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_BSBWARRNTYACTIONPRICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_COMTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_LISTDESCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_PICKLIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_PROFILECATEGORYDEFINITION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_PROFILEQUESTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_PROFILEQUESTIONRULE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_REFERENCEDATA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_RETAILLOGICSID TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_SORTCODE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  REFDATAMGR.V_SUBSCRIPTIONAGREEMENTPRICE TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.AGREEMENTNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBADDRESSUSAGEROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBADMINMESSAGES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAGREEMENTITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAGREEMENTRANGE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAGREEMENTTOENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAGREEMENTTRANSFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAPPLICATIONSTATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBAUTHORIZEDCONTACTROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBATCHNUMBER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBATCHRUN TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBILLINGACCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBILLINGADDRESSROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBILLINGITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBROADBANDCUSTPRODELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBROADBANDEMAILSETTINGS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBROADBANDREQUIREMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBROADBANDROUTER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBUSINESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBBUSINESSCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCALLBACKINFORMATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCAMPAIGNOUTCOME TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCANCELLATIONATTEMPT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCICINFORMATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCLAWBACKACCOUNTLOOKUP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCLIVIOLATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCOMMERCIALAGREEMENTITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCONTACTADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCONTACTEMAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCONTACTORAUDIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCONTACTTELEPHONE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCREDITLIMIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCROSSUPSELLATTEMPT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCUSTOMERPRODUCTELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBCUSTOMERROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBDISABILITYDETAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBDISABILITYSERVICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBDOWNGRADEATTEMPT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBDSLQUERYRESPONSE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBEMAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBFEEDBACK TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBFULFILMENTITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBGENERALENQUIRY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBHISTORYENTITIES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBINSTALLERROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBINSTALLERTEAM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBJOB TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBJOBLIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBKANAENTITLEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBLITERATUREITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBLITERATUREORDER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBLITERATUREORDERLINE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBMAILSHOT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBMISCELLANOUSCONTACTROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBMPPAPPLICATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBOFFERINGROLEBRIDGE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBOFFERINGSTATEBRIDGE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBORDER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBORDERLINE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERAGREEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERAGRENTERRORS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERAGRERRORLIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERAGRERRORS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAPERMANDATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPARTYROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAYMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAYMENTMETHOD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAYMENTMETHODCHANGEHEADER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAYMENTMETHODCHANGEREQUEST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPAYMENTMETHODROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPORTFOLIO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPORTFOLIOOFFER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPORTFOLIOOFFERDEPENDENCY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPORTFOLIOPRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPRICEABLEUNIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPRICEABLEUNITPORTFOLIOPROD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBPROPERTYDETAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBREFUND TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILAFFILIATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILBUSINESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILCOMMISSIONACCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILERAUDITRECORD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILPROOFOFPURCHASE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBRETAILPROOFOFPURCHASEDETAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBROLECREDITLIMIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBROLETOKANAENTITLEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSALESLEAD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSAMREGISTRY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSERVICEINSTANCE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSETTLEMENTMETHOD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSUBSCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSUBSCRIPTIONAGREEMENTITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSUBSCRIPTIONENTITLEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBSUBSCRIPTIONHISTORYSTATUS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTARGETEDMAILSHOT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTECHENQUIRYVISITRESOLUTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTECHNICALENQUIRY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTELEPHONE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTELEPHONEUSAGEROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTELEPHONYCUSTPRODELEMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBTELEPHONYREQUIREMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBUSERROLEBRIDGE TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.BSBUSERROLEBRIDGE_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBVISITREQUIREMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBVISITREQUIREMENTHISTORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBWARRANTY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.BSBWARRANTYDETAIL TO PDUSER;
    GRANT EXECUTE ON  SKYOWNER.BSB_ID_TABTYPE TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.CASENUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.CCSUSER TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.CCSUSER_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.DEVICE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.EBCINTERACTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.EICASE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.EICOMEVENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.EICOMMENT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.EICOMMUNICATION TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.GREFNUMBERSEQ TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.IRISHAGREEMENTNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.NEWSFEED TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.OBJECTCACHEKEY_SEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.OFFERING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.OFFERINGCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.OFFERINGHIERARCHY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.OFFERINGVIEW TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.ORDERNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.ORGANIZATION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PARTY TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.PARTYNUMBERSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PARTYRELATIONROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PARTYROLETYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PARTYTYPE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PERSON TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PRODCATALOGITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PRODUCT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PRODUCTCATALOG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PRODUCTCATEGORY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.PRODUCTTYPE TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.RMANUMBERSEQ TO PDUSER;
    GRANT EXECUTE ON  SKYOWNER.SAMREGISTRY_USERNAMES_TT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.SCHEMA_UPDATES TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.SESSIONCONTEXT TO PDUSER;
    GRANT EXECUTE ON  SKYOWNER.SET_CACHE_DATA TO PDUSER;
    GRANT EXECUTE ON  SKYOWNER.STR2TAB TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.TELEPHONEINFO TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.TRANSACTIONNUMBERSEQ TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.TREFNUMBERSEQ TO PDUSER;
    GRANT ALTER, SELECT ON  SKYOWNER.VISITIDSEQ TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_ADDRESSBYCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_AUTHORIZEDCONTACTROLE TO PDUSER;
    GRANT SELECT ON  SKYOWNER.V_BILLINGITEMPP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BILLINGITEMPRICEABLEUNIT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBCONTACTADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBCONTACTEMAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBCONTACTTELEPHONE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBDOORTODOORAGENTSUMMARY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBINSTALLERMANAGERVIEW TO PDUSER;
    GRANT SELECT ON  SKYOWNER.V_BSBINSTALLERSUMMARY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBINSTALLERVIEW TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBORDERHISTORY TO PDUSER;
    GRANT SELECT ON  SKYOWNER.V_BSBORDERHISTORYPRODUCT TO PDUSER;
    GRANT SELECT ON  SKYOWNER.V_BSBPPVPRODUCTDATA TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBSUMMARYBILLINGACCOUNT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBTARGETEDMAILSHOT TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBUSERROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BSBUTIL_PERSONTOSUBSCRIPTION TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BUSINESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_BUSINESSCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYADDRESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYCONTRACTNUMBER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYEMAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYFINANCIALDETAIL TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYNDSNUMBER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYTELEPHONE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYVIEWINGCARD TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORBYVISITNUMBER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CONTACTORPRIMARYTELEPHONE TO PDUSER;
    GRANT SELECT ON  SKYOWNER.V_CUSTOMERAGREEMENTSUMMARY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_CUSTOMERROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_EBCTASKNAME TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_EBCUSERCUSTOMER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_EICUSTOMERHIST TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_EMAILBYCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_IDCONTACTOR TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_IDCUSTOMER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_IDRETAILBUSINESS TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_IDRETAILBUSINESSBYTELEPHONE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_MISCELLANOUSCONTACTROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_OFFERING TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_OFFERINGROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_OFFERINGSTATE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_OFFRNGHIERARCHY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_PARTYORGROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_PARTYPERSONROLE TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_PERSONPORTFOLIO TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_PRODCATALOGITEM TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_PRODUCTCATALOG TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_REFUNDSUMMARY TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_RETAILERAUDITFILTER TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_SITEMP TO PDUSER;
    GRANT DELETE, INSERT, SELECT, UPDATE ON  SKYOWNER.V_TELEPHONEBYCONTACTOR TO PDUSER;
    GRANT EXECUTE ON  SYS.DBMS_SYSTEM TO PDUSER;


CREATE OR REPLACE DIRECTORY 
ADMIN_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/md/admin';


CREATE OR REPLACE DIRECTORY 
DATA_PUMP_DIR AS 
'D:\oracle10.2.0\admin\jxbus\dpdump\';


CREATE OR REPLACE DIRECTORY 
WORK_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/work';


CREATE SYNONYM ACDPROPERTY FOR CCSOWNER.ACDPROPERTY;


CREATE SYNONYM ACDQUEUE FOR CCSOWNER.ACDQUEUE;


CREATE SYNONYM ACE2 FOR CCSOWNER.ACE2;


CREATE SYNONYM CONTACT FOR CCSOWNER.CONTACT;


CREATE SYNONYM CONTACTADDRESS FOR CCSOWNER.CONTACTADDRESS;


CREATE SYNONYM CONTACTINFO2 FOR CCSOWNER.CONTACTINFO2;


CREATE SYNONYM COUNTRY FOR CCSOWNER.COUNTRY;


CREATE SYNONYM CSZ FOR CCSOWNER.CSZ;


CREATE SYNONYM CTIUSERACD FOR CCSOWNER.CTIUSERACD;


CREATE SYNONYM CTIUSERINFO FOR CCSOWNER.CTIUSERINFO;


CREATE SYNONYM DEFAULTS FOR CCSOWNER.DEFAULTS;


CREATE SYNONYM DEVICE FOR CCSOWNER.DEVICE;


CREATE SYNONYM DMINFO FOR CCSOWNER.DMINFO;


CREATE SYNONYM GROUPCONTACT FOR CCSOWNER.GROUPCONTACT;


CREATE SYNONYM GROUPINFO FOR CCSOWNER.GROUPINFO;


CREATE SYNONYM GROUPMETADATA FOR CCSOWNER.GROUPMETADATA;


CREATE SYNONYM GROUPTYPE FOR CCSOWNER.GROUPTYPE;


CREATE SYNONYM JXPTEST FOR CCSOWNER.JXPTEST;


CREATE SYNONYM JXWFINISHEDTASK FOR CCSOWNER.JXWFINISHEDTASK;


CREATE SYNONYM JXWFINISHEDWFLOW FOR CCSOWNER.JXWFINISHEDWFLOW;


CREATE SYNONYM JXWTASK FOR CCSOWNER.JXWTASK;


CREATE SYNONYM JXWTASKPROPERTY FOR CCSOWNER.JXWTASKPROPERTY;


CREATE SYNONYM JXWWFLOW FOR CCSOWNER.JXWWFLOW;


CREATE SYNONYM JXWWFLOWAUDIT FOR CCSOWNER.JXWWFLOWAUDIT;


CREATE SYNONYM LANGUAGES FOR CCSOWNER.LANGUAGES;


CREATE SYNONYM LOCKMGR FOR CCSOWNER.LOCKMGR;


CREATE SYNONYM METAASSOC FOR CCSOWNER.METAASSOC;


CREATE SYNONYM METACATEGORY FOR CCSOWNER.METACATEGORY;


CREATE SYNONYM METAKEY FOR CCSOWNER.METAKEY;


CREATE SYNONYM METARULE FOR CCSOWNER.METARULE;


CREATE SYNONYM MIDDLEWARESERVER FOR CCSOWNER.MIDDLEWARESERVER;


CREATE SYNONYM OBJECTMAP FOR CCSOWNER.OBJECTMAP;


CREATE SYNONYM PASSWORDHISTORY FOR CCSOWNER.PASSWORDHISTORY;


CREATE SYNONYM PERSISTENTCACHEDATA FOR CCSOWNER.PERSISTENTCACHEDATA;


CREATE SYNONYM QUEUEINFO FOR CCSOWNER.QUEUEINFO;


CREATE SYNONYM QUEUEITEM FOR CCSOWNER.QUEUEITEM;


CREATE SYNONYM QUEUEITEMACTIVE FOR CCSOWNER.QUEUEITEMACTIVE;


CREATE SYNONYM QUEUEITEMAUDIT FOR CCSOWNER.QUEUEITEMAUDIT;


CREATE SYNONYM QUEUEITEMAUDITPROP FOR CCSOWNER.QUEUEITEMAUDITPROP;


CREATE SYNONYM QUEUEMETADATA FOR CCSOWNER.QUEUEMETADATA;


CREATE SYNONYM QUEUEPRINCIPAL FOR CCSOWNER.QUEUEPRINCIPAL;


CREATE SYNONYM RESOURCEINFO FOR CCSOWNER.RESOURCEINFO;


CREATE SYNONYM RESRCMETADATA FOR CCSOWNER.RESRCMETADATA;


CREATE SYNONYM ROLEINFO2 FOR CCSOWNER.ROLEINFO2;


CREATE SYNONYM ROLEMETADATA FOR CCSOWNER.ROLEMETADATA;


CREATE SYNONYM ROLEREPLACEMENT2 FOR CCSOWNER.ROLEREPLACEMENT2;


CREATE SYNONYM SEEDINFORMATION FOR CCSOWNER.SEEDINFORMATION;


CREATE SYNONYM STATE FOR CCSOWNER.STATE;


CREATE SYNONYM STATION FOR CCSOWNER.STATION;


CREATE SYNONYM TYPE FOR CCSOWNER.TYPE;


CREATE SYNONYM TYPEVALUE FOR CCSOWNER.TYPEVALUE;


CREATE SYNONYM USERINFO FOR CCSOWNER.USERINFO;


CREATE SYNONYM USERMETADATA FOR CCSOWNER.USERMETADATA;


CREATE SYNONYM USERROLES FOR CCSOWNER.USERROLES;


CREATE SYNONYM XMLSTORAGE FOR CCSOWNER.XMLSTORAGE;


CREATE SYNONYM V_ACDUSRRELATION FOR CCSOWNER.V_ACDUSRRELATION;


CREATE SYNONYM V_CTIUSERINFO FOR CCSOWNER.V_CTIUSERINFO;


CREATE SYNONYM V_JXWTASKPROPERTY FOR CCSOWNER.V_JXWTASKPROPERTY;


CREATE SYNONYM V_QUEUERECOVERY FOR CCSOWNER.V_QUEUERECOVERY;


CREATE SYNONYM SEEDNUMSEQ FOR CCSOWNER.SEEDNUMSEQ;


CREATE SYNONYM JXWWFLOWPID_SEQ FOR CCSOWNER.JXWWFLOWPID_SEQ;


CREATE SYNONYM ADDRESS_SEQ FOR CCSOWNER.ADDRESS_SEQ;


CREATE SYNONYM CONTACTINFO_SEQ FOR CCSOWNER.CONTACTINFO_SEQ;


CREATE SYNONYM GROUPINFO_SEQ FOR CCSOWNER.GROUPINFO_SEQ;


CREATE SYNONYM GROUPMETADATA_SEQ FOR CCSOWNER.GROUPMETADATA_SEQ;


CREATE SYNONYM METACATEGORY_SEQ FOR CCSOWNER.METACATEGORY_SEQ;


CREATE SYNONYM METARULE_SEQ FOR CCSOWNER.METARULE_SEQ;


CREATE SYNONYM MID_SEQ FOR CCSOWNER.MID_SEQ;


CREATE SYNONYM MKID_SEQ FOR CCSOWNER.MKID_SEQ;


CREATE SYNONYM PASSWORDHISTORY_SEQ FOR CCSOWNER.PASSWORDHISTORY_SEQ;


CREATE SYNONYM QUEUEINFO_SEQ FOR CCSOWNER.QUEUEINFO_SEQ;


CREATE SYNONYM QUEUEMETADATA_SEQ FOR CCSOWNER.QUEUEMETADATA_SEQ;


CREATE SYNONYM RESOURCEINFO_SEQ FOR CCSOWNER.RESOURCEINFO_SEQ;


CREATE SYNONYM RESRCMETADATA_SEQ FOR CCSOWNER.RESRCMETADATA_SEQ;


CREATE SYNONYM ROLEINFO2_SEQ FOR CCSOWNER.ROLEINFO2_SEQ;


CREATE SYNONYM ROLEMETADATA_SEQ FOR CCSOWNER.ROLEMETADATA_SEQ;


CREATE SYNONYM USER_SEQ FOR CCSOWNER.USER_SEQ;


CREATE SYNONYM USERMETADATA_SEQ FOR CCSOWNER.USERMETADATA_SEQ;


CREATE SYNONYM JXWWFLWAUDITID_SEQ FOR CCSOWNER.JXWWFLWAUDITID_SEQ;


CREATE SYNONYM GETROOTORG2 FOR CCSOWNER.GETROOTORG2;


CREATE SYNONYM FLX_ACTION FOR CCSOWNER.FLX_ACTION;


CREATE SYNONYM FLX_FLOW FOR CCSOWNER.FLX_FLOW;


CREATE SYNONYM FLX_FLOW_CHART FOR CCSOWNER.FLX_FLOW_CHART;


CREATE SYNONYM FLX_FLOW_CONTEXT FOR CCSOWNER.FLX_FLOW_CONTEXT;


CREATE SYNONYM FLX_META_VAR FOR CCSOWNER.FLX_META_VAR;


CREATE SYNONYM FLX_NEST_META_VAR FOR CCSOWNER.FLX_NEST_META_VAR;


CREATE SYNONYM FLX_PK FOR CCSOWNER.FLX_PK;


CREATE SYNONYM FLX_READY FOR CCSOWNER.FLX_READY;


CREATE SYNONYM FLX_VAR FOR CCSOWNER.FLX_VAR;


CREATE SYNONYM FLX_VAR_JAVA_ACTN FOR CCSOWNER.FLX_VAR_JAVA_ACTN;


CREATE SYNONYM FLX_VAR_LIST_ITEM FOR CCSOWNER.FLX_VAR_LIST_ITEM;


CREATE SYNONYM FLX_VAR_META_COLL FOR CCSOWNER.FLX_VAR_META_COLL;


CREATE SYNONYM FLX_VAR_RELTV_EXPR FOR CCSOWNER.FLX_VAR_RELTV_EXPR;


CREATE SYNONYM FLX_VAR_TIMERINFO FOR CCSOWNER.FLX_VAR_TIMERINFO;


CREATE SYNONYM FLX_VAR_TIMER_RES FOR CCSOWNER.FLX_VAR_TIMER_RES;


CREATE SYNONYM FLX_VAR_TIMER_TRIG FOR CCSOWNER.FLX_VAR_TIMER_TRIG;


CREATE SYNONYM FLX_POST_OFFICE FOR CCSOWNER.FLX_POST_OFFICE;


CREATE SYNONYM FLX_PUBLISHER FOR CCSOWNER.FLX_PUBLISHER;


CREATE SYNONYM FLX_RT_DATAMAP FOR CCSOWNER.FLX_RT_DATAMAP;


CREATE SYNONYM FLX_VAR_ERROR_RES FOR CCSOWNER.FLX_VAR_ERROR_RES;


CREATE SYNONYM FLX_VAR_DELAY_RES FOR CCSOWNER.FLX_VAR_DELAY_RES;


CREATE SYNONYM FLX_VAR_DELAY_TRIG FOR CCSOWNER.FLX_VAR_DELAY_TRIG;


CREATE SYNONYM FLX_MESSAGE_TRIG FOR CCSOWNER.FLX_MESSAGE_TRIG;


CREATE SYNONYM ACCOUNT FOR CCSOWNER.ACCOUNT;


CREATE SYNONYM ACCOUNTENTRY FOR CCSOWNER.ACCOUNTENTRY;


CREATE SYNONYM ACCOUNTSTATEMENT FOR CCSOWNER.ACCOUNTSTATEMENT;


CREATE SYNONYM ACCOUNTTYPE FOR CCSOWNER.ACCOUNTTYPE;


CREATE SYNONYM ACCTROLETYPE FOR CCSOWNER.ACCTROLETYPE;


CREATE SYNONYM COMEVENTTYPE FOR CCSOWNER.COMEVENTTYPE;


CREATE SYNONYM COMMONCURRENCY FOR CCSOWNER.COMMONCURRENCY;


CREATE SYNONYM COMPRTCPNTTYPE FOR CCSOWNER.COMPRTCPNTTYPE;


CREATE SYNONYM COMTYPE FOR CCSOWNER.COMTYPE;


CREATE SYNONYM CONTACTINFO FOR CCSOWNER.CONTACTINFO;


CREATE SYNONYM CONTACTTYPE FOR CCSOWNER.CONTACTTYPE;


CREATE SYNONYM CONTMTHDTYPE FOR CCSOWNER.CONTMTHDTYPE;


CREATE SYNONYM CRDTCARDACCTENTRY FOR CCSOWNER.CRDTCARDACCTENTRY;


CREATE SYNONYM CUSTHANDLING FOR CCSOWNER.CUSTHANDLING;


CREATE SYNONYM CUSTOMER FOR CCSOWNER.CUSTOMER;


CREATE SYNONYM CUSTOMERRELATNSHIP FOR CCSOWNER.CUSTOMERRELATNSHIP;


CREATE SYNONYM CUSTSTATUS FOR CCSOWNER.CUSTSTATUS;


CREATE SYNONYM CUSTVALUE FOR CCSOWNER.CUSTVALUE;


CREATE SYNONYM DATEDIDENT FOR CCSOWNER.DATEDIDENT;


CREATE SYNONYM DATEDIDENTTYPE FOR CCSOWNER.DATEDIDENTTYPE;


CREATE SYNONYM DELEGATEACCESSTYPE FOR CCSOWNER.DELEGATEACCESSTYPE;


CREATE SYNONYM DELEGATERELATNSHIP FOR CCSOWNER.DELEGATERELATNSHIP;


CREATE SYNONYM DELEGATETABLE FOR CCSOWNER.DELEGATETABLE;


CREATE SYNONYM EADDRESS FOR CCSOWNER.EADDRESS;


CREATE SYNONYM EADDRESSTYPE FOR CCSOWNER.EADDRESSTYPE;


CREATE SYNONYM EBCINTERACTION FOR SKYOWNER.EBCINTERACTION;


CREATE SYNONYM EBCINTERACTIONCOM FOR SKYOWNER.EBCINTERACTIONCOM;


CREATE SYNONYM EICASE FOR SKYOWNER.EICASE;


CREATE SYNONYM EICOMDATA FOR SKYOWNER.EICOMDATA;


CREATE SYNONYM EICOMEVENT FOR SKYOWNER.EICOMEVENT;


CREATE SYNONYM EICOMMENT FOR SKYOWNER.EICOMMENT;


CREATE SYNONYM EICOMMUNICATION FOR SKYOWNER.EICOMMUNICATION;


CREATE SYNONYM EICOMPARTICIPANT FOR SKYOWNER.EICOMPARTICIPANT;


CREATE SYNONYM GENDER FOR CCSOWNER.GENDER;


CREATE SYNONYM GEOBNDRYCURRENCY FOR CCSOWNER.GEOBNDRYCURRENCY;


CREATE SYNONYM GEOBNDRYTYPE FOR CCSOWNER.GEOBNDRYTYPE;


CREATE SYNONYM GEOBOUNDARY FOR CCSOWNER.GEOBOUNDARY;


CREATE SYNONYM GEOBOUNDARYASSOC FOR CCSOWNER.GEOBOUNDARYASSOC;


CREATE SYNONYM GUIDE FOR CCSOWNER.GUIDE;


CREATE SYNONYM GUIDETYPE FOR CCSOWNER.GUIDETYPE;


CREATE SYNONYM HONORIFICTITLE FOR CCSOWNER.HONORIFICTITLE;


CREATE SYNONYM INSTRUCTIONSTEP FOR CCSOWNER.INSTRUCTIONSTEP;


CREATE SYNONYM INTRCTNSTATE FOR CCSOWNER.INTRCTNSTATE;


CREATE SYNONYM INTRCTNTYPE FOR CCSOWNER.INTRCTNTYPE;


CREATE SYNONYM LINEITEMSTATUS FOR CCSOWNER.LINEITEMSTATUS;


CREATE SYNONYM MARITALSTATUS FOR CCSOWNER.MARITALSTATUS;


CREATE SYNONYM MEDIATYPE FOR CCSOWNER.MEDIATYPE;


CREATE SYNONYM MONETARYUOM FOR CCSOWNER.MONETARYUOM;


CREATE SYNONYM NAMESUFFIX FOR CCSOWNER.NAMESUFFIX;


CREATE SYNONYM NOTETYPE FOR CCSOWNER.NOTETYPE;


CREATE SYNONYM OFFERING FOR SKYOWNER.OFFERING;


CREATE SYNONYM OFFERINGCATEGORY FOR SKYOWNER.OFFERINGCATEGORY;


CREATE SYNONYM OFFERINGHIERARCHY FOR SKYOWNER.OFFERINGHIERARCHY;


CREATE SYNONYM OFFERINGVIEW FOR SKYOWNER.OFFERINGVIEW;


CREATE SYNONYM ORDERBILLING FOR CCSOWNER.ORDERBILLING;


CREATE SYNONYM ORDERCONTACTINFO FOR CCSOWNER.ORDERCONTACTINFO;


CREATE SYNONYM ORDERDELIVERY FOR CCSOWNER.ORDERDELIVERY;


CREATE SYNONYM ORDERDELIVERYSIG FOR CCSOWNER.ORDERDELIVERYSIG;


CREATE SYNONYM ORDEREADDRESS FOR CCSOWNER.ORDEREADDRESS;


CREATE SYNONYM ORDERHEADER FOR CCSOWNER.ORDERHEADER;


CREATE SYNONYM ORDERLINEITEM FOR CCSOWNER.ORDERLINEITEM;


CREATE SYNONYM ORDERLINEITEMDTL FOR CCSOWNER.ORDERLINEITEMDTL;


CREATE SYNONYM ORDERLINEITEMRMA FOR CCSOWNER.ORDERLINEITEMRMA;


CREATE SYNONYM ORDERPOSTALADDRESS FOR CCSOWNER.ORDERPOSTALADDRESS;


CREATE SYNONYM ORDERRMA FOR CCSOWNER.ORDERRMA;


CREATE SYNONYM ORDERSTATUS FOR CCSOWNER.ORDERSTATUS;


CREATE SYNONYM ORDERTELECOMNUM FOR CCSOWNER.ORDERTELECOMNUM;


CREATE SYNONYM ORDERTYPE FOR CCSOWNER.ORDERTYPE;


CREATE SYNONYM ORGANIZATION FOR SKYOWNER.ORGANIZATION;


CREATE SYNONYM ORGUNIT FOR CCSOWNER.ORGUNIT;


CREATE SYNONYM ORGUNITTYPE FOR CCSOWNER.ORGUNITTYPE;


CREATE SYNONYM PART FOR CCSOWNER.PART;


CREATE SYNONYM PARTY FOR SKYOWNER.PARTY;


CREATE SYNONYM PARTYACCOUNTROLE FOR CCSOWNER.PARTYACCOUNTROLE;


CREATE SYNONYM PARTYCONTACTINFO FOR CCSOWNER.PARTYCONTACTINFO;


CREATE SYNONYM PARTYRELATNSHIP FOR CCSOWNER.PARTYRELATNSHIP;


CREATE SYNONYM PARTYRELATNSHIPROL FOR CCSOWNER.PARTYRELATNSHIPROL;


CREATE SYNONYM PARTYROLE FOR CCSOWNER.PARTYROLE;


CREATE SYNONYM PARTYROLENOTE FOR CCSOWNER.PARTYROLENOTE;


CREATE SYNONYM PARTYROLETYPE FOR SKYOWNER.PARTYROLETYPE;


CREATE SYNONYM PARTYTYPE FOR SKYOWNER.PARTYTYPE;


CREATE SYNONYM PAYMENTMETHOD FOR CCSOWNER.PAYMENTMETHOD;


CREATE SYNONYM PAYMENTTYPE FOR CCSOWNER.PAYMENTTYPE;


CREATE SYNONYM PERSON FOR SKYOWNER.PERSON;


CREATE SYNONYM PICKLIST FOR REFDATAMGR.PICKLIST;


CREATE SYNONYM POSTALADDRESS FOR CCSOWNER.POSTALADDRESS;


CREATE SYNONYM PRODCATALOGITEM FOR CCSOWNER.PRODCATALOGITEM;


CREATE SYNONYM PRODCATEGORYITEM FOR CCSOWNER.PRODCATEGORYITEM;


CREATE SYNONYM PRODDETAILTYPE FOR CCSOWNER.PRODDETAILTYPE;


CREATE SYNONYM PRODDETAILVALUE FOR CCSOWNER.PRODDETAILVALUE;


CREATE SYNONYM PRODDTLHIERARCHY FOR CCSOWNER.PRODDTLHIERARCHY;


CREATE SYNONYM PRODMMEDIADESC FOR CCSOWNER.PRODMMEDIADESC;


CREATE SYNONYM PRODUCT FOR SKYOWNER.PRODUCT;


CREATE SYNONYM PRODUCTCATALOG FOR SKYOWNER.PRODUCTCATALOG;


CREATE SYNONYM PRODUCTCATEGORY FOR SKYOWNER.PRODUCTCATEGORY;


CREATE SYNONYM PRODUCTCROSSSELL FOR CCSOWNER.PRODUCTCROSSSELL;


CREATE SYNONYM PRODUCTDETAIL FOR CCSOWNER.PRODUCTDETAIL;


CREATE SYNONYM PRODUCTPACKAGE FOR CCSOWNER.PRODUCTPACKAGE;


CREATE SYNONYM PRODUCTPART FOR CCSOWNER.PRODUCTPART;


CREATE SYNONYM PRODUCTPREFERENCE FOR CCSOWNER.PRODUCTPREFERENCE;


CREATE SYNONYM PRODUCTSUBSTITUTE FOR CCSOWNER.PRODUCTSUBSTITUTE;


CREATE SYNONYM PRODUCTTYPE FOR SKYOWNER.PRODUCTTYPE;


CREATE SYNONYM PROMPT FOR CCSOWNER.PROMPT;


CREATE SYNONYM PRTYRELATNTYPE FOR CCSOWNER.PRTYRELATNTYPE;


CREATE SYNONYM PRTYRELATNTYPEROLE FOR CCSOWNER.PRTYRELATNTYPEROLE;


CREATE SYNONYM RMATYPE FOR CCSOWNER.RMATYPE;


CREATE SYNONYM SCRIPT FOR CCSOWNER.SCRIPT;


CREATE SYNONYM TELECOMNUMBER FOR CCSOWNER.TELECOMNUMBER;


CREATE SYNONYM TELECOMNUMTYPE FOR CCSOWNER.TELECOMNUMTYPE;


CREATE SYNONYM TELEPHONEINFO FOR CCSOWNER.TELEPHONEINFO;


CREATE SYNONYM V_ACCTBYPARTY FOR CCSOWNER.V_ACCTBYPARTY;


CREATE SYNONYM V_ACCTENTRYBYACCT FOR CCSOWNER.V_ACCTENTRYBYACCT;


CREATE SYNONYM V_EICOMMUNICATION FOR CCSOWNER.V_EICOMMUNICATION;


CREATE SYNONYM V_EICUSTOMERHIST FOR SKYOWNER.V_EICUSTOMERHIST;


CREATE SYNONYM V_EISEARCHCOMMENT FOR CCSOWNER.V_EISEARCHCOMMENT;


CREATE SYNONYM V_EISEARCHRESULT FOR CCSOWNER.V_EISEARCHRESULT;


CREATE SYNONYM V_GEOBNDRYASSOC FOR CCSOWNER.V_GEOBNDRYASSOC;


CREATE SYNONYM V_GEOBNDRYCURRENCY FOR CCSOWNER.V_GEOBNDRYCURRENCY;


CREATE SYNONYM V_GUIDE FOR CCSOWNER.V_GUIDE;


CREATE SYNONYM V_OFFERING FOR SKYOWNER.V_OFFERING;


CREATE SYNONYM V_OFFRNGHIERARCHY FOR SKYOWNER.V_OFFRNGHIERARCHY;


CREATE SYNONYM V_ORDEREADDRESS FOR CCSOWNER.V_ORDEREADDRESS;


CREATE SYNONYM V_ORDERPOSTAL FOR CCSOWNER.V_ORDERPOSTAL;


CREATE SYNONYM V_ORDERTELECOM FOR CCSOWNER.V_ORDERTELECOM;


CREATE SYNONYM V_PARTY FOR CCSOWNER.V_PARTY;


CREATE SYNONYM V_PARTYRELATNSHIP FOR CCSOWNER.V_PARTYRELATNSHIP;


CREATE SYNONYM V_PARTYROLE FOR CCSOWNER.V_PARTYROLE;


CREATE SYNONYM V_PARTYROLERELATN FOR CCSOWNER.V_PARTYROLERELATN;


CREATE SYNONYM V_PRODCATALOGITEM FOR SKYOWNER.V_PRODCATALOGITEM;


CREATE SYNONYM V_PRODDTLHIERARCHY FOR CCSOWNER.V_PRODDTLHIERARCHY;


CREATE SYNONYM V_PRODUCTCATALOG FOR SKYOWNER.V_PRODUCTCATALOG;


CREATE SYNONYM V_PRODUCTCATEGORY FOR CCSOWNER.V_PRODUCTCATEGORY;


CREATE SYNONYM V_PRTYRELATNTYPROL FOR CCSOWNER.V_PRTYRELATNTYPROL;


CREATE SYNONYM V_SMRACCTENTRYACCT FOR CCSOWNER.V_SMRACCTENTRYACCT;


CREATE SYNONYM ACCOUNTNUMBERSEQ FOR CCSOWNER.ACCOUNTNUMBERSEQ;


CREATE SYNONYM CASENUMBERSEQ FOR CCSOWNER.CASENUMBERSEQ;


CREATE SYNONYM ORDERNUMBERSEQ FOR CCSOWNER.ORDERNUMBERSEQ;


CREATE SYNONYM RMANUMBERSEQ FOR CCSOWNER.RMANUMBERSEQ;


CREATE SYNONYM CUSTOMERNUMBERSEQ FOR CCSOWNER.CUSTOMERNUMBERSEQ;


CREATE SYNONYM CASENUMSEQ FOR SKYOWNER.CASENUMSEQ;


CREATE SYNONYM BSBADDRESS FOR SKYOWNER.BSBADDRESS;


CREATE SYNONYM BSBADDRESSUSAGEROLE FOR SKYOWNER.BSBADDRESSUSAGEROLE;


CREATE SYNONYM BSBADJUSTMENTREASON FOR REFDATAMGR.BSBADJUSTMENTREASON;


CREATE SYNONYM BSBADMINMESSAGES FOR SKYOWNER.BSBADMINMESSAGES;


CREATE SYNONYM BSBAGREEMENTFORM FOR REFDATAMGR.BSBAGREEMENTFORM;


CREATE SYNONYM BSBAGREEMENTITEM FOR SKYOWNER.BSBAGREEMENTITEM;


CREATE SYNONYM BSBAGREEMENTRANGE FOR SKYOWNER.BSBAGREEMENTRANGE;


CREATE SYNONYM BSBAGREEMENTTOENT FOR SKYOWNER.BSBAGREEMENTTOENT;


CREATE SYNONYM BSBAGREEMENTTRANSFER FOR SKYOWNER.BSBAGREEMENTTRANSFER;


CREATE SYNONYM BSBAPPLICATIONSTATE FOR SKYOWNER.BSBAPPLICATIONSTATE;


CREATE SYNONYM BSBAUTHORIZEDCONTACTROLE FOR SKYOWNER.BSBAUTHORIZEDCONTACTROLE;


CREATE SYNONYM BSBBANKACCOUNTSPECIFICATION FOR REFDATAMGR.BSBBANKACCOUNTSPECIFICATION;


CREATE SYNONYM BSBBATCHNUMBER FOR SKYOWNER.BSBBATCHNUMBER;


CREATE SYNONYM BSBBATCHRUN FOR SKYOWNER.BSBBATCHRUN;


CREATE SYNONYM BSBBILLINGACCOUNT FOR SKYOWNER.BSBBILLINGACCOUNT;


CREATE SYNONYM BSBBILLINGADDRESSROLE FOR SKYOWNER.BSBBILLINGADDRESSROLE;


CREATE SYNONYM BSBBILLINGITEM FOR SKYOWNER.BSBBILLINGITEM;


CREATE SYNONYM BSBBONUSPRODUCTDEPENDENCYRULE FOR REFDATAMGR.BSBBONUSPRODUCTDEPENDENCYRULE;


CREATE SYNONYM BSBBONUSPRODUCTRULE FOR REFDATAMGR.BSBBONUSPRODUCTRULE;


CREATE SYNONYM BSBBOUQUETSERVICEOBJECT FOR REFDATAMGR.BSBBOUQUETSERVICEOBJECT;


CREATE SYNONYM BSBBROADBANDCUSTPRODELEMENT FOR SKYOWNER.BSBBROADBANDCUSTPRODELEMENT;


CREATE SYNONYM BSBBROADBANDEMAILSETTINGS FOR SKYOWNER.BSBBROADBANDEMAILSETTINGS;


CREATE SYNONYM BSBBROADBANDREQUIREMENT FOR SKYOWNER.BSBBROADBANDREQUIREMENT;


CREATE SYNONYM BSBBROADBANDROUTER FOR SKYOWNER.BSBBROADBANDROUTER;


CREATE SYNONYM BSBBUSINESS FOR SKYOWNER.BSBBUSINESS;


CREATE SYNONYM BSBBUSINESSCONTACTOR FOR SKYOWNER.BSBBUSINESSCONTACTOR;


CREATE SYNONYM BSBCALLBACKINFORMATION FOR SKYOWNER.BSBCALLBACKINFORMATION;


CREATE SYNONYM BSBCAMPAIGN FOR REFDATAMGR.BSBCAMPAIGN;


CREATE SYNONYM BSBCAMPAIGNOUTCOME FOR SKYOWNER.BSBCAMPAIGNOUTCOME;


CREATE SYNONYM BSBCAMPAIGNOWNER FOR REFDATAMGR.BSBCAMPAIGNOWNER;


CREATE SYNONYM BSBCAMPAIGNSOURCE FOR REFDATAMGR.BSBCAMPAIGNSOURCE;


CREATE SYNONYM BSBCAMPAIGNSUBTYPE FOR REFDATAMGR.BSBCAMPAIGNSUBTYPE;


CREATE SYNONYM BSBCAMPAIGNTYPE FOR REFDATAMGR.BSBCAMPAIGNTYPE;


CREATE SYNONYM BSBCANCELLATIONATTEMPT FOR SKYOWNER.BSBCANCELLATIONATTEMPT;


CREATE SYNONYM BSBCANCELLATIONREASON FOR REFDATAMGR.BSBCANCELLATIONREASON;


CREATE SYNONYM BSBCATALOGUEPRODUCT FOR REFDATAMGR.BSBCATALOGUEPRODUCT;


CREATE SYNONYM BSBCATALOGUEPRODUCTCATEGORY FOR REFDATAMGR.BSBCATALOGUEPRODUCTCATEGORY;


CREATE SYNONYM BSBCATALOGUEPRODUCTPRICE FOR REFDATAMGR.BSBCATALOGUEPRODUCTPRICE;


CREATE SYNONYM BSBCATALOGUEPRODUCTTOCATEGORY FOR REFDATAMGR.BSBCATALOGUEPRODUCTTOCATEGORY;


CREATE SYNONYM BSBCATALOGUEPRODUCTTYPE FOR REFDATAMGR.BSBCATALOGUEPRODUCTTYPE;


CREATE SYNONYM BSBCICINFORMATION FOR SKYOWNER.BSBCICINFORMATION;


CREATE SYNONYM BSBCLAWBACKACCOUNTLOOKUP FOR SKYOWNER.BSBCLAWBACKACCOUNTLOOKUP;


CREATE SYNONYM BSBCLIVIOLATION FOR SKYOWNER.BSBCLIVIOLATION;


CREATE SYNONYM BSBCOMMERCIALAGREEMENT FOR REFDATAMGR.BSBCOMMERCIALAGREEMENT;


CREATE SYNONYM BSBCOMMERCIALAGREEMENTITEM FOR SKYOWNER.BSBCOMMERCIALAGREEMENTITEM;


CREATE SYNONYM BSBCOMMERCIALEVENTATTRIBUTE FOR REFDATAMGR.BSBCOMMERCIALEVENTATTRIBUTE;


CREATE SYNONYM BSBCOMMERCIALEVENTINFORMATION FOR REFDATAMGR.BSBCOMMERCIALEVENTINFORMATION;


CREATE SYNONYM BSBCOMMERCIALEVENTPRODUCT FOR REFDATAMGR.BSBCOMMERCIALEVENTPRODUCT;


CREATE SYNONYM BSBCOMMERCIALOFFER FOR REFDATAMGR.BSBCOMMERCIALOFFER;


CREATE SYNONYM BSBCOMMERCIALPRODUCT FOR REFDATAMGR.BSBCOMMERCIALPRODUCT;


CREATE SYNONYM BSBCOMMERCIALPRODUCTBUNDLE FOR REFDATAMGR.BSBCOMMERCIALPRODUCTBUNDLE;


CREATE SYNONYM BSBCOMMERCIALPRODUCTTOBUNDLE FOR REFDATAMGR.BSBCOMMERCIALPRODUCTTOBUNDLE;


CREATE SYNONYM BSBCOMMPRODUCTTOPRODELEMENT FOR REFDATAMGR.BSBCOMMPRODUCTTOPRODELEMENT;


CREATE SYNONYM BSBCONTACTADDRESS FOR SKYOWNER.BSBCONTACTADDRESS;


CREATE SYNONYM BSBCONTACTEMAIL FOR SKYOWNER.BSBCONTACTEMAIL;


CREATE SYNONYM BSBCONTACTOR FOR SKYOWNER.BSBCONTACTOR;


CREATE SYNONYM BSBCONTACTORAUDIT FOR SKYOWNER.BSBCONTACTORAUDIT;


CREATE SYNONYM BSBCONTACTTELEPHONE FOR SKYOWNER.BSBCONTACTTELEPHONE;


CREATE SYNONYM BSBCORRESPONDENCECATEGORY FOR REFDATAMGR.BSBCORRESPONDENCECATEGORY;


CREATE SYNONYM BSBCORRESPONDENCECHANNEL FOR REFDATAMGR.BSBCORRESPONDENCECHANNEL;


CREATE SYNONYM BSBCORRESPONDENCEREASON FOR REFDATAMGR.BSBCORRESPONDENCEREASON;


CREATE SYNONYM BSBCORRESPONDENCESUBJECTAREA FOR REFDATAMGR.BSBCORRESPONDENCESUBJECTAREA;


CREATE SYNONYM BSBCORRESPONDENCETEMPLATE FOR REFDATAMGR.BSBCORRESPONDENCETEMPLATE;


CREATE SYNONYM BSBCORRESPTEMPLATETOREASON FOR REFDATAMGR.BSBCORRESPTEMPLATETOREASON;


CREATE SYNONYM BSBCORRESPTEMPLATETOROLE FOR REFDATAMGR.BSBCORRESPTEMPLATETOROLE;


CREATE SYNONYM BSBCORRESPTEMPLATEVERSION FOR REFDATAMGR.BSBCORRESPTEMPLATEVERSION;


CREATE SYNONYM BSBCOUNTRYCURRENCYMAPPING FOR REFDATAMGR.BSBCOUNTRYCURRENCYMAPPING;


CREATE SYNONYM BSBCREDITLIMIT FOR SKYOWNER.BSBCREDITLIMIT;


CREATE SYNONYM BSBCREDITLIMITREDUCTION FOR REFDATAMGR.BSBCREDITLIMITREDUCTION;


CREATE SYNONYM BSBCROSSUPSELLATTEMPT FOR SKYOWNER.BSBCROSSUPSELLATTEMPT;


CREATE SYNONYM BSBCROSSUPSELLREL FOR REFDATAMGR.BSBCROSSUPSELLREL;


CREATE SYNONYM BSBCSRROLEADJUSTMENTREASON FOR REFDATAMGR.BSBCSRROLEADJUSTMENTREASON;


CREATE SYNONYM BSBCUSTOMERPRODUCTELEMENT FOR SKYOWNER.BSBCUSTOMERPRODUCTELEMENT;


CREATE SYNONYM BSBCUSTOMERROLE FOR SKYOWNER.BSBCUSTOMERROLE;


CREATE SYNONYM BSBDEFAULTCREDITLIMIT FOR REFDATAMGR.BSBDEFAULTCREDITLIMIT;


CREATE SYNONYM BSBDISABILITYDETAIL FOR SKYOWNER.BSBDISABILITYDETAIL;


CREATE SYNONYM BSBDISABILITYSERVICE FOR SKYOWNER.BSBDISABILITYSERVICE;


CREATE SYNONYM BSBDOWNGRADEATTEMPT FOR SKYOWNER.BSBDOWNGRADEATTEMPT;


CREATE SYNONYM BSBDOWNGRADEREASON FOR REFDATAMGR.BSBDOWNGRADEREASON;


CREATE SYNONYM BSBDSLCAPABILITY FOR REFDATAMGR.BSBDSLCAPABILITY;


CREATE SYNONYM BSBDSLCAPTOPRODUCT FOR REFDATAMGR.BSBDSLCAPTOPRODUCT;


CREATE SYNONYM BSBDSLQUERYRESPONSE FOR SKYOWNER.BSBDSLQUERYRESPONSE;


CREATE SYNONYM BSBEMAIL FOR SKYOWNER.BSBEMAIL;


CREATE SYNONYM BSBENTITLEMENT FOR REFDATAMGR.BSBENTITLEMENT;


CREATE SYNONYM BSBFEEDBACK FOR SKYOWNER.BSBFEEDBACK;


CREATE SYNONYM BSBFEEDBACKCATEGORY FOR REFDATAMGR.BSBFEEDBACKCATEGORY;


CREATE SYNONYM BSBFEEDBACKREASON FOR REFDATAMGR.BSBFEEDBACKREASON;


CREATE SYNONYM BSBFULFILMENTHOUSE FOR REFDATAMGR.BSBFULFILMENTHOUSE;


CREATE SYNONYM BSBFULFILMENTITEM FOR SKYOWNER.BSBFULFILMENTITEM;


CREATE SYNONYM BSBGENERALENQUIRY FOR SKYOWNER.BSBGENERALENQUIRY;


CREATE SYNONYM BSBGENRE FOR REFDATAMGR.BSBGENRE;


CREATE SYNONYM BSBHISTORYENTITIES FOR SKYOWNER.BSBHISTORYENTITIES;


CREATE SYNONYM BSBHISTORYNOTECATEGORY FOR REFDATAMGR.BSBHISTORYNOTECATEGORY;


CREATE SYNONYM BSBHISTORYNOTETITLE FOR REFDATAMGR.BSBHISTORYNOTETITLE;


CREATE SYNONYM BSBINSTALLBUNDLEPICKER_GTT FOR REFDATAMGR.BSBINSTALLBUNDLEPICKER_GTT;


CREATE SYNONYM BSBINSTALLERCLASSIFICATION FOR REFDATAMGR.BSBINSTALLERCLASSIFICATION;


CREATE SYNONYM BSBINSTALLERREGION FOR REFDATAMGR.BSBINSTALLERREGION;


CREATE SYNONYM BSBINSTALLERROLE FOR SKYOWNER.BSBINSTALLERROLE;


CREATE SYNONYM BSBINSTALLERTEAM FOR SKYOWNER.BSBINSTALLERTEAM;


CREATE SYNONYM BSBINTERESTSOURCE FOR REFDATAMGR.BSBINTERESTSOURCE;


CREATE SYNONYM BSBIVREVENTSMAPPING FOR REFDATAMGR.BSBIVREVENTSMAPPING;


CREATE SYNONYM BSBJOB FOR SKYOWNER.BSBJOB;


CREATE SYNONYM BSBJOBLIST FOR SKYOWNER.BSBJOBLIST;


CREATE SYNONYM BSBKANAENTITLEMENT FOR SKYOWNER.BSBKANAENTITLEMENT;


CREATE SYNONYM BSBLINKRETAILERGROUP FOR REFDATAMGR.BSBLINKRETAILERGROUP;


CREATE SYNONYM BSBLITERATUREITEM FOR SKYOWNER.BSBLITERATUREITEM;


CREATE SYNONYM BSBLITERATUREORDER FOR SKYOWNER.BSBLITERATUREORDER;


CREATE SYNONYM BSBLITERATUREORDERLINE FOR SKYOWNER.BSBLITERATUREORDERLINE;


CREATE SYNONYM BSBMAILSHOT FOR SKYOWNER.BSBMAILSHOT;


CREATE SYNONYM BSBMAXDEBTAMOUNT FOR REFDATAMGR.BSBMAXDEBTAMOUNT;


CREATE SYNONYM BSBMISCELLANOUSCONTACTROLE FOR SKYOWNER.BSBMISCELLANOUSCONTACTROLE;


CREATE SYNONYM BSBMPPAPPLICATION FOR SKYOWNER.BSBMPPAPPLICATION;


CREATE SYNONYM BSBOFFER FOR REFDATAMGR.BSBOFFER;


CREATE SYNONYM BSBOFFERBUNDLE FOR REFDATAMGR.BSBOFFERBUNDLE;


CREATE SYNONYM BSBOFFERCOUNTRYRULE FOR REFDATAMGR.BSBOFFERCOUNTRYRULE;


CREATE SYNONYM BSBOFFERCSRROLERULE FOR REFDATAMGR.BSBOFFERCSRROLERULE;


CREATE SYNONYM BSBOFFERDISCOUNT FOR REFDATAMGR.BSBOFFERDISCOUNT;


CREATE SYNONYM BSBOFFERINGROLEBRIDGE FOR SKYOWNER.BSBOFFERINGROLEBRIDGE;


CREATE SYNONYM BSBOFFERINGSTATEBRIDGE FOR SKYOWNER.BSBOFFERINGSTATEBRIDGE;


CREATE SYNONYM BSBOFFERPERCENTAGEDISCOUNT FOR REFDATAMGR.BSBOFFERPERCENTAGEDISCOUNT;


CREATE SYNONYM BSBOFFERPRODUCTRULE FOR REFDATAMGR.BSBOFFERPRODUCTRULE;


CREATE SYNONYM BSBOFFERRETAILERRULE FOR REFDATAMGR.BSBOFFERRETAILERRULE;


CREATE SYNONYM BSBOFFERRULESET FOR REFDATAMGR.BSBOFFERRULESET;


CREATE SYNONYM BSBOFFERSALESCHANNELRULE FOR REFDATAMGR.BSBOFFERSALESCHANNELRULE;


CREATE SYNONYM BSBOFFERTOBUNDLE FOR REFDATAMGR.BSBOFFERTOBUNDLE;


CREATE SYNONYM BSBOFFERTOOFFERRULE FOR REFDATAMGR.BSBOFFERTOOFFERRULE;


CREATE SYNONYM BSBOFFERTOOFFERTYPE FOR REFDATAMGR.BSBOFFERTOOFFERTYPE;


CREATE SYNONYM BSBOFFERTORULESET FOR REFDATAMGR.BSBOFFERTORULESET;


CREATE SYNONYM BSBOFFERTYPE FOR REFDATAMGR.BSBOFFERTYPE;


CREATE SYNONYM BSBOFFERVALUEDISCOUNT FOR REFDATAMGR.BSBOFFERVALUEDISCOUNT;


CREATE SYNONYM BSBORDER FOR SKYOWNER.BSBORDER;


CREATE SYNONYM BSBORDERLINE FOR SKYOWNER.BSBORDERLINE;


CREATE SYNONYM BSBOUTCOME FOR REFDATAMGR.BSBOUTCOME;


CREATE SYNONYM BSBPAPERAGREEMENT FOR SKYOWNER.BSBPAPERAGREEMENT;


CREATE SYNONYM BSBPAPERAGRENTERRORS FOR SKYOWNER.BSBPAPERAGRENTERRORS;


CREATE SYNONYM BSBPAPERAGRERRORLIST FOR SKYOWNER.BSBPAPERAGRERRORLIST;


CREATE SYNONYM BSBPAPERAGRERRORS FOR SKYOWNER.BSBPAPERAGRERRORS;


CREATE SYNONYM BSBPAPERITEM FOR SKYOWNER.BSBPAPERITEM;


CREATE SYNONYM BSBPAPERMANDATE FOR SKYOWNER.BSBPAPERMANDATE;


CREATE SYNONYM BSBPARTYROLE FOR SKYOWNER.BSBPARTYROLE;


CREATE SYNONYM BSBPAYMENT FOR SKYOWNER.BSBPAYMENT;


CREATE SYNONYM BSBPAYMENTCARDSPECIFICATION FOR REFDATAMGR.BSBPAYMENTCARDSPECIFICATION;


CREATE SYNONYM BSBPAYMENTMETHOD FOR SKYOWNER.BSBPAYMENTMETHOD;


CREATE SYNONYM BSBPAYMENTMETHODCHANGEHEADER FOR SKYOWNER.BSBPAYMENTMETHODCHANGEHEADER;


CREATE SYNONYM BSBPAYMENTMETHODCHANGEREQUEST FOR SKYOWNER.BSBPAYMENTMETHODCHANGEREQUEST;


CREATE SYNONYM BSBPAYMENTMETHODROLE FOR SKYOWNER.BSBPAYMENTMETHODROLE;


CREATE SYNONYM BSBPERSISTENTCACHE1 FOR SKYOWNER.BSBPERSISTENTCACHE1;


CREATE SYNONYM BSBPERSISTENTCACHE2 FOR SKYOWNER.BSBPERSISTENTCACHE2;


CREATE SYNONYM BSBPERSISTENTCACHE3 FOR SKYOWNER.BSBPERSISTENTCACHE3;


CREATE SYNONYM BSBPERSISTENTCACHE4 FOR SKYOWNER.BSBPERSISTENTCACHE4;


CREATE SYNONYM BSBPERSISTENTCACHE5 FOR SKYOWNER.BSBPERSISTENTCACHE5;


CREATE SYNONYM BSBPERSISTENTCACHE6 FOR SKYOWNER.BSBPERSISTENTCACHE6;


CREATE SYNONYM BSBPERSISTENTCACHE7 FOR SKYOWNER.BSBPERSISTENTCACHE7;


CREATE SYNONYM BSBPERSISTENTCACHE8 FOR SKYOWNER.BSBPERSISTENTCACHE8;


CREATE SYNONYM BSBPORTFOLIO FOR SKYOWNER.BSBPORTFOLIO;


CREATE SYNONYM BSBPORTFOLIOOFFER FOR SKYOWNER.BSBPORTFOLIOOFFER;


CREATE SYNONYM BSBPORTFOLIOOFFERDEPENDENCY FOR SKYOWNER.BSBPORTFOLIOOFFERDEPENDENCY;


CREATE SYNONYM BSBPORTFOLIOPRODUCT FOR SKYOWNER.BSBPORTFOLIOPRODUCT;


CREATE SYNONYM BSBPPVBILLDESCRIPTION FOR REFDATAMGR.BSBPPVBILLDESCRIPTION;


CREATE SYNONYM BSBPRICEABLEUNIT FOR SKYOWNER.BSBPRICEABLEUNIT;


CREATE SYNONYM BSBPRICEABLEUNITPORTFOLIOPROD FOR SKYOWNER.BSBPRICEABLEUNITPORTFOLIOPROD;


CREATE SYNONYM BSBPRODCAPACITYCONSUMPTION FOR REFDATAMGR.BSBPRODCAPACITYCONSUMPTION;


CREATE SYNONYM BSBPRODELEMENTTOTVCHANNEL FOR REFDATAMGR.BSBPRODELEMENTTOTVCHANNEL;


CREATE SYNONYM BSBPRODUCTCOUNTRYRULE FOR REFDATAMGR.BSBPRODUCTCOUNTRYRULE;


CREATE SYNONYM BSBPRODUCTCSRROLERULE FOR REFDATAMGR.BSBPRODUCTCSRROLERULE;


CREATE SYNONYM BSBPRODUCTCUSTOMERTYPERULE FOR REFDATAMGR.BSBPRODUCTCUSTOMERTYPERULE;


CREATE SYNONYM BSBPRODUCTDEPENDENCY FOR REFDATAMGR.BSBPRODUCTDEPENDENCY;


CREATE SYNONYM BSBPRODUCTELEMENT FOR REFDATAMGR.BSBPRODUCTELEMENT;


CREATE SYNONYM BSBPRODUCTREPLACEMENTREASON FOR REFDATAMGR.BSBPRODUCTREPLACEMENTREASON;


CREATE SYNONYM BSBPRODUCTRETAILERRULE FOR REFDATAMGR.BSBPRODUCTRETAILERRULE;


CREATE SYNONYM BSBPRODUCTSALESCHANNELRULE FOR REFDATAMGR.BSBPRODUCTSALESCHANNELRULE;


CREATE SYNONYM BSBPRODUCTSUBSCRIPTYPERULE FOR REFDATAMGR.V_BSBPRODUCTSUBSCRIPTYPERULE;


CREATE SYNONYM BSBPRODUCTTOPRODUCTTYPE FOR REFDATAMGR.BSBPRODUCTTOPRODUCTTYPE;


CREATE SYNONYM BSBPROPERTYDETAIL FOR SKYOWNER.BSBPROPERTYDETAIL;


CREATE SYNONYM BSBREFUND FOR SKYOWNER.BSBREFUND;


CREATE SYNONYM BSBRETAILAFFILIATION FOR SKYOWNER.BSBRETAILAFFILIATION;


CREATE SYNONYM BSBRETAILBUSINESS FOR SKYOWNER.BSBRETAILBUSINESS;


CREATE SYNONYM BSBRETAILCOMMISSIONACCOUNT FOR SKYOWNER.BSBRETAILCOMMISSIONACCOUNT;


CREATE SYNONYM BSBRETAILERAREA FOR REFDATAMGR.BSBRETAILERAREA;


CREATE SYNONYM BSBRETAILERAUDITRECORD FOR SKYOWNER.BSBRETAILERAUDITRECORD;


CREATE SYNONYM BSBRETAILERGROUP FOR REFDATAMGR.BSBRETAILERGROUP;


CREATE SYNONYM BSBRETAILERMASK FOR REFDATAMGR.BSBRETAILERMASK;


CREATE SYNONYM BSBRETAILERPRICING FOR REFDATAMGR.BSBRETAILERPRICING;


CREATE SYNONYM BSBRETAILERREGION FOR REFDATAMGR.BSBRETAILERREGION;


CREATE SYNONYM BSBRETAILPROOFOFPURCHASE FOR SKYOWNER.BSBRETAILPROOFOFPURCHASE;


CREATE SYNONYM BSBRETAILPROOFOFPURCHASEDETAIL FOR SKYOWNER.BSBRETAILPROOFOFPURCHASEDETAIL;


CREATE SYNONYM BSBROLE FOR SKYOWNER.BSBROLE;


CREATE SYNONYM BSBROLETOKANAENTITLEMENT FOR SKYOWNER.BSBROLETOKANAENTITLEMENT;


CREATE SYNONYM BSBSALESLEAD FOR SKYOWNER.BSBSALESLEAD;


CREATE SYNONYM BSBSAMREGISTRY FOR SKYOWNER.BSBSAMREGISTRY;


CREATE SYNONYM BSBSERVICEINSTANCE FOR SKYOWNER.BSBSERVICEINSTANCE;


CREATE SYNONYM BSBSERVICETYPE FOR REFDATAMGR.BSBSERVICETYPE;


CREATE SYNONYM BSBSERVICETYPEADJUSTMENTREASON FOR REFDATAMGR.BSBSERVICETYPEADJUSTMENTREASON;


CREATE SYNONYM BSBSETTLEMENTMETHOD FOR SKYOWNER.BSBSETTLEMENTMETHOD;


CREATE SYNONYM BSBSORTCODESUBSTITUTION FOR REFDATAMGR.BSBSORTCODESUBSTITUTION;


CREATE SYNONYM BSBSPONSORS FOR REFDATAMGR.BSBSPONSORS;


CREATE SYNONYM BSBSUBGENRE FOR REFDATAMGR.BSBSUBGENRE;


CREATE SYNONYM BSBSUBSAGREEMENTTOPRODUCT FOR REFDATAMGR.BSBSUBSAGREEMENTTOPRODUCT;


CREATE SYNONYM BSBSUBSCRIPTION FOR SKYOWNER.BSBSUBSCRIPTION;


CREATE SYNONYM BSBSUBSCRIPTIONAGREEMENT FOR REFDATAMGR.BSBSUBSCRIPTIONAGREEMENT;


CREATE SYNONYM BSBSUBSCRIPTIONAGREEMENTITEM FOR SKYOWNER.BSBSUBSCRIPTIONAGREEMENTITEM;


CREATE SYNONYM BSBSUBSCRIPTIONENTITLEMENT FOR SKYOWNER.BSBSUBSCRIPTIONENTITLEMENT;


CREATE SYNONYM BSBSUBSCRIPTIONHISTORYSTATUS FOR SKYOWNER.BSBSUBSCRIPTIONHISTORYSTATUS;


CREATE SYNONYM BSBSUBSCRIPTIONTYPE FOR REFDATAMGR.BSBSUBSCRIPTIONTYPE;


CREATE SYNONYM BSBTARGETEDMAILSHOT FOR SKYOWNER.BSBTARGETEDMAILSHOT;


CREATE SYNONYM BSBTECHENQACTION FOR REFDATAMGR.BSBTECHENQACTION;


CREATE SYNONYM BSBTECHENQCAUSE FOR REFDATAMGR.BSBTECHENQCAUSE;


CREATE SYNONYM BSBTECHENQCAUSETOACTION FOR REFDATAMGR.BSBTECHENQCAUSETOACTION;


CREATE SYNONYM BSBTECHENQGROUP FOR REFDATAMGR.BSBTECHENQGROUP;


CREATE SYNONYM BSBTECHENQGROUPTOSYMPTOM FOR REFDATAMGR.BSBTECHENQGROUPTOSYMPTOM;


CREATE SYNONYM BSBTECHENQSYMPTOM FOR REFDATAMGR.BSBTECHENQSYMPTOM;


CREATE SYNONYM BSBTECHENQSYMPTOMTOCAUSE FOR REFDATAMGR.BSBTECHENQSYMPTOMTOCAUSE;


CREATE SYNONYM BSBTECHENQUIRYVISITRESOLUTION FOR SKYOWNER.BSBTECHENQUIRYVISITRESOLUTION;


CREATE SYNONYM BSBTECHNICALENQUIRY FOR SKYOWNER.BSBTECHNICALENQUIRY;


CREATE SYNONYM BSBTELEPHONE FOR SKYOWNER.BSBTELEPHONE;


CREATE SYNONYM BSBTELEPHONEUSAGEROLE FOR SKYOWNER.BSBTELEPHONEUSAGEROLE;


CREATE SYNONYM BSBTELEPHONYCUSTPRODELEMENT FOR SKYOWNER.BSBTELEPHONYCUSTPRODELEMENT;


CREATE SYNONYM BSBTELEPHONYREQUIREMENT FOR SKYOWNER.BSBTELEPHONYREQUIREMENT;


CREATE SYNONYM BSBTVCHANNEL FOR REFDATAMGR.BSBTVCHANNEL;


CREATE SYNONYM BSBUSERROLEBRIDGE FOR SKYOWNER.BSBUSERROLEBRIDGE;


CREATE SYNONYM BSBUSERROLEBRIDGE_SEQ FOR SKYOWNER.BSBUSERROLEBRIDGE_SEQ;


CREATE SYNONYM BSBVISITCANCELLATIONCODES FOR REFDATAMGR.BSBVISITCANCELLATIONCODES;


CREATE SYNONYM BSBVISITEFFICIENCY FOR REFDATAMGR.BSBVISITEFFICIENCY;


CREATE SYNONYM BSBVISITREQUIREMENT FOR SKYOWNER.BSBVISITREQUIREMENT;


CREATE SYNONYM BSBVISITREQUIREMENTHISTORY FOR SKYOWNER.BSBVISITREQUIREMENTHISTORY;


CREATE SYNONYM BSBWARRANTY FOR SKYOWNER.BSBWARRANTY;


CREATE SYNONYM BSBWARRANTYACTIONPRICE FOR REFDATAMGR.BSBWARRANTYACTIONPRICE;


CREATE SYNONYM BSBWARRANTYCOMPANY FOR REFDATAMGR.BSBWARRANTYCOMPANY;


CREATE SYNONYM BSBWARRANTYDETAIL FOR SKYOWNER.BSBWARRANTYDETAIL;


CREATE SYNONYM BSBWARRANTYMASK FOR REFDATAMGR.BSBWARRANTYMASK;


CREATE SYNONYM BSB_ID_TABTYPE FOR SKYOWNER.BSB_ID_TABTYPE;


CREATE SYNONYM CCSUSER FOR SKYOWNER.CCSUSER;


CREATE SYNONYM CCSUSER_NEW FOR SKYOWNER.CCSUSER_NEW;


CREATE SYNONYM CCSUSER_SEQ FOR SKYOWNER.CCSUSER_SEQ;


CREATE SYNONYM DAL_BSBPERSISTENTCACHE FOR SKYOWNER.DAL_BSBPERSISTENTCACHE;


CREATE SYNONYM DAL_BSBSAMREGISTRY FOR SKYOWNER.DAL_BSBSAMREGISTRY;


CREATE SYNONYM DEADLINETIMER FOR SKYOWNER.DEADLINETIMER;


CREATE SYNONYM DEFDATABIZSVC FOR SKYOWNER.DEFDATABIZSVC;


CREATE SYNONYM DEFDATACATEGORY FOR SKYOWNER.DEFDATACATEGORY;


CREATE SYNONYM DEFDATACLASSINFO FOR SKYOWNER.DEFDATACLASSINFO;


CREATE SYNONYM DEFDATAPACKAGE FOR SKYOWNER.DEFDATAPACKAGE;


CREATE SYNONYM DEFINEDDATASCOPE FOR SKYOWNER.DEFINEDDATASCOPE;


CREATE SYNONYM DW_ONS FOR REFDATAMGR.DW_ONS;


CREATE SYNONYM GREFNUMBERSEQ FOR SKYOWNER.GREFNUMBERSEQ;


CREATE SYNONYM IDENTITYTABLE FOR SKYOWNER.IDENTITYTABLE;


CREATE SYNONYM IRISHAGREEMENTNUMBERSEQ FOR SKYOWNER.IRISHAGREEMENTNUMBERSEQ;


CREATE SYNONYM JXW_PID_SEQ FOR SKYOWNER.JXW_PID_SEQ;


CREATE SYNONYM LINK_CAMPAIGNSOURCE_OFFER FOR REFDATAMGR.LINK_CAMPAIGNSOURCE_OFFER;


CREATE SYNONYM LISTDESCRIPTION FOR REFDATAMGR.V_LISTDESCRIPTION;


CREATE SYNONYM NEWSFEED FOR SKYOWNER.NEWSFEED;


CREATE SYNONYM OBJECTCACHEKEY_SEQ FOR SKYOWNER.OBJECTCACHEKEY_SEQ;


CREATE SYNONYM PACKAGECLASSINFO FOR SKYOWNER.PACKAGECLASSINFO;


CREATE SYNONYM PARTYNUMBERSEQ FOR SKYOWNER.PARTYNUMBERSEQ;


CREATE SYNONYM PARTYRELATIONROLE FOR SKYOWNER.PARTYRELATIONROLE;


CREATE SYNONYM PERSONALITY FOR SKYOWNER.PERSONALITY;


CREATE SYNONYM PREFPROFICIENCY FOR SKYOWNER.PREFPROFICIENCY;


CREATE SYNONYM PROFILECATEGORYDEFINITION FOR REFDATAMGR.V_PROFILECATEGORYDEFINITION;


CREATE SYNONYM PROFILEQUESTION FOR REFDATAMGR.V_PROFILEQUESTION;


CREATE SYNONYM PROFILEQUESTIONRULE FOR REFDATAMGR.V_PROFILEQUESTIONRULE;


CREATE SYNONYM REFERENCEDATA FOR REFDATAMGR.V_REFERENCEDATA;


CREATE SYNONYM RETAILLOGICSID FOR REFDATAMGR.V_RETAILLOGICSID;


CREATE SYNONYM ROUTERID_SEQ FOR SKYOWNER.ROUTERID_SEQ;


CREATE SYNONYM ROUTINGATTRIBUTE FOR SKYOWNER.ROUTINGATTRIBUTE;


CREATE SYNONYM ROUTINGPROFICIENCY FOR SKYOWNER.ROUTINGPROFICIENCY;


CREATE SYNONYM RUNPLANIDCOUNTER FOR SKYOWNER.RUNPLANIDCOUNTER;


CREATE SYNONYM SCHEMA_UPDATES FOR SKYOWNER.SCHEMA_UPDATES;


CREATE SYNONYM SESSIONCONTEXT FOR SKYOWNER.SESSIONCONTEXT;


CREATE SYNONYM SET_CACHE_DATA FOR SKYOWNER.SET_CACHE_DATA;


CREATE SYNONYM SORTCODE FOR REFDATAMGR.SORTCODE;


CREATE SYNONYM SQLPERSISTENTINFO FOR SKYOWNER.SQLPERSISTENTINFO;


CREATE SYNONYM STATICATTRDEF FOR SKYOWNER.STATICATTRDEF;


CREATE SYNONYM STR2TAB FOR SKYOWNER.STR2TAB;


CREATE SYNONYM THINGDETAILSEQ FOR SKYOWNER.THINGDETAILSEQ;


CREATE SYNONYM THINGSEQ FOR SKYOWNER.THINGSEQ;


CREATE SYNONYM TRANSACTIONNUMBERSEQ FOR SKYOWNER.TRANSACTIONNUMBERSEQ;


CREATE SYNONYM TREFNUMBERSEQ FOR SKYOWNER.TREFNUMBERSEQ;


CREATE SYNONYM VISITIDSEQ FOR SKYOWNER.VISITIDSEQ;


CREATE SYNONYM V_ADDRESSBYCONTACTOR FOR SKYOWNER.V_ADDRESSBYCONTACTOR;


CREATE SYNONYM V_AUTHORIZEDCONTACTROLE FOR SKYOWNER.V_AUTHORIZEDCONTACTROLE;


CREATE SYNONYM V_BILLINGCHARGE FOR SKYOWNER.V_BILLINGCHARGE;


CREATE SYNONYM V_BILLINGITEMPO FOR SKYOWNER.V_BILLINGITEMPO;


CREATE SYNONYM V_BILLINGITEMPP FOR SKYOWNER.V_BILLINGITEMPP;


CREATE SYNONYM V_BILLINGITEMPRICEABLEUNIT FOR SKYOWNER.V_BILLINGITEMPRICEABLEUNIT;


CREATE SYNONYM V_BSBADJUSTMENTREASON FOR REFDATAMGR.V_BSBADJUSTMENTREASON;


CREATE SYNONYM V_BSBAGREEMENTFORM FOR REFDATAMGR.V_BSBAGREEMENTFORM;


CREATE SYNONYM V_BSBBANKACCOUNTSPECIFICATION FOR REFDATAMGR.V_BSBBANKACCOUNTSPECIFICATION;


CREATE SYNONYM V_BSBBONUSPRODDEPENDENCYRULE FOR REFDATAMGR.V_BSBBONUSPRODDEPENDENCYRULE;


CREATE SYNONYM V_BSBBONUSPRODUCTRULE FOR REFDATAMGR.V_BSBBONUSPRODUCTRULE;


CREATE SYNONYM V_BSBBOUQUETSERVICEOBJECT FOR REFDATAMGR.V_BSBBOUQUETSERVICEOBJECT;


CREATE SYNONYM V_BSBCAMPAIGN FOR REFDATAMGR.V_BSBCAMPAIGN;


CREATE SYNONYM V_BSBCAMPAIGNINTERESTSOURCE FOR REFDATAMGR.V_BSBCAMPAIGNINTERESTSOURCE;


CREATE SYNONYM V_BSBCAMPAIGNOFFER FOR REFDATAMGR.V_BSBCAMPAIGNOFFER;


CREATE SYNONYM V_BSBCAMPAIGNSOURCE FOR REFDATAMGR.V_BSBCAMPAIGNSOURCE;


CREATE SYNONYM V_BSBCAMPAIGNSOURCECG FOR REFDATAMGR.V_BSBCAMPAIGNSOURCECG;


CREATE SYNONYM V_BSBCANCELLATIONREASON FOR REFDATAMGR.V_BSBCANCELLATIONREASON;


CREATE SYNONYM V_BSBCATALOGUEPRODTOCATEGORY FOR REFDATAMGR.V_BSBCATALOGUEPRODTOCATEGORY;


CREATE SYNONYM V_BSBCATALOGUEPRODUCTCATEGORY FOR REFDATAMGR.V_BSBCATALOGUEPRODUCTCATEGORY;


CREATE SYNONYM V_BSBCATALOGUEPRODUCTPRICE FOR REFDATAMGR.V_BSBCATALOGUEPRODUCTPRICE;


CREATE SYNONYM V_BSBCATALOGUEPRODUCTTYPE FOR REFDATAMGR.V_BSBCATALOGUEPRODUCTTYPE;


CREATE SYNONYM V_BSBCICPORTFOLIO FOR SKYOWNER.V_BSBCICPORTFOLIO;


CREATE SYNONYM V_BSBCOMMERCIALAGREEMENT FOR REFDATAMGR.V_BSBCOMMERCIALAGREEMENT;


CREATE SYNONYM V_BSBCOMMERCIALEVENTATTRIBUTE FOR REFDATAMGR.V_BSBCOMMERCIALEVENTATTRIBUTE;


CREATE SYNONYM V_BSBCOMMERCIALEVENTINFO FOR REFDATAMGR.V_BSBCOMMERCIALEVENTINFO;


CREATE SYNONYM V_BSBCOMMERCIALEVENTPRODUCT FOR REFDATAMGR.V_BSBCOMMERCIALEVENTPRODUCT;


CREATE SYNONYM V_BSBCOMMERCIALPRODUCT FOR REFDATAMGR.V_BSBCOMMERCIALPRODUCT;


CREATE SYNONYM V_BSBCOMMERCIALPRODUCTBUNDLE FOR REFDATAMGR.V_BSBCOMMERCIALPRODUCTBUNDLE;


CREATE SYNONYM V_BSBCOMMERCIALPRODUCTTOBUNDLE FOR REFDATAMGR.V_BSBCOMMERCIALPRODUCTTOBUNDLE;


CREATE SYNONYM V_BSBCOMMPRODUCTTOPRODELEMENT FOR REFDATAMGR.V_BSBCOMMPRODUCTTOPRODELEMENT;


CREATE SYNONYM V_BSBCONTACTADDRESS FOR SKYOWNER.V_BSBCONTACTADDRESS;


CREATE SYNONYM V_BSBCONTACTEMAIL FOR SKYOWNER.V_BSBCONTACTEMAIL;


CREATE SYNONYM V_BSBCONTACTTELEPHONE FOR SKYOWNER.V_BSBCONTACTTELEPHONE;


CREATE SYNONYM V_BSBCORRESPONDENCECATEGORY FOR REFDATAMGR.V_BSBCORRESPONDENCECATEGORY;


CREATE SYNONYM V_BSBCORRESPONDENCEREASON FOR REFDATAMGR.V_BSBCORRESPONDENCEREASON;


CREATE SYNONYM V_BSBCORRESPONDENCESUBJECTAREA FOR REFDATAMGR.V_BSBCORRESPONDENCESUBJECTAREA;


CREATE SYNONYM V_BSBCORRESPONDENCETEMPLATE FOR REFDATAMGR.V_BSBCORRESPONDENCETEMPLATE;


CREATE SYNONYM V_BSBCORRESPTEMPLATETOREASON FOR REFDATAMGR.V_BSBCORRESPTEMPLATETOREASON;


CREATE SYNONYM V_BSBCORRESPTEMPLATETOROLE FOR REFDATAMGR.V_BSBCORRESPTEMPLATETOROLE;


CREATE SYNONYM V_BSBCORRESPTEMPLATEVERSION FOR REFDATAMGR.V_BSBCORRESPTEMPLATEVERSION;


CREATE SYNONYM V_BSBCREDITLIMITREDUCTION FOR REFDATAMGR.V_BSBCREDITLIMITREDUCTION;


CREATE SYNONYM V_BSBCROSSUPSELLREL FOR REFDATAMGR.V_BSBCROSSUPSELLREL;


CREATE SYNONYM V_BSBCSRROLEADJUSTMENTREASON FOR REFDATAMGR.V_BSBCSRROLEADJUSTMENTREASON;


CREATE SYNONYM V_BSBDEFAULTCREDITLIMIT FOR REFDATAMGR.V_BSBDEFAULTCREDITLIMIT;


CREATE SYNONYM V_BSBDOORTODOORAGENTSUMMARY FOR SKYOWNER.V_BSBDOORTODOORAGENTSUMMARY;


CREATE SYNONYM V_BSBDOWNGRADEREASON FOR REFDATAMGR.V_BSBDOWNGRADEREASON;


CREATE SYNONYM V_BSBDSLCAPABILITY FOR REFDATAMGR.V_BSBDSLCAPABILITY;


CREATE SYNONYM V_BSBDSLCAPTOPRODUCT FOR REFDATAMGR.V_BSBDSLCAPTOPRODUCT;


CREATE SYNONYM V_BSBENTITLEMENT FOR REFDATAMGR.V_BSBENTITLEMENT;


CREATE SYNONYM V_BSBFEEDBACKCATEGORY FOR REFDATAMGR.V_BSBFEEDBACKCATEGORY;


CREATE SYNONYM V_BSBFEEDBACKREASON FOR REFDATAMGR.V_BSBFEEDBACKREASON;


CREATE SYNONYM V_BSBFULFILMENTHOUSE FOR REFDATAMGR.V_BSBFULFILMENTHOUSE;


CREATE SYNONYM V_BSBGLOBALOFFER FOR REFDATAMGR.V_BSBGLOBALOFFER;


CREATE SYNONYM V_BSBHISTORYNOTECATEGORY FOR REFDATAMGR.V_BSBHISTORYNOTECATEGORY;


CREATE SYNONYM V_BSBHISTORYNOTETITLE FOR REFDATAMGR.V_BSBHISTORYNOTETITLE;


CREATE SYNONYM V_BSBINSTALLBUNDLEPICKER FOR REFDATAMGR.V_BSBINSTALLBUNDLEPICKER;


CREATE SYNONYM V_BSBINSTALLERCLASSIFICATION FOR REFDATAMGR.V_BSBINSTALLERCLASSIFICATION;


CREATE SYNONYM V_BSBINSTALLERMANAGERVIEW FOR SKYOWNER.V_BSBINSTALLERMANAGERVIEW;


CREATE SYNONYM V_BSBINSTALLERREGION FOR REFDATAMGR.V_BSBINSTALLERREGION;


CREATE SYNONYM V_BSBINSTALLERSUMMARY FOR SKYOWNER.V_BSBINSTALLERSUMMARY;


CREATE SYNONYM V_BSBINSTALLERTEAMS FOR SKYOWNER.V_BSBINSTALLERTEAMS;


CREATE SYNONYM V_BSBINSTALLERVIEW FOR SKYOWNER.V_BSBINSTALLERVIEW;


CREATE SYNONYM V_BSBINTERESTSOURCE FOR REFDATAMGR.V_BSBINTERESTSOURCE;


CREATE SYNONYM V_BSBIVREVENTSMAPPING FOR REFDATAMGR.V_BSBIVREVENTSMAPPING;


CREATE SYNONYM V_BSBLINKRETAILERGROUP FOR REFDATAMGR.V_BSBLINKRETAILERGROUP;


CREATE SYNONYM V_BSBMAXDEBTAMOUNT FOR REFDATAMGR.V_BSBMAXDEBTAMOUNT;


CREATE SYNONYM V_BSBOFFER FOR REFDATAMGR.V_BSBOFFER;


CREATE SYNONYM V_BSBOFFERCOUNTRYRULE FOR REFDATAMGR.V_BSBOFFERCOUNTRYRULE;


CREATE SYNONYM V_BSBOFFERCSRROLERULE FOR REFDATAMGR.V_BSBOFFERCSRROLERULE;


CREATE SYNONYM V_BSBOFFERDISCOUNTS FOR REFDATAMGR.V_BSBOFFERDISCOUNTS;


CREATE SYNONYM V_BSBOFFERPRODUCTRULE FOR REFDATAMGR.V_BSBOFFERPRODUCTRULE;


CREATE SYNONYM V_BSBOFFERRETAILERRULE FOR REFDATAMGR.V_BSBOFFERRETAILERRULE;


CREATE SYNONYM V_BSBOFFERS FOR REFDATAMGR.V_BSBOFFERS;


CREATE SYNONYM V_BSBOFFERSALESCHANNELRULE FOR REFDATAMGR.V_BSBOFFERSALESCHANNELRULE;


CREATE SYNONYM V_BSBOFFERTOBUNDLE FOR REFDATAMGR.V_BSBOFFERTOBUNDLE;


CREATE SYNONYM V_BSBOFFERTOOFFERRULE FOR REFDATAMGR.V_BSBOFFERTOOFFERRULE;


CREATE SYNONYM V_BSBOFFERTOOFFERTYPE FOR REFDATAMGR.V_BSBOFFERTOOFFERTYPE;


CREATE SYNONYM V_BSBOFFERTORULESET FOR REFDATAMGR.V_BSBOFFERTORULESET;


CREATE SYNONYM V_BSBOFFERTYPE FOR REFDATAMGR.V_BSBOFFERTYPE;


CREATE SYNONYM V_BSBORDERHISTORY FOR SKYOWNER.V_BSBORDERHISTORY;


CREATE SYNONYM V_BSBORDERHISTORYPRODUCT FOR SKYOWNER.V_BSBORDERHISTORYPRODUCT;


CREATE SYNONYM V_BSBOUTCOME FOR REFDATAMGR.V_BSBOUTCOME;


CREATE SYNONYM V_BSBPAYMENTCARDSPECIFICATION FOR REFDATAMGR.V_BSBPAYMENTCARDSPECIFICATION;


CREATE SYNONYM V_BSBPPVEVENTSEARCH FOR REFDATAMGR.V_BSBPPVEVENTSEARCH;


CREATE SYNONYM V_BSBPPVPRODUCTDATA FOR SKYOWNER.V_BSBPPVPRODUCTDATA;


CREATE SYNONYM V_BSBPPVSEARCH FOR REFDATAMGR.V_BSBPPVSEARCH;


CREATE SYNONYM V_BSBPPVSERVICEBILLDESCRIPTION FOR REFDATAMGR.V_BSBPPVSERVICEBILLDESCRIPTION;


CREATE SYNONYM V_BSBPRODCAPACITYCONSUMPTION FOR REFDATAMGR.V_BSBPRODCAPACITYCONSUMPTION;


CREATE SYNONYM V_BSBPRODUCTCOUNTRYRULE FOR REFDATAMGR.V_BSBPRODUCTCOUNTRYRULE;


CREATE SYNONYM V_BSBPRODUCTCSRROLERULE FOR REFDATAMGR.V_BSBPRODUCTCSRROLERULE;


CREATE SYNONYM V_BSBPRODUCTCUSTOMERTYPERULE FOR REFDATAMGR.V_BSBPRODUCTCUSTOMERTYPERULE;


CREATE SYNONYM V_BSBPRODUCTDEPENDENCY FOR REFDATAMGR.V_BSBPRODUCTDEPENDENCY;


CREATE SYNONYM V_BSBPRODUCTELEMENT FOR REFDATAMGR.V_BSBPRODUCTELEMENT;


CREATE SYNONYM V_BSBPRODUCTREPLACEMENTREASON FOR REFDATAMGR.V_BSBPRODUCTREPLACEMENTREASON;


CREATE SYNONYM V_BSBPRODUCTRETAILERRULE FOR REFDATAMGR.V_BSBPRODUCTRETAILERRULE;


CREATE SYNONYM V_BSBPRODUCTS FOR REFDATAMGR.V_BSBPRODUCTS;


CREATE SYNONYM V_BSBPRODUCTSALESCHANNELRULE FOR REFDATAMGR.V_BSBPRODUCTSALESCHANNELRULE;


CREATE SYNONYM V_BSBPRODUCTSUBSCRIPTYPERULE FOR REFDATAMGR.V_BSBPRODUCTSUBSCRIPTYPERULE;


CREATE SYNONYM V_BSBPRODUCTTOPRODUCTTYPE FOR REFDATAMGR.V_BSBPRODUCTTOPRODUCTTYPE;


CREATE SYNONYM V_BSBPRODUCTTVCHANNELS FOR REFDATAMGR.V_BSBPRODUCTTVCHANNELS;


CREATE SYNONYM V_BSBRETAILERAREA FOR REFDATAMGR.V_BSBRETAILERAREA;


CREATE SYNONYM V_BSBRETAILERGROUP FOR REFDATAMGR.V_BSBRETAILERGROUP;


CREATE SYNONYM V_BSBRETAILERMASK FOR REFDATAMGR.V_BSBRETAILERMASK;


CREATE SYNONYM V_BSBRETAILERPRICING FOR REFDATAMGR.V_BSBRETAILERPRICING;


CREATE SYNONYM V_BSBRETAILERREGION FOR REFDATAMGR.V_BSBRETAILERREGION;


CREATE SYNONYM V_BSBSERVICETYPE FOR REFDATAMGR.V_BSBSERVICETYPE;


CREATE SYNONYM V_BSBSERVICETYPEADJUSTREASON FOR REFDATAMGR.V_BSBSERVICETYPEADJUSTREASON;


CREATE SYNONYM V_BSBSORTCODESUBSTITUTION FOR REFDATAMGR.V_BSBSORTCODESUBSTITUTION;


CREATE SYNONYM V_BSBSPONSORS FOR REFDATAMGR.V_BSBSPONSORS;


CREATE SYNONYM V_BSBSUBSAGREEMENTTOPRODUCT FOR REFDATAMGR.V_BSBSUBSAGREEMENTTOPRODUCT;


CREATE SYNONYM V_BSBSUBSCRIPTIONAGREEMENT FOR REFDATAMGR.V_BSBSUBSCRIPTIONAGREEMENT;


CREATE SYNONYM V_BSBSUBSCRIPTIONTYPE FOR REFDATAMGR.V_BSBSUBSCRIPTIONTYPE;


CREATE SYNONYM V_BSBSUMMARYBILLINGACCOUNT FOR SKYOWNER.V_BSBSUMMARYBILLINGACCOUNT;


CREATE SYNONYM V_BSBTARGETEDMAILSHOT FOR SKYOWNER.V_BSBTARGETEDMAILSHOT;


CREATE SYNONYM V_BSBTECHENQACTIONPATH FOR REFDATAMGR.V_BSBTECHENQACTIONPATH;


CREATE SYNONYM V_BSBUSERROLE FOR SKYOWNER.V_BSBUSERROLE;


CREATE SYNONYM V_BSBUTIL_PERSONTOSUBSCRIPTION FOR SKYOWNER.V_BSBUTIL_PERSONTOSUBSCRIPTION;


CREATE SYNONYM V_BSBVISITCANCELLATIONCODES FOR REFDATAMGR.V_BSBVISITCANCELLATIONCODES;


CREATE SYNONYM V_BSBVISITEFFICIENCY FOR REFDATAMGR.V_BSBVISITEFFICIENCY;


CREATE SYNONYM V_BSBVISITSUMMARY FOR SKYOWNER.V_BSBVISITSUMMARY;


CREATE SYNONYM V_BSBWARRANTYCOMPANY FOR REFDATAMGR.V_BSBWARRANTYCOMPANY;


CREATE SYNONYM V_BSBWARRANTYMASK FOR REFDATAMGR.V_BSBWARRANTYMASK;


CREATE SYNONYM V_BSBWARRNTYACTIONPRICE FOR REFDATAMGR.V_BSBWARRNTYACTIONPRICE;


CREATE SYNONYM V_BUSINESS FOR SKYOWNER.V_BUSINESS;


CREATE SYNONYM V_BUSINESSCONTACTOR FOR SKYOWNER.V_BUSINESSCONTACTOR;


CREATE SYNONYM V_COMTYPE FOR REFDATAMGR.V_COMTYPE;


CREATE SYNONYM V_CONTACTOR FOR SKYOWNER.V_CONTACTOR;


CREATE SYNONYM V_CONTACTORBYADDRESS FOR SKYOWNER.V_CONTACTORBYADDRESS;


CREATE SYNONYM V_CONTACTORBYCONTRACTNUMBER FOR SKYOWNER.V_CONTACTORBYCONTRACTNUMBER;


CREATE SYNONYM V_CONTACTORBYEMAIL FOR SKYOWNER.V_CONTACTORBYEMAIL;


CREATE SYNONYM V_CONTACTORBYFINANCIALDETAIL FOR SKYOWNER.V_CONTACTORBYFINANCIALDETAIL;


CREATE SYNONYM V_CONTACTORBYNDSNUMBER FOR SKYOWNER.V_CONTACTORBYNDSNUMBER;


CREATE SYNONYM V_CONTACTORBYTELEPHONE FOR SKYOWNER.V_CONTACTORBYTELEPHONE;


CREATE SYNONYM V_CONTACTORBYVIEWINGCARD FOR SKYOWNER.V_CONTACTORBYVIEWINGCARD;


CREATE SYNONYM V_CONTACTORBYVISITNUMBER FOR SKYOWNER.V_CONTACTORBYVISITNUMBER;


CREATE SYNONYM V_CONTACTORPRIMARYTELEPHONE FOR SKYOWNER.V_CONTACTORPRIMARYTELEPHONE;


CREATE SYNONYM V_CUSTOMERAGREEMENTSUMMARY FOR SKYOWNER.V_CUSTOMERAGREEMENTSUMMARY;


CREATE SYNONYM V_CUSTOMERROLE FOR SKYOWNER.V_CUSTOMERROLE;


CREATE SYNONYM V_EBCTASKNAME FOR SKYOWNER.V_EBCTASKNAME;


CREATE SYNONYM V_EBCUSERCUSTOMER FOR SKYOWNER.V_EBCUSERCUSTOMER;


CREATE SYNONYM V_EMAILBYCONTACTOR FOR SKYOWNER.V_EMAILBYCONTACTOR;


CREATE SYNONYM V_IDCONTACTOR FOR SKYOWNER.V_IDCONTACTOR;


CREATE SYNONYM V_IDCUSTOMER FOR SKYOWNER.V_IDCUSTOMER;


CREATE SYNONYM V_IDRETAILBUSINESS FOR SKYOWNER.V_IDRETAILBUSINESS;


CREATE SYNONYM V_IDRETAILBUSINESSBYTELEPHONE FOR SKYOWNER.V_IDRETAILBUSINESSBYTELEPHONE;


CREATE SYNONYM V_JOBSUMMARY FOR SKYOWNER.V_JOBSUMMARY;


CREATE SYNONYM V_JOBSUMMARYTE FOR SKYOWNER.V_JOBSUMMARYTE;


CREATE SYNONYM V_JOBSUMMARYVR FOR SKYOWNER.V_JOBSUMMARYVR;


CREATE SYNONYM V_LISTDESCRIPTION FOR REFDATAMGR.V_LISTDESCRIPTION;


CREATE SYNONYM V_MISCELLANOUSCONTACTROLE FOR SKYOWNER.V_MISCELLANOUSCONTACTROLE;


CREATE SYNONYM V_OFFERINGROLE FOR SKYOWNER.V_OFFERINGROLE;


CREATE SYNONYM V_OFFERINGSTATE FOR SKYOWNER.V_OFFERINGSTATE;


CREATE SYNONYM V_PARTYORGROLE FOR SKYOWNER.V_PARTYORGROLE;


CREATE SYNONYM V_PARTYPERSONROLE FOR SKYOWNER.V_PARTYPERSONROLE;


CREATE SYNONYM V_PERSONPORTFOLIO FOR SKYOWNER.V_PERSONPORTFOLIO;


CREATE SYNONYM V_PICKLIST FOR REFDATAMGR.V_PICKLIST;


CREATE SYNONYM V_PROFILECATEGORYDEFINITION FOR REFDATAMGR.V_PROFILECATEGORYDEFINITION;


CREATE SYNONYM V_PROFILEQUESTION FOR REFDATAMGR.V_PROFILEQUESTION;


CREATE SYNONYM V_PROFILEQUESTIONRULE FOR REFDATAMGR.V_PROFILEQUESTIONRULE;


CREATE SYNONYM V_RDMLITERATUREITEM FOR REFDATAMGR.V_RDMLITERATUREITEM;


CREATE SYNONYM V_REFERENCEDATA FOR REFDATAMGR.V_REFERENCEDATA;


CREATE SYNONYM V_REFUNDSUMMARY FOR SKYOWNER.V_REFUNDSUMMARY;


CREATE SYNONYM V_RETAILERAUDITFILTER FOR SKYOWNER.V_RETAILERAUDITFILTER;


CREATE SYNONYM V_RETAILLOGICSID FOR REFDATAMGR.V_RETAILLOGICSID;


CREATE SYNONYM V_SISUBSCRIPTIONSUMMARY FOR SKYOWNER.V_SISUBSCRIPTIONSUMMARY;


CREATE SYNONYM V_SITEMP FOR SKYOWNER.V_SITEMP;


CREATE SYNONYM V_SORTCODE FOR REFDATAMGR.V_SORTCODE;


CREATE SYNONYM V_SUBSCRIPTIONAGREEMENTPRICE FOR REFDATAMGR.V_SUBSCRIPTIONAGREEMENTPRICE;


CREATE SYNONYM V_TECHNICALENQUIRYJOB FOR SKYOWNER.V_TECHNICALENQUIRYJOB;


CREATE SYNONYM V_TELEPHONEBYCONTACTOR FOR SKYOWNER.V_TELEPHONEBYCONTACTOR;


CREATE SYNONYM WFASSIGNMENT FOR SKYOWNER.WFASSIGNMENT;


CREATE SYNONYM WFASSIGNMENTINFO FOR SKYOWNER.WFASSIGNMENTINFO;


CREATE SYNONYM WFIONAME FOR SKYOWNER.WFIONAME;


CREATE SYNONYM WFNODERELATIONSHIP FOR SKYOWNER.WFNODERELATIONSHIP;


CREATE SYNONYM WFPLAN FOR SKYOWNER.WFPLAN;


CREATE SYNONYM WFPLANINFO FOR SKYOWNER.WFPLANINFO;


CREATE SYNONYM WFPLANNODE FOR SKYOWNER.WFPLANNODE;


CREATE SYNONYM WFTASK FOR SKYOWNER.WFTASK;


CREATE SYNONYM WFTASKINFO FOR SKYOWNER.WFTASKINFO;


CREATE SYNONYM WFTOKEN FOR SKYOWNER.WFTOKEN;


CREATE SYNONYM XXBSBPAPERSUBAGREEMENTITEM FOR SKYOWNER.XXBSBPAPERSUBAGREEMENTITEM;


CREATE SYNONYM BSBROLECREDITLIMIT FOR SKYOWNER.BSBROLECREDITLIMIT;


CREATE SYNONYM V_OFFERINGHIERARCHY FOR SKYOWNER.V_OFFERINGHIERARCHY;



--
-- Create Schema Script 
--   Database Version   : 10.2.0.1.0 
--   TOAD Version       : 9.0.1.8 
--   DB Connect String  : JXBUS 
--   Schema             : SKYOWNER 
--   Script Created by  : SYS 
--   Script Created at  : 22/03/2007 15:01:30 
--   Physical Location  :  
--   Notes              :  
--

-- Object Counts: 
--   Roles: 1           Roles: 2            Obj Privs: 0 
--   Users: 1           Roles: 1            Tablespace Quotas: 2 
-- 
--   Database Links: 8 
--   Directories: 3 
--   Functions: 1       Lines of Code: 49 
--   Indexes: 517       Columns: 533        
--   Object Privileges: 219 
--   Packages: 2        Lines of Code: 134 
--   Package Bodies: 2  Lines of Code: 308 
--   Procedures: 1      Lines of Code: 46 
--   Sequences: 19 
--   Synonyms: 9 
--   Tables: 178        Columns: 2032       Constraints: 464    
--   Triggers: 8 
--   Types: 2 
--   Views: 66          


CREATE PROFILE DEFAULT LIMIT
  SESSIONS_PER_USER UNLIMITED
  CPU_PER_SESSION UNLIMITED
  CPU_PER_CALL UNLIMITED
  CONNECT_TIME UNLIMITED
  IDLE_TIME UNLIMITED
  LOGICAL_READS_PER_SESSION UNLIMITED
  LOGICAL_READS_PER_CALL UNLIMITED
  COMPOSITE_LIMIT UNLIMITED
  PRIVATE_SGA UNLIMITED
  FAILED_LOGIN_ATTEMPTS 10
  PASSWORD_LIFE_TIME UNLIMITED
  PASSWORD_REUSE_TIME UNLIMITED
  PASSWORD_REUSE_MAX UNLIMITED
  PASSWORD_LOCK_TIME UNLIMITED
  PASSWORD_GRACE_TIME UNLIMITED
  PASSWORD_VERIFY_FUNCTION NULL;


CREATE ROLE R_SKYOWN NOT IDENTIFIED;

GRANT CREATE SYNONYM TO R_SKYOWN;
GRANT CREATE TABLE TO R_SKYOWN;
GRANT CREATE SESSION TO R_SKYOWN;
GRANT CREATE VIEW TO R_SKYOWN;
GRANT CONNECT TO R_SKYOWN;
GRANT RESOURCE TO R_SKYOWN;


CREATE USER SKYOWNER
  IDENTIFIED BY VALUES '1027618650976AAE'
  DEFAULT TABLESPACE DEV
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 1 Role for SKYOWNER 
  GRANT R_SKYOWN TO SKYOWNER;
  ALTER USER SKYOWNER DEFAULT ROLE ALL;
  -- 2 Tablespace Quotas for SKYOWNER 
  ALTER USER SKYOWNER QUOTA UNLIMITED ON IDX;
  ALTER USER SKYOWNER QUOTA UNLIMITED ON DEV;
  -- 8 Object Privileges for SKYOWNER 
    GRANT SELECT ON  REFDATAMGR.BSBCATALOGUEPRODUCT TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.BSBCOMMERCIALEVENTINFORMATION TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.BSBPRODUCTTOPRODUCTTYPE TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.V_BSBCAMPAIGNINTERESTSOURCE TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.V_BSBENTITLEMENT TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.V_BSBINSTALLERCLASSIFICATION TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.V_BSBINSTALLERREGION TO SKYOWNER WITH GRANT OPTION;
    GRANT SELECT ON  REFDATAMGR.V_BSBSUBSCRIPTIONTYPE TO SKYOWNER WITH GRANT OPTION;


CREATE OR REPLACE TYPE "BSB_ID_TABTYPE"                                                                                                                                                   AS TABLE OF VARCHAR2(47)
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.0  $
  $Date:   Mar 03 2006 14:29:16  $

  Usage:
  This is a generic type which can be used to hold an array of BSKYB "ID" values.

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  03/03/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Types/BSB_ID_TABTYPE.sql-arc  $

   Rev 1.0   Mar 03 2006 14:29:16   dwi52
Initial revision.

******************************************************************************************/
/

SHOW ERRORS;


CREATE OR REPLACE TYPE "SAMREGISTRY_USERNAMES_TT"                                                                                   AS
TABLE OF VARCHAR2(40)
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.0  $
  $Date:   Apr 27 2006 16:18:26  $

  Usage:
  This is an object type to hold a generated SAM Registry Usernames.

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  24/04/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Types/SAMRegistry_Usernames_TT.sql-arc  $

   Rev 1.0   Apr 27 2006 16:18:26   dwi52
Initial revision.

******************************************************************************************/
/

SHOW ERRORS;


CREATE OR REPLACE DIRECTORY 
ADMIN_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/md/admin';


CREATE OR REPLACE DIRECTORY 
DATA_PUMP_DIR AS 
'D:\oracle10.2.0\admin\jxbus\dpdump\';


CREATE OR REPLACE DIRECTORY 
WORK_DIR AS 
'C:\ADE\aime_10.2_nt_push\oracle/work';


CREATE SEQUENCE CCSUSER_SEQ
  START WITH 1054
  MAXVALUE 999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE ROUTERID_SEQ
  START WITH 100301
  MAXVALUE 9999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE PARTYNUMBERSEQ
  START WITH 1
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE RMANUMBERSEQ
  START WITH 1
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE THINGSEQ
  START WITH 50001
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE VISITIDSEQ
  START WITH 21242
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE BSBUSERROLEBRIDGE_SEQ
  START WITH 131077
  MAXVALUE 999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE TRANSACTIONNUMBERSEQ
  START WITH 600001
  MAXVALUE 999999
  MINVALUE 1
  CYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE JXW_PID_SEQ
  START WITH 1000
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE ORDERNUMBERSEQ
  START WITH 28782
  MAXVALUE 9999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE THINGDETAILSEQ
  START WITH 50001
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE TREFNUMBERSEQ
  START WITH 52412
  MAXVALUE 9999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE CASENUMBERSEQ
  START WITH 33032
  MAXVALUE 999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE SEEDNUMSEQ
  START WITH 1
  MAXVALUE 99999
  MINVALUE 1
  CYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE OBJECTCACHEKEY_SEQ
  START WITH 750001
  MAXVALUE 9999999
  MINVALUE 1
  CYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE IRISHAGREEMENTNUMBERSEQ
  START WITH 71600
  MAXVALUE 999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE AGREEMENTNUMBERSEQ
  START WITH 419374
  MAXVALUE 999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE SEQUENCE ACCOUNTNUMBERSEQ
  START WITH 1
  MAXVALUE 999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 10000
  NOORDER;


CREATE SEQUENCE GREFNUMBERSEQ
  START WITH 30167
  MAXVALUE 9999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;


CREATE TABLE ATTRJOININFO
(
  ID                 NUMBER(10)                 NOT NULL,
  JOINORDER          NUMBER(2)                  NOT NULL,
  USERDATA           VARCHAR2(80 BYTE),
  STATICATTRDEFID    NUMBER(10)                 NOT NULL,
  FRSTATICATTRDEFID  NUMBER(10)                 NOT NULL,
  TOSTATICATTRDEFID  NUMBER(10)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BIZSVCCLASSINFO
(
  ID           NUMBER(10)                       NOT NULL,
  BIZSVCID     NUMBER(10)                       NOT NULL,
  CLASSINFOID  NUMBER(10)                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBADDRESS
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  HOUSENUMBER      VARCHAR2(30 BYTE),
  HOUSENAME        VARCHAR2(50 BYTE),
  STREET           VARCHAR2(50 BYTE),
  TOWN             VARCHAR2(35 BYTE)            NOT NULL,
  LOCALITY         VARCHAR2(80 BYTE),
  COUNTY           VARCHAR2(35 BYTE),
  POSTCODE         VARCHAR2(7 BYTE),
  COUNTRYCODE      VARCHAR2(8 BYTE)             NOT NULL,
  BLACKLISTEDFLAG  NUMBER(1)                    DEFAULT 0                     NOT NULL,
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL,
  ADDRESSLINE1     VARCHAR2(50 BYTE),
  ADDRESSLINE2     VARCHAR2(50 BYTE),
  ADDRESSLINE3     VARCHAR2(50 BYTE),
  ADDRESSLINE4     VARCHAR2(50 BYTE),
  QASVALIDATED     NUMBER(1)                    DEFAULT 0                     NOT NULL,
  DPSUFFIX         VARCHAR2(2 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBADDRESSUSAGEROLE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  EFFECTIVEFROM      DATE,
  EFFECTIVETO        DATE,
  ADDRESSID          VARCHAR2(47 BYTE)          NOT NULL,
  SERVICEINSTANCEID  VARCHAR2(47 BYTE),
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  FMSCUSTOMERID      VARCHAR2(10 BYTE),
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBADMINMESSAGES
(
  ID              VARCHAR2(47 BYTE)             NOT NULL,
  EVENT_ID        VARCHAR2(47 BYTE)             NOT NULL,
  EFFECTIVE_DATE  DATE                          NOT NULL,
  EVENT           VARCHAR2(10 BYTE)             NOT NULL,
  CREATED         DATE                          DEFAULT SYSDATE               NOT NULL,
  CREATEDBY       VARCHAR2(32 BYTE)             DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE      DATE                          DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY       VARCHAR2(32 BYTE)             DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT   VARCHAR2(47 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAGREEMENTITEM
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  AGREEMENTITEMTYPECODE  VARCHAR2(10 BYTE)      NOT NULL,
  AGREEDFLAG             NUMBER(1)              NOT NULL,
  STATUSCODE             VARCHAR2(10 BYTE)      NOT NULL,
  DESCRIPTION            VARCHAR2(255 BYTE),
  ORDERID                VARCHAR2(47 BYTE),
  CREATED                DATE                   DEFAULT SYSDATE               NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE             DATE                   DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAGREEMENTRANGE
(
  ID                       VARCHAR2(47 BYTE)    NOT NULL,
  RETAILBUSINESSID         VARCHAR2(47 BYTE),
  RANGESTART               VARCHAR2(12 BYTE)    NOT NULL,
  RANGEEND                 VARCHAR2(12 BYTE)    NOT NULL,
  CREATED                  DATE                 NOT NULL,
  CREATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  LASTUPDATE               DATE                 NOT NULL,
  UPDATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  EFFECTIVEFROMDATE        DATE                 NOT NULL,
  EFFECTIVETODATE          DATE,
  GRACEPERIODENDDATE       DATE,
  DELETEDFLAG              NUMBER(1)            DEFAULT 0                     NOT NULL,
  SUBSCRIPTIONAGREEMENTID  VARCHAR2(47 BYTE)    NOT NULL,
  LOCKTOKENTEXT            VARCHAR2(47 BYTE)    NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAGREEMENTTOENT
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  AGREEMENTNUMBER  VARCHAR2(14 BYTE)            NOT NULL,
  ENTITLEMENTID    VARCHAR2(47 BYTE)            NOT NULL,
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAGREEMENTTRANSFER
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  AGREEMENTID            VARCHAR2(47 BYTE)      NOT NULL,
  SOURCERETAILERID       VARCHAR2(47 BYTE)      NOT NULL,
  DESTINATIONRETAILERID  VARCHAR2(47 BYTE)      NOT NULL,
  CREATED                DATE                   DEFAULT SYSDATE               NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE             DATE                   DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAPPLICATIONSTATE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  STATE          VARCHAR2(100 BYTE)             NOT NULL,
  DEFAULTFLAG    NUMBER(1)                      DEFAULT 0                     NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBAUTHORIZEDCONTACTROLE
(
  PARTYROLEID                   VARCHAR2(47 BYTE) NOT NULL,
  RELATIONSHIPTOCUSTOMER        VARCHAR2(20 BYTE),
  OTHERRELATIONSHIPDESCRIPTION  VARCHAR2(255 BYTE),
  PORTFOLIOID                   VARCHAR2(47 BYTE),
  LOCKTOKENTEXT                 VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBATCHNUMBER
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  BATCHNUMBER    NUMBER(5)                      NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBATCHRUN
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  BATCHNUMBER    NUMBER(5)                      NOT NULL,
  BATCHDATE      DATE                           NOT NULL,
  BATCHTYPE      VARCHAR2(1 BYTE)               NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBILLINGACCOUNT
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  PORTFOLIOID               VARCHAR2(47 BYTE)   NOT NULL,
  CURRENCYCODE              VARCHAR2(10 BYTE),
  ACCOUNTALIAS              VARCHAR2(120 BYTE)  NOT NULL,
  ACCOUNTNUMBER             VARCHAR2(12 BYTE),
  SKELETALACCOUNTFLAG       NUMBER(1)           NOT NULL,
  PAYMENTDUEDAY             NUMBER(2)           NOT NULL,
  SENDPAPERBILL             NUMBER(1)           NOT NULL,
  CREATED                   DATE                NOT NULL,
  CREATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LASTUPDATE                DATE                NOT NULL,
  UPDATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  SERVICEINSTANCEID         VARCHAR2(47 BYTE),
  AGENCYCODE                VARCHAR2(10 BYTE),
  ACCOUNTACTIVATIONDATE     DATE,
  ACCOUNTSTATUSCODE         VARCHAR2(10 BYTE),
  CUSTOMERTYPECODE          VARCHAR2(10 BYTE)   DEFAULT 'STD'                 NOT NULL,
  CUSTOMERSUBTYPECODE       VARCHAR2(10 BYTE),
  DISABILITYLETTERTYPECODE  VARCHAR2(10 BYTE)   DEFAULT '06'                  NOT NULL,
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL,
  WELCOMELETTERSENT         NUMBER(1)           DEFAULT 0                     NOT NULL,
  DUEDAYCHANGEDDATE         DATE,
  PREVIOUSPAYMENTDUEDAY     NUMBER(2)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBILLINGADDRESSROLE
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  BILLINGACCOUNTID  VARCHAR2(47 BYTE)           NOT NULL,
  ADDRESSID         VARCHAR2(47 BYTE)           NOT NULL,
  EFFECTIVEFROM     DATE                        NOT NULL,
  EFFECTIVETO       DATE,
  CREATED           DATE                        NOT NULL,
  CREATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  LASTUPDATE        DATE                        NOT NULL,
  UPDATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  DELETEDFLAG       NUMBER(1)                   NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBILLINGITEM
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  BILLINGACCOUNTID       VARCHAR2(47 BYTE)      NOT NULL,
  BILLINGITEMSTATUSCODE  VARCHAR2(10 BYTE)      NOT NULL,
  CREATED                DATE                   NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LASTUPDATE             DATE                   NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  PRICEABLEUNITID        VARCHAR2(47 BYTE)      NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL,
  BILLINGACTIONTYPECODE  VARCHAR2(10 BYTE)      NOT NULL,
  TRANSACTIONDATE        DATE                   NOT NULL,
  EFFECTIVEFROM          DATE                   NOT NULL,
  SALESTYPE              VARCHAR2(10 BYTE),
  ISDELETED              NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBROADBANDCUSTPRODELEMENT
(
  LINEPRODUCTELEMENTID  VARCHAR2(47 BYTE)       NOT NULL,
  TELEPHONEUSAGEROLEID  VARCHAR2(47 BYTE)       NOT NULL,
  SERVICENUMBER         VARCHAR2(47 BYTE),
  OPERATINGSPEED        VARCHAR2(10 BYTE),
  THRESHOLDSPEED        VARCHAR2(10 BYTE),
  CREATED               DATE                    NOT NULL,
  CREATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  LASTUPDATE            DATE                    NOT NULL,
  UPDATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  LOCKTOKENTEXT         VARCHAR2(47 BYTE)       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBROADBANDEMAILSETTINGS
(
  EMAILID        VARCHAR2(47 BYTE)              NOT NULL,
  SPAMFILTERON   NUMBER(1)                      NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBROADBANDREQUIREMENT
(
  BROADBANDFULFILMENTITEMID  VARCHAR2(47 BYTE)  NOT NULL,
  CONTACTTELNO               VARCHAR2(18 BYTE),
  MACREQUIRED                NUMBER(1),
  MAC                        VARCHAR2(30 BYTE),
  ORDERNO                    VARCHAR2(47 BYTE),
  EXPECTEDDELIVERYDATE       DATE,
  EXTERNALMESSAGECODE        VARCHAR2(30 BYTE),
  CREATED                    DATE               NOT NULL,
  CREATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LASTUPDATE                 DATE               NOT NULL,
  UPDATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LOCKTOKENTEXT              VARCHAR2(47 BYTE)  NOT NULL,
  TITLE                      VARCHAR2(10 BYTE),
  FIRSTNAME                  VARCHAR2(40 BYTE),
  SURNAME                    VARCHAR2(40 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBROADBANDROUTER
(
  ID             NUMBER(10)                     NOT NULL,
  SERIALNUMBER   VARCHAR2(20 BYTE)              NOT NULL,
  MACADDRESS     VARCHAR2(30 BYTE)              NOT NULL,
  INSTALLED      DATE,
  AUTHENTICATED  DATE,
  ALLOCATED      NUMBER(1)                      NOT NULL,
  FIRMWAREVER    VARCHAR2(20 BYTE),
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE),
  ENDOFUSEDATE   DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBUSINESS
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  TRADINGNAME      VARCHAR2(30 BYTE),
  LEGALNAME        VARCHAR2(30 BYTE),
  LEGALENTITYCODE  VARCHAR2(8 BYTE),
  WEBSITE          VARCHAR2(255 BYTE),
  VATNUMBER        VARCHAR2(12 BYTE),
  VATRATECODE      VARCHAR2(8 BYTE),
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  IDENTIFYINGNAME  VARCHAR2(95 BYTE),
  VATREGIONCODE    VARCHAR2(8 BYTE),
  PARTYID          VARCHAR2(47 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBBUSINESSCONTACTOR
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  POSITION            VARCHAR2(30 BYTE),
  PRIMARYCONTACTFLAG  NUMBER(1)                 NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  BUSINESSPARTYID     VARCHAR2(47 BYTE)         NOT NULL,
  CONTACTORPARTYID    VARCHAR2(47 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCALLBACKINFORMATION
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  CALLBACKDATE        DATE                      NOT NULL,
  CALLBACKNUMBER      VARCHAR2(16 BYTE),
  FIRSTCALLBACK       NUMBER(1)                 NOT NULL,
  SETTOPBOXNDSNUMBER  VARCHAR2(50 BYTE)         NOT NULL,
  SERVICEINSTANCEID   VARCHAR2(47 BYTE)         NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  ORDERID             VARCHAR2(47 BYTE),
  CARDSUBSCRIBERID    VARCHAR2(50 BYTE)         NOT NULL,
  ISSUENUMBER         NUMBER(5)                 NOT NULL,
  CARDNUMBER          NUMBER(12)                NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCAMPAIGNOUTCOME
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  CAMPAIGNSOURCEID          NUMBER(10),
  INTERESTSOURCEID          NUMBER(10),
  EBCINTERACTIONID          VARCHAR2(47 BYTE)   NOT NULL,
  CAMPAIGNRESOLUTIONID      NUMBER(10),
  PRODUCTGROUPCODE          VARCHAR2(8 BYTE),
  DIALLERDISPOSITIONCODE    VARCHAR2(10 BYTE),
  FULFILLEDCAMPAIGNOFFERID  NUMBER(10),
  TARGETCAMPAIGNOFFERID     NUMBER(10),
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCANCELLATIONATTEMPT
(
  ID                    VARCHAR2(47 BYTE)       NOT NULL,
  ATTEMPTDATE           DATE                    NOT NULL,
  PORTFOLIOPRODUCTID    VARCHAR2(47 BYTE),
  CANCELLATIONREASONID  VARCHAR2(47 BYTE)       NOT NULL,
  CREATED               DATE                    NOT NULL,
  CREATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  LASTUPDATE            DATE                    NOT NULL,
  UPDATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  OUTCOME               VARCHAR2(47 BYTE),
  ORDERID               VARCHAR2(47 BYTE)       NOT NULL,
  LOCKTOKENTEXT         VARCHAR2(47 BYTE)       NOT NULL,
  PORTFOLIOOFFERID      VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCICINFORMATION
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  PRIMARYSERVICEINSTANCEID  VARCHAR2(47 BYTE)   NOT NULL,
  CICPIN                    VARCHAR2(4 BYTE),
  CICPINCOUNT               VARCHAR2(1 BYTE),
  CICPINSTATUS              VARCHAR2(10 BYTE)   NOT NULL,
  BILLINGACCOUNTPINCOUNT    VARCHAR2(1 BYTE),
  BILLINGACCOUNTPINSTATUS   VARCHAR2(10 BYTE)   NOT NULL,
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCLIVIOLATION
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  COMPLIANCEDATE            DATE,
  SERVICEINSTANCEID         VARCHAR2(47 BYTE)   NOT NULL,
  VIOLATIONDATE             DATE,
  VIOLATIONTYPECODE         VARCHAR2(10 BYTE),
  CREATED                   DATE                NOT NULL,
  CREATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LASTUPDATE                DATE                NOT NULL,
  UPDATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL,
  STATUSCODE                VARCHAR2(10 BYTE),
  STATUSCHANGEDATE          DATE,
  PREVIOUSSTATUSCODE        VARCHAR2(10 BYTE),
  PREVIOUSSTATUSCHANGEDATE  DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCOMMERCIALAGREEMENTITEM
(
  AGREEMENTITEMID        VARCHAR2(47 BYTE)      NOT NULL,
  COMMERCIALAGREEMENTID  VARCHAR2(47 BYTE)      NOT NULL,
  PORTFOLIOPRODUCTID     VARCHAR2(47 BYTE),
  PORTFOLIOOFFERID       VARCHAR2(47 BYTE),
  CREATED                DATE                   DEFAULT SYSDATE               NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE             DATE                   DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCONTACTADDRESS
(
  ADDRESSID          VARCHAR2(47 BYTE)          NOT NULL,
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  BUSINESSID         VARCHAR2(47 BYTE),
  CONTACTORID        VARCHAR2(47 BYTE),
  TYPECODE           VARCHAR2(8 BYTE)           NOT NULL,
  EFFECTIVEFROMDATE  DATE                       NOT NULL,
  EFFECTIVETODATE    DATE,
  PRIMARYFLAG        NUMBER(1)                  NOT NULL,
  DELETEDFLAG        NUMBER(1)                  DEFAULT 0                     NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCONTACTEMAIL
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  BUSINESSID         VARCHAR2(47 BYTE),
  CONTACTORID        VARCHAR2(47 BYTE),
  EMAILID            VARCHAR2(47 BYTE)          NOT NULL,
  TYPECODE           VARCHAR2(8 BYTE)           NOT NULL,
  EFFECTIVEFROMDATE  DATE,
  EFFECTIVETODATE    DATE,
  PRIMARYFLAG        NUMBER(1)                  NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  DELETEDFLAG        NUMBER(1)                  DEFAULT 0                     NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCONTACTOR
(
  ID                             VARCHAR2(47 BYTE) NOT NULL,
  STATUSCODE                     VARCHAR2(8 BYTE) NOT NULL,
  CREATED                        DATE           NOT NULL,
  CREATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                     DATE           NOT NULL,
  UPDATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  ISDELETABLE                    NUMBER(1)      DEFAULT 1                     NOT NULL,
  ISDELETED                      NUMBER(1)      DEFAULT 0                     NOT NULL,
  PARTYID                        VARCHAR2(47 BYTE) NOT NULL,
  MORTALITYSTATUS                VARCHAR2(20 BYTE),
  WEBUSERNAME                    VARCHAR2(128 BYTE),
  WEBPASSWORD                    VARCHAR2(20 BYTE),
  MOTHERMAIDENNAME               VARCHAR2(40 BYTE),
  DPAAGREEDSWITCH                NUMBER(1),
  DISABILITYID                   VARCHAR2(47 BYTE),
  SHAREINFORMATIONFLAG           NUMBER(1),
  PERSONTYPE                     VARCHAR2(20 BYTE),
  PERSONSUBTYPE                  VARCHAR2(20 BYTE),
  SUBTYPEREASON                  VARCHAR2(255 BYTE),
  NUMBERNOTSUPPLIEDREASONCODE    VARCHAR2(10 BYTE),
  PASSWORD                       VARCHAR2(20 BYTE),
  DECEASEDNOTIFICATIONDATE       DATE,
  EPSINDICATORSWITCH             NUMBER(1),
  EPSINDICATORREASON             VARCHAR2(255 BYTE),
  MPSINDICATORSWITCH             NUMBER(1),
  MPSINDICATORREASON             VARCHAR2(255 BYTE),
  TPSINDICATORSWITCH             NUMBER(1),
  TPSINDICATORREASON             VARCHAR2(255 BYTE),
  LOCKTOKENTEXT                  VARCHAR2(47 BYTE) NOT NULL,
  DISABLEDCONSENTPROVIDEDSWITCH  NUMBER(1),
  HOMEVISITPASSWORD              VARCHAR2(20 BYTE),
  CHANNEL                        VARCHAR2(10 BYTE) DEFAULT 'UNKNOWN'
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCONTACTORAUDIT
(
  BSBCONTACTORID                  VARCHAR2(47 BYTE),
  ACTION                          VARCHAR2(3 BYTE),
  CREATED                         DATE,
  CREATEDBY                       VARCHAR2(30 BYTE),
  O_STATUSCODE                    VARCHAR2(8 BYTE),
  O_CREATED                       DATE,
  O_CREATEDBY                     VARCHAR2(32 BYTE),
  O_LASTUPDATE                    DATE,
  O_UPDATEDBY                     VARCHAR2(32 BYTE),
  O_ISDELETABLE                   NUMBER(1),
  O_ISDELETED                     NUMBER(1),
  O_PARTYID                       VARCHAR2(47 BYTE),
  O_MORTALITYSTATUS               VARCHAR2(20 BYTE),
  O_WEBUSERNAME                   VARCHAR2(128 BYTE),
  O_WEBPASSWORD                   VARCHAR2(20 BYTE),
  O_MOTHERMAIDENNAME              VARCHAR2(40 BYTE),
  O_DPAAGREEDSWITCH               NUMBER(1),
  O_DISABILITYID                  VARCHAR2(47 BYTE),
  O_SHAREINFORMATIONFLAG          NUMBER(1),
  O_PERSONTYPE                    VARCHAR2(20 BYTE),
  O_PERSONSUBTYPE                 VARCHAR2(20 BYTE),
  O_SUBTYPEREASON                 VARCHAR2(255 BYTE),
  O_NUMBERNOTSUPPLIEDREASONCODE   VARCHAR2(10 BYTE),
  O_PASSWORD                      VARCHAR2(20 BYTE),
  O_DECEASEDNOTIFICATIONDATE      DATE,
  O_EPSINDICATORSWITCH            NUMBER(1),
  O_EPSINDICATORREASON            VARCHAR2(255 BYTE),
  O_MPSINDICATORSWITCH            NUMBER(1),
  O_MPSINDICATORREASON            VARCHAR2(255 BYTE),
  O_TPSINDICATORSWITCH            NUMBER(1),
  O_TPSINDICATORREASON            VARCHAR2(255 BYTE),
  O_LOCKTOKENTEXT                 VARCHAR2(47 BYTE),
  O_DISABLEDCONSENTPROVIDEDSWTCH  NUMBER(1),
  O_HOMEVISITPASSWORD             VARCHAR2(20 BYTE),
  O_CHANNEL                       VARCHAR2(10 BYTE),
  N_STATUSCODE                    VARCHAR2(8 BYTE),
  N_CREATED                       DATE,
  N_CREATEDBY                     VARCHAR2(32 BYTE),
  N_LASTUPDATE                    DATE,
  N_UPDATEDBY                     VARCHAR2(32 BYTE),
  N_ISDELETABLE                   NUMBER(1),
  N_ISDELETED                     NUMBER(1),
  N_PARTYID                       VARCHAR2(47 BYTE),
  N_MORTALITYSTATUS               VARCHAR2(20 BYTE),
  N_WEBUSERNAME                   VARCHAR2(128 BYTE),
  N_WEBPASSWORD                   VARCHAR2(20 BYTE),
  N_MOTHERMAIDENNAME              VARCHAR2(40 BYTE),
  N_DPAAGREEDSWITCH               NUMBER(1),
  N_DISABILITYID                  VARCHAR2(47 BYTE),
  N_SHAREINFORMATIONFLAG          NUMBER(1),
  N_PERSONTYPE                    VARCHAR2(20 BYTE),
  N_PERSONSUBTYPE                 VARCHAR2(20 BYTE),
  N_SUBTYPEREASON                 VARCHAR2(255 BYTE),
  N_NUMBERNOTSUPPLIEDREASONCODE   VARCHAR2(10 BYTE),
  N_PASSWORD                      VARCHAR2(20 BYTE),
  N_DECEASEDNOTIFICATIONDATE      DATE,
  N_EPSINDICATORSWITCH            NUMBER(1),
  N_EPSINDICATORREASON            VARCHAR2(255 BYTE),
  N_MPSINDICATORSWITCH            NUMBER(1),
  N_MPSINDICATORREASON            VARCHAR2(255 BYTE),
  N_TPSINDICATORSWITCH            NUMBER(1),
  N_TPSINDICATORREASON            VARCHAR2(255 BYTE),
  N_LOCKTOKENTEXT                 VARCHAR2(47 BYTE),
  N_DISABLEDCONSENTPROVIDEDSWTCH  NUMBER(1),
  N_HOMEVISITPASSWORD             VARCHAR2(20 BYTE),
  N_CHANNEL                       VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCONTACTTELEPHONE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  BUSINESSID         VARCHAR2(47 BYTE),
  CONTACTORID        VARCHAR2(47 BYTE),
  TELEPHONEID        VARCHAR2(47 BYTE)          NOT NULL,
  TYPECODE           VARCHAR2(8 BYTE)           NOT NULL,
  EFFECTIVEFROMDATE  DATE,
  EFFECTIVETODATE    DATE,
  PRIMARYFLAG        NUMBER(1)                  NOT NULL,
  DELETEDFLAG        NUMBER(1)                  DEFAULT 0                     NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  AVAILABILITYCODE   VARCHAR2(10 BYTE),
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCREDITLIMIT
(
  ID                    VARCHAR2(47 BYTE)       NOT NULL,
  RESETFLAG             NUMBER(1)               NOT NULL,
  CURRENTCREDITLIMIT    NUMBER(8,2),
  CURRENCYCODE          VARCHAR2(10 BYTE),
  CREATED               DATE                    NOT NULL,
  CREATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  LASTUPDATE            DATE                    NOT NULL,
  UPDATEDBY             VARCHAR2(32 BYTE)       NOT NULL,
  EFFECTIVEFROMDATE     DATE                    NOT NULL,
  EFFECTIVETODATE       DATE,
  SERVICEINSTANCEID     VARCHAR2(47 BYTE)       NOT NULL,
  CREDITLIMITPPVMETHOD  VARCHAR2(10 BYTE),
  LOCKTOKENTEXT         VARCHAR2(47 BYTE)       NOT NULL,
  ZEROFLAG              NUMBER(1)               DEFAULT 0                     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCROSSUPSELLATTEMPT
(
  ID                      VARCHAR2(47 BYTE)     NOT NULL,
  ORDERID                 VARCHAR2(47 BYTE)     NOT NULL,
  CROSSUPSELLRELID        VARCHAR2(47 BYTE)     NOT NULL,
  DESCRIPTION             VARCHAR2(255 BYTE),
  ISACCEPTED              NUMBER(1)             NOT NULL,
  ISATTEMPTED             NUMBER(1)             NOT NULL,
  NOTATTEMPTEDREASONCODE  VARCHAR2(10 BYTE),
  CREATED                 DATE                  NOT NULL,
  CREATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LASTUPDATE              DATE                  NOT NULL,
  UPDATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LOCKTOKENTEXT           VARCHAR2(47 BYTE)     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCUSTOMERPRODUCTELEMENT
(
  ID                            VARCHAR2(47 BYTE) NOT NULL,
  COOLOFFENDDATE                DATE,
  NAME                          VARCHAR2(80 BYTE),
  DESCRIPTION                   VARCHAR2(255 BYTE),
  ISNONSKYPRODUCT               NUMBER(1),
  STATUS                        VARCHAR2(10 BYTE),
  JOBTYPE                       VARCHAR2(10 BYTE),
  JOBDESCRIPTION                VARCHAR2(255 BYTE),
  SERIALNUMBER                  VARCHAR2(255 BYTE),
  INSTALLATIONDATE              DATE,
  ISKITONSITE                   NUMBER(1),
  ACTUALDELIVERYDATE            DATE,
  DELIVERYDUEDATE               DATE,
  NOTES                         VARCHAR2(255 BYTE),
  CUSTOMERPRODUCTELEMENTTYPE    VARCHAR2(10 BYTE) NOT NULL,
  PORTFOLIOPRODUCTID            VARCHAR2(47 BYTE) NOT NULL,
  SETTOPBOXNDSNUMBER            VARCHAR2(80 BYTE),
  EXPECTATIONOFRETURNFLAG       NUMBER(1),
  EXPECTEDRETURNDATE            DATE,
  MAKE                          VARCHAR2(80 BYTE),
  MODEL                         VARCHAR2(80 BYTE),
  PARTNUMBER                    VARCHAR2(80 BYTE),
  PRODUCTCODE                   VARCHAR2(80 BYTE),
  RETURNINSTALLERID             VARCHAR2(47 BYTE),
  ADDRESSID                     VARCHAR2(47 BYTE),
  RETURNTRACKINGNUMBER          VARCHAR2(80 BYTE),
  STBREPAIRCOUNTER              NUMBER(5),
  CREATED                       DATE            NOT NULL,
  CREATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                    DATE            NOT NULL,
  UPDATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  PRODUCTELEMENTID              VARCHAR2(47 BYTE) NOT NULL,
  EFFECTIVEFROMDATE             DATE,
  EFFECTIVETODATE               DATE,
  STARTDATE                     DATE,
  DURATION                      NUMBER(10),
  SCHEDULECODE                  VARCHAR2(255 BYTE),
  PPVTYPE                       VARCHAR2(12 BYTE),
  SERVICEINSTANCEID             VARCHAR2(47 BYTE),
  CARDISSUEDATE                 DATE,
  CARDNUMBER                    NUMBER(12),
  ISSUENUMBER                   NUMBER(2),
  BATCHNUMBER                   VARCHAR2(12 BYTE),
  REPLACEMENTREASON             VARCHAR2(255 BYTE),
  REPLACEMENTMETHOD             VARCHAR2(10 BYTE),
  UNDELIVEREDCARD               NUMBER(1),
  SPECIALDELIVERY               NUMBER(1),
  SPECIALDELIVERYINSTRUCTIONS   VARCHAR2(255 BYTE),
  CARDHOLDERTYPE                VARCHAR2(12 BYTE),
  CARDTYPE                      VARCHAR2(12 BYTE),
  SUSPENDRATING                 NUMBER(1),
  SUSPENDRATINGDATE             DATE,
  RATINGRESTRICTIONSACTIVE      NUMBER(1),
  RETURNREASON                  VARCHAR2(40 BYTE),
  RETURNTYPE                    VARCHAR2(10 BYTE),
  SNDVALIDATIONOVERRIDE         NUMBER(1),
  REENABLECOUNT                 NUMBER(2),
  ISFAULTY                      NUMBER(1),
  COMMENTS                      VARCHAR2(60 BYTE),
  SLOTTAGEEQUIVALENCE           NUMBER(9,2),
  NOTICEPERIODEXPIRYDATE        DATE,
  TERMINATIONPERIODEXPIRYDATE   DATE,
  STATUSREASONCODE              VARCHAR2(12 BYTE),
  STATUSCHANGEDDATE             DATE,
  SNDUPDATEREASON               VARCHAR2(10 BYTE),
  SKYPLUSCAPABLE                NUMBER(1),
  PLANTYPE                      VARCHAR2(1 BYTE),
  PURCHASEDATE                  DATE,
  DANDGSCHEME                   VARCHAR2(3 BYTE),
  SCHEMECODE                    VARCHAR2(3 BYTE),
  EXTENDEDWARRANTYPOLICYNUMBER  VARCHAR2(7 BYTE),
  CONTRACTNUMBER                VARCHAR2(20 BYTE),
  PREVIOUSSTATUS                VARCHAR2(10 BYTE),
  LOCKTOKENTEXT                 VARCHAR2(47 BYTE) NOT NULL,
  WARRANTYSTARTDATE             DATE,
  SAMREGISTRYID                 VARCHAR2(47 BYTE),
  ROUTERID                      NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCUSTOMERROLE
(
  PARTYROLEID                     VARCHAR2(47 BYTE) NOT NULL,
  SPONSORCODE                     VARCHAR2(20 BYTE),
  CUSTOMERVALUE                   VARCHAR2(20 BYTE),
  DEBTINDICATOR                   NUMBER(1),
  FIRSTCONTACTMODESWITCH          NUMBER(1),
  INTERDISCOUNTCONTRACTSWITCH     NUMBER(1),
  LASTUSEDASPROSPECTDATE          DATE,
  MAXUSEDASLEADCOUNT              NUMBER(10),
  PROFILEUPDATEALLOWEDSWITCH      NUMBER(1),
  PROSPECTSOURCELISTNAME          VARCHAR2(255 BYTE),
  PROSPECTEXPIRATIONDATE          DATE,
  PROSPECTUSAGECOUNT              NUMBER(10),
  TVGUIDESWITCH                   NUMBER(1),
  UNABLETOPURCHASEPRODUCTSSWITCH  NUMBER(1),
  CUSTOMERSTATUSCODE              VARCHAR2(20 BYTE),
  PORTFOLIOID                     VARCHAR2(47 BYTE),
  LOCKTOKENTEXT                   VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBDISABILITYDETAIL
(
  ID                            VARCHAR2(47 BYTE) NOT NULL,
  DISABILITYLETTERTYPECODE      VARCHAR2(20 BYTE),
  CREATED                       DATE            NOT NULL,
  LASTUPDATE                    DATE            NOT NULL,
  CREATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  UPDATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  SUMMARYCOMMUNICATIONONLYFLAG  NUMBER(1)       DEFAULT 0                     NOT NULL,
  LOCKTOKENTEXT                 VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBDISABILITYSERVICE
(
  ID                            VARCHAR2(47 BYTE) NOT NULL,
  BSBDISABILITYDETAILID         VARCHAR2(47 BYTE) NOT NULL,
  BSBDISABILITYSERVICETYPECODE  VARCHAR2(10 BYTE) NOT NULL,
  CREATED                       DATE            NOT NULL,
  CREATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                    DATE            NOT NULL,
  UPDATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  LOCKTOKENTEXT                 VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBDOWNGRADEATTEMPT
(
  ID                          VARCHAR2(47 BYTE) NOT NULL,
  ATTEMPTDATE                 DATE              NOT NULL,
  OUTCOME                     VARCHAR2(47 BYTE),
  CREATED                     DATE              NOT NULL,
  CREATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                  DATE              NOT NULL,
  UPDATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  ORDERID                     VARCHAR2(47 BYTE) NOT NULL,
  SUBSCRIPTIONID              VARCHAR2(47 BYTE) NOT NULL,
  DOWNGRADEREASONID           VARCHAR2(47 BYTE) NOT NULL,
  CATALOGUEPRODUCTID          VARCHAR2(47 BYTE),
  BASEPACKCATALOGUEPRODUCTID  VARCHAR2(47 BYTE),
  LOCKTOKENTEXT               VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBDSLQUERYRESPONSE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  PARTYID            VARCHAR2(47 BYTE),
  DSLQUERYDATE       DATE                       NOT NULL,
  RESPONSETYPE       NUMBER(1)                  NOT NULL,
  DSLTYPE            VARCHAR2(20 BYTE),
  MAXSPEED           NUMBER(6),
  POSTCODE           VARCHAR2(10 BYTE),
  TELEPHONE          VARCHAR2(18 BYTE)          NOT NULL,
  EXCHANGECODE       VARCHAR2(10 BYTE),
  EXCHANGENAME       VARCHAR2(50 BYTE),
  MESSAGECODE        VARCHAR2(50 BYTE),
  BROADBANDELIGIBLE  NUMBER(1)                  NOT NULL,
  MACREQUIRED        NUMBER(1)                  NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBEMAIL
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  EMAILADDRESS   VARCHAR2(128 BYTE)             NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL,
  SAMREGISTRYID  VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBFEEDBACK
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  REASONID               VARCHAR2(47 BYTE)      NOT NULL,
  GENERALENQUIRYID       VARCHAR2(47 BYTE),
  REPORTEDBYID           VARCHAR2(47 BYTE),
  CATEGORYID             VARCHAR2(47 BYTE)      NOT NULL,
  POSITIVEFLAG           NUMBER(1)              NOT NULL,
  FEEDBACKLEVEL          NUMBER(1)              NOT NULL,
  ADDITIONALINFORMATION  VARCHAR2(200 BYTE),
  ISDELETED              NUMBER(1)              NOT NULL,
  CREATED                DATE                   NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LASTUPDATE             DATE                   NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  ASSOCIATEDPRODUCTID    VARCHAR2(47 BYTE),
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBFULFILMENTITEM
(
  ID                         VARCHAR2(47 BYTE)  NOT NULL,
  FULFILMENTTYPE             VARCHAR2(10 BYTE),
  FULFILMENTMETHOD           VARCHAR2(10 BYTE)  NOT NULL,
  STATUS                     VARCHAR2(10 BYTE)  NOT NULL,
  BIBSFLAG                   NUMBER(1),
  CATALOGUEPRODUCTID         VARCHAR2(47 BYTE),
  CREATED                    DATE               NOT NULL,
  CREATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LASTUPDATE                 DATE               NOT NULL,
  UPDATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  EFFECTIVEDATE              DATE,
  DELIVERYADDRESSID          VARCHAR2(47 BYTE),
  ORDERDATE                  DATE,
  INSTALLATIONADDRESSROLEID  VARCHAR2(47 BYTE),
  SERVICEINSTANCEID          VARCHAR2(47 BYTE),
  IMMEDIATEFLAG              NUMBER(1),
  STATUSREASONCODE           VARCHAR2(12 BYTE),
  STATUSCHANGEDDATE          DATE,
  LOCKTOKENTEXT              VARCHAR2(47 BYTE)  NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBGENERALENQUIRY
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  FEEDBACKID       VARCHAR2(47 BYTE)            NOT NULL,
  JOBID            VARCHAR2(47 BYTE)            NOT NULL,
  REFERENCENUMBER  VARCHAR2(10 BYTE)            NOT NULL,
  STATUSCODE       VARCHAR2(8 BYTE)             NOT NULL,
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBHISTORYENTITIES
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  ENTITYNAME        VARCHAR2(255 BYTE)          NOT NULL,
  ENTITYID          VARCHAR2(47 BYTE)           NOT NULL,
  EBCINTERACTIONID  VARCHAR2(47 BYTE)           NOT NULL,
  CREATED           DATE                        DEFAULT SYSDATE               NOT NULL,
  CREATEDBY         VARCHAR2(32 BYTE)           DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE        DATE                        DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY         VARCHAR2(32 BYTE)           DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBINSTALLERROLE
(
  PARTYROLEID         VARCHAR2(47 BYTE)         NOT NULL,
  IDNO                VARCHAR2(70 BYTE)         NOT NULL,
  REGIONCODE          VARCHAR2(10 BYTE),
  TEAMID              VARCHAR2(47 BYTE),
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  PAYROLLNUMBER       VARCHAR2(40 BYTE),
  STATUS              VARCHAR2(10 BYTE),
  COMPANYNAME         VARCHAR2(40 BYTE),
  RESOURCETYPECODE    VARCHAR2(8 BYTE)          NOT NULL,
  CLASSIFICATIONCODE  VARCHAR2(8 BYTE)          NOT NULL,
  HASHISTORY          VARCHAR2(1 BYTE)          NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBINSTALLERTEAM
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  NAME           VARCHAR2(50 BYTE),
  MANAGERID      VARCHAR2(50 BYTE),
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBJOB
(
  ID                           VARCHAR2(47 BYTE) NOT NULL,
  PARTYID                      VARCHAR2(47 BYTE),
  CLASSNAME                    VARCHAR2(80 BYTE) NOT NULL,
  KEY                          VARCHAR2(47 BYTE) NOT NULL,
  JOBLISTID                    VARCHAR2(47 BYTE),
  URGENCYFLAG                  NUMBER(1)        NOT NULL,
  PROGRESSBYDATE               DATE,
  CREATED                      DATE             NOT NULL,
  CREATEDBY                    VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                   DATE             NOT NULL,
  UPDATEDBY                    VARCHAR2(32 BYTE) NOT NULL,
  IMPLEMENTEDCLASSDESCRIPTION  VARCHAR2(180 BYTE),
  INUSEBY                      VARCHAR2(32 BYTE),
  LOCKTOKENTEXT                VARCHAR2(47 BYTE) NOT NULL,
  ADDEDTOJOBLIST               DATE,
  OFFERINGNAME                 VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBJOBLIST
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CLASSNAME      VARCHAR2(80 BYTE)              NOT NULL,
  ROLEID         VARCHAR2(47 BYTE),
  OFFERINGNAME   VARCHAR2(80 BYTE),
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBKANAENTITLEMENT
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  ENTITLEMENT    VARCHAR2(80 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBLITERATUREITEM
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  MAXIMUMQUANTITY    NUMBER(6),
  BUSINESSPRODUCTID  VARCHAR2(47 BYTE)          NOT NULL,
  BATCHQUANTITY      NUMBER(6),
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBLITERATUREORDER
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  DELIVERYADDRERSSID  VARCHAR2(47 BYTE)         NOT NULL,
  RETAILERBUSINESSID  VARCHAR2(47 BYTE),
  STATUSCODE          VARCHAR2(8 BYTE)          NOT NULL,
  FULFILMENTDATE      DATE                      NOT NULL,
  ORDERDATE           DATE                      NOT NULL,
  ORDERNUMBER         NUMBER(10)                NOT NULL,
  SERVICELEVELCODE    VARCHAR2(8 BYTE)          NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  CONTACTDETAILS      VARCHAR2(255 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBLITERATUREORDERLINE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  LITERATUREORDERID  VARCHAR2(47 BYTE)          NOT NULL,
  LITERATUREITEMID   VARCHAR2(47 BYTE),
  QUANTITY           NUMBER(6)                  NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  DELETEDFLAG        NUMBER(1)                  DEFAULT 0                     NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBMAILSHOT
(
  ID                   VARCHAR2(47 BYTE)        NOT NULL,
  MAILSHOTDESCRIPTION  VARCHAR2(255 BYTE)       NOT NULL,
  NAME                 VARCHAR2(25 BYTE)        NOT NULL,
  ENDDATE              DATE,
  INTERESTSOURCEID     NUMBER(10),
  CREATED              DATE                     NOT NULL,
  CREATEDBY            VARCHAR2(32 BYTE)        NOT NULL,
  LASTUPDATE           DATE                     NOT NULL,
  UPDATEDBY            VARCHAR2(32 BYTE)        NOT NULL,
  LOCKTOKENTEXT        VARCHAR2(47 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBMISCELLANOUSCONTACTROLE
(
  PARTYROLEID              VARCHAR2(47 BYTE)    NOT NULL,
  COMPANYNAME              VARCHAR2(255 BYTE),
  MISCELLANOUSCONTACTTYPE  VARCHAR2(20 BYTE),
  LOCKTOKENTEXT            VARCHAR2(47 BYTE)    NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBMPPAPPLICATION
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  AMOUNT                 NUMBER(8,2)            NOT NULL,
  APPLICATIONNUMBER      VARCHAR2(12 BYTE),
  AGREEMENTREFERENCE     VARCHAR2(12 BYTE),
  AUTHORITYGRANTEDDATE   DATE,
  USEDASPAYMENTDATE      DATE,
  STATUSCODE             VARCHAR2(10 BYTE)      NOT NULL,
  APPLICATIONCOMMENT     VARCHAR2(255 BYTE),
  INSTALLATIONADDRESSID  VARCHAR2(47 BYTE)      NOT NULL,
  PARTYID                VARCHAR2(47 BYTE),
  CREATED                DATE                   NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LASTUPDATE             DATE                   NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBOFFERINGROLEBRIDGE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  ROLEID         VARCHAR2(47 BYTE)              NOT NULL,
  OFFERINGID     VARCHAR2(47 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBOFFERINGSTATEBRIDGE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  STATEID        VARCHAR2(47 BYTE)              NOT NULL,
  OFFERINGID     VARCHAR2(47 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBORDER
(
  ID                      VARCHAR2(47 BYTE)     NOT NULL,
  FAILUREREASON           VARCHAR2(255 BYTE),
  STATUS                  VARCHAR2(10 BYTE)     NOT NULL,
  INTERESTSOURCEID        NUMBER(10)            NOT NULL,
  PARTYROLEID             VARCHAR2(47 BYTE),
  PORTFOLIOID             VARCHAR2(47 BYTE)     NOT NULL,
  ORDERNUMBER             VARCHAR2(12 BYTE),
  CREATED                 DATE                  NOT NULL,
  CREATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LASTUPDATE              DATE                  NOT NULL,
  UPDATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  REFERRINGCUSTOMERID     VARCHAR2(47 BYTE),
  CURRENCY                VARCHAR2(5 BYTE),
  PAYMENTMETHODCONFIRMED  NUMBER(1),
  STATUSREASONCODE        VARCHAR2(12 BYTE),
  STATUSCHANGEDDATE       DATE,
  LOCKTOKENTEXT           VARCHAR2(47 BYTE)     NOT NULL,
  COMTYPECODE             VARCHAR2(10 BYTE)     DEFAULT 'UNKNOWN'             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBORDERLINE
(
  ID                          VARCHAR2(47 BYTE) NOT NULL,
  CATALOGUEPRODUCTID          VARCHAR2(47 BYTE),
  STATUS                      VARCHAR2(10 BYTE) NOT NULL,
  REMOVALREASON               VARCHAR2(255 BYTE),
  SALETYPE                    VARCHAR2(10 BYTE),
  EFFECTIVEDATE               DATE,
  CANCELLATIONPERIODOVERRIDE  NUMBER(1),
  ISBONUSPRODUCT              NUMBER(1),
  ISAUTOMATICOFFER            NUMBER(1),
  COSTVALUE                   NUMBER(5),
  COSTCURRENCYCODE            VARCHAR2(5 BYTE),
  PORTFOLIOPRODUCTID          VARCHAR2(47 BYTE),
  PORTFOLIOOFFERID            VARCHAR2(47 BYTE),
  RETAILPROOFOFPURCHASEID     VARCHAR2(47 BYTE),
  SERVICEINSTANCEID           VARCHAR2(47 BYTE),
  ORDERID                     VARCHAR2(47 BYTE) NOT NULL,
  CREATED                     DATE              NOT NULL,
  CREATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                  DATE              NOT NULL,
  UPDATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  PRICEABLEUNITID             VARCHAR2(47 BYTE),
  RELATEDPORTFOLIOPRODUCTID   VARCHAR2(47 BYTE),
  BUNDLEID                    VARCHAR2(47 BYTE),
  SOURCEDESCRIPTION           VARCHAR2(255 BYTE),
  INTERESTSOURCEID            NUMBER(10),
  ACTION                      VARCHAR2(10 BYTE),
  OFFERDISCOUNTID             VARCHAR2(47 BYTE),
  POSTPACKREQUIRED            NUMBER(1)         DEFAULT NULL,
  FULFILMENTADDRESSID         VARCHAR2(47 BYTE),
  PARENTORDERLINEID           VARCHAR2(47 BYTE),
  PRICE                       NUMBER(18,2),
  PPVTYPE                     VARCHAR2(10 BYTE),
  ORDERLINETYPE               VARCHAR2(20 BYTE) DEFAULT 'ERROR' NOT NULL,
  TELEPHONENUMBER             VARCHAR2(18 BYTE),
  FULFILMENTITEMID            VARCHAR2(47 BYTE),
  STATUSREASONCODE            VARCHAR2(12 BYTE),
  STATUSCHANGEDDATE           DATE,
  CANCELLATIONREASIONID       VARCHAR2(47 BYTE),
  COMMERCIALOFFERID           VARCHAR2(47 BYTE),
  REPLACEMENTREASONCODE       VARCHAR2(10 BYTE),
  LOCKTOKENTEXT               VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERAGREEMENT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  BATCHID             VARCHAR2(47 BYTE)         NOT NULL,
  AGREEMENTNUMBER     VARCHAR2(14 BYTE)         NOT NULL,
  RETAILERNUMBER      VARCHAR2(9 BYTE)          NOT NULL,
  TITLE               VARCHAR2(5 BYTE)          NOT NULL,
  INITIALS            VARCHAR2(3 BYTE)          NOT NULL,
  SURNAME             VARCHAR2(35 BYTE)         NOT NULL,
  HOUSENUMBER         VARCHAR2(30 BYTE),
  HOUSENAME           VARCHAR2(50 BYTE),
  STREET              VARCHAR2(50 BYTE),
  TOWN                VARCHAR2(35 BYTE)         NOT NULL,
  LOCALITY            VARCHAR2(80 BYTE),
  COUNTY              VARCHAR2(35 BYTE),
  POSTCODE            VARCHAR2(7 BYTE),
  COUNTRYCODE         VARCHAR2(8 BYTE)          NOT NULL,
  HOMETELEPHONE       VARCHAR2(15 BYTE),
  WORKTELEPHONE       VARCHAR2(15 BYTE),
  DATAPROTECTION      NUMBER(1)                 NOT NULL,
  CAMPAIGNCODE        VARCHAR2(4 BYTE),
  SOURCECODE          VARCHAR2(4 BYTE),
  PAYMENTFREQUENCY    VARCHAR2(2 BYTE),
  PAYMENTAMOUNT       NUMBER(6,2),
  PAIDBYSELF          NUMBER(1),
  REASONCODE          VARCHAR2(4 BYTE),
  COMMISSIONPAYABLE   NUMBER(1)                 NOT NULL,
  CARDHOLDERTYPECODE  VARCHAR2(3 BYTE),
  BIBFLAG             NUMBER(1)                 NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERAGRENTERRORS
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  AGREEMENTNUMBER  VARCHAR2(14 BYTE)            NOT NULL,
  ENTITLEMENTID    VARCHAR2(47 BYTE)            NOT NULL,
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERAGRERRORLIST
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  AGREEMENTNUMBER  VARCHAR2(14 BYTE)            NOT NULL,
  ERRORCODE        VARCHAR2(10 BYTE)            NOT NULL,
  ERRORMESSAGE     VARCHAR2(100 BYTE)           NOT NULL,
  CREATED          DATE                         NOT NULL,
  CREATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LASTUPDATE       DATE                         NOT NULL,
  UPDATEDBY        VARCHAR2(32 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERAGRERRORS
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  BATCHNUMBER         NUMBER(5)                 NOT NULL,
  BATCHDATE           DATE                      NOT NULL,
  BATCHTYPE           VARCHAR2(1 BYTE)          NOT NULL,
  AGREEMENTNUMBER     VARCHAR2(14 BYTE)         NOT NULL,
  RETAILERNUMBER      VARCHAR2(9 BYTE),
  TITLE               VARCHAR2(5 BYTE),
  INITIALS            VARCHAR2(3 BYTE),
  SURNAME             VARCHAR2(35 BYTE),
  HOUSENUMBER         VARCHAR2(30 BYTE),
  HOUSENAME           VARCHAR2(50 BYTE),
  STREET              VARCHAR2(50 BYTE),
  TOWN                VARCHAR2(35 BYTE),
  LOCALITY            VARCHAR2(80 BYTE),
  COUNTY              VARCHAR2(35 BYTE),
  POSTCODE            VARCHAR2(7 BYTE),
  COUNTRYCODE         VARCHAR2(8 BYTE),
  HOMETELEPHONE       VARCHAR2(15 BYTE),
  WORKTELEPHONE       VARCHAR2(15 BYTE),
  DATAPROTECTION      NUMBER(1),
  CAMPAIGNCODE        VARCHAR2(4 BYTE),
  SOURCECODE          VARCHAR2(4 BYTE),
  PAYMENTFREQUENCY    VARCHAR2(2 BYTE),
  PAYMENTAMOUNT       NUMBER(6,2),
  PAIDBYSELF          NUMBER(1),
  REASONCODE          VARCHAR2(4 BYTE),
  COMMISSIONPAYABLE   NUMBER(1),
  CARDHOLDERTYPECODE  VARCHAR2(3 BYTE),
  BIBFLAG             NUMBER(1),
  MANDATETYPE         VARCHAR2(2 BYTE),
  BANKACCOUNTNAME     VARCHAR2(35 BYTE),
  BANKACCOUNTNUMBER   VARCHAR2(10 BYTE),
  BANKSORTCODE        VARCHAR2(6 BYTE),
  BANKCOUNTRYCODE     VARCHAR2(3 BYTE),
  DBCRCARDHOLDERNAME  VARCHAR2(35 BYTE),
  DBCRCARDNUMBER      VARCHAR2(19 BYTE),
  DBCRCARDTYPE        VARCHAR2(2 BYTE),
  CRCARDEXPIRYDATE    DATE,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERITEM
(
  ID                       VARCHAR2(47 BYTE)    NOT NULL,
  TYPECODE                 VARCHAR2(5 BYTE)     NOT NULL,
  ISSUEDATE                DATE,
  RETURNDUEDATE            DATE,
  RETURNDATE               DATE,
  SIGNATURELESS            VARCHAR2(1 BYTE)     DEFAULT '0'                   NOT NULL,
  EXTENSIONSGRANTEDFLAG    VARCHAR2(1 BYTE)     DEFAULT '0'                   NOT NULL,
  NUMBEREXTENSIONSGRANTED  NUMBER(2),
  LASTEXTENSIONREASONCODE  VARCHAR2(5 BYTE),
  REISSUEGRANTEDFLAG       NUMBER(2)            DEFAULT 0                     NOT NULL,
  CONVERTEDTOPAPERLESS     VARCHAR2(1 BYTE),
  EXTENSIONUNTILDATE       DATE,
  CREATED                  DATE                 NOT NULL,
  CREATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  LASTUPDATE               DATE                 NOT NULL,
  UPDATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  LOCKTOKENTEXT            VARCHAR2(47 BYTE)    NOT NULL,
  PDTV_ID                  VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAPERMANDATE
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  AGREEMENTNUMBER     VARCHAR2(14 BYTE)         NOT NULL,
  MANDATETYPE         VARCHAR2(2 BYTE)          NOT NULL,
  BANKACCOUNTNAME     VARCHAR2(35 BYTE),
  BANKACCOUNTNUMBER   VARCHAR2(10 BYTE),
  BANKSORTCODE        VARCHAR2(6 BYTE),
  BANKCOUNTRYCODE     VARCHAR2(3 BYTE),
  DBCRCARDHOLDERNAME  VARCHAR2(35 BYTE),
  DBCRCARDNUMBER      VARCHAR2(19 BYTE),
  DBCRCARDTYPE        VARCHAR2(2 BYTE),
  CRCARDEXPIRYDATE    DATE,
  CREATED             DATE                      DEFAULT SYSDATE               NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE          DATE                      DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPARTYROLE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  PARTYID            VARCHAR2(47 BYTE)          NOT NULL,
  EFFECTIVEFROM      DATE,
  EFFECTIVETO        DATE,
  PARTYROLETYPECODE  VARCHAR2(20 BYTE)          NOT NULL,
  DELETEDFLAG        NUMBER(1)                  DEFAULT 0                     NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAYMENT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  TRANSACTIONVALUE    NUMBER(9,2)               NOT NULL,
  BILLINGACCOUNTID    VARCHAR2(47 BYTE)         NOT NULL,
  SETTLEMENTMETHODID  VARCHAR2(47 BYTE),
  SERVICETYPECODE     VARCHAR2(10 BYTE),
  PAYMENTSTATUSCODE   VARCHAR2(10 BYTE),
  CREATED             DATE                      DEFAULT SYSDATE               NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE          DATE                      DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         DEFAULT 'SYSTEM'              NOT NULL,
  SOURCECODE          VARCHAR2(10 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAYMENTMETHOD
(
  ID                          VARCHAR2(47 BYTE) NOT NULL,
  PAYMENTMETHODCLASSTYPE      VARCHAR2(80 BYTE) NOT NULL,
  PAYMENTMETHODTYPE           VARCHAR2(10 BYTE) NOT NULL,
  PAPERLESSFLAG               NUMBER(1)         NOT NULL,
  BLANKMANDATEFLAG            NUMBER(1)         NOT NULL,
  CONTACTORACCOUNTHOLDERFLAG  NUMBER(1),
  SINGLESIGNATORYALLOWEDFLAG  NUMBER(1),
  ACCOUNTHOLDERNAME           VARCHAR2(80 BYTE),
  ACCOUNTNUMBER               VARCHAR2(10 BYTE),
  SORTCODE                    VARCHAR2(6 BYTE),
  CARDHOLDERNAME              VARCHAR2(80 BYTE),
  CARDNUMBER                  VARCHAR2(19 BYTE),
  CARDTYPE                    VARCHAR2(10 BYTE),
  ISSUENUMBER                 VARCHAR2(80 BYTE),
  CARDSTARTDATE               DATE,
  CARDEXPIRYDATE              DATE,
  CREATED                     DATE              NOT NULL,
  CREATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                  DATE              NOT NULL,
  UPDATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  DELETEDFLAG                 NUMBER(1)         NOT NULL,
  CARDID                      NUMBER(10),
  CARDIDSERVER                NUMBER(3),
  CHANGESOURCECODE            VARCHAR2(10 BYTE) DEFAULT 'C' NOT NULL,
  CHANGEREASONCODE            VARCHAR2(10 BYTE),
  LOCKTOKENTEXT               VARCHAR2(47 BYTE) NOT NULL,
  CHANGESOURCESYSTEM          VARCHAR2(2 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAYMENTMETHODCHANGEHEADER
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  BATCHNUMBER    NUMBER(5)                      NOT NULL,
  MANDATETYPE    VARCHAR2(10 BYTE)              NOT NULL,
  NUMBEROFITEMS  NUMBER(6)                      NOT NULL,
  BATCHDATE      DATE                           NOT NULL,
  COUNTRYCODE    VARCHAR2(10 BYTE)              NOT NULL,
  RECEIVEDFROM   VARCHAR2(10 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAYMENTMETHODCHANGEREQUEST
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  AGREEMENTNUMBER     VARCHAR2(12 BYTE)         NOT NULL,
  REASONCODE          VARCHAR2(10 BYTE),
  NEWPAYMENTMETHODID  VARCHAR2(47 BYTE),
  OLDPAYMENTMETHODID  VARCHAR2(47 BYTE),
  BATCHHEADERID       VARCHAR2(47 BYTE)         NOT NULL,
  MANDATECATEGORY     VARCHAR2(10 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPAYMENTMETHODROLE
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PAYMENTMETHODID   VARCHAR2(47 BYTE)           NOT NULL,
  BILLINGACCOUNTID  VARCHAR2(47 BYTE)           NOT NULL,
  EFFECTIVEFROM     DATE                        NOT NULL,
  EFFECTIVETO       DATE,
  CREATED           DATE                        NOT NULL,
  CREATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  LASTUPDATE        DATE                        NOT NULL,
  UPDATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  DELETEDFLAG       NUMBER(1)                   NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPORTFOLIO
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPORTFOLIOOFFER
(
  ID                    VARCHAR2(47 BYTE)       NOT NULL,
  STATUS                VARCHAR2(10 BYTE)       NOT NULL,
  APPLICATIONSTARTDATE  DATE,
  APPLICATIONENDDATE    DATE,
  OFFERID               NUMBER(10)              NOT NULL,
  PORTFOLIOID           VARCHAR2(47 BYTE)       NOT NULL,
  SERVICEINSTANCEID     VARCHAR2(47 BYTE),
  STATUSCHANGEDDATE     DATE,
  STATUSREASONCODE      VARCHAR2(12 BYTE),
  LOCKTOKENTEXT         VARCHAR2(47 BYTE)       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPORTFOLIOOFFERDEPENDENCY
(
  ID                      VARCHAR2(47 BYTE)     NOT NULL,
  DISCOUNT                NUMBER(1),
  EXPIRYDATE              DATE,
  PORTFOLIOPRODUCTID      VARCHAR2(47 BYTE)     NOT NULL,
  PORTFOLIOOFFERID        VARCHAR2(47 BYTE)     NOT NULL,
  CREATED                 DATE                  NOT NULL,
  CREATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LASTUPDATE              DATE                  NOT NULL,
  UPDATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  DEPENDENCYDURATION      NUMBER(10),
  DEPENDENCYDURATIONTYPE  VARCHAR2(10 BYTE),
  LOCKTOKENTEXT           VARCHAR2(47 BYTE)     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPORTFOLIOPRODUCT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  STATUS              VARCHAR2(10 BYTE)         NOT NULL,
  CATALOGUEPRODUCTID  VARCHAR2(47 BYTE)         NOT NULL,
  CLAWBACKEXEMPT      NUMBER(1)                 NOT NULL,
  SERVICEINSTANCEID   VARCHAR2(47 BYTE),
  PORTFOLIOID         VARCHAR2(47 BYTE)         NOT NULL,
  SUBSCRIPTIONID      VARCHAR2(47 BYTE),
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  SOURCEDESCRIPTION   VARCHAR2(255 BYTE),
  RETAILERID          VARCHAR2(47 BYTE),
  STATUSCHANGEDDATE   DATE,
  STATUSREASONCODE    VARCHAR2(10 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPRICEABLEUNIT
(
  ID                              VARCHAR2(47 BYTE) NOT NULL,
  BILLINGSOURCECODE               VARCHAR2(10 BYTE),
  EFFECTIVEDATE                   DATE,
  BILLINGACCOUNTID                VARCHAR2(47 BYTE),
  QUOTEDPRICE                     NUMBER(9,2),
  ENDDATE                         DATE,
  NUMBEROFINSTALLMENTS            NUMBER(4),
  PRICEABLEUNITTYPECODE           VARCHAR2(10 BYTE) NOT NULL,
  CREATED                         DATE          NOT NULL,
  CREATEDBY                       VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                      DATE          NOT NULL,
  UPDATEDBY                       VARCHAR2(32 BYTE) NOT NULL,
  PRICEABLEUNITREFERENCEID        VARCHAR2(47 BYTE),
  DESCRIPTION                     VARCHAR2(255 BYTE),
  PROPOSEDPAYMENTMETHODCODE       VARCHAR2(10 BYTE),
  SERVICETYPECODE                 VARCHAR2(10 BYTE),
  ADJUSTMENTREASONCODE            VARCHAR2(10 BYTE),
  ASSOCIATEDTRANSACTIONID         VARCHAR2(315 BYTE),
  ADJUSTMENTAMOUNT                NUMBER(9,2),
  ADJUSTMENTDESTINATIONCODE       VARCHAR2(10 BYTE),
  CHANGEPAYMENTMETHODALLOWEDFLAG  NUMBER(1),
  DISCOUNTEDPRICEABLEUNITID       VARCHAR2(47 BYTE),
  ASSOCIATEDCHORDIANTTXID         VARCHAR2(47 BYTE),
  PAYMENTID                       VARCHAR2(47 BYTE),
  GENRECODE                       VARCHAR2(10 BYTE),
  PORTFOLIOOFFERID                VARCHAR2(47 BYTE),
  CLAWBACKSTATUS                  VARCHAR2(10 BYTE),
  CLAWBACKSTATUSPRIORTOEXEMPTION  VARCHAR2(10 BYTE),
  CLAWBACKSTATUSCHANGEDDATE       DATE,
  CLAWBACKEXEMPTIONREASON         VARCHAR2(10 BYTE),
  SERVICEINSTANCEID               VARCHAR2(47 BYTE),
  LOCKTOKENTEXT                   VARCHAR2(47 BYTE) NOT NULL,
  CHARGEBEINGCLAWEDBACKID         VARCHAR2(47 BYTE),
  VIEWEDDATE                      DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPRICEABLEUNITPORTFOLIOPROD
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  PRICEABLEUNITID     VARCHAR2(47 BYTE),
  PORTFOLIOPRODUCTID  VARCHAR2(47 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBPROPERTYDETAIL
(
  ID                         VARCHAR2(47 BYTE)  NOT NULL,
  TELEPHONEAVAILABLE         NUMBER(1),
  SITFLAG                    NUMBER(1),
  PROPERTYQUESTION1          NUMBER(1),
  PROPERTYQUESTION2          NUMBER(1),
  PROPERTYQUESTION3          NUMBER(1),
  INSTALLATIONADDRESSROLEID  VARCHAR2(47 BYTE)  NOT NULL,
  CREATED                    DATE               NOT NULL,
  CREATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LASTUPDATE                 DATE               NOT NULL,
  UPDATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LOCKTOKENTEXT              VARCHAR2(47 BYTE)  NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBREFUND
(
  ID                             VARCHAR2(47 BYTE) NOT NULL,
  ADJUSTMENTID                   VARCHAR2(47 BYTE),
  SETTLEMENMETHODID              VARCHAR2(47 BYTE) NOT NULL,
  BILLINGACCOUNTID               VARCHAR2(47 BYTE) NOT NULL,
  TRANSACTIONVALUE               NUMBER(9,2)    NOT NULL,
  REFUNDREASON                   VARCHAR2(10 BYTE) NOT NULL,
  ASSOCIATEDTRANSACTIONID        VARCHAR2(315 BYTE),
  REFUNDAUTHORISATIONSTATUSCODE  VARCHAR2(10 BYTE) NOT NULL,
  CREATED                        DATE           NOT NULL,
  CREATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                     DATE           NOT NULL,
  UPDATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  REFUNDREJECTIONREASON          VARCHAR2(10 BYTE),
  ELIGIBLEFORREVIEWDATE          DATE,
  TRANSACTIONAUTHORISED          DATE,
  AUTHORISEDBY                   VARCHAR2(32 BYTE),
  LOCKTOKENTEXT                  VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILAFFILIATION
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  RETAILERBUSINESSID  VARCHAR2(47 BYTE),
  GROUPCODE           VARCHAR2(8 BYTE)          NOT NULL,
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILBUSINESS
(
  ID                          VARCHAR2(47 BYTE) NOT NULL,
  HEADOFFICERETAILBUSINESSID  VARCHAR2(47 BYTE),
  RETAILERSTATUSCODE          VARCHAR2(8 BYTE)  NOT NULL,
  ASAGROUPNUMBER              VARCHAR2(5 BYTE)  NOT NULL,
  ASABRANCHNUMBER             VARCHAR2(4 BYTE)  NOT NULL,
  ASMREGIONCODE               VARCHAR2(80 BYTE),
  BSTREGIONCODE               VARCHAR2(8 BYTE),
  FIELDTRAINERREGIONCODE      VARCHAR2(8 BYTE),
  MULTIPLESTATUSCODE          VARCHAR2(8 BYTE)  NOT NULL,
  HEADOFFICEFLAG              NUMBER(1)         NOT NULL,
  CREATED                     DATE              NOT NULL,
  CREATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                  DATE              NOT NULL,
  UPDATEDBY                   VARCHAR2(32 BYTE) NOT NULL,
  CURRENTBANDINGCODE          VARCHAR2(8 BYTE),
  BANDINGCHANGEDATE           DATE,
  PREVIOUSBANDINGCODE         VARCHAR2(8 BYTE),
  DEPENDANTBRANCHFLAG         NUMBER(1)         DEFAULT 0,
  STATUSCHANGEDDATE           DATE              NOT NULL,
  AUTHORISATIONDATE           DATE,
  OPERATINGCOUNTRYCODE        VARCHAR2(8 BYTE),
  CURRENCYCODE                VARCHAR2(8 BYTE),
  PAYMENTMETHODCODE           VARCHAR2(8 BYTE),
  ESCWITHHELDFLAG             NUMBER(1)         DEFAULT 0                     NOT NULL,
  ESCWITHHELDDATE             DATE,
  ESCWITHHELDREASON           VARCHAR2(255 BYTE),
  SSCWITHHELDFLAG             NUMBER(1)         DEFAULT 0                     NOT NULL,
  SSCWITHHELDDATE             DATE,
  SSCWITHHELDREASON           VARCHAR2(255 BYTE),
  LIVEFEEDFLAG                NUMBER(1)         DEFAULT 0                     NOT NULL,
  ESCPREFIX                   VARCHAR2(10 BYTE),
  SSCPREFIX                   VARCHAR2(10 BYTE),
  BONUSPREFIX                 VARCHAR2(10 BYTE),
  LIVEFEEDREASONCODE          VARCHAR2(8 BYTE),
  VENUESALESFLAG              NUMBER(1),
  SPECIALMESSAGE              VARCHAR2(255 BYTE),
  DEFAULTINVOICEADDRESSID     VARCHAR2(47 BYTE),
  DISTRIBUTORFLAG             NUMBER(1)         DEFAULT 0                     NOT NULL,
  RETAILERAREAID              VARCHAR2(47 BYTE),
  RETAILERREGIONID            VARCHAR2(47 BYTE),
  RETAILERSTATUSROLLBACKCODE  VARCHAR2(8 BYTE),
  RETAILERDEAUTHREASONCODE    VARCHAR2(8 BYTE),
  PARTYID                     VARCHAR2(47 BYTE) NOT NULL,
  ESTATEMENTFLAG              NUMBER(1)         DEFAULT 0                     NOT NULL,
  BANDINGCHANGEREASON         VARCHAR2(255 BYTE),
  RETAILERSTATUSCHANGEREASON  VARCHAR2(255 BYTE),
  LOCKTOKENTEXT               VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILCOMMISSIONACCOUNT
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  RETAILBUSINESSID  VARCHAR2(47 BYTE)           NOT NULL,
  ACCOUNTNAME       VARCHAR2(80 BYTE)           NOT NULL,
  ACCOUNTNUMBER     VARCHAR2(10 BYTE)           NOT NULL,
  SORTCODE          VARCHAR2(6 BYTE)            NOT NULL,
  EFFECTIVEFROM     DATE                        NOT NULL,
  EFFECTIVETO       DATE,
  CREATED           DATE                        NOT NULL,
  CREATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  LASTUPDATE        DATE                        NOT NULL,
  UPDATEDBY         VARCHAR2(32 BYTE)           NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILERAUDITRECORD
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  DATAITEM          VARCHAR2(255 BYTE),
  VALUE             VARCHAR2(255 BYTE),
  UPDATEREASONCODE  VARCHAR2(255 BYTE),
  CREATED           DATE                        DEFAULT SYSDATE               NOT NULL,
  LASTUPDATE        DATE                        DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY         VARCHAR2(32 BYTE)           DEFAULT 'SYSTEM'              NOT NULL,
  CREATEDBY         VARCHAR2(32 BYTE)           DEFAULT 'SYSTEM'              NOT NULL,
  RETAILERID        VARCHAR2(47 BYTE)           NOT NULL,
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILPROOFOFPURCHASE
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  RETAILERID             VARCHAR2(47 BYTE)      NOT NULL,
  AGREEMENTNUMBER        VARCHAR2(12 BYTE),
  CREATED                DATE                   NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LASTUPDATE             DATE                   NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  ISCONTRACTNUMBERVALID  NUMBER(1)              NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBRETAILPROOFOFPURCHASEDETAIL
(
  ID                       VARCHAR2(47 BYTE)    NOT NULL,
  MASKID                   VARCHAR2(47 BYTE)    NOT NULL,
  VALUE                    VARCHAR2(10 BYTE),
  RETAILPROOFOFPURCHASEID  VARCHAR2(47 BYTE)    NOT NULL,
  CREATED                  DATE                 NOT NULL,
  CREATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  LASTUPDATE               DATE                 NOT NULL,
  UPDATEDBY                VARCHAR2(32 BYTE)    NOT NULL,
  LOCKTOKENTEXT            VARCHAR2(47 BYTE)    NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBROLE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  ROLE               VARCHAR2(80 BYTE)          NOT NULL,
  CAPACITYOVERRIDE   VARCHAR2(10 BYTE),
  VISITLEADTIMEDAYS  NUMBER(3),
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBROLETOKANAENTITLEMENT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  ROLEID             VARCHAR2(47 BYTE)          NOT NULL,
  KANAENTITLEMENTID  VARCHAR2(47 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSALESLEAD
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  PREFERREDCONTACTCHANNEL   VARCHAR2(25 BYTE)   NOT NULL,
  RECONTACTTIMEFRAME        VARCHAR2(25 BYTE)   NOT NULL,
  CATALOGUEPRODUCTID        VARCHAR2(47 BYTE)   NOT NULL,
  CONTACTORID               VARCHAR2(47 BYTE)   NOT NULL,
  CAMPAIGNINTERESTSOURCEID  NUMBER(10),
  CREATED                   DATE                NOT NULL,
  CREATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LASTUPDATE                DATE                NOT NULL,
  UPDATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSAMREGISTRY
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  USERNAME       VARCHAR2(40 BYTE)              NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL,
  PARTYID        VARCHAR2(47 BYTE),
  RESERVEDONLY   NUMBER(1)                      DEFAULT 0                     NOT NULL,
  PROFILETYPE    VARCHAR2(1 BYTE)               NOT NULL,
  STATUS         VARCHAR2(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSERVICEINSTANCE
(
  ID                            VARCHAR2(47 BYTE) NOT NULL,
  STARTDATE                     DATE            NOT NULL,
  TELEPHONENUMBER               VARCHAR2(15 BYTE),
  CONTINUOUSSERVICE             NUMBER(1),
  FIRSTCALLBACKDATE             DATE,
  INTERACTIVESTATUS             VARCHAR2(10 BYTE),
  PACKREQUESTNUMBER             VARCHAR2(25 BYTE),
  PARENT                        NUMBER(1),
  PPVMETHOD                     VARCHAR2(25 BYTE),
  SKYSOLEOWNER                  NUMBER(1),
  INDIVIDUALSPENDLIMITVALUE     NUMBER(8,2),
  INDIVIDUALSPENDLIMITCURRCODE  VARCHAR2(5 BYTE),
  CURRENTBALANCEVALUE           NUMBER(8,2),
  CURRENTBALANCECURRENCYCODE    VARCHAR2(5 BYTE),
  GLOBALSPENDLIMITVALUE         NUMBER(8,2),
  GLOBALSPENDLIMITCURRENCYCODE  VARCHAR2(5 BYTE),
  PARENTSERVICEINSTANCEID       VARCHAR2(47 BYTE),
  CREATED                       DATE            NOT NULL,
  CREATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                    DATE            NOT NULL,
  UPDATEDBY                     VARCHAR2(32 BYTE) NOT NULL,
  CARDSUBSCRIBERID              VARCHAR2(47 BYTE),
  INSTALLATIONPRODUCTELEMENTID  VARCHAR2(47 BYTE),
  IPPVCREDITLIMITVALUE          NUMBER(8,2),
  IPPVCREDITLIMITCURRENCYCODE   VARCHAR2(5 BYTE),
  PORTFOLIOID                   VARCHAR2(47 BYTE) NOT NULL,
  SERVICEINSTANCETYPE           NUMBER(5),
  LASTCALLBACKDATE              DATE,
  CALLBACKAVAILABILITYTIME      VARCHAR2(10 BYTE),
  CALLBACKDAY                   NUMBER(2),
  EVENTTHRESHOLD                VARCHAR2(5 BYTE),
  REPAIRCOUNT                   NUMBER(5),
  OPPVPURCHASEBALANCECURRCODE   VARCHAR2(12 BYTE),
  OPPVPURCHASEBALANCEVALUE      NUMBER(8,2),
  EXCLUDEVIOLATIONFLAG          NUMBER(1),
  EXCLUDEVIOLATIONREASONCODE    VARCHAR2(10 BYTE),
  LOCKTOKENTEXT                 VARCHAR2(47 BYTE) NOT NULL,
  PAPERITEMID                   VARCHAR2(47 BYTE),
  PDTV_ID                       VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSETTLEMENTMETHOD
(
  ID                             VARCHAR2(47 BYTE) NOT NULL,
  SETTLEMENTMETHODCLASSTYPECODE  VARCHAR2(80 BYTE) NOT NULL,
  SETTLEMENTMETHODTYPECODE       VARCHAR2(10 BYTE) NOT NULL,
  ACCOUNTHOLDERNAME              VARCHAR2(80 BYTE),
  ACCOUNTNUMBER                  VARCHAR2(10 BYTE),
  SORTCODE                       VARCHAR2(6 BYTE),
  CREDITCARDAUTHORISATIONNUMBER  VARCHAR2(80 BYTE),
  CARDHOLDERNAME                 VARCHAR2(80 BYTE),
  CARDNUMBER                     VARCHAR2(19 BYTE),
  CARDTYPE                       VARCHAR2(10 BYTE),
  ISSUENUMBER                    VARCHAR2(80 BYTE),
  CARDSTARTDATE                  DATE,
  CARDEXPIRYDATE                 DATE,
  SECURITYCODE                   VARCHAR2(3 BYTE),
  CARDID                         NUMBER(10),
  CARDIDSERVER                   NUMBER(3),
  CHEQUENUMBER                   VARCHAR2(80 BYTE),
  NAMEONCHEQUE                   VARCHAR2(80 BYTE),
  CREATED                        DATE           NOT NULL,
  CREATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                     DATE           NOT NULL,
  UPDATEDBY                      VARCHAR2(32 BYTE) NOT NULL,
  CHEQUEADDRESSID                VARCHAR2(47 BYTE),
  LOCKTOKENTEXT                  VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSUBSCRIPTION
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  STATUS                 VARCHAR2(10 BYTE)      NOT NULL,
  SERVICEINSTANCEID      VARCHAR2(47 BYTE)      NOT NULL,
  SUBSCRIPTIONTYPEID     VARCHAR2(47 BYTE)      NOT NULL,
  CREATED                DATE                   NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  LASTUPDATE             DATE                   NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      NOT NULL,
  NAME                   VARCHAR2(255 BYTE),
  STATUSCHANGEDDATE      DATE,
  STATUSREASONCODE       VARCHAR2(10 BYTE),
  INITIALENABLEMENTDATE  DATE,
  INITIALACTIVATIONDATE  DATE,
  SUBSCRIPTIONSTARTDATE  DATE,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSUBSCRIPTIONAGREEMENTITEM
(
  AGREEMENTITEMID             VARCHAR2(47 BYTE) NOT NULL,
  SUBSCRIPTIONAGREEMENTID     VARCHAR2(47 BYTE) NOT NULL,
  AGREEMENTNUMBER             VARCHAR2(16 BYTE) NOT NULL,
  STARTDATE                   DATE,
  ENDDATE                     DATE,
  REGISTEREDDATE              DATE,
  XXPRIMARYSERVICEINSTANCEID  VARCHAR2(47 BYTE),
  RETAILBUSINESSID            VARCHAR2(47 BYTE),
  MANDATESIGNATURELESSFLAG    NUMBER(1),
  MANDATEISSUEDATE            DATE,
  MANDATERETURNDUEDATE        DATE,
  MANDATERETURNEDDATE         DATE,
  CREATED                     DATE              DEFAULT SYSDATE               NOT NULL,
  CREATEDBY                   VARCHAR2(32 BYTE) DEFAULT 'SYSTEM' NOT NULL,
  LASTUPDATE                  DATE              DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY                   VARCHAR2(32 BYTE) DEFAULT 'SYSTEM' NOT NULL,
  EXTENSIONGRANTEDFLAG        NUMBER(1),
  NUMBEREXTENSIONSGRANTED     NUMBER(3),
  LASTEXTENSIONREASONCODE     VARCHAR2(10 BYTE),
  REISSUEGRANTEDFLAG          NUMBER(1),
  CONVERTEDTOPAPERLESSFLAG    NUMBER(1),
  EXTENSIONUNTILDATE          DATE,
  LOCKTOKENTEXT               VARCHAR2(47 BYTE) NOT NULL,
  PAPERCONTRACTID             VARCHAR2(47 BYTE),
  SUBSCRIPTIONID              VARCHAR2(47 BYTE) NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSUBSCRIPTIONENTITLEMENT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  EFFECTIVEFROMDATE  DATE                       NOT NULL,
  EFFECTIVETODATE    DATE,
  SUBSCRIPTIONID     VARCHAR2(47 BYTE)          NOT NULL,
  ENTITLEMENTID      VARCHAR2(47 BYTE)          NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBSUBSCRIPTIONHISTORYSTATUS
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  STATUS             VARCHAR2(10 BYTE)          NOT NULL,
  STATUSSTARTDATE    DATE                       NOT NULL,
  STATUSENDDATE      DATE,
  SUBSCRIPTIONID     VARCHAR2(47 BYTE)          NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL,
  STATUSREASONCODE   VARCHAR2(15 BYTE),
  ORDERID            VARCHAR2(47 BYTE),
  ENTITLEMENTID      VARCHAR2(47 BYTE),
  SERVICEINSTANCEID  VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTARGETEDMAILSHOT
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  MAILSHOTID     VARCHAR2(47 BYTE)              NOT NULL,
  PARTYID        VARCHAR2(47 BYTE),
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTECHENQUIRYVISITRESOLUTION
(
  ID                   VARCHAR2(47 BYTE)        NOT NULL,
  ACTUALACTIONCODE     VARCHAR2(10 BYTE),
  ACTUALCAUSECODE      VARCHAR2(10 BYTE),
  ACTUALSYMPTOMCODE    VARCHAR2(10 BYTE),
  RESOLUTIONDATE       DATE,
  CREATED              DATE                     DEFAULT SYSDATE               NOT NULL,
  CREATEDBY            VARCHAR2(32 BYTE)        DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE           DATE                     DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY            VARCHAR2(32 BYTE)        DEFAULT 'SYSTEM'              NOT NULL,
  TECHNICALENQUIRYID   VARCHAR2(47 BYTE),
  VISITREQUIREMENTID   VARCHAR2(47 BYTE)        NOT NULL,
  ACTUALCONDITIONCODE  VARCHAR2(10 BYTE),
  STBUNPLUGGED         NUMBER(1),
  PHONELINEDISCONNECT  NUMBER(1),
  LOCKTOKENTEXT        VARCHAR2(47 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTECHNICALENQUIRY
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  JOBID                     VARCHAR2(47 BYTE),
  SYMPTOMCODE               VARCHAR2(8 BYTE),
  CAUSECODE                 VARCHAR2(8 BYTE),
  ACTIONCODE                VARCHAR2(8 BYTE),
  RESPONSIBLEPARTYCODE      VARCHAR2(8 BYTE),
  THIRDPARTYCODE            VARCHAR2(8 BYTE),
  CUSTOMERPRODUCTELEMENTID  VARCHAR2(47 BYTE),
  RESOLUTIONCODE            VARCHAR2(8 BYTE),
  RESOLUTIONDATE            DATE,
  REFERENCENUMBER           VARCHAR2(10 BYTE)   NOT NULL,
  STATUSCODE                VARCHAR2(8 BYTE)    NOT NULL,
  OWNERID                   VARCHAR2(47 BYTE),
  REPORTEDBYID              VARCHAR2(47 BYTE),
  AFFECTEDPRODUCTID         VARCHAR2(47 BYTE),
  CREATED                   DATE                NOT NULL,
  CREATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LASTUPDATE                DATE                NOT NULL,
  UPDATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL,
  BROADBANDTICKETID         VARCHAR2(10 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTELEPHONE
(
  ID                        VARCHAR2(47 BYTE)   NOT NULL,
  INTERNATIONALDIALINGCODE  VARCHAR2(6 BYTE),
  AREACODE                  VARCHAR2(6 BYTE)    NOT NULL,
  TELEPHONENUMBER           VARCHAR2(12 BYTE)   NOT NULL,
  EXTENSIONNUMBER           VARCHAR2(6 BYTE),
  TELEPHONENUMBERUSECODE    VARCHAR2(8 BYTE)    NOT NULL,
  CREATED                   DATE                NOT NULL,
  COMBINEDTELEPHONENUMBER   VARCHAR2(18 BYTE)   NOT NULL,
  CREATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LASTUPDATE                DATE                NOT NULL,
  UPDATEDBY                 VARCHAR2(32 BYTE)   NOT NULL,
  LINETYPECODE              VARCHAR2(10 BYTE),
  LOCKTOKENTEXT             VARCHAR2(47 BYTE)   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTELEPHONEUSAGEROLE
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  TELEPHONEID        VARCHAR2(47 BYTE)          NOT NULL,
  SERVICEINSTANCEID  VARCHAR2(47 BYTE),
  EFFECTIVEFROMDATE  DATE                       NOT NULL,
  EFFECTIVETODATE    DATE,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  ROLETYPE           VARCHAR2(12 BYTE),
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBTELEPHONYCUSTPRODELEMENT
(
  TELEPHONYPRODUCTELEMENTID  VARCHAR2(47 BYTE)  NOT NULL,
  SERVICEID                  VARCHAR2(20 BYTE),
  ACTUALACTIVATIONDATE       DATE,
  CREATED                    DATE               NOT NULL,
  CREATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LASTUPDATE                 DATE               NOT NULL,
  UPDATEDBY                  VARCHAR2(32 BYTE)  NOT NULL,
  LOCKTOKENTEXT              VARCHAR2(47 BYTE)  NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE BSBTELEPHONYCUSTPRODELEMENT IS 'A specialisation table from the BSBCustomerProductElement table to hold Telephony specific attributes.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.TELEPHONYPRODUCTELEMENTID IS 'Primary Key to the table and Foreign Key to the actual Telephony CPE record in the CPE table.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.SERVICEID IS 'This is the unique identifier that is returned from Easynet, and should be used in any communication with them.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.ACTUALACTIVATIONDATE IS 'Date the Telephony Service was activated.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.CREATED IS 'Record creation timestamp.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.CREATEDBY IS 'Login name of the CSR who created the record. From Login name in the CCSUSER table.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.LASTUPDATE IS 'Record Update Timestamp.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.UPDATEDBY IS 'Login name of the CSR who last updated  the record. From Login name in the CCSUSER table.';

COMMENT ON COLUMN BSBTELEPHONYCUSTPRODELEMENT.LOCKTOKENTEXT IS 'This column enables optimistic locking.';


CREATE TABLE BSBTELEPHONYREQUIREMENT
(
  TELEPHONYFULFILMENTID   VARCHAR2(47 BYTE)     NOT NULL,
  BTACCOUNTNUMBER         VARCHAR2(20 BYTE),
  POSTCODE                VARCHAR2(7 BYTE),
  ONLYCPS                 NUMBER(1)             NOT NULL,
  ORDERID                 VARCHAR2(20 BYTE),
  PROPOSEDACTIVATIONDATE  DATE,
  CREATED                 DATE                  NOT NULL,
  CREATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LASTUPDATE              DATE                  NOT NULL,
  UPDATEDBY               VARCHAR2(32 BYTE)     NOT NULL,
  LOCKTOKENTEXT           VARCHAR2(47 BYTE)     NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE BSBTELEPHONYREQUIREMENT IS 'A specialisation table from the BSBFulfilmentItem table to hold Telephony specific attributes.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.TELEPHONYFULFILMENTID IS 'Primary Key to the table and Foreign Key to the actual FulfilmentItem record in the BSBFulfilmentItem table.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.BTACCOUNTNUMBER IS 'This is the BT Account Number, as supplied by the customer, that currently services the telephony service.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.POSTCODE IS 'This is the postcode where the telephone number resides.  Used to verify that telephone is correct, as it should match the postcode returned by the BT DSL check on the line.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.ONLYCPS IS 'Flag identifier to indicate that the customer is willing to go ahead with a CPS only order , in the event that the WLR order is rejected by BT.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.ORDERID IS 'This is the unique identifier that is returned from Easynet in the inbound message, and should be used in any communication with them.  Will become the ServiceId when the service is activated.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.PROPOSEDACTIVATIONDATE IS 'Date that the service is expected to be activated.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.CREATED IS 'Record creation timestamp.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.CREATEDBY IS 'Login name of the CSR who created the record. From Login name in the CCSUSER table.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.LASTUPDATE IS 'Record Update Timestamp.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.UPDATEDBY IS 'Login name of the CSR who last updated  the record. From Login name in the CCSUSER table.';

COMMENT ON COLUMN BSBTELEPHONYREQUIREMENT.LOCKTOKENTEXT IS 'This column enables optimistic locking.';


CREATE TABLE BSBUSERROLEBRIDGE
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  ROLEID         VARCHAR2(47 BYTE)              NOT NULL,
  USERID         NUMBER(10)                     NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBVISITREQUIREMENT
(
  ID                           VARCHAR2(47 BYTE) NOT NULL,
  FMSJOBREFERENCE              VARCHAR2(20 BYTE),
  JOBTYPE                      VARCHAR2(10 BYTE),
  JOBDESCRIPTION               VARCHAR2(255 BYTE),
  SPECIALNEEDSPASSWORD         VARCHAR2(10 BYTE),
  CUSTOMERAWAREOFVISIT         NUMBER(1),
  STATUSCODE                   VARCHAR2(10 BYTE) NOT NULL,
  STATUSREASONCODE1            VARCHAR2(10 BYTE),
  STATUSREASONCODE2            VARCHAR2(10 BYTE),
  STATUSREASONCODE3            VARCHAR2(10 BYTE),
  VALIDCUSTOMERSTARTDATE       DATE,
  VISITDATE                    DATE,
  NOTES                        VARCHAR2(50 BYTE),
  FULFILMENTITEMID             VARCHAR2(47 BYTE) NOT NULL,
  VISITID                      VARCHAR2(50 BYTE) NOT NULL,
  INSTALLERID                  VARCHAR2(47 BYTE),
  FAULTCODE                    VARCHAR2(10 BYTE),
  SYMPTOMCODE                  VARCHAR2(10 BYTE),
  TECHNICALENQUIRYID           VARCHAR2(47 BYTE),
  RESCHEDULECOUNTER            NUMBER(5),
  INSTALLATIONADDRESSROLEID    VARCHAR2(47 BYTE) NOT NULL,
  INSTALLATIONJOBREFERENCE     VARCHAR2(20 BYTE),
  CREATED                      DATE             NOT NULL,
  CREATEDBY                    VARCHAR2(32 BYTE) NOT NULL,
  LASTUPDATE                   DATE             NOT NULL,
  UPDATEDBY                    VARCHAR2(32 BYTE) NOT NULL,
  TELEPHONEID                  VARCHAR2(47 BYTE),
  UPDATEREASON                 VARCHAR2(10 BYTE),
  ETAUPDATEREASON              VARCHAR2(10 BYTE),
  CALLBACKCOUNTER              NUMBER           DEFAULT 0                     NOT NULL,
  INSTALLERTYPE                VARCHAR2(20 BYTE),
  MANUALINITIALISATIONCOUNTER  NUMBER(5)        DEFAULT 0                     NOT NULL,
  VISITTIMEFROM                VARCHAR2(80 BYTE),
  VISITTIMETO                  VARCHAR2(80 BYTE),
  LOCKTOKENTEXT                VARCHAR2(47 BYTE) NOT NULL,
  REPAIRCOUNTER                NUMBER(5)        DEFAULT 0,
  VISITTIMEBAND                VARCHAR2(10 BYTE),
  VISITGRADING                 NUMBER(3),
  VISITGRADINGBAND             VARCHAR2(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBVISITREQUIREMENTHISTORY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  VISITREQUIREMENTID  VARCHAR2(47 BYTE)         NOT NULL,
  HISTORYDATE         DATE                      NOT NULL,
  CHANGETYPE          VARCHAR2(20 BYTE),
  ORIGINALSTATUS      VARCHAR2(10 BYTE),
  ORIGINALFMSJOBREF   VARCHAR2(20 BYTE),
  ORIGINALVISITDATE   DATE,
  NEWSTATUS           VARCHAR2(10 BYTE),
  NEWFMSJOBREF        VARCHAR2(20 BYTE),
  NEWVISITDATE        DATE,
  STATUSREASONCODE1   VARCHAR2(10 BYTE),
  STATUSREASONCODE2   VARCHAR2(10 BYTE),
  STATUSREASONCODE3   VARCHAR2(10 BYTE),
  CREATED             DATE                      NOT NULL,
  CREATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  LASTUPDATE          DATE                      NOT NULL,
  UPDATEDBY           VARCHAR2(32 BYTE)         NOT NULL,
  UPDATEREASON        VARCHAR2(10 BYTE)         DEFAULT 'MU'                  NOT NULL,
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL,
  VISITTIMEBAND       VARCHAR2(10 BYTE),
  VISITGRADING        NUMBER(3),
  VISITGRADINGBAND    VARCHAR2(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBWARRANTY
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  WARRANTYCOMPANYID  VARCHAR2(47 BYTE)          NOT NULL,
  CREATED            DATE                       NOT NULL,
  CREATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  LASTUPDATE         DATE                       NOT NULL,
  UPDATEDBY          VARCHAR2(32 BYTE)          NOT NULL,
  ADDORDERLINEID     VARCHAR2(47 BYTE)          DEFAULT 1                     NOT NULL,
  LOCKTOKENTEXT      VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBWARRANTYDETAIL
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  WARRANTYID     VARCHAR2(47 BYTE)              NOT NULL,
  VALUE          VARCHAR2(10 BYTE),
  MASKID         VARCHAR2(47 BYTE)              NOT NULL,
  CREATED        DATE                           NOT NULL,
  CREATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LASTUPDATE     DATE                           NOT NULL,
  UPDATEDBY      VARCHAR2(32 BYTE)              NOT NULL,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CCSUSER
(
  ID                  NUMBER(10)                NOT NULL,
  FUNCTIONALTITLE     VARCHAR2(80 BYTE),
  HONORIFICTITLE      VARCHAR2(80 BYTE),
  FIRSTNAME           VARCHAR2(80 BYTE)         NOT NULL,
  MIDDLENAME          VARCHAR2(80 BYTE),
  LASTNAME            VARCHAR2(80 BYTE)         NOT NULL,
  ACDGROUP            VARCHAR2(32 BYTE),
  BUSINESSENTITYID    VARCHAR2(47 BYTE),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE,
  ACDID               NUMBER(10),
  LOGINNAME           VARCHAR2(32 BYTE)         NOT NULL,
  CTIMIDDLEWARELOGIN  VARCHAR2(30 BYTE),
  CTIMIDDLEWAREPSWD   VARCHAR2(30 BYTE),
  ACDPASSWORD         VARCHAR2(30 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE CCSUSER_NEW
(
  ID                  NUMBER(10)                NOT NULL,
  FUNCTIONALTITLE     VARCHAR2(80 BYTE),
  HONORIFICTITLE      VARCHAR2(80 BYTE),
  FIRSTNAME           VARCHAR2(80 BYTE)         NOT NULL,
  MIDDLENAME          VARCHAR2(80 BYTE),
  LASTNAME            VARCHAR2(80 BYTE)         NOT NULL,
  ACDGROUP            VARCHAR2(32 BYTE),
  BUSINESSENTITYID    VARCHAR2(47 BYTE),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE,
  ACDID               NUMBER(10),
  LOGINNAME           VARCHAR2(32 BYTE)         NOT NULL,
  CTIMIDDLEWARELOGIN  VARCHAR2(30 BYTE),
  CTIMIDDLEWAREPSWD   VARCHAR2(30 BYTE),
  ACDPASSWORD         VARCHAR2(30 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMEVENTTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  COMEVENTTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMMONCURRENCY
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  CURRENCYISONAME  VARCHAR2(40 BYTE)            NOT NULL,
  ISOMNEMONICCODE  VARCHAR2(3 BYTE),
  ISONUMERICCODE   NUMBER(3)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE COMPRTCPNTTYPE
(
  CODE                VARCHAR2(10 BYTE)         NOT NULL,
  COMPRTCPNTTYPEDESC  VARCHAR2(255 BYTE)        NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEADLINETIMER
(
  ID               NUMBER(10)                   NOT NULL,
  DEADLINETIME     DATE                         NOT NULL,
  TIMERSTATUSCODE  VARCHAR2(15 BYTE)            NOT NULL,
  TIMERTYPECODE    VARCHAR2(15 BYTE)            NOT NULL,
  CALLBACKCA       VARCHAR2(255 BYTE)           NOT NULL,
  APPDATA          VARCHAR2(255 BYTE),
  SYSINSTANCENAME  VARCHAR2(20 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFDATABIZSVC
(
  ID        NUMBER(10)                          NOT NULL,
  NAME      VARCHAR2(255 BYTE)                  NOT NULL,
  USERDATA  VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFDATACATEGORY
(
  ID                NUMBER(10)                  NOT NULL,
  NAME              VARCHAR2(30 BYTE)           NOT NULL,
  USERDATA          VARCHAR2(80 BYTE),
  PARENTCATEGORYID  NUMBER(10)                  NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFDATACLASSINFO
(
  ID                 NUMBER(10)                 NOT NULL,
  VERSION            NUMBER(2)                  NOT NULL,
  NAME               VARCHAR2(255 BYTE)         NOT NULL,
  USERDATA           VARCHAR2(80 BYTE),
  PARENTCLASSINFOID  NUMBER(10)                 NOT NULL,
  SCOPEID            NUMBER(10)                 NOT NULL,
  CATEGORYID         NUMBER(10)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFDATAPACKAGE
(
  ID        NUMBER(10)                          NOT NULL,
  NAME      VARCHAR2(255 BYTE)                  NOT NULL,
  USERDATA  VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEFINEDDATASCOPE
(
  ID         NUMBER(10)                         NOT NULL,
  SCOPENAME  VARCHAR2(30 BYTE)                  NOT NULL,
  USERDATA   VARCHAR2(80 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE DEVICE
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  DEVICETYPE       VARCHAR2(8 BYTE)             NOT NULL,
  DESCRIPTION      VARCHAR2(255 BYTE),
  DEVICENAME       VARCHAR2(80 BYTE)            NOT NULL,
  DEVICEIDENTTEXT  VARCHAR2(80 BYTE),
  MANUFACTURER     VARCHAR2(80 BYTE),
  MODEL            VARCHAR2(80 BYTE),
  OUTBNDDIALINGCD  VARCHAR2(80 BYTE),
  OPERATINGSYSTEM  VARCHAR2(80 BYTE),
  OPERATINGSYSVER  VARCHAR2(80 BYTE),
  REVISION         VARCHAR2(80 BYTE),
  MIDDLEWARETYPE   VARCHAR2(8 BYTE),
  EFFECTIVEDATE    DATE,
  EXPIRYDATE       DATE,
  STATIONID        VARCHAR2(47 BYTE)            NOT NULL,
  AUTOANSWER       CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EBCINTERACTION
(
  ID                     VARCHAR2(47 BYTE)      NOT NULL,
  INTERACTIONSEQ         NUMBER(10),
  INTRCTNTYPECODE        VARCHAR2(10 BYTE)      NOT NULL,
  EICASEID               VARCHAR2(47 BYTE),
  INTERACTIONDESC        VARCHAR2(128 BYTE),
  INTRCTNSTATECODE       VARCHAR2(10 BYTE)      NOT NULL,
  CREATEDATE             DATE                   NOT NULL,
  USERLOGINNAME          VARCHAR2(32 BYTE)      NOT NULL,
  PARTYID                VARCHAR2(47 BYTE),
  OFFERINGNAME           VARCHAR2(80 BYTE),
  CONTACTORID            VARCHAR2(47 BYTE),
  TASKDESCRIPTION        VARCHAR2(30 BYTE),
  JOBID                  VARCHAR2(47 BYTE),
  DOCUMENTNUMBER         VARCHAR2(80 BYTE),
  PORTFOLIOID            VARCHAR2(47 BYTE),
  PORTFOLIOOWNERPARTYID  VARCHAR2(47 BYTE),
  SERVICEINSTANCEID      VARCHAR2(47 BYTE),
  BILLINGACCOUNTNUMBER   VARCHAR2(12 BYTE),
  CONTACTORTYPECODE      VARCHAR2(10 BYTE),
  ACTIVITYREQUESTNAME    VARCHAR2(80 BYTE),
  ACTIVITYSTARTDATE      DATE,
  ACTIVITYENDDATE        DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICASE
(
  ID              VARCHAR2(47 BYTE)             NOT NULL,
  CASENUMBER      VARCHAR2(20 BYTE)             NOT NULL,
  CASEDESC        VARCHAR2(120 BYTE),
  MERGEDTOCASEID  VARCHAR2(47 BYTE),
  LOCKTOKENTEXT   VARCHAR2(47 BYTE)             NOT NULL,
  CONTACTORID     VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMEVENT
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  COMEVENTTYPECODE   VARCHAR2(10 BYTE)          NOT NULL,
  COMEVENTSTARTDATE  DATE                       NOT NULL,
  EICOMMUNICATIONID  VARCHAR2(47 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMMENT
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  COMMENTDATE       DATE                        NOT NULL,
  COMMENTTEXT       VARCHAR2(4000 BYTE)         NOT NULL,
  USERLOGINNAME     VARCHAR2(32 BYTE)           NOT NULL,
  EBCINTERACTIONID  VARCHAR2(47 BYTE)           NOT NULL,
  NOTECATEGORYID    VARCHAR2(47 BYTE),
  NOTETITLEID       VARCHAR2(47 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE EICOMMUNICATION
(
  ID              VARCHAR2(47 BYTE)             NOT NULL,
  COMIOFLAG       CHAR(1 BYTE),
  COMTYPECODE     VARCHAR2(10 BYTE)             NOT NULL,
  COMADDRESSTEXT  VARCHAR2(255 BYTE),
  COMSTARTDATE    DATE                          NOT NULL,
  EICASEID        VARCHAR2(47 BYTE),
  DIALLEDNUMBER   VARCHAR2(6 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBNDRYCURRENCY
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  GEOBOUNDARYID     VARCHAR2(47 BYTE)           NOT NULL,
  COMMONCURRENCYID  VARCHAR2(47 BYTE)           NOT NULL,
  DFLTCURRENCYFLAG  CHAR(1 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBNDRYTYPE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  GEOBNDRYTYPEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBOUNDARY
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  GEOBOUNDARYNAME   VARCHAR2(80 BYTE)           NOT NULL,
  GEOBNDRYTYPECODE  VARCHAR2(10 BYTE)           NOT NULL,
  GEOBNDRYCODETEXT  VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GEOBOUNDARYASSOC
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  GEOBOUNDARYID       VARCHAR2(47 BYTE)         NOT NULL,
  ASSOCGEOBOUNDARYID  VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE IDENTITYTABLE
(
  PDMID         NUMBER(10)                      NOT NULL,
  TABLENAME     VARCHAR2(80 BYTE)               NOT NULL,
  COUNTERVALUE  NUMBER(10)                      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INTRCTNSTATE
(
  CODE              VARCHAR2(10 BYTE)           NOT NULL,
  INTRCTNSTATEDESC  VARCHAR2(255 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE INTRCTNTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  INTRCTNTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE LANGUAGES
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  LANGUAGENAME        VARCHAR2(80 BYTE)         NOT NULL,
  LANGUAGENATIVENAME  VARCHAR2(80 BYTE),
  LANGUAGEISOCODE     VARCHAR2(3 BYTE)          NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE MEDIATYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  MEDIATYPEDESC  VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE NEWSFEED
(
  ID             VARCHAR2(47 BYTE),
  MESSAGE        VARCHAR2(100 BYTE),
  PRIORITY       NUMBER(2),
  STARTDATE      DATE,
  ENDDATE        DATE,
  LOCKTOKENTEXT  VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OBJECTMAP
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  COMMENTS         VARCHAR2(255 BYTE),
  SOURCEIDENTTEXT  VARCHAR2(47 BYTE),
  SOURCETYPE       VARCHAR2(8 BYTE),
  SOURCEVALUE      VARCHAR2(80 BYTE),
  SOURCEVALUETYPE  VARCHAR2(8 BYTE),
  TARGETIDENTTEXT  VARCHAR2(47 BYTE),
  TARGETTYPE       VARCHAR2(8 BYTE),
  TARGETVALUE      VARCHAR2(80 BYTE),
  TARGETVALUETYPE  VARCHAR2(8 BYTE),
  EFFECTIVEDATE    DATE,
  EXPIRYDATE       DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERING
(
  ID                 VARCHAR2(47 BYTE)          NOT NULL,
  OFFERINGNAME       VARCHAR2(80 BYTE)          NOT NULL,
  PRODUCTCATEGORYID  VARCHAR2(47 BYTE),
  WFPLANINFOID       NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGCATEGORY
(
  ID            VARCHAR2(47 BYTE)               NOT NULL,
  CATEGORYNAME  VARCHAR2(80 BYTE)               NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGHIERARCHY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  HIERARCHYSEQ        NUMBER(4)                 NOT NULL,
  ACTIVEFLAG          CHAR(1 BYTE),
  OFFERINGVIEWID      VARCHAR2(47 BYTE)         NOT NULL,
  OFFERINGCATEGORYID  VARCHAR2(47 BYTE),
  OFFERINGID          VARCHAR2(47 BYTE),
  PARENTHIERARCHYID   VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE OFFERINGVIEW
(
  ID        VARCHAR2(47 BYTE)                   NOT NULL,
  VIEWNAME  VARCHAR2(20 BYTE)                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ORGANIZATION
(
  PARTYID           VARCHAR2(47 BYTE)           NOT NULL,
  ORGFULLNAME       VARCHAR2(80 BYTE),
  ORGABBRVNAME      VARCHAR2(20 BYTE),
  MERCHANTIDNUMBER  VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PACKAGECLASSINFO
(
  ID           NUMBER(10)                       NOT NULL,
  PACKAGEID    NUMBER(10)                       NOT NULL,
  CLASSINFOID  NUMBER(10)                       NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTY
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  PARTYTYPECODE       VARCHAR2(10 BYTE)         NOT NULL,
  GOVERNMENTIDNUMBER  VARCHAR2(20 BYTE),
  LOCKTOKENTEXT       VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYRELATIONROLE
(
  PARTYID            VARCHAR2(47 BYTE)          NOT NULL,
  RELATEDPARTYID     VARCHAR2(47 BYTE)          NOT NULL,
  PARTYROLETYPECODE  VARCHAR2(10 BYTE)          NOT NULL,
  STARTDATE          DATE,
  ENDDATE            DATE,
  PRIORITYCODE       VARCHAR2(10 BYTE),
  STATUSCODE         VARCHAR2(10 BYTE),
  PARTYNUMBER        VARCHAR2(20 BYTE),
  CHALLENGEDATATEXT  VARCHAR2(30 BYTE),
  ENCRYPTEDPASSTEXT  VARCHAR2(20 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYROLETYPE
(
  CODE               VARCHAR2(10 BYTE)          NOT NULL,
  PARTYROLETYPEDESC  VARCHAR2(255 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PARTYTYPE
(
  CODE           VARCHAR2(10 BYTE)              NOT NULL,
  PARTYTYPEDESC  VARCHAR2(255 BYTE)             NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PERSON
(
  PARTYID                        VARCHAR2(47 BYTE) NOT NULL,
  FIRSTNAME                      VARCHAR2(40 BYTE),
  MIDDLENAME                     VARCHAR2(40 BYTE),
  FAMILYNAME                     VARCHAR2(40 BYTE),
  HONORIFICTITLECODE             VARCHAR2(10 BYTE),
  BIRTHDATE                      DATE,
  BIRTHPLACENAME                 VARCHAR2(40 BYTE),
  GENDERCODE                     VARCHAR2(10 BYTE),
  MARITALSTATUSCODE              VARCHAR2(10 BYTE),
  EMPLOYERNAME                   VARCHAR2(40 BYTE),
  OCCUPATIONNAME                 VARCHAR2(40 BYTE),
  EMAILALLOWEDSWITCH             NUMBER(1),
  POSTALMAILALLOWEDSWITCH        NUMBER(1),
  TELEPHONECONTACTALLOWEDSWITCH  NUMBER(1),
  BLOCKPURCHASESWITCH            NUMBER(1)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PERSONALITY
(
  ID                 NUMBER(10)                 NOT NULL,
  NAME               VARCHAR2(80 BYTE)          NOT NULL,
  PRNTPERSONALITYID  NUMBER(10),
  EFFECTIVEDATE      DATE,
  EXPIRYDATE         DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PREFPROFICIENCY
(
  ID                  NUMBER(10)                NOT NULL,
  ROUTINGATTRIBUTEID  NUMBER(10),
  PERSONALITYID       NUMBER(10),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODCATALOGITEM
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PRODUCTID         VARCHAR2(47 BYTE)           NOT NULL,
  PRODUCTCATALOGID  VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODMMEDIADESC
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  DESCRIPTIONNAME  VARCHAR2(30 BYTE)            NOT NULL,
  DESCRIPTIONTEXT  VARCHAR2(255 BYTE)           NOT NULL,
  MEDIATYPECODE    VARCHAR2(10 BYTE)            NOT NULL,
  MEDIAURLTEXT     VARCHAR2(255 BYTE),
  PRODUCTID        VARCHAR2(47 BYTE)            NOT NULL,
  LOCKTOKENTEXT    VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCT
(
  ID               VARCHAR2(47 BYTE)            NOT NULL,
  PRODUCTNAME      VARCHAR2(80 BYTE)            NOT NULL,
  PRODUCTNUMBER    VARCHAR2(20 BYTE)            NOT NULL,
  PRODUCTTYPECODE  VARCHAR2(10 BYTE)            NOT NULL,
  UPCNUMBER        VARCHAR2(20 BYTE),
  OEMVALUEAMT      NUMBER(9,2)                  NOT NULL,
  RETAILVALUEAMT   NUMBER(9,2)                  NOT NULL,
  EXPIRYDATE       DATE,
  EFFECTIVEDATE    DATE,
  PARTYID          VARCHAR2(47 BYTE)            NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTCATALOG
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  CATALOGNUMBER  VARCHAR2(20 BYTE)              NOT NULL,
  CATALOGNAME    VARCHAR2(255 BYTE),
  EFFECTIVEDATE  DATE,
  EXPIRYDATE     DATE,
  PARTYID        VARCHAR2(47 BYTE)              NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTCATEGORY
(
  ID                VARCHAR2(47 BYTE)           NOT NULL,
  PRODCATEGORYNAME  VARCHAR2(80 BYTE)           NOT NULL,
  PRODCATEGORYDESC  VARCHAR2(255 BYTE),
  PURPOSETEXT       VARCHAR2(255 BYTE),
  LOCKTOKENTEXT     VARCHAR2(47 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE PRODUCTTYPE
(
  CODE             VARCHAR2(10 BYTE)            NOT NULL,
  PRODUCTTYPEDESC  VARCHAR2(255 BYTE)           NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ROUTINGATTRIBUTE
(
  ID               NUMBER(10)                   NOT NULL,
  NAME             VARCHAR2(80 BYTE),
  RTGATTRIBUTETYP  VARCHAR2(8 BYTE),
  OBJECTNAME       VARCHAR2(80 BYTE),
  OBJECTID         NUMBER(10),
  EFFECTIVEDATE    DATE,
  EXPIRYDATE       DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE ROUTINGPROFICIENCY
(
  ID                  NUMBER(10)                NOT NULL,
  OBJECTNAME          VARCHAR2(80 BYTE),
  OBJECTID            NUMBER(10),
  ROUTINGATTRIBUTEID  NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE RUNPLANIDCOUNTER
(
  COUNTER  NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE SCHEMA_UPDATES
(
  SCHEMA_VERSION         VARCHAR2(20 BYTE),
  SCHEMA_SCRIPT_APPLIED  VARCHAR2(100 BYTE),
  UPDATE_DATE            DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE SESSIONCONTEXT
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  LOGINTIME           DATE                      NOT NULL,
  NODENAME            VARCHAR2(80 BYTE)         NOT NULL,
  LOGINNAME           VARCHAR2(32 BYTE)         NOT NULL,
  AUTHETICATIONTOKEN  VARCHAR2(80 BYTE)         NOT NULL,
  SERIALIZEDSCAINFO   VARCHAR2(255 BYTE),
  SESSIONIDVALUE      VARCHAR2(80 BYTE)         NOT NULL,
  SYSINSTANCENAME     VARCHAR2(20 BYTE),
  EVENTTIME           DATE                      NOT NULL,
  EVENT               VARCHAR2(20 BYTE)         NOT NULL,
  APPLICATION         VARCHAR2(40 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE SQLPERSISTENTINFO
(
  ID               NUMBER(10)                   NOT NULL,
  UPDATEORDER      NUMBER(2)                    NOT NULL,
  DELETEORDER      NUMBER(2)                    NOT NULL,
  RETRIEVEORDER    NUMBER(2)                    NOT NULL,
  ADDORDER         NUMBER(2)                    NOT NULL,
  INDEXFLAG        NUMBER(1)                    NOT NULL,
  COLUMNNAME       VARCHAR2(255 BYTE)           NOT NULL,
  COLUMNTYPE       VARCHAR2(30 BYTE)            NOT NULL,
  SEARCHFLAG       NUMBER(1)                    NOT NULL,
  TABLENAME        VARCHAR2(255 BYTE)           NOT NULL,
  USERDATA         VARCHAR2(80 BYTE),
  STATICATTRDEFID  NUMBER(10)                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE STATICATTRDEF
(
  ID                 NUMBER(10)                 NOT NULL,
  NAME               VARCHAR2(255 BYTE)         NOT NULL,
  OBJECTIDFLAG       NUMBER(1)                  NOT NULL,
  TYPE               VARCHAR2(30 BYTE)          NOT NULL,
  ARRAYFLAG          NUMBER(1)                  NOT NULL,
  RELATIONSHIPTYPE   VARCHAR2(30 BYTE)          NOT NULL,
  ATTRJOINFLAG       NUMBER(1)                  NOT NULL,
  PRSTINFOCLASSNAME  VARCHAR2(30 BYTE)          NOT NULL,
  PERSISTENTFLAG     NUMBER(1)                  NOT NULL,
  PERSISTENTROUTE    NUMBER(3)                  NOT NULL,
  NULLABLEFLAG       NUMBER(1)                  NOT NULL,
  USERDATA           VARCHAR2(80 BYTE),
  CLASSINFOID        NUMBER(10)                 NOT NULL,
  TYPEATTRID         NUMBER(10)                 NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE STATION
(
  ID             VARCHAR2(47 BYTE)              NOT NULL,
  STATIONNAME    VARCHAR2(80 BYTE)              NOT NULL,
  EFFECTIVEDATE  DATE,
  EXPIRYDATE     DATE
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE TELEPHONEINFO
(
  ID                  VARCHAR2(47 BYTE)         NOT NULL,
  COMMNUMBER          VARCHAR2(25 BYTE)         NOT NULL,
  COMMTYPE            VARCHAR2(8 BYTE),
  INTLCTRYDIALCD      VARCHAR2(8 BYTE),
  TELNUMBERTYP        VARCHAR2(8 BYTE)          NOT NULL,
  COMMCARRIERNAME     VARCHAR2(80 BYTE),
  INTERNALRTGPHONE    VARCHAR2(25 BYTE),
  DNISPHONE           VARCHAR2(25 BYTE)         NOT NULL,
  DISASTERBKUPPHONE   VARCHAR2(25 BYTE),
  BKUPINTLCTRYDIALCD  VARCHAR2(8 BYTE),
  BACKUPCOMMTYPE      VARCHAR2(8 BYTE),
  STATUSDESCRIPTION   VARCHAR2(120 BYTE),
  GREETING            VARCHAR2(120 BYTE),
  TOLLFREEIND         CHAR(1 BYTE),
  ACPTCLCTCALLIND     CHAR(1 BYTE),
  COMMPRIMARYLANGID   VARCHAR2(47 BYTE),
  EFFECTIVEDATE       DATE,
  EXPIRYDATE          DATE,
  BUSINESSENTITYID    VARCHAR2(47 BYTE),
  DESCRIPTION         VARCHAR2(120 BYTE),
  VRUSCRIPTNAME       VARCHAR2(255 BYTE),
  OFFERINGID          VARCHAR2(47 BYTE)         NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFASSIGNMENT
(
  ID                NUMBER(10)                  NOT NULL,
  ACTIVEFLAG        NUMBER(3),
  CCSUSERID         NUMBER(10),
  CREATEDATE        DATE,
  INFOCLASSNAME     VARCHAR2(255 BYTE),
  LASTMODIFIEDDATE  DATE,
  PARENTVERSION     NUMBER(10),
  VERSION           NUMBER(10),
  VERSIONINFO       VARCHAR2(255 BYTE),
  INFOID            NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFASSIGNMENTINFO
(
  ID                NUMBER(10)                  NOT NULL,
  CURRENTVERSIONID  NUMBER(10),
  DESCRIPTION       VARCHAR2(255 BYTE),
  NAME              VARCHAR2(255 BYTE),
  VERSIONCLASSNAME  VARCHAR2(255 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFIONAME
(
  ID               NUMBER(10)                   NOT NULL,
  IOCLASSNAME      VARCHAR2(255 BYTE),
  PARENTCLASSNAME  VARCHAR2(255 BYTE),
  TYPE             NUMBER(10),
  PARENTID         NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFNODERELATIONSHIP
(
  ID              NUMBER(10)                    NOT NULL,
  FROMPLANNODEID  NUMBER(10),
  TOPLANNODEID    NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFPLAN
(
  ID                NUMBER(10)                  NOT NULL,
  ACTIVEFLAG        NUMBER(3),
  CCSUSERID         NUMBER(10),
  CREATEDATE        DATE,
  INFOCLASSNAME     VARCHAR2(255 BYTE),
  INFOID            NUMBER(10),
  LASTMODIFIEDDATE  DATE,
  PARENTVERSION     NUMBER(10),
  VERSION           NUMBER(10),
  VERSIONINFO       VARCHAR2(255 BYTE),
  HEADNODEID        NUMBER(10),
  TAILNODEID        NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFPLANINFO
(
  ID                  NUMBER(10)                NOT NULL,
  CURRENTVERSIONID    NUMBER(10),
  DESCRIPTION         VARCHAR2(255 BYTE),
  NAME                VARCHAR2(255 BYTE),
  VERSIONCLASSNAME    VARCHAR2(255 BYTE),
  STATE               VARCHAR2(8 BYTE),
  ADHOCPLANINDICATOR  NUMBER(10),
  RECOVERFLAG         NUMBER(3)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFPLANNODE
(
  ID               NUMBER(10)                   NOT NULL,
  INFOCLASSNAME    VARCHAR2(255 BYTE),
  NODENUMBER       NUMBER(10),
  JOINTYPE         NUMBER(10),
  VERSIONOVERRIDE  NUMBER(10),
  XCOORDINATE      NUMBER(10),
  YCOORDINATE      NUMBER(10),
  INFOID           NUMBER(10),
  PLANID           NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFTASK
(
  ID                NUMBER(10)                  NOT NULL,
  ACTIVEFLAG        NUMBER(3),
  CCSUSERID         NUMBER(10),
  CREATEDATE        DATE,
  INFOCLASSNAME     VARCHAR2(255 BYTE),
  LASTMODIFIEDDATE  DATE,
  PARENTVERSION     NUMBER(10),
  VERSION           NUMBER(10),
  VERSIONINFO       VARCHAR2(255 BYTE),
  INSTCLASSNAME     VARCHAR2(255 BYTE),
  INFOID            NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFTASKINFO
(
  ID                NUMBER(10)                  NOT NULL,
  CURRENTVERSIONID  NUMBER(10),
  DESCRIPTION       VARCHAR2(255 BYTE),
  NAME              VARCHAR2(255 BYTE),
  VERSIONCLASSNAME  VARCHAR2(255 BYTE),
  WFTASKINFOTYPE    VARCHAR2(8 BYTE)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE WFTOKEN
(
  ID               NUMBER(10)                   NOT NULL,
  PARENTCLASSNAME  VARCHAR2(255 BYTE),
  SEQUENCE         NUMBER(10),
  TOKEN            VARCHAR2(255 BYTE),
  PARENTID         NUMBER(10)
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE XXBSBPAPERSUBAGREEMENTITEM
(
  AGREEMENTITEMID        VARCHAR2(47 BYTE)      NOT NULL,
  CONTRACTISSUEDATE      DATE,
  CONTRACTRETURNDUEDATE  DATE,
  CONTRACTRETURNDATE     DATE,
  CREATED                DATE                   DEFAULT SYSDATE               NOT NULL,
  CREATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LASTUPDATE             DATE                   DEFAULT SYSDATE               NOT NULL,
  UPDATEDBY              VARCHAR2(32 BYTE)      DEFAULT 'SYSTEM'              NOT NULL,
  LOCKTOKENTEXT          VARCHAR2(47 BYTE)      NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBROLECREDITLIMIT
(
  ROLEID            VARCHAR2(47 BYTE)           NOT NULL,
  CURRENCYCODE      VARCHAR2(10 BYTE)           NOT NULL,
  DTVOVERRIDEVALUE  NUMBER(8,2),
  MAXALLOWABLE      NUMBER(1)                   NOT NULL
)
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE BSBCLAWBACKACCOUNTLOOKUP
(
  BILLINGACCOUNTID  VARCHAR2(47 BYTE)           NOT NULL,
  CLAWBACKAMOUNT    NUMBER(9,2)                 NOT NULL, 
  CONSTRAINT PK_CLAWBACKACCOUNTLOOKUP
 PRIMARY KEY
 (BILLINGACCOUNTID)
)
ORGANIZATION INDEX
LOGGING
NOPARALLEL
MONITORING;

COMMENT ON TABLE BSBCLAWBACKACCOUNTLOOKUP IS 'Lookup table holding accounts migrated from DCMS without offers. See TDR 37257.';

COMMENT ON COLUMN BSBCLAWBACKACCOUNTLOOKUP.BILLINGACCOUNTID IS 'Identifier of the migrated Billing Account.';

COMMENT ON COLUMN BSBCLAWBACKACCOUNTLOOKUP.CLAWBACKAMOUNT IS 'The amount of clawback to charge this Billing Account.';


CREATE UNIQUE INDEX PK_BSBROLECREDITLIMITS ON BSBROLECREDITLIMIT
(ROLEID, CURRENCYCODE)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_ADDRESS_HOUSENAME ON BSBADDRESS
(UPPER("HOUSENAME"))
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERSUBAGREEMENTITEM ON XXBSBPAPERSUBAGREEMENTITEM
(AGREEMENTITEMID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFTOKEN ON WFTOKEN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFTASKINFO ON WFTASKINFO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WFTASK ON WFTASK
(INFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFTASK ON WFTASK
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WFPLNNDWFPLN ON WFPLANNODE
(PLANID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFPLANNODE ON WFPLANNODE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFPLANINFO ON WFPLANINFO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WFPLAN ON WFPLAN
(INFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFPLAN ON WFPLAN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFNODERELATION ON WFNODERELATIONSHIP
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFIONAME ON WFIONAME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFASSIGNMNTINFO ON WFASSIGNMENTINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKWFASSIGNMENT ON WFASSIGNMENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WFASSGNUSER ON WFASSIGNMENT
(CCSUSERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WFASSIGNMENT ON WFASSIGNMENT
(INFOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TELINFOOFFERING ON TELEPHONEINFO
(OFFERINGID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TELINFOLANG ON TELEPHONEINFO
(COMMPRIMARYLANGID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TELINFOPARTY ON TELEPHONEINFO
(BUSINESSENTITYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKTELEPHONEINFO ON TELEPHONEINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX I_STATION1 ON STATION
(STATIONNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSTATION ON STATION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TYPEATTR ON STATICATTRDEF
(TYPEATTRID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CLSATTRDEF ON STATICATTRDEF
(CLASSINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSTATICATTRDEF ON STATICATTRDEF
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ATTRDEFSQL ON SQLPERSISTENTINFO
(STATICATTRDEFID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSQLPERSISTENT ON SQLPERSISTENTINFO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_SESSIONCONTEXT1 ON SESSIONCONTEXT
(SYSINSTANCENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKSESSIONCONTEXT ON SESSIONCONTEXT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_RTGPROFRTGATTR ON ROUTINGPROFICIENCY
(ROUTINGATTRIBUTEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKROUTINGPROF ON ROUTINGPROFICIENCY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ROUTINGATTR1 ON ROUTINGATTRIBUTE
(NAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKROUTINGATTRBUTE ON ROUTINGATTRIBUTE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTTYPE ON PRODUCTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODUCTCATEGORY1 ON PRODUCTCATEGORY
(PRODCATEGORYNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTCATEGORY ON PRODUCTCATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRODCATALOGPRTY ON PRODUCTCATALOG
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPRODUCTCATALOG1 ON PRODUCTCATALOG
(CATALOGNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCTCATALOG ON PRODUCTCATALOG
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRODPRODTYPE ON PRODUCT
(PRODUCTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRODUCTPARTY ON PRODUCT
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPRODUCT1 ON PRODUCT
(PRODUCTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODUCT ON PRODUCT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODMMEDIADESC ON PRODMMEDIADESC
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRODMMDESCPROD ON PRODMMEDIADESC
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRODMMDESCTYPE ON PRODMMEDIADESC
(MEDIATYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ITEMCATALOG ON PRODCATALOGITEM
(PRODUCTCATALOGID)
LOGGING
NOPARALLEL;


CREATE INDEX I_ITEMCATLGPROD ON PRODCATALOGITEM
(PRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPRODCATALOGITEM ON PRODCATALOGITEM
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PREFPROFICIENCY1 ON PREFPROFICIENCY
(PERSONALITYID, ROUTINGATTRIBUTEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPREFPROFICIENCY ON PREFPROFICIENCY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_PERSONALITY1 ON PERSONALITY
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX I_PERSONALITYPRNT ON PERSONALITY
(PRNTPERSONALITYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPERSONALITY ON PERSONALITY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PERSONMARITAL ON PERSON
(MARITALSTATUSCODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PERSON1 ON PERSON
(FAMILYNAME)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PERSONGENDER ON PERSON
(GENDERCODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPERSON ON PERSON
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PERSONTITLE ON PERSON
(HONORIFICTITLECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYTYPE ON PARTYTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYROLETYPE ON PARTYROLETYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_PRTYRELATNROLE1 ON PARTYRELATIONROLE
(RELATEDPARTYID, PARTYROLETYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPRTYRELATNROLE1 ON PARTYRELATIONROLE
(PARTYNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTYRELATNROLE ON PARTYRELATIONROLE
(PARTYID, RELATEDPARTYID, PARTYROLETYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTYPARTYTYPE ON PARTY
(PARTYTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKPARTY1 ON PARTY
(GOVERNMENTIDNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPARTY ON PARTY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PKGCLSINFOPKG ON PACKAGECLASSINFO
(PACKAGEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PKGCLSINFOCLS ON PACKAGECLASSINFO
(CLASSINFOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKPACKAGECLSINFO ON PACKAGECLASSINFO
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKORGANIZATION ON ORGANIZATION
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFFERINGVIEW1 ON OFFERINGVIEW
(VIEWNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGVIEW ON OFFERINGVIEW
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFRNGHRCHYPRNT ON OFFERINGHIERARCHY
(PARENTHIERARCHYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFRNGHRCHOFRNG ON OFFERINGHIERARCHY
(OFFERINGID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFRNGHRCHCATGRY ON OFFERINGHIERARCHY
(OFFERINGCATEGORYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFRNGHRCHVIEW ON OFFERINGHIERARCHY
(OFFERINGVIEWID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGHRCHY ON OFFERINGHIERARCHY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERINGCATGRY ON OFFERINGCATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFERINGPLNINFO ON OFFERING
(WFPLANINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFRNGPRODCATGRY ON OFFERING
(PRODUCTCATEGORYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_OFFERING1 ON OFFERING
(OFFERINGNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOFFERING ON OFFERING
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKOBJECTMAP ON OBJECTMAP
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKMEDIATYPE ON MEDIATYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKLANGUAGE2 ON LANGUAGES
(LANGUAGEISOCODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKLANGUAGE ON LANGUAGES
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_LANGUAGE1 ON LANGUAGES
(LANGUAGENATIVENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKLANGUAGE1 ON LANGUAGES
(LANGUAGENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKINTRCTNTYPE ON INTRCTNTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKINTRCTNSTATE ON INTRCTNSTATE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKIDENTITYTABLE1 ON IDENTITYTABLE
(PDMID, TABLENAME)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GEOBNDRYASSOC1 ON GEOBOUNDARYASSOC
(GEOBOUNDARYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GEOBNDRYASSOC2 ON GEOBOUNDARYASSOC
(ASSOCGEOBOUNDARYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYASSOC ON GEOBOUNDARYASSOC
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GEOBNDRYGEOTYPE ON GEOBOUNDARY
(GEOBNDRYTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBOUNDARY ON GEOBOUNDARY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYTYPE ON GEOBNDRYTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GEOBNDRYCURRGEO ON GEOBNDRYCURRENCY
(GEOBOUNDARYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GEOBNDRYCURRCUR ON GEOBNDRYCURRENCY
(COMMONCURRENCYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKGEOBNDRYCURR ON GEOBNDRYCURRENCY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EICOM_COMSTARTDT ON EICOMMUNICATION
(COMSTARTDATE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_EICASE_EICOMMUNICATION ON EICOMMUNICATION
(EICASEID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EICOM_TYPECODE ON EICOMMUNICATION
(COMTYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMMUNICATION ON EICOMMUNICATION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBHISTNOTETITLE_EICOMMENT ON EICOMMENT
(NOTETITLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBHISTNOTECAT_EICOMMENT ON EICOMMENT
(NOTECATEGORYID)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMMENTEBCI ON EICOMMENT
(EBCINTERACTIONID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMMENT ON EICOMMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICOMEVENT ON EICOMEVENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EICOMEVNT_TYPECODE ON EICOMEVENT
(COMEVENTTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EICOMEVENTEICOM ON EICOMEVENT
(EICOMMUNICATIONID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKEICASE1 ON EICASE
(CASENUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_EICASEMERGED ON EICASE
(MERGEDTOCASEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEICASE ON EICASE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_EBCINTRCTNPARTY_CREATED ON EBCINTERACTION
(PARTYID, CREATEDATE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_EBCINTERACTION_JOB ON EBCINTERACTION
(JOBID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EBC_INSTYECD ON EBCINTERACTION
(INTRCTNTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EBC_INSSTATECD ON EBCINTERACTION
(INTRCTNSTATECODE)
LOGGING
NOPARALLEL;


CREATE INDEX I_EBCINTRCTNCASE ON EBCINTERACTION
(EICASEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKEBCINTERACTION ON EBCINTERACTION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINST_EBCINTERACTION ON EBCINTERACTION
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIO_EBCINTERACTION ON EBCINTERACTION
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTY_EBCINTERACTION2 ON EBCINTERACTION
(PORTFOLIOOWNERPARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_EBCINT_CREATEDT ON EBCINTERACTION
(CREATEDATE)
LOGGING
PARALLEL ( DEGREE DEFAULT INSTANCES DEFAULT );


CREATE INDEX I_DEVICE1 ON DEVICE
(DEVICENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEVICE ON DEVICE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_DEVICESTATION ON DEVICE
(STATIONID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFINEDDATASCOP ON DEFINEDDATASCOPE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFDATAPACKAGE ON DEFDATAPACKAGE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SCOPECLASS ON DEFDATACLASSINFO
(SCOPEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARENTCLSINFO ON DEFDATACLASSINFO
(PARENTCLASSINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CATEGORY ON DEFDATACLASSINFO
(CATEGORYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFDATACLSINFO ON DEFDATACLASSINFO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARENTCATEGORY ON DEFDATACATEGORY
(PARENTCATEGORYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFDATACATEGORY ON DEFDATACATEGORY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEFDATABIZSVC ON DEFDATABIZSVC
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX I_DEADLINETIMER1 ON DEADLINETIMER
(SYSINSTANCENAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKDEADLINETIMER ON DEADLINETIMER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMPRTCPNTTYPE ON COMPRTCPNTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCOMMONCURRENCY1 ON COMMONCURRENCY
(CURRENCYISONAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMMONCURRENCY ON COMMONCURRENCY
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCOMEVENTTYPE ON COMEVENTTYPE
(CODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCCSUSER_NEW ON CCSUSER_NEW
(LOGINNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_CCSUSER_NEW ON CCSUSER_NEW
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CCSUSERPARTY ON CCSUSER
(BUSINESSENTITYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XAKCCSUSER1 ON CCSUSER
(LOGINNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKCCSUSER ON CCSUSER
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WARRANTYMASK_WARRANTYDTL ON BSBWARRANTYDETAIL
(MASKID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBWARRANTYDETAIL ON BSBWARRANTYDETAIL
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WARRANTY_WARRANTYDTL ON BSBWARRANTYDETAIL
(WARRANTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBORDERLINE_WARRANTY ON BSBWARRANTY
(ADDORDERLINEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBWARRANTY ON BSBWARRANTY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_WARRANTYCMPNY_WARRANTY ON BSBWARRANTY
(WARRANTYCOMPANYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBVSTRQMT_BSBVSTRQMTHSTRY ON BSBVISITREQUIREMENTHISTORY
(VISITREQUIREMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_VISITREQUIREMENTHISTORY ON BSBVISITREQUIREMENTHISTORY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_VSTRQMTHRY_ORGNALFMSJOBREF ON BSBVISITREQUIREMENTHISTORY
(ORIGINALFMSJOBREF)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBVISITREQUIREMENT ON BSBVISITREQUIREMENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBFLFLMNTITM_BSBVSTRQMT ON BSBVISITREQUIREMENT
(FULFILMENTITEMID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_VISITREQ_FMSJOBREF ON BSBVISITREQUIREMENT
(FMSJOBREFERENCE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDUSGRLE_BSBVSTRQMT ON BSBVISITREQUIREMENT
(INSTALLATIONADDRESSROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX IDX_BSBVISITRQMNT_VISITID ON BSBVISITREQUIREMENT
(VISITID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTEL_VISITREQ ON BSBVISITREQUIREMENT
(TELEPHONEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTCHNCLENQRY_BSBVSTRQMT ON BSBVISITREQUIREMENT
(TECHNICALENQUIRYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINSTALLERROLE_BSBVSTRQMT ON BSBVISITREQUIREMENT
(INSTALLERID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBVISITREQ_STATUSCODE ON BSBVISITREQUIREMENT
(STATUSCODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBUSERROLEBRIDGE ON BSBUSERROLEBRIDGE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBUSERROLEBRIDGE_CCSUSER ON BSBUSERROLEBRIDGE
(USERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBUSERROLEBRIDGE_BSBROLE ON BSBUSERROLEBRIDGE
(ROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTELEPHONYREQUIREMENT ON BSBTELEPHONYREQUIREMENT
(TELEPHONYFULFILMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTELEPHONYCUSTPRODELEMENT ON BSBTELEPHONYCUSTPRODELEMENT
(TELEPHONYPRODUCTELEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTEL_TELUSAGEROLE ON BSBTELEPHONEUSAGEROLE
(TELEPHONEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINST_TELUSAGEROLE ON BSBTELEPHONEUSAGEROLE
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTELEPHONEUSAGEROLE ON BSBTELEPHONEUSAGEROLE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_TELEPHONE_COMTELNUMBER ON BSBTELEPHONE
(COMBINEDTELEPHONENUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BTE_CREATED ON BSBTECHNICALENQUIRY
(CREATED)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PERSON_BSBTECHENQUIRY_REPOR ON BSBTECHNICALENQUIRY
(REPORTEDBYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CUSTOMERROLE_TECHENQ ON BSBTECHNICALENQUIRY
(OWNERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBJOB_BSBTECHENQUIRY ON BSBTECHNICALENQUIRY
(JOBID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTECHNICALENQUIRY ON BSBTECHNICALENQUIRY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_VISITREQ_TECHENQIRYVISITRES ON BSBTECHENQUIRYVISITRESOLUTION
(VISITREQUIREMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TECHENQUIRY_TECHENQVISITRES ON BSBTECHENQUIRYVISITRESOLUTION
(TECHNICALENQUIRYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTECHENQUIRYVISITRESOLUTI ON BSBTECHENQUIRYVISITRESOLUTION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBTARGETEDMAILSHOT ON BSBTARGETEDMAILSHOT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTY_TARGTMAILSHOT ON BSBTARGETEDMAILSHOT
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBMAILSHOT_TRGTMAILSHOT ON BSBTARGETEDMAILSHOT
(MAILSHOTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SUBSCRIP_SUBSCRIPHISTORYST ON BSBSUBSCRIPTIONHISTORYSTATUS
(SUBSCRIPTIONID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBSUBSCRIPTIONHISTORYSTATU ON BSBSUBSCRIPTIONHISTORYSTATUS
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSUBHIST_STSTDT ON BSBSUBSCRIPTIONHISTORYSTATUS
(STATUSSTARTDATE)
LOGGING
PARALLEL ( DEGREE DEFAULT INSTANCES DEFAULT );


CREATE UNIQUE INDEX PK_BSBSUBSCRIPTIONENTITLEMENT ON BSBSUBSCRIPTIONENTITLEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ENTITLEMENT_SUBSCRENTITLEME ON BSBSUBSCRIPTIONENTITLEMENT
(ENTITLEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SUBSCR_SUBSCRENTITLEMENT ON BSBSUBSCRIPTIONENTITLEMENT
(SUBSCRIPTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSUBENT_EFFFRDT ON BSBSUBSCRIPTIONENTITLEMENT
(EFFECTIVEFROMDATE)
LOGGING
PARALLEL ( DEGREE DEFAULT INSTANCES DEFAULT );


CREATE INDEX IDX_SAI_ENDDATE ON BSBSUBSCRIPTIONAGREEMENTITEM
(ENDDATE)
LOGGING
PARALLEL ( DEGREE 4 INSTANCES 1 );


CREATE UNIQUE INDEX UNQ_BSBSUBSAGREITEM_PSERID ON BSBSUBSCRIPTIONAGREEMENTITEM
(XXPRIMARYSERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SUBSCRIPTION ON BSBSUBSCRIPTIONAGREEMENTITEM
(SUBSCRIPTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAPERCONTRACT ON BSBSUBSCRIPTIONAGREEMENTITEM
(PAPERCONTRACTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_SUBSCRIPAGRITEM ON BSBSUBSCRIPTIONAGREEMENTITEM
(RETAILBUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_AGRITEM_SUBSCRIPAGRITEM ON BSBSUBSCRIPTIONAGREEMENTITEM
(SUBSCRIPTIONAGREEMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBSUBSCRIPTIONAGREEMENTITE ON BSBSUBSCRIPTIONAGREEMENTITEM
(AGREEMENTITEMID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UNQ_SUBSCR_AGREEMENTNUMBER ON BSBSUBSCRIPTIONAGREEMENTITEM
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_SUB_INITIALENABLEMENTDATE ON BSBSUBSCRIPTION
(INITIALENABLEMENTDATE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSUBSCRIPTIONTYPE_SUBSCRI ON BSBSUBSCRIPTION
(SUBSCRIPTIONTYPEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSERVICEIINSTANCE_SUBSRIP ON BSBSUBSCRIPTION
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBSUBSCRIPTION ON BSBSUBSCRIPTION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_STATUS ON BSBSUBSCRIPTION
(STATUS)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKBSBSETTLEMENTMETHOD ON BSBSETTLEMENTMETHOD
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ADDRESS_SETTLEMNTMTD ON BSBSETTLEMENTMETHOD
(CHEQUEADDRESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_PDTV ON BSBSERVICEINSTANCE
(PDTV_ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAPERITEM ON BSBSERVICEINSTANCE
(PAPERITEMID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSI_LASTCALLBACKDATE ON BSBSERVICEINSTANCE
(LASTCALLBACKDATE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINSTANCE_ID_SELF ON BSBSERVICEINSTANCE
(PARENTSERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCSTPRODELEM_BSBSERVINST ON BSBSERVICEINSTANCE
(INSTALLATIONPRODUCTELEMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBSERVICEINSTANCE ON BSBSERVICEINSTANCE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIO_SERVICEINSTANCE ON BSBSERVICEINSTANCE
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBSERVINST_PACKREQNUMBER ON BSBSERVICEINSTANCE
(PACKREQUESTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_SAMREGISTRY_PARTYID ON BSBSAMREGISTRY
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_USERNAME ON BSBSAMREGISTRY
(USERNAME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_SAMREGISTRY ON BSBSAMREGISTRY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCONTACTOR_SALESLEAD ON BSBSALESLEAD
(CONTACTORID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCATALOGUEPRODUCT_SALESLE ON BSBSALESLEAD
(CATALOGUEPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINTERESTSOURCE_SALESLEAD ON BSBSALESLEAD
(CAMPAIGNINTERESTSOURCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBSALESLEAD ON BSBSALESLEAD
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_KANAENTITLEMENT_ROLETOKANAE ON BSBROLETOKANAENTITLEMENT
(KANAENTITLEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBROLE_ROLETOKANAENT ON BSBROLETOKANAENTITLEMENT
(ROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBROLETOKANAENTITLEMENT ON BSBROLETOKANAENTITLEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_BSBROLENAME ON BSBROLE
(ROLE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBROLE ON BSBROLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBRETAILPROOFOFPURCHASEDET ON BSBRETAILPROOFOFPURCHASEDETAIL
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PROOFOFPUR_PROOFOFPURDTL ON BSBRETAILPROOFOFPURCHASEDETAIL
(RETAILPROOFOFPURCHASEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBRETAILERMASK_PROOFOFPURD ON BSBRETAILPROOFOFPURCHASEDETAIL
(MASKID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUSINESS_PROOFOFPUR ON BSBRETAILPROOFOFPURCHASE
(RETAILERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBRETAILPROOFOFPURCHASE ON BSBRETAILPROOFOFPURCHASE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_AGREEMENT_NUMBER ON BSBRETAILPROOFOFPURCHASE
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBRETAILERAUDITRECORD ON BSBRETAILERAUDITRECORD
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_RETAILERAUDITREC ON BSBRETAILERAUDITRECORD
(RETAILERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBRETAILBUS_BSBRETCOMMAC ON BSBRETAILCOMMISSIONACCOUNT
(RETAILBUSINESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBRETAILCOMMISSIONACCOUNT ON BSBRETAILCOMMISSIONACCOUNT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_ASA_BRANCH_GROUP ON BSBRETAILBUSINESS
(ASABRANCHNUMBER, ASAGROUPNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILREGION_RETAILBUSS ON BSBRETAILBUSINESS
(RETAILERREGIONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILAREA_RETAILBUSS ON BSBRETAILBUSINESS
(RETAILERAREAID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBRETAILBUS_BSBRETAILBUS ON BSBRETAILBUSINESS
(HEADOFFICERETAILBUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_BSBRETAILBUS ON BSBRETAILBUSINESS
(DEFAULTINVOICEADDRESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_PARTY_RETAILBUSINESS ON BSBRETAILBUSINESS
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBRETAILBUS_BSBRETAILAFF ON BSBRETAILAFFILIATION
(RETAILERBUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRICEABLEUNIT_REFUND ON BSBREFUND
(ADJUSTMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SETTLEMENTMETHOD_REFUND ON BSBREFUND
(SETTLEMENMETHODID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLACC_REFUND ON BSBREFUND
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBREFUND ON BSBREFUND
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IND_REFUND_AUTHSTATUSCODE ON BSBREFUND
(REFUNDAUTHORISATIONSTATUSCODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINSTADDROLE_BSBPRPRTYDTL ON BSBPROPERTYDETAIL
(INSTALLATIONADDRESSROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPROPERTYDETAIL ON BSBPROPERTYDETAIL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPRICEABLEUNITPORTFOLIOPR ON BSBPRICEABLEUNITPORTFOLIOPROD
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTPROD_PRIABLEUNITPORTPRD ON BSBPRICEABLEUNITPORTFOLIOPROD
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRICBLUNT_PRICBLUNTPOTPROD ON BSBPRICEABLEUNITPORTFOLIOPROD
(PRICEABLEUNITID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBPU_CREATED ON BSBPRICEABLEUNIT
(CREATED)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLINGACCOUNT_PRICEABLEUNI ON BSBPRICEABLEUNIT
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIOOFFR_PRICEABLEUNIT ON BSBPRICEABLEUNIT
(PORTFOLIOOFFERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINST_PRICEABLEUNIT ON BSBPRICEABLEUNIT
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPRICEABLEUNIT ON BSBPRICEABLEUNIT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRICEABLEUNIT_SELF ON BSBPRICEABLEUNIT
(PRICEABLEUNITREFERENCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPRICEABLEUNIT_ID ON BSBPRICEABLEUNIT
(DISCOUNTEDPRICEABLEUNITID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAYMENT_PRICEABLEUNIT ON BSBPRICEABLEUNIT
(PAYMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_TYPECODE ON BSBPRICEABLEUNIT
(PRICEABLEUNITTYPECODE)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CLAWBACKSTATUS ON BSBPRICEABLEUNIT
(CLAWBACKSTATUS)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_PORTFOLIOPROD ON BSBPORTFOLIOPRODUCT
(RETAILERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CATALOGPRODUCT_PORTPR ON BSBPORTFOLIOPRODUCT
(CATALOGUEPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSUBSCRIPTION_PORTPROD ON BSBPORTFOLIOPRODUCT
(SUBSCRIPTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIO_PORTPROD ON BSBPORTFOLIOPRODUCT
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSERVICEINSTANCE_PORTPROD ON BSBPORTFOLIOPRODUCT
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPORTFOLIOPRODUCT ON BSBPORTFOLIOPRODUCT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIOPRODUCT_OFFERDE ON BSBPORTFOLIOOFFERDEPENDENCY
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPORTFOLIOOFFERDEPENDENCY ON BSBPORTFOLIOOFFERDEPENDENCY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIOOFFER_OFFERDEPE ON BSBPORTFOLIOOFFERDEPENDENCY
(PORTFOLIOOFFERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBOFFER_PORTFOLIOOFFER ON BSBPORTFOLIOOFFER
(OFFERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPORTFOLIOOFFER ON BSBPORTFOLIOOFFER
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINSTANCE_PORTOFFER ON BSBPORTFOLIOOFFER
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIO_PORTFOLIOOFFER ON BSBPORTFOLIOOFFER
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPORTFOLIO ON BSBPORTFOLIO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLACC_PAYMETHODROLE ON BSBPAYMENTMETHODROLE
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAYMENTMETHODROLE ON BSBPAYMENTMETHODROLE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAYMENTMETHOD_PAYMETHODROLE ON BSBPAYMENTMETHODROLE
(PAYMENTMETHODID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAYMETHOD_PAYCHANGE_OLDPAYI ON BSBPAYMENTMETHODCHANGEREQUEST
(OLDPAYMENTMETHODID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAYMETHOD_PAYCHANGE_NEWPAYI ON BSBPAYMENTMETHODCHANGEREQUEST
(NEWPAYMENTMETHODID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAYMENTMETHODCHANGEREQUE ON BSBPAYMENTMETHODCHANGEREQUEST
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PAYMETCHGHDR_PAYMETCHGREQ ON BSBPAYMENTMETHODCHANGEREQUEST
(BATCHHEADERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAYMENTMETHODCHANGEHEADE ON BSBPAYMENTMETHODCHANGEHEADER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAYMENTMETHOD ON BSBPAYMENTMETHOD
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBPAYMENTMETHOD_CARD ON BSBPAYMENTMETHOD
(CARDNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_PAYMENTMETHOD_ACNUMBER ON BSBPAYMENTMETHOD
(ACCOUNTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_PAYMENTMETHOD_SORTCODE ON BSBPAYMENTMETHOD
(SORTCODE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SETTLEMETHOD_PAYMENT ON BSBPAYMENT
(SETTLEMENTMETHODID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLACCOUNT_PAYMENT ON BSBPAYMENT
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAYMENT ON BSBPAYMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPARTYROLE ON BSBPARTYROLE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTYROLE_PARTY ON BSBPARTYROLE
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_PARTYROLE_TYPECODE ON BSBPARTYROLE
(PARTYROLETYPECODE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_MANDATE_CONTRACTNUMBER ON BSBPAPERMANDATE
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERMANDATE ON BSBPAPERMANDATE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_PAPERITEM_RETURNDUEDATE ON BSBPAPERITEM
(RETURNDUEDATE)
LOGGING
PARALLEL ( DEGREE 4 INSTANCES 1 );


CREATE INDEX IDX_PAPERITEM_RETURNDATE ON BSBPAPERITEM
(RETURNDATE, ID)
LOGGING
PARALLEL ( DEGREE 6 INSTANCES 1 );


CREATE UNIQUE INDEX UK_PAP_PDTV ON BSBPAPERITEM
(PDTV_ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_PAPERITEM_ID ON BSBPAPERITEM
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_AGRERR_CONTRACTNUMBER ON BSBPAPERAGRERRORS
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERAGRERRORS ON BSBPAPERAGRERRORS
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERAGRERRORLIST ON BSBPAPERAGRERRORLIST
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBAGRERRLIST_CONTRACTNUM ON BSBPAPERAGRERRORLIST
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERAGRENTERRORS ON BSBPAPERAGRENTERRORS
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBAGRERR_CONTRACTNUM ON BSBPAPERAGRENTERRORS
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPAGR_BATCH ON BSBPAPERAGREEMENT
(BATCHID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_AGREEMENT_CONTRACTNUMBER ON BSBPAPERAGREEMENT
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBPAPERAGREEMENT ON BSBPAPERAGREEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CATALOGPRODUCT_ORDERLINE ON BSBORDERLINE
(CATALOGUEPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSERVICEINSTANCE_ORDERLIN ON BSBORDERLINE
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIOOFFER_ORDERLINE ON BSBORDERLINE
(PORTFOLIOOFFERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIOPRODUCT_ORDERLI ON BSBORDERLINE
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBORDERLINE ON BSBORDERLINE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRICEABLEUNIT_ORDERLINE ON BSBORDERLINE
(PRICEABLEUNITID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CATPROD_ORDERBUNDLEID ON BSBORDERLINE
(BUNDLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTPROD_ORDERRELATEDLINE ON BSBORDERLINE
(RELATEDPORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FULFILMENT_ORDERLINE ON BSBORDERLINE
(FULFILMENTITEMID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILPROOFOFPUR_ORDERLINE ON BSBORDERLINE
(RETAILPROOFOFPURCHASEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINTERESTSOURCE_ORDERLINE ON BSBORDERLINE
(INTERESTSOURCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ORDERLINE_SELF_PARENTORDID ON BSBORDERLINE
(PARENTORDERLINEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_COMOFFER_ORDERLINE ON BSBORDERLINE
(COMMERCIALOFFERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CANCELLREASON_ORDERLINE ON BSBORDERLINE
(CANCELLATIONREASIONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ADDRESS_ORDERLINE ON BSBORDERLINE
(FULFILMENTADDRESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFERDISCOUNT_ORDERLINE ON BSBORDERLINE
(OFFERDISCOUNTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBORDER_ORDERLINE ON BSBORDERLINE
(ORDERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPARTYROLE_ORDER ON BSBORDER
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBORDER ON BSBORDER
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCON_BSBORDER ON BSBORDER
(REFERRINGCUSTOMERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIO_ORDER ON BSBORDER
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINTERESTSOURCE_ORDER ON BSBORDER
(INTERESTSOURCEID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBORDER_CREATED ON BSBORDER
(CREATED, ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBOFFERINGSTATEBRIDGE ON BSBOFFERINGSTATEBRIDGE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFSTATEBRIDGE_APPSTATE ON BSBOFFERINGSTATEBRIDGE
(STATEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFSTATEBRIDGE_OFFERING ON BSBOFFERINGSTATEBRIDGE
(OFFERINGID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBOFFERINGROLEBRIDGE ON BSBOFFERINGROLEBRIDGE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFERINGROLEBRIDGE_ROLE ON BSBOFFERINGROLEBRIDGE
(ROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OFFERINGROLEBRIDGE_OFFERING ON BSBOFFERINGROLEBRIDGE
(OFFERINGID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PERSON_MPPAPPLICATION ON BSBMPPAPPLICATION
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_MPPAPPLICATION ON BSBMPPAPPLICATION
(INSTALLATIONADDRESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBMPPAPPLICATION ON BSBMPPAPPLICATION
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBMISCELLANOUSCONTACTROLE ON BSBMISCELLANOUSCONTACTROLE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINTSRC_MAILSHOT ON BSBMAILSHOT
(INTERESTSOURCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBMAILSHOT ON BSBMAILSHOT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBLITERATUREORD_BSBLITORDL ON BSBLITERATUREORDERLINE
(LITERATUREORDERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBLITORDITEM_BSBLITORDLINE ON BSBLITERATUREORDERLINE
(LITERATUREITEMID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBRETAILBUS_BSBLITERATUREO ON BSBLITERATUREORDER
(RETAILERBUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_BSBLITERATUREORD ON BSBLITERATUREORDER
(DELIVERYADDRERSSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRODUCT_BSBLITITEM ON BSBLITERATUREITEM
(BUSINESSPRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBKANAENTITLEMENT ON BSBKANAENTITLEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_BSBJOBLIST ON BSBJOBLIST
(CLASSNAME, ROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBJOBLIST ON BSBJOBLIST
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBJOB ON BSBJOB
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBJOB_BSBJOBLIST ON BSBJOB
(JOBLISTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UNQ_BSBINSTALLERTEAM_NAME ON BSBINSTALLERTEAM
(NAME)
LOGGING
NOPARALLEL;


CREATE INDEX PK_BSBINSTALLERTEAM ON BSBINSTALLERTEAM
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTEAM_BSBINSTALLERROLE ON BSBINSTALLERROLE
(TEAMID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX IDX_BSBINSTALLERROLE_IDNO ON BSBINSTALLERROLE
(IDNO)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBINSTALLERROLE ON BSBINSTALLERROLE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX INSTALLERROLE_UNQ ON BSBINSTALLERROLE
(PAYROLLNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBHISTORYENTITIES ON BSBHISTORYENTITIES
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GENERALENQ_JOB ON BSBGENERALENQUIRY
(JOBID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_GENERALENQ_FEEDBACK ON BSBGENERALENQUIRY
(FEEDBACKID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBGENERALENQUIRY ON BSBGENERALENQUIRY
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BFI_LASTUPDATE ON BSBFULFILMENTITEM
(LASTUPDATE, UPDATEDBY)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BFI_CREATED ON BSBFULFILMENTITEM
(CREATED)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCTLGPRDCT_BSBFLFILMNTITM ON BSBFULFILMENTITEM
(CATALOGUEPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ADDRUSAGEROLE_FULFILMNTITEM ON BSBFULFILMENTITEM
(INSTALLATIONADDRESSROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SRVCEINSTNCE_FULFILMENTITEM ON BSBFULFILMENTITEM
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBFULFILMENTITEM ON BSBFULFILMENTITEM
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_FULFILMENTITEM ON BSBFULFILMENTITEM
(DELIVERYADDRESSID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_FULFIL_METHODSTATUS ON BSBFULFILMENTITEM
(FULFILMENTMETHOD, STATUS)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FEEDBACK_PERSON ON BSBFEEDBACK
(REPORTEDBYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FEEDBACK_FEEDBACKREASON ON BSBFEEDBACK
(REASONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FEEDBACK_GENERALENQ ON BSBFEEDBACK
(GENERALENQUIRYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FEEDBACK_FEEDBACKCAT ON BSBFEEDBACK
(CATEGORYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBFEEDBACK ON BSBFEEDBACK
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CATPROD_FEEDBACK ON BSBFEEDBACK
(ASSOCIATEDPRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_SAMREGISTRY_BSBEMAIL ON BSBEMAIL
(SAMREGISTRYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTY_BSBDSLQUERYRESPONSE ON BSBDSLQUERYRESPONSE
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBDSLQUERYRESPONSE ON BSBDSLQUERYRESPONSE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCATALOGUEPRODUCT_BSBDOWN ON BSBDOWNGRADEATTEMPT
(CATALOGUEPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBDOWNGRADEREASON_BSBDOWNG ON BSBDOWNGRADEATTEMPT
(DOWNGRADEREASONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSUBSCRIPTION_BSBDOWNGRAD ON BSBDOWNGRADEATTEMPT
(SUBSCRIPTIONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBORDER_BSBDOWNGRADEATTEMP ON BSBDOWNGRADEATTEMPT
(ORDERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OUTCOME_DWNGRADEATTEMPT ON BSBDOWNGRADEATTEMPT
(OUTCOME)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBDOWNGRADEATTEMPT ON BSBDOWNGRADEATTEMPT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBDISABILITYSERVICE ON BSBDISABILITYSERVICE
(BSBDISABILITYDETAILID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBDISABILITYSERVICE ON BSBDISABILITYSERVICE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBDISABILITYDETAIL ON BSBDISABILITYDETAIL
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCUSTOMERROLE ON BSBCUSTOMERROLE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CUSTOMER_PORTFOLIO ON BSBCUSTOMERROLE
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SAMREGISTRY_BSBCSTPRODELE ON BSBCUSTOMERPRODUCTELEMENT
(SAMREGISTRYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BBROUTER_BSBCSTPRODELE ON BSBCUSTOMERPRODUCTELEMENT
(ROUTERID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CUSTPRODELE_EXTENDWARRANTY ON BSBCUSTOMERPRODUCTELEMENT
(EXTENDEDWARRANTYPOLICYNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCUSTOMERPRODUCTELEMENT ON BSBCUSTOMERPRODUCTELEMENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPRDELEM_BSBCUSTPRDELEM ON BSBCUSTOMERPRODUCTELEMENT
(PRODUCTELEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPFLPRD_BSBCSTPRODELE ON BSBCUSTOMERPRODUCTELEMENT
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBINSTROLE_BSBCSTPRODELE ON BSBCUSTOMERPRODUCTELEMENT
(RETURNINSTALLERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_BSBCSTPRODELE ON BSBCUSTOMERPRODUCTELEMENT
(ADDRESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SRVCINST_CUSTPRODELE_SRVCIN ON BSBCUSTOMERPRODUCTELEMENT
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CUSTPRODELE_CARD ON BSBCUSTOMERPRODUCTELEMENT
(CARDNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_PRODELEMENTTYPE ON BSBCUSTOMERPRODUCTELEMENT
(CUSTOMERPRODUCTELEMENTTYPE)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CUSTPRODELE_LASTUPDATE ON BSBCUSTOMERPRODUCTELEMENT
(LASTUPDATE)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CUSTPRODELE_SETTOPBOXNDSN ON BSBCUSTOMERPRODUCTELEMENT
(SETTOPBOXNDSNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CUSTPRODELE_SERIALN ON BSBCUSTOMERPRODUCTELEMENT
(SERIALNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CROSSUPREL_CROSSUPATTMP ON BSBCROSSUPSELLATTEMPT
(CROSSUPSELLRELID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ORDER_BSBCROSSUPSELLATTEMPT ON BSBCROSSUPSELLATTEMPT
(ORDERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCROSSUPSELLATTEMPT ON BSBCROSSUPSELLATTEMPT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINST_CREDITLIMIT ON BSBCREDITLIMIT
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCREDITLIMIT ON BSBCREDITLIMIT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTELEPHONE_BSBCONTEL ON BSBCONTACTTELEPHONE
(TELEPHONEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCONTACTOR_BSBCONTEL ON BSBCONTACTTELEPHONE
(CONTACTORID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBBUSINESS_BSBCONTEL ON BSBCONTACTTELEPHONE
(BUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BSBCONTACTOR_CREATED ON BSBCONTACTOR
(CREATED)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CONTACTOR_DISABILITY ON BSBCONTACTOR
(DISABILITYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_CONTACTOR_PARTY ON BSBCONTACTOR
(PARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_CONTACTOR_DECNOTDATE ON BSBCONTACTOR
(DECEASEDNOTIFICATIONDATE)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBEMAIL_BSBCONEMAIL ON BSBCONTACTEMAIL
(EMAILID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCONTACTOR_BSBCONEMAIL ON BSBCONTACTEMAIL
(CONTACTORID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBBUSINESS_BSBCONEMAIL ON BSBCONTACTEMAIL
(BUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBCONTACTOR_BSBCONADDR ON BSBCONTACTADDRESS
(CONTACTORID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBBUSINESS_BSBCONADDR ON BSBCONTACTADDRESS
(BUSINESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDR_BSBCONADDR ON BSBCONTACTADDRESS
(ADDRESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIOOFFER_COMMAGRITEM ON BSBCOMMERCIALAGREEMENTITEM
(PORTFOLIOOFFERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIOPROD_COMMAGRITEM ON BSBCOMMERCIALAGREEMENTITEM
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_COMMAGREEMENT_COMMAGRITEM ON BSBCOMMERCIALAGREEMENTITEM
(COMMERCIALAGREEMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCOMMERCIALAGREEMENTITEM ON BSBCOMMERCIALAGREEMENTITEM
(AGREEMENTITEMID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCLIVIOLATION ON BSBCLIVIOLATION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINSTANCE_CLIVIOLATIO ON BSBCLIVIOLATION
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;




CREATE INDEX FK_SERVICEINS_CICPININFO ON BSBCICINFORMATION
(PRIMARYSERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCICINFORMATION ON BSBCICINFORMATION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CANCELREASON_CANCELATTEMPT ON BSBCANCELLATIONATTEMPT
(CANCELLATIONREASONID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBPORTFOLIOPRODUCT_CANCELA ON BSBCANCELLATIONATTEMPT
(PORTFOLIOPRODUCTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCANCELLATIONATTEMPT ON BSBCANCELLATIONATTEMPT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_OUTCOME_CANCELATTEMPT ON BSBCANCELLATIONATTEMPT
(OUTCOME)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ORDER_CANCELATTEMPT ON BSBCANCELLATIONATTEMPT
(ORDERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_EBCINTRACTN_CAMPAIGNOUTCOME ON BSBCAMPAIGNOUTCOME
(EBCINTERACTIONID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCAMPAIGNOUTCOME ON BSBCAMPAIGNOUTCOME
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBCALLBACKINFORMATION ON BSBCALLBACKINFORMATION
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBORDER_CALLBACKINFO ON BSBCALLBACKINFORMATION
(ORDERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBSERVICEINSTANCE_CALLBACK ON BSBCALLBACKINFORMATION
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTY_BUSCONACTOR_CON ON BSBBUSINESSCONTACTOR
(CONTACTORPARTYID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PARTY_BUSCONTACTOR_BUSID ON BSBBUSINESSCONTACTOR
(BUSINESSPARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_BUSINESS_PARTY ON BSBBUSINESS
(PARTYID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_BBROUTER_MAC ON BSBBROADBANDROUTER
(MACADDRESS)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX UK_BBROUTER_SN ON BSBBROADBANDROUTER
(SERIALNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BROAD_BAND_ROUTER ON BSBBROADBANDROUTER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBROADBANDREQUIREMENT ON BSBBROADBANDREQUIREMENT
(BROADBANDFULFILMENTITEMID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBROADBANDEMAILSETTINGS ON BSBBROADBANDEMAILSETTINGS
(EMAILID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBTELEPHONEUSAGEROLE ON BSBBROADBANDCUSTPRODELEMENT
(TELEPHONEUSAGEROLEID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBROADBANDCUSTPRODELEMENT ON BSBBROADBANDCUSTPRODELEMENT
(LINEPRODUCTELEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PRICEABLEUNIT_BILLINGITEM ON BSBBILLINGITEM
(PRICEABLEUNITID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLACCOUNT_BILLINGITEM ON BSBBILLINGITEM
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBILLINGITEM ON BSBBILLINGITEM
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BILLACC_BILLADDRROLE ON BSBBILLINGADDRESSROLE
(BILLINGACCOUNTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_BILLADDRROLE ON BSBBILLINGADDRESSROLE
(ADDRESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBILLINGADDRESSROLE ON BSBBILLINGADDRESSROLE
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBILLINGACCOUNT ON BSBBILLINGACCOUNT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINSTANCE_BILLACCOUNT ON BSBBILLINGACCOUNT
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_PORTFOLIO_BILLACC ON BSBBILLINGACCOUNT
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_ACCOUNTNUMBER ON BSBBILLINGACCOUNT
(ACCOUNTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBBATCHRUN_BATCHNUMBER ON BSBBATCHRUN
(BATCHNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_BSBBATCHRUN_NUMBER_DATE ON BSBBATCHRUN
(BATCHNUMBER, BATCHDATE)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBATCHRUN ON BSBBATCHRUN
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX FK_BSBBATCHNUMBER_BATCHNUMBER ON BSBBATCHNUMBER
(BATCHNUMBER)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBBATCHNUMBER ON BSBBATCHNUMBER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAUTHORIZEDCONTACTROLE ON BSBAUTHORIZEDCONTACTROLE
(PARTYROLEID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_AUTHCONTACTROLE_PORTFOLIO ON BSBAUTHORIZEDCONTACTROLE
(PORTFOLIOID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAPPLICATIONSTATE ON BSBAPPLICATIONSTATE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_AGRTRANS_DESTID ON BSBAGREEMENTTRANSFER
(DESTINATIONRETAILERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_ARGTRANS_SRCID ON BSBAGREEMENTTRANSFER
(SOURCERETAILERID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_CUSTAGR_AGREEMENTTRANS ON BSBAGREEMENTTRANSFER
(AGREEMENTID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAGREEMENTTRANSFER ON BSBAGREEMENTTRANSFER
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAGREEMENTENTBRIDGE ON BSBAGREEMENTTOENT
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBAGTOENT_ENTITLEMENT ON BSBAGREEMENTTOENT
(ENTITLEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBAGTOENT_CONTRACT ON BSBAGREEMENTTOENT
(AGREEMENTNUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_RETAILBUS_AGGRRANGE ON BSBAGREEMENTRANGE
(RETAILBUSINESSID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAGREEMENTRANGE ON BSBAGREEMENTRANGE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SUBSCRIPAGR_AGRRANGE ON BSBAGREEMENTRANGE
(SUBSCRIPTIONAGREEMENTID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_AGREEMENTRANGE_RANGEEND ON BSBAGREEMENTRANGE
(RANGEEND)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_AGREEMENTRANGE_RANGESTART ON BSBAGREEMENTRANGE
(RANGESTART)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBORDER_AGRMENTITEM ON BSBAGREEMENTITEM
(ORDERID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBAGREEMENTITEM ON BSBAGREEMENTITEM
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_BAM_EFFECTIVE_DATE ON BSBADMINMESSAGES
(EFFECTIVE_DATE, EVENT)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBADMINMESSAGES ON BSBADMINMESSAGES
(ID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX PK_BSBADDRESSUSAGEROLE ON BSBADDRESSUSAGEROLE
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BSBADDRESS_ADDRUSAGEROLE ON BSBADDRESSUSAGEROLE
(ADDRESSID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_SERVICEINSTANCE_ADDRUSAGERO ON BSBADDRESSUSAGEROLE
(SERVICEINSTANCEID)
LOGGING
NOPARALLEL;


CREATE INDEX IDX_ADDRESS_PCODEHOUSENUM ON BSBADDRESS
(POSTCODE, HOUSENUMBER)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BIZCLSINFOCLS ON BIZSVCCLASSINFO
(CLASSINFOID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_BIZCLSINFOBIZ ON BIZSVCCLASSINFO
(BIZSVCID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKBIZSVCCLSINFO ON BIZSVCCLASSINFO
(ID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_ATTRDEFJOIN ON ATTRJOININFO
(STATICATTRDEFID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_FRSTATTRDEFID ON ATTRJOININFO
(FRSTATICATTRDEFID)
LOGGING
NOPARALLEL;


CREATE INDEX FK_TOSTATTRDEFID ON ATTRJOININFO
(TOSTATICATTRDEFID)
LOGGING
NOPARALLEL;


CREATE UNIQUE INDEX XPKATTRJOININFO ON ATTRJOININFO
(ID)
LOGGING
NOPARALLEL;


CREATE DATABASE LINK "ARBOR_.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING '  ';


CREATE DATABASE LINK "ARBOR_ADMT07.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING ' ADMT07 ';


CREATE DATABASE LINK "ARBOR_CATS05.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING 'CATS05';


CREATE DATABASE LINK "ARBOR_ADMC99.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING 'ADMC99';


CREATE DATABASE LINK "ARBOR_CATS11.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING 'CATS11';


CREATE DATABASE LINK "ARBOR_CATT07.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING ' CATT07 ';


CREATE DATABASE LINK "CATS11.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO ARBOR
 IDENTIFIED BY <PWD>
 USING 'CATS11';


CREATE DATABASE LINK "CHECKUD.REGRESS.RDBMS.DEV.US.ORACLE.COM"
 CONNECT TO CCSOWNER2
 IDENTIFIED BY <PWD>
 USING 'dbatest';


CREATE OR REPLACE PACKAGE          DAL_BSBPersistentCache AS
   /******************************************************************************************
     Author:  D. Wilkie
     $Revision:   1.2  $
     $Date:   Jun 30 2006 10:41:16  $

     Usage:
     This package contains the procedures that are part of the
     Data Access Layer for BSBPersistentCache table(s).

     There are 8 cache tables in all, spread out across a 2 hour span with 15mins in each.
     So, any any one time (15min window) there will only be 1 table getting inserted into.
     The cache tables will be purged on a regular basis to prevent them getting too big.

     Change History:
     Date     Initials Coments
     -------- -------- -------------------------------------------------------------------
     06/06/06 DWI52    Initial Version
     30/06/06 DWI52    Procedure interfaces changed as the key is now generated by the database
                       so needs to be passed out.

     PVCS Archive Log :
     $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/DAL_BSBPersistentCache.pks-arc  $

   Rev 1.2   Jun 30 2006 10:41:16   dwi52
Removed dev debug.

   Rev 1.1   Jun 30 2006 10:39:44   dwi52
Object key now generated by the database and passed out.

   Rev 1.0   Jun 19 2006 11:18:46   dwi52
Initial revision.

   ******************************************************************************************/

   /******************************************************************************************
     PROCEDURE set_cache

     This procedure accepts chordiant "object cache" data and either inserts or updates
     the database depending on whether the KEY already exists.  The actual object
     (java serialised object) is held in the BLOB, and is inserted/updated by the calling
     Java routine using Streaming, not actually performed using this Stored Proc.

   ******************************************************************************************/
   PROCEDURE set_cache(io_key   IN OUT VARCHAR2
                      ,o_bdata  OUT    BLOB);

   /******************************************************************************************
     PROCEDURE get_cache

     This procedure retrieves chordiant "object cache" data via the KEY.  The actual object
     (java serialised object) held in the BLOB, is retrieved by the calling
     Java routine using Streaming, not actually performed using this Stored Proc.

   ******************************************************************************************/
   PROCEDURE get_cache(i_key   IN  VARCHAR2
                      ,o_bdata OUT BLOB);

   /******************************************************************************************
     PROCEDURE purge_cache

     This procedure purges a single cache table.  The cache table (number) to purge is passed
     in as a parameter.  The actual table name is derived using this parameter.
   ******************************************************************************************/
   PROCEDURE purge_cache(i_slot IN PLS_INTEGER);

END DAL_BSBPersistentCache;
/

SHOW ERRORS;


CREATE OR REPLACE PACKAGE          DAL_BSBSAMRegistry AS
   /******************************************************************************************
     Author:  D. Wilkie
     $Revision:   1.1  $
     $Date:   Apr 30 2006 23:54:30  $
   
     Usage:
     This package contains the procedures that are part of the
     Data Access Layer for BSBSAMRegistry table.
     
     Change History:
     Date     Initials Coments
     -------- -------- -------------------------------------------------------------------
     27/04/06 DWI52    Initial Version
     
     PVCS Archive Log :
     $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/DAL_BSBSAMRegistry.pks-arc  $

   Rev 1.1   Apr 30 2006 23:54:30   dwi52
Added overloaded versions to enhance flexibility.  Allows functions to be called with just a single Username parameter.

   Rev 1.0   Apr 27 2006 16:56:16   dwi52
Initial revision.
   
   ******************************************************************************************/

   /******************************************************************************************
     FUNCTION Generated_SAM_Usernames (overloaded)
     
     This function generates all possible combinations of SAM Profile Usernames, given an
     input of Forename and Surname (or just a Username).  It returns this list (of usernames)
     in a Pipelined SQL Nested Table Type, in order for it to be accessed via SQL.  This is 
     really an internal local function used only by this package, but needs to be declared 
     publicly as it's used in SQL.
   
   ******************************************************************************************/
   FUNCTION Generated_SAM_Usernames(fname IN VARCHAR2
                                   ,sname IN VARCHAR2) RETURN SAMRegistry_Usernames_TT
      PIPELINED;
      
   FUNCTION Generated_SAM_Usernames(uname IN VARCHAR2) RETURN SAMRegistry_Usernames_TT
      PIPELINED;

   /******************************************************************************************
     FUNCTION available_usernames (overloaded)
     
     This function is the module called by the Java Data Accessor to retrive a result set of
     all generated SAM Profile Usernames that are not already taken.  It accepts a Forename
     and a Surname (or just a Username), and returns the given Maximum Number of return
     values in the result set.
     
     It works by first generating all possible combinations of the username, and then joining
     this with the BSBSAMRegistry table to exclude any usernames already taken.  The product
     result set is then ordered into a sensible order, and only the Top N (input parameter)
     values returned in the result set.  This result set is a REF CURSOR, which is treated
     like any other Result Set in the Java Data Accessor.
   
   ******************************************************************************************/
   FUNCTION available_usernames(fname      IN VARCHAR2
                               ,sname      IN VARCHAR2
                               ,max_return IN PLS_INTEGER) RETURN SYS_REFCURSOR;

   FUNCTION available_usernames(uname      IN VARCHAR2
                               ,max_return IN PLS_INTEGER) RETURN SYS_REFCURSOR;

END DAL_BSBSAMRegistry;
/

SHOW ERRORS;


CREATE OR REPLACE PACKAGE BODY          DAL_BSBPersistentCache AS
   /******************************************************************************************
     Author:  D. Wilkie
     $Revision:   1.2  $
     $Date:   Jun 30 2006 10:41:16  $

     Usage:
     This package contains the procedures that are part of the
     Data Access Layer for BSBPersistentCache table(s).

     Change History:
     Date     Initials Coments
     -------- -------- -------------------------------------------------------------------
     06/06/06 DWI52    Initial Version
     30/06/06 DWI52    Object key now generated by this package, so is passed out on.

     PVCS Archive Log :
     $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/DAL_BSBPersistentCache.pkb-arc  $

   Rev 1.2   Jun 30 2006 10:41:16   dwi52
Removed dev debug.

   Rev 1.1   Jun 30 2006 10:39:44   dwi52
Object key now generated by the database and passed out.

   Rev 1.0   Jun 19 2006 11:18:46   dwi52
Initial revision.

   ******************************************************************************************/

   cache_table CONSTANT VARCHAR2(30) := 'BSBPERSISTENTCACHE';

   /******************************************************************************************
     PROCEDURE set_cache
   ******************************************************************************************/
   PROCEDURE set_cache(io_key   IN OUT VARCHAR2
                      ,o_bdata  OUT    BLOB) IS

      this_qtr   NUMBER(1);
      odd_hr_adj NUMBER(1);
      slot       NUMBER(1);

   BEGIN

      IF io_key IS NULL THEN
         -- First time this session is being cached, so insert the data
         -- Determine which "cache" slot to use, based on a 2 hour cycle of tables with 15 mins data in each
         -- slot = this_quarter_hour (1 to 4) plus an "odd hour" adjustment of 4 to take it up to a 2 hour cycle
         this_qtr   := (TRUNC(TO_NUMBER(TO_CHAR(SYSDATE, 'MI') / 15)) + 1);
         odd_hr_adj := (MOD(TO_NUMBER(TO_CHAR(SYSDATE, 'HH24')), 2) * 4);
         slot       := this_qtr + odd_hr_adj;

         EXECUTE IMMEDIATE 'INSERT INTO ' || cache_table || slot ||
                           ' (object_key, object_bdata)
                            VALUES (:slot||ObjectCacheKey_SEQ.NEXTVAL, empty_blob())
                            RETURNING object_key, object_bdata INTO :key, :bdata'
            USING slot
            RETURNING INTO io_key, o_bdata;

      ELSE
         -- Returning cached data, so update it.
         EXECUTE IMMEDIATE 'SELECT object_bdata
                            FROM   ' || cache_table || substr(io_key,1,1) || '
                            WHERE  object_key = :key
                            FOR UPDATE OF object_bdata'
            INTO o_bdata
            USING io_key;
      END IF;

   END set_cache;

   /******************************************************************************************
     PROCEDURE get_cache
   ******************************************************************************************/
   PROCEDURE get_cache(i_key   IN  VARCHAR2
                      ,o_bdata OUT BLOB) IS

   BEGIN
      EXECUTE IMMEDIATE 'SELECT object_bdata
                         FROM   ' || cache_table || substr(i_key,1,1) || '
                         WHERE  object_key = :key
                         FOR UPDATE OF object_bdata'
         INTO o_bdata
         USING i_key;
   END get_cache;

   /******************************************************************************************
     PROCEDURE purge_cache
   ******************************************************************************************/
   PROCEDURE purge_cache(i_slot IN PLS_INTEGER) IS
   BEGIN
      EXECUTE IMMEDIATE 'TRUNCATE TABLE ' || cache_table || i_slot;
   END purge_cache;

END DAL_BSBPersistentCache;
/

SHOW ERRORS;


CREATE OR REPLACE PACKAGE BODY          DAL_BSBSAMRegistry AS
   /******************************************************************************************
     Author:  D. Wilkie
     $Revision:   1.5  $
     $Date:   Jul 27 2006 11:22:32  $

     Usage:
     This package contains the procedures that are part of the
     Data Access Layer for BSBSAMRegistry table.

     Change History:
     Date     Initials Coments
     -------- -------- -------------------------------------------------------------------
     27/07/06 SPA54    Check to if forename is same as first initial, if so don't
                       generate username to eliminate duplicates
     12/07/06 DWI52    Strip invalid chars from names before generating, and substitute
                       a hyphen '-' for space separated names.  Ensuring the generated
                       names complies with username guidelines.
                       Also changed to generate only UPPERCASE usernames.
     13/06/06 DWI52    Ensure generated usernames are at least 3 chars long.
     01/06/06 DWI52    Ensure generated usernames are at least 6 chars long.
     27/04/06 DWI52    Initial Version

     PVCS Archive Log :
     $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/DAL_BSBSAMRegistry.pkb-arc  $

   Rev 1.5   Jul 27 2006 11:22:32   spa54
Check to if forename is same as first initial, if so don't generate username to eliminate duplicates

   Rev 1.4   Jul 19 2006 16:35:42   dwi52
Strip invalid chars from names before generating, and substitute a hyphen '-' for space separated names.  Ensuring the generated names complies with username guidelines.
Also changed to generate only UPPERCASE usernames.

   Rev 1.3   Jun 13 2006 10:03:52   dwi52
Ensure generated usernames are at least 3 chars long.

   Rev 1.2   Jun 01 2006 16:36:48   dwi52
Ensure generated usernames are at least 6 chars long.

   Rev 1.1   Apr 30 2006 23:54:20   dwi52
Added overloaded versions to enhance flexibility.  Allows functions to be called with just a single Username parameter.

   Rev 1.0   Apr 27 2006 16:56:16   dwi52
Initial revision.

   ******************************************************************************************/

   FUNCTION strip_bad(nme IN VARCHAR2) RETURN VARCHAR2 IS
   BEGIN
      -- only lowercase 'a-z' chars, hyphens '-' and spaces allowed in names
      RETURN TRANSLATE(UPPER(nme),
                       'a' ||
                        TRANSLATE(UPPER(nme), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ- ', '*'), 'a');
   END;

   /******************************************************************************************
     FUNCTION Generated_SAM_Usernames (Overloaded)
   ******************************************************************************************/
   FUNCTION Generated_SAM_Usernames(fname IN VARCHAR2
                                   ,sname IN VARCHAR2) RETURN SAMRegistry_Usernames_TT
      PIPELINED IS

      MIN_UNAME_LEN CONSTANT PLS_INTEGER := 3; -- minimum length of a generated username

      -- Padding strings for each type of username
      padder1  VARCHAR2(4);
      padder2  VARCHAR2(4);
      padder3  VARCHAR2(4);
      padder4  VARCHAR2(4);

      suff_len PLS_INTEGER; -- length of the current suffix
      suffix   VARCHAR2(4); -- the current suffix (1 -> 999)
      l_fname  VARCHAR2(50); -- forename with bad chars removed
      l_sname  VARCHAR2(50); -- surname with bad chars removed
      fi       VARCHAR2(1);  -- First Initial

      -- Shortfall(s) in the size of basic username, which will need to be padded
      name_shortfall1 PLS_INTEGER;
      name_shortfall2 PLS_INTEGER;
      name_shortfall3 PLS_INTEGER;
      name_shortfall4 PLS_INTEGER;

      -- Do we need to pad any of the usernames due to length shortfall ?
      need_padding BOOLEAN;

      FUNCTION pad(maxlen IN PLS_INTEGER
                  ,curlen    IN PLS_INTEGER) RETURN VARCHAR2 IS
      BEGIN
         IF maxlen > curlen THEN
            RETURN LPAD('0', maxlen - curlen, '0');
         ELSE
            RETURN NULL;
         END IF;
      END pad;

   BEGIN
      -- remove leading and trailing spaces
      -- convert any space separated names to be hyphenated '-'
      l_fname := REPLACE(TRIM(strip_bad(fname)),' ','-');
      l_sname := REPLACE(TRIM(strip_bad(sname)),' ','-');
      -- abort if any of the names are NULL (could be that they only had bad chars)
      IF l_fname IS NULL OR l_sname IS NULL THEN
         RETURN;
      END IF;

      fi := SUBSTR(l_fname, 1, 1);

      name_shortfall1 := MIN_UNAME_LEN - (length(l_fname || l_sname) + 1);
      name_shortfall2 := MIN_UNAME_LEN - (length(l_fname || l_sname));
      name_shortfall3 := MIN_UNAME_LEN - (length(fi || l_sname) + 1);
      name_shortfall4 := MIN_UNAME_LEN - (length(fi || l_sname));

      need_padding := (name_shortfall1 > 0) OR (name_shortfall2 > 0) OR
                              (name_shortfall3 > 0) OR (name_shortfall4 > 0);

      FOR i IN 0 .. 999
      LOOP
         -- Re-Calculate the padding only when length of suffix changes
         IF need_padding AND (i IN (0, 1, 10, 100)) THEN
            suff_len := NVL(length(SUFFIX), 0);
            padder1  := pad(name_shortfall1, suff_len);
            padder2  := pad(name_shortfall2, suff_len);
            padder3  := pad(name_shortfall3, suff_len);
            padder4  := pad(name_shortfall4, suff_len);
         END IF;

         PIPE ROW(l_fname || '.' || l_sname || padder1 || SUFFIX);
         PIPE ROW(l_fname || '_' || l_sname || padder1 || SUFFIX);
         PIPE ROW(l_fname || '-' || l_sname || padder1 || SUFFIX);
         PIPE ROW(l_fname || l_sname || padder2 || SUFFIX);

         PIPE ROW(l_sname || '.' || l_fname || padder1 || SUFFIX);
         PIPE ROW(l_sname || '_' || l_fname || padder1 || SUFFIX);
         PIPE ROW(l_sname || '-' || l_fname || padder1 || SUFFIX);
         PIPE ROW(l_sname || l_fname || padder2 || SUFFIX);

         IF fi <> l_fname THEN
            PIPE ROW(fi || '.' || l_sname || padder3 || SUFFIX);
            PIPE ROW(fi || '_' || l_sname || padder3 || SUFFIX);
            PIPE ROW(fi || '-' || l_sname || padder3 || SUFFIX);
            PIPE ROW(fi || l_sname || padder4 || SUFFIX);

            PIPE ROW(l_sname || '.' || fi || padder3 || SUFFIX);
            PIPE ROW(l_sname || '_' || fi || padder3 || SUFFIX);
            PIPE ROW(l_sname || '-' || fi || padder3 || SUFFIX);
            PIPE ROW(l_sname || fi || padder4 || SUFFIX);
         END IF;

         suffix := TO_CHAR(i + 1);

      END LOOP;
      RETURN;

   END Generated_SAM_Usernames;

   FUNCTION Generated_SAM_Usernames(uname IN VARCHAR2) RETURN SAMRegistry_Usernames_TT
      PIPELINED IS
      suffix  VARCHAR2(4);
      l_uname VARCHAR2(50);
   BEGIN
      l_uname := REPLACE(TRIM(strip_bad(uname)), ' ', '-');
      FOR i IN 1 .. 1000
      LOOP
         PIPE ROW(l_uname || suffix);
         suffix := TO_CHAR(i);
      END LOOP;
      RETURN;

   END Generated_SAM_Usernames;

   /******************************************************************************************
     FUNCTION available_usernames (Overloaded)
   ******************************************************************************************/
   FUNCTION Available_Usernames(fname      IN VARCHAR2
                               ,sname      IN VARCHAR2
                               ,max_return IN PLS_INTEGER) RETURN SYS_REFCURSOR IS
      p SYS_REFCURSOR;
   BEGIN
      OPEN p FOR
         SELECT username
         FROM   (SELECT gen.uname username
                 FROM   BSBSAMRegistry reg
                       ,(SELECT ROWNUM       ord
                               ,COLUMN_VALUE uname
                         FROM   TABLE(DAL_BSBSAMRegistry.Generated_SAM_Usernames(UPPER(fname),
                                                                                 UPPER(sname)))) gen
                 WHERE  gen.uname = reg.username(+)
                 AND    reg.id IS NULL
                 ORDER  BY gen.ord)
         WHERE  ROWNUM <= max_return;
      RETURN p;
   END Available_Usernames;

   FUNCTION Available_Usernames(uname      IN VARCHAR2
                               ,max_return IN PLS_INTEGER) RETURN SYS_REFCURSOR IS
      p SYS_REFCURSOR;
   BEGIN
      OPEN p FOR
         SELECT username
         FROM   (SELECT gen.uname username
                 FROM   BSBSAMRegistry reg
                       ,(SELECT ROWNUM       ord
                               ,COLUMN_VALUE uname
                         FROM   TABLE(DAL_BSBSAMRegistry.Generated_SAM_Usernames(UPPER(uname)))) gen
                 WHERE  gen.uname = reg.username(+)
                 AND    reg.id IS NULL
                 ORDER  BY gen.ord)
         WHERE  ROWNUM <= max_return;
      RETURN p;
   END Available_Usernames;

END DAL_BSBSAMRegistry;
/

SHOW ERRORS;


CREATE OR REPLACE PROCEDURE set_cache_data(i_key    IN persistentcachedata.object_key%TYPE
                                          ,i_state  IN persistentcachedata.object_state%TYPE
                                          ,i_expiry IN persistentcachedata.object_expiry%TYPE
                                          ,o_bdata  OUT persistentcachedata.object_bdata%TYPE) IS
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.1  $
  $Date:   Mar 20 2006 16:22:46  $

  Usage:
  This function accepts chordiant "object cache" data and either inserts or updates the database
  depending on whether the KEY already exists.  The actual object (java serialised object)
  is held in the BLOB, and is inserted/updated by the calling Java routine using Streaming,
  not actually performed using this Stored Proc.

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  20/03/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/set_cache_data.sql-arc  $

   Rev 1.1   Mar 20 2006 16:22:46   dwi52
Remove rubbish example from comments.

   Rev 1.0   Mar 20 2006 15:12:44   dwi52
Initial revision.

******************************************************************************************/
BEGIN
   UPDATE persistentcachedata pcd
   SET    pcd.object_state  = i_state
         ,pcd.object_expiry = i_expiry
   WHERE  pcd.object_key = i_key
   RETURNING pcd.object_bdata INTO o_bdata;

   IF SQL%ROWCOUNT = 0 THEN
      INSERT INTO persistentcachedata
         (object_key, object_state, object_expiry, object_bdata)
      VALUES
         (i_key, i_state, i_expiry, empty_blob())
      RETURNING object_bdata INTO o_bdata;
   END IF;
END;
/

SHOW ERRORS;


CREATE OR REPLACE FUNCTION str2tab(p_string IN VARCHAR2) RETURN skyowner.bsb_id_tabtype AS
/******************************************************************************************
  Author:  D. Wilkie
  $Revision:   1.0  $
  $Date:   Mar 03 2006 15:22:38  $

  Usage:
  This function accepts a comma separated list, and converts it into a collection object
  type.  It assumes the list will be a list of BSKYB Table IDs.  It is used in the Chordiant
  application to avoid the need for hard-coded IN lists when querying the database.  Instead
  a sub-query is built using the IDs (which is already in comma separted form) and this is
  is passed to this function.  The result is then parsed as a TABLE in a subquery as the
  following example shows.  However, in the Chordiant Application, the string list is not
  passed as a hard-coded string, but uses bind variables instead.  The string from Chordiant
  may include single quote (') and/or round bracket characters, which need to be stripped.

  Example:
  SELECT UpdatedBy AS rs_UpdatedBy
  FROM   bsbportfolioofferdependency
  WHERE  portfolioofferid IN (SELECT COLUMN_VALUE
                              FROM   TABLE(CAST(str2tab(:1) AS ccsowner.bsb_id_tabtype)))

  Change History:
  Date     Initials Coments
  -------- -------- -------------------------------------------------------------------
  03/03/06 DWI52    Initial Version

  PVCS Archive Log :
  $Log:   P:/CRM_PVCS_PDB/archives/CRM Development/Chordiant/Database/CCSOWNER/Stored_Procs/str2tab.sql-arc  $

   Rev 1.0   Mar 03 2006 15:22:38   dwi52
Initial revision.

******************************************************************************************/

   l_string LONG DEFAULT REPLACE(TRANSLATE(p_string, ' ''()', chr(10)), chr(10)) || ',';
   l_data   bsb_id_tabtype := bsb_id_tabtype();
   n        NUMBER;
BEGIN
   LOOP
      EXIT WHEN l_string IS NULL;
      n := INSTR(l_string, ',');
      l_data.EXTEND;
      l_data(l_data.COUNT) := SUBSTR(l_string, 1, n - 1);
      l_string := SUBSTR(l_string, n + 1);
   END LOOP;
   RETURN l_data;
END;
/

SHOW ERRORS;


CREATE OR REPLACE VIEW V_BUSINESS
AS 
SELECT
	  A.id
	, A.TRADINGNAME
	, A.LEGALNAME
	, A.LEGALENTITYCODE
	, A.PARTYID
	, A.WEBSITE
	, A.VATNUMBER
	, A.VATRATECODE
	, A.IDENTIFYINGNAME
	, A.VATREGIONCODE
	, B.ORGFULLNAME
	, B.ORGABBRVNAME
	, B.MERCHANTIDNUMBER
	, C.GOVERNMENTIDNUMBER
	, C.partytypecode
	, C.LOCKTOKENTEXT
FROM
	  bsbbusiness a
	, organization b
	, party c
WHERE a.partyid = b.partyid
and a.partyid = c.id;


CREATE OR REPLACE VIEW V_CONTACTORBYEMAIL
AS 
select
/*+
ordered
first_rows */
con.id,
con.partyid,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
Email.EmailAddress,
PRol.partyroletypecode,
con.LOCKTOKENTEXT
FROM BSBEmail Email,
BSBContactEmail CEmail,
BSBContactor con,
Person per,
BSBCustomerRole CRol,
BSBPartyRole PRol
WHERE con.partyid = per.partyid
AND per.partyid = PRol.partyid
AND CEmail.contactorid = con.id
AND CEmail.emailid = Email.id
AND CRol.partyroleid (+) = PRol.id -- This outer join required for Misc Contactors
AND CRol.customerstatuscode (+) != 'REMOVED' -- This outer join required for Misc Contactors
AND CEmail.effectivefromdate <= SYSDATE;


CREATE OR REPLACE VIEW V_BSBSUMMARYBILLINGACCOUNT
AS 
SELECT
A.ID ID
, A.AccountNumber
, DECODE(A.SkeletalAccountFlag,1,'01','02') AccountType
, A.AccountAlias
, C.PaymentMethodType CurrentPaymentMethodType
, A.PortfolioID
, D.CardNumber
, DECODE(E.HouseName, null, '', E.HouseName || ', ') ||
DECODE(E.HouseNumber, null, '', E.HouseNumber || ', ') ||
DECODE(E.Street, null, '', E.Street || ', ') ||
DECODE(E.Town, null, '', E.Town || ', ') ||
DECODE(E.Locality, null, '', E.Locality || ', ') ||
DECODE(E.County, null, '', E.County || ', ') ||
DECODE(E.Postcode, null, '', E.Postcode || ', ') ||
E.CountryCode
, DECODE(A.ACCOUNTACTIVATIONDATE, null, '0', '1')
FROM
BSBBillingAccount A
, BSBPaymentMethodRole B
, BSBPaymentMethod C
, BSBCustomerProductElement D
, BSBAddress E
, BSBAddressUsageRole F
, BSBServiceInstance G
WHERE
A.ID = B.BillingAccountID
AND B.PaymentMethodID = C.ID
AND B.EffectiveTo IS NULL
AND A.SERVICEINSTANCEID = G.PARENTSERVICEINSTANCEID (+)
AND G.SERVICEINSTANCETYPE (+) = '210'
AND G.Id = D.ServiceInstanceId (+)
AND D.STATUS (+) = 'A'
AND D.CUSTOMERPRODUCTELEMENTTYPE (+) = 'VC'
AND E.Id (+) = F.AddressId
AND F.ServiceInstanceId (+) = A.ServiceInstanceId
AND F.EffectiveFrom (+) <= SYSDATE
AND NVL(F.EffectiveTo (+),TO_DATE('12/31/2099','MM/DD/YYYY')) >= SYSDATE
/* PVCS $Revision:   1.2  $ */
/* PVCS $Date:   May 30 2006 14:25:34  $ */;


CREATE OR REPLACE VIEW V_PARTYPERSONROLE
AS 
SELECT a.id, a.governmentidnumber, b.firstname, b.middlename, b.familyname, b.honorifictitlecode, b.birthdate, b.birthplacename, b.gendercode, b.maritalstatuscode, b.employername, b.occupationname, c.partyid, c.relatedpartyid, c.partyroletypecode, c.startdate, c.enddate, c.prioritycode, c.statuscode, c.partynumber, c.challengedatatext, c.encryptedpasstext, a.locktokentext
       FROM party a, person b, partyrelationrole c
       WHERE a.id = b.partyid
and a.id = c.partyid
and a.partytypecode='PERSON';


CREATE OR REPLACE VIEW V_IDCUSTOMER
AS 
SELECT /*+ first_rows */
Con.ID
, Per.PARTYID
, PRole.PARTYROLETYPECODE
, Per.HONORIFICTITLECODE
, Per.FIRSTNAME
, Per.MIDDLENAME
, Per.FAMILYNAME
, Per.BIRTHDATE
, Con.MORTALITYSTATUS
, Con.MOTHERMAIDENNAME
, Addr.ADDRESSLINE1
, Addr.ADDRESSLINE2
, Addr.ADDRESSLINE3
, Addr.ADDRESSLINE4
, Addr.QASVALIDATED
, Addr.DPSUFFIX
, Addr.HOUSENUMBER
, Addr.HOUSENAME
, Addr.STREET
, Addr.TOWN
, Addr.COUNTY
, Addr.POSTCODE
, PTel.telephonenumber
, PTel.areacode
, PTel.COMBINEDTELEPHONENUMBER
, Con.PERSONSUBTYPE
, Email.EMAILADDRESS
, Con.PASSWORD
, Con.DECEASEDNOTIFICATIONDATE
, Con.LOCKTOKENTEXT
FROM
BSBCONTACTOR Con
, BSBCONTACTADDRESS CAddr
, BSBADDRESS Addr
, BSBCONTACTTELEPHONE CPTel
, BSBTELEPHONE PTel
, PERSON Per
, BSBPARTYROLE PRole
, BSBEMAIL Email
, BSBCONTACTEMAIL CEmail
WHERE Per.PARTYID = Con.PARTYID
-- This ensures the contactor is a customer
AND PRole.PARTYID = Con.PARTYID
AND PRole.PARTYROLETYPECODE = 'Customer'
-- This is to return the primary address
AND CAddr.CONTACTORID = Con.ID
AND CAddr.ADDRESSID = Addr.ID
AND CAddr.primaryflag = 1
AND CAddr.effectivefromdate <= SYSDATE
--AND (CAddr.effectivetodate IS NULL OR CAddr.effectivetodate >= SYSDATE)
AND NVL(CAddr.effectivetodate, SYSDATE) >= SYSDATE
--AND (CAddr.deletedflag IS NULL OR CAddr.deletedflag = 0)
AND NVL(CAddr.deletedflag, 0) = 0
-- This is to return the primary telephone number
AND CPTel.CONTACTORID (+) = Con.ID
AND CPTel.TELEPHONEID = PTel.ID (+)
AND CPTel.effectivefromdate (+) <= SYSDATE
--AND (CPTel.effectivetodate IS NULL OR CPTel.effectivetodate >= SYSDATE)
AND NVL(CPTel.effectivetodate, SYSDATE) >= SYSDATE
--AND (CPTel.deletedflag IS NULL OR CPTel.deletedflag = 0)
AND NVL(CPTel.deletedflag (+) ,0) = 0
AND CPTel.primaryflag (+) = 1
-- This searches across all email addresses
AND CEmail.CONTACTORID (+) = Con.ID
AND CEmail.EMAILID = Email.ID (+)
AND CEmail.effectivefromdate (+) <= SYSDATE
--AND (CEmail.effectivetodate IS NULL OR CEmail.effectivetodate >= SYSDATE)
AND NVL(CEmail.effectivetodate, SYSDATE) >= SYSDATE
--AND (CEmail.deletedflag IS NULL OR CEmail.deletedflag = 0)
AND NVL(CEmail.deletedflag (+), 0) = 0
ORDER BY Per.FAMILYNAME, Per.FIRSTNAME;


CREATE OR REPLACE VIEW V_OFFERING
AS 
SELECT a.id, a.offeringname, a.wfplaninfoid, b.prodcategoryname
       FROM offering a, productcategory b
       WHERE a.productcategoryid = b.id (+);


CREATE OR REPLACE VIEW V_OFFERINGSTATE
AS 
Select
    s.state,
    osb.stateid,
    o.offeringname,
    osb.offeringid
from bsbofferingstatebridge osb,
     bsbapplicationstate s,
     offering o
where s.id = osb.stateid
and   o.id = osb.offeringid;


CREATE OR REPLACE VIEW V_BSBORDERHISTORYPRODUCT
AS 
Select a.OrderID,
           b.ProductDescription,
           a.Action
From   BSBOrderLine a,
           refdatamgr.BSBCatalogueProduct b
Where a.CatalogueProductID = b.ID;


CREATE OR REPLACE VIEW V_CONTACTORBYVIEWINGCARD
AS 
select distinct ID,
PARTYID, PARTYROLETYPECODE, HONORIFICTITLECODE, FIRSTNAME, MIDDLENAME,
FAMILYNAME, BIRTHDATE, MORTALITYSTATUS, PERSONSUBTYPE,
MOTHERMAIDENNAME, PASSWORD, DECEASEDNOTIFICATIONDATE, CARDNUMBER,
STATUS, LOCKTOKENTEXT
FROM
(SELECT
con.id,
con.partyid,
PRol.PARTYROLETYPECODE,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
ele.cardnumber,
ele.status,
con.LOCKTOKENTEXT
FROM BSBCustomerProductElement ele,
BSBPortfolioProduct prd,
BSBCustomerRole Rol,
BSBPartyRole PRol,
Person Per,
BSBContactor Con
WHERE ele.CUSTOMERPRODUCTELEMENTTYPE = 'VC'
AND ele.PORTFOLIOPRODUCTID = prd.id
AND prd.portfolioid = Rol.portfolioId
AND Rol.PartyRoleId = PRol.Id
AND PRol.partyid = per.partyid
AND Per.PartyId = Con.PartyId
AND Rol.CUSTOMERSTATUSCODE != 'REMOVED'
UNION ALL
SELECT
con.id,
con.partyid,
PRol.PARTYROLETYPECODE,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
ele.cardnumber,
ele.status,
con.LOCKTOKENTEXT
FROM BSBCustomerProductElement ele,
BSBPortfolioProduct prd,
BSBAuthorizedContactRole Rol,
BSBPartyRole PRol,
Person Per,
BSBContactor Con
WHERE ele.CUSTOMERPRODUCTELEMENTTYPE = 'VC'
AND ele.PORTFOLIOPRODUCTID = prd.id
AND prd.portfolioid = Rol.portfolioId
AND Rol.PartyRoleId = PRol.Id
AND PRol.partyid = per.partyid
AND Per.PartyId = Con.PartyId
And PRol.EFFECTIVETO is null);


CREATE OR REPLACE VIEW V_RETAILERAUDITFILTER
AS 
SELECT DISTINCT RETAILERID,
DATAITEM, NULL ID,
NULL CREATED, NULL CREATEDBY,
NULL LASTUPDATE, NULL UPDATEDBY
FROM
BSBRETAILERAUDITRECORD;


CREATE OR REPLACE VIEW V_EBCTASKNAME
AS 
SELECT DISTINCT		offeringname
		FROM		offering
		ORDER BY	offeringname;


CREATE OR REPLACE VIEW V_EMAILBYCONTACTOR
AS 
select cont.id as contactorid, ceml.typecode, ceml.primaryflag,
eml.emailaddress
from bsbcontactor cont,
bsbcontactemail ceml,
bsbemail eml
where ceml.deletedflag = 0
and cont.id = ceml.contactorid
and ceml.emailid = eml.id
AND ceml.effectivefromdate <= SYSDATE
AND NVL(ceml.effectivetodate, SYSDATE) >= SYSDATE;


CREATE OR REPLACE VIEW V_MISCELLANOUSCONTACTROLE
AS 
SELECT
   MCR.CompanyName
, MCR.MiscellanousContactType
, MCR.PartyRoleId
, MCR.LOCKTOKENTEXT
, PR.DeletedFlag
, PR.PartyId
, PR.EffectiveFrom
, PR.EffectiveTo
, PR.PartyRoleTypeCode
, PR.Created
, PR.CreatedBy
, PR.LastUpdate
, PR.UpdatedBy
, PR.ID
, PR.LOCKTOKENTEXT
FROM
   BSBMISCELLANOUSCONTACTROLE MCR
, BSBPARTYROLE PR
WHERE MCR.PARTYROLEID = PR.ID;


CREATE OR REPLACE VIEW V_EBCUSERCUSTOMER
AS 
SELECT
 DISTINCT
  u.ID
, u.LoginName
, a.contactorid
FROM
  EBCINTERACTION a
, CCSUSER u
WHERE a.userloginname=u.loginname
ORDER BY u.LoginName;


CREATE OR REPLACE VIEW V_BSBCONTACTTELEPHONE
AS 
Select
A.ID,
A.BUSINESSID,
A.CONTACTORID,
A.TELEPHONEID,
A.TYPECODE,
A.EFFECTIVEFROMDATE,
A.EFFECTIVETODATE,
A.PRIMARYFLAG,
A.DELETEDFLAG,
B.INTERNATIONALDIALINGCODE,
B.AREACODE,
B.TELEPHONENUMBER,
B.EXTENSIONNUMBER,
B.TELEPHONENUMBERUSECODE,
B.COMBINEDTELEPHONENUMBER,
B.CREATED,
B.CREATEDBY,
B.LASTUPDATE,
B.UPDATEDBY,
A.AVAILABILITYCODE,
B.LINETYPECODE,
A.LOCKTOKENTEXT,
B.LOCKTOKENTEXT
From BSBContactTelephone A, BSBTelephone B
Where A.TelephoneId = B.Id;


CREATE OR REPLACE VIEW V_EICUSTOMERHIST
AS 
SELECT
a.ID,
a.InteractionDesc,
a.IntrctnStateCode,
a.CreateDate,
a.PartyID,
a.OfferingName,
b.CaseNumber,
b.LockTokenText,
'',
a.ContactorID,
a.UserLoginName,
d.FirstName ||' '|| d.FamilyName ContactorName,
a.PortfolioID,
e.FirstName ||' '|| e.FamilyName PortfolioOwnerName,
a.BillingAccountNumber,
a.ContactorTypeCode,
a.ActivityRequestName,
a.ActivityStartDate,
c.ComIOFlag,
c.ComTypeCode,
a.TaskDescription,
'',
a.JobID,
a.DocumentNumber,
(select commenttext from eicomment f where a.ID = f.EBCINTERACTIONID AND ROWNUM = 1) commenttext
FROM  EbcInteraction  a
    , EICase          b
    , EICommunication c
    , Person          d
    , Person          e
WHERE a.EICaseid = b.id
AND   c.EICaseid = b.id
AND   a.PartyID  = d.PartyID(+)
AND   a.PortfolioOwnerPartyID = e.PartyID(+);


CREATE OR REPLACE VIEW V_TELEPHONEBYCONTACTOR
AS 
select cont.id, ctel.typecode, ctel.primaryflag,
tel.combinedtelephonenumber, tel.areacode, tel.telephonenumber
from bsbcontactor cont,
bsbcontacttelephone ctel,
bsbtelephone tel
where ctel.deletedflag = 0
and cont.id = ctel.contactorid
and ctel.telephoneid = tel.id
AND ctel.effectivefromdate <= SYSDATE
AND NVL(ctel.effectivetodate, SYSDATE) >= SYSDATE;


CREATE OR REPLACE VIEW V_BILLINGITEMPRICEABLEUNIT
AS 
SELECT
BI.BILLINGACCOUNTID,
BI.BILLINGITEMSTATUSCODE,
BI.PRICEABLEUNITID ,
PU.PRICEABLEUNITTYPECODE,
PU.DISCOUNTEDPRICEABLEUNITID,
PU.DESCRIPTION,
PU.BILLINGSOURCECODE,
PU.EFFECTIVEDATE,
PU.QUOTEDPRICE,
PU.ENDDATE,
PU.NUMBEROFINSTALLMENTS,
PU.PRICEABLEUNITREFERENCEID,
PU.PROPOSEDPAYMENTMETHODCODE,
PU.SERVICETYPECODE,
PU.ADJUSTMENTREASONCODE,
PU.ASSOCIATEDTRANSACTIONID,
PU.ADJUSTMENTDESTINATIONCODE,
PU.ADJUSTMENTAMOUNT,
PU.CHANGEPAYMENTMETHODALLOWEDFLAG,
PU.CLAWBACKSTATUS,
PU.CLAWBACKSTATUSPRIORTOEXEMPTION,
PU.CLAWBACKEXEMPTIONREASON,
PU.CLAWBACKSTATUSCHANGEDDATE,
BI.BILLINGACTIONTYPECODE,
BI.TRANSACTIONDATE,
BI.EFFECTIVEFROM,
--BA.EFFECTIVETO,
--BA.BILLINGACTIONSTATUSCODE,
BI.ID,
--BA.ID,
BI.SALESTYPE,
PU.PORTFOLIOOFFERID,
PU.SERVICEINSTANCEID,
BI.LOCKTOKENTEXT,
PU.LOCKTOKENTEXT,
--BA.LOCKTOKENTEXT,
PU.CHARGEBEINGCLAWEDBACKID
FROM
BSBBILLINGITEM BI,
BSBPRICEABLEUNIT PU
--BSBBILLINGACTION BA
WHERE
BI.BILLINGACCOUNTID = PU.BILLINGACCOUNTID
AND BI.PRICEABLEUNITID = PU.ID
--AND BI.ID = BA.BILLINGITEMID
AND NVL(BI.ISDELETED, 0) = 0;


CREATE OR REPLACE VIEW V_BSBINSTALLERVIEW
AS 
SELECT
BSBPARTYROLE.ID
, BSBPARTYROLE.PARTYID
, PERSON.FAMILYNAME AS SURNAME
, PERSON.FIRSTNAME AS FORENAME
, BSBTELEPHONE.COMBINEDTELEPHONENUMBER AS CONTACTNUMBER
, BSBINSTALLERROLE.IDNO AS INSTALLERID
, BSBINSTALLERROLE.REGIONCODE
, BSBINSTALLERROLE.PARTYROLEID
, BSBINSTALLERROLE.PAYROLLNUMBER
, BSBINSTALLERROLE.STATUS
, BSBINSTALLERROLE.COMPANYNAME
, BSBINSTALLERROLE.CLASSIFICATIONCODE
, BSBINSTALLERTEAM.NAME AS TEAM
, BSBCONTACTTELEPHONE.TYPECODE
, PERSON.BIRTHDATE
, BSBINSTALLERROLE.RESOURCETYPECODE
FROM
BSBPARTYROLE
, PERSON
, BSBTELEPHONE
, BSBINSTALLERROLE
, BSBINSTALLERTEAM
, BSBCONTACTOR
, BSBCONTACTTELEPHONE
WHERE
BSBINSTALLERROLE.PARTYROLEID = BSBPARTYROLE.ID
AND BSBINSTALLERROLE.TEAMID = BSBINSTALLERTEAM.ID (+)
AND BSBPARTYROLE.PARTYID = PERSON.PARTYID
AND PERSON.PARTYID = BSBCONTACTOR.PARTYID(+)
AND BSBCONTACTOR.ID = BSBCONTACTTELEPHONE.CONTACTORID(+)
AND BSBCONTACTTELEPHONE.TELEPHONEID = BSBTELEPHONE.ID;


CREATE OR REPLACE VIEW V_BSBUSERROLE
AS 
SELECT
  R.ID
, R.ROLE
, R.CAPACITYOVERRIDE
, R.VISITLEADTIMEDAYS
, UR.USERID
FROM
  BSBROLE R
, BSBUSERROLEBRIDGE UR
WHERE
  R.ID = UR.ROLEID;


CREATE OR REPLACE VIEW V_CONTACTORBYVISITNUMBER
AS 
select /*+ first_rows */
ID,
PARTYID, PARTYROLETYPECODE, HONORIFICTITLECODE, FIRSTNAME, MIDDLENAME,
FAMILYNAME, BIRTHDATE, MORTALITYSTATUS, PERSONSUBTYPE,
MOTHERMAIDENNAME, PASSWORD, DECEASEDNOTIFICATIONDATE, FMSJOBREFERENCE,
BSBCONTACTORLOCKTOKENTEXT
FROM
(SELECT
/*+ ordered
index(visit)
*/
con.id,
con.partyid,
PRol.PARTYROLETYPECODE,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
Visit.FMSJOBREFERENCE,
con.LOCKTOKENTEXT AS BSBCONTACTORLOCKTOKENTEXT
FROM
BSBVisitrequirement visit,
BSBFulfilmentitem fulfilmentItem,
BSBServiceInstance serviceInstance,
BSBPortfolio portfolio,
BSBCustomerRole cRol,
BSBPartyRole pRol,
Person per ,
BSBContactor con
WHERE
visit.FULFILMENTITEMID = fulfilmentItem.ID
AND fulfilmentItem.SERVICEINSTANCEID = serviceInstance.ID
AND serviceInstance.PORTFOLIOID = portfolio.ID
AND portfolio.ID = cRol.PORTFOLIOID
AND cRol.PARTYROLEID = pRol.ID
AND pRol.PARTYID = per.PARTYID
AND per.PARTYID = con.PARTYID
AND cRol.CUSTOMERSTATUSCODE != 'REMOVED'
UNION ALL
SELECT
/*+ ordered
index(visit)
*/
con.id,
con.partyid,
PRol.PARTYROLETYPECODE,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
Visit.FMSJOBREFERENCE,
con.LOCKTOKENTEXT
FROM
BSBVisitrequirement visit,
BSBFulfilmentitem fulfilmentItem,
BSBServiceInstance serviceInstance,
BSBPortfolio portfolio,
BSBAuthorizedContactRole cRol,
BSBPartyRole pRol,
Person per,
BSBContactor con
WHERE
visit.FULFILMENTITEMID = fulfilmentItem.ID
AND fulfilmentItem.SERVICEINSTANCEID = serviceInstance.ID
AND serviceInstance.PORTFOLIOID = portfolio.ID
AND portfolio.ID = cRol.PORTFOLIOID
AND cRol.PARTYROLEID = pRol.ID
AND pRol.PARTYID = per.PARTYID
AND pRol.EffectiveTo IS NULL
AND per.PARTYID = con.PARTYID);


CREATE OR REPLACE VIEW V_CONTACTORBYFINANCIALDETAIL
AS 
SELECT  distinct
ID,
PARTYID, PARTYROLETYPECODE, HONORIFICTITLECODE, FIRSTNAME, MIDDLENAME,
FAMILYNAME, BIRTHDATE, MORTALITYSTATUS, PERSONSUBTYPE,
MOTHERMAIDENNAME, PASSWORD, DECEASEDNOTIFICATIONDATE, SORTCODE,
ACCOUNTNUMBER, CARDNUMBER, LOCKTOKENTEXT FROM
(SELECT /*+
ordered
index (PMth)
use_nl(PMth) use_nl(PMthRol) use_nl(Acc) use_nl(Rol) use_nl(PRol) use_nl(Per) use_nl(Con)
*/
   Con.Id,
   con.PartyId,
   PRol.PARTYROLETYPECODE,
   Per.honorifictitlecode,
   Per.FirstName,
   Per.MiddleName,
   Per.FamilyName,
   Per.BirthDate,
   Con.MortalityStatus,
   Con.PersonSubType,
   Con.MotherMaidenName,
   Con.Password,
   Con.deceasednotificationdate,
   PMth.SortCode,
   PMth.AccountNumber,
   PMth.CardNumber,
   Con.LOCKTOKENTEXT
FROM    BSBPaymentMethod     PMth,
   BSBPaymentMethodRole PMthRol,
   BSBBillingAccount    Acc,
   BSBCustomerRole      Rol,
   BSBPartyRole         PRol,
   Person               Per,
   BSBContactor         Con
WHERE  PMth.Id                  =  PMthRol.PaymentMethodId
AND    PMthRol.BillingAccountId = Acc.Id
AND    Acc.PortfolioId          =  Rol.PortfolioId
AND    Rol.PartyRoleId          = PRol.Id
AND    PRol.partyid             = per.partyid
AND    Per.PartyId              =  Con.PartyId
AND    Rol.CUSTOMERSTATUSCODE  != 'REMOVED'
UNION ALL
SELECT
/*+
ordered
index (PMth)
use_nl(PMth) use_nl(PMthRol) use_nl(Acc) use_nl(Rol) use_nl(PRol) use_nl(Per) use_nl(Con)
*/
   Con.Id,
   con.PartyId,
   PRol.PARTYROLETYPECODE,
   Per.honorifictitlecode,
   Per.FirstName,
   Per.MiddleName,
   Per.FamilyName,
   Per.BirthDate,
   Con.MortalityStatus,
   Con.PersonSubType,
   Con.MotherMaidenName,
   Con.Password,
   Con.deceasednotificationdate,
   PMth.SortCode,
   PMth.AccountNumber,
   PMth.CardNumber,
   Con.LOCKTOKENTEXT
FROM    BSBPaymentMethod  PMth,
   BSBPaymentMethodRole PMthRol,
   BSBBillingAccount Acc,
   BSBAuthorizedContactRole Rol,
   BSBPartyRole    PRol,
   Person            Per,
   BSBContactor      Con
WHERE  PMth.Id =  PMthRol.PaymentMethodId
AND    PMthRol.BillingAccountId = Acc.Id
AND    Acc.PortfolioId  =  Rol.PortfolioId
AND    Rol.PartyRoleId = PRol.Id
AND    PRol.partyid = per.partyid
AND    PRol.EffectiveTo IS NULL
AND    Per.PartyId =  Con.PartyId);


CREATE OR REPLACE VIEW V_CONTACTORBYADDRESS
AS 
select
con.id,
con.partyid,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
con.LOCKTOKENTEXT,
adr.ADDRESSLINE1,
adr.ADDRESSLINE2,
adr.ADDRESSLINE3,
adr.ADDRESSLINE4,
adr.QASVALIDATED,
adr.DPSUFFIX,
adr.housenumber,
adr.housename,
adr.street,
adr.town,
adr.county,
adr.postcode,
PRol.partyroletypecode
FROM
BSBAddress Adr,
BSBContactAddress CAdr,
BSBContactor con,
Person per,
BSBCustomerRole CRol,
BSBPartyRole PRol
WHERE adr.id = cadr.addressid
AND cadr.contactorid = con.id
AND con.partyid = per.partyid
AND per.partyid = PRol.partyid
AND CRol.partyroleid (+) = PRol.id -- This outer join required for Misc Contactors
AND CRol.customerstatuscode (+) != 'REMOVED' -- This outer join required for Misc Contactors
AND cadr.effectivefromdate <= SYSDATE
AND NVL(cadr.effectivetodate, SYSDATE) >= SYSDATE
AND cadr.DELETEDFLAG = 0;


CREATE OR REPLACE VIEW V_IDCONTACTOR
AS 
SELECT /*+ ORDERED */
Con.ID
, Per.PARTYID
, PRole.PARTYROLETYPECODE
, Per.HONORIFICTITLECODE
, Per.FIRSTNAME
, Per.MIDDLENAME
, Per.FAMILYNAME
, Per.BIRTHDATE
, Con.MORTALITYSTATUS
, Con.LOCKTOKENTEXT
, Addr.ADDRESSLINE1
, Addr.ADDRESSLINE2
, Addr.ADDRESSLINE3
, Addr.ADDRESSLINE4
, Addr.QASVALIDATED
, Addr.DPSUFFIX
, Addr.HOUSENUMBER
, Addr.HOUSENAME
, Addr.STREET
, Addr.TOWN
, Addr.COUNTY
, Addr.POSTCODE
, Tel.TELEPHONENUMBER
, Tel.AREACODE
, Tel.COMBINEDTELEPHONENUMBER
, Con.PERSONSUBTYPE
, Email.EMAILADDRESS
, Con.Password
, Con.DECEASEDNOTIFICATIONDATE
, Con.MOTHERMAIDENNAME
FROM
PERSON Per
, BSBCONTACTOR Con
, BSBCONTACTADDRESS CAddr
, BSBADDRESS Addr
, BSBCONTACTTELEPHONE CTel
, BSBTELEPHONE Tel
, BSBEMAIL Email
, BSBCONTACTEMAIL CEmail
, BSBPARTYROLE PRole
, BSBCUSTOMERROLE CRole
WHERE Con.PARTYID = Per.PARTYID
AND Per.PARTYID = PRole.PARTYID
AND CAddr.CONTACTORID = Con.ID
-- This no longer returns only the primary address
AND CAddr.ADDRESSID = Addr.ID
AND CAddr.effectivefromdate (+) <= SYSDATE
AND NVL(CAddr.effectivetodate, SYSDATE) >= SYSDATE
AND NVL(CAddr.deletedflag, 0) = 0
-- This no longer returns only the primary telephone number
and con.id = ctel.contactorid (+)
and ctel.telephoneid = tel.id (+)
AND CTel.effectivefromdate (+) <= SYSDATE
AND NVL(CTel.effectivetodate, SYSDATE) >= SYSDATE
AND NVL(CTel.deletedflag (+),0) = 0 -- This is to represent the outer join
-- This searches across all email addresses
AND Con.ID = CEmail.CONTACTORID (+)
AND CEmail.EMAILID = Email.ID (+)
AND CEmail.effectivefromdate (+) <= SYSDATE
AND NVL(CEmail.effectivetodate, SYSDATE) >= SYSDATE
AND NVL(CEmail.deletedflag (+),0) = 0 -- This is to represent the outer join
AND CRole.PARTYROLEID (+) = PRole.ID
AND CRole.CUSTOMERSTATUSCODE (+) != 'REMOVED';


CREATE OR REPLACE VIEW V_BSBORDERHISTORY
AS 
Select a.ID,
           a.PortfolioID PortfolioID,
           d.FirstName || ' ' ||d.FamilyName PlacedBy,
           a.COMTYPECODE ChannelDescription,
           a.Status OrderStatus,
           a.Created,
           a.CreatedBy,
           a.LastUpdate,
           a.UpdatedBy
From   BSBOrder a, BSBPartyRole B, Party C, Person d
Where a.PartyRoleID = b.ID
And     b.PartyID  = c.ID
And    c.ID = d.PartyID;


CREATE OR REPLACE VIEW V_BSBCONTACTEMAIL
AS 
Select
A.ID,
A.BUSINESSID,
A.CONTACTORID,
A.EMAILID,
A.TYPECODE,
A.EFFECTIVEFROMDATE,
A.EFFECTIVETODATE,
A.PRIMARYFLAG,
A.LOCKTOKENTEXT,
A.DELETEDFLAG,
B.EMAILADDRESS,
B.CREATED,
B.CREATEDBY,
B.LASTUPDATE,
B.UPDATEDBY,
B.LOCKTOKENTEXT
From BSBContactEmail A, BSBEmail B
Where A.EmailId = B.Id;


CREATE OR REPLACE VIEW V_OFFERINGROLE
AS 
Select
  r.role,
  orb.roleid,
  o.offeringname,
  orb.offeringid
from bsbofferingrolebridge orb,
     bsbrole r,
     offering o
where r.id = orb.roleid
and   o.id = orb.offeringid;


CREATE OR REPLACE VIEW V_CONTACTORBYTELEPHONE
AS 
select
con.id,
con.partyid,
per.honorifictitlecode,
per.firstname,
per.middlename,
per.familyname,
per.birthdate,
con.mortalitystatus,
con.personsubtype,
con.mothermaidenname,
con.password,
con.deceasednotificationdate,
Tel.TELEPHONENUMBER,
Tel.AREACODE,
Tel.COMBINEDTELEPHONENUMBER,
PRol.partyroletypecode,
con.LOCKTOKENTEXT
FROM BSBContactor con,
Person per,
BSBPartyRole PRol,
BSBCustomerRole CRol,
BSBContacttelephone CTel,
BSBTelephone Tel
WHERE con.partyid = per.partyid
AND per.partyid = PRol.partyid
AND CRol.partyroleid (+) = PRol.id -- This outer join required for Misc Contactors
AND CRol.customerstatuscode (+) != 'REMOVED' -- This outer join required for Misc Contactors
AND CTel.contactorid = con.id
AND CTel.telephoneid = Tel.id
AND CTel.effectivefromdate <= SYSDATE
AND NVL(Ctel.effectivetodate, SYSDATE) >= TRUNC(SYSDATE)
AND CTel.DELETEDFLAG = '0'
AND CTel.PRIMARYFLAG = '1'
AND PRol.PARTYROLETYPECODE <> 'Installer';


CREATE OR REPLACE VIEW V_SITEMP
AS 
select
   b.tradingname,
   ct.businessid,
   ct.primaryflag,
   t.telephonenumber,
   (select t1.telephonenumber
    from bsbtelephone t1,
   		 bsbcontacttelephone ct1
    where t1.id = ct1.telephoneid
	and ct1.primaryflag = '1'
	and ct1.businessid = b.id
    and   ct1.effectivefromdate  <= sysdate
    and   (ct1.effectivetodate is null or ct1.effectivetodate >= sysdate)
	),
    (select t1.areacode
    from bsbtelephone t1,
   		 bsbcontacttelephone ct1
    where t1.id = ct1.telephoneid
	and ct1.primaryflag = '1'
	and ct1.businessid = b.id
    and   ct1.effectivefromdate  <= sysdate
    and   (ct1.effectivetodate is null or ct1.effectivetodate >= sysdate)
	)
from
	bsbcontacttelephone ct,
	bsbtelephone t,
	bsbbusiness b
where t.id = ct.telephoneid
and	b.id = ct.businessid;


CREATE OR REPLACE VIEW V_BSBVISITSUMMARY
AS 
SELECT /*+ rule */ vr.id, vr.fmsjobreference, vr.visitdate, vr.jobtype, vr.statuscode,
       ( pe.FirstName || ' ' || pe.FamilyName ) as InstallerName
from   bsbvisitrequirement vr, bsbinstallerrole ir, bsbpartyrole pr, person pe
where  vr.installerid = ir.idno
and    ir.partyroleid = pr.id
and    pr.partyid = pe.partyid
order  by vr.visitdate, vr.jobtype,ir.IDNO;


CREATE OR REPLACE VIEW V_BSBUTIL_PERSONTOSUBSCRIPTION
AS 
SELECT DISTINCT PERS.FIRSTNAME,PERS.MIDDLENAME,PERS.FAMILYNAME,PERS.BIRTHDATE, 
SUBSCRIPTION.NAME AS SUBSCRIPTION_NAME, 
SUBSCRIPTION.STATUS AS SUBSCRIPION_STATUS, 
PERS.PARTYID AS PERSON_PARTYID, 
PARTYROLE.ID AS BSBPARTYROLE_ID, 
PARTYROLE.CREATEDBY AS PARTYROLE_CREATEDBY, 
PARTYROLE.CREATED AS PARTYROLE_CREATED, 
CUSTOMERROLE.PORTFOLIOID AS BSBPORTFOLIO_ID, 
SERVICEINSTANCE.ID AS BSBSERVICEINSTANCE_ID, 
SUBSCRIPTION.ID AS BSBSUBSCRIPTION_ID 
FROM PERSON PERS, 
BSBPARTYROLE PARTYROLE, 
BSBCUSTOMERROLE CUSTOMERROLE, 
BSBSERVICEINSTANCE SERVICEINSTANCE, 
BSBSUBSCRIPTION SUBSCRIPTION 
WHERE PERS.PARTYID = PARTYROLE.PARTYID 
AND PARTYROLE.ID = CUSTOMERROLE.PARTYROLEID 
AND CUSTOMERROLE.PORTFOLIOID = SERVICEINSTANCE.PORTFOLIOID 
AND SERVICEINSTANCE.ID = SUBSCRIPTION.SERVICEINSTANCEID 
ORDER BY SUBSCRIPTION.STATUS;


CREATE OR REPLACE VIEW V_SISUBSCRIPTIONSUMMARY
AS 
SELECT
SAI.AGREEMENTITEMID 				AS ID,
SAI.AgreementNumber 				AS AGREEMENTNUMBER,
CRD.CardNumber 					AS VIEWINGCARDNUMBER,
BOX.SetTopBoxNDSNumber 				AS NDSNUMBER,
1 						AS PRIMARYFLAG,
PSI.Created 					AS CREATED,
PSI.CreatedBy 					AS CREATEDBY,
PSI.LastUpdate 					AS LASTUPDATE,
PSI.UpdatedBy 					AS UPDATEDBY
FROM
BSBSubscriptionAgreementItem SAI,
BSBSubscription SUB,
BSBServiceInstance PSI,
BSBCustomerProductElement BOX,
BSBCustomerProductElement CRD
WHERE
SAI.SubscriptionId = SUB.Id
AND SUB.ServiceInstanceId = PSI.Id
AND PSI.InstallationProductElementId = BOX.Id
AND PSI.ServiceInstanceType = 210
AND CRD.ServiceInstanceId = PSI.Id
AND CRD.CustomerProductElementType = 'VC'
AND CRD.EffectiveToDate IS NULL
UNION
SELECT
SAI.AGREEMENTITEMID 				AS ID,
SAI.AgreementNumber 				AS AGREEMENTNUMBER,
CRD.CardNumber 					AS VIEWINGCARDNUMBER,
BOX.SetTopBoxNDSNumber 				AS NDSNUMBER,
0 						AS PRIMARYFLAG,
SSI.Created 					AS CREATED,
SSI.CreatedBy 					AS CREATEDBY,
SSI.LastUpdate 					AS LASTUPDATE,
SSI.UpdatedBy 					AS UPDATEDBY
FROM
BSBSubscriptionAgreementItem SAI,
BSBSubscription SUB,
BSBServiceInstance SSI,
BSBCustomerProductElement BOX,
BSBCustomerProductElement CRD
WHERE
SAI.SubscriptionId = SUB.Id
AND SUB.ServiceInstanceId = SSI.Id
AND SSI.ServiceInstanceType = 220
-- This will select Secondary DTV Service Instances
AND SSI.InstallationProductElementId = BOX.Id
AND CRD.ServiceInstanceId = SSI.Id
AND CRD.CustomerProductElementType = 'VC'
AND CRD.EffectiveToDate IS NULL
/* PVCS $Revision:   1.0  $ */
/* PVCS $$Date:   Jun 19 2006 13:42:22  $ */;


CREATE OR REPLACE VIEW V_PARTYORGROLE
AS 
SELECT a.id, a.governmentidnumber, b.orgfullname, b.orgabbrvname, b.merchantidnumber, c.partyid, c.relatedpartyid, c.partyroletypecode, c.startdate, c.enddate, c.prioritycode, c.statuscode, c.partynumber, c.challengedatatext, c.encryptedpasstext, a.locktokentext
       FROM party a, organization b, partyrelationrole c
       WHERE a.id = b.partyid
and a.id = c.partyid
and a.partytypecode='ORG';


CREATE OR REPLACE VIEW V_GEOBNDRYASSOC
AS 
SELECT b.id, b.geoboundaryid, a.geoboundaryname, a.geobndrytypecode, a.geobndrycodetext, b.assocgeoboundaryid, c.geoboundaryname, c.geobndrytypecode, c.geobndrycodetext
       FROM geoboundary a, geoboundaryassoc b, geoboundary c
       WHERE a.id = b.geoboundaryid
and b.assocgeoboundaryid = c.id;


CREATE OR REPLACE VIEW V_BSBDOORTODOORAGENTSUMMARY
AS 
SELECT
  r.id
, bus.id
, bus.identifyingname
, r.asagroupnumber
, r.asabranchnumber
, r.headofficeretailbusinessid
FROM
  BSBRETAILBUSINESS   r
, BSBBUSINESS         bus
WHERE
  bus.partyid = r.partyid
AND  r.multiplestatuscode = 'D'
AND  r.headofficeflag = 0;


CREATE OR REPLACE VIEW V_ADDRESSBYCONTACTOR
AS 
select cont.id as contactorid, cadr.typecode, cadr.primaryflag,
adr.addressline1, adr.addressline2, adr.addressline3, adr.addressline4, adr.qasvalidated, adr.dpsuffix,
adr.housenumber, adr.housename, adr.street, adr.town, adr.locality, adr.county,
adr.postcode, adr.countrycode, adr.blacklistedflag
from bsbcontactor cont,
bsbcontactaddress cadr,
bsbaddress adr
where cadr.deletedflag = 0
and cont.id = cadr.contactorid
and cadr.addressid = adr.id
AND cadr.effectivefromdate <= SYSDATE
AND NVL(cadr.effectivetodate, SYSDATE) >= SYSDATE;


CREATE OR REPLACE VIEW V_REFUNDSUMMARY
AS 
SELECT
  refund.ID
, person.HONORIFICTITLECODE || ' ' || person.FIRSTNAME || ' ' || person.FAMILYNAME AS NAME
, address.ADDRESSLINE1
, address.ADDRESSLINE2
, address.ADDRESSLINE3
, address.ADDRESSLINE4
, address.QASVALIDATED
, address.DPSUFFIX
, address.COUNTRYCODE
, address.HOUSENUMBER
, address.HOUSENAME
, address.STREET
, address.LOCALITY
, address.TOWN
, address.COUNTY
, address.POSTCODE
, refund.created
, billingAccount.ACCOUNTNUMBER
, refund.TRANSACTIONVALUE
, refund.CREATEDBY
, refund.REFUNDREASON
, priceableUnit.ADJUSTMENTREASONCODE
, refund.REFUNDAUTHORISATIONSTATUSCODE
, refund.Adjustmentid
, person.PartyID
, refund.EligibleForReviewDate
, refund.LOCKTOKENTEXT
, billingAccount.id BillingAccountID
FROM
  PERSON               person
, BSBADDRESS           address
, BSBPORTFOLIO         portfolio
, BSBCUSTOMERROLE      customerRole
, BSBPARTYROLE         partyRole
, PARTY                party
, BSBCONTACTOR         contactor
, BSBCONTACTADDRESS    contactAddress
, bsbrefund            refund
, BSBPRICEABLEUNIT     priceableUnit
, BSBBillingAccount    billingAccount
WHERE
billingAccount.PORTFOLIOID = portfolio.ID and
customerRole.PORTFOLIOID = portfolio.ID and
customerRole.PARTYROLEID = partyRole.ID and
party.ID = partyRole.PARTYID and
party.ID = person.PARTYID and
party.ID = contactor.PARTYID and
contactAddress.CONTACTORID = contactor.ID and
contactAddress.ADDRESSID = address.ID and
contactAddress.PRIMARYFLAG = 1 and
contactAddress.effectivefromdate <= SYSDATE and
--(contactAddress.effectivetodate IS NULL OR contactAddress.effectivetodate >= SYSDATE) and
-- Changed to use NVL rather than OR clause  (SCR 384)
NVL(contactAddress.effectivetodate, SYSDATE) >= SYSDATE and
--(contactAddress.deletedflag IS NULL OR contactAddress.deletedflag = 0) and
-- ContactAddress.deletedflag is a not null column with default value 0 hence the above OR clause is of no use (SCR 384)
contactAddress.deletedflag = 0 and
priceableUnit.ID (+)= refund.ADJUSTMENTID and
--priceableUnit.BILLINGACCOUNTID = refund.BILLINGACCOUNTID and
refund.BILLINGACCOUNTID = billingAccount.ID and
refund.REFUNDAUTHORISATIONSTATUSCODE = '01';


CREATE OR REPLACE VIEW V_BSBPPVPRODUCTDATA
AS 
select pp.PORTFOLIOID,
pp.ServiceinstanceID,
pp.catalogueproductid,
ptoptype.CATALOGUEPRODUCTTYPEID,
cinfo.GENREID,
cinfo.SUBGENREID
from bsbportfolioproduct pp,
refdatamgr.bsbcommercialeventinformation cinfo,
refdatamgr.bsbproducttoproducttype ptoptype
where pp.CATALOGUEPRODUCTID = ptoptype.CATALOGUEPRODUCTID
and ptoptype.CATALOGUEPRODUCTTYPEID = cinfo.id;


CREATE OR REPLACE VIEW V_BSBINSTALLERMANAGERVIEW
AS 
SELECT
BSBPARTYROLE.ID
, PERSON.FAMILYNAME AS SURNAME
, PERSON.FIRSTNAME AS FORENAME
, BSBTELEPHONE.COMBINEDTELEPHONENUMBER AS CONTACTNUMBER
, BSBINSTALLERTEAM.NAME AS TEAM
FROM
BSBPARTYROLE
, PERSON
, BSBTELEPHONE
, BSBINSTALLERROLE
, BSBINSTALLERTEAM
, BSBCONTACTOR
, BSBCONTACTTELEPHONE
WHERE
BSBINSTALLERTEAM.ManagerID = BSBINSTALLERROLE.Idno(+)
AND BSBINSTALLERTEAM.ID = BSBINSTALLERROLE.TEAMID
AND BSBINSTALLERROLE.PARTYROLEID = BSBPARTYROLE.ID(+)
AND BSBPARTYROLE.PARTYID = PERSON.PARTYID(+)
AND PERSON.PARTYID = BSBCONTACTOR.PARTYID(+)
AND BSBCONTACTOR.ID = BSBCONTACTTELEPHONE.CONTACTORID(+)
AND BSBCONTACTTELEPHONE.TELEPHONEID = BSBTELEPHONE.ID
AND BSBCONTACTTELEPHONE.TYPECODE = 'M';


CREATE OR REPLACE VIEW V_CONTACTORPRIMARYTELEPHONE
AS 
select
  c.partyId
, c.ID as contactorid
, ct.typecode
, t.COMBINEDTELEPHONENUMBER as primaryPhoneNumber
from bsbcontactor c,
bsbcontacttelephone ct,
bsbtelephone t
where ct.PRIMARYFLAG = 1
and t.id = ct.telephoneid
and c.id = ct.contactorid
AND NVL(ct.effectivetodate, SYSDATE) >= SYSDATE;


CREATE OR REPLACE VIEW V_JOBSUMMARY
AS 
(
    SELECT
        joblist.roleid,
job.id,
        job.partyid,
job.offeringname,
job.addedtojoblist,
        job.classname,
        job.key,
        job.joblistid,
        job.urgencyflag,
        job.progressbydate,
        job.created,
        job.createdby,
        job.lastupdate,
        job.updatedby,
        job.implementedclassdescription,
        job.inuseby,
        job.locktokentext,
        person.firstname,
        person.familyname
      FROM
        bsbjob job,
        bsbjoblist joblist,
        person person
     WHERE
        joblist.id = job.joblistid
        AND person.partyid = job.partyid );


CREATE OR REPLACE VIEW V_TECHNICALENQUIRYJOB
AS 
(
    SELECT
        joblist.roleid,
        job.created,
        job.updatedby,
        job.urgencyflag,
        job.lastupdate,
        job.progressbydate,
        techenq.symptomcode,
        techenq.ID technicalenquiryid,
        techenq.referencenumber,
        techenq.actioncode,
        person.firstname,
        person.familyname
      FROM
      bsbjob job,
      bsbjoblist joblist,
      person person,
      bsbtechnicalenquiry techenq
     WHERE
        joblist.id = job.joblistid
        AND techenq.jobid = job.id
        AND person.partyid = job.partyid
);


CREATE OR REPLACE VIEW V_BILLINGITEMPP
AS 
SELECT
BI.BILLINGACCOUNTID,
BI.BILLINGITEMSTATUSCODE,
BI.PRICEABLEUNITID ,
PU.PRICEABLEUNITTYPECODE,
PU.DISCOUNTEDPRICEABLEUNITID,
PU.DESCRIPTION,
PU.BILLINGSOURCECODE,
PU.EFFECTIVEDATE,
PU.QUOTEDPRICE,
PU.ENDDATE,
PU.NUMBEROFINSTALLMENTS,
PU.PRICEABLEUNITREFERENCEID,
PU.PROPOSEDPAYMENTMETHODCODE,
PU.SERVICETYPECODE,
PU.ADJUSTMENTREASONCODE,
PU.ASSOCIATEDTRANSACTIONID,
PU.ADJUSTMENTDESTINATIONCODE,
PU.ADJUSTMENTAMOUNT,
PU.CHANGEPAYMENTMETHODALLOWEDFLAG,
BI.BILLINGACTIONTYPECODE,
BI.TRANSACTIONDATE,
BI.EFFECTIVEFROM,
BI.ID,
BI.SALESTYPE,
PU.SERVICEINSTANCEID,
PP.PORTFOLIOPRODUCTID,
BI.LOCKTOKENTEXT,
PU.LOCKTOKENTEXT
FROM
BSBBILLINGITEM BI,
BSBPRICEABLEUNIT PU,
BSBPRICEABLEUNITPORTFOLIOPROD PP
WHERE
BI.BILLINGACCOUNTID = PU.BILLINGACCOUNTID
AND BI.PRICEABLEUNITID = PU.ID
AND BI.PRICEABLEUNITID = PP.PRICEABLEUNITID
AND PU.ID = PP.PRICEABLEUNITID
AND NVL(BI.ISDELETED, 0) = 0
ORDER BY TO_DATE( TO_CHAR(BI.EFFECTIVEFROM, 'dd/MM/yyyy'), 'dd/MM/yyyy'), BI.TRANSACTIONDATE;


CREATE OR REPLACE VIEW V_BILLINGITEMPO
AS 
SELECT
BI.BILLINGACCOUNTID,
BI.BILLINGITEMSTATUSCODE,
BI.PRICEABLEUNITID ,
PU.PRICEABLEUNITTYPECODE,
PU.DISCOUNTEDPRICEABLEUNITID,
PU.DESCRIPTION,
PU.BILLINGSOURCECODE,
PU.EFFECTIVEDATE,
PU.QUOTEDPRICE,
PU.ENDDATE,
PU.NUMBEROFINSTALLMENTS,
PU.PRICEABLEUNITREFERENCEID,
PU.PROPOSEDPAYMENTMETHODCODE,
PU.SERVICETYPECODE,
PU.ADJUSTMENTREASONCODE,
PU.ASSOCIATEDTRANSACTIONID,
PU.ADJUSTMENTDESTINATIONCODE,
PU.ADJUSTMENTAMOUNT,
PU.CHANGEPAYMENTMETHODALLOWEDFLAG,
BI.BILLINGACTIONTYPECODE,
BI.TRANSACTIONDATE,
BI.EFFECTIVEFROM,
BI.ID,
BI.SALESTYPE,
PU.PORTFOLIOOFFERID,
PU.SERVICEINSTANCEID,
BI.LOCKTOKENTEXT,
PU.LOCKTOKENTEXT
FROM
BSBBILLINGITEM BI,
BSBPRICEABLEUNIT PU,
BSBPORTFOLIOOFFER PO
WHERE
BI.BILLINGACCOUNTID = PU.BILLINGACCOUNTID
AND BI.PRICEABLEUNITID = PU.ID
AND PU.PORTFOLIOOFFERID = PO.ID
AND NVL(BI.ISDELETED, 0) = 0
ORDER BY TO_DATE(TO_CHAR(BI.EFFECTIVEFROM, 'dd/MM/yyyy'), 'dd/MM/yyyy') , BI.TRANSACTIONDATE;


CREATE OR REPLACE VIEW V_BSBCICPORTFOLIO
AS 
(SELECT		po.ID 				AS ID,
		p.FIRSTNAME 			AS FIRSTNAME,
		p.FAMILYNAME 			AS FAMILYNAME,
		p.HONORIFICTITLECODE 	     	AS HONORIFICTITLECODE,
		adr.ADDRESSLINE1 		AS ADDRESSLINE1,
	     	adr.ADDRESSLINE2 		AS ADDRESSLINE2,
	     	adr.ADDRESSLINE3 		AS ADDRESSLINE3,
	     	adr.ADDRESSLINE4 		AS ADDRESSLINE4,
	     	adr.QASVALIDATED 		AS QASVALIDATED,
	     	adr.DPSUFFIX 			AS DPSUFFIX,
	     	adr.HOUSENAME 			AS HOUSENAME,
	     	adr.HOUSENUMBER			AS HOUSENUMBER,
	     	adr.STREET			AS STREET,
	     	adr.LOCALITY 			AS LOCALITY,
	     	adr.TOWN 			AS TOWN,
	     	adr.COUNTY 			AS COUNTY,
	     	adr.POSTCODE 			AS POSTCODE,
	     	ba.ACCOUNTNUMBER 		AS ACCOUNTNUMBER,
	     	ce.CARDNUMBER 			AS CARDNUMBER,
	     	cic.ID 				AS CICID,
	     	cic.BILLINGACCOUNTPINCOUNT  	AS BILLINGACCOUNTPINCOUNT,
	     	cic.BILLINGACCOUNTPINSTATUS 	AS BILLINGACCOUNTPINSTATUS,
	     	cic.CICPIN 			AS CICPIN,
	     	cic.CICPINCOUNT 		AS CICPINCOUNT,
	     	cic.CICPINSTATUS 		AS CICPINSTATUS,
	     	cic.LOCKTOKENTEXT 		AS CICLOCKTOKEN,
	     	primarysi.ID 			AS PRIMARYSERVICEINSTANCEID
FROM 		bsbportfolio po,
	     	person p,
	     	bsbcontactor co,
	     	bsbaddress adr,
	     	bsbcontactaddress cad,
	     	bsbpartyrole pr,
	     	bsbcustomerrole cr,
	     	bsbbillingaccount ba,
	     	bsbcustomerproductelement ce,
	     	bsbserviceinstance primarysi,
	     	bsbserviceinstance billingsi,
	     	bsbcicinformation cic
WHERE 		co.PARTYID = p.partyid
AND 		co.ID = cad.CONTACTORID
AND 		cad.ADDRESSID = adr.ID
AND 		cad.effectivefromdate <= SYSDATE
AND 		NVL(cad.effectivetodate, SYSDATE) >= SYSDATE
AND 		cad.PRIMARYFLAG = 1
-- Defect 33714: filter out deleted addresses:
AND 	  	cad.DELETEDFLAG = 0
AND 		p.partyid = pr.PARTYID
AND 		pr.ID = cr.PARTYROLEID
AND 		cr.PORTFOLIOID = po.ID
AND 		primarysi.PORTFOLIOID = cr.PORTFOLIOID
AND 		primarysi.ID = ce.SERVICEINSTANCEID
AND 		ba.SERVICEINSTANCEID = billingsi.ID
AND 		billingsi.ID = primarysi.PARENTSERVICEINSTANCEID
AND 		cic.PRIMARYSERVICEINSTANCEID (+) = primarysi.ID
AND 		billingsi.SERVICEINSTANCETYPE = '300'
AND 		primarysi.SERVICEINSTANCETYPE = '210'
UNION ALL
SELECT
	  	po.ID				AS ID,
		p.FIRSTNAME			AS FIRSTNAME,
	     	p.FAMILYNAME			AS FAMILYNAME,
	     	p.HONORIFICTITLECODE		AS HONORIFICTITLECODE,
	     	adr.ADDRESSLINE1		AS ADDRESSLINE1,
	     	adr.ADDRESSLINE2		AS ADDRESSLINE2,
	     	adr.ADDRESSLINE3		AS ADDRESSLINE3,
	     	adr.ADDRESSLINE4		AS ADDRESSLINE4,
	     	adr.QASVALIDATED		AS QASVALIDATED,
	     	adr.DPSUFFIX			AS DPSUFFIX,
	     	adr.HOUSENAME			AS HOUSENAME,
	     	adr.HOUSENUMBER			AS HOUSENUMBER,
	     	adr.STREET			AS STREET,
	     	adr.LOCALITY			AS LOCALITY,
	     	adr.TOWN			AS TOWN,
	     	adr.COUNTY			AS COUNTY,
	     	adr.POSTCODE			AS POSTCODE,
	     	ba.ACCOUNTNUMBER		AS ACCOUNTNUMBER,
	     	ce.CARDNUMBER			AS CARDNUMBER,
	     	cic.ID 				AS CICID,
	     	cic.BILLINGACCOUNTPINCOUNT	AS BILLINGACCOUNTPINCOUNT,
	     	cic.BILLINGACCOUNTPINSTATUS	AS BILLINGACCOUNTPINSTATUS,
	     	cic.CICPIN			AS CICPIN,
	     	cic.CICPINCOUNT			AS CICPINCOUNT,
	     	cic.CICPINSTATUS		AS CICPINSTATUS,
	     	cic.LOCKTOKENTEXT		AS LOCKTOKENTEXT,
	     	si.PARENTSERVICEINSTANCEID 	AS PRIMARYSERVICEINSTANCEID
FROM 		bsbportfolio po,
		person p,
		bsbcontactor co,
		bsbaddress adr,
		bsbcontactaddress cad,
		bsbpartyrole pr,
		bsbcustomerrole cr,
		bsbbillingaccount ba,
		bsbcustomerproductelement ce,
		bsbserviceinstance si,
		bsbserviceinstance psi,
		bsbserviceinstance billingsi,
		bsbcicinformation cic
WHERE 		co.PARTYID = p.partyid
AND 		co.ID = cad.CONTACTORID
AND 		cad.ADDRESSID = adr.ID
AND 		cad.effectivefromdate <= SYSDATE
AND 		NVL(cad.effectivetodate, SYSDATE) >= SYSDATE
AND 		cad.PRIMARYFLAG = 1
-- Defect 33714: filter out deleted addresses:
AND 	     	cad.DELETEDFLAG = 0
AND 		p.partyid = pr.PARTYID
AND 		pr.ID = cr.PARTYROLEID
AND 		cr.PORTFOLIOID = po.ID
AND 		si.PORTFOLIOID = cr.PORTFOLIOID
AND 		si.SERVICEINSTANCETYPE = '220'
AND 		billingsi.SERVICEINSTANCETYPE = '300'
AND 		psi.PARENTSERVICEINSTANCEID = billingsi.ID
AND 		si.PARENTSERVICEINSTANCEID = psi.ID
AND 		si.ID = ce.SERVICEINSTANCEID
-- Defect 33715: Changed from si.ID to si.PRIMARYSERVICEINSTANCEID
AND 	  	ba.SERVICEINSTANCEID = billingsi.ID
AND 		cic.PRIMARYSERVICEINSTANCEID (+) = psi.ID)
/* PVCS $Revision:   1.0  $ */
/* PVCS $Date:   May 24 2006 14:01:10  $ */;


CREATE OR REPLACE VIEW V_BUSINESSCONTACTOR
AS 
SELECT
   bus.id
   , bus.businesspartyid
   , bus.contactorpartyid
   , bus.position
   , bus.primarycontactflag
   , con.statuscode
   , con.isdeletable
   , null
   , cus.firstname
   , cus.familyname
   , cus.middlename
   , cus.gendercode
   , cus.honorifictitlecode
   , null
   , null
   , par.partytypecode
   , par.locktokentext
from bsbbusinesscontactor bus
  , bsbcontactor con
  , person cus
  , party par
where bus.contactorpartyid = con.partyid
and   con.partyid = cus.partyid
and   NVL(con.isdeleted,0) = 0
and   con.partyid = par.id;


CREATE OR REPLACE VIEW V_AUTHORIZEDCONTACTROLE
AS 
SELECT
  AUTH.RelationshipToCustomer
, AUTH.OtherRelationshipDescription
, AUTH.PortfolioId
, AUTH.PartyRoleId
, AUTH.LOCKTOKENTEXT
, PR.DeletedFlag
, PR.PartyId
, PR.EffectiveFrom
, PR.EffectiveTo
, PR.PartyRoleTypeCode
, PR.Created
, PR.CreatedBy
, PR.LastUpdate
, PR.UpdatedBy
, PR.ID
, PR.LOCKTOKENTEXT
FROM
  BSBAUTHORIZEDCONTACTROLE AUTH
, BSBPARTYROLE PR
WHERE AUTH.PARTYROLEID = PR.ID;


CREATE OR REPLACE VIEW V_CONTACTORBYCONTRACTNUMBER
AS 
SELECT con.id
      ,con.partyid
      ,PRol.partyroletypecode
      ,per.firstname
      ,per.middlename
      ,per.familyname
      ,per.honorifictitlecode
      ,per.gendercode AS sex
      ,per.birthdate
      ,con.mothermaidenname
      ,con.mortalitystatus
      ,con.persontype
      ,con.personsubtype
      ,con.password
      ,con.deceasednotificationdate
      ,agr.agreementnumber
      ,con.LOCKTOKENTEXT AS BSBContactorLockTokenText
FROM   bsbsubscriptionagreementitem agr
      ,bsbserviceinstance           si
      ,bsbcustomerrole              CRol
      ,bsbpartyrole                 PRol
      ,person                       per
      ,bsbcontactor                 con
      ,bsbsubscription              sub
WHERE  agr.subscriptionid = sub.id
AND    sub.serviceinstanceid = si.id
AND    si.portfolioid = CRol.portfolioid
AND    CRol.partyroleid = PRol.id
AND    CRol.customerstatuscode != 'REMOVED'
AND    PRol.PARTYID = per.PARTYID
AND    per.PARTYID = con.PARTYID
UNION ALL
SELECT con.id
      ,con.partyid
      ,PRol.partyroletypecode
      ,per.firstname
      ,per.middlename
      ,per.familyname
      ,per.honorifictitlecode
      ,per.gendercode
      ,per.birthdate
      ,con.mothermaidenname
      ,con.mortalitystatus
      ,con.persontype
      ,con.personsubtype
      ,con.password
      ,con.deceasednotificationdate
      ,agr.agreementnumber
      ,con.LOCKTOKENTEXT
FROM   bsbsubscriptionagreementitem agr
      ,bsbserviceinstance           si
      ,bsbauthorizedcontactrole     CRol
      ,bsbpartyrole                 PRol
      ,person                       per
      ,bsbcontactor                 con
      ,bsbsubscription              sub
WHERE  agr.subscriptionid = sub.id
AND    sub.serviceinstanceid = si.id
AND    si.portfolioid = CRol.portfolioid
AND    CRol.PARTYROLEID = PRol.id
AND    PRol.PARTYID = per.PARTYID
AND    PRol.EffectiveTo IS NULL
AND    per.PARTYID = con.PARTYID
/* PVCS $Revision:   1.1  $ */
/* PVCS $Date:   Mar 08 2006 17:02:56  $ */;


CREATE OR REPLACE VIEW V_PERSONPORTFOLIO
AS 
SELECT prol.partyid
 , rol.portfolioId
 , PRol.PartyRoleTypeCode
FROM
    BSBCustomerRole        Rol
  , BSBPartyRole	   PRol
WHERE  Rol.PartyRoleId = PRol.Id
AND Rol.CUSTOMERSTATUSCODE != 'REMOVED'
UNION  ALL
SELECT prol.PartyId
 , rol.portfolioId
 , PRol.PartyRoleTypeCode
FROM
   BSBAuthorizedContactRole Rol
 , BSBPartyRole             PRol
WHERE  Rol.PartyRoleId = PRol.Id;


CREATE OR REPLACE VIEW V_PRODCATALOGITEM
AS 
SELECT a.id, a.productid, b.id, b.catalognumber, b.catalogname
       FROM prodcatalogitem a, productcatalog b
       WHERE a.productcatalogid  = b.id;


CREATE OR REPLACE VIEW V_CONTACTOR
AS 
SELECT
A.ID
, A.Created
, A.CreatedBy
, A.LastUpdate
, A.UpdatedBy
, A.ISDELETABLE
, A.ISDELETED
, A.STATUSCODE
, A.MORTALITYSTATUS
, A.PARTYID
, A.WEBUSERNAME
, A.WEBPASSWORD
, A.MOTHERMAIDENNAME
, A.DPAAGREEDSWITCH
, A.DISABILITYID
, A.PERSONTYPE
, A.PERSONSUBTYPE
, A.SUBTYPEREASON
, B.FIRSTNAME
, B.MIDDLENAME
, B.FAMILYNAME
, B.HONORIFICTITLECODE
, B.BIRTHDATE
, B.BIRTHPLACENAME
, B.GENDERCODE
, B.MARITALSTATUSCODE
, C.GOVERNMENTIDNUMBER
, C.PARTYTYPECODE
, C.LOCKTOKENTEXT
, B.EmailAllowedSwitch
, B.PostalMailAllowedSwitch
, B.TelephoneContactAllowedSwitch
, A.ShareInformationFlag
, A.EPSINDICATORSWITCH
, A.EPSINDICATORREASON
, A.MPSINDICATORSWITCH
, A.MPSINDICATORREASON
, A.TPSINDICATORSWITCH
, A.TPSINDICATORREASON
, A.NUMBERNOTSUPPLIEDREASONCODE
, A.Password
, A.DECEASEDNOTIFICATIONDATE
, A.LOCKTOKENTEXT
, A.DISABLEDCONSENTPROVIDEDSWITCH
, A.HOMEVISITPASSWORD
FROM
BSBCONTACTOR A
, PERSON B
, PARTY C
WHERE A.PARTYID = B.PARTYID
AND A.PARTYID = C.ID;


CREATE OR REPLACE VIEW V_GEOBNDRYCURRENCY
AS 
SELECT a.id, a.geoboundaryname, a.geobndrytypecode, a.geobndrycodetext, c.currencyisoname, c.isomnemoniccode, c.isonumericcode, b.dfltcurrencyflag
       FROM geoboundary a, geobndrycurrency b, commoncurrency c
       WHERE a.id = b.geoboundaryid
and  b.commoncurrencyid = c.id;


CREATE OR REPLACE VIEW V_CUSTOMERROLE
AS 
SELECT
CR.SponsorCode
, CR.CustomerValue
, CR.DebtIndicator
, CR.FirstContactModeSwitch
, CR.InterDiscountContractSwitch
, CR.LastUsedAsProspectDate
, CR.MaxUsedAsLeadCount
, CR.ProfileUpdateAllowedSwitch
, CR.ProspectSourceListName
, CR.ProspectExpirationDate
, CR.ProspectUsageCount
, CR.TVGuideSwitch
, CR.UnableToPurchaseProductsSwitch
, CR.CustomerStatusCode
, CR.PortfolioId
, CR.PartyRoleId
, PR.DeletedFlag
, PR.PartyId
, PR.EffectiveFrom
, PR.EffectiveTo
, PR.PartyRoleTypeCode
, PR.Created
, PR.CreatedBy
, PR.LastUpdate
, PR.UpdatedBy
, PR.ID
, PR.LOCKTOKENTEXT
, CR.LOCKTOKENTEXT
FROM
BSBCUSTOMERROLE CR
, BSBPARTYROLE PR
WHERE CR.PARTYROLEID = PR.ID;


CREATE OR REPLACE VIEW V_IDRETAILBUSINESS
AS 
SELECT
-- This view will return one row for each telephone number associated with a business, so
-- that a business can be ID?d by any of its phone numbers.
-- This will always return at least one row per business (since each business must have at
-- least one telephone number) but may return multiple rows for a single business.  Duplicates
-- must be removed in code. Each row will also contain the business? primary phone number
-- to simplify this process.
   r.id
        , bus.partyid
        , bus.tradingname
        , bus.vatnumber
        , r.headofficeretailbusinessid
        , r.asagroupnumber
        , r.asabranchnumber
        , r.retailerstatuscode
        , r.headofficeflag
        , r.multiplestatuscode
        , r.specialmessage
, a.ADDRESSLINE1
, a.ADDRESSLINE2
, a.ADDRESSLINE3
, a.ADDRESSLINE4
, a.QASVALIDATED
, a.DPSUFFIX
        , a.housenumber
        , a.housename
        , a.street
        , a.town
        , a.county
        , a.postcode
        , e.emailaddress
        , t.combinedtelephonenumber
        , t1.telephonenumber
        , t1.areacode
        , tc.primaryflag
FROM
      BSBRETAILBUSINESS   r
    , BSBCONTACTADDRESS   ac
    , BSBADDRESS          a
    , BSBCONTACTEMAIL     ec
    , BSBEMAIL            e
    , BSBCONTACTTELEPHONE tc
    , BSBTELEPHONE        t
    , BSBCONTACTTELEPHONE tc1
    , BSBTELEPHONE        t1
    , BSBBUSINESS         bus
WHERE bus.id              = ac.businessid (+)
AND   ac.addressid        = a.id (+)
AND   ac.primaryflag (+)  = '1'
--AND   ac.effectivefromdate (+)  <= SYSDATE
--AND   (ac.effectivetodate IS NULL OR ac.effectivetodate >= SYSDATE)
AND   ac.effectivefromdate (+)  <= SYSDATE
--AND   (ac.effectivetodate IS NULL OR TO_DATE(ac.effectivetodate,'DD-MON-YY') >= TO_DATE(SYSDATE,'DD-MON-YY')) (Changed to below SCR 388)
AND   NVL(ac.effectivetodate, SYSDATE) >= SYSDATE
--AND   (ac.deletedflag IS NULL OR ac.deletedflag = 0)
AND   ac.deletedflag (+) = 0
AND   bus.id              = ec.businessid (+)
AND   ec.emailid          = e.id (+)
AND   ec.primaryflag (+)  = '1'
--AND   ec.effectivefromdate (+)  <= SYSDATE
--AND   (ec.effectivetodate IS NULL OR ec.effectivetodate >= SYSDATE)
--AND   (ec.deletedflag IS NULL OR ec.deletedflag = 0)
AND   ec.deletedflag (+) = 0
AND   bus.id              = tc.businessid (+)
AND   tc.telephoneid      = t.id (+)
--AND   tc.effectivefromdate (+)  <= SYSDATE
--AND   (tc.effectivetodate IS NULL OR tc.effectivetodate >= SYSDATE)
AND   bus.id              = tc1.businessid (+)
AND   tc1.primaryflag (+)  = '1'
AND   tc1.telephoneid      = t1.id (+)
--AND   tc1.effectivefromdate (+)  <= SYSDATE
--AND   (tc1.effectivetodate IS NULL OR tc1.effectivetodate >= SYSDATE)
--AND   (tc.deletedflag IS NULL OR tc.deletedflag = 0) (changed to below SCR 388)
AND   tc.deletedflag (+) = 0
AND   bus.partyid              = r.partyid;


CREATE OR REPLACE VIEW V_BSBCONTACTADDRESS
AS 
Select
  A.ID,
  A.ADDRESSID,
  A.BUSINESSID,
  A.CONTACTORID,
  A.TYPECODE,
  A.EFFECTIVEFROMDATE,
  A.EFFECTIVETODATE,
  A.PRIMARYFLAG,
  A.DELETEDFLAG,
  A.LOCKTOKENTEXT,
  B.ADDRESSLINE1,
  B.ADDRESSLINE2,
  B.ADDRESSLINE3,
  B.ADDRESSLINE4,
  B.QASVALIDATED,
  B.DPSUFFIX,
  B.HOUSENUMBER,
  B.HOUSENAME,
  B.STREET,
  B.TOWN,
  B.LOCALITY,
  B.COUNTY,
  B.POSTCODE,
  B.COUNTRYCODE,
  B.BLACKLISTEDFLAG,
  B.CREATED,
  B.CREATEDBY,
  B.LASTUPDATE,
  B.UPDATEDBY,
  B.LOCKTOKENTEXT
From BSBContactAddress A, BSBAddress B
Where A.AddressId = B.Id;


CREATE OR REPLACE VIEW V_IDRETAILBUSINESSBYTELEPHONE
AS 
SELECT
    r.id
, bus.partyid
, bus.tradingname
, bus.vatnumber
, r.headofficeretailbusinessid
, r.asagroupnumber
, r.asabranchnumber
, r.retailerstatuscode
, r.headofficeflag
, r.multiplestatuscode
, r.specialmessage
, a.ADDRESSLINE1
, a.ADDRESSLINE2
, a.ADDRESSLINE3
, a.ADDRESSLINE4
, a.QASVALIDATED
, a.DPSUFFIX
, a.housenumber
, a.housename
, a.street
, a.town
, a.county
, a.postcode
, e.emailaddress
, t.combinedtelephonenumber
, t1.telephonenumber
, t1.areacode
, tc.primaryflag
FROM
        BSBRETAILBUSINESS   r
    , BSBCONTACTADDRESS   ac
    , BSBADDRESS          a
    , BSBCONTACTEMAIL     ec
    , BSBEMAIL            e
    , BSBCONTACTTELEPHONE tc
    , BSBTELEPHONE        t
    , BSBCONTACTTELEPHONE tc1
    , BSBTELEPHONE        t1
    , BSBBUSINESS         bus
WHERE bus.id = ac.businessid (+)
AND   ac.addressid = a.id (+)
AND   ac.primaryflag (+) = '1'
AND   ac.effectivefromdate (+) <= SYSDATE
AND   NVL(ac.effectivetodate, SYSDATE) >= SYSDATE
AND   ac.deletedflag (+) = 0
AND   bus.id = ec.businessid (+)
AND   ec.emailid = e.id (+)
AND   ec.primaryflag (+) = '1'
AND   ec.deletedflag (+) = 0
AND   bus.id = tc.businessid
AND   tc.telephoneid = t.id
AND   bus.id = tc1.businessid
AND   tc1.primaryflag = '1'
AND   tc1.telephoneid = t1.id
AND   tc.deletedflag = 0
AND   bus.partyid = r.partyid;


CREATE OR REPLACE VIEW V_BSBINSTALLERTEAMS
AS 
Select
Team.ID as ID
, Team.CreatedBy as CreatedBy
, Team.Created as Created
, Team.UpdatedBy as UpdatedBy
, Team.LastUpdate as LastUpdate
, Team.Name as TeamName
, Manager.FirstName as GivenName
, Manager.FamilyName as FamilyName
, Team.ManagerId as ManagerId
, Team.LOCKTOKENTEXT as INSTALLERTEAMLOCKTOKENTEXT
From
BSBInstallerRole Installer
,BSBInstallerTeam Team
,Person Manager
,BSBPartyRole PartyRole
where
Team.ManagerID = Installer.Idno (+)
And Installer.PartyRoleID = PartyRole.ID (+)
And PartyRole.PartyID = Manager.PartyID (+);


CREATE OR REPLACE VIEW V_CONTACTORBYNDSNUMBER
AS 
SELECT DISTINCT ID                       AS ID
               ,PARTYID                  AS PARTYID
               ,PARTYROLETYPECODE        AS PARTYROLETYPECODE
               ,HONORIFICTITLECODE       AS HONORIFICTITLECODE
               ,FIRSTNAME                AS FIRSTNAME
               ,MIDDLENAME               AS MIDDLENAME
               ,FAMILYNAME               AS FAMILYNAME
               ,BIRTHDATE                AS BIRTHDATE
               ,MORTALITYSTATUS          AS MORTALITYSTATUS
               ,PERSONSUBTYPE            AS PERSONSUBTYPE
               ,MOTHERMAIDENNAME         AS MOTHERMAIDENNAME
               ,PASSWORD                 AS PASSWORD
               ,DECEASEDNOTIFICATIONDATE AS DECEASEDNOTIFICATIONDATE
               ,SETTOPBOXNDSNUMBER       AS NDSNUMBER
               ,STATUS                   AS STATUS
               ,LOCKTOKENTEXT            AS BSBCONTACTORLOCKTOKENTEXT
FROM   (SELECT con.id
              ,con.partyid
              ,PRol.PARTYROLETYPECODE
              ,per.honorifictitlecode
              ,per.firstname
              ,per.middlename
              ,per.familyname
              ,per.birthdate
              ,con.mortalitystatus
              ,con.personsubtype
              ,con.mothermaidenname
              ,con.password
              ,con.deceasednotificationdate
              ,ele.settopboxndsnumber
              ,ele.status
              ,con.LOCKTOKENTEXT
        FROM   BSBCustomerProductElement ele
              ,BSBPortfolioProduct       prd
              ,BSBCustomerRole           Rol
              ,BSBPartyRole              PRol
              ,Person                    Per
              ,BSBContactor              Con
        WHERE  ele.CUSTOMERPRODUCTELEMENTTYPE = 'HI'
        AND    ele.PORTFOLIOPRODUCTID = prd.id
        AND    prd.portfolioid = Rol.portfolioId
        AND    Rol.PartyRoleId = PRol.Id
        AND    PRol.partyid = per.partyid
        AND    Per.PartyId = Con.PartyId
        AND    Rol.CUSTOMERSTATUSCODE != 'REMOVED'
        UNION ALL
        SELECT con.id
              ,con.partyid
              ,PRol.PARTYROLETYPECODE
              ,per.honorifictitlecode
              ,per.firstname
              ,per.middlename
              ,per.familyname
              ,per.birthdate
              ,con.mortalitystatus
              ,con.personsubtype
              ,con.mothermaidenname
              ,con.password
              ,con.deceasednotificationdate
              ,ele.settopboxndsnumber
              ,ele.status
              ,con.LOCKTOKENTEXT
        FROM   BSBCustomerProductElement ele
              ,BSBPortfolioProduct       prd
              ,BSBAuthorizedContactRole  Rol
              ,BSBPartyRole              PRol
              ,Person                    Per
              ,BSBContactor              Con
        WHERE  ele.CUSTOMERPRODUCTELEMENTTYPE = 'HI'
        AND    ele.PORTFOLIOPRODUCTID = prd.id
        AND    prd.portfolioid = Rol.portfolioId
        AND    Rol.PartyRoleId = PRol.Id
        AND    PRol.partyid = per.partyid
        AND    Per.PartyId = Con.PartyId
        AND    PRol.EFFECTIVETO IS NULL)
/* PVCS $Revision:   1.0  $ */
/* PVCS $Date:   Apr 12 2006 17:22:46  $ */;


CREATE OR REPLACE VIEW V_BSBINSTALLERSUMMARY
AS 
SELECT ir.idno AS IDNO
      ,it.NAME AS TeamName
      ,(P.FirstName || ' ' || P.familyName) AS InstallerName
      ,(SELECT Mp.FirstName || ' ' || Mp.FamilyName
        FROM   BSBInstallerRole Mir -- Team Manager Details
              ,BSBPartyRole     Mpr -- Team Manager Details
              ,Person           Mp -- Team Manager Details
        WHERE  Mir.IDNO = it.managerid
        AND    Mir.Partyroleid = Mpr.ID
        AND    Mp.partyid = Mpr.Partyid) AS TeamManagerName
      ,ir.RegionCode
      ,t.CombinedtelephoneNumber AS ContactNumber
      ,(SELECT Mt.CombinedTelephonenumber
        FROM   BSBInstallerRole    Mir -- Team Manager Details
              ,BSBPartyRole        Mpr -- Team Manager Details
              ,BSBContactor        Mc -- Team Manager Details
              ,BSBContactTELEPHONE Mct -- Team Manager Details
              ,BSBTelephone        Mt -- Team Manager Details
        WHERE  Mir.IDNO = it.managerid
        AND    Mir.Partyroleid = Mpr.ID
        AND    Mc.Partyid = Mpr.Partyid
        AND    Mct.Contactorid = Mc.ID
        AND    Mt.ID = Mct.Telephoneid
        AND    Mct.Typecode = 'M') AS ManagerContactNumber
      ,P.FirstName AS FirstName
      ,P.familyName AS FamilyName
      ,ir.PartyRoleId AS ID
      ,p.PartyId
      ,p.Birthdate
      ,ir.PayrollNumber
      ,ir.Status
      ,ir.CompanyName
      ,RIC.isManager
      ,ir.ClassificationCode
      ,ir.ResourceTypeCode
      ,RIR.RegionDescription AS RegionDesc
      ,RIC.DESCRIPTION AS ClassificationDesc
      ,Xt.CombinedtelephoneNumber AS MobexNumber
FROM   BSBInstallerRole               ir
      ,BSBPartyRole                   pr
      ,Person                         p
      ,BSBInstallerTeam               it
      ,BSBContactor                   c
      ,BSBContactTelephone            ct
      ,BSBTelephone                   t
      ,BSBContactTelephone            Xct
      ,BSBTelephone                   Xt
      ,RefDataMgr.V_BSBInstallerClassification RIC
      ,RefDataMgr.V_BSBInstallerRegion         RIR
-- VERSION: SCR1682
WHERE  ir.TeamID = it.ID(+)
AND    ir.PartyroleID = pr.ID
AND    p.PartyID = pr.PartyID
AND    c.PartyID(+) = pr.PartyID
AND    ct.ContactorID(+) = c.ID
AND    t.ID(+) = ct.TelephoneID
AND    ct.TypeCode(+) = 'M' -- Only want to show Mobile numbers if they exist
AND    Xct.ContactorID(+) = c.ID
AND    Xt.ID(+) = Xct.TelephoneID
AND    Xct.TypeCode(+) = 'X' -- Only want to show Mobex numbers if they exist
AND    RIC.Code = ir.ClassificationCode
AND    RIR.ID(+) = ir.regioncode
AND    ir.IDNO NOT LIKE '%Deleted%';


CREATE OR REPLACE VIEW V_BILLINGCHARGE
AS 
select DISTINCT
TRANSACTIONDATE AS rs_TransactionDate,
SERVICETYPECODE AS rs_ServiceTypeCode,
v1.SERVICEINSTANCEID AS rs_ServiceInstanceID,
SALESTYPE AS rs_SalesType,
QUOTEDPRICE AS rs_QuotedPrice,
PROPOSEDPAYMENTMETHODCODE AS rs_ProposedPaymentMethodCode,
PRICEABLEUNITTYPECODE AS rs_PriceableUnitTypeCode,
PRICEABLEUNITREFERENCEID AS rs_PriceableUnitReferenceID,
v1.PRICEABLEUNITID AS rs_PriceableUnitID,
PORTFOLIOOFFERID AS rs_PortfolioOfferId,
NUMBEROFINSTALLMENTS AS rs_NumberOfInstalments,
ENDDATE AS rs_EndDate,
--EFFECTIVETO AS rs_EffectiveTo,
EFFECTIVEFROM AS rs_EffectiveFrom,
EFFECTIVEDATE AS rs_EffectiveDate,
DISCOUNTEDPRICEABLEUNITID AS rs_DiscountedPriceableUnitID,
DESCRIPTION AS rs_Description,
CHANGEPAYMENTMETHODALLOWEDFLAG AS rs_ChangePaymentMethodAllowedF,
BILLINGSOURCECODE AS rs_BillingSourceCode,
BILLINGITEMSTATUSCODE AS rs_BillingItemStatusCode,
BILLINGITEMID AS rs_BillingItemID,
BILLINGACTIONTYPECODE AS rs_BillingActionTypeCode,
--BILLINGACTIONSTATUSCODE AS rs_BillingActionStatusCode,
--BillingActionID AS rs_BillingActionID,
BILLINGACCOUNTID AS rs_BillingAccountID,
ASSOCIATEDTRANSACTIONID AS rs_AssociatedTransactionID,
ADJUSTMENTREASONCODE AS rs_AdjustmentReasonCode,
ADJUSTMENTDESTINATIONCODE AS rs_AdjustmentDestinationCode,
ADJUSTMENTAMOUNT AS rs_AdjustmentAmount ,
pp1.SUBSCRIPTIONID AS rs_SubscriptionID,
--v1.BILLINGACTION_LOCKFLAG AS rs_BillingAction_LockFlag,
v1.BILLINGITEM_LOCKFLAG AS rs_BillingItem_LockFlag,
v1.PRICEABLEUNIT_LOCKFLAG AS rs_PriceableUnit_LockFlag
from
V_BILLINGITEMPRICEABLEUNIT v1,
BSBPriceableUnitPortfolioProd ppd1,
BSBPortfolioProduct pp1
WHERE
v1.PRICEABLEUNITID = ppd1.PRICEABLEUNITID AND
ppd1.PORTFOLIOPRODUCTID = pp1.ID;


CREATE OR REPLACE VIEW V_CUSTOMERAGREEMENTSUMMARY
AS 
SELECT SAI.AgreementItemId 			AS ID
      ,SAI.AgreementNumber     			AS AGREEMENTNUMBER
      ,SAI.RegisteredDate 			AS REGISTEREDDATE
      ,SUB.InitialEnablementDate 		AS ENABLEMENTDATE
      ,SUB.Status 				AS STATUS
      ,CVP.Code 				AS CONTRACTVIEWINGPACKAGECODE
      ,AVP.Code 				AS ACTIVATEDVIEWINGPACKAGECODE
      ,PAP.CommissionPayable 			AS COMMISSIONVOIDFLAG
      ,RET.ID 					AS RETAILERID
      ,RET.ASAGroupNumber 			AS ASAGROUPNUMBER
      ,RET.ASABranchNumber 			AS ASABRANCHNUMBER
      ,BUS.TradingName 				AS RETAILERNAME
      ,CON.ID 					AS CONTACTORID
      ,RET.OperatingCountryCode 		AS RETAILEROPERATINGCOUNTRYCODE
      ,SAI.Created 				AS CREATED
      ,SAI.CreatedBy 				AS CREATEDBY
      ,SAI.LastUpdate 				AS LASTUPDATE
      ,SAI.UpdatedBy 				AS UPDATEDBY
FROM   BSBSubscriptionAgreementItem SAI
      ,BSBPAPERAGREEMENT            PAP
      ,BSBServiceInstance           PSI
      ,BSBSubscription              SUB
      ,refdatamgr.V_BSBSubscriptionType      SUBSTYPE
      ,BSBSubscriptionEntitlement   SUBENT
      ,refdatamgr.V_BSBEntitlement           AVP
      ,BSBAgreementToEnt            AGRENT
      ,refdatamgr.V_BSBEntitlement           CVP
      ,BSBRetailBusiness            RET
      ,BSBBusiness                  BUS
      ,BSBCustomerRole              CUSTROLE
      ,BSBPartyRole                 PARTYROLE
      ,BSBContactor                 CON
WHERE  SAI.SubscriptionId = SUB.Id
AND    SUB.ServiceInstanceId = PSI.Id
AND    SUB.SubscriptionTypeId = SUBSTYPE.ID
AND    SUBSTYPE.Code = 'PDTV'
AND    SUBENT.SubscriptionId(+) = SUB.ID
AND    AVP.ID(+) = SUBENT.EntitlementId
AND    PAP.AgreementNumber(+) = SAI.AgreementNumber
AND    AGRENT.AgreementNumber(+) = SAI.AgreementNumber
AND    AGRENT.EntitlementId = CVP.ID(+)
AND    NVL(CVP.SubscriptionTypeId, SUBSTYPE.id) = SUBSTYPE.ID
AND    SAI.RetailBusinessId = RET.ID
AND    Ret.PartyId = BUS.PartyId
AND    PSI.PortfolioId = CUSTROLE.PortfolioId
AND    CUSTROLE.PartyRoleId = PARTYROLE.ID
AND    PARTYROLE.PartyId = CON.PartyId
AND    NVL(SUBENT.EffectiveFromDate, SYSDATE) = (SELECT NVL(MIN(SUBENT2.EffectiveFromdate), SYSDATE)
                                                 FROM   BSBSubscriptionEntitlement SUBENT2
                                                 WHERE  SUBENT2.SubscriptionId = SUBENT.SubscriptionId)
/* PVCS $Revision:   1.0  $ */
/* PVCS $$Date:   Jun 12 2006 11:09:38  $ */;


CREATE OR REPLACE VIEW V_BSBTARGETEDMAILSHOT
AS 
SELECT
tms.ID
, tms.MAILSHOTID
, tms.PARTYID
, ms.MAILSHOTDESCRIPTION
, ms.NAME
, ms.ENDDATE
, vcam.CAMPAIGNSOURCEID
, ms.INTERESTSOURCEID
FROM
BSBTargetedMailShot tms
,BSBMailShot ms
, refdatamgr.V_BSBCAMPAIGNINTERESTSOURCE vcam
WHERE tms.MAILSHOTID = ms.ID
AND vcam.ID(+) = ms.INTERESTSOURCEID
AND vcam.CAMPAIGNSOURCEID is not null;


CREATE OR REPLACE VIEW V_PRODUCTCATALOG
AS 
SELECT a.id, b.productid, a.productnumber, a.partyid, a.productname, a.producttypecode, a.upcnumber, a.oemvalueamt, a.retailvalueamt, a.expirydate, a.effectivedate, b.id, b.productcatalogid, b.catalognumber, b.catalogname
       FROM product a, v_prodcatalogitem b
       WHERE a.id = b.productid;


CREATE OR REPLACE VIEW V_JOBSUMMARYVR
AS 
SELECT jobsummary.roleid
      ,jobsummary.OFFERINGNAME
      ,jobsummary.ADDEDTOJOBLIST
      ,jobsummary.ID
      ,customer.partyid
      ,jobsummary.classname
      ,jobsummary.KEY
      ,jobsummary.joblistid
      ,jobsummary.urgencyflag
      ,jobsummary.progressbydate
      ,jobsummary.created
      ,jobsummary.createdby
      ,jobsummary.lastupdate
      ,jobsummary.updatedby
      ,jobsummary.implementedclassdescription
      ,jobsummary.inuseby
      ,jobsummary.locktokentext
      ,customer.firstname
      ,customer.familyname
      ,visitreq.statusreasoncode1
      ,visitreq.visittimefrom
      ,visitreq.visittimeto
      ,installerrole.companyname
      ,installerrole.regioncode
      ,installer.firstname installerfirstname
      ,installer.familyname installerfamilyname
      ,addr.postcode
      ,visitreq.visitdate
      ,visitreq.etaupdatereason
FROM   bsbvisitrequirement visitreq
      ,v_jobsummary        jobsummary
      ,bsbinstallerrole    installerrole
      ,bsbpartyrole        installerpartyrole
      ,person              installer
      ,bsbaddress          addr
      ,bsbaddressusagerole addrrole
      ,bsbfulfilmentitem   fulfilmentitem
      ,bsbserviceinstance  serviceinstance
      ,bsbcustomerrole     customerrole
      ,bsbpartyrole        customerpartyrole
      ,person              customer
WHERE  jobsummary.implementedclassdescription = visitreq.fmsjobreference
AND    addr.ID = addrrole.addressid
AND    addrrole.ID = visitreq.installationaddressroleid
AND    installerrole.idno(+) = visitreq.installerid
AND    installerpartyrole.ID(+) = installerrole.partyroleid
AND    installer.partyid(+) = installerpartyrole.partyid
AND    jobsummary.classname = 'BSBVisitRequirement'
AND    visitreq.fulfilmentItemId = fulfilmentItem.id
AND    fulfilmentItem.serviceinstanceid = serviceinstance.id
AND    serviceinstance.portfolioid = customerrole.portfolioid
AND    customerrole.partyroleid = customerpartyrole.id
AND    customer.partyid = customerpartyrole.partyid
ORDER  BY installerrole.regioncode
         ,jobsummary.OFFERINGNAME
         ,jobsummary.progressbydate;


CREATE OR REPLACE VIEW V_JOBSUMMARYTE
AS 
(
    SELECT
        jobsummary.ROLEID,
jobsummary.OFFERINGNAME,
jobsummary.ADDEDTOJOBLIST,
        jobsummary.ID,
        jobsummary.PARTYID,
        jobsummary.CLASSNAME,
        jobsummary.KEY,
        jobsummary.JOBLISTID,
        jobsummary.URGENCYFLAG,
        jobsummary.PROGRESSBYDATE,
        jobsummary.CREATED,
        jobsummary.CREATEDBY,
        jobsummary.LASTUPDATE,
        jobsummary.UPDATEDBY,
        jobsummary.IMPLEMENTEDCLASSDESCRIPTION,
        jobsummary.INUSEBY,
        jobsummary.LOCKTOKENTEXT,
        jobsummary.FIRSTNAME,
        jobsummary.FAMILYNAME,
        techenq.symptomcode,
        techenq.ID technicalenquiryid,
        techenq.referencenumber,
        techenq.actioncode
      FROM
        v_jobsummary jobsummary,
        bsbtechnicalenquiry techenq
     WHERE
        techenq.jobid = jobsummary.id);


CREATE OR REPLACE VIEW V_OFFRNGHIERARCHY
AS 
SELECT a.id, a.parenthierarchyid, a.hierarchyseq, a.activeflag, a.offeringviewid, a.offeringcategoryid, b.categoryname, a.offeringid, c.offeringname, c.wfplaninfoid, c.prodcategoryname
       FROM offeringhierarchy a, offeringcategory b, v_offering c
       WHERE a.offeringcategoryid = b.id (+)
and a.offeringid = c.id (+);


CREATE OR REPLACE TRIGGER person_upd_trig
before update on person
for each row
declare

P_contactor_id varchar2(47);
P_businessparty_id varchar2(47);
p_bus_id varchar2(47);
p_dummy_flag varchar2(1);

P_multiplestatuscode varchar2(8);
p_givenname varchar2(40);
p_title varchar2(10);
p_familyname varchar2(40);

p_partyid varchar2(47);
p_identifyingname varchar2(95);

p_primarycontactflag number;

p_buscontactor_id varchar2(47);

p_headofficeflag number;

begin

select id into P_contactor_id
from bsbcontactor
where partyid = :new.partyid;

select id into p_buscontactor_id
from bsbbusinesscontactor
where contactorpartyid = :new.partyid;

select businesspartyid into p_businessparty_id
from bsbbusinesscontactor
where contactorpartyid = :new.partyid;

select primarycontactflag into p_primarycontactflag
from bsbbusinesscontactor
where id = p_buscontactor_id;

If p_primarycontactflag = 1
then

select id into P_bus_id
from bsbbusiness
where partyid = p_businessparty_id;

select multiplestatuscode into P_multiplestatuscode
from bsbretailbusiness
where partyid = p_businessparty_id;

select headofficeflag into P_headofficeflag
from bsbretailbusiness
where partyid = p_businessparty_id;


if (p_multiplestatuscode = 'D' and p_headofficeflag = 0
and :new.firstname != :old.firstname)
Or
(p_multiplestatuscode = 'D' and p_headofficeflag = 0
and :new.familyname != :old.familyname)
or
(p_multiplestatuscode = 'D' and p_headofficeflag = 0
or :new.honorifictitlecode != :old.honorifictitlecode)

then
p_identifyingname := :new.honorifictitlecode||' '||:new.firstname||' '||:new.familyname;

update bsbbusiness set identifyingname = p_identifyingname
where partyid = p_businessparty_id;

END IF;

end if;

exception

when no_data_found then
p_dummy_flag := 0;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbtelephone_trig
before update or insert on bsbtelephone
for each row
declare

 P_combinednumber varchar2(18);

begin

 if updating then

  p_combinednumber := :new.areacode||:new.telephonenumber;

  :new.combinedtelephonenumber := p_combinednumber;


 elsif inserting then

  p_combinednumber := :new.areacode||:new.telephonenumber;

  :new.combinedtelephonenumber := p_combinednumber;

 end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbbusinesscontactor_ins_trig
before insert on bsbbusinesscontactor
for each row
declare

 P_bus_id varchar2(47);
 P_multiplestatuscode varchar2(8);
 p_givenname varchar2(40);
 p_title varchar2(10);
 p_familyname varchar2(40);
 p_headofficeflag number;

 p_partyid varchar2(47);
 p_identifyingname varchar2(95);

 p_primarycontactflag number;

begin

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  -- Change for defect 929

  select headofficeflag into P_headofficeflag
  from bsbretailbusiness
  where partyid = :new.businesspartyid;


If p_multiplestatuscode = 'D' and p_headofficeflag = 0
then

If :new.primarycontactflag = 1
then

  p_bus_id := 0;
  p_multiplestatuscode := ' ';

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;


  select partyid into p_partyid
  from bsbcontactor
  where partyid = :new.contactorpartyid;

  select firstname into p_givenname
  from person
  where partyid = p_partyid;

  select honorifictitlecode into p_title
  from person
  where partyid = p_partyid;

  select familyname into p_familyname
  from person
  where partyid = p_partyid;

if p_multiplestatuscode = 'D' and p_headofficeflag = 0
  then
      p_identifyingname := p_title||' '||p_givenname||' '||p_familyname;

      update bsbbusiness set identifyingname = p_identifyingname
      where partyid = :new.businesspartyid;

  END IF;

end if;

end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbbbcustprodele_BI_ROW
BEFORE INSERT ON bsbbroadbandcustprodelement
FOR EACH ROW
BEGIN
   :NEW.created    := NVL(:NEW.created, SYSDATE);
   :NEW.createdby  := NVL(:NEW.createdby, 'SYSTEM');
   :NEW.lastupdate := NVL(:NEW.lastupdate, SYSDATE);
   :NEW.updatedby  := NVL(:NEW.updatedby, 'SYSTEM');
END bsbbbcustprodele_BI_ROW;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbbbcustprodele_BU_ROW
BEFORE UPDATE ON bsbbroadbandcustprodelement
FOR EACH ROW
BEGIN
   IF NOT updating('lastupdate') THEN
      :NEW.lastupdate := SYSDATE;
   END IF;
   IF NOT updating('updatedby') THEN
      :NEW.updatedby := 'SYSTEM';
   END IF;
END bsbbbcustprodele_Bu_ROW;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbretailbusiness_trig
before insert on bsbretailbusiness
for each row
declare

 P_multiplestatuscode varchar2(8);
 p_tradingname        varchar2(30);

begin

dbms_output.put_line ('code = '|| :new.multiplestatuscode);

if :new.multiplestatuscode != 'D' or :new.headofficeflag = 1
  then
       select tradingname into p_tradingname
       from bsbbusiness
       where partyid = :new.partyid;

       update bsbbusiness
       set identifyingname = p_tradingname
       where partyid = :new.partyid;

end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbbusinesscontactor_upd_trig
before update on bsbbusinesscontactor
for each row
declare

 P_bus_id varchar2(47);
 P_multiplestatuscode varchar2(8);
 p_givenname varchar2(40);
 p_title varchar2(10);
 p_familyname varchar2(40);
 p_headofficeflag number;

 p_partyid varchar2(47);
 p_identifyingname varchar2(95);

 p_primarycontactflag number;

begin


/* This statement has been removed to fix defect 514 */

-- update bsbbusiness set identifyingname = null
-- where id = :new.businessid;


If :new.primarycontactflag = 1
then

  select id into P_bus_id
  from bsbbusiness
  where partyid = :new.businesspartyid;

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  select headofficeflag into p_headofficeflag
  from bsbretailbusiness
  where partyid = :new.businesspartyid;

  select partyid into p_partyid
  from bsbcontactor
  where partyid = :new.contactorpartyid;

  select firstname into p_givenname
  from person
  where partyid = p_partyid;

  select honorifictitlecode into p_title
  from person
  where partyid = p_partyid;

  select familyname into p_familyname
  from person
  where partyid = p_partyid;

if p_multiplestatuscode = 'D' and p_headofficeflag = 0
     and :new.primarycontactflag != :old.primarycontactflag
  then
      p_identifyingname := p_title||' '||p_givenname||' '||p_familyname;

      update bsbbusiness set identifyingname = p_identifyingname
      where partyid = :new.businesspartyid;

  END IF;

end if;

end;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER bsbbusiness_upd_trig
before update on bsbbusiness
for each row
declare

 P_multiplestatuscode varchar2(8);
 p_dummy_flag varchar2(1);
 p_headofficeflag number;

begin

  select multiplestatuscode into P_multiplestatuscode
  from bsbretailbusiness
  where partyid = :new.partyid;

  select headofficeflag into P_headofficeflag
  from bsbretailbusiness
  where partyid = :new.partyid;

  if p_multiplestatuscode != 'D' or p_headofficeflag = 1
     and :new.tradingname != :old.tradingname
  then
      :new.identifyingname := :new.tradingname;
  END IF;

exception

when no_data_found then
  p_dummy_flag := 0;

end;
/
SHOW ERRORS;



CREATE SYNONYM BSBFEEDBACKCATEGORY FOR REFDATAMGR.BSBFEEDBACKCATEGORY;


CREATE SYNONYM V_SORTCODE FOR REFDATAMGR.V_SORTCODE;


CREATE SYNONYM BSBFEEDBACKREASON FOR REFDATAMGR.BSBFEEDBACKREASON;


CREATE SYNONYM V_PICKLIST FOR REFDATAMGR.V_PICKLIST;


CREATE SYNONYM V_BSBCOMMERCIALEVENTPRODUCT FOR REFDATAMGR.V_BSBCOMMERCIALEVENTPRODUCT;


CREATE SYNONYM V_BSBINSTALLERCLASSIFICATION FOR REFDATAMGR.V_BSBINSTALLERCLASSIFICATION;


CREATE SYNONYM V_BSBCOMMERCIALPRODUCT FOR REFDATAMGR.V_BSBCOMMERCIALPRODUCT;


CREATE SYNONYM BSBINSTALLBUNDLEPICKER_GTT FOR REFDATAMGR.BSBINSTALLBUNDLEPICKER_GTT;


CREATE SYNONYM V_BSBINSTALLBUNDLEPICKER FOR REFDATAMGR.V_BSBINSTALLBUNDLEPICKER;


ALTER TABLE ATTRJOININFO ADD (
  CONSTRAINT XPKATTRJOININFO
 PRIMARY KEY
 (ID));

ALTER TABLE BIZSVCCLASSINFO ADD (
  CONSTRAINT XPKBIZSVCCLSINFO
 PRIMARY KEY
 (ID));

ALTER TABLE BSBADDRESS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBADDRESSUSAGEROLE ADD (
  CONSTRAINT PK_BSBADDRESSUSAGEROLE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBADMINMESSAGES ADD (
  CONSTRAINT PK_BSBADMINMESSAGES
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAGREEMENTITEM ADD (
  CONSTRAINT PK_BSBAGREEMENTITEM
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAGREEMENTRANGE ADD (
  CONSTRAINT PK_BSBAGREEMENTRANGE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAGREEMENTTOENT ADD (
  CONSTRAINT PK_BSBAGREEMENTENTBRIDGE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAGREEMENTTRANSFER ADD (
  CONSTRAINT PK_BSBAGREEMENTTRANSFER
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAPPLICATIONSTATE ADD (
  CONSTRAINT PK_BSBAPPLICATIONSTATE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBAUTHORIZEDCONTACTROLE ADD (
  CONSTRAINT PK_BSBAUTHORIZEDCONTACTROLE
 PRIMARY KEY
 (PARTYROLEID));

ALTER TABLE BSBBATCHNUMBER ADD (
  CONSTRAINT PK_BSBBATCHNUMBER
 PRIMARY KEY
 (ID),
  CONSTRAINT FK_BSBBATCHNUMBER_BATCHNUMBER
 UNIQUE (BATCHNUMBER));

ALTER TABLE BSBBATCHRUN ADD (
  CONSTRAINT PK_BSBBATCHRUN
 PRIMARY KEY
 (ID));

ALTER TABLE BSBBILLINGACCOUNT ADD (
  CHECK (welcomelettersent in ( 0,1 )),
  CONSTRAINT PK_BSBBILLINGACCOUNT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBBILLINGADDRESSROLE ADD (
  CONSTRAINT PK_BSBBILLINGADDRESSROLE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBBILLINGITEM ADD (
  CONSTRAINT PK_BSBBILLINGITEM
 PRIMARY KEY
 (ID));

ALTER TABLE BSBBROADBANDCUSTPRODELEMENT ADD (
  CONSTRAINT PK_BSBBROADBANDCUSTPRODELEMENT
 PRIMARY KEY
 (LINEPRODUCTELEMENTID));

ALTER TABLE BSBBROADBANDEMAILSETTINGS ADD (
  CONSTRAINT CHK_SPAMFILTERON
 CHECK (SpamFilterOn IN (0,1)),
  CONSTRAINT PK_BSBBROADBANDEMAILSETTINGS
 PRIMARY KEY
 (EMAILID));

ALTER TABLE BSBBROADBANDREQUIREMENT ADD (
  CONSTRAINT CHK_MACREQUIRED
 CHECK (MACRequired IN (0,1)),
  CONSTRAINT PK_BSBBROADBANDREQUIREMENT
 PRIMARY KEY
 (BROADBANDFULFILMENTITEMID));

ALTER TABLE BSBBROADBANDROUTER ADD (
  CONSTRAINT CK_BBROUTER_ALLOCATED
 CHECK ( allocated IN (0,1) ),
  CONSTRAINT PK_BROAD_BAND_ROUTER
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_BBROUTER_SN
 UNIQUE (SERIALNUMBER),
  CONSTRAINT UK_BBROUTER_MAC
 UNIQUE (MACADDRESS));

ALTER TABLE BSBBUSINESS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBBUSINESSCONTACTOR ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBCALLBACKINFORMATION ADD (
  CONSTRAINT PK_BSBCALLBACKINFORMATION
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCAMPAIGNOUTCOME ADD (
  CONSTRAINT PK_BSBCAMPAIGNOUTCOME
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCANCELLATIONATTEMPT ADD (
  CONSTRAINT PK_BSBCANCELLATIONATTEMPT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCICINFORMATION ADD (
  CONSTRAINT PK_BSBCICINFORMATION
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCLIVIOLATION ADD (
  CONSTRAINT PK_BSBCLIVIOLATION
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCOMMERCIALAGREEMENTITEM ADD (
  CONSTRAINT PK_BSBCOMMERCIALAGREEMENTITEM
 PRIMARY KEY
 (AGREEMENTITEMID));

ALTER TABLE BSBCONTACTADDRESS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBCONTACTEMAIL ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBCONTACTOR ADD (
  CONSTRAINT CHK_DECNOTIFICDATE_NULLABLE
 CHECK ((DECEASEDNOTIFICATIONDATE IS NOT NULL AND MORTALITYSTATUS IN ('02','03')) OR 
                                                 (DECEASEDNOTIFICATIONDATE IS NULL AND MORTALITYSTATUS NOT IN ('02','03'))),
  PRIMARY KEY
 (ID));

ALTER TABLE BSBCONTACTTELEPHONE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBCREDITLIMIT ADD (
  CONSTRAINT PK_BSBCREDITLIMIT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCROSSUPSELLATTEMPT ADD (
  CONSTRAINT PK_BSBCROSSUPSELLATTEMPT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBCUSTOMERPRODUCTELEMENT ADD (
  CONSTRAINT CHK_ISP_SAMREGISTRYID_NOTNULL
 CHECK (DECODE(customerproductelementtype,'IS',samregistryid,nvl2(samregistryid,NULL,0)) IS NOT NULL),
  CONSTRAINT PK_BSBCUSTOMERPRODUCTELEMENT
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_CARDNUMBER
 UNIQUE (CARDNUMBER));

ALTER TABLE BSBCUSTOMERROLE ADD (
  CONSTRAINT PK_BSBCUSTOMERROLE
 PRIMARY KEY
 (PARTYROLEID));

ALTER TABLE BSBDISABILITYDETAIL ADD (
  CONSTRAINT PK_BSBDISABILITYDETAIL
 PRIMARY KEY
 (ID));

ALTER TABLE BSBDISABILITYSERVICE ADD (
  CONSTRAINT PK_BSBDISABILITYSERVICE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBDOWNGRADEATTEMPT ADD (
  CONSTRAINT PK_BSBDOWNGRADEATTEMPT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBDSLQUERYRESPONSE ADD (
  CONSTRAINT CHK_BROADBANDELIGIBLE
 CHECK ( BroadbandEligible IN (0,1) ),
  CONSTRAINT CHK_DSLQUERYMACREQUIRED
 CHECK ( MACRequired IN (0,1) ),
  CONSTRAINT CHK_DSLTYPE
 CHECK (DSLType IN ('Option 2','Option 4')),
  CONSTRAINT CHK_RESPONSETYPE
 CHECK ( ResponseType IN (0,1,2) /* 0=Failed ; 1=Successful ; 2=Partially Successful */ ),
  CONSTRAINT PK_BSBDSLQUERYRESPONSE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBEMAIL ADD (
  PRIMARY KEY
 (ID),
  CONSTRAINT UK_SAMREGISTRY_BSBEMAIL
 UNIQUE (SAMREGISTRYID));

ALTER TABLE BSBFEEDBACK ADD (
  CONSTRAINT PK_BSBFEEDBACK
 PRIMARY KEY
 (ID));

ALTER TABLE BSBFULFILMENTITEM ADD (
  CONSTRAINT PK_BSBFULFILMENTITEM
 PRIMARY KEY
 (ID));

ALTER TABLE BSBGENERALENQUIRY ADD (
  CONSTRAINT PK_BSBGENERALENQUIRY
 PRIMARY KEY
 (ID));

ALTER TABLE BSBINSTALLERROLE ADD (
  CONSTRAINT PK_BSBINSTALLERROLE
 PRIMARY KEY
 (PARTYROLEID),
  CONSTRAINT IDX_BSBINSTALLERROLE_IDNO
 UNIQUE (IDNO),
  CONSTRAINT INSTALLERROLE_UNQ
 UNIQUE (PAYROLLNUMBER));

ALTER TABLE BSBINSTALLERTEAM ADD (
  CONSTRAINT PK_BSBINSTALLERTEAM
 PRIMARY KEY
 (ID),
  CONSTRAINT UNQ_BSBINSTALLERTEAM_NAME
 UNIQUE (NAME));

ALTER TABLE BSBJOB ADD (
  CONSTRAINT PK_BSBJOB
 PRIMARY KEY
 (ID));

ALTER TABLE BSBJOBLIST ADD (
  CONSTRAINT PK_BSBJOBLIST
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_BSBJOBLIST
 UNIQUE (CLASSNAME, ROLEID));

ALTER TABLE BSBKANAENTITLEMENT ADD (
  CONSTRAINT PK_BSBKANAENTITLEMENT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBLITERATUREITEM ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBLITERATUREORDER ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBLITERATUREORDERLINE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBMAILSHOT ADD (
  CONSTRAINT PK_BSBMAILSHOT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBMISCELLANOUSCONTACTROLE ADD (
  CONSTRAINT PK_BSBMISCELLANOUSCONTACTROLE
 PRIMARY KEY
 (PARTYROLEID));

ALTER TABLE BSBMPPAPPLICATION ADD (
  CONSTRAINT PK_BSBMPPAPPLICATION
 PRIMARY KEY
 (ID));

ALTER TABLE BSBOFFERINGROLEBRIDGE ADD (
  CONSTRAINT PK_BSBOFFERINGROLEBRIDGE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBOFFERINGSTATEBRIDGE ADD (
  CONSTRAINT PK_BSBOFFERINGSTATEBRIDGE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBORDER ADD (
  CONSTRAINT PK_BSBORDER
 PRIMARY KEY
 (ID));

ALTER TABLE BSBORDERLINE ADD (
  CONSTRAINT PK_BSBORDERLINE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAPERAGREEMENT ADD (
  CONSTRAINT PK_BSBPAPERAGREEMENT
 PRIMARY KEY
 (ID),
  CONSTRAINT FK_AGREEMENT_CONTRACTNUMBER
 UNIQUE (AGREEMENTNUMBER));

ALTER TABLE BSBPAPERAGRENTERRORS ADD (
  CONSTRAINT PK_BSBPAPERAGRENTERRORS
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAPERAGRERRORLIST ADD (
  CONSTRAINT PK_BSBPAPERAGRERRORLIST
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAPERAGRERRORS ADD (
  CONSTRAINT PK_BSBPAPERAGRERRORS
 PRIMARY KEY
 (ID),
  CONSTRAINT FK_AGRERR_CONTRACTNUMBER
 UNIQUE (AGREEMENTNUMBER));

ALTER TABLE BSBPAPERITEM ADD (
  CONSTRAINT CHK_PAPERITEMTYPE
 CHECK (TypeCode IN ('M','C')),
  CONSTRAINT PK_PAPERITEM_ID
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_PAP_PDTV
 UNIQUE (PDTV_ID));

ALTER TABLE BSBPAPERMANDATE ADD (
  CONSTRAINT PK_BSBPAPERMANDATE
 PRIMARY KEY
 (ID),
  CONSTRAINT FK_MANDATE_CONTRACTNUMBER
 UNIQUE (AGREEMENTNUMBER));

ALTER TABLE BSBPARTYROLE ADD (
  CONSTRAINT PK_BSBPARTYROLE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAYMENT ADD (
  CONSTRAINT PK_BSBPAYMENT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAYMENTMETHOD ADD (
  CONSTRAINT PK_BSBPAYMENTMETHOD
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAYMENTMETHODCHANGEHEADER ADD (
  CONSTRAINT PK_BSBPAYMENTMETHODCHANGEHEADE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAYMENTMETHODCHANGEREQUEST ADD (
  CONSTRAINT PK_BSBPAYMENTMETHODCHANGEREQUE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPAYMENTMETHODROLE ADD (
  CONSTRAINT PK_BSBPAYMENTMETHODROLE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPORTFOLIO ADD (
  CONSTRAINT PK_BSBPORTFOLIO
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPORTFOLIOOFFER ADD (
  CONSTRAINT PK_BSBPORTFOLIOOFFER
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPORTFOLIOOFFERDEPENDENCY ADD (
  CONSTRAINT PK_BSBPORTFOLIOOFFERDEPENDENCY
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPORTFOLIOPRODUCT ADD (
  CONSTRAINT PK_BSBPORTFOLIOPRODUCT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPRICEABLEUNIT ADD (
  CONSTRAINT CHK_VIEWEDDATE_NOTNULL
 CHECK ((priceableunittypecode IN ('IP','OP') AND ViewedDate IS NOT NULL)
      OR (priceableunittypecode NOT IN ('IP','OP') AND ViewedDate IS NULL)
      /* ViewedDate should only be (and must be) populated when TypeCode is 'IP,'OP' */ ),
  CONSTRAINT PK_BSBPRICEABLEUNIT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPRICEABLEUNITPORTFOLIOPROD ADD (
  CONSTRAINT PK_BSBPRICEABLEUNITPORTFOLIOPR
 PRIMARY KEY
 (ID));

ALTER TABLE BSBPROPERTYDETAIL ADD (
  CONSTRAINT PK_BSBPROPERTYDETAIL
 PRIMARY KEY
 (ID));

ALTER TABLE BSBREFUND ADD (
  CONSTRAINT PK_BSBREFUND
 PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILAFFILIATION ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILBUSINESS ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILCOMMISSIONACCOUNT ADD (
  CONSTRAINT PK_BSBRETAILCOMMISSIONACCOUNT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILERAUDITRECORD ADD (
  CONSTRAINT PK_BSBRETAILERAUDITRECORD
 PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILPROOFOFPURCHASE ADD (
  CONSTRAINT PK_BSBRETAILPROOFOFPURCHASE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBRETAILPROOFOFPURCHASEDETAIL ADD (
  CONSTRAINT PK_BSBRETAILPROOFOFPURCHASEDET
 PRIMARY KEY
 (ID));

ALTER TABLE BSBROLE ADD (
  CONSTRAINT PK_BSBROLE
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_BSBROLENAME
 UNIQUE (ROLE));

ALTER TABLE BSBROLETOKANAENTITLEMENT ADD (
  CONSTRAINT PK_BSBROLETOKANAENTITLEMENT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBSALESLEAD ADD (
  CONSTRAINT PK_BSBSALESLEAD
 PRIMARY KEY
 (ID));

ALTER TABLE BSBSAMREGISTRY ADD (
  CONSTRAINT CHK_PROFILETYPE
 CHECK (ProfileType IN ('P','S','G','B','R')),
  CONSTRAINT CHK_PROFTYPE_PARTYID_NULLABLE
 CHECK ((profiletype IN ('P','S') AND partyid IS NOT NULL) OR (profiletype IN ('G','B','R') AND partyid IS NULL)),
  CONSTRAINT CHK_RESERVEDONLY
 CHECK (ReservedOnly IN (0,1)),
  CONSTRAINT CHK_SAMREG_STATUS
 CHECK (status IN ('R','C','S') /* R = Reserved ; C = Confirmed ; S = Sent to SAM */),
  CONSTRAINT CHK_USERNAME_UPPERCASE
 CHECK (username=UPPER(username)),
  CONSTRAINT CHK_USERNAME_VALIDATION
 CHECK (
       LENGTH(username) > 2           /* 1) No usernames less than 3 characters long */
   AND SUBSTR(username, 1, 1) != '.'  /* 2) No usernames starting with a . */
   AND SUBSTR(username, -1) != '.'    /* 2) No usernames ending with a . */
   AND INSTR(username, '..') = 0      /* 2) No usernames with two together (..) */
   AND REPLACE(TRANSLATE(UPPER(username),'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-._', '*'), '*') IS NULL /* 3) Usernames may only contain the following characters: [A-Z] [0-9] [_] [.] [-] */
   ),
  CONSTRAINT PK_SAMREGISTRY
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_USERNAME
 UNIQUE (USERNAME));

ALTER TABLE BSBSERVICEINSTANCE ADD (
  CONSTRAINT CHK_SERVICEINSTANCETYPE
 CHECK (ServiceInstanceType IN (100,210,220,300,400)),
  CONSTRAINT CHK_TOPLEVEL_SI
 CHECK (NVL2(ParentServiceInstanceID,DECODE(ServiceInstanceType,300,-1,ServiceInstanceType),300)=ServiceInstanceType),
  CONSTRAINT PK_BSBSERVICEINSTANCE
 PRIMARY KEY
 (ID),
  CONSTRAINT UK_PDTV
 UNIQUE (PDTV_ID));

ALTER TABLE BSBSETTLEMENTMETHOD ADD (
  CONSTRAINT XPKBSBSETTLEMENTMETHOD
 PRIMARY KEY
 (ID));

ALTER TABLE BSBSUBSCRIPTION ADD (
  CONSTRAINT PK_BSBSUBSCRIPTION
 PRIMARY KEY
 (ID));

ALTER TABLE BSBSUBSCRIPTIONAGREEMENTITEM ADD (
  CONSTRAINT PK_BSBSUBSCRIPTIONAGREEMENTITE
 PRIMARY KEY
 (AGREEMENTITEMID),
  CONSTRAINT UNQ_SUBSCR_AGREEMENTNUMBER
 UNIQUE (AGREEMENTNUMBER),
  CONSTRAINT UNQ_BSBSUBSAGREITEM_PSERID
 UNIQUE (XXPRIMARYSERVICEINSTANCEID));

ALTER TABLE BSBSUBSCRIPTIONENTITLEMENT ADD (
  CONSTRAINT PK_BSBSUBSCRIPTIONENTITLEMENT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBSUBSCRIPTIONHISTORYSTATUS ADD (
  CONSTRAINT PK_BSBSUBSCRIPTIONHISTORYSTATU
 PRIMARY KEY
 (ID));

ALTER TABLE BSBTARGETEDMAILSHOT ADD (
  CONSTRAINT PK_BSBTARGETEDMAILSHOT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBTECHENQUIRYVISITRESOLUTION ADD (
  CONSTRAINT PK_BSBTECHENQUIRYVISITRESOLUTI
 PRIMARY KEY
 (ID));

ALTER TABLE BSBTECHNICALENQUIRY ADD (
  CONSTRAINT PK_BSBTECHNICALENQUIRY
 PRIMARY KEY
 (ID));

ALTER TABLE BSBTELEPHONE ADD (
  PRIMARY KEY
 (ID));

ALTER TABLE BSBTELEPHONEUSAGEROLE ADD (
  CONSTRAINT CHK_SERVICEINSTANCEID_NOTNULL
 CHECK (DECODE(roletype,'CLI',serviceinstanceid,1) IS NOT NULL),
  CONSTRAINT PK_BSBTELEPHONEUSAGEROLE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBTELEPHONYCUSTPRODELEMENT ADD (
  CONSTRAINT PK_BSBTELEPHONYCUSTPRODELEMENT
 PRIMARY KEY
 (TELEPHONYPRODUCTELEMENTID));

ALTER TABLE BSBTELEPHONYREQUIREMENT ADD (
  CONSTRAINT CHK_ONLYCPS
 CHECK (OnlyCPS IN (0, 1)),
  CONSTRAINT PK_BSBTELEPHONYREQUIREMENT
 PRIMARY KEY
 (TELEPHONYFULFILMENTID));

ALTER TABLE BSBUSERROLEBRIDGE ADD (
  CONSTRAINT PK_BSBUSERROLEBRIDGE
 PRIMARY KEY
 (ID));

ALTER TABLE BSBVISITREQUIREMENT ADD (
  CONSTRAINT PK_BSBVISITREQUIREMENT
 PRIMARY KEY
 (ID));

ALTER TABLE BSBVISITREQUIREMENTHISTORY ADD (
  CONSTRAINT PK_VISITREQUIREMENTHISTORY
 PRIMARY KEY
 (ID));

ALTER TABLE BSBWARRANTY ADD (
  CONSTRAINT PK_BSBWARRANTY
 PRIMARY KEY
 (ID));

ALTER TABLE BSBWARRANTYDETAIL ADD (
  CONSTRAINT PK_BSBWARRANTYDETAIL
 PRIMARY KEY
 (ID));

ALTER TABLE CCSUSER ADD (
  CONSTRAINT XPKCCSUSER
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKCCSUSER1
 UNIQUE (LOGINNAME));

ALTER TABLE CCSUSER_NEW ADD (
  CONSTRAINT PK_CCSUSER_NEW
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKCCSUSER_NEW
 UNIQUE (LOGINNAME));

ALTER TABLE COMEVENTTYPE ADD (
  CONSTRAINT XPKCOMEVENTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE COMMONCURRENCY ADD (
  CONSTRAINT XPKCOMMONCURRENCY
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKCOMMONCURRENCY1
 UNIQUE (CURRENCYISONAME));

ALTER TABLE COMPRTCPNTTYPE ADD (
  CONSTRAINT XPKCOMPRTCPNTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE DEADLINETIMER ADD (
  CONSTRAINT XPKDEADLINETIMER
 PRIMARY KEY
 (ID));

ALTER TABLE DEFDATABIZSVC ADD (
  CONSTRAINT XPKDEFDATABIZSVC
 PRIMARY KEY
 (ID));

ALTER TABLE DEFDATACATEGORY ADD (
  CONSTRAINT XPKDEFDATACATEGORY
 PRIMARY KEY
 (ID));

ALTER TABLE DEFDATACLASSINFO ADD (
  CONSTRAINT XPKDEFDATACLSINFO
 PRIMARY KEY
 (ID));

ALTER TABLE DEFDATAPACKAGE ADD (
  CONSTRAINT XPKDEFDATAPACKAGE
 PRIMARY KEY
 (ID));

ALTER TABLE DEFINEDDATASCOPE ADD (
  CONSTRAINT XPKDEFINEDDATASCOP
 PRIMARY KEY
 (ID));

ALTER TABLE DEVICE ADD (
  CONSTRAINT XPKDEVICE
 PRIMARY KEY
 (ID));

ALTER TABLE EBCINTERACTION ADD (
  CONSTRAINT XPKEBCINTERACTION
 PRIMARY KEY
 (ID));

ALTER TABLE EICASE ADD (
  CONSTRAINT XPKEICASE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKEICASE1
 UNIQUE (CASENUMBER));

ALTER TABLE EICOMEVENT ADD (
  CONSTRAINT XPKEICOMEVENT
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMMENT ADD (
  CONSTRAINT XPKEICOMMENT
 PRIMARY KEY
 (ID));

ALTER TABLE EICOMMUNICATION ADD (
  CONSTRAINT XPKEICOMMUNICATION
 PRIMARY KEY
 (ID));

ALTER TABLE GEOBNDRYCURRENCY ADD (
  CONSTRAINT XPKGEOBNDRYCURR
 PRIMARY KEY
 (ID));

ALTER TABLE GEOBNDRYTYPE ADD (
  CONSTRAINT XPKGEOBNDRYTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE GEOBOUNDARY ADD (
  CONSTRAINT XPKGEOBOUNDARY
 PRIMARY KEY
 (ID));

ALTER TABLE GEOBOUNDARYASSOC ADD (
  CONSTRAINT XPKGEOBNDRYASSOC
 PRIMARY KEY
 (ID));

ALTER TABLE IDENTITYTABLE ADD (
  CONSTRAINT XAKIDENTITYTABLE1
 UNIQUE (PDMID, TABLENAME));

ALTER TABLE INTRCTNSTATE ADD (
  CONSTRAINT XPKINTRCTNSTATE
 PRIMARY KEY
 (CODE));

ALTER TABLE INTRCTNTYPE ADD (
  CONSTRAINT XPKINTRCTNTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE LANGUAGES ADD (
  CONSTRAINT XPKLANGUAGE
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKLANGUAGE1
 UNIQUE (LANGUAGENAME),
  CONSTRAINT XAKLANGUAGE2
 UNIQUE (LANGUAGEISOCODE));

ALTER TABLE MEDIATYPE ADD (
  CONSTRAINT XPKMEDIATYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE OBJECTMAP ADD (
  CONSTRAINT XPKOBJECTMAP
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERING ADD (
  CONSTRAINT XPKOFFERING
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGCATEGORY ADD (
  CONSTRAINT XPKOFFERINGCATGRY
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGHIERARCHY ADD (
  CONSTRAINT XPKOFFERINGHRCHY
 PRIMARY KEY
 (ID));

ALTER TABLE OFFERINGVIEW ADD (
  CONSTRAINT XPKOFFERINGVIEW
 PRIMARY KEY
 (ID));

ALTER TABLE ORGANIZATION ADD (
  CONSTRAINT XPKORGANIZATION
 PRIMARY KEY
 (PARTYID));

ALTER TABLE PACKAGECLASSINFO ADD (
  CONSTRAINT XPKPACKAGECLSINFO
 PRIMARY KEY
 (ID));

ALTER TABLE PARTY ADD (
  CONSTRAINT XPKPARTY
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPARTY1
 UNIQUE (GOVERNMENTIDNUMBER));

ALTER TABLE PARTYRELATIONROLE ADD (
  CONSTRAINT XPKPARTYRELATNROLE
 PRIMARY KEY
 (PARTYID, RELATEDPARTYID, PARTYROLETYPECODE),
  CONSTRAINT XAKPRTYRELATNROLE1
 UNIQUE (PARTYNUMBER));

ALTER TABLE PARTYROLETYPE ADD (
  CONSTRAINT XPKPARTYROLETYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PARTYTYPE ADD (
  CONSTRAINT XPKPARTYTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE PERSON ADD (
  CONSTRAINT XPKPERSON
 PRIMARY KEY
 (PARTYID));

ALTER TABLE PERSONALITY ADD (
  CONSTRAINT XPKPERSONALITY
 PRIMARY KEY
 (ID));

ALTER TABLE PREFPROFICIENCY ADD (
  CONSTRAINT XPKPREFPROFICIENCY
 PRIMARY KEY
 (ID));

ALTER TABLE PRODCATALOGITEM ADD (
  CONSTRAINT XPKPRODCATALOGITEM
 PRIMARY KEY
 (ID));

ALTER TABLE PRODMMEDIADESC ADD (
  CONSTRAINT XPKPRODMMEDIADESC
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCT ADD (
  CONSTRAINT XPKPRODUCT
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPRODUCT1
 UNIQUE (PRODUCTNUMBER));

ALTER TABLE PRODUCTCATALOG ADD (
  CONSTRAINT XPKPRODUCTCATALOG
 PRIMARY KEY
 (ID),
  CONSTRAINT XAKPRODUCTCATALOG1
 UNIQUE (CATALOGNUMBER));

ALTER TABLE PRODUCTCATEGORY ADD (
  CONSTRAINT XPKPRODUCTCATEGORY
 PRIMARY KEY
 (ID));

ALTER TABLE PRODUCTTYPE ADD (
  CONSTRAINT XPKPRODUCTTYPE
 PRIMARY KEY
 (CODE));

ALTER TABLE ROUTINGATTRIBUTE ADD (
  CONSTRAINT XPKROUTINGATTRBUTE
 PRIMARY KEY
 (ID));

ALTER TABLE ROUTINGPROFICIENCY ADD (
  CONSTRAINT XPKROUTINGPROF
 PRIMARY KEY
 (ID));

ALTER TABLE SESSIONCONTEXT ADD (
  CONSTRAINT XPKSESSIONCONTEXT
 PRIMARY KEY
 (ID));

ALTER TABLE SQLPERSISTENTINFO ADD (
  CONSTRAINT XPKSQLPERSISTENT
 PRIMARY KEY
 (ID));

ALTER TABLE STATICATTRDEF ADD (
  CONSTRAINT XPKSTATICATTRDEF
 PRIMARY KEY
 (ID));

ALTER TABLE STATION ADD (
  CONSTRAINT XPKSTATION
 PRIMARY KEY
 (ID),
  CONSTRAINT I_STATION1
 UNIQUE (STATIONNAME));

ALTER TABLE TELEPHONEINFO ADD (
  CONSTRAINT XPKTELEPHONEINFO
 PRIMARY KEY
 (ID));

ALTER TABLE WFASSIGNMENT ADD (
  CONSTRAINT XPKWFASSIGNMENT
 PRIMARY KEY
 (ID));

ALTER TABLE WFASSIGNMENTINFO ADD (
  CONSTRAINT XPKWFASSIGNMNTINFO
 PRIMARY KEY
 (ID));

ALTER TABLE WFIONAME ADD (
  CONSTRAINT XPKWFIONAME
 PRIMARY KEY
 (ID));

ALTER TABLE WFNODERELATIONSHIP ADD (
  CONSTRAINT XPKWFNODERELATION
 PRIMARY KEY
 (ID));

ALTER TABLE WFPLAN ADD (
  CONSTRAINT XPKWFPLAN
 PRIMARY KEY
 (ID));

ALTER TABLE WFPLANINFO ADD (
  CONSTRAINT XPKWFPLANINFO
 PRIMARY KEY
 (ID));

ALTER TABLE WFPLANNODE ADD (
  CONSTRAINT XPKWFPLANNODE
 PRIMARY KEY
 (ID));

ALTER TABLE WFTASK ADD (
  CONSTRAINT XPKWFTASK
 PRIMARY KEY
 (ID));

ALTER TABLE WFTASKINFO ADD (
  CONSTRAINT XPKWFTASKINFO
 PRIMARY KEY
 (ID));

ALTER TABLE WFTOKEN ADD (
  CONSTRAINT XPKWFTOKEN
 PRIMARY KEY
 (ID));

ALTER TABLE XXBSBPAPERSUBAGREEMENTITEM ADD (
  CONSTRAINT PK_BSBPAPERSUBAGREEMENTITEM
 PRIMARY KEY
 (AGREEMENTITEMID));

ALTER TABLE BSBROLECREDITLIMIT ADD (
  CONSTRAINT BSBROLEC_MAXALLOWABLE
 CHECK (MaxAllowable IN (0, 1)),
  CONSTRAINT CHK_BSBROLECRED_MAXORVAL
 CHECK (nvl2(DTVOverrideValue,'1','0')||trim(to_char(MaxAllowable)) IN ('01','10')),
  CONSTRAINT PK_BSBROLECREDITLIMITS
 PRIMARY KEY
 (ROLEID, CURRENCYCODE));

ALTER TABLE ATTRJOININFO ADD (
  CONSTRAINT FK_FRSTATTRDEFID 
 FOREIGN KEY (FRSTATICATTRDEFID) 
 REFERENCES STATICATTRDEF (ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_ATTRDEFJOIN 
 FOREIGN KEY (STATICATTRDEFID) 
 REFERENCES STATICATTRDEF (ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_TOSTATTRDEFID 
 FOREIGN KEY (TOSTATICATTRDEFID) 
 REFERENCES STATICATTRDEF (ID)
    ON DELETE CASCADE);

ALTER TABLE BIZSVCCLASSINFO ADD (
  CONSTRAINT FK_BIZCLSINFOBIZ 
 FOREIGN KEY (BIZSVCID) 
 REFERENCES DEFDATABIZSVC (ID),
  CONSTRAINT FK_BIZCLSINFOCLS 
 FOREIGN KEY (CLASSINFOID) 
 REFERENCES DEFDATACLASSINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE BSBADDRESSUSAGEROLE ADD (
  CONSTRAINT FK_BSBADDRESS_ADDRUSAGEROLE 
 FOREIGN KEY (ADDRESSID) 
 REFERENCES BSBADDRESS (ID),
  CONSTRAINT FK_SERVICEINSTANCE_ADDRUSAGERO 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBAGREEMENTITEM ADD (
  CONSTRAINT FK_BSBORDER_AGRMENTITEM 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID));

ALTER TABLE BSBAGREEMENTRANGE ADD (
  CONSTRAINT FK_RETAILBUS_AGGRRANGE 
 FOREIGN KEY (RETAILBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBAGREEMENTTOENT ADD (
  CONSTRAINT FK_BSBAGTOENT_CONTRACT 
 FOREIGN KEY (AGREEMENTNUMBER) 
 REFERENCES BSBPAPERAGREEMENT (AGREEMENTNUMBER));

ALTER TABLE BSBAGREEMENTTRANSFER ADD (
  CONSTRAINT FK_RETAILBUS_AGRTRANS_DESTID 
 FOREIGN KEY (DESTINATIONRETAILERID) 
 REFERENCES BSBRETAILBUSINESS (ID),
  CONSTRAINT FK_RETAILBUS_ARGTRANS_SRCID 
 FOREIGN KEY (SOURCERETAILERID) 
 REFERENCES BSBRETAILBUSINESS (ID),
  CONSTRAINT FK_CUSTAGR_AGREEMENTTRANS 
 FOREIGN KEY (AGREEMENTID) 
 REFERENCES BSBSUBSCRIPTIONAGREEMENTITEM (AGREEMENTITEMID));

ALTER TABLE BSBAUTHORIZEDCONTACTROLE ADD (
  CONSTRAINT FK_AUTHCONTACT_PARTYROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES BSBPARTYROLE (ID),
  CONSTRAINT FK_AUTHCONTACTROLE_PORTFOLIO 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID));

ALTER TABLE BSBBATCHRUN ADD (
  CONSTRAINT FK_BSBBATCHRUN_BATCHNUMBER 
 FOREIGN KEY (BATCHNUMBER) 
 REFERENCES BSBBATCHNUMBER (BATCHNUMBER));

ALTER TABLE BSBBILLINGACCOUNT ADD (
  CONSTRAINT FK_PORTFOLIO_BILLACC 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_SERVICEINSTANCE_BILLACCOUNT 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBBILLINGADDRESSROLE ADD (
  CONSTRAINT FK_BILLACC_BILLADDRROLE 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID),
  CONSTRAINT FK_BSBADDRESS_BILLADDRROLE 
 FOREIGN KEY (ADDRESSID) 
 REFERENCES BSBADDRESS (ID));

ALTER TABLE BSBBILLINGITEM ADD (
  CONSTRAINT FK_BILLACCOUNT_BILLINGITEM 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID),
  CONSTRAINT FK_PRICEABLEUNIT_BILLINGITEM 
 FOREIGN KEY (PRICEABLEUNITID) 
 REFERENCES BSBPRICEABLEUNIT (ID));

ALTER TABLE BSBBROADBANDCUSTPRODELEMENT ADD (
  CONSTRAINT FK_BSBCUSTOMERPRODUCTELEMENT 
 FOREIGN KEY (LINEPRODUCTELEMENTID) 
 REFERENCES BSBCUSTOMERPRODUCTELEMENT (ID),
  CONSTRAINT FK_BSBTELEPHONEUSAGEROLE 
 FOREIGN KEY (TELEPHONEUSAGEROLEID) 
 REFERENCES BSBTELEPHONEUSAGEROLE (ID));

ALTER TABLE BSBBROADBANDEMAILSETTINGS ADD (
  CONSTRAINT FK_BSBEMAIL_BBEMAILSETTINGS 
 FOREIGN KEY (EMAILID) 
 REFERENCES BSBEMAIL (ID));

ALTER TABLE BSBBROADBANDREQUIREMENT ADD (
  CONSTRAINT FK_BSBFULFILMENTITEM 
 FOREIGN KEY (BROADBANDFULFILMENTITEMID) 
 REFERENCES BSBFULFILMENTITEM (ID));

ALTER TABLE BSBBUSINESS ADD (
  CONSTRAINT FK_BUSINESS_PARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBBUSINESSCONTACTOR ADD (
  CONSTRAINT FK_PARTY_BUSCONACTOR_CON 
 FOREIGN KEY (CONTACTORPARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PARTY_BUSCONTACTOR_BUSID 
 FOREIGN KEY (BUSINESSPARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBCALLBACKINFORMATION ADD (
  CONSTRAINT FK_BSBSERVICEINSTANCE_CALLBACK 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_BSBORDER_CALLBACKINFO 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID));

ALTER TABLE BSBCAMPAIGNOUTCOME ADD (
  CONSTRAINT FK_EBCINTRACTN_CAMPAIGNOUTCOME 
 FOREIGN KEY (EBCINTERACTIONID) 
 REFERENCES EBCINTERACTION (ID));

ALTER TABLE BSBCANCELLATIONATTEMPT ADD (
  CONSTRAINT FK_ORDER_CANCELATTEMPT 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID),
  CONSTRAINT FK_BSBPORTFOLIOPRODUCT_CANCELA 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID));

ALTER TABLE BSBCICINFORMATION ADD (
  CONSTRAINT FK_SERVICEINS_CICPININFO 
 FOREIGN KEY (PRIMARYSERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBCLIVIOLATION ADD (
  CONSTRAINT FK_SERVICEINSTANCE_CLIVIOLATIO 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBCOMMERCIALAGREEMENTITEM ADD (
  CONSTRAINT FK_PORTFOLIOOFFER_COMMAGRITEM 
 FOREIGN KEY (PORTFOLIOOFFERID) 
 REFERENCES BSBPORTFOLIOOFFER (ID),
  CONSTRAINT FK_PORTFOLIOPROD_COMMAGRITEM 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID),
  CONSTRAINT FK_AGRITEM_COMMAGRITEM 
 FOREIGN KEY (AGREEMENTITEMID) 
 REFERENCES BSBAGREEMENTITEM (ID));

ALTER TABLE BSBCONTACTADDRESS ADD (
  FOREIGN KEY (ADDRESSID) 
 REFERENCES BSBADDRESS (ID),
  FOREIGN KEY (BUSINESSID) 
 REFERENCES BSBBUSINESS (ID),
  FOREIGN KEY (CONTACTORID) 
 REFERENCES BSBCONTACTOR (ID));

ALTER TABLE BSBCONTACTEMAIL ADD (
  FOREIGN KEY (BUSINESSID) 
 REFERENCES BSBBUSINESS (ID),
  FOREIGN KEY (CONTACTORID) 
 REFERENCES BSBCONTACTOR (ID),
  FOREIGN KEY (EMAILID) 
 REFERENCES BSBEMAIL (ID));

ALTER TABLE BSBCONTACTOR ADD (
  CONSTRAINT FK_CONTACTOR_PARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_CONTACTOR_DISABILITY 
 FOREIGN KEY (DISABILITYID) 
 REFERENCES BSBDISABILITYDETAIL (ID));

ALTER TABLE BSBCONTACTTELEPHONE ADD (
  FOREIGN KEY (BUSINESSID) 
 REFERENCES BSBBUSINESS (ID),
  FOREIGN KEY (CONTACTORID) 
 REFERENCES BSBCONTACTOR (ID),
  FOREIGN KEY (TELEPHONEID) 
 REFERENCES BSBTELEPHONE (ID));

ALTER TABLE BSBCREDITLIMIT ADD (
  CONSTRAINT FK_SERVICEINST_CREDITLIMIT 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBCROSSUPSELLATTEMPT ADD (
  CONSTRAINT FK_ORDER_BSBCROSSUPSELLATTEMPT 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID));

ALTER TABLE BSBCUSTOMERPRODUCTELEMENT ADD (
  CONSTRAINT FK_BSBPFLPRD_BSBCSTPRODELE 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID),
  CONSTRAINT FK_BSBINSTROLE_BSBCSTPRODELE 
 FOREIGN KEY (RETURNINSTALLERID) 
 REFERENCES BSBINSTALLERROLE (IDNO),
  CONSTRAINT FK_BSBADDRESS_BSBCSTPRODELE 
 FOREIGN KEY (ADDRESSID) 
 REFERENCES BSBADDRESS (ID),
  CONSTRAINT FK_SRVCINST_CUSTPRODELE_SRVCIN 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_SAMREGISTRY_BSBCSTPRODELE 
 FOREIGN KEY (SAMREGISTRYID) 
 REFERENCES BSBSAMREGISTRY (ID),
  CONSTRAINT FK_BBROUTER_BSBCSTPRODELE 
 FOREIGN KEY (ROUTERID) 
 REFERENCES BSBBROADBANDROUTER (ID));

ALTER TABLE BSBCUSTOMERROLE ADD (
  CONSTRAINT FK_CUSTOMER_PARTYROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES BSBPARTYROLE (ID),
  CONSTRAINT FK_CUSTOMER_PORTFOLIO 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID));

ALTER TABLE BSBDISABILITYSERVICE ADD (
  CONSTRAINT FK_DISDETAIL_DISABILITYSERVICE 
 FOREIGN KEY (BSBDISABILITYDETAILID) 
 REFERENCES BSBDISABILITYDETAIL (ID));

ALTER TABLE BSBDOWNGRADEATTEMPT ADD (
  CONSTRAINT FK_BSBSUBSCRIPTION_BSBDOWNGRAD 
 FOREIGN KEY (SUBSCRIPTIONID) 
 REFERENCES BSBSUBSCRIPTION (ID),
  CONSTRAINT FK_BSBORDER_BSBDOWNGRADEATTEMP 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID));

ALTER TABLE BSBDSLQUERYRESPONSE ADD (
  CONSTRAINT FK_PARTY_BSBDSLQUERYRESPONSE 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBEMAIL ADD (
  CONSTRAINT FK_SAMREGISTRY_BSBEMAIL 
 FOREIGN KEY (SAMREGISTRYID) 
 REFERENCES BSBSAMREGISTRY (ID));

ALTER TABLE BSBFEEDBACK ADD (
  CONSTRAINT FK_FEEDBACK_PERSON 
 FOREIGN KEY (REPORTEDBYID) 
 REFERENCES PERSON (PARTYID),
  CONSTRAINT FK_FEEDBACK_GENERALENQ 
 FOREIGN KEY (GENERALENQUIRYID) 
 REFERENCES BSBGENERALENQUIRY (ID));

ALTER TABLE BSBFULFILMENTITEM ADD (
  CONSTRAINT FK_ADDRUSAGEROLE_FULFILMNTITEM 
 FOREIGN KEY (INSTALLATIONADDRESSROLEID) 
 REFERENCES BSBADDRESSUSAGEROLE (ID),
  CONSTRAINT FK_SRVCEINSTNCE_FULFILMENTITEM 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_BSBADDRESS_FULFILMENTITEM 
 FOREIGN KEY (DELIVERYADDRESSID) 
 REFERENCES BSBADDRESS (ID));

ALTER TABLE BSBGENERALENQUIRY ADD (
  CONSTRAINT FK_GENERALENQ_JOB 
 FOREIGN KEY (JOBID) 
 REFERENCES BSBJOB (ID),
  CONSTRAINT FK_GENERALENQ_FEEDBACK 
 FOREIGN KEY (FEEDBACKID) 
 REFERENCES BSBFEEDBACK (ID));

ALTER TABLE BSBINSTALLERROLE ADD (
  CONSTRAINT FK_PARTYROLE_INSTALLERROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES BSBPARTYROLE (ID),
  CONSTRAINT FK_BSBITEAM_BSBINSTALLERROLE 
 FOREIGN KEY (TEAMID) 
 REFERENCES BSBINSTALLERTEAM (ID));

ALTER TABLE BSBINSTALLERTEAM ADD (
  CONSTRAINT FK_BSBINSTROLE_INSTTEAM 
 FOREIGN KEY (MANAGERID) 
 REFERENCES BSBINSTALLERROLE (IDNO));

ALTER TABLE BSBJOB ADD (
  CONSTRAINT FK_BSBJOB_BSBJOBLIST 
 FOREIGN KEY (JOBLISTID) 
 REFERENCES BSBJOBLIST (ID));

ALTER TABLE BSBLITERATUREITEM ADD (
  FOREIGN KEY (BUSINESSPRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE BSBLITERATUREORDER ADD (
  FOREIGN KEY (RETAILERBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID),
  FOREIGN KEY (DELIVERYADDRERSSID) 
 REFERENCES BSBADDRESS (ID));

ALTER TABLE BSBLITERATUREORDERLINE ADD (
  FOREIGN KEY (LITERATUREITEMID) 
 REFERENCES BSBLITERATUREITEM (ID),
  FOREIGN KEY (LITERATUREORDERID) 
 REFERENCES BSBLITERATUREORDER (ID));

ALTER TABLE BSBMISCELLANOUSCONTACTROLE ADD (
  CONSTRAINT FK_MISCCONTACT_PARTYROLE 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES BSBPARTYROLE (ID));

ALTER TABLE BSBMPPAPPLICATION ADD (
  CONSTRAINT FK_PERSON_MPPAPPLICATION 
 FOREIGN KEY (PARTYID) 
 REFERENCES PERSON (PARTYID),
  CONSTRAINT FK_BSBADDRESS_MPPAPPLICATION 
 FOREIGN KEY (INSTALLATIONADDRESSID) 
 REFERENCES BSBADDRESS (ID));

ALTER TABLE BSBOFFERINGROLEBRIDGE ADD (
  CONSTRAINT FK_OFFERINGROLEBRIDGE_OFFERING 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID),
  CONSTRAINT FK_OFFERINGROLEBRIDGE_ROLE 
 FOREIGN KEY (ROLEID) 
 REFERENCES BSBROLE (ID));

ALTER TABLE BSBOFFERINGSTATEBRIDGE ADD (
  CONSTRAINT FK_OFFSTATEBRIDGE_OFFERING 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID),
  CONSTRAINT FK_OFFSTATEBRIDGE_APPSTATE 
 FOREIGN KEY (STATEID) 
 REFERENCES BSBAPPLICATIONSTATE (ID));

ALTER TABLE BSBORDER ADD (
  CONSTRAINT FK_BSBPORTFOLIO_ORDER 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_BSBPARTYROLE_ORDER 
 FOREIGN KEY (PARTYROLEID) 
 REFERENCES BSBPARTYROLE (ID),
  CONSTRAINT FK_BSBCON_BSBORDER 
 FOREIGN KEY (REFERRINGCUSTOMERID) 
 REFERENCES BSBCONTACTOR (ID));

ALTER TABLE BSBORDERLINE ADD (
  CONSTRAINT FK_BSBORDER_ORDERLINE 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID),
  CONSTRAINT FK_BSBSERVICEINSTANCE_ORDERLIN 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_RETAILPROOFOFPUR_ORDERLINE 
 FOREIGN KEY (RETAILPROOFOFPURCHASEID) 
 REFERENCES BSBRETAILPROOFOFPURCHASE (ID),
  CONSTRAINT FK_BSBPORTFOLIOOFFER_ORDERLINE 
 FOREIGN KEY (PORTFOLIOOFFERID) 
 REFERENCES BSBPORTFOLIOOFFER (ID),
  CONSTRAINT FK_BSBPORTFOLIOPRODUCT_ORDERLI 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID),
  CONSTRAINT FK_PRICEABLEUNIT_ORDERLINE 
 FOREIGN KEY (PRICEABLEUNITID) 
 REFERENCES BSBPRICEABLEUNIT (ID),
  CONSTRAINT FK_PORTPROD_ORDERRELATEDLINE 
 FOREIGN KEY (RELATEDPORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID),
  CONSTRAINT FK_ADDRESS_ORDERLINE 
 FOREIGN KEY (FULFILMENTADDRESSID) 
 REFERENCES BSBADDRESS (ID),
  CONSTRAINT FK_ORDERLINE_SELF_PARENTORDID 
 FOREIGN KEY (PARENTORDERLINEID) 
 REFERENCES BSBORDERLINE (ID),
  CONSTRAINT FK_FULFILMENT_ORDERLINE 
 FOREIGN KEY (FULFILMENTITEMID) 
 REFERENCES BSBFULFILMENTITEM (ID));

ALTER TABLE BSBPAPERAGREEMENT ADD (
  CONSTRAINT FK_BSBPAGR_BATCH 
 FOREIGN KEY (BATCHID) 
 REFERENCES BSBBATCHRUN (ID));

ALTER TABLE BSBPAPERAGRENTERRORS ADD (
  CONSTRAINT FK_BSBAGRERR_CONTRACTNUM 
 FOREIGN KEY (AGREEMENTNUMBER) 
 REFERENCES BSBPAPERAGRERRORS (AGREEMENTNUMBER));

ALTER TABLE BSBPAPERAGRERRORLIST ADD (
  CONSTRAINT FK_BSBAGRERRL_CONTRACTNUM 
 FOREIGN KEY (AGREEMENTNUMBER) 
 REFERENCES BSBPAPERAGRERRORS (AGREEMENTNUMBER));

ALTER TABLE BSBPARTYROLE ADD (
  CONSTRAINT FK_PARTYROLE_PARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBPAYMENT ADD (
  CONSTRAINT FK_SETTLEMETHOD_PAYMENT 
 FOREIGN KEY (SETTLEMENTMETHODID) 
 REFERENCES BSBSETTLEMENTMETHOD (ID),
  CONSTRAINT FK_BILLACCOUNT_PAYMENT 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID));

ALTER TABLE BSBPAYMENTMETHODCHANGEREQUEST ADD (
  CONSTRAINT FK_PAYMETCHGHDR_PAYMETCHGREQ 
 FOREIGN KEY (BATCHHEADERID) 
 REFERENCES BSBPAYMENTMETHODCHANGEHEADER (ID),
  CONSTRAINT FK_PAYMETHOD_PAYCHANGE_OLDPAYI 
 FOREIGN KEY (OLDPAYMENTMETHODID) 
 REFERENCES BSBPAYMENTMETHOD (ID),
  CONSTRAINT FK_PAYMETHOD_PAYCHANGE_NEWPAYI 
 FOREIGN KEY (NEWPAYMENTMETHODID) 
 REFERENCES BSBPAYMENTMETHOD (ID));

ALTER TABLE BSBPAYMENTMETHODROLE ADD (
  CONSTRAINT FK_PAYMENTMETHOD_PAYMETHODROLE 
 FOREIGN KEY (PAYMENTMETHODID) 
 REFERENCES BSBPAYMENTMETHOD (ID),
  CONSTRAINT FK_BILLACC_PAYMETHODROLE 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID));

ALTER TABLE BSBPORTFOLIOOFFER ADD (
  CONSTRAINT FK_PORTFOLIO_PORTFOLIOOFFER 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_SERVICEINSTANCE_PORTOFFER 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBPORTFOLIOOFFERDEPENDENCY ADD (
  CONSTRAINT FK_BSBPORTFOLIOOFFER_OFFERDEPE 
 FOREIGN KEY (PORTFOLIOOFFERID) 
 REFERENCES BSBPORTFOLIOOFFER (ID),
  CONSTRAINT FK_BSBPORTFOLIOPRODUCT_OFFERDE 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID));

ALTER TABLE BSBPORTFOLIOPRODUCT ADD (
  CONSTRAINT FK_BSBSUBSCRIPTION_PORTPROD 
 FOREIGN KEY (SUBSCRIPTIONID) 
 REFERENCES BSBSUBSCRIPTION (ID),
  CONSTRAINT FK_BSBPORTFOLIO_PORTPROD 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_BSBSERVICEINSTANCE_PORTPROD 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_RETAILBUS_PORTFOLIOPROD 
 FOREIGN KEY (RETAILERID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBPRICEABLEUNIT ADD (
  CONSTRAINT FK_BSBPRICEABLEUNIT_ID 
 FOREIGN KEY (DISCOUNTEDPRICEABLEUNITID) 
 REFERENCES BSBPRICEABLEUNIT (ID),
  CONSTRAINT FK_BILLINGACCOUNT_PRICEABLEUNI 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID),
  CONSTRAINT FK_PAYMENT_PRICEABLEUNIT 
 FOREIGN KEY (PAYMENTID) 
 REFERENCES BSBPAYMENT (ID),
  CONSTRAINT FK_PORTFOLIOOFFR_PRICEABLEUNIT 
 FOREIGN KEY (PORTFOLIOOFFERID) 
 REFERENCES BSBPORTFOLIOOFFER (ID),
  CONSTRAINT FK_SERVICEINST_PRICEABLEUNIT 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_BSBPRIUNIT_BSBPRIUNIT 
 FOREIGN KEY (CHARGEBEINGCLAWEDBACKID) 
 REFERENCES BSBPRICEABLEUNIT (ID));

ALTER TABLE BSBPRICEABLEUNITPORTFOLIOPROD ADD (
  CONSTRAINT FK_PORTPROD_PRIABLEUNITPORTPRD 
 FOREIGN KEY (PORTFOLIOPRODUCTID) 
 REFERENCES BSBPORTFOLIOPRODUCT (ID),
  CONSTRAINT FK_PRICBLUNT_PRICBLUNTPOTPROD 
 FOREIGN KEY (PRICEABLEUNITID) 
 REFERENCES BSBPRICEABLEUNIT (ID));

ALTER TABLE BSBPROPERTYDETAIL ADD (
  CONSTRAINT FK_BSBINSTADDROLE_BSBPRPRTYDTL 
 FOREIGN KEY (INSTALLATIONADDRESSROLEID) 
 REFERENCES BSBADDRESSUSAGEROLE (ID));

ALTER TABLE BSBREFUND ADD (
  CONSTRAINT FK_PRICEABLEUNIT_REFUND 
 FOREIGN KEY (ADJUSTMENTID) 
 REFERENCES BSBPRICEABLEUNIT (ID),
  CONSTRAINT FK_SETTLEMENTMETHOD_REFUND 
 FOREIGN KEY (SETTLEMENMETHODID) 
 REFERENCES BSBSETTLEMENTMETHOD (ID),
  CONSTRAINT FK_BILLACC_REFUND 
 FOREIGN KEY (BILLINGACCOUNTID) 
 REFERENCES BSBBILLINGACCOUNT (ID));

ALTER TABLE BSBRETAILAFFILIATION ADD (
  FOREIGN KEY (RETAILERBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBRETAILBUSINESS ADD (
  FOREIGN KEY (HEADOFFICERETAILBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID),
  FOREIGN KEY (DEFAULTINVOICEADDRESSID) 
 REFERENCES BSBADDRESS (ID),
  CONSTRAINT FK_PARTY_RETAILBUSINESS 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBRETAILCOMMISSIONACCOUNT ADD (
  CONSTRAINT FK_RETAILBUSINESS_COMMISSIONAC 
 FOREIGN KEY (RETAILBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBRETAILERAUDITRECORD ADD (
  CONSTRAINT FK_RETAILBUS_RETAILERAUDITREC 
 FOREIGN KEY (RETAILERID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBRETAILPROOFOFPURCHASE ADD (
  CONSTRAINT FK_RETAILBUSINESS_PROOFOFPUR 
 FOREIGN KEY (RETAILERID) 
 REFERENCES BSBRETAILBUSINESS (ID));

ALTER TABLE BSBRETAILPROOFOFPURCHASEDETAIL ADD (
  CONSTRAINT FK_PROOFOFPUR_PROOFOFPURDTL 
 FOREIGN KEY (RETAILPROOFOFPURCHASEID) 
 REFERENCES BSBRETAILPROOFOFPURCHASE (ID));

ALTER TABLE BSBROLETOKANAENTITLEMENT ADD (
  CONSTRAINT FK_KANAENTITLEMENT_ROLETOKANAE 
 FOREIGN KEY (KANAENTITLEMENTID) 
 REFERENCES BSBKANAENTITLEMENT (ID),
  CONSTRAINT FK_BSBROLE_ROLETOKANAENT 
 FOREIGN KEY (ROLEID) 
 REFERENCES BSBROLE (ID));

ALTER TABLE BSBSALESLEAD ADD (
  CONSTRAINT FK_BSBCONTACTOR_SALESLEAD 
 FOREIGN KEY (CONTACTORID) 
 REFERENCES BSBCONTACTOR (ID));

ALTER TABLE BSBSAMREGISTRY ADD (
  CONSTRAINT FK_PARTY_BSBSAMREGISTRY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBSERVICEINSTANCE ADD (
  CONSTRAINT FK_SERVICEINSTANCE_ID_SELF 
 FOREIGN KEY (PARENTSERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_BSBCSTPRODELEM_BSBSERVINST 
 FOREIGN KEY (INSTALLATIONPRODUCTELEMENTID) 
 REFERENCES BSBCUSTOMERPRODUCTELEMENT (ID),
  CONSTRAINT FK_PORTFOLIO_SERVICEINSTANCE 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_PAPERITEM 
 FOREIGN KEY (PAPERITEMID) 
 REFERENCES BSBPAPERITEM (ID));

ALTER TABLE BSBSETTLEMENTMETHOD ADD (
  CONSTRAINT FK_ADDRESS_SETTLEMNTMTD 
 FOREIGN KEY (CHEQUEADDRESSID) 
 REFERENCES BSBADDRESS (ID));

ALTER TABLE BSBSUBSCRIPTION ADD (
  CONSTRAINT FK_BSBSERVICEIINSTANCE_SUBSRIP 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBSUBSCRIPTIONAGREEMENTITEM ADD (
  CONSTRAINT FK_RETAILBUS_SUBSCRIPAGRITEM 
 FOREIGN KEY (RETAILBUSINESSID) 
 REFERENCES BSBRETAILBUSINESS (ID),
  CONSTRAINT FK_AGRITEM_SUBSCRIPAGRITEM 
 FOREIGN KEY (AGREEMENTITEMID) 
 REFERENCES BSBAGREEMENTITEM (ID),
  CONSTRAINT FK_PAPERCONTRACT 
 FOREIGN KEY (PAPERCONTRACTID) 
 REFERENCES BSBPAPERITEM (ID),
  CONSTRAINT FK_SUBSCRIPTION 
 FOREIGN KEY (SUBSCRIPTIONID) 
 REFERENCES BSBSUBSCRIPTION (ID),
  CONSTRAINT FK_SERVICEINST_SUBSRIPAGRITEM 
 FOREIGN KEY (XXPRIMARYSERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBSUBSCRIPTIONENTITLEMENT ADD (
  CONSTRAINT FK_SUBSCR_SUBSCRENTITLEMENT 
 FOREIGN KEY (SUBSCRIPTIONID) 
 REFERENCES BSBSUBSCRIPTION (ID));

ALTER TABLE BSBSUBSCRIPTIONHISTORYSTATUS ADD (
  CONSTRAINT FK_SUBSCRIP_SUBSCRIPHISTORYST 
 FOREIGN KEY (SUBSCRIPTIONID) 
 REFERENCES BSBSUBSCRIPTION (ID),
  CONSTRAINT FK_ORDER_SUBSCRIPHISTORYSTATUS 
 FOREIGN KEY (ORDERID) 
 REFERENCES BSBORDER (ID));

ALTER TABLE BSBTARGETEDMAILSHOT ADD (
  CONSTRAINT FK_PARTY_TARGTMAILSHOT 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE BSBTECHENQUIRYVISITRESOLUTION ADD (
  CONSTRAINT FK_VISITREQ_TECHENQIRYVISITRES 
 FOREIGN KEY (VISITREQUIREMENTID) 
 REFERENCES BSBVISITREQUIREMENT (ID));

ALTER TABLE BSBTECHNICALENQUIRY ADD (
  CONSTRAINT FK_CUSTOMERROLE_TECHENQ 
 FOREIGN KEY (OWNERID) 
 REFERENCES BSBCUSTOMERROLE (PARTYROLEID),
  CONSTRAINT FK_PERSON_BSBTECHENQUIRY_REPOR 
 FOREIGN KEY (REPORTEDBYID) 
 REFERENCES PERSON (PARTYID));

ALTER TABLE BSBTELEPHONEUSAGEROLE ADD (
  CONSTRAINT FK_BSBTEL_TELUSAGEROLE 
 FOREIGN KEY (TELEPHONEID) 
 REFERENCES BSBTELEPHONE (ID),
  CONSTRAINT FK_SERVICEINST_TELUSAGEROLE 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID));

ALTER TABLE BSBTELEPHONYCUSTPRODELEMENT ADD (
  CONSTRAINT FK_BSBTELCUSTPRODELEMENT 
 FOREIGN KEY (TELEPHONYPRODUCTELEMENTID) 
 REFERENCES BSBCUSTOMERPRODUCTELEMENT (ID));

ALTER TABLE BSBTELEPHONYREQUIREMENT ADD (
  CONSTRAINT FK_BSBTELFULFILMENTITEM 
 FOREIGN KEY (TELEPHONYFULFILMENTID) 
 REFERENCES BSBFULFILMENTITEM (ID));

ALTER TABLE BSBUSERROLEBRIDGE ADD (
  CONSTRAINT FK_BSBUSERROLEBRIDGE_CCSUSER 
 FOREIGN KEY (USERID) 
 REFERENCES CCSUSER (ID),
  CONSTRAINT FK_BSBUSERROLEBRIDGE_BSBROLE 
 FOREIGN KEY (ROLEID) 
 REFERENCES BSBROLE (ID));

ALTER TABLE BSBVISITREQUIREMENT ADD (
  CONSTRAINT FK_BSBFLFLMNTITM_BSBVSTRQMT 
 FOREIGN KEY (FULFILMENTITEMID) 
 REFERENCES BSBFULFILMENTITEM (ID),
  CONSTRAINT FK_BSBINSTALLERROLE_BSBVSTRQMT 
 FOREIGN KEY (INSTALLERID) 
 REFERENCES BSBINSTALLERROLE (IDNO),
  CONSTRAINT FK_BSBTCHNCLENQRY_BSBVSTRQMT 
 FOREIGN KEY (TECHNICALENQUIRYID) 
 REFERENCES BSBTECHNICALENQUIRY (ID),
  CONSTRAINT FK_BSBADDUSGRLE_BSBVSTRQMT 
 FOREIGN KEY (INSTALLATIONADDRESSROLEID) 
 REFERENCES BSBADDRESSUSAGEROLE (ID),
  CONSTRAINT FK_BSBTEL_VISITREQ 
 FOREIGN KEY (TELEPHONEID) 
 REFERENCES BSBTELEPHONE (ID));

ALTER TABLE BSBVISITREQUIREMENTHISTORY ADD (
  CONSTRAINT FK_BSBVSTRQMT_BSBVSTRQMTHSTRY 
 FOREIGN KEY (VISITREQUIREMENTID) 
 REFERENCES BSBVISITREQUIREMENT (ID));

ALTER TABLE BSBWARRANTY ADD (
  CONSTRAINT FK_BSBORDERLINE_WARRANTY 
 FOREIGN KEY (ADDORDERLINEID) 
 REFERENCES BSBORDERLINE (ID));

ALTER TABLE BSBWARRANTYDETAIL ADD (
  CONSTRAINT FK_WARRANTY_WARRANTYDTL 
 FOREIGN KEY (WARRANTYID) 
 REFERENCES BSBWARRANTY (ID));

ALTER TABLE CCSUSER ADD (
  CONSTRAINT FK_CCSUSERPARTY 
 FOREIGN KEY (BUSINESSENTITYID) 
 REFERENCES PARTY (ID));

ALTER TABLE DEFDATACATEGORY ADD (
  CONSTRAINT FK_PARENTCATEGORY 
 FOREIGN KEY (PARENTCATEGORYID) 
 REFERENCES DEFDATACATEGORY (ID)
    ON DELETE CASCADE);

ALTER TABLE DEFDATACLASSINFO ADD (
  CONSTRAINT FK_SCOPECLASS 
 FOREIGN KEY (SCOPEID) 
 REFERENCES DEFINEDDATASCOPE (ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_CATEGORY 
 FOREIGN KEY (CATEGORYID) 
 REFERENCES DEFDATACATEGORY (ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_PARENTCLSINFO 
 FOREIGN KEY (PARENTCLASSINFOID) 
 REFERENCES DEFDATACLASSINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE DEVICE ADD (
  CONSTRAINT FK_DEVICESTATION 
 FOREIGN KEY (STATIONID) 
 REFERENCES STATION (ID));

ALTER TABLE EBCINTERACTION ADD (
  CONSTRAINT FK_EBCINTRCTNPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_EBCINTRCTNSTATE 
 FOREIGN KEY (INTRCTNSTATECODE) 
 REFERENCES INTRCTNSTATE (CODE),
  CONSTRAINT FK_EBCINTRCTNTYPE 
 FOREIGN KEY (INTRCTNTYPECODE) 
 REFERENCES INTRCTNTYPE (CODE),
  CONSTRAINT FK_EBCINTRCTNCASE 
 FOREIGN KEY (EICASEID) 
 REFERENCES EICASE (ID),
  CONSTRAINT FK_EBCINTERACTION_JOB 
 FOREIGN KEY (JOBID) 
 REFERENCES BSBJOB (ID),
  CONSTRAINT FK_SERVICEINST_EBCINTERACTION 
 FOREIGN KEY (SERVICEINSTANCEID) 
 REFERENCES BSBSERVICEINSTANCE (ID),
  CONSTRAINT FK_BSBPORTFOLIO_EBCINTERACTION 
 FOREIGN KEY (PORTFOLIOID) 
 REFERENCES BSBPORTFOLIO (ID),
  CONSTRAINT FK_PARTY_EBCINTERACTION2 
 FOREIGN KEY (PORTFOLIOOWNERPARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE EICASE ADD (
  CONSTRAINT FK_EICASEMERGED 
 FOREIGN KEY (MERGEDTOCASEID) 
 REFERENCES EICASE (ID));

ALTER TABLE EICOMEVENT ADD (
  CONSTRAINT FK_COMEVNTEVNTTYPE 
 FOREIGN KEY (COMEVENTTYPECODE) 
 REFERENCES COMEVENTTYPE (CODE),
  CONSTRAINT FK_EICOMEVENTEICOM 
 FOREIGN KEY (EICOMMUNICATIONID) 
 REFERENCES EICOMMUNICATION (ID));

ALTER TABLE EICOMMENT ADD (
  CONSTRAINT FK_EICOMMENTEBCI 
 FOREIGN KEY (EBCINTERACTIONID) 
 REFERENCES EBCINTERACTION (ID));

ALTER TABLE EICOMMUNICATION ADD (
  CONSTRAINT FK_EICASE_EICOMMUNICATION 
 FOREIGN KEY (EICASEID) 
 REFERENCES EICASE (ID));

ALTER TABLE GEOBNDRYCURRENCY ADD (
  CONSTRAINT FK_GEOBNDRYCURRGEO 
 FOREIGN KEY (GEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID),
  CONSTRAINT FK_GEOBNDRYCURRCUR 
 FOREIGN KEY (COMMONCURRENCYID) 
 REFERENCES COMMONCURRENCY (ID));

ALTER TABLE GEOBOUNDARY ADD (
  CONSTRAINT FK_GEOBNDRYGEOTYPE 
 FOREIGN KEY (GEOBNDRYTYPECODE) 
 REFERENCES GEOBNDRYTYPE (CODE));

ALTER TABLE GEOBOUNDARYASSOC ADD (
  CONSTRAINT FK_GEOBNDRYASSOC2 
 FOREIGN KEY (ASSOCGEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID),
  CONSTRAINT FK_GEOBNDRYASSOC1 
 FOREIGN KEY (GEOBOUNDARYID) 
 REFERENCES GEOBOUNDARY (ID));

ALTER TABLE OFFERING ADD (
  CONSTRAINT FK_OFFERINGPLNINFO 
 FOREIGN KEY (WFPLANINFOID) 
 REFERENCES WFPLANINFO (ID),
  CONSTRAINT FK_OFRNGPRODCATGRY 
 FOREIGN KEY (PRODUCTCATEGORYID) 
 REFERENCES PRODUCTCATEGORY (ID));

ALTER TABLE OFFERINGHIERARCHY ADD (
  CONSTRAINT FK_OFRNGHRCHVIEW 
 FOREIGN KEY (OFFERINGVIEWID) 
 REFERENCES OFFERINGVIEW (ID),
  CONSTRAINT FK_OFRNGHRCHCATGRY 
 FOREIGN KEY (OFFERINGCATEGORYID) 
 REFERENCES OFFERINGCATEGORY (ID),
  CONSTRAINT FK_OFRNGHRCHYPRNT 
 FOREIGN KEY (PARENTHIERARCHYID) 
 REFERENCES OFFERINGHIERARCHY (ID),
  CONSTRAINT FK_OFRNGHRCHOFRNG 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID));

ALTER TABLE ORGANIZATION ADD (
  CONSTRAINT FK_ORGPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PACKAGECLASSINFO ADD (
  CONSTRAINT FK_PKGCLSINFOPKG 
 FOREIGN KEY (PACKAGEID) 
 REFERENCES DEFDATAPACKAGE (ID),
  CONSTRAINT FK_PKGCLSINFOCLS 
 FOREIGN KEY (CLASSINFOID) 
 REFERENCES DEFDATACLASSINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE PARTY ADD (
  CONSTRAINT FK_PARTYPARTYTYPE 
 FOREIGN KEY (PARTYTYPECODE) 
 REFERENCES PARTYTYPE (CODE));

ALTER TABLE PARTYRELATIONROLE ADD (
  CONSTRAINT FK_PRTYRELATNPRTY2 
 FOREIGN KEY (RELATEDPARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PRTYRELATNPRTY1 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_PRTYRELATNTYPE 
 FOREIGN KEY (PARTYROLETYPECODE) 
 REFERENCES PARTYROLETYPE (CODE));

ALTER TABLE PERSON ADD (
  CONSTRAINT FK_PERSONPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PERSONALITY ADD (
  CONSTRAINT FK_PERSONALITYPRNT 
 FOREIGN KEY (PRNTPERSONALITYID) 
 REFERENCES PERSONALITY (ID));

ALTER TABLE PREFPROFICIENCY ADD (
  CONSTRAINT FK_PREFPROFRTGATTR 
 FOREIGN KEY (ROUTINGATTRIBUTEID) 
 REFERENCES ROUTINGATTRIBUTE (ID),
  CONSTRAINT FK_PREFPROFPRSNLTY 
 FOREIGN KEY (PERSONALITYID) 
 REFERENCES PERSONALITY (ID));

ALTER TABLE PRODCATALOGITEM ADD (
  CONSTRAINT FK_ITEMCATALOG 
 FOREIGN KEY (PRODUCTCATALOGID) 
 REFERENCES PRODUCTCATALOG (ID),
  CONSTRAINT FK_ITEMCATLGPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODMMEDIADESC ADD (
  CONSTRAINT FK_PRODMMDESCTYPE 
 FOREIGN KEY (MEDIATYPECODE) 
 REFERENCES MEDIATYPE (CODE),
  CONSTRAINT FK_PRODMMDESCPROD 
 FOREIGN KEY (PRODUCTID) 
 REFERENCES PRODUCT (ID));

ALTER TABLE PRODUCT ADD (
  CONSTRAINT FK_PRODPRODTYPE 
 FOREIGN KEY (PRODUCTTYPECODE) 
 REFERENCES PRODUCTTYPE (CODE),
  CONSTRAINT FK_PRODUCTPARTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE PRODUCTCATALOG ADD (
  CONSTRAINT FK_PRODCATALOGPRTY 
 FOREIGN KEY (PARTYID) 
 REFERENCES PARTY (ID));

ALTER TABLE ROUTINGPROFICIENCY ADD (
  CONSTRAINT FK_RTGPROFRTGATTR 
 FOREIGN KEY (ROUTINGATTRIBUTEID) 
 REFERENCES ROUTINGATTRIBUTE (ID));

ALTER TABLE SQLPERSISTENTINFO ADD (
  CONSTRAINT FK_ATTRDEFSQL 
 FOREIGN KEY (STATICATTRDEFID) 
 REFERENCES STATICATTRDEF (ID)
    ON DELETE CASCADE);

ALTER TABLE STATICATTRDEF ADD (
  CONSTRAINT FK_CLSATTRDEF 
 FOREIGN KEY (CLASSINFOID) 
 REFERENCES DEFDATACLASSINFO (ID)
    ON DELETE CASCADE,
  CONSTRAINT FK_TYPEATTR 
 FOREIGN KEY (TYPEATTRID) 
 REFERENCES DEFDATACLASSINFO (ID)
    ON DELETE CASCADE);

ALTER TABLE TELEPHONEINFO ADD (
  CONSTRAINT FK_TELINFOOFFERING 
 FOREIGN KEY (OFFERINGID) 
 REFERENCES OFFERING (ID),
  CONSTRAINT FK_TELINFOPARTY 
 FOREIGN KEY (BUSINESSENTITYID) 
 REFERENCES PARTY (ID),
  CONSTRAINT FK_TELINFOLANG 
 FOREIGN KEY (COMMPRIMARYLANGID) 
 REFERENCES LANGUAGES (ID));

ALTER TABLE WFASSIGNMENT ADD (
  CONSTRAINT FK_WFASSIGNMENT 
 FOREIGN KEY (INFOID) 
 REFERENCES WFASSIGNMENTINFO (ID),
  CONSTRAINT FK_WFASSGNUSER 
 FOREIGN KEY (CCSUSERID) 
 REFERENCES CCSUSER (ID));

ALTER TABLE WFPLAN ADD (
  CONSTRAINT FK_WFPLAN 
 FOREIGN KEY (INFOID) 
 REFERENCES WFPLANINFO (ID));

ALTER TABLE WFPLANNODE ADD (
  CONSTRAINT FK_WFPLNNDWFPLN 
 FOREIGN KEY (PLANID) 
 REFERENCES WFPLAN (ID));

ALTER TABLE WFTASK ADD (
  CONSTRAINT FK_WFTASK 
 FOREIGN KEY (INFOID) 
 REFERENCES WFTASKINFO (ID));

ALTER TABLE XXBSBPAPERSUBAGREEMENTITEM ADD (
  CONSTRAINT FK_AGRITEM_PAPERSUBAGRITEM 
 FOREIGN KEY (AGREEMENTITEMID) 
 REFERENCES BSBAGREEMENTITEM (ID));

ALTER TABLE BSBROLECREDITLIMIT ADD (
  CONSTRAINT FK_ROLEID_BSBROLECRED 
 FOREIGN KEY (ROLEID) 
 REFERENCES BSBROLE (ID));

GRANT ALTER, SELECT ON  AGREEMENTNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBADDRESSUSAGEROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBADMINMESSAGES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAGREEMENTITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAGREEMENTRANGE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAGREEMENTTOENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAGREEMENTTRANSFER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAPPLICATIONSTATE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBAUTHORIZEDCONTACTROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBATCHNUMBER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBATCHRUN TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBILLINGACCOUNT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBILLINGADDRESSROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBILLINGITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBROADBANDCUSTPRODELEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBROADBANDEMAILSETTINGS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBROADBANDREQUIREMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBROADBANDROUTER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBUSINESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBBUSINESSCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCALLBACKINFORMATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCAMPAIGNOUTCOME TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCANCELLATIONATTEMPT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCICINFORMATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCLAWBACKACCOUNTLOOKUP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCLIVIOLATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCOMMERCIALAGREEMENTITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCONTACTADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCONTACTEMAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCONTACTORAUDIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCONTACTTELEPHONE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCREDITLIMIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCROSSUPSELLATTEMPT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCUSTOMERPRODUCTELEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBCUSTOMERROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBDISABILITYDETAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBDISABILITYSERVICE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBDOWNGRADEATTEMPT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBDSLQUERYRESPONSE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBEMAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBFEEDBACK TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBFULFILMENTITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBGENERALENQUIRY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBHISTORYENTITIES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBINSTALLERROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBINSTALLERTEAM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBJOB TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBJOBLIST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBKANAENTITLEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBLITERATUREITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBLITERATUREORDER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBLITERATUREORDERLINE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBMAILSHOT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBMISCELLANOUSCONTACTROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBMPPAPPLICATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBOFFERINGROLEBRIDGE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBOFFERINGSTATEBRIDGE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBORDER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBORDERLINE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERAGREEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERAGRENTERRORS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERAGRERRORLIST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERAGRERRORS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAPERMANDATE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPARTYROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAYMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAYMENTMETHOD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAYMENTMETHODCHANGEHEADER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAYMENTMETHODCHANGEREQUEST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPAYMENTMETHODROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPORTFOLIO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPORTFOLIOOFFER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPORTFOLIOOFFERDEPENDENCY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPORTFOLIOPRODUCT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPRICEABLEUNIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPRICEABLEUNITPORTFOLIOPROD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBPROPERTYDETAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBREFUND TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILAFFILIATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILBUSINESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILCOMMISSIONACCOUNT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILERAUDITRECORD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILPROOFOFPURCHASE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBRETAILPROOFOFPURCHASEDETAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBROLECREDITLIMIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBROLETOKANAENTITLEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSALESLEAD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSAMREGISTRY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSERVICEINSTANCE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSETTLEMENTMETHOD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSUBSCRIPTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSUBSCRIPTIONAGREEMENTITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSUBSCRIPTIONENTITLEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBSUBSCRIPTIONHISTORYSTATUS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTARGETEDMAILSHOT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTECHENQUIRYVISITRESOLUTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTECHNICALENQUIRY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTELEPHONE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTELEPHONEUSAGEROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTELEPHONYCUSTPRODELEMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBTELEPHONYREQUIREMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBUSERROLEBRIDGE TO PDUSER;

GRANT ALTER, SELECT ON  BSBUSERROLEBRIDGE_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBVISITREQUIREMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBVISITREQUIREMENTHISTORY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBWARRANTY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBWARRANTYDETAIL TO PDUSER;

GRANT EXECUTE ON  BSB_ID_TABTYPE TO PDUSER;

GRANT ALTER, SELECT ON  CASENUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  CCSUSER TO PDUSER;

GRANT ALTER, SELECT ON  CCSUSER_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  DEVICE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EBCINTERACTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICASE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMEVENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMMENT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  EICOMMUNICATION TO PDUSER;

GRANT ALTER, SELECT ON  GREFNUMBERSEQ TO PDUSER;

GRANT ALTER, SELECT ON  IRISHAGREEMENTNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  NEWSFEED TO PDUSER;

GRANT ALTER, SELECT ON  OBJECTCACHEKEY_SEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERING TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGCATEGORY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGHIERARCHY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  OFFERINGVIEW TO PDUSER;

GRANT ALTER, SELECT ON  ORDERNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  ORGANIZATION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTY TO PDUSER;

GRANT ALTER, SELECT ON  PARTYNUMBERSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYRELATIONROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYROLETYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PARTYTYPE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PERSON TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODCATALOGITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCATALOG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCATEGORY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTTYPE TO PDUSER;

GRANT ALTER, SELECT ON  RMANUMBERSEQ TO PDUSER;

GRANT EXECUTE ON  SAMREGISTRY_USERNAMES_TT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  SCHEMA_UPDATES TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  SESSIONCONTEXT TO PDUSER;

GRANT EXECUTE ON  SET_CACHE_DATA TO PDUSER;

GRANT EXECUTE ON  STR2TAB TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  TELEPHONEINFO TO PDUSER;

GRANT ALTER, SELECT ON  TRANSACTIONNUMBERSEQ TO PDUSER;

GRANT ALTER, SELECT ON  TREFNUMBERSEQ TO PDUSER;

GRANT ALTER, SELECT ON  VISITIDSEQ TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_ADDRESSBYCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_AUTHORIZEDCONTACTROLE TO PDUSER;

GRANT SELECT ON  V_BILLINGITEMPP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BILLINGITEMPRICEABLEUNIT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBCONTACTADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBCONTACTEMAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBCONTACTTELEPHONE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBDOORTODOORAGENTSUMMARY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBINSTALLERMANAGERVIEW TO PDUSER;

GRANT SELECT ON  V_BSBINSTALLERSUMMARY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBINSTALLERVIEW TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBORDERHISTORY TO PDUSER;

GRANT SELECT ON  V_BSBORDERHISTORYPRODUCT TO PDUSER;

GRANT SELECT ON  V_BSBPPVPRODUCTDATA TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBSUMMARYBILLINGACCOUNT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBTARGETEDMAILSHOT TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBUSERROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BSBUTIL_PERSONTOSUBSCRIPTION TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BUSINESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_BUSINESSCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYADDRESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYCONTRACTNUMBER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYEMAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYFINANCIALDETAIL TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYNDSNUMBER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYTELEPHONE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYVIEWINGCARD TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORBYVISITNUMBER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CONTACTORPRIMARYTELEPHONE TO PDUSER;

GRANT SELECT ON  V_CUSTOMERAGREEMENTSUMMARY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_CUSTOMERROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_EBCTASKNAME TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_EBCUSERCUSTOMER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_EICUSTOMERHIST TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_EMAILBYCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_IDCONTACTOR TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_IDCUSTOMER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_IDRETAILBUSINESS TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_IDRETAILBUSINESSBYTELEPHONE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_MISCELLANOUSCONTACTROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_OFFERING TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_OFFERINGROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_OFFERINGSTATE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_OFFRNGHIERARCHY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_PARTYORGROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_PARTYPERSONROLE TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_PERSONPORTFOLIO TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_PRODCATALOGITEM TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_PRODUCTCATALOG TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_REFUNDSUMMARY TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_RETAILERAUDITFILTER TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_SITEMP TO PDUSER;

GRANT DELETE, INSERT, SELECT, UPDATE ON  V_TELEPHONEBYCONTACTOR TO PDUSER;

GRANT INSERT, SELECT ON  SCHEMA_UPDATES TO PUBLIC;

GRANT REFERENCES ON  BSBCALLBACKINFORMATION TO REFDATAMGR;

GRANT REFERENCES ON  BSBCONTACTOR TO REFDATAMGR;

GRANT DELETE, INSERT, SELECT, UPDATE ON  BSBLITERATUREITEM TO REFDATAMGR WITH GRANT OPTION;

GRANT REFERENCES ON  BSBRETAILBUSINESS TO REFDATAMGR;

GRANT REFERENCES ON  BSBROLE TO REFDATAMGR;

GRANT SELECT ON  IDENTITYTABLE TO REFDATAMGR;

GRANT SELECT ON  ORGANIZATION TO REFDATAMGR WITH GRANT OPTION;

GRANT REFERENCES ON  PARTY TO REFDATAMGR;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODCATALOGITEM TO REFDATAMGR WITH GRANT OPTION;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODMMEDIADESC TO REFDATAMGR WITH GRANT OPTION;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCT TO REFDATAMGR WITH GRANT OPTION;

GRANT DELETE, INSERT, SELECT, UPDATE ON  PRODUCTCATALOG TO REFDATAMGR WITH GRANT OPTION;


